C     path:      $Source: /storm/rc1/cvsroot/rc/rrtm_sw/src/k_gB27.f,v $
C     author:    $Author: jdelamer $
C     revision:  $Revision: 2.3 $
C     created:   $Date: 2004/04/15 18:50:57 $
C
C  --------------------------------------------------------------------------
C |                                                                          |
C |  Copyright 2002, 2003, Atmospheric & Environmental Research, Inc. (AER). |
C |  This software may be used, copied, or redistributed as long as it is    |
C |  not sold and this copyright notice is reproduced on each copy made.     |
C |  This model is provided as is without any express or implied warranties. |
C |                       (http://www.rtweb.aer.com/)                        |
C |                                                                          |
C  --------------------------------------------------------------------------

      PARAMETER (MG = 16)
      REAL KA(5,13,MG), KB(5,13:59,MG)

      COMMON /CVRSN27/ HNAMKG27,HVRKG27
      COMMON /K27/ KA, KB 

      CHARACTER*18 HNAMKG27,HVRKG27

      DATA HNAMKG27 / '        k_gb27.f:' /
      DATA HVRKG27 /'$Revision: 2.3 $'/

C     The array KA contains absorption coefs at the 16 chosen g-values 
C     for a range of pressure levels > ~100mb and temperatures.  The first
C     index in the array, JT, which runs from 1 to 5, corresponds to 
C     different temperatures.  More specifically, JT = 3 means that the 
C     data are for the corresponding TREF for this  pressure level, 
C     JT = 2 refers to the temperatureTREF-15, JT = 1 is for TREF-30, 
C     JT = 4 is for TREF+15, and JT = 5 is for TREF+30.  The second 
C     index, JP, runs from 1 to 13 and refers to the corresponding 
C     pressure level in PREF (e.g. JP = 1 is for a pressure of 1053.63 mb).  
C     The third index, IG, goes from 1 to 16, and tells us which 
C     g-interval the absorption coefficients are for.
      DATA (KA(JT, 1, 1),JT=1,5) /
     &2.2907E-01,2.5625E-01,2.8779E-01,3.2376E-01,3.6426E-01/
      DATA (KA(JT, 2, 1),JT=1,5) /
     &2.1913E-01,2.4445E-01,2.7422E-01,3.0832E-01,3.4694E-01/
      DATA (KA(JT, 3, 1),JT=1,5) /
     &2.0602E-01,2.2864E-01,2.5574E-01,2.8721E-01,3.2310E-01/
      DATA (KA(JT, 4, 1),JT=1,5) /
     &1.9379E-01,2.1352E-01,2.3771E-01,2.6643E-01,2.9940E-01/
      DATA (KA(JT, 5, 1),JT=1,5) /
     &1.8369E-01,2.0061E-01,2.2200E-01,2.4786E-01,2.7816E-01/
      DATA (KA(JT, 6, 1),JT=1,5) /
     &1.7517E-01,1.8920E-01,2.0771E-01,2.3069E-01,2.5817E-01/
      DATA (KA(JT, 7, 1),JT=1,5) /
     &1.6888E-01,1.7988E-01,1.9559E-01,2.1577E-01,2.4042E-01/
      DATA (KA(JT, 8, 1),JT=1,5) /
     &1.6442E-01,1.7273E-01,1.8565E-01,2.0315E-01,2.2512E-01/
      DATA (KA(JT, 9, 1),JT=1,5) /
     &1.6159E-01,1.6738E-01,1.7752E-01,1.9242E-01,2.1179E-01/
      DATA (KA(JT,10, 1),JT=1,5) /
     &1.6037E-01,1.6402E-01,1.7204E-01,1.8463E-01,2.0183E-01/
      DATA (KA(JT,11, 1),JT=1,5) /
     &1.6036E-01,1.6399E-01,1.7198E-01,1.8455E-01,2.0173E-01/
      DATA (KA(JT,12, 1),JT=1,5) /
     &1.6036E-01,1.6399E-01,1.7198E-01,1.8455E-01,2.0173E-01/
      DATA (KA(JT,13, 1),JT=1,5) /
     &1.6036E-01,1.6399E-01,1.7198E-01,1.8455E-01,2.0173E-01/
      DATA (KA(JT, 1, 2),JT=1,5) /
     &2.0716E+00,2.1925E+00,2.3327E+00,2.4921E+00,2.6726E+00/
      DATA (KA(JT, 2, 2),JT=1,5) /
     &2.0272E+00,2.1401E+00,2.2723E+00,2.4238E+00,2.5950E+00/
      DATA (KA(JT, 3, 2),JT=1,5) /
     &1.9684E+00,2.0697E+00,2.1902E+00,2.3301E+00,2.4892E+00/
      DATA (KA(JT, 4, 2),JT=1,5) /
     &1.9133E+00,2.0021E+00,2.1101E+00,2.2375E+00,2.3842E+00/
      DATA (KA(JT, 5, 2),JT=1,5) /
     &1.8673E+00,1.9441E+00,2.0400E+00,2.1553E+00,2.2898E+00/
      DATA (KA(JT, 6, 2),JT=1,5) /
     &1.8277E+00,1.8925E+00,1.9760E+00,2.0788E+00,2.2009E+00/
      DATA (KA(JT, 7, 2),JT=1,5) /
     &1.7963E+00,1.8497E+00,1.9214E+00,2.0121E+00,2.1222E+00/
      DATA (KA(JT, 8, 2),JT=1,5) /
     &1.7749E+00,1.8156E+00,1.8763E+00,1.9555E+00,2.0540E+00/
      DATA (KA(JT, 9, 2),JT=1,5) /
     &1.7600E+00,1.7885E+00,1.8388E+00,1.9071E+00,1.9943E+00/
      DATA (KA(JT,10, 2),JT=1,5) /
     &1.7526E+00,1.7729E+00,1.8121E+00,1.8716E+00,1.9496E+00/
      DATA (KA(JT,11, 2),JT=1,5) /
     &1.7525E+00,1.7727E+00,1.8119E+00,1.8712E+00,1.9491E+00/
      DATA (KA(JT,12, 2),JT=1,5) /
     &1.7525E+00,1.7727E+00,1.8119E+00,1.8712E+00,1.9491E+00/
      DATA (KA(JT,13, 2),JT=1,5) /
     &1.7525E+00,1.7727E+00,1.8119E+00,1.8712E+00,1.9491E+00/
      DATA (KA(JT, 1, 3),JT=1,5) /
     &1.2189E+01,1.2619E+01,1.3110E+01,1.3663E+01,1.4275E+01/
      DATA (KA(JT, 2, 3),JT=1,5) /
     &1.2030E+01,1.2434E+01,1.2899E+01,1.3427E+01,1.4015E+01/
      DATA (KA(JT, 3, 3),JT=1,5) /
     &1.1816E+01,1.2183E+01,1.2611E+01,1.3101E+01,1.3653E+01/
      DATA (KA(JT, 4, 3),JT=1,5) /
     &1.1611E+01,1.1938E+01,1.2327E+01,1.2777E+01,1.3289E+01/
      DATA (KA(JT, 5, 3),JT=1,5) /
     &1.1437E+01,1.1726E+01,1.2076E+01,1.2488E+01,1.2961E+01/
      DATA (KA(JT, 6, 3),JT=1,5) /
     &1.1284E+01,1.1533E+01,1.1843E+01,1.2215E+01,1.2649E+01/
      DATA (KA(JT, 7, 3),JT=1,5) /
     &1.1160E+01,1.1370E+01,1.1641E+01,1.1975E+01,1.2370E+01/
      DATA (KA(JT, 8, 3),JT=1,5) /
     &1.1063E+01,1.1237E+01,1.1471E+01,1.1768E+01,1.2126E+01/
      DATA (KA(JT, 9, 3),JT=1,5) /
     &1.0990E+01,1.1129E+01,1.1327E+01,1.1588E+01,1.1910E+01/
      DATA (KA(JT,10, 3),JT=1,5) /
     &1.0945E+01,1.1053E+01,1.1223E+01,1.1454E+01,1.1746E+01/
      DATA (KA(JT,11, 3),JT=1,5) /
     &1.0945E+01,1.1052E+01,1.1222E+01,1.1452E+01,1.1744E+01/
      DATA (KA(JT,12, 3),JT=1,5) /
     &1.0945E+01,1.1052E+01,1.1222E+01,1.1452E+01,1.1744E+01/
      DATA (KA(JT,13, 3),JT=1,5) /
     &1.0945E+01,1.1052E+01,1.1222E+01,1.1452E+01,1.1744E+01/
      DATA (KA(JT, 1, 4),JT=1,5) /
     &5.5057E+01,5.6143E+01,5.7364E+01,5.8719E+01,6.0208E+01/
      DATA (KA(JT, 2, 4),JT=1,5) /
     &5.4647E+01,5.5677E+01,5.6842E+01,5.8142E+01,5.9575E+01/
      DATA (KA(JT, 3, 4),JT=1,5) /
     &5.4090E+01,5.5039E+01,5.6123E+01,5.7342E+01,5.8694E+01/
      DATA (KA(JT, 4, 4),JT=1,5) /
     &5.3548E+01,5.4410E+01,5.5408E+01,5.6539E+01,5.7805E+01/
      DATA (KA(JT, 5, 4),JT=1,5) /
     &5.3074E+01,5.3853E+01,5.4766E+01,5.5813E+01,5.6995E+01/
      DATA (KA(JT, 6, 4),JT=1,5) /
     &5.2644E+01,5.3336E+01,5.4162E+01,5.5123E+01,5.6218E+01/
      DATA (KA(JT, 7, 4),JT=1,5) /
     &5.2279E+01,5.2887E+01,5.3629E+01,5.4505E+01,5.5516E+01/
      DATA (KA(JT, 8, 4),JT=1,5) /
     &5.1979E+01,5.2507E+01,5.3168E+01,5.3965E+01,5.4895E+01/
      DATA (KA(JT, 9, 4),JT=1,5) /
     &5.1734E+01,5.2183E+01,5.2767E+01,5.3485E+01,5.4337E+01/
      DATA (KA(JT,10, 4),JT=1,5) /
     &5.1565E+01,5.1948E+01,5.2467E+01,5.3120E+01,5.3907E+01/
      DATA (KA(JT,11, 4),JT=1,5) /
     &5.1563E+01,5.1946E+01,5.2464E+01,5.3116E+01,5.3902E+01/
      DATA (KA(JT,12, 4),JT=1,5) /
     &5.1563E+01,5.1946E+01,5.2464E+01,5.3116E+01,5.3902E+01/
      DATA (KA(JT,13, 4),JT=1,5) /
     &5.1563E+01,5.1946E+01,5.2464E+01,5.3116E+01,5.3902E+01/
      DATA (KA(JT, 1, 5),JT=1,5) /
     &1.7794E+02,1.7973E+02,1.8164E+02,1.8366E+02,1.8581E+02/
      DATA (KA(JT, 2, 5),JT=1,5) /
     &1.7724E+02,1.7898E+02,1.8083E+02,1.8281E+02,1.8491E+02/
      DATA (KA(JT, 3, 5),JT=1,5) /
     &1.7624E+02,1.7791E+02,1.7970E+02,1.8160E+02,1.8363E+02/
      DATA (KA(JT, 4, 5),JT=1,5) /
     &1.7523E+02,1.7682E+02,1.7853E+02,1.8036E+02,1.8231E+02/
      DATA (KA(JT, 5, 5),JT=1,5) /
     &1.7429E+02,1.7581E+02,1.7744E+02,1.7920E+02,1.8107E+02/
      DATA (KA(JT, 6, 5),JT=1,5) /
     &1.7338E+02,1.7482E+02,1.7638E+02,1.7805E+02,1.7985E+02/
      DATA (KA(JT, 7, 5),JT=1,5) /
     &1.7253E+02,1.7390E+02,1.7539E+02,1.7699E+02,1.7871E+02/
      DATA (KA(JT, 8, 5),JT=1,5) /
     &1.7177E+02,1.7307E+02,1.7448E+02,1.7601E+02,1.7767E+02/
      DATA (KA(JT, 9, 5),JT=1,5) /
     &1.7107E+02,1.7230E+02,1.7364E+02,1.7511E+02,1.7669E+02/
      DATA (KA(JT,10, 5),JT=1,5) /
     &1.7052E+02,1.7169E+02,1.7298E+02,1.7438E+02,1.7591E+02/
      DATA (KA(JT,11, 5),JT=1,5) /
     &1.7051E+02,1.7168E+02,1.7297E+02,1.7437E+02,1.7590E+02/
      DATA (KA(JT,12, 5),JT=1,5) /
     &1.7051E+02,1.7168E+02,1.7297E+02,1.7437E+02,1.7590E+02/
      DATA (KA(JT,13, 5),JT=1,5) /
     &1.7051E+02,1.7168E+02,1.7297E+02,1.7437E+02,1.7590E+02/
      DATA (KA(JT, 1, 6),JT=1,5) /
     &3.7680E+04,3.6801E+04,3.6011E+04,3.5298E+04,3.4715E+04/
      DATA (KA(JT, 2, 6),JT=1,5) /
     &3.9286E+02,3.9463E+02,3.9616E+02,3.9748E+02,3.9858E+02/
      DATA (KA(JT, 3, 6),JT=1,5) /
     &3.9169E+02,3.9359E+02,3.9526E+02,3.9671E+02,3.9794E+02/
      DATA (KA(JT, 4, 6),JT=1,5) /
     &3.9034E+02,3.9239E+02,3.9421E+02,3.9580E+02,3.9717E+02/
      DATA (KA(JT, 5, 6),JT=1,5) /
     &3.8895E+02,3.9113E+02,3.9309E+02,3.9483E+02,3.9634E+02/
      DATA (KA(JT, 6, 6),JT=1,5) /
     &3.8742E+02,3.8975E+02,3.9185E+02,3.9373E+02,3.9539E+02/
      DATA (KA(JT, 7, 6),JT=1,5) /
     &3.8585E+02,3.8832E+02,3.9056E+02,3.9258E+02,3.9438E+02/
      DATA (KA(JT, 8, 6),JT=1,5) /
     &3.8426E+02,3.8686E+02,3.8924E+02,3.9140E+02,3.9333E+02/
      DATA (KA(JT, 9, 6),JT=1,5) /
     &3.8264E+02,3.8538E+02,3.8789E+02,3.9017E+02,3.9223E+02/
      DATA (KA(JT,10, 6),JT=1,5) /
     &3.8123E+02,3.8408E+02,3.8670E+02,3.8909E+02,3.9126E+02/
      DATA (KA(JT,11, 6),JT=1,5) /
     &3.8122E+02,3.8406E+02,3.8668E+02,3.8908E+02,3.9125E+02/
      DATA (KA(JT,12, 6),JT=1,5) /
     &3.8122E+02,3.8406E+02,3.8668E+02,3.8908E+02,3.9125E+02/
      DATA (KA(JT,13, 6),JT=1,5) /
     &3.8122E+02,3.8406E+02,3.8668E+02,3.8908E+02,3.9125E+02/
      DATA (KA(JT, 1, 7),JT=1,5) /
     &1.8202E+06,1.7771E+06,1.7382E+06,1.7034E+06,1.6716E+06/
      DATA (KA(JT, 2, 7),JT=1,5) /
     &6.3027E+02,6.3194E+02,6.3388E+02,6.3607E+02,6.3849E+02/
      DATA (KA(JT, 3, 7),JT=1,5) /
     &6.2938E+02,6.3090E+02,6.3268E+02,6.3472E+02,6.3701E+02/
      DATA (KA(JT, 4, 7),JT=1,5) /
     &6.2853E+02,6.2989E+02,6.3150E+02,6.3337E+02,6.3550E+02/
      DATA (KA(JT, 5, 7),JT=1,5) /
     &6.2781E+02,6.2901E+02,6.3046E+02,6.3217E+02,6.3413E+02/
      DATA (KA(JT, 6, 7),JT=1,5) /
     &6.2717E+02,6.2821E+02,6.2950E+02,6.3104E+02,6.3283E+02/
      DATA (KA(JT, 7, 7),JT=1,5) /
     &6.2666E+02,6.2753E+02,6.2867E+02,6.3005E+02,6.3168E+02/
      DATA (KA(JT, 8, 7),JT=1,5) /
     &6.2627E+02,6.2698E+02,6.2795E+02,6.2919E+02,6.3067E+02/
      DATA (KA(JT, 9, 7),JT=1,5) /
     &6.2600E+02,6.2653E+02,6.2735E+02,6.2844E+02,6.2978E+02/
      DATA (KA(JT,10, 7),JT=1,5) /
     &6.2583E+02,6.2624E+02,6.2692E+02,6.2788E+02,6.2910E+02/
      DATA (KA(JT,11, 7),JT=1,5) /
     &6.2583E+02,6.2623E+02,6.2691E+02,6.2787E+02,6.2909E+02/
      DATA (KA(JT,12, 7),JT=1,5) /
     &6.2583E+02,6.2623E+02,6.2691E+02,6.2787E+02,6.2909E+02/
      DATA (KA(JT,13, 7),JT=1,5) /
     &6.2583E+02,6.2623E+02,6.2691E+02,6.2787E+02,6.2909E+02/
      DATA (KA(JT, 1, 8),JT=1,5) /
     &5.5488E+06,5.4180E+06,5.3005E+06,5.1943E+06,5.0978E+06/
      DATA (KA(JT, 2, 8),JT=1,5) /
     &8.2143E+02,8.2232E+02,8.2327E+02,8.2429E+02,8.2541E+02/
      DATA (KA(JT, 3, 8),JT=1,5) /
     &8.2092E+02,8.2177E+02,8.2269E+02,8.2366E+02,8.2472E+02/
      DATA (KA(JT, 4, 8),JT=1,5) /
     &8.2041E+02,8.2121E+02,8.2209E+02,8.2303E+02,8.2402E+02/
      DATA (KA(JT, 5, 8),JT=1,5) /
     &8.1996E+02,8.2070E+02,8.2152E+02,8.2243E+02,8.2339E+02/
      DATA (KA(JT, 6, 8),JT=1,5) /
     &8.1952E+02,8.2021E+02,8.2098E+02,8.2184E+02,8.2277E+02/
      DATA (KA(JT, 7, 8),JT=1,5) /
     &8.1917E+02,8.1977E+02,8.2048E+02,8.2129E+02,8.2218E+02/
      DATA (KA(JT, 8, 8),JT=1,5) /
     &8.1881E+02,8.1938E+02,8.2004E+02,8.2080E+02,8.2163E+02/
      DATA (KA(JT, 9, 8),JT=1,5) /
     &8.1846E+02,8.1906E+02,8.1965E+02,8.2035E+02,8.2114E+02/
      DATA (KA(JT,10, 8),JT=1,5) /
     &8.1821E+02,8.1877E+02,8.1934E+02,8.2000E+02,8.2074E+02/
      DATA (KA(JT,11, 8),JT=1,5) /
     &8.1821E+02,8.1877E+02,8.1934E+02,8.1999E+02,8.2074E+02/
      DATA (KA(JT,12, 8),JT=1,5) /
     &8.1821E+02,8.1877E+02,8.1934E+02,8.1999E+02,8.2074E+02/
      DATA (KA(JT,13, 8),JT=1,5) /
     &8.1821E+02,8.1877E+02,8.1935E+02,8.1999E+02,8.2074E+02/
      DATA (KA(JT, 1, 9),JT=1,5) /
     &1.0204E+07,9.9477E+06,9.7209E+06,9.5103E+06,9.2960E+06/
      DATA (KA(JT, 2, 9),JT=1,5) /
     &9.5102E+02,9.5144E+02,9.5133E+02,9.5066E+02,9.4964E+02/
      DATA (KA(JT, 3, 9),JT=1,5) /
     &9.5048E+02,9.5118E+02,9.5136E+02,9.5103E+02,9.5020E+02/
      DATA (KA(JT, 4, 9),JT=1,5) /
     &9.4969E+02,9.5077E+02,9.5126E+02,9.5124E+02,9.5074E+02/
      DATA (KA(JT, 5, 9),JT=1,5) /
     &9.4872E+02,9.5015E+02,9.5101E+02,9.5129E+02,9.5105E+02/
      DATA (KA(JT, 6, 9),JT=1,5) /
     &9.4752E+02,9.4929E+02,9.5052E+02,9.5116E+02,9.5126E+02/
      DATA (KA(JT, 7, 9),JT=1,5) /
     &9.4612E+02,9.4825E+02,9.4981E+02,9.5083E+02,9.5126E+02/
      DATA (KA(JT, 8, 9),JT=1,5) /
     &9.4461E+02,9.4704E+02,9.4894E+02,9.5029E+02,9.5107E+02/
      DATA (KA(JT, 9, 9),JT=1,5) /
     &9.4291E+02,9.4567E+02,9.4791E+02,9.4957E+02,9.5069E+02/
      DATA (KA(JT,10, 9),JT=1,5) /
     &9.4135E+02,9.4441E+02,9.4689E+02,9.4884E+02,9.5022E+02/
      DATA (KA(JT,11, 9),JT=1,5) /
     &9.4133E+02,9.4440E+02,9.4688E+02,9.4883E+02,9.5021E+02/
      DATA (KA(JT,12, 9),JT=1,5) /
     &9.4133E+02,9.4438E+02,9.4688E+02,9.4883E+02,9.5021E+02/
      DATA (KA(JT,13, 9),JT=1,5) /
     &9.4133E+02,9.4438E+02,9.4687E+02,9.4883E+02,9.5021E+02/
      DATA (KA(JT, 1,10),JT=1,5) /
     &1.2764E+07,1.2408E+07,1.2012E+07,1.1438E+07,1.1217E+07/
      DATA (KA(JT, 2,10),JT=1,5) /
     &9.9589E+02,9.9493E+02,9.9263E+02,9.8974E+02,9.8742E+02/
      DATA (KA(JT, 3,10),JT=1,5) /
     &9.9532E+02,9.9571E+02,9.9447E+02,9.9207E+02,9.8779E+02/
      DATA (KA(JT, 4,10),JT=1,5) /
     &9.9446E+02,9.9559E+02,9.9536E+02,9.9386E+02,9.9088E+02/
      DATA (KA(JT, 5,10),JT=1,5) /
     &9.9288E+02,9.9493E+02,9.9558E+02,9.9487E+02,9.9336E+02/
      DATA (KA(JT, 6,10),JT=1,5) /
     &9.9069E+02,9.9366E+02,9.9519E+02,9.9534E+02,9.9428E+02/
      DATA (KA(JT, 7,10),JT=1,5) /
     &9.8811E+02,9.9191E+02,9.9430E+02,9.9510E+02,9.9504E+02/
      DATA (KA(JT, 8,10),JT=1,5) /
     &9.8531E+02,9.8996E+02,9.9300E+02,9.9479E+02,9.9513E+02/
      DATA (KA(JT, 9,10),JT=1,5) /
     &9.8264E+02,9.8737E+02,9.9138E+02,9.9390E+02,9.9503E+02/
      DATA (KA(JT,10,10),JT=1,5) /
     &9.8010E+02,9.8517E+02,9.8974E+02,9.9281E+02,9.9470E+02/
      DATA (KA(JT,11,10),JT=1,5) /
     &9.8010E+02,9.8509E+02,9.8985E+02,9.9280E+02,9.9468E+02/
      DATA (KA(JT,12,10),JT=1,5) /
     &9.8035E+02,9.8524E+02,9.8973E+02,9.9279E+02,9.9468E+02/
      DATA (KA(JT,13,10),JT=1,5) /
     &9.8012E+02,9.8526E+02,9.8973E+02,9.9279E+02,9.9468E+02/
      DATA (KA(JT, 1,11),JT=1,5) /
     &1.2266E+07,1.2000E+07,1.1724E+07,1.1828E+07,1.1523E+07/
      DATA (KA(JT, 2,11),JT=1,5) /
     &1.0001E+03,9.9984E+02,9.9745E+02,9.9535E+02,9.8599E+02/
      DATA (KA(JT, 3,11),JT=1,5) /
     &9.9963E+02,9.9927E+02,9.9848E+02,9.9596E+02,9.9390E+02/
      DATA (KA(JT, 4,11),JT=1,5) /
     &9.9904E+02,9.9942E+02,9.9870E+02,9.9747E+02,9.9542E+02/
      DATA (KA(JT, 5,11),JT=1,5) /
     &9.9826E+02,9.9927E+02,9.9919E+02,9.9821E+02,9.9627E+02/
      DATA (KA(JT, 6,11),JT=1,5) /
     &9.9730E+02,9.9882E+02,9.9938E+02,9.9902E+02,9.9764E+02/
      DATA (KA(JT, 7,11),JT=1,5) /
     &9.9551E+02,9.9810E+02,9.9919E+02,9.9961E+02,9.9863E+02/
      DATA (KA(JT, 8,11),JT=1,5) /
     &9.9324E+02,9.9688E+02,9.9871E+02,9.9940E+02,9.9942E+02/
      DATA (KA(JT, 9,11),JT=1,5) /
     &9.9058E+02,9.9489E+02,9.9773E+02,9.9912E+02,9.9954E+02/
      DATA (KA(JT,10,11),JT=1,5) /
     &9.8802E+02,9.9297E+02,9.9656E+02,9.9861E+02,9.9937E+02/
      DATA (KA(JT,11,11),JT=1,5) /
     &9.8800E+02,9.9310E+02,9.9655E+02,9.9860E+02,9.9936E+02/
      DATA (KA(JT,12,11),JT=1,5) /
     &9.8771E+02,9.9296E+02,9.9669E+02,9.9859E+02,9.9936E+02/
      DATA (KA(JT,13,11),JT=1,5) /
     &9.8800E+02,9.9296E+02,9.9655E+02,9.9859E+02,9.9936E+02/
      DATA (KA(JT, 1,12),JT=1,5) /
     &1.2503E+07,1.1946E+07,1.1557E+07,1.1503E+07,1.1901E+07/
      DATA (KA(JT, 2,12),JT=1,5) /
     &1.0015E+03,1.0004E+03,9.9932E+02,9.9373E+02,9.8591E+02/
      DATA (KA(JT, 3,12),JT=1,5) /
     &1.0024E+03,1.0021E+03,1.0003E+03,9.9817E+02,9.9146E+02/
      DATA (KA(JT, 4,12),JT=1,5) /
     &1.0022E+03,1.0027E+03,1.0021E+03,9.9956E+02,9.9610E+02/
      DATA (KA(JT, 5,12),JT=1,5) /
     &1.0024E+03,1.0024E+03,1.0028E+03,1.0015E+03,9.9826E+02/
      DATA (KA(JT, 6,12),JT=1,5) /
     &1.0017E+03,1.0025E+03,1.0025E+03,1.0023E+03,1.0008E+03/
      DATA (KA(JT, 7,12),JT=1,5) /
     &1.0005E+03,1.0020E+03,1.0028E+03,1.0028E+03,1.0019E+03/
      DATA (KA(JT, 8,12),JT=1,5) /
     &1.0000E+03,1.0010E+03,1.0024E+03,1.0029E+03,1.0023E+03/
      DATA (KA(JT, 9,12),JT=1,5) /
     &9.9906E+02,1.0004E+03,1.0018E+03,1.0029E+03,1.0028E+03/
      DATA (KA(JT,10,12),JT=1,5) /
     &9.9791E+02,9.9989E+02,1.0010E+03,1.0024E+03,1.0031E+03/
      DATA (KA(JT,11,12),JT=1,5) /
     &9.9769E+02,9.9967E+02,1.0008E+03,1.0024E+03,1.0029E+03/
      DATA (KA(JT,12,12),JT=1,5) /
     &9.9787E+02,9.9985E+02,1.0008E+03,1.0025E+03,1.0029E+03/
      DATA (KA(JT,13,12),JT=1,5) /
     &9.9768E+02,9.9984E+02,1.0012E+03,1.0026E+03,1.0029E+03/
      DATA (KA(JT, 1,13),JT=1,5) /
     &1.2359E+07,1.2469E+07,1.2868E+07,1.2776E+07,1.2590E+07/
      DATA (KA(JT, 2,13),JT=1,5) /
     &1.0045E+03,1.0033E+03,9.9840E+02,9.9184E+02,9.8861E+02/
      DATA (KA(JT, 3,13),JT=1,5) /
     &1.0050E+03,1.0041E+03,1.0024E+03,9.9701E+02,9.9083E+02/
      DATA (KA(JT, 4,13),JT=1,5) /
     &1.0053E+03,1.0043E+03,1.0035E+03,1.0017E+03,9.9538E+02/
      DATA (KA(JT, 5,13),JT=1,5) /
     &1.0048E+03,1.0056E+03,1.0038E+03,1.0026E+03,1.0008E+03/
      DATA (KA(JT, 6,13),JT=1,5) /
     &1.0042E+03,1.0054E+03,1.0054E+03,1.0039E+03,1.0017E+03/
      DATA (KA(JT, 7,13),JT=1,5) /
     &1.0029E+03,1.0046E+03,1.0055E+03,1.0046E+03,1.0033E+03/
      DATA (KA(JT, 8,13),JT=1,5) /
     &1.0002E+03,1.0039E+03,1.0051E+03,1.0054E+03,1.0046E+03/
      DATA (KA(JT, 9,13),JT=1,5) /
     &9.9825E+02,1.0019E+03,1.0043E+03,1.0051E+03,1.0052E+03/
      DATA (KA(JT,10,13),JT=1,5) /
     &9.9595E+02,9.9983E+02,1.0034E+03,1.0050E+03,1.0051E+03/
      DATA (KA(JT,11,13),JT=1,5) /
     &9.9621E+02,9.9979E+02,1.0034E+03,1.0050E+03,1.0054E+03/
      DATA (KA(JT,12,13),JT=1,5) /
     &9.9597E+02,9.9979E+02,1.0031E+03,1.0047E+03,1.0054E+03/
      DATA (KA(JT,13,13),JT=1,5) /
     &9.9623E+02,9.9978E+02,1.0031E+03,1.0047E+03,1.0054E+03/
      DATA (KA(JT, 1,14),JT=1,5) /
     &1.3636E+07,1.3818E+07,1.3518E+07,1.3266E+07,1.3048E+07/
      DATA (KA(JT, 2,14),JT=1,5) /
     &1.0049E+03,9.9946E+02,9.9774E+02,9.9774E+02,9.9771E+02/
      DATA (KA(JT, 3,14),JT=1,5) /
     &1.0051E+03,1.0068E+03,1.0007E+03,9.9775E+02,9.9778E+02/
      DATA (KA(JT, 4,14),JT=1,5) /
     &1.0071E+03,1.0061E+03,1.0050E+03,1.0005E+03,9.9776E+02/
      DATA (KA(JT, 5,14),JT=1,5) /
     &1.0067E+03,1.0072E+03,1.0061E+03,1.0044E+03,9.9972E+02/
      DATA (KA(JT, 6,14),JT=1,5) /
     &1.0049E+03,1.0070E+03,1.0074E+03,1.0057E+03,1.0037E+03/
      DATA (KA(JT, 7,14),JT=1,5) /
     &1.0033E+03,1.0063E+03,1.0072E+03,1.0067E+03,1.0050E+03/
      DATA (KA(JT, 8,14),JT=1,5) /
     &1.0025E+03,1.0048E+03,1.0068E+03,1.0071E+03,1.0062E+03/
      DATA (KA(JT, 9,14),JT=1,5) /
     &9.9880E+02,1.0031E+03,1.0060E+03,1.0071E+03,1.0069E+03/
      DATA (KA(JT,10,14),JT=1,5) /
     &9.9610E+02,1.0023E+03,1.0047E+03,1.0067E+03,1.0072E+03/
      DATA (KA(JT,11,14),JT=1,5) /
     &9.9601E+02,1.0023E+03,1.0047E+03,1.0067E+03,1.0072E+03/
      DATA (KA(JT,12,14),JT=1,5) /
     &9.9598E+02,1.0023E+03,1.0051E+03,1.0067E+03,1.0076E+03/
      DATA (KA(JT,13,14),JT=1,5) /
     &9.9596E+02,1.0027E+03,1.0047E+03,1.0067E+03,1.0072E+03/
      DATA (KA(JT, 1,15),JT=1,5) /
     &1.4285E+07,1.3947E+07,1.3644E+07,1.3317E+07,1.3015E+07/
      DATA (KA(JT, 2,15),JT=1,5) /
     &9.9932E+02,1.0011E+03,1.0018E+03,1.0007E+03,9.9706E+02/
      DATA (KA(JT, 3,15),JT=1,5) /
     &1.0097E+03,9.9743E+02,1.0015E+03,1.0018E+03,9.9920E+02/
      DATA (KA(JT, 4,15),JT=1,5) /
     &1.0099E+03,1.0076E+03,1.0030E+03,1.0017E+03,1.0013E+03/
      DATA (KA(JT, 5,15),JT=1,5) /
     &1.0075E+03,1.0079E+03,1.0073E+03,1.0035E+03,1.0018E+03/
      DATA (KA(JT, 6,15),JT=1,5) /
     &1.0068E+03,1.0088E+03,1.0068E+03,1.0090E+03,1.0033E+03/
      DATA (KA(JT, 7,15),JT=1,5) /
     &1.0057E+03,1.0073E+03,1.0090E+03,1.0087E+03,1.0062E+03/
      DATA (KA(JT, 8,15),JT=1,5) /
     &1.0010E+03,1.0054E+03,1.0076E+03,1.0079E+03,1.0072E+03/
      DATA (KA(JT, 9,15),JT=1,5) /
     &9.9853E+02,1.0054E+03,1.0071E+03,1.0079E+03,1.0078E+03/
      DATA (KA(JT,10,15),JT=1,5) /
     &9.9742E+02,1.0007E+03,1.0064E+03,1.0076E+03,1.0080E+03/
      DATA (KA(JT,11,15),JT=1,5) /
     &9.9635E+02,1.0006E+03,1.0064E+03,1.0087E+03,1.0090E+03/
      DATA (KA(JT,12,15),JT=1,5) /
     &9.9635E+02,1.0006E+03,1.0064E+03,1.0087E+03,1.0069E+03/
      DATA (KA(JT,13,15),JT=1,5) /
     &9.9635E+02,9.9960E+02,1.0064E+03,1.0076E+03,1.0080E+03/
      DATA (KA(JT, 1,16),JT=1,5) /
     &1.4326E+07,1.3988E+07,1.3684E+07,1.3409E+07,1.3021E+07/
      DATA (KA(JT, 2,16),JT=1,5) /
     &1.0008E+03,1.0027E+03,1.0036E+03,1.0037E+03,9.9673E+02/
      DATA (KA(JT, 3,16),JT=1,5) /
     &9.9286E+02,1.0016E+03,1.0031E+03,1.0038E+03,1.0035E+03/
      DATA (KA(JT, 4,16),JT=1,5) /
     &9.9278E+02,1.0078E+03,1.0023E+03,1.0035E+03,1.0038E+03/
      DATA (KA(JT, 5,16),JT=1,5) /
     &1.0074E+03,1.0079E+03,1.0075E+03,1.0028E+03,1.0037E+03/
      DATA (KA(JT, 6,16),JT=1,5) /
     &1.0069E+03,1.0002E+03,1.0079E+03,9.9212E+02,1.0032E+03/
      DATA (KA(JT, 7,16),JT=1,5) /
     &1.0060E+03,1.0072E+03,1.0004E+03,1.0003E+03,1.0063E+03/
      DATA (KA(JT, 8,16),JT=1,5) /
     &1.0009E+03,1.0066E+03,1.0075E+03,1.0080E+03,1.0074E+03/
      DATA (KA(JT, 9,16),JT=1,5) /
     &9.9860E+02,1.0057E+03,1.0071E+03,1.0078E+03,1.0079E+03/
      DATA (KA(JT,10,16),JT=1,5) /
     &9.8908E+02,1.0006E+03,1.0065E+03,1.0075E+03,1.0080E+03/
      DATA (KA(JT,11,16),JT=1,5) /
     &9.9644E+02,1.0006E+03,1.0065E+03,1.0000E+03,1.0005E+03/
      DATA (KA(JT,12,16),JT=1,5) /
     &9.9644E+02,1.0006E+03,1.0065E+03,1.0000E+03,1.0080E+03/
      DATA (KA(JT,13,16),JT=1,5) /
     &9.9644E+02,1.0006E+03,1.0065E+03,1.0075E+03,1.0080E+03/

      DATA (KB(JT,13, 1),JT=1,5) /
     &1.6036E-01,1.6399E-01,1.7198E-01,1.8455E-01,2.0173E-01/
      DATA (KB(JT,14, 1),JT=1,5) /
     &1.6050E-01,1.6454E-01,1.7292E-01,1.8592E-01,2.0351E-01/
      DATA (KB(JT,15, 1),JT=1,5) /
     &1.6071E-01,1.6519E-01,1.7400E-01,1.8750E-01,2.0554E-01/
      DATA (KB(JT,16, 1),JT=1,5) /
     &1.6098E-01,1.6593E-01,1.7517E-01,1.8921E-01,2.0772E-01/
      DATA (KB(JT,17, 1),JT=1,5) /
     &1.6129E-01,1.6670E-01,1.7642E-01,1.9093E-01,2.0991E-01/
      DATA (KB(JT,18, 1),JT=1,5) /
     &1.6164E-01,1.6750E-01,1.7771E-01,1.9267E-01,2.1211E-01/
      DATA (KB(JT,19, 1),JT=1,5) /
     &1.6203E-01,1.6832E-01,1.7901E-01,1.9443E-01,2.1431E-01/
      DATA (KB(JT,20, 1),JT=1,5) /
     &1.6255E-01,1.6934E-01,1.8059E-01,1.9653E-01,2.1694E-01/
      DATA (KB(JT,21, 1),JT=1,5) /
     &1.6313E-01,1.7044E-01,1.8225E-01,1.9873E-01,2.1967E-01/
      DATA (KB(JT,22, 1),JT=1,5) /
     &1.6416E-01,1.7227E-01,1.8498E-01,2.0229E-01,2.2406E-01/
      DATA (KB(JT,23, 1),JT=1,5) /
     &1.6539E-01,1.7431E-01,1.8796E-01,2.0612E-01,2.2875E-01/
      DATA (KB(JT,24, 1),JT=1,5) /
     &1.6684E-01,1.7666E-01,1.9125E-01,2.1032E-01,2.3385E-01/
      DATA (KB(JT,25, 1),JT=1,5) /
     &1.6856E-01,1.7939E-01,1.9493E-01,2.1495E-01,2.3943E-01/
      DATA (KB(JT,26, 1),JT=1,5) /
     &1.7067E-01,1.8260E-01,1.9919E-01,2.2024E-01,2.4578E-01/
      DATA (KB(JT,27, 1),JT=1,5) /
     &1.7306E-01,1.8613E-01,2.0377E-01,2.2588E-01,2.5248E-01/
      DATA (KB(JT,28, 1),JT=1,5) /
     &1.7570E-01,1.8994E-01,2.0865E-01,2.3184E-01,2.5952E-01/
      DATA (KB(JT,29, 1),JT=1,5) /
     &1.7882E-01,1.9417E-01,2.1399E-01,2.3828E-01,2.6708E-01/
      DATA (KB(JT,30, 1),JT=1,5) /
     &1.8223E-01,1.9870E-01,2.1964E-01,2.4505E-01,2.7492E-01/
      DATA (KB(JT,31, 1),JT=1,5) /
     &1.8602E-01,2.0364E-01,2.2572E-01,2.5229E-01,2.8325E-01/
      DATA (KB(JT,32, 1),JT=1,5) /
     &1.9018E-01,2.0895E-01,2.3219E-01,2.5994E-01,2.9200E-01/
      DATA (KB(JT,33, 1),JT=1,5) /
     &1.9466E-01,2.1461E-01,2.3902E-01,2.6795E-01,3.0114E-01/
      DATA (KB(JT,34, 1),JT=1,5) /
     &1.9880E-01,2.1976E-01,2.4520E-01,2.7509E-01,3.0932E-01/
      DATA (KB(JT,35, 1),JT=1,5) /
     &2.0129E-01,2.2283E-01,2.4886E-01,2.7931E-01,3.1412E-01/
      DATA (KB(JT,36, 1),JT=1,5) /
     &2.0170E-01,2.2334E-01,2.4946E-01,2.8000E-01,3.1492E-01/
      DATA (KB(JT,37, 1),JT=1,5) /
     &1.9920E-01,2.2026E-01,2.4579E-01,2.7578E-01,3.1010E-01/
      DATA (KB(JT,38, 1),JT=1,5) /
     &1.9662E-01,2.1706E-01,2.4197E-01,2.7135E-01,3.0504E-01/
      DATA (KB(JT,39, 1),JT=1,5) /
     &1.9414E-01,2.1396E-01,2.3824E-01,2.6704E-01,3.0010E-01/
      DATA (KB(JT,40, 1),JT=1,5) /
     &1.9003E-01,2.0877E-01,2.3197E-01,2.5968E-01,2.9171E-01/
      DATA (KB(JT,41, 1),JT=1,5) /
     &1.8597E-01,2.0357E-01,2.2564E-01,2.5219E-01,2.8314E-01/
      DATA (KB(JT,42, 1),JT=1,5) /
     &1.8220E-01,1.9865E-01,2.1958E-01,2.4498E-01,2.7484E-01/
      DATA (KB(JT,43, 1),JT=1,5) /
     &1.7798E-01,1.9304E-01,2.1257E-01,2.3657E-01,2.6510E-01/
      DATA (KB(JT,44, 1),JT=1,5) /
     &1.7397E-01,1.8746E-01,2.0548E-01,2.2798E-01,2.5496E-01/
      DATA (KB(JT,45, 1),JT=1,5) /
     &1.7053E-01,1.8239E-01,1.9890E-01,2.1989E-01,2.4535E-01/
      DATA (KB(JT,46, 1),JT=1,5) /
     &1.6739E-01,1.7754E-01,1.9245E-01,2.1183E-01,2.3568E-01/
      DATA (KB(JT,47, 1),JT=1,5) /
     &1.6454E-01,1.7292E-01,1.8592E-01,2.0351E-01,2.2556E-01/
      DATA (KB(JT,48, 1),JT=1,5) /
     &1.6239E-01,1.6903E-01,1.8011E-01,1.9590E-01,2.1615E-01/
      DATA (KB(JT,49, 1),JT=1,5) /
     &1.6095E-01,1.6584E-01,1.7504E-01,1.8902E-01,2.0747E-01/
      DATA (KB(JT,50, 1),JT=1,5) /
     &1.6025E-01,1.6348E-01,1.7109E-01,1.8322E-01,2.0000E-01/
      DATA (KB(JT,51, 1),JT=1,5) /
     &1.6021E-01,1.6179E-01,1.6781E-01,1.7821E-01,1.9335E-01/
      DATA (KB(JT,52, 1),JT=1,5) /
     &1.6078E-01,1.6068E-01,1.6511E-01,1.7387E-01,1.8731E-01/
      DATA (KB(JT,53, 1),JT=1,5) /
     &1.6197E-01,1.6018E-01,1.6299E-01,1.7017E-01,1.8186E-01/
      DATA (KB(JT,54, 1),JT=1,5) /
     &1.6362E-01,1.6026E-01,1.6155E-01,1.6729E-01,1.7738E-01/
      DATA (KB(JT,55, 1),JT=1,5) /
     &1.6570E-01,1.6083E-01,1.6064E-01,1.6498E-01,1.7365E-01/
      DATA (KB(JT,56, 1),JT=1,5) /
     &1.6825E-01,1.6187E-01,1.6020E-01,1.6311E-01,1.7041E-01/
      DATA (KB(JT,57, 1),JT=1,5) /
     &1.7129E-01,1.6340E-01,1.6023E-01,1.6169E-01,1.6761E-01/
      DATA (KB(JT,58, 1),JT=1,5) /
     &1.7462E-01,1.6529E-01,1.6069E-01,1.6077E-01,1.6535E-01/
      DATA (KB(JT,59, 1),JT=1,5) /
     &1.7607E-01,1.6617E-01,1.6100E-01,1.6051E-01,1.6456E-01/
      DATA (KB(JT,13, 2),JT=1,5) /
     &1.7525E+00,1.7727E+00,1.8119E+00,1.8712E+00,1.9491E+00/
      DATA (KB(JT,14, 2),JT=1,5) /
     &1.7536E+00,1.7755E+00,1.8165E+00,1.8775E+00,1.9571E+00/
      DATA (KB(JT,15, 2),JT=1,5) /
     &1.7549E+00,1.7787E+00,1.8219E+00,1.8847E+00,1.9662E+00/
      DATA (KB(JT,16, 2),JT=1,5) /
     &1.7565E+00,1.7819E+00,1.8278E+00,1.8925E+00,1.9761E+00/
      DATA (KB(JT,17, 2),JT=1,5) /
     &1.7583E+00,1.7850E+00,1.8336E+00,1.9003E+00,1.9859E+00/
      DATA (KB(JT,18, 2),JT=1,5) /
     &1.7603E+00,1.7891E+00,1.8396E+00,1.9082E+00,1.9957E+00/
      DATA (KB(JT,19, 2),JT=1,5) /
     &1.7624E+00,1.7934E+00,1.8457E+00,1.9162E+00,2.0056E+00/
      DATA (KB(JT,20, 2),JT=1,5) /
     &1.7652E+00,1.7986E+00,1.8530E+00,1.9257E+00,2.0174E+00/
      DATA (KB(JT,21, 2),JT=1,5) /
     &1.7683E+00,1.8042E+00,1.8607E+00,1.9356E+00,2.0296E+00/
      DATA (KB(JT,22, 2),JT=1,5) /
     &1.7736E+00,1.8133E+00,1.8732E+00,1.9516E+00,2.0492E+00/
      DATA (KB(JT,23, 2),JT=1,5) /
     &1.7796E+00,1.8234E+00,1.8868E+00,1.9689E+00,2.0702E+00/
      DATA (KB(JT,24, 2),JT=1,5) /
     &1.7857E+00,1.8347E+00,1.9018E+00,1.9877E+00,2.0929E+00/
      DATA (KB(JT,25, 2),JT=1,5) /
     &1.7946E+00,1.8475E+00,1.9185E+00,2.0085E+00,2.1178E+00/
      DATA (KB(JT,26, 2),JT=1,5) /
     &1.8053E+00,1.8623E+00,1.9377E+00,2.0322E+00,2.1460E+00/
      DATA (KB(JT,27, 2),JT=1,5) /
     &1.8172E+00,1.8785E+00,1.9583E+00,2.0574E+00,2.1757E+00/
      DATA (KB(JT,28, 2),JT=1,5) /
     &1.8303E+00,1.8959E+00,1.9802E+00,2.0839E+00,2.2069E+00/
      DATA (KB(JT,29, 2),JT=1,5) /
     &1.8448E+00,1.9150E+00,2.0042E+00,2.1126E+00,2.2404E+00/
      DATA (KB(JT,30, 2),JT=1,5) /
     &1.8606E+00,1.9355E+00,2.0295E+00,2.1428E+00,2.2754E+00/
      DATA (KB(JT,31, 2),JT=1,5) /
     &1.8780E+00,1.9577E+00,2.0566E+00,2.1749E+00,2.3125E+00/
      DATA (KB(JT,32, 2),JT=1,5) /
     &1.8969E+00,1.9816E+00,2.0855E+00,2.2088E+00,2.3514E+00/
      DATA (KB(JT,33, 2),JT=1,5) /
     &1.9172E+00,2.0069E+00,2.1160E+00,2.2443E+00,2.3920E+00/
      DATA (KB(JT,34, 2),JT=1,5) /
     &1.9359E+00,2.0300E+00,2.1434E+00,2.2762E+00,2.4282E+00/
      DATA (KB(JT,35, 2),JT=1,5) /
     &1.9471E+00,2.0437E+00,2.1597E+00,2.2949E+00,2.4495E+00/
      DATA (KB(JT,36, 2),JT=1,5) /
     &1.9490E+00,2.0460E+00,2.1624E+00,2.2980E+00,2.4530E+00/
      DATA (KB(JT,37, 2),JT=1,5) /
     &1.9377E+00,2.0322E+00,2.1461E+00,2.2792E+00,2.4317E+00/
      DATA (KB(JT,38, 2),JT=1,5) /
     &1.9261E+00,2.0179E+00,2.1291E+00,2.2595E+00,2.4093E+00/
      DATA (KB(JT,39, 2),JT=1,5) /
     &1.9149E+00,2.0040E+00,2.1125E+00,2.2402E+00,2.3873E+00/
      DATA (KB(JT,40, 2),JT=1,5) /
     &1.8963E+00,1.9807E+00,2.0845E+00,2.2076E+00,2.3501E+00/
      DATA (KB(JT,41, 2),JT=1,5) /
     &1.8778E+00,1.9574E+00,2.0563E+00,2.1745E+00,2.3120E+00/
      DATA (KB(JT,42, 2),JT=1,5) /
     &1.8604E+00,1.9352E+00,2.0292E+00,2.1425E+00,2.2750E+00/
      DATA (KB(JT,43, 2),JT=1,5) /
     &1.8409E+00,1.9099E+00,1.9978E+00,2.1050E+00,2.2315E+00/
      DATA (KB(JT,44, 2),JT=1,5) /
     &1.8217E+00,1.8845E+00,1.9660E+00,2.0667E+00,2.1867E+00/
      DATA (KB(JT,45, 2),JT=1,5) /
     &1.8046E+00,1.8613E+00,1.9364E+00,2.0306E+00,2.1441E+00/
      DATA (KB(JT,46, 2),JT=1,5) /
     &1.7886E+00,1.8389E+00,1.9072E+00,1.9945E+00,2.1011E+00/
      DATA (KB(JT,47, 2),JT=1,5) /
     &1.7755E+00,1.8165E+00,1.8775E+00,1.9571E+00,2.0559E+00/
      DATA (KB(JT,48, 2),JT=1,5) /
     &1.7644E+00,1.7970E+00,1.8508E+00,1.9228E+00,2.0139E+00/
      DATA (KB(JT,49, 2),JT=1,5) /
     &1.7563E+00,1.7816E+00,1.8271E+00,1.8916E+00,1.9749E+00/
      DATA (KB(JT,50, 2),JT=1,5) /
     &1.7517E+00,1.7702E+00,1.8074E+00,1.8651E+00,1.9413E+00/
      DATA (KB(JT,51, 2),JT=1,5) /
     &1.7504E+00,1.7611E+00,1.7908E+00,1.8420E+00,1.9113E+00/
      DATA (KB(JT,52, 2),JT=1,5) /
     &1.7523E+00,1.7547E+00,1.7783E+00,1.8212E+00,1.8839E+00/
      DATA (KB(JT,53, 2),JT=1,5) /
     &1.7566E+00,1.7510E+00,1.7675E+00,1.8028E+00,1.8589E+00/
      DATA (KB(JT,54, 2),JT=1,5) /
     &1.7623E+00,1.7507E+00,1.7598E+00,1.7881E+00,1.8381E+00/
      DATA (KB(JT,55, 2),JT=1,5) /
     &1.7691E+00,1.7524E+00,1.7544E+00,1.7777E+00,1.8201E+00/
      DATA (KB(JT,56, 2),JT=1,5) /
     &1.7776E+00,1.7562E+00,1.7512E+00,1.7682E+00,1.8040E+00/
      DATA (KB(JT,57, 2),JT=1,5) /
     &1.7881E+00,1.7616E+00,1.7505E+00,1.7606E+00,1.7897E+00/
      DATA (KB(JT,58, 2),JT=1,5) /
     &1.7996E+00,1.7678E+00,1.7520E+00,1.7552E+00,1.7794E+00/
      DATA (KB(JT,59, 2),JT=1,5) /
     &1.8045E+00,1.7707E+00,1.7530E+00,1.7536E+00,1.7756E+00/
      DATA (KB(JT,13, 3),JT=1,5) /
     &1.0945E+01,1.1052E+01,1.1222E+01,1.1452E+01,1.1744E+01/
      DATA (KB(JT,14, 3),JT=1,5) /
     &1.0952E+01,1.1065E+01,1.1240E+01,1.1476E+01,1.1774E+01/
      DATA (KB(JT,15, 3),JT=1,5) /
     &1.0961E+01,1.1080E+01,1.1261E+01,1.1503E+01,1.1807E+01/
      DATA (KB(JT,16, 3),JT=1,5) /
     &1.0971E+01,1.1097E+01,1.1284E+01,1.1533E+01,1.1844E+01/
      DATA (KB(JT,17, 3),JT=1,5) /
     &1.0981E+01,1.1115E+01,1.1307E+01,1.1562E+01,1.1879E+01/
      DATA (KB(JT,18, 3),JT=1,5) /
     &1.0992E+01,1.1132E+01,1.1331E+01,1.1592E+01,1.1915E+01/
      DATA (KB(JT,19, 3),JT=1,5) /
     &1.1003E+01,1.1149E+01,1.1354E+01,1.1622E+01,1.1951E+01/
      DATA (KB(JT,20, 3),JT=1,5) /
     &1.1017E+01,1.1170E+01,1.1382E+01,1.1657E+01,1.1994E+01/
      DATA (KB(JT,21, 3),JT=1,5) /
     &1.1031E+01,1.1192E+01,1.1412E+01,1.1694E+01,1.2038E+01/
      DATA (KB(JT,22, 3),JT=1,5) /
     &1.1056E+01,1.1228E+01,1.1460E+01,1.1754E+01,1.2109E+01/
      DATA (KB(JT,23, 3),JT=1,5) /
     &1.1085E+01,1.1267E+01,1.1511E+01,1.1817E+01,1.2184E+01/
      DATA (KB(JT,24, 3),JT=1,5) /
     &1.1118E+01,1.1312E+01,1.1568E+01,1.1886E+01,1.2266E+01/
      DATA (KB(JT,25, 3),JT=1,5) /
     &1.1154E+01,1.1361E+01,1.1630E+01,1.1962E+01,1.2354E+01/
      DATA (KB(JT,26, 3),JT=1,5) /
     &1.1196E+01,1.1418E+01,1.1702E+01,1.2048E+01,1.2455E+01/
      DATA (KB(JT,27, 3),JT=1,5) /
     &1.1243E+01,1.1480E+01,1.1778E+01,1.2138E+01,1.2560E+01/
      DATA (KB(JT,28, 3),JT=1,5) /
     &1.1294E+01,1.1545E+01,1.1859E+01,1.2234E+01,1.2670E+01/
      DATA (KB(JT,29, 3),JT=1,5) /
     &1.1351E+01,1.1617E+01,1.1946E+01,1.2336E+01,1.2788E+01/
      DATA (KB(JT,30, 3),JT=1,5) /
     &1.1411E+01,1.1694E+01,1.2038E+01,1.2443E+01,1.2910E+01/
      DATA (KB(JT,31, 3),JT=1,5) /
     &1.1478E+01,1.1776E+01,1.2136E+01,1.2557E+01,1.3040E+01/
      DATA (KB(JT,32, 3),JT=1,5) /
     &1.1549E+01,1.1864E+01,1.2239E+01,1.2677E+01,1.3175E+01/
      DATA (KB(JT,33, 3),JT=1,5) /
     &1.1626E+01,1.1956E+01,1.2348E+01,1.2801E+01,1.3316E+01/
      DATA (KB(JT,34, 3),JT=1,5) /
     &1.1695E+01,1.2040E+01,1.2446E+01,1.2913E+01,1.3442E+01/
      DATA (KB(JT,35, 3),JT=1,5) /
     &1.1737E+01,1.2089E+01,1.2503E+01,1.2979E+01,1.3515E+01/
      DATA (KB(JT,36, 3),JT=1,5) /
     &1.1744E+01,1.2098E+01,1.2513E+01,1.2989E+01,1.3528E+01/
      DATA (KB(JT,37, 3),JT=1,5) /
     &1.1702E+01,1.2048E+01,1.2455E+01,1.2924E+01,1.3454E+01/
      DATA (KB(JT,38, 3),JT=1,5) /
     &1.1659E+01,1.1996E+01,1.2395E+01,1.2855E+01,1.3376E+01/
      DATA (KB(JT,39, 3),JT=1,5) /
     &1.1617E+01,1.1946E+01,1.2336E+01,1.2787E+01,1.3300E+01/
      DATA (KB(JT,40, 3),JT=1,5) /
     &1.1547E+01,1.1861E+01,1.2236E+01,1.2673E+01,1.3171E+01/
      DATA (KB(JT,41, 3),JT=1,5) /
     &1.1477E+01,1.1775E+01,1.2134E+01,1.2555E+01,1.3038E+01/
      DATA (KB(JT,42, 3),JT=1,5) /
     &1.1411E+01,1.1693E+01,1.2037E+01,1.2442E+01,1.2909E+01/
      DATA (KB(JT,43, 3),JT=1,5) /
     &1.1335E+01,1.1598E+01,1.1923E+01,1.2309E+01,1.2757E+01/
      DATA (KB(JT,44, 3),JT=1,5) /
     &1.1261E+01,1.1503E+01,1.1807E+01,1.2172E+01,1.2599E+01/
      DATA (KB(JT,45, 3),JT=1,5) /
     &1.1193E+01,1.1414E+01,1.1697E+01,1.2042E+01,1.2448E+01/
      DATA (KB(JT,46, 3),JT=1,5) /
     &1.1129E+01,1.1328E+01,1.1588E+01,1.1911E+01,1.2295E+01/
      DATA (KB(JT,47, 3),JT=1,5) /
     &1.1065E+01,1.1240E+01,1.1476E+01,1.1774E+01,1.2133E+01/
      DATA (KB(JT,48, 3),JT=1,5) /
     &1.1012E+01,1.1163E+01,1.1374E+01,1.1647E+01,1.1981E+01/
      DATA (KB(JT,49, 3),JT=1,5) /
     &1.0969E+01,1.1095E+01,1.1282E+01,1.1530E+01,1.1839E+01/
      DATA (KB(JT,50, 3),JT=1,5) /
     &1.0938E+01,1.1040E+01,1.1204E+01,1.1429E+01,1.1715E+01/
      DATA (KB(JT,51, 3),JT=1,5) /
     &1.0916E+01,1.0996E+01,1.1138E+01,1.1340E+01,1.1604E+01/
      DATA (KB(JT,52, 3),JT=1,5) /
     &1.0900E+01,1.0960E+01,1.1079E+01,1.1259E+01,1.1500E+01/
      DATA (KB(JT,53, 3),JT=1,5) /
     &1.0894E+01,1.0932E+01,1.1028E+01,1.1186E+01,1.1405E+01/
      DATA (KB(JT,54, 3),JT=1,5) /
     &1.0895E+01,1.0912E+01,1.0989E+01,1.1127E+01,1.1325E+01/
      DATA (KB(JT,55, 3),JT=1,5) /
     &1.0903E+01,1.0900E+01,1.0958E+01,1.1075E+01,1.1255E+01/
      DATA (KB(JT,56, 3),JT=1,5) /
     &1.0921E+01,1.0894E+01,1.0933E+01,1.1031E+01,1.1191E+01/
      DATA (KB(JT,57, 3),JT=1,5) /
     &1.0944E+01,1.0894E+01,1.0914E+01,1.0993E+01,1.1134E+01/
      DATA (KB(JT,58, 3),JT=1,5) /
     &1.0972E+01,1.0901E+01,1.0902E+01,1.0963E+01,1.1084E+01/
      DATA (KB(JT,59, 3),JT=1,5) /
     &1.0984E+01,1.0906E+01,1.0898E+01,1.0952E+01,1.1066E+01/
      DATA (KB(JT,13, 4),JT=1,5) /
     &5.1563E+01,5.1946E+01,5.2464E+01,5.3116E+01,5.3902E+01/
      DATA (KB(JT,14, 4),JT=1,5) /
     &5.1593E+01,5.1987E+01,5.2517E+01,5.3182E+01,5.3980E+01/
      DATA (KB(JT,15, 4),JT=1,5) /
     &5.1626E+01,5.2035E+01,5.2579E+01,5.3256E+01,5.4069E+01/
      DATA (KB(JT,16, 4),JT=1,5) /
     &5.1664E+01,5.2087E+01,5.2644E+01,5.3337E+01,5.4163E+01/
      DATA (KB(JT,17, 4),JT=1,5) /
     &5.1701E+01,5.2138E+01,5.2710E+01,5.3416E+01,5.4257E+01/
      DATA (KB(JT,18, 4),JT=1,5) /
     &5.1740E+01,5.2191E+01,5.2776E+01,5.3496E+01,5.4351E+01/
      DATA (KB(JT,19, 4),JT=1,5) /
     &5.1779E+01,5.2244E+01,5.2843E+01,5.3576E+01,5.4444E+01/
      DATA (KB(JT,20, 4),JT=1,5) /
     &5.1827E+01,5.2307E+01,5.2922E+01,5.3671E+01,5.4555E+01/
      DATA (KB(JT,21, 4),JT=1,5) /
     &5.1877E+01,5.2373E+01,5.3004E+01,5.3770E+01,5.4669E+01/
      DATA (KB(JT,22, 4),JT=1,5) /
     &5.1959E+01,5.2481E+01,5.3136E+01,5.3927E+01,5.4851E+01/
      DATA (KB(JT,23, 4),JT=1,5) /
     &5.2049E+01,5.2596E+01,5.3278E+01,5.4094E+01,5.5044E+01/
      DATA (KB(JT,24, 4),JT=1,5) /
     &5.2148E+01,5.2723E+01,5.3431E+01,5.4274E+01,5.5252E+01/
      DATA (KB(JT,25, 4),JT=1,5) /
     &5.2259E+01,5.2862E+01,5.3599E+01,5.4471E+01,5.5477E+01/
      DATA (KB(JT,26, 4),JT=1,5) /
     &5.2387E+01,5.3022E+01,5.3790E+01,5.4693E+01,5.5730E+01/
      DATA (KB(JT,27, 4),JT=1,5) /
     &5.2525E+01,5.3191E+01,5.3992E+01,5.4926E+01,5.5995E+01/
      DATA (KB(JT,28, 4),JT=1,5) /
     &5.2672E+01,5.3371E+01,5.4203E+01,5.5170E+01,5.6271E+01/
      DATA (KB(JT,29, 4),JT=1,5) /
     &5.2833E+01,5.3565E+01,5.4430E+01,5.5430E+01,5.6565E+01/
      DATA (KB(JT,30, 4),JT=1,5) /
     &5.3003E+01,5.3768E+01,5.4668E+01,5.5702E+01,5.6870E+01/
      DATA (KB(JT,31, 4),JT=1,5) /
     &5.3186E+01,5.3986E+01,5.4920E+01,5.5988E+01,5.7190E+01/
      DATA (KB(JT,32, 4),JT=1,5) /
     &5.3381E+01,5.4216E+01,5.5184E+01,5.6287E+01,5.7525E+01/
      DATA (KB(JT,33, 4),JT=1,5) /
     &5.3587E+01,5.4457E+01,5.5460E+01,5.6599E+01,5.7871E+01/
      DATA (KB(JT,34, 4),JT=1,5) /
     &5.3773E+01,5.4673E+01,5.5707E+01,5.6876E+01,5.8179E+01/
      DATA (KB(JT,35, 4),JT=1,5) /
     &5.3883E+01,5.4800E+01,5.5852E+01,5.7039E+01,5.8359E+01/
      DATA (KB(JT,36, 4),JT=1,5) /
     &5.3901E+01,5.4822E+01,5.5876E+01,5.7066E+01,5.8389E+01/
      DATA (KB(JT,37, 4),JT=1,5) /
     &5.3791E+01,5.4694E+01,5.5731E+01,5.6903E+01,5.8208E+01/
      DATA (KB(JT,38, 4),JT=1,5) /
     &5.3676E+01,5.4560E+01,5.5578E+01,5.6731E+01,5.8018E+01/
      DATA (KB(JT,39, 4),JT=1,5) /
     &5.3563E+01,5.4429E+01,5.5429E+01,5.6563E+01,5.7832E+01/
      DATA (KB(JT,40, 4),JT=1,5) /
     &5.3375E+01,5.4208E+01,5.5175E+01,5.6277E+01,5.7513E+01/
      DATA (KB(JT,41, 4),JT=1,5) /
     &5.3184E+01,5.3983E+01,5.4916E+01,5.5984E+01,5.7186E+01/
      DATA (KB(JT,42, 4),JT=1,5) /
     &5.3001E+01,5.3766E+01,5.4665E+01,5.5699E+01,5.6866E+01/
      DATA (KB(JT,43, 4),JT=1,5) /
     &5.2790E+01,5.3513E+01,5.4370E+01,5.5362E+01,5.6488E+01/
      DATA (KB(JT,44, 4),JT=1,5) /
     &5.2577E+01,5.3254E+01,5.4066E+01,5.5012E+01,5.6093E+01/
      DATA (KB(JT,45, 4),JT=1,5) /
     &5.2379E+01,5.3011E+01,5.3777E+01,5.4678E+01,5.5713E+01/
      DATA (KB(JT,46, 4),JT=1,5) /
     &5.2184E+01,5.2768E+01,5.3486E+01,5.4339E+01,5.5326E+01/
      DATA (KB(JT,47, 4),JT=1,5) /
     &5.1987E+01,5.2517E+01,5.3182E+01,5.3980E+01,5.4913E+01/
      DATA (KB(JT,48, 4),JT=1,5) /
     &5.1812E+01,5.2288E+01,5.2898E+01,5.3643E+01,5.4522E+01/
      DATA (KB(JT,49, 4),JT=1,5) /
     &5.1659E+01,5.2081E+01,5.2637E+01,5.3327E+01,5.4152E+01/
      DATA (KB(JT,50, 4),JT=1,5) /
     &5.1535E+01,5.1906E+01,5.2412E+01,5.3052E+01,5.3826E+01/
      DATA (KB(JT,51, 4),JT=1,5) /
     &5.1433E+01,5.1755E+01,5.2211E+01,5.2802E+01,5.3527E+01/
      DATA (KB(JT,52, 4),JT=1,5) /
     &5.1349E+01,5.1622E+01,5.2029E+01,5.2571E+01,5.3247E+01/
      DATA (KB(JT,53, 4),JT=1,5) /
     &5.1285E+01,5.1507E+01,5.1865E+01,5.2358E+01,5.2985E+01/
      DATA (KB(JT,54, 4),JT=1,5) /
     &5.1240E+01,5.1417E+01,5.1730E+01,5.2178E+01,5.2760E+01/
      DATA (KB(JT,55, 4),JT=1,5) /
     &5.1211E+01,5.1346E+01,5.1615E+01,5.2020E+01,5.2559E+01/
      DATA (KB(JT,56, 4),JT=1,5) /
     &5.1194E+01,5.1288E+01,5.1514E+01,5.1875E+01,5.2371E+01/
      DATA (KB(JT,57, 4),JT=1,5) /
     &5.1190E+01,5.1245E+01,5.1426E+01,5.1746E+01,5.2198E+01/
      DATA (KB(JT,58, 4),JT=1,5) /
     &5.1200E+01,5.1216E+01,5.1357E+01,5.1635E+01,5.2046E+01/
      DATA (KB(JT,59, 4),JT=1,5) /
     &5.1207E+01,5.1207E+01,5.1333E+01,5.1594E+01,5.1989E+01/
      DATA (KB(JT,13, 5),JT=1,5) /
     &1.7051E+02,1.7168E+02,1.7297E+02,1.7437E+02,1.7590E+02/
      DATA (KB(JT,14, 5),JT=1,5) /
     &1.7061E+02,1.7179E+02,1.7309E+02,1.7451E+02,1.7604E+02/
      DATA (KB(JT,15, 5),JT=1,5) /
     &1.7073E+02,1.7192E+02,1.7323E+02,1.7466E+02,1.7621E+02/
      DATA (KB(JT,16, 5),JT=1,5) /
     &1.7085E+02,1.7205E+02,1.7338E+02,1.7482E+02,1.7638E+02/
      DATA (KB(JT,17, 5),JT=1,5) /
     &1.7097E+02,1.7218E+02,1.7352E+02,1.7497E+02,1.7655E+02/
      DATA (KB(JT,18, 5),JT=1,5) /
     &1.7109E+02,1.7232E+02,1.7366E+02,1.7513E+02,1.7671E+02/
      DATA (KB(JT,19, 5),JT=1,5) /
     &1.7121E+02,1.7245E+02,1.7381E+02,1.7528E+02,1.7688E+02/
      DATA (KB(JT,20, 5),JT=1,5) /
     &1.7134E+02,1.7260E+02,1.7397E+02,1.7547E+02,1.7708E+02/
      DATA (KB(JT,21, 5),JT=1,5) /
     &1.7149E+02,1.7276E+02,1.7415E+02,1.7565E+02,1.7728E+02/
      DATA (KB(JT,22, 5),JT=1,5) /
     &1.7172E+02,1.7301E+02,1.7442E+02,1.7594E+02,1.7759E+02/
      DATA (KB(JT,23, 5),JT=1,5) /
     &1.7195E+02,1.7327E+02,1.7470E+02,1.7625E+02,1.7792E+02/
      DATA (KB(JT,24, 5),JT=1,5) /
     &1.7221E+02,1.7355E+02,1.7500E+02,1.7658E+02,1.7827E+02/
      DATA (KB(JT,25, 5),JT=1,5) /
     &1.7248E+02,1.7385E+02,1.7533E+02,1.7693E+02,1.7865E+02/
      DATA (KB(JT,26, 5),JT=1,5) /
     &1.7279E+02,1.7418E+02,1.7569E+02,1.7732E+02,1.7906E+02/
      DATA (KB(JT,27, 5),JT=1,5) /
     &1.7311E+02,1.7453E+02,1.7606E+02,1.7772E+02,1.7949E+02/
      DATA (KB(JT,28, 5),JT=1,5) /
     &1.7344E+02,1.7488E+02,1.7645E+02,1.7813E+02,1.7994E+02/
      DATA (KB(JT,29, 5),JT=1,5) /
     &1.7379E+02,1.7526E+02,1.7686E+02,1.7857E+02,1.8040E+02/
      DATA (KB(JT,30, 5),JT=1,5) /
     &1.7414E+02,1.7565E+02,1.7727E+02,1.7902E+02,1.8088E+02/
      DATA (KB(JT,31, 5),JT=1,5) /
     &1.7452E+02,1.7605E+02,1.7771E+02,1.7948E+02,1.8137E+02/
      DATA (KB(JT,32, 5),JT=1,5) /
     &1.7491E+02,1.7647E+02,1.7816E+02,1.7996E+02,1.8188E+02/
      DATA (KB(JT,33, 5),JT=1,5) /
     &1.7531E+02,1.7690E+02,1.7862E+02,1.8045E+02,1.8241E+02/
      DATA (KB(JT,34, 5),JT=1,5) /
     &1.7566E+02,1.7728E+02,1.7903E+02,1.8089E+02,1.8287E+02/
      DATA (KB(JT,35, 5),JT=1,5) /
     &1.7586E+02,1.7750E+02,1.7926E+02,1.8114E+02,1.8313E+02/
      DATA (KB(JT,36, 5),JT=1,5) /
     &1.7590E+02,1.7754E+02,1.7930E+02,1.8118E+02,1.8318E+02/
      DATA (KB(JT,37, 5),JT=1,5) /
     &1.7569E+02,1.7732E+02,1.7906E+02,1.8093E+02,1.8291E+02/
      DATA (KB(JT,38, 5),JT=1,5) /
     &1.7547E+02,1.7708E+02,1.7881E+02,1.8066E+02,1.8263E+02/
      DATA (KB(JT,39, 5),JT=1,5) /
     &1.7526E+02,1.7685E+02,1.7857E+02,1.8040E+02,1.8235E+02/
      DATA (KB(JT,40, 5),JT=1,5) /
     &1.7489E+02,1.7646E+02,1.7814E+02,1.7995E+02,1.8187E+02/
      DATA (KB(JT,41, 5),JT=1,5) /
     &1.7451E+02,1.7605E+02,1.7770E+02,1.7948E+02,1.8137E+02/
      DATA (KB(JT,42, 5),JT=1,5) /
     &1.7414E+02,1.7565E+02,1.7727E+02,1.7901E+02,1.8087E+02/
      DATA (KB(JT,43, 5),JT=1,5) /
     &1.7369E+02,1.7516E+02,1.7675E+02,1.7846E+02,1.8028E+02/
      DATA (KB(JT,44, 5),JT=1,5) /
     &1.7323E+02,1.7465E+02,1.7620E+02,1.7787E+02,1.7965E+02/
      DATA (KB(JT,45, 5),JT=1,5) /
     &1.7277E+02,1.7416E+02,1.7567E+02,1.7729E+02,1.7904E+02/
      DATA (KB(JT,46, 5),JT=1,5) /
     &1.7230E+02,1.7365E+02,1.7511E+02,1.7669E+02,1.7840E+02/
      DATA (KB(JT,47, 5),JT=1,5) /
     &1.7179E+02,1.7309E+02,1.7451E+02,1.7604E+02,1.7770E+02/
      DATA (KB(JT,48, 5),JT=1,5) /
     &1.7130E+02,1.7255E+02,1.7392E+02,1.7541E+02,1.7702E+02/
      DATA (KB(JT,49, 5),JT=1,5) /
     &1.7083E+02,1.7204E+02,1.7336E+02,1.7480E+02,1.7636E+02/
      DATA (KB(JT,50, 5),JT=1,5) /
     &1.7041E+02,1.7157E+02,1.7285E+02,1.7424E+02,1.7576E+02/
      DATA (KB(JT,51, 5),JT=1,5) /
     &1.7002E+02,1.7113E+02,1.7237E+02,1.7372E+02,1.7519E+02/
      DATA (KB(JT,52, 5),JT=1,5) /
     &1.6964E+02,1.7071E+02,1.7190E+02,1.7321E+02,1.7464E+02/
      DATA (KB(JT,53, 5),JT=1,5) /
     &1.6927E+02,1.7031E+02,1.7145E+02,1.7272E+02,1.7411E+02/
      DATA (KB(JT,54, 5),JT=1,5) /
     &1.6896E+02,1.6995E+02,1.7106E+02,1.7228E+02,1.7363E+02/
      DATA (KB(JT,55, 5),JT=1,5) /
     &1.6866E+02,1.6962E+02,1.7069E+02,1.7188E+02,1.7318E+02/
      DATA (KB(JT,56, 5),JT=1,5) /
     &1.6839E+02,1.6930E+02,1.7033E+02,1.7148E+02,1.7275E+02/
      DATA (KB(JT,57, 5),JT=1,5) /
     &1.6812E+02,1.6899E+02,1.6999E+02,1.7110E+02,1.7233E+02/
      DATA (KB(JT,58, 5),JT=1,5) /
     &1.6788E+02,1.6871E+02,1.6968E+02,1.7075E+02,1.7195E+02/
      DATA (KB(JT,59, 5),JT=1,5) /
     &1.6779E+02,1.6861E+02,1.6955E+02,1.7062E+02,1.7180E+02/
      DATA (KB(JT,13, 6),JT=1,5) /
     &3.8122E+02,3.8406E+02,3.8668E+02,3.8908E+02,3.9125E+02/
      DATA (KB(JT,14, 6),JT=1,5) /
     &3.8148E+02,3.8431E+02,3.8691E+02,3.8929E+02,3.9144E+02/
      DATA (KB(JT,15, 6),JT=1,5) /
     &3.8178E+02,3.8458E+02,3.8716E+02,3.8951E+02,3.9164E+02/
      DATA (KB(JT,16, 6),JT=1,5) /
     &3.8209E+02,3.8487E+02,3.8742E+02,3.8975E+02,3.9186E+02/
      DATA (KB(JT,17, 6),JT=1,5) /
     &3.8239E+02,3.8514E+02,3.8767E+02,3.8998E+02,3.9206E+02/
      DATA (KB(JT,18, 6),JT=1,5) /
     &3.8268E+02,3.8541E+02,3.8792E+02,3.9020E+02,3.9226E+02/
      DATA (KB(JT,19, 6),JT=1,5) /
     &3.8297E+02,3.8568E+02,3.8816E+02,3.9042E+02,3.9246E+02/
      DATA (KB(JT,20, 6),JT=1,5) /
     &3.8330E+02,3.8598E+02,3.8844E+02,3.9067E+02,3.9268E+02/
      DATA (KB(JT,21, 6),JT=1,5) /
     &3.8363E+02,3.8629E+02,3.8872E+02,3.9092E+02,3.9291E+02/
      DATA (KB(JT,22, 6),JT=1,5) /
     &3.8414E+02,3.8675E+02,3.8914E+02,3.9131E+02,3.9325E+02/
      DATA (KB(JT,23, 6),JT=1,5) /
     &3.8466E+02,3.8723E+02,3.8958E+02,3.9170E+02,3.9360E+02/
      DATA (KB(JT,24, 6),JT=1,5) /
     &3.8520E+02,3.8772E+02,3.9002E+02,3.9210E+02,3.9395E+02/
      DATA (KB(JT,25, 6),JT=1,5) /
     &3.8575E+02,3.8823E+02,3.9048E+02,3.9251E+02,3.9432E+02/
      DATA (KB(JT,26, 6),JT=1,5) /
     &3.8635E+02,3.8877E+02,3.9098E+02,3.9295E+02,3.9470E+02/
      DATA (KB(JT,27, 6),JT=1,5) /
     &3.8694E+02,3.8932E+02,3.9146E+02,3.9339E+02,3.9509E+02/
      DATA (KB(JT,28, 6),JT=1,5) /
     &3.8753E+02,3.8985E+02,3.9194E+02,3.9381E+02,3.9546E+02/
      DATA (KB(JT,29, 6),JT=1,5) /
     &3.8813E+02,3.9039E+02,3.9243E+02,3.9424E+02,3.9583E+02/
      DATA (KB(JT,30, 6),JT=1,5) /
     &3.8871E+02,3.9092E+02,3.9290E+02,3.9466E+02,3.9620E+02/
      DATA (KB(JT,31, 6),JT=1,5) /
     &3.8930E+02,3.9145E+02,3.9338E+02,3.9508E+02,3.9655E+02/
      DATA (KB(JT,32, 6),JT=1,5) /
     &3.8988E+02,3.9197E+02,3.9384E+02,3.9548E+02,3.9690E+02/
      DATA (KB(JT,33, 6),JT=1,5) /
     &3.9045E+02,3.9248E+02,3.9429E+02,3.9587E+02,3.9723E+02/
      DATA (KB(JT,34, 6),JT=1,5) /
     &3.9093E+02,3.9291E+02,3.9467E+02,3.9620E+02,3.9751E+02/
      DATA (KB(JT,35, 6),JT=1,5) /
     &3.9120E+02,3.9316E+02,3.9488E+02,3.9639E+02,3.9766E+02/
      DATA (KB(JT,36, 6),JT=1,5) /
     &3.9125E+02,3.9320E+02,3.9492E+02,3.9642E+02,3.9769E+02/
      DATA (KB(JT,37, 6),JT=1,5) /
     &3.9098E+02,3.9295E+02,3.9471E+02,3.9623E+02,3.9754E+02/
      DATA (KB(JT,38, 6),JT=1,5) /
     &3.9068E+02,3.9269E+02,3.9447E+02,3.9603E+02,3.9737E+02/
      DATA (KB(JT,39, 6),JT=1,5) /
     &3.9039E+02,3.9243E+02,3.9424E+02,3.9583E+02,3.9720E+02/
      DATA (KB(JT,40, 6),JT=1,5) /
     &3.8986E+02,3.9196E+02,3.9382E+02,3.9547E+02,3.9689E+02/
      DATA (KB(JT,41, 6),JT=1,5) /
     &3.8929E+02,3.9144E+02,3.9337E+02,3.9507E+02,3.9655E+02/
      DATA (KB(JT,42, 6),JT=1,5) /
     &3.8871E+02,3.9092E+02,3.9290E+02,3.9466E+02,3.9619E+02/
      DATA (KB(JT,43, 6),JT=1,5) /
     &3.8797E+02,3.9025E+02,3.9230E+02,3.9413E+02,3.9574E+02/
      DATA (KB(JT,44, 6),JT=1,5) /
     &3.8715E+02,3.8951E+02,3.9164E+02,3.9354E+02,3.9522E+02/
      DATA (KB(JT,45, 6),JT=1,5) /
     &3.8631E+02,3.8874E+02,3.9094E+02,3.9292E+02,3.9468E+02/
      DATA (KB(JT,46, 6),JT=1,5) /
     &3.8538E+02,3.8789E+02,3.9018E+02,3.9224E+02,3.9407E+02/
      DATA (KB(JT,47, 6),JT=1,5) /
     &3.8431E+02,3.8691E+02,3.8929E+02,3.9144E+02,3.9336E+02/
      DATA (KB(JT,48, 6),JT=1,5) /
     &3.8320E+02,3.8589E+02,3.8836E+02,3.9060E+02,3.9262E+02/
      DATA (KB(JT,49, 6),JT=1,5) /
     &3.8206E+02,3.8484E+02,3.8739E+02,3.8972E+02,3.9183E+02/
      DATA (KB(JT,50, 6),JT=1,5) /
     &3.8095E+02,3.8382E+02,3.8646E+02,3.8887E+02,3.9106E+02/
      DATA (KB(JT,51, 6),JT=1,5) /
     &3.7985E+02,3.8279E+02,3.8552E+02,3.8802E+02,3.9029E+02/
      DATA (KB(JT,52, 6),JT=1,5) /
     &3.7873E+02,3.8175E+02,3.8455E+02,3.8713E+02,3.8949E+02/
      DATA (KB(JT,53, 6),JT=1,5) /
     &3.7762E+02,3.8067E+02,3.8355E+02,3.8621E+02,3.8865E+02/
      DATA (KB(JT,54, 6),JT=1,5) /
     &3.7661E+02,3.7965E+02,3.8261E+02,3.8535E+02,3.8786E+02/
      DATA (KB(JT,55, 6),JT=1,5) /
     &3.7559E+02,3.7867E+02,3.8169E+02,3.8450E+02,3.8708E+02/
      DATA (KB(JT,56, 6),JT=1,5) /
     &3.7459E+02,3.7768E+02,3.8074E+02,3.8362E+02,3.8628E+02/
      DATA (KB(JT,57, 6),JT=1,5) /
     &3.7353E+02,3.7673E+02,3.7977E+02,3.8272E+02,3.8545E+02/
      DATA (KB(JT,58, 6),JT=1,5) /
     &3.7251E+02,3.7577E+02,3.7885E+02,3.8185E+02,3.8465E+02/
      DATA (KB(JT,59, 6),JT=1,5) /
     &3.7212E+02,3.7539E+02,3.7847E+02,3.8150E+02,3.8432E+02/
      DATA (KB(JT,13, 7),JT=1,5) /
     &6.2583E+02,6.2623E+02,6.2691E+02,6.2787E+02,6.2909E+02/
      DATA (KB(JT,14, 7),JT=1,5) /
     &6.2586E+02,6.2628E+02,6.2699E+02,6.2797E+02,6.2921E+02/
      DATA (KB(JT,15, 7),JT=1,5) /
     &6.2589E+02,6.2634E+02,6.2708E+02,6.2809E+02,6.2935E+02/
      DATA (KB(JT,16, 7),JT=1,5) /
     &6.2593E+02,6.2640E+02,6.2717E+02,6.2821E+02,6.2950E+02/
      DATA (KB(JT,17, 7),JT=1,5) /
     &6.2597E+02,6.2647E+02,6.2727E+02,6.2833E+02,6.2965E+02/
      DATA (KB(JT,18, 7),JT=1,5) /
     &6.2601E+02,6.2654E+02,6.2737E+02,6.2846E+02,6.2980E+02/
      DATA (KB(JT,19, 7),JT=1,5) /
     &6.2605E+02,6.2661E+02,6.2746E+02,6.2858E+02,6.2995E+02/
      DATA (KB(JT,20, 7),JT=1,5) /
     &6.2610E+02,6.2670E+02,6.2758E+02,6.2873E+02,6.3012E+02/
      DATA (KB(JT,21, 7),JT=1,5) /
     &6.2615E+02,6.2679E+02,6.2770E+02,6.2888E+02,6.3031E+02/
      DATA (KB(JT,22, 7),JT=1,5) /
     &6.2625E+02,6.2694E+02,6.2790E+02,6.2913E+02,6.3060E+02/
      DATA (KB(JT,23, 7),JT=1,5) /
     &6.2636E+02,6.2710E+02,6.2812E+02,6.2939E+02,6.3091E+02/
      DATA (KB(JT,24, 7),JT=1,5) /
     &6.2648E+02,6.2729E+02,6.2835E+02,6.2968E+02,6.3125E+02/
      DATA (KB(JT,25, 7),JT=1,5) /
     &6.2663E+02,6.2749E+02,6.2861E+02,6.2999E+02,6.3162E+02/
      DATA (KB(JT,26, 7),JT=1,5) /
     &6.2681E+02,6.2773E+02,6.2891E+02,6.3035E+02,6.3203E+02/
      DATA (KB(JT,27, 7),JT=1,5) /
     &6.2700E+02,6.2799E+02,6.2923E+02,6.3072E+02,6.3247E+02/
      DATA (KB(JT,28, 7),JT=1,5) /
     &6.2721E+02,6.2826E+02,6.2956E+02,6.3112E+02,6.3292E+02/
      DATA (KB(JT,29, 7),JT=1,5) /
     &6.2745E+02,6.2856E+02,6.2993E+02,6.3154E+02,6.3341E+02/
      DATA (KB(JT,30, 7),JT=1,5) /
     &6.2770E+02,6.2888E+02,6.3031E+02,6.3198E+02,6.3392E+02/
      DATA (KB(JT,31, 7),JT=1,5) /
     &6.2798E+02,6.2922E+02,6.3071E+02,6.3245E+02,6.3446E+02/
      DATA (KB(JT,32, 7),JT=1,5) /
     &6.2828E+02,6.2958E+02,6.3114E+02,6.3295E+02,6.3503E+02/
      DATA (KB(JT,33, 7),JT=1,5) /
     &6.2860E+02,6.2997E+02,6.3159E+02,6.3347E+02,6.3562E+02/
      DATA (KB(JT,34, 7),JT=1,5) /
     &6.2889E+02,6.3031E+02,6.3199E+02,6.3393E+02,6.3614E+02/
      DATA (KB(JT,35, 7),JT=1,5) /
     &6.2906E+02,6.3052E+02,6.3223E+02,6.3421E+02,6.3644E+02/
      DATA (KB(JT,36, 7),JT=1,5) /
     &6.2909E+02,6.3055E+02,6.3227E+02,6.3425E+02,6.3649E+02/
      DATA (KB(JT,37, 7),JT=1,5) /
     &6.2891E+02,6.3035E+02,6.3203E+02,6.3397E+02,6.3619E+02/
      DATA (KB(JT,38, 7),JT=1,5) /
     &6.2873E+02,6.3013E+02,6.3178E+02,6.3369E+02,6.3586E+02/
      DATA (KB(JT,39, 7),JT=1,5) /
     &6.2856E+02,6.2992E+02,6.3154E+02,6.3341E+02,6.3555E+02/
      DATA (KB(JT,40, 7),JT=1,5) /
     &6.2827E+02,6.2957E+02,6.3113E+02,6.3293E+02,6.3501E+02/
      DATA (KB(JT,41, 7),JT=1,5) /
     &6.2798E+02,6.2922E+02,6.3071E+02,6.3245E+02,6.3445E+02/
      DATA (KB(JT,42, 7),JT=1,5) /
     &6.2770E+02,6.2887E+02,6.3030E+02,6.3198E+02,6.3391E+02/
      DATA (KB(JT,43, 7),JT=1,5) /
     &6.2739E+02,6.2848E+02,6.2983E+02,6.3143E+02,6.3328E+02/
      DATA (KB(JT,44, 7),JT=1,5) /
     &6.2708E+02,6.2808E+02,6.2935E+02,6.3086E+02,6.3263E+02/
      DATA (KB(JT,45, 7),JT=1,5) /
     &6.2679E+02,6.2771E+02,6.2889E+02,6.3032E+02,6.3200E+02/
      DATA (KB(JT,46, 7),JT=1,5) /
     &6.2653E+02,6.2735E+02,6.2844E+02,6.2978E+02,6.3137E+02/
      DATA (KB(JT,47, 7),JT=1,5) /
     &6.2629E+02,6.2699E+02,6.2797E+02,6.2921E+02,6.3070E+02/
      DATA (KB(JT,48, 7),JT=1,5) /
     &6.2608E+02,6.2667E+02,6.2755E+02,6.2868E+02,6.3007E+02/
      DATA (KB(JT,49, 7),JT=1,5) /
     &6.2592E+02,6.2640E+02,6.2716E+02,6.2820E+02,6.2948E+02/
      DATA (KB(JT,50, 7),JT=1,5) /
     &6.2580E+02,6.2619E+02,6.2684E+02,6.2778E+02,6.2897E+02/
      DATA (KB(JT,51, 7),JT=1,5) /
     &6.2580E+02,6.2602E+02,6.2657E+02,6.2741E+02,6.2850E+02/
      DATA (KB(JT,52, 7),JT=1,5) /
     &6.2578E+02,6.2589E+02,6.2633E+02,6.2707E+02,6.2807E+02/
      DATA (KB(JT,53, 7),JT=1,5) /
     &6.2574E+02,6.2578E+02,6.2614E+02,6.2677E+02,6.2768E+02/
      DATA (KB(JT,54, 7),JT=1,5) /
     &6.2576E+02,6.2580E+02,6.2600E+02,6.2652E+02,6.2734E+02/
      DATA (KB(JT,55, 7),JT=1,5) /
     &6.2585E+02,6.2578E+02,6.2588E+02,6.2632E+02,6.2705E+02/
      DATA (KB(JT,56, 7),JT=1,5) /
     &6.2587E+02,6.2576E+02,6.2579E+02,6.2615E+02,6.2678E+02/
      DATA (KB(JT,57, 7),JT=1,5) /
     &6.2591E+02,6.2574E+02,6.2580E+02,6.2601E+02,6.2655E+02/
      DATA (KB(JT,58, 7),JT=1,5) /
     &6.2591E+02,6.2583E+02,6.2578E+02,6.2590E+02,6.2636E+02/
      DATA (KB(JT,59, 7),JT=1,5) /
     &6.2590E+02,6.2586E+02,6.2578E+02,6.2586E+02,6.2628E+02/
      DATA (KB(JT,13, 8),JT=1,5) /
     &8.1821E+02,8.1877E+02,8.1935E+02,8.1999E+02,8.2074E+02/
      DATA (KB(JT,14, 8),JT=1,5) /
     &8.1826E+02,8.1882E+02,8.1939E+02,8.2006E+02,8.2081E+02/
      DATA (KB(JT,15, 8),JT=1,5) /
     &8.1831E+02,8.1888E+02,8.1946E+02,8.2012E+02,8.2089E+02/
      DATA (KB(JT,16, 8),JT=1,5) /
     &8.1836E+02,8.1895E+02,8.1952E+02,8.2021E+02,8.2098E+02/
      DATA (KB(JT,17, 8),JT=1,5) /
     &8.1842E+02,8.1901E+02,8.1959E+02,8.2028E+02,8.2106E+02/
      DATA (KB(JT,18, 8),JT=1,5) /
     &8.1847E+02,8.1907E+02,8.1965E+02,8.2036E+02,8.2116E+02/
      DATA (KB(JT,19, 8),JT=1,5) /
     &8.1853E+02,8.1913E+02,8.1972E+02,8.2043E+02,8.2123E+02/
      DATA (KB(JT,20, 8),JT=1,5) /
     &8.1860E+02,8.1919E+02,8.1980E+02,8.2052E+02,8.2133E+02/
      DATA (KB(JT,21, 8),JT=1,5) /
     &8.1868E+02,8.1925E+02,8.1988E+02,8.2061E+02,8.2143E+02/
      DATA (KB(JT,22, 8),JT=1,5) /
     &8.1879E+02,8.1936E+02,8.2001E+02,8.2076E+02,8.2160E+02/
      DATA (KB(JT,23, 8),JT=1,5) /
     &8.1889E+02,8.1947E+02,8.2015E+02,8.2091E+02,8.2177E+02/
      DATA (KB(JT,24, 8),JT=1,5) /
     &8.1902E+02,8.1960E+02,8.2030E+02,8.2108E+02,8.2195E+02/
      DATA (KB(JT,25, 8),JT=1,5) /
     &8.1914E+02,8.1974E+02,8.2046E+02,8.2126E+02,8.2214E+02/
      DATA (KB(JT,26, 8),JT=1,5) /
     &8.1927E+02,8.1990E+02,8.2063E+02,8.2145E+02,8.2236E+02/
      DATA (KB(JT,27, 8),JT=1,5) /
     &8.1941E+02,8.2006E+02,8.2082E+02,8.2166E+02,8.2258E+02/
      DATA (KB(JT,28, 8),JT=1,5) /
     &8.1957E+02,8.2024E+02,8.2101E+02,8.2188E+02,8.2281E+02/
      DATA (KB(JT,29, 8),JT=1,5) /
     &8.1971E+02,8.2042E+02,8.2122E+02,8.2210E+02,8.2305E+02/
      DATA (KB(JT,30, 8),JT=1,5) /
     &8.1988E+02,8.2061E+02,8.2143E+02,8.2233E+02,8.2330E+02/
      DATA (KB(JT,31, 8),JT=1,5) /
     &8.2006E+02,8.2081E+02,8.2166E+02,8.2258E+02,8.2355E+02/
      DATA (KB(JT,32, 8),JT=1,5) /
     &8.2025E+02,8.2103E+02,8.2189E+02,8.2283E+02,8.2380E+02/
      DATA (KB(JT,33, 8),JT=1,5) /
     &8.2044E+02,8.2124E+02,8.2213E+02,8.2308E+02,8.2408E+02/
      DATA (KB(JT,34, 8),JT=1,5) /
     &8.2062E+02,8.2144E+02,8.2234E+02,8.2330E+02,8.2432E+02/
      DATA (KB(JT,35, 8),JT=1,5) /
     &8.2072E+02,8.2155E+02,8.2246E+02,8.2342E+02,8.2446E+02/
      DATA (KB(JT,36, 8),JT=1,5) /
     &8.2074E+02,8.2157E+02,8.2248E+02,8.2345E+02,8.2448E+02/
      DATA (KB(JT,37, 8),JT=1,5) /
     &8.2063E+02,8.2146E+02,8.2236E+02,8.2332E+02,8.2434E+02/
      DATA (KB(JT,38, 8),JT=1,5) /
     &8.2053E+02,8.2134E+02,8.2223E+02,8.2319E+02,8.2419E+02/
      DATA (KB(JT,39, 8),JT=1,5) /
     &8.2042E+02,8.2122E+02,8.2210E+02,8.2305E+02,8.2405E+02/
      DATA (KB(JT,40, 8),JT=1,5) /
     &8.2024E+02,8.2102E+02,8.2188E+02,8.2282E+02,8.2380E+02/
      DATA (KB(JT,41, 8),JT=1,5) /
     &8.2006E+02,8.2081E+02,8.2165E+02,8.2257E+02,8.2354E+02/
      DATA (KB(JT,42, 8),JT=1,5) /
     &8.1988E+02,8.2061E+02,8.2143E+02,8.2233E+02,8.2329E+02/
      DATA (KB(JT,43, 8),JT=1,5) /
     &8.1967E+02,8.2037E+02,8.2117E+02,8.2204E+02,8.2299E+02/
      DATA (KB(JT,44, 8),JT=1,5) /
     &8.1946E+02,8.2013E+02,8.2089E+02,8.2174E+02,8.2267E+02/
      DATA (KB(JT,45, 8),JT=1,5) /
     &8.1926E+02,8.1989E+02,8.2062E+02,8.2144E+02,8.2234E+02/
      DATA (KB(JT,46, 8),JT=1,5) /
     &8.1907E+02,8.1965E+02,8.2034E+02,8.2114E+02,8.2201E+02/
      DATA (KB(JT,47, 8),JT=1,5) /
     &8.1882E+02,8.1939E+02,8.2006E+02,8.2081E+02,8.2165E+02/
      DATA (KB(JT,48, 8),JT=1,5) /
     &8.1858E+02,8.1917E+02,8.1978E+02,8.2050E+02,8.2130E+02/
      DATA (KB(JT,49, 8),JT=1,5) /
     &8.1836E+02,8.1894E+02,8.1953E+02,8.2019E+02,8.2097E+02/
      DATA (KB(JT,50, 8),JT=1,5) /
     &8.1817E+02,8.1871E+02,8.1929E+02,8.1993E+02,8.2067E+02/
      DATA (KB(JT,51, 8),JT=1,5) /
     &8.1790E+02,8.1850E+02,8.1910E+02,8.1967E+02,8.2039E+02/
      DATA (KB(JT,52, 8),JT=1,5) /
     &8.1779E+02,8.1830E+02,8.1888E+02,8.1945E+02,8.2012E+02/
      DATA (KB(JT,53, 8),JT=1,5) /
     &8.1766E+02,8.1812E+02,8.1866E+02,8.1924E+02,8.1986E+02/
      DATA (KB(JT,54, 8),JT=1,5) /
     &8.1744E+02,8.1785E+02,8.1846E+02,8.1906E+02,8.1964E+02/
      DATA (KB(JT,55, 8),JT=1,5) /
     &8.1733E+02,8.1777E+02,8.1829E+02,8.1886E+02,8.1944E+02/
      DATA (KB(JT,56, 8),JT=1,5) /
     &8.1741E+02,8.1767E+02,8.1813E+02,8.1867E+02,8.1925E+02/
      DATA (KB(JT,57, 8),JT=1,5) /
     &8.1785E+02,8.1749E+02,8.1788E+02,8.1848E+02,8.1908E+02/
      DATA (KB(JT,58, 8),JT=1,5) /
     &8.1817E+02,8.1731E+02,8.1779E+02,8.1832E+02,8.1889E+02/
      DATA (KB(JT,59, 8),JT=1,5) /
     &8.1824E+02,8.1736E+02,8.1776E+02,8.1826E+02,8.1883E+02/
      DATA (KB(JT,13, 9),JT=1,5) /
     &9.4133E+02,9.4438E+02,9.4687E+02,9.4883E+02,9.5021E+02/
      DATA (KB(JT,14, 9),JT=1,5) /
     &9.4163E+02,9.4463E+02,9.4708E+02,9.4898E+02,9.5031E+02/
      DATA (KB(JT,15, 9),JT=1,5) /
     &9.4195E+02,9.4490E+02,9.4731E+02,9.4914E+02,9.5042E+02/
      DATA (KB(JT,16, 9),JT=1,5) /
     &9.4229E+02,9.4518E+02,9.4753E+02,9.4930E+02,9.5052E+02/
      DATA (KB(JT,17, 9),JT=1,5) /
     &9.4262E+02,9.4544E+02,9.4774E+02,9.4946E+02,9.5061E+02/
      DATA (KB(JT,18, 9),JT=1,5) /
     &9.4293E+02,9.4570E+02,9.4795E+02,9.4960E+02,9.5069E+02/
      DATA (KB(JT,19, 9),JT=1,5) /
     &9.4323E+02,9.4595E+02,9.4814E+02,9.4974E+02,9.5078E+02/
      DATA (KB(JT,20, 9),JT=1,5) /
     &9.4357E+02,9.4624E+02,9.4835E+02,9.4989E+02,9.5087E+02/
      DATA (KB(JT,21, 9),JT=1,5) /
     &9.4393E+02,9.4654E+02,9.4857E+02,9.5003E+02,9.5096E+02/
      DATA (KB(JT,22, 9),JT=1,5) /
     &9.4445E+02,9.4695E+02,9.4888E+02,9.5025E+02,9.5105E+02/
      DATA (KB(JT,23, 9),JT=1,5) /
     &9.4499E+02,9.4737E+02,9.4919E+02,9.5045E+02,9.5113E+02/
      DATA (KB(JT,24, 9),JT=1,5) /
     &9.4549E+02,9.4778E+02,9.4948E+02,9.5063E+02,9.5120E+02/
      DATA (KB(JT,25, 9),JT=1,5) /
     &9.4602E+02,9.4819E+02,9.4978E+02,9.5082E+02,9.5125E+02/
      DATA (KB(JT,26, 9),JT=1,5) /
     &9.4658E+02,9.4861E+02,9.5006E+02,9.5096E+02,9.5127E+02/
      DATA (KB(JT,27, 9),JT=1,5) /
     &9.4710E+02,9.4900E+02,9.5033E+02,9.5109E+02,9.5126E+02/
      DATA (KB(JT,28, 9),JT=1,5) /
     &9.4759E+02,9.4937E+02,9.5056E+02,9.5118E+02,9.5123E+02/
      DATA (KB(JT,29, 9),JT=1,5) /
     &9.4811E+02,9.4973E+02,9.5077E+02,9.5124E+02,9.5116E+02/
      DATA (KB(JT,30, 9),JT=1,5) /
     &9.4856E+02,9.5003E+02,9.5095E+02,9.5127E+02,9.5105E+02/
      DATA (KB(JT,31, 9),JT=1,5) /
     &9.4901E+02,9.5032E+02,9.5108E+02,9.5127E+02,9.5090E+02/
      DATA (KB(JT,32, 9),JT=1,5) /
     &9.4939E+02,9.5057E+02,9.5118E+02,9.5121E+02,9.5071E+02/
      DATA (KB(JT,33, 9),JT=1,5) /
     &9.4975E+02,9.5079E+02,9.5125E+02,9.5115E+02,9.5050E+02/
      DATA (KB(JT,34, 9),JT=1,5) /
     &9.5004E+02,9.5095E+02,9.5128E+02,9.5105E+02,9.5030E+02/
      DATA (KB(JT,35, 9),JT=1,5) /
     &9.5020E+02,9.5102E+02,9.5127E+02,9.5098E+02,9.5016E+02/
      DATA (KB(JT,36, 9),JT=1,5) /
     &9.5021E+02,9.5103E+02,9.5127E+02,9.5096E+02,9.5023E+02/
      DATA (KB(JT,37, 9),JT=1,5) /
     &9.5006E+02,9.5096E+02,9.5127E+02,9.5104E+02,9.5027E+02/
      DATA (KB(JT,38, 9),JT=1,5) /
     &9.4990E+02,9.5087E+02,9.5126E+02,9.5110E+02,9.5040E+02/
      DATA (KB(JT,39, 9),JT=1,5) /
     &9.4972E+02,9.5077E+02,9.5124E+02,9.5117E+02,9.5053E+02/
      DATA (KB(JT,40, 9),JT=1,5) /
     &9.4939E+02,9.5057E+02,9.5118E+02,9.5123E+02,9.5072E+02/
      DATA (KB(JT,41, 9),JT=1,5) /
     &9.4899E+02,9.5032E+02,9.5108E+02,9.5127E+02,9.5090E+02/
      DATA (KB(JT,42, 9),JT=1,5) /
     &9.4856E+02,9.5004E+02,9.5094E+02,9.5127E+02,9.5105E+02/
      DATA (KB(JT,43, 9),JT=1,5) /
     &9.4799E+02,9.4963E+02,9.5073E+02,9.5123E+02,9.5118E+02/
      DATA (KB(JT,44, 9),JT=1,5) /
     &9.4729E+02,9.4914E+02,9.5041E+02,9.5112E+02,9.5126E+02/
      DATA (KB(JT,45, 9),JT=1,5) /
     &9.4655E+02,9.4858E+02,9.5004E+02,9.5095E+02,9.5127E+02/
      DATA (KB(JT,46, 9),JT=1,5) /
     &9.4568E+02,9.4792E+02,9.4958E+02,9.5070E+02,9.5122E+02/
      DATA (KB(JT,47, 9),JT=1,5) /
     &9.4463E+02,9.4708E+02,9.4898E+02,9.5031E+02,9.5108E+02/
      DATA (KB(JT,48, 9),JT=1,5) /
     &9.4348E+02,9.4616E+02,9.4829E+02,9.4984E+02,9.5084E+02/
      DATA (KB(JT,49, 9),JT=1,5) /
     &9.4226E+02,9.4515E+02,9.4748E+02,9.4928E+02,9.5051E+02/
      DATA (KB(JT,50, 9),JT=1,5) /
     &9.4103E+02,9.4413E+02,9.4669E+02,9.4868E+02,9.5011E+02/
      DATA (KB(JT,51, 9),JT=1,5) /
     &9.3978E+02,9.4307E+02,9.4580E+02,9.4802E+02,9.4965E+02/
      DATA (KB(JT,52, 9),JT=1,5) /
     &9.3828E+02,9.4192E+02,9.4488E+02,9.4728E+02,9.4912E+02/
      DATA (KB(JT,53, 9),JT=1,5) /
     &9.3678E+02,9.4072E+02,9.4388E+02,9.4646E+02,9.4851E+02/
      DATA (KB(JT,54, 9),JT=1,5) /
     &9.3537E+02,9.3955E+02,9.4287E+02,9.4565E+02,9.4789E+02/
      DATA (KB(JT,55, 9),JT=1,5) /
     &9.3380E+02,9.3820E+02,9.4186E+02,9.4483E+02,9.4722E+02/
      DATA (KB(JT,56, 9),JT=1,5) /
     &9.3205E+02,9.3688E+02,9.4080E+02,9.4394E+02,9.4652E+02/
      DATA (KB(JT,57, 9),JT=1,5) /
     &9.2997E+02,9.3554E+02,9.3969E+02,9.4299E+02,9.4574E+02/
      DATA (KB(JT,58, 9),JT=1,5) /
     &9.2808E+02,9.3414E+02,9.3844E+02,9.4204E+02,9.4498E+02/
      DATA (KB(JT,59, 9),JT=1,5) /
     &9.2793E+02,9.3341E+02,9.3792E+02,9.4165E+02,9.4465E+02/
      DATA (KB(JT,13,10),JT=1,5) /
     &9.8036E+02,9.8526E+02,9.8973E+02,9.9279E+02,9.9468E+02/
      DATA (KB(JT,14,10),JT=1,5) /
     &9.8067E+02,9.8568E+02,9.9005E+02,9.9301E+02,9.9477E+02/
      DATA (KB(JT,15,10),JT=1,5) /
     &9.8125E+02,9.8614E+02,9.9040E+02,9.9324E+02,9.9485E+02/
      DATA (KB(JT,16,10),JT=1,5) /
     &9.8185E+02,9.8662E+02,9.9076E+02,9.9348E+02,9.9493E+02/
      DATA (KB(JT,17,10),JT=1,5) /
     &9.8242E+02,9.8721E+02,9.9109E+02,9.9369E+02,9.9498E+02/
      DATA (KB(JT,18,10),JT=1,5) /
     &9.8296E+02,9.8755E+02,9.9141E+02,9.9390E+02,9.9502E+02/
      DATA (KB(JT,19,10),JT=1,5) /
     &9.8350E+02,9.8800E+02,9.9172E+02,9.9408E+02,9.9505E+02/
      DATA (KB(JT,20,10),JT=1,5) /
     &9.8411E+02,9.8852E+02,9.9205E+02,9.9428E+02,9.9507E+02/
      DATA (KB(JT,21,10),JT=1,5) /
     &9.8464E+02,9.8894E+02,9.9238E+02,9.9447E+02,9.9496E+02/
      DATA (KB(JT,22,10),JT=1,5) /
     &9.8547E+02,9.8983E+02,9.9286E+02,9.9470E+02,9.9509E+02/
      DATA (KB(JT,23,10),JT=1,5) /
     &9.8617E+02,9.9062E+02,9.9331E+02,9.9487E+02,9.9508E+02/
      DATA (KB(JT,24,10),JT=1,5) /
     &9.8718E+02,9.9115E+02,9.9373E+02,9.9499E+02,9.9503E+02/
      DATA (KB(JT,25,10),JT=1,5) /
     &9.8813E+02,9.9180E+02,9.9413E+02,9.9494E+02,9.9492E+02/
      DATA (KB(JT,26,10),JT=1,5) /
     &9.8918E+02,9.9244E+02,9.9450E+02,9.9508E+02,9.9475E+02/
      DATA (KB(JT,27,10),JT=1,5) /
     &9.9010E+02,9.9304E+02,9.9478E+02,9.9509E+02,9.9499E+02/
      DATA (KB(JT,28,10),JT=1,5) /
     &9.9090E+02,9.9357E+02,9.9495E+02,9.9505E+02,9.9433E+02/
      DATA (KB(JT,29,10),JT=1,5) /
     &9.9167E+02,9.9393E+02,9.9505E+02,9.9495E+02,9.9385E+02/
      DATA (KB(JT,30,10),JT=1,5) /
     &9.9249E+02,9.9447E+02,9.9508E+02,9.9477E+02,9.9348E+02/
      DATA (KB(JT,31,10),JT=1,5) /
     &9.9290E+02,9.9477E+02,9.9509E+02,9.9452E+02,9.9326E+02/
      DATA (KB(JT,32,10),JT=1,5) /
     &9.9360E+02,9.9496E+02,9.9505E+02,9.9419E+02,9.9287E+02/
      DATA (KB(JT,33,10),JT=1,5) /
     &9.9410E+02,9.9506E+02,9.9493E+02,9.9381E+02,9.9210E+02/
      DATA (KB(JT,34,10),JT=1,5) /
     &9.9447E+02,9.9508E+02,9.9465E+02,9.9347E+02,9.9121E+02/
      DATA (KB(JT,35,10),JT=1,5) /
     &9.9453E+02,9.9509E+02,9.9465E+02,9.9330E+02,9.9083E+02/
      DATA (KB(JT,36,10),JT=1,5) /
     &9.9467E+02,9.9509E+02,9.9463E+02,9.9327E+02,9.8992E+02/
      DATA (KB(JT,37,10),JT=1,5) /
     &9.9451E+02,9.9508E+02,9.9475E+02,9.9344E+02,9.9124E+02/
      DATA (KB(JT,38,10),JT=1,5) /
     &9.9429E+02,9.9507E+02,9.9486E+02,9.9365E+02,9.9174E+02/
      DATA (KB(JT,39,10),JT=1,5) /
     &9.9405E+02,9.9505E+02,9.9495E+02,9.9373E+02,9.9219E+02/
      DATA (KB(JT,40,10),JT=1,5) /
     &9.9347E+02,9.9496E+02,9.9505E+02,9.9420E+02,9.9289E+02/
      DATA (KB(JT,41,10),JT=1,5) /
     &9.9302E+02,9.9477E+02,9.9509E+02,9.9452E+02,9.9315E+02/
      DATA (KB(JT,42,10),JT=1,5) /
     &9.9237E+02,9.9435E+02,9.9508E+02,9.9477E+02,9.9348E+02/
      DATA (KB(JT,43,10),JT=1,5) /
     &9.9148E+02,9.9394E+02,9.9491E+02,9.9498E+02,9.9395E+02/
      DATA (KB(JT,44,10),JT=1,5) /
     &9.9040E+02,9.9324E+02,9.9485E+02,9.9508E+02,9.9453E+02/
      DATA (KB(JT,45,10),JT=1,5) /
     &9.8910E+02,9.9241E+02,9.9449E+02,9.9508E+02,9.9476E+02/
      DATA (KB(JT,46,10),JT=1,5) /
     &9.8735E+02,9.9138E+02,9.9388E+02,9.9490E+02,9.9500E+02/
      DATA (KB(JT,47,10),JT=1,5) /
     &9.8565E+02,9.9006E+02,9.9301E+02,9.9477E+02,9.9509E+02/
      DATA (KB(JT,48,10),JT=1,5) /
     &9.8383E+02,9.8834E+02,9.9196E+02,9.9423E+02,9.9507E+02/
      DATA (KB(JT,49,10),JT=1,5) /
     &9.8174E+02,9.8651E+02,9.9073E+02,9.9346E+02,9.9492E+02/
      DATA (KB(JT,50,10),JT=1,5) /
     &9.7955E+02,9.8480E+02,9.8924E+02,9.9257E+02,9.9470E+02/
      DATA (KB(JT,51,10),JT=1,5) /
     &9.7755E+02,9.8298E+02,9.8767E+02,9.9154E+02,9.9399E+02/
      DATA (KB(JT,52,10),JT=1,5) /
     &9.7554E+02,9.8111E+02,9.8597E+02,9.9036E+02,9.9323E+02/
      DATA (KB(JT,53,10),JT=1,5) /
     &9.7320E+02,9.7892E+02,9.8413E+02,9.8888E+02,9.9232E+02/
      DATA (KB(JT,54,10),JT=1,5) /
     &9.7086E+02,9.7720E+02,9.8263E+02,9.8733E+02,9.9135E+02/
      DATA (KB(JT,55,10),JT=1,5) /
     &9.6881E+02,9.7539E+02,9.8096E+02,9.8583E+02,9.9029E+02/
      DATA (KB(JT,56,10),JT=1,5) /
     &9.6735E+02,9.7336E+02,9.7906E+02,9.8435E+02,9.8900E+02/
      DATA (KB(JT,57,10),JT=1,5) /
     &9.6407E+02,9.7115E+02,9.7740E+02,9.8282E+02,9.8752E+02/
      DATA (KB(JT,58,10),JT=1,5) /
     &9.6154E+02,9.6893E+02,9.7574E+02,9.8129E+02,9.8611E+02/
      DATA (KB(JT,59,10),JT=1,5) /
     &9.5571E+02,9.6861E+02,9.7503E+02,9.8063E+02,9.8557E+02/
      DATA (KB(JT,13,11),JT=1,5) /
     &9.8771E+02,9.9296E+02,9.9655E+02,9.9859E+02,9.9936E+02/
      DATA (KB(JT,14,11),JT=1,5) /
     &9.8850E+02,9.9335E+02,9.9679E+02,9.9871E+02,9.9939E+02/
      DATA (KB(JT,15,11),JT=1,5) /
     &9.8905E+02,9.9377E+02,9.9705E+02,9.9882E+02,9.9942E+02/
      DATA (KB(JT,16,11),JT=1,5) /
     &9.8962E+02,9.9419E+02,9.9730E+02,9.9893E+02,9.9945E+02/
      DATA (KB(JT,17,11),JT=1,5) /
     &9.9016E+02,9.9444E+02,9.9754E+02,9.9903E+02,9.9947E+02/
      DATA (KB(JT,18,11),JT=1,5) /
     &9.9067E+02,9.9497E+02,9.9775E+02,9.9911E+02,9.9948E+02/
      DATA (KB(JT,19,11),JT=1,5) /
     &9.9117E+02,9.9532E+02,9.9795E+02,9.9918E+02,9.9949E+02/
      DATA (KB(JT,20,11),JT=1,5) /
     &9.9173E+02,9.9572E+02,9.9816E+02,9.9924E+02,9.9949E+02/
      DATA (KB(JT,21,11),JT=1,5) /
     &9.9228E+02,9.9610E+02,9.9835E+02,9.9929E+02,9.9946E+02/
      DATA (KB(JT,22,11),JT=1,5) /
     &9.9309E+02,9.9663E+02,9.9862E+02,9.9936E+02,9.9953E+02/
      DATA (KB(JT,23,11),JT=1,5) /
     &9.9388E+02,9.9698E+02,9.9900E+02,9.9942E+02,9.9925E+02/
      DATA (KB(JT,24,11),JT=1,5) /
     &9.9466E+02,9.9758E+02,9.9904E+02,9.9947E+02,9.9905E+02/
      DATA (KB(JT,25,11),JT=1,5) /
     &9.9542E+02,9.9800E+02,9.9919E+02,9.9963E+02,9.9878E+02/
      DATA (KB(JT,26,11),JT=1,5) /
     &9.9618E+02,9.9839E+02,9.9930E+02,9.9945E+02,9.9847E+02/
      DATA (KB(JT,27,11),JT=1,5) /
     &9.9683E+02,9.9872E+02,9.9939E+02,9.9934E+02,9.9751E+02/
      DATA (KB(JT,28,11),JT=1,5) /
     &9.9741E+02,9.9897E+02,9.9946E+02,9.9913E+02,9.9749E+02/
      DATA (KB(JT,29,11),JT=1,5) /
     &9.9792E+02,9.9917E+02,9.9949E+02,9.9884E+02,9.9707E+02/
      DATA (KB(JT,30,11),JT=1,5) /
     &9.9821E+02,9.9929E+02,9.9946E+02,9.9850E+02,9.9637E+02/
      DATA (KB(JT,31,11),JT=1,5) /
     &9.9871E+02,9.9938E+02,9.9949E+02,9.9810E+02,9.9532E+02/
      DATA (KB(JT,32,11),JT=1,5) /
     &9.9899E+02,9.9961E+02,9.9926E+02,9.9761E+02,9.9460E+02/
      DATA (KB(JT,33,11),JT=1,5) /
     &9.9918E+02,9.9949E+02,9.9880E+02,9.9700E+02,9.9413E+02/
      DATA (KB(JT,34,11),JT=1,5) /
     &9.9929E+02,9.9946E+02,9.9850E+02,9.9635E+02,9.9329E+02/
      DATA (KB(JT,35,11),JT=1,5) /
     &9.9934E+02,9.9941E+02,9.9830E+02,9.9590E+02,9.9292E+02/
      DATA (KB(JT,36,11),JT=1,5) /
     &9.9935E+02,9.9940E+02,9.9826E+02,9.9583E+02,9.9287E+02/
      DATA (KB(JT,37,11),JT=1,5) /
     &9.9930E+02,9.9946E+02,9.9846E+02,9.9628E+02,9.9327E+02/
      DATA (KB(JT,38,11),JT=1,5) /
     &9.9924E+02,9.9949E+02,9.9866E+02,9.9670E+02,9.9350E+02/
      DATA (KB(JT,39,11),JT=1,5) /
     &9.9917E+02,9.9949E+02,9.9899E+02,9.9707E+02,9.9451E+02/
      DATA (KB(JT,40,11),JT=1,5) /
     &9.9898E+02,9.9946E+02,9.9913E+02,9.9777E+02,9.9505E+02/
      DATA (KB(JT,41,11),JT=1,5) /
     &9.9871E+02,9.9939E+02,9.9935E+02,9.9810E+02,9.9546E+02/
      DATA (KB(JT,42,11),JT=1,5) /
     &9.9835E+02,9.9929E+02,9.9947E+02,9.9851E+02,9.9637E+02/
      DATA (KB(JT,43,11),JT=1,5) /
     &9.9780E+02,9.9913E+02,9.9949E+02,9.9893E+02,9.9722E+02/
      DATA (KB(JT,44,11),JT=1,5) /
     &9.9704E+02,9.9882E+02,9.9942E+02,9.9928E+02,9.9778E+02/
      DATA (KB(JT,45,11),JT=1,5) /
     &9.9613E+02,9.9837E+02,9.9930E+02,9.9947E+02,9.9849E+02/
      DATA (KB(JT,46,11),JT=1,5) /
     &9.9492E+02,9.9787E+02,9.9911E+02,9.9949E+02,9.9897E+02/
      DATA (KB(JT,47,11),JT=1,5) /
     &9.9335E+02,9.9679E+02,9.9871E+02,9.9939E+02,9.9936E+02/
      DATA (KB(JT,48,11),JT=1,5) /
     &9.9156E+02,9.9560E+02,9.9810E+02,9.9923E+02,9.9951E+02/
      DATA (KB(JT,49,11),JT=1,5) /
     &9.8955E+02,9.9414E+02,9.9727E+02,9.9894E+02,9.9946E+02/
      DATA (KB(JT,50,11),JT=1,5) /
     &9.8749E+02,9.9256E+02,9.9630E+02,9.9847E+02,9.9918E+02/
      DATA (KB(JT,51,11),JT=1,5) /
     &9.8496E+02,9.9085E+02,9.9509E+02,9.9784E+02,9.9916E+02/
      DATA (KB(JT,52,11),JT=1,5) /
     &9.8304E+02,9.8897E+02,9.9370E+02,9.9701E+02,9.9883E+02/
      DATA (KB(JT,53,11),JT=1,5) /
     &9.8104E+02,9.8693E+02,9.9213E+02,9.9600E+02,9.9833E+02/
      DATA (KB(JT,54,11),JT=1,5) /
     &9.7906E+02,9.8440E+02,9.9053E+02,9.9485E+02,9.9771E+02/
      DATA (KB(JT,55,11),JT=1,5) /
     &9.7789E+02,9.8286E+02,9.8886E+02,9.9361E+02,9.9696E+02/
      DATA (KB(JT,56,11),JT=1,5) /
     &9.7514E+02,9.8117E+02,9.8708E+02,9.9224E+02,9.9622E+02/
      DATA (KB(JT,57,11),JT=1,5) /
     &9.7242E+02,9.7945E+02,9.8472E+02,9.9072E+02,9.9500E+02/
      DATA (KB(JT,58,11),JT=1,5) /
     &9.6969E+02,9.7814E+02,9.8316E+02,9.8916E+02,9.9384E+02/
      DATA (KB(JT,59,11),JT=1,5) /
     &9.6859E+02,9.7725E+02,9.8261E+02,9.8851E+02,9.9335E+02/
      DATA (KB(JT,13,12),JT=1,5) /
     &9.9768E+02,9.9984E+02,1.0010E+03,1.0024E+03,1.0029E+03/
      DATA (KB(JT,14,12),JT=1,5) /
     &9.9795E+02,9.9992E+02,1.0011E+03,1.0025E+03,1.0029E+03/
      DATA (KB(JT,15,12),JT=1,5) /
     &9.9880E+02,9.9996E+02,1.0013E+03,1.0026E+03,1.0031E+03/
      DATA (KB(JT,16,12),JT=1,5) /
     &9.9852E+02,1.0003E+03,1.0015E+03,1.0028E+03,1.0029E+03/
      DATA (KB(JT,17,12),JT=1,5) /
     &9.9876E+02,1.0000E+03,1.0016E+03,1.0027E+03,1.0029E+03/
      DATA (KB(JT,18,12),JT=1,5) /
     &9.9898E+02,1.0001E+03,1.0018E+03,1.0028E+03,1.0028E+03/
      DATA (KB(JT,19,12),JT=1,5) /
     &9.9918E+02,1.0003E+03,1.0021E+03,1.0028E+03,1.0028E+03/
      DATA (KB(JT,20,12),JT=1,5) /
     &9.9940E+02,1.0005E+03,1.0026E+03,1.0029E+03,1.0031E+03/
      DATA (KB(JT,21,12),JT=1,5) /
     &9.9959E+02,1.0007E+03,1.0022E+03,1.0029E+03,1.0026E+03/
      DATA (KB(JT,22,12),JT=1,5) /
     &9.9984E+02,1.0010E+03,1.0024E+03,1.0030E+03,1.0023E+03/
      DATA (KB(JT,23,12),JT=1,5) /
     &9.9996E+02,1.0013E+03,1.0024E+03,1.0029E+03,1.0025E+03/
      DATA (KB(JT,24,12),JT=1,5) /
     &1.0000E+03,1.0016E+03,1.0029E+03,1.0029E+03,1.0023E+03/
      DATA (KB(JT,25,12),JT=1,5) /
     &1.0003E+03,1.0023E+03,1.0029E+03,1.0026E+03,1.0019E+03/
      DATA (KB(JT,26,12),JT=1,5) /
     &1.0007E+03,1.0022E+03,1.0029E+03,1.0026E+03,1.0015E+03/
      DATA (KB(JT,27,12),JT=1,5) /
     &1.0012E+03,1.0025E+03,1.0031E+03,1.0024E+03,1.0010E+03/
      DATA (KB(JT,28,12),JT=1,5) /
     &1.0015E+03,1.0027E+03,1.0029E+03,1.0022E+03,1.0005E+03/
      DATA (KB(JT,29,12),JT=1,5) /
     &1.0019E+03,1.0028E+03,1.0028E+03,1.0019E+03,9.9992E+02/
      DATA (KB(JT,30,12),JT=1,5) /
     &1.0022E+03,1.0029E+03,1.0026E+03,1.0017E+03,9.9965E+02/
      DATA (KB(JT,31,12),JT=1,5) /
     &1.0025E+03,1.0030E+03,1.0022E+03,1.0011E+03,9.9843E+02/
      DATA (KB(JT,32,12),JT=1,5) /
     &1.0027E+03,1.0029E+03,1.0020E+03,1.0007E+03,9.9748E+02/
      DATA (KB(JT,33,12),JT=1,5) /
     &1.0029E+03,1.0028E+03,1.0021E+03,1.0000E+03,9.9658E+02/
      DATA (KB(JT,34,12),JT=1,5) /
     &1.0031E+03,1.0026E+03,1.0017E+03,9.9945E+02,9.9563E+02/
      DATA (KB(JT,35,12),JT=1,5) /
     &1.0030E+03,1.0025E+03,1.0031E+03,9.9888E+02,9.9496E+02/
      DATA (KB(JT,36,12),JT=1,5) /
     &1.0030E+03,1.0025E+03,1.0020E+03,9.9880E+02,9.9482E+02/
      DATA (KB(JT,37,12),JT=1,5) /
     &1.0029E+03,1.0026E+03,1.0015E+03,9.9939E+02,9.9547E+02/
      DATA (KB(JT,38,12),JT=1,5) /
     &1.0029E+03,1.0027E+03,1.0017E+03,9.9958E+02,9.9634E+02/
      DATA (KB(JT,39,12),JT=1,5) /
     &1.0028E+03,1.0028E+03,1.0017E+03,9.9993E+02,9.9613E+02/
      DATA (KB(JT,40,12),JT=1,5) /
     &1.0027E+03,1.0029E+03,1.0022E+03,1.0003E+03,9.9696E+02/
      DATA (KB(JT,41,12),JT=1,5) /
     &1.0027E+03,1.0029E+03,1.0024E+03,1.0013E+03,9.9857E+02/
      DATA (KB(JT,42,12),JT=1,5) /
     &1.0022E+03,1.0029E+03,1.0028E+03,1.0021E+03,9.9929E+02/
      DATA (KB(JT,43,12),JT=1,5) /
     &1.0018E+03,1.0028E+03,1.0028E+03,1.0020E+03,1.0001E+03/
      DATA (KB(JT,44,12),JT=1,5) /
     &1.0013E+03,1.0026E+03,1.0029E+03,1.0023E+03,1.0016E+03/
      DATA (KB(JT,45,12),JT=1,5) /
     &1.0007E+03,1.0022E+03,1.0029E+03,1.0026E+03,1.0015E+03/
      DATA (KB(JT,46,12),JT=1,5) /
     &1.0014E+03,1.0016E+03,1.0028E+03,1.0028E+03,1.0020E+03/
      DATA (KB(JT,47,12),JT=1,5) /
     &9.9993E+02,1.0012E+03,1.0025E+03,1.0029E+03,1.0024E+03/
      DATA (KB(JT,48,12),JT=1,5) /
     &9.9937E+02,1.0005E+03,1.0022E+03,1.0029E+03,1.0027E+03/
      DATA (KB(JT,49,12),JT=1,5) /
     &9.9853E+02,1.0002E+03,1.0015E+03,1.0026E+03,1.0029E+03/
      DATA (KB(JT,50,12),JT=1,5) /
     &9.9741E+02,9.9993E+02,1.0008E+03,1.0023E+03,1.0029E+03/
      DATA (KB(JT,51,12),JT=1,5) /
     &9.9665E+02,9.9912E+02,1.0002E+03,1.0018E+03,1.0028E+03/
      DATA (KB(JT,52,12),JT=1,5) /
     &9.9385E+02,9.9826E+02,1.0000E+03,1.0013E+03,1.0025E+03/
      DATA (KB(JT,53,12),JT=1,5) /
     &9.9099E+02,9.9714E+02,9.9965E+02,1.0007E+03,1.0022E+03/
      DATA (KB(JT,54,12),JT=1,5) /
     &9.8826E+02,9.9612E+02,9.9903E+02,1.0002E+03,1.0018E+03/
      DATA (KB(JT,55,12),JT=1,5) /
     &9.8397E+02,9.9379E+02,9.9822E+02,1.0000E+03,1.0013E+03/
      DATA (KB(JT,56,12),JT=1,5) /
     &9.8006E+02,9.9120E+02,9.9722E+02,9.9969E+02,1.0006E+03/
      DATA (KB(JT,57,12),JT=1,5) /
     &9.7631E+02,9.8840E+02,9.9624E+02,9.9911E+02,1.0002E+03/
      DATA (KB(JT,58,12),JT=1,5) /
     &9.7279E+02,9.8508E+02,9.9422E+02,9.9838E+02,1.0001E+03/
      DATA (KB(JT,59,12),JT=1,5) /
     &9.7171E+02,9.8327E+02,9.9315E+02,9.9818E+02,9.9997E+02/
      DATA (KB(JT,13,13),JT=1,5) /
     &9.9623E+02,9.9978E+02,1.0034E+03,1.0050E+03,1.0054E+03/
      DATA (KB(JT,14,13),JT=1,5) /
     &9.9674E+02,1.0002E+03,1.0034E+03,1.0050E+03,1.0053E+03/
      DATA (KB(JT,15,13),JT=1,5) /
     &9.9652E+02,1.0007E+03,1.0036E+03,1.0051E+03,1.0051E+03/
      DATA (KB(JT,16,13),JT=1,5) /
     &9.9785E+02,1.0007E+03,1.0039E+03,1.0049E+03,1.0053E+03/
      DATA (KB(JT,17,13),JT=1,5) /
     &9.9816E+02,1.0017E+03,1.0043E+03,1.0052E+03,1.0052E+03/
      DATA (KB(JT,18,13),JT=1,5) /
     &9.9792E+02,1.0021E+03,1.0042E+03,1.0053E+03,1.0051E+03/
      DATA (KB(JT,19,13),JT=1,5) /
     &9.9826E+02,1.0023E+03,1.0042E+03,1.0053E+03,1.0051E+03/
      DATA (KB(JT,20,13),JT=1,5) /
     &9.9869E+02,1.0028E+03,1.0038E+03,1.0053E+03,1.0044E+03/
      DATA (KB(JT,21,13),JT=1,5) /
     &9.9914E+02,1.0028E+03,1.0048E+03,1.0054E+03,1.0048E+03/
      DATA (KB(JT,22,13),JT=1,5) /
     &9.9989E+02,1.0035E+03,1.0050E+03,1.0053E+03,1.0046E+03/
      DATA (KB(JT,23,13),JT=1,5) /
     &1.0011E+03,1.0037E+03,1.0051E+03,1.0053E+03,1.0041E+03/
      DATA (KB(JT,24,13),JT=1,5) /
     &1.0018E+03,1.0041E+03,1.0050E+03,1.0052E+03,1.0037E+03/
      DATA (KB(JT,25,13),JT=1,5) /
     &1.0026E+03,1.0040E+03,1.0056E+03,1.0050E+03,1.0036E+03/
      DATA (KB(JT,26,13),JT=1,5) /
     &1.0031E+03,1.0048E+03,1.0054E+03,1.0050E+03,1.0030E+03/
      DATA (KB(JT,27,13),JT=1,5) /
     &1.0047E+03,1.0050E+03,1.0051E+03,1.0045E+03,1.0025E+03/
      DATA (KB(JT,28,13),JT=1,5) /
     &1.0039E+03,1.0052E+03,1.0052E+03,1.0041E+03,1.0018E+03/
      DATA (KB(JT,29,13),JT=1,5) /
     &1.0044E+03,1.0053E+03,1.0051E+03,1.0037E+03,1.0011E+03/
      DATA (KB(JT,30,13),JT=1,5) /
     &1.0048E+03,1.0054E+03,1.0048E+03,1.0029E+03,9.9977E+02/
      DATA (KB(JT,31,13),JT=1,5) /
     &1.0050E+03,1.0053E+03,1.0045E+03,1.0025E+03,9.9968E+02/
      DATA (KB(JT,32,13),JT=1,5) /
     &1.0052E+03,1.0050E+03,1.0041E+03,1.0015E+03,9.9880E+02/
      DATA (KB(JT,33,13),JT=1,5) /
     &1.0053E+03,1.0050E+03,1.0033E+03,1.0008E+03,9.9675E+02/
      DATA (KB(JT,34,13),JT=1,5) /
     &1.0051E+03,1.0048E+03,1.0028E+03,1.0000E+03,9.9529E+02/
      DATA (KB(JT,35,13),JT=1,5) /
     &1.0054E+03,1.0047E+03,1.0003E+03,9.9992E+02,9.9481E+02/
      DATA (KB(JT,36,13),JT=1,5) /
     &1.0054E+03,1.0046E+03,1.0017E+03,9.9987E+02,9.9445E+02/
      DATA (KB(JT,37,13),JT=1,5) /
     &1.0054E+03,1.0048E+03,1.0030E+03,9.9995E+02,9.9517E+02/
      DATA (KB(JT,38,13),JT=1,5) /
     &1.0054E+03,1.0049E+03,1.0034E+03,1.0006E+03,9.9603E+02/
      DATA (KB(JT,39,13),JT=1,5) /
     &1.0053E+03,1.0051E+03,1.0037E+03,1.0011E+03,9.9693E+02/
      DATA (KB(JT,40,13),JT=1,5) /
     &1.0052E+03,1.0052E+03,1.0041E+03,1.0018E+03,9.9860E+02/
      DATA (KB(JT,41,13),JT=1,5) /
     &1.0048E+03,1.0053E+03,1.0045E+03,1.0023E+03,9.9951E+02/
      DATA (KB(JT,42,13),JT=1,5) /
     &1.0048E+03,1.0054E+03,1.0046E+03,1.0024E+03,1.0003E+03/
      DATA (KB(JT,43,13),JT=1,5) /
     &1.0043E+03,1.0053E+03,1.0051E+03,1.0038E+03,1.0013E+03/
      DATA (KB(JT,44,13),JT=1,5) /
     &1.0036E+03,1.0051E+03,1.0053E+03,1.0044E+03,1.0012E+03/
      DATA (KB(JT,45,13),JT=1,5) /
     &1.0028E+03,1.0048E+03,1.0054E+03,1.0048E+03,1.0031E+03/
      DATA (KB(JT,46,13),JT=1,5) /
     &1.0008E+03,1.0042E+03,1.0053E+03,1.0052E+03,1.0038E+03/
      DATA (KB(JT,47,13),JT=1,5) /
     &1.0002E+03,1.0039E+03,1.0050E+03,1.0053E+03,1.0045E+03/
      DATA (KB(JT,48,13),JT=1,5) /
     &9.9859E+02,1.0025E+03,1.0043E+03,1.0054E+03,1.0050E+03/
      DATA (KB(JT,49,13),JT=1,5) /
     &9.9776E+02,1.0009E+03,1.0041E+03,1.0052E+03,1.0053E+03/
      DATA (KB(JT,50,13),JT=1,5) /
     &9.9565E+02,9.9944E+02,1.0034E+03,1.0049E+03,1.0054E+03/
      DATA (KB(JT,51,13),JT=1,5) /
     &9.9271E+02,9.9811E+02,1.0022E+03,1.0043E+03,1.0053E+03/
      DATA (KB(JT,52,13),JT=1,5) /
     &9.9056E+02,9.9717E+02,1.0006E+03,1.0036E+03,1.0051E+03/
      DATA (KB(JT,53,13),JT=1,5) /
     &9.8830E+02,9.9502E+02,9.9909E+02,1.0028E+03,1.0048E+03/
      DATA (KB(JT,54,13),JT=1,5) /
     &9.8610E+02,9.9275E+02,9.9821E+02,1.0021E+03,1.0042E+03/
      DATA (KB(JT,55,13),JT=1,5) /
     &9.8386E+02,9.9045E+02,9.9729E+02,1.0008E+03,1.0038E+03/
      DATA (KB(JT,56,13),JT=1,5) /
     &9.8150E+02,9.8846E+02,9.9517E+02,9.9919E+02,1.0028E+03/
      DATA (KB(JT,57,13),JT=1,5) /
     &9.7902E+02,9.8636E+02,9.9303E+02,9.9832E+02,1.0022E+03/
      DATA (KB(JT,58,13),JT=1,5) /
     &9.7656E+02,9.8426E+02,9.9079E+02,9.9735E+02,1.0008E+03/
      DATA (KB(JT,59,13),JT=1,5) /
     &9.7503E+02,9.8337E+02,9.9004E+02,9.9647E+02,1.0002E+03/
      DATA (KB(JT,13,14),JT=1,5) /
     &9.9596E+02,1.0023E+03,1.0047E+03,1.0067E+03,1.0072E+03/
      DATA (KB(JT,14,14),JT=1,5) /
     &9.9625E+02,1.0024E+03,1.0052E+03,1.0068E+03,1.0071E+03/
      DATA (KB(JT,15,14),JT=1,5) /
     &9.9662E+02,1.0025E+03,1.0054E+03,1.0069E+03,1.0071E+03/
      DATA (KB(JT,16,14),JT=1,5) /
     &9.9703E+02,1.0026E+03,1.0056E+03,1.0070E+03,1.0070E+03/
      DATA (KB(JT,17,14),JT=1,5) /
     &9.9784E+02,1.0032E+03,1.0054E+03,1.0071E+03,1.0070E+03/
      DATA (KB(JT,18,14),JT=1,5) /
     &9.9947E+02,1.0032E+03,1.0060E+03,1.0071E+03,1.0069E+03/
      DATA (KB(JT,19,14),JT=1,5) /
     &1.0001E+03,1.0036E+03,1.0062E+03,1.0071E+03,1.0068E+03/
      DATA (KB(JT,20,14),JT=1,5) /
     &1.0009E+03,1.0037E+03,1.0064E+03,1.0076E+03,1.0067E+03/
      DATA (KB(JT,21,14),JT=1,5) /
     &1.0015E+03,1.0046E+03,1.0065E+03,1.0072E+03,1.0065E+03/
      DATA (KB(JT,22,14),JT=1,5) /
     &1.0023E+03,1.0047E+03,1.0068E+03,1.0071E+03,1.0063E+03/
      DATA (KB(JT,23,14),JT=1,5) /
     &1.0021E+03,1.0055E+03,1.0069E+03,1.0071E+03,1.0060E+03/
      DATA (KB(JT,24,14),JT=1,5) /
     &1.0028E+03,1.0059E+03,1.0071E+03,1.0069E+03,1.0057E+03/
      DATA (KB(JT,25,14),JT=1,5) /
     &1.0033E+03,1.0062E+03,1.0068E+03,1.0068E+03,1.0052E+03/
      DATA (KB(JT,26,14),JT=1,5) /
     &1.0043E+03,1.0066E+03,1.0072E+03,1.0061E+03,1.0047E+03/
      DATA (KB(JT,27,14),JT=1,5) /
     &1.0033E+03,1.0068E+03,1.0071E+03,1.0062E+03,1.0042E+03/
      DATA (KB(JT,28,14),JT=1,5) /
     &1.0057E+03,1.0070E+03,1.0070E+03,1.0058E+03,1.0036E+03/
      DATA (KB(JT,29,14),JT=1,5) /
     &1.0062E+03,1.0075E+03,1.0068E+03,1.0053E+03,1.0030E+03/
      DATA (KB(JT,30,14),JT=1,5) /
     &1.0065E+03,1.0072E+03,1.0069E+03,1.0048E+03,1.0022E+03/
      DATA (KB(JT,31,14),JT=1,5) /
     &1.0068E+03,1.0071E+03,1.0062E+03,1.0042E+03,1.0014E+03/
      DATA (KB(JT,32,14),JT=1,5) /
     &1.0070E+03,1.0070E+03,1.0058E+03,1.0035E+03,9.9925E+02/
      DATA (KB(JT,33,14),JT=1,5) /
     &1.0071E+03,1.0068E+03,1.0053E+03,1.0029E+03,9.9808E+02/
      DATA (KB(JT,34,14),JT=1,5) /
     &1.0072E+03,1.0065E+03,1.0048E+03,1.0021E+03,9.9788E+02/
      DATA (KB(JT,35,14),JT=1,5) /
     &1.0072E+03,1.0064E+03,1.0045E+03,1.0016E+03,9.9700E+02/
      DATA (KB(JT,36,14),JT=1,5) /
     &1.0072E+03,1.0063E+03,1.0044E+03,1.0015E+03,9.9731E+02/
      DATA (KB(JT,37,14),JT=1,5) /
     &1.0072E+03,1.0065E+03,1.0047E+03,1.0021E+03,9.9778E+02/
      DATA (KB(JT,38,14),JT=1,5) /
     &1.0072E+03,1.0067E+03,1.0050E+03,1.0026E+03,9.9820E+02/
      DATA (KB(JT,39,14),JT=1,5) /
     &1.0071E+03,1.0068E+03,1.0053E+03,1.0030E+03,9.9855E+02/
      DATA (KB(JT,40,14),JT=1,5) /
     &1.0070E+03,1.0070E+03,1.0058E+03,1.0036E+03,9.9965E+02/
      DATA (KB(JT,41,14),JT=1,5) /
     &1.0068E+03,1.0071E+03,1.0062E+03,1.0042E+03,1.0010E+03/
      DATA (KB(JT,42,14),JT=1,5) /
     &1.0065E+03,1.0072E+03,1.0065E+03,1.0048E+03,1.0022E+03/
      DATA (KB(JT,43,14),JT=1,5) /
     &1.0061E+03,1.0071E+03,1.0069E+03,1.0055E+03,1.0031E+03/
      DATA (KB(JT,44,14),JT=1,5) /
     &1.0054E+03,1.0069E+03,1.0071E+03,1.0061E+03,1.0039E+03/
      DATA (KB(JT,45,14),JT=1,5) /
     &1.0046E+03,1.0066E+03,1.0072E+03,1.0065E+03,1.0048E+03/
      DATA (KB(JT,46,14),JT=1,5) /
     &1.0023E+03,1.0060E+03,1.0075E+03,1.0069E+03,1.0055E+03/
      DATA (KB(JT,47,14),JT=1,5) /
     &1.0024E+03,1.0044E+03,1.0068E+03,1.0071E+03,1.0062E+03/
      DATA (KB(JT,48,14),JT=1,5) /
     &1.0006E+03,1.0039E+03,1.0063E+03,1.0072E+03,1.0067E+03/
      DATA (KB(JT,49,14),JT=1,5) /
     &9.9705E+02,1.0026E+03,1.0052E+03,1.0070E+03,1.0070E+03/
      DATA (KB(JT,50,14),JT=1,5) /
     &9.9574E+02,1.0014E+03,1.0040E+03,1.0066E+03,1.0072E+03/
      DATA (KB(JT,51,14),JT=1,5) /
     &9.9447E+02,9.9966E+02,1.0033E+03,1.0065E+03,1.0071E+03/
      DATA (KB(JT,52,14),JT=1,5) /
     &9.9299E+02,9.9670E+02,1.0025E+03,1.0054E+03,1.0069E+03/
      DATA (KB(JT,53,14),JT=1,5) /
     &9.9138E+02,9.9552E+02,1.0013E+03,1.0044E+03,1.0065E+03/
      DATA (KB(JT,54,14),JT=1,5) /
     &9.8979E+02,9.9462E+02,9.9874E+02,1.0030E+03,1.0060E+03/
      DATA (KB(JT,55,14),JT=1,5) /
     &9.8814E+02,9.9291E+02,9.9630E+02,1.0029E+03,1.0050E+03/
      DATA (KB(JT,56,14),JT=1,5) /
     &9.8639E+02,9.9150E+02,9.9562E+02,1.0014E+03,1.0045E+03/
      DATA (KB(JT,57,14),JT=1,5) /
     &9.8454E+02,9.8998E+02,9.9438E+02,9.9904E+02,1.0032E+03/
      DATA (KB(JT,58,14),JT=1,5) /
     &9.8268E+02,9.8844E+02,9.9315E+02,9.9688E+02,1.0025E+03/
      DATA (KB(JT,59,14),JT=1,5) /
     &9.8190E+02,9.8779E+02,9.9262E+02,9.9638E+02,1.0024E+03/
      DATA (KB(JT,13,15),JT=1,5) /
     &9.9739E+02,1.0017E+03,1.0064E+03,1.0076E+03,1.0080E+03/
      DATA (KB(JT,14,15),JT=1,5) /
     &9.9781E+02,1.0021E+03,1.0065E+03,1.0077E+03,1.0090E+03/
      DATA (KB(JT,15,15),JT=1,5) /
     &9.9827E+02,1.0029E+03,1.0067E+03,1.0077E+03,1.0079E+03/
      DATA (KB(JT,16,15),JT=1,5) /
     &9.9875E+02,1.0040E+03,1.0068E+03,1.0078E+03,1.0089E+03/
      DATA (KB(JT,17,15),JT=1,5) /
     &9.9816E+02,1.0041E+03,1.0080E+03,1.0079E+03,1.0078E+03/
      DATA (KB(JT,18,15),JT=1,5) /
     &9.9861E+02,1.0065E+03,1.0071E+03,1.0090E+03,1.0078E+03/
      DATA (KB(JT,19,15),JT=1,5) /
     &1.0001E+03,1.0056E+03,1.0072E+03,1.0079E+03,1.0077E+03/
      DATA (KB(JT,20,15),JT=1,5) /
     &9.9952E+02,1.0059E+03,1.0074E+03,1.0090E+03,1.0087E+03/
      DATA (KB(JT,21,15),JT=1,5) /
     &1.0000E+03,1.0061E+03,1.0085E+03,1.0080E+03,1.0085E+03/
      DATA (KB(JT,22,15),JT=1,5) /
     &1.0012E+03,1.0064E+03,1.0076E+03,1.0090E+03,1.0073E+03/
      DATA (KB(JT,23,15),JT=1,5) /
     &1.0032E+03,1.0067E+03,1.0088E+03,1.0079E+03,1.0070E+03/
      DATA (KB(JT,24,15),JT=1,5) /
     &1.0052E+03,1.0070E+03,1.0079E+03,1.0089E+03,1.0067E+03/
      DATA (KB(JT,25,15),JT=1,5) /
     &1.0057E+03,1.0083E+03,1.0079E+03,1.0098E+03,1.0062E+03/
      DATA (KB(JT,26,15),JT=1,5) /
     &1.0061E+03,1.0085E+03,1.0080E+03,1.0075E+03,1.0068E+03/
      DATA (KB(JT,27,15),JT=1,5) /
     &1.0066E+03,1.0087E+03,1.0111E+03,1.0072E+03,1.0051E+03/
      DATA (KB(JT,28,15),JT=1,5) /
     &1.0069E+03,1.0089E+03,1.0079E+03,1.0068E+03,1.0054E+03/
      DATA (KB(JT,29,15),JT=1,5) /
     &1.0072E+03,1.0069E+03,1.0077E+03,1.0063E+03,1.0034E+03/
      DATA (KB(JT,30,15),JT=1,5) /
     &1.0075E+03,1.0111E+03,1.0075E+03,1.0068E+03,1.0088E+03/
      DATA (KB(JT,31,15),JT=1,5) /
     &1.0077E+03,1.0080E+03,1.0072E+03,1.0061E+03,1.0007E+03/
      DATA (KB(JT,32,15),JT=1,5) /
     &1.0078E+03,1.0089E+03,1.0068E+03,1.0043E+03,1.0013E+03/
      DATA (KB(JT,33,15),JT=1,5) /
     &1.0079E+03,1.0077E+03,1.0063E+03,1.0044E+03,1.0009E+03/
      DATA (KB(JT,34,15),JT=1,5) /
     &1.0090E+03,1.0075E+03,1.0058E+03,1.0025E+03,1.0002E+03/
      DATA (KB(JT,35,15),JT=1,5) /
     &1.0080E+03,1.0073E+03,1.0054E+03,1.0021E+03,9.9972E+02/
      DATA (KB(JT,36,15),JT=1,5) /
     &1.0090E+03,1.0073E+03,1.0054E+03,1.0020E+03,9.9964E+02/
      DATA (KB(JT,37,15),JT=1,5) /
     &1.0080E+03,1.0075E+03,1.0057E+03,1.0024E+03,1.0001E+03/
      DATA (KB(JT,38,15),JT=1,5) /
     &1.0090E+03,1.0076E+03,1.0060E+03,1.0040E+03,1.0006E+03/
      DATA (KB(JT,39,15),JT=1,5) /
     &1.0079E+03,1.0077E+03,1.0063E+03,1.0034E+03,1.0010E+03/
      DATA (KB(JT,40,15),JT=1,5) /
     &1.0089E+03,1.0089E+03,1.0068E+03,1.0054E+03,1.0014E+03/
      DATA (KB(JT,41,15),JT=1,5) /
     &1.0087E+03,1.0090E+03,1.0082E+03,1.0051E+03,1.0018E+03/
      DATA (KB(JT,42,15),JT=1,5) /
     &1.0085E+03,1.0090E+03,1.0075E+03,1.0058E+03,1.0025E+03/
      DATA (KB(JT,43,15),JT=1,5) /
     &1.0071E+03,1.0079E+03,1.0078E+03,1.0086E+03,1.0037E+03/
      DATA (KB(JT,44,15),JT=1,5) /
     &1.0067E+03,1.0088E+03,1.0079E+03,1.0071E+03,1.0048E+03/
      DATA (KB(JT,45,15),JT=1,5) /
     &1.0061E+03,1.0075E+03,1.0090E+03,1.0096E+03,1.0057E+03/
      DATA (KB(JT,46,15),JT=1,5) /
     &1.0054E+03,1.0071E+03,1.0068E+03,1.0078E+03,1.0065E+03/
      DATA (KB(JT,47,15),JT=1,5) /
     &1.0020E+03,1.0065E+03,1.0087E+03,1.0079E+03,1.0093E+03/
      DATA (KB(JT,48,15),JT=1,5) /
     &9.9938E+02,1.0058E+03,1.0073E+03,1.0079E+03,1.0087E+03/
      DATA (KB(JT,49,15),JT=1,5) /
     &9.9869E+02,1.0038E+03,1.0079E+03,1.0099E+03,1.0089E+03/
      DATA (KB(JT,50,15),JT=1,5) /
     &9.9593E+02,1.0003E+03,1.0062E+03,1.0075E+03,1.0090E+03/
      DATA (KB(JT,51,15),JT=1,5) /
     &9.9417E+02,9.9877E+02,1.0055E+03,1.0061E+03,1.0090E+03/
      DATA (KB(JT,52,15),JT=1,5) /
     &9.9334E+02,9.9717E+02,1.0030E+03,1.0077E+03,1.0077E+03/
      DATA (KB(JT,53,15),JT=1,5) /
     &9.9034E+02,9.9548E+02,9.9989E+02,1.0071E+03,1.0085E+03/
      DATA (KB(JT,54,15),JT=1,5) /
     &9.8844E+02,9.9385E+02,9.9849E+02,1.0064E+03,1.0081E+03/
      DATA (KB(JT,55,15),JT=1,5) /
     &9.8654E+02,9.9323E+02,9.9708E+02,1.0005E+03,1.0066E+03/
      DATA (KB(JT,56,15),JT=1,5) /
     &9.8558E+02,9.9048E+02,9.9560E+02,9.9999E+02,1.0071E+03/
      DATA (KB(JT,57,15),JT=1,5) /
     &9.8349E+02,9.8867E+02,9.9404E+02,9.9866E+02,1.0054E+03/
      DATA (KB(JT,58,15),JT=1,5) /
     &9.8039E+02,9.8688E+02,9.9250E+02,9.9837E+02,1.0028E+03/
      DATA (KB(JT,59,15),JT=1,5) /
     &9.7954E+02,9.8614E+02,9.9186E+02,9.9679E+02,1.0019E+03/
      DATA (KB(JT,13,16),JT=1,5) /
     &9.8905E+02,9.9319E+02,1.0065E+03,1.0075E+03,1.0080E+03/
      DATA (KB(JT,14,16),JT=1,5) /
     &9.8947E+02,1.0009E+03,1.0067E+03,1.0076E+03,1.0005E+03/
      DATA (KB(JT,15,16),JT=1,5) /
     &9.8993E+02,1.0052E+03,1.0068E+03,1.0076E+03,1.0080E+03/
      DATA (KB(JT,16,16),JT=1,5) /
     &9.9040E+02,1.0054E+03,1.0069E+03,1.0077E+03,1.0005E+03/
      DATA (KB(JT,17,16),JT=1,5) /
     &9.9823E+02,1.0056E+03,9.9955E+02,1.0078E+03,1.0080E+03/
      DATA (KB(JT,18,16),JT=1,5) /
     &9.9867E+02,9.9832E+02,1.0071E+03,1.0003E+03,1.0079E+03/
      DATA (KB(JT,19,16),JT=1,5) /
     &9.9168E+02,1.0059E+03,1.0072E+03,1.0078E+03,1.0079E+03/
      DATA (KB(JT,20,16),JT=1,5) /
     &9.9955E+02,1.0061E+03,1.0073E+03,9.9297E+02,1.0003E+03/
      DATA (KB(JT,21,16),JT=1,5) /
     &1.0000E+03,1.0063E+03,9.9994E+02,1.0079E+03,1.0002E+03/
      DATA (KB(JT,22,16),JT=1,5) /
     &1.0007E+03,1.0066E+03,1.0075E+03,1.0005E+03,1.0075E+03/
      DATA (KB(JT,23,16),JT=1,5) /
     &1.0052E+03,1.0068E+03,1.0002E+03,1.0080E+03,1.0072E+03/
      DATA (KB(JT,24,16),JT=1,5) /
     &1.0056E+03,1.0070E+03,1.0078E+03,1.0005E+03,1.0068E+03/
      DATA (KB(JT,25,16),JT=1,5) /
     &1.0060E+03,9.9977E+02,1.0079E+03,9.9294E+02,1.0064E+03/
      DATA (KB(JT,26,16),JT=1,5) /
     &1.0064E+03,9.9996E+02,1.0080E+03,1.0077E+03,9.9839E+02/
      DATA (KB(JT,27,16),JT=1,5) /
     &1.0067E+03,1.0001E+03,9.8561E+02,1.0074E+03,1.0052E+03/
      DATA (KB(JT,28,16),JT=1,5) /
     &1.0069E+03,1.0003E+03,1.0080E+03,1.0070E+03,9.9700E+02/
      DATA (KB(JT,29,16),JT=1,5) /
     &1.0072E+03,1.0078E+03,1.0079E+03,1.0065E+03,1.0036E+03/
      DATA (KB(JT,30,16),JT=1,5) /
     &1.0074E+03,9.8555E+02,1.0002E+03,9.9845E+02,9.5900E+02/
      DATA (KB(JT,31,16),JT=1,5) /
     &1.0076E+03,1.0080E+03,1.0074E+03,9.9776E+02,1.0037E+03/
      DATA (KB(JT,32,16),JT=1,5) /
     &1.0077E+03,1.0005E+03,1.0070E+03,1.0044E+03,1.0038E+03/
      DATA (KB(JT,33,16),JT=1,5) /
     &1.0079E+03,1.0079E+03,1.0064E+03,9.9602E+02,1.0038E+03/
      DATA (KB(JT,34,16),JT=1,5) /
     &1.0005E+03,1.0077E+03,1.0059E+03,1.0036E+03,1.0037E+03/
      DATA (KB(JT,35,16),JT=1,5) /
     &1.0080E+03,1.0075E+03,1.0055E+03,1.0037E+03,1.0036E+03/
      DATA (KB(JT,36,16),JT=1,5) /
     &1.0005E+03,1.0075E+03,1.0055E+03,1.0037E+03,1.0036E+03/
      DATA (KB(JT,37,16),JT=1,5) /
     &1.0080E+03,1.0077E+03,1.0058E+03,1.0037E+03,1.0037E+03/
      DATA (KB(JT,38,16),JT=1,5) /
     &1.0004E+03,1.0078E+03,1.0062E+03,9.9569E+02,1.0037E+03/
      DATA (KB(JT,39,16),JT=1,5) /
     &1.0078E+03,1.0079E+03,1.0065E+03,1.0036E+03,1.0038E+03/
      DATA (KB(JT,40,16),JT=1,5) /
     &1.0003E+03,1.0005E+03,1.0070E+03,9.9698E+02,1.0038E+03/
      DATA (KB(JT,41,16),JT=1,5) /
     &1.0001E+03,1.0005E+03,9.9992E+02,1.0052E+03,1.0037E+03/
      DATA (KB(JT,42,16),JT=1,5) /
     &9.9994E+02,1.0005E+03,1.0077E+03,1.0059E+03,1.0036E+03/
      DATA (KB(JT,43,16),JT=1,5) /
     &1.0071E+03,1.0078E+03,1.0079E+03,9.9172E+02,1.0038E+03/
      DATA (KB(JT,44,16),JT=1,5) /
     &1.0068E+03,1.0002E+03,1.0080E+03,1.0072E+03,1.0049E+03/
      DATA (KB(JT,45,16),JT=1,5) /
     &1.0063E+03,1.0074E+03,1.0005E+03,9.9276E+02,1.0059E+03/
      DATA (KB(JT,46,16),JT=1,5) /
     &1.0057E+03,1.0071E+03,1.0078E+03,1.0079E+03,1.0067E+03/
      DATA (KB(JT,47,16),JT=1,5) /
     &1.0009E+03,1.0067E+03,1.0001E+03,1.0080E+03,9.9247E+02/
      DATA (KB(JT,48,16),JT=1,5) /
     &9.9941E+02,1.0061E+03,1.0073E+03,1.0079E+03,1.0004E+03/
      DATA (KB(JT,49,16),JT=1,5) /
     &9.9034E+02,1.0054E+03,9.9943E+02,9.9276E+02,1.0005E+03/
      DATA (KB(JT,50,16),JT=1,5) /
     &9.9601E+02,1.0003E+03,1.0064E+03,1.0074E+03,1.0005E+03/
      DATA (KB(JT,51,16),JT=1,5) /
     &9.9422E+02,9.9882E+02,1.0058E+03,1.0071E+03,1.0003E+03/
      DATA (KB(JT,52,16),JT=1,5) /
     &9.8496E+02,9.9726E+02,1.0013E+03,9.9930E+02,1.0076E+03/
      DATA (KB(JT,53,16),JT=1,5) /
     &9.9030E+02,9.9555E+02,9.9990E+02,9.9882E+02,9.9991E+02/
      DATA (KB(JT,54,16),JT=1,5) /
     &9.8836E+02,9.8653E+02,9.9856E+02,9.9827E+02,9.9962E+02/
      DATA (KB(JT,55,16),JT=1,5) /
     &9.8643E+02,9.8485E+02,9.9716E+02,1.0012E+03,1.0067E+03/
      DATA (KB(JT,56,16),JT=1,5) /
     &9.7714E+02,9.9044E+02,9.9567E+02,9.9999E+02,9.9885E+02/
      DATA (KB(JT,57,16),JT=1,5) /
     &9.7511E+02,9.8860E+02,9.9409E+02,9.9872E+02,1.0058E+03/
      DATA (KB(JT,58,16),JT=1,5) /
     &9.8036E+02,9.8678E+02,9.9251E+02,9.9003E+02,1.0052E+03/
      DATA (KB(JT,59,16),JT=1,5) /
     &9.7953E+02,9.8603E+02,9.9185E+02,9.9687E+02,1.0009E+03/
