C     path:      $Source: /storm/rc1/cvsroot/rc/rrtm_sw/src/k_gB17.f,v $
C     author:    $Author: jdelamer $
C     revision:  $Revision: 2.3 $
C     created:   $Date: 2004/04/15 18:50:56 $
C
C  --------------------------------------------------------------------------
C |                                                                          |
C |  Copyright 2002, 2003, Atmospheric & Environmental Research, Inc. (AER). |
C |  This software may be used, copied, or redistributed as long as it is    |
C |  not sold and this copyright notice is reproduced on each copy made.     |
C |  This model is provided as is without any express or implied warranties. |
C |                       (http://www.rtweb.aer.com/)                        |
C |                                                                          |
C  --------------------------------------------------------------------------

      PARAMETER (MG = 16)
      REAL KA(9,5,13,MG),KB(5,5,13:59,MG)
      DIMENSION SELFREF(10,MG),FORREF(4,MG)

      COMMON /CVRSN17/ HNAMKG17,HVRKG17
      COMMON /K17/ KA ,KB, SELFREF, FORREF

      CHARACTER*18 HNAMKG17,HVRKG17

      DATA HNAMKG17 / '        k_gb17.f:'/ 
      DATA HVRKG17 /'$Revision: 2.3 $'/

C     The array KA contains absorption coefs for each of the 16 g-intervals
C     for a range of pressure levels > ~100mb, temperatures, and ratios
C     of water vapor to CO2.  The first index in the array, JS, runs
C     from 1 to 10, and corresponds to different water vapor to CO2 ratios,
C     as expressed through the binary species parameter eta, defined as
C     eta = h2o/(h20 + (rat) * co2), where rat is the ratio of the integrated
C     line strength in the band of co2 to that of h2o.  For instance,
C     JS=1 refers to dry air (eta = 0), JS = 10 corresponds to eta = 1.0.
C     The 2nd index in the array, JT, which runs from 1 to 5, corresponds 
C     to different temperatures.  More specifically, JT = 3 means that the 
C     data are for the reference temperature TREF for this  pressure 
C     level, JT = 2 refers to the temperature
C     TREF-15, JT = 1 is for TREF-30, JT = 4 is for TREF+15, and JT = 5
C     is for TREF+30.  The third index, JP, runs from 1 to 13 and refers
C     to the reference pressure level (e.g. JP = 1 is for a
C     pressure of 1053.63 mb).  The fourth index, IG, goes from 1 to 16,
C     and tells us which g-interval the absorption coefficients are for.
      DATA ((KA(JS,JT, 1, 1),JS=1,9),JT=1,5) /
     &1.1134E-06,3.2092E-04,5.5663E-04,7.8227E-04,9.9421E-04,1.2045E-03,
     &1.4116E-03,1.6069E-03,1.9330E-03,1.0544E-06,3.5434E-04,6.1480E-04,
     &8.6424E-04,1.1055E-03,1.3431E-03,1.5754E-03,1.7951E-03,2.1280E-03,
     &9.8345E-07,3.8989E-04,6.7747E-04,9.5289E-04,1.2196E-03,1.4864E-03,
     &1.7449E-03,1.9897E-03,2.3564E-03,9.5017E-07,4.2582E-04,7.4419E-04,
     &1.0463E-03,1.3424E-03,1.6353E-03,1.9215E-03,2.1939E-03,2.5993E-03,
     &9.1870E-07,4.6371E-04,8.1394E-04,1.1464E-03,1.4715E-03,1.7937E-03,
     &2.1072E-03,2.4077E-03,2.8540E-03/
      DATA ((KA(JS,JT, 2, 1),JS=1,9),JT=1,5) /
     &9.4184E-07,2.6532E-04,4.6157E-04,6.3776E-04,8.1087E-04,9.7728E-04,
     &1.1419E-03,1.2991E-03,1.5121E-03,8.9060E-07,2.9417E-04,5.0967E-04,
     &7.0759E-04,9.0203E-04,1.0920E-03,1.2764E-03,1.4544E-03,1.6795E-03,
     &8.2720E-07,3.2361E-04,5.6124E-04,7.8299E-04,9.9718E-04,1.2094E-03,
     &1.4172E-03,1.6165E-03,1.8637E-03,7.8842E-07,3.5495E-04,6.1684E-04,
     &8.6176E-04,1.0995E-03,1.3345E-03,1.5652E-03,1.7856E-03,2.0621E-03,
     &7.6610E-07,3.8728E-04,6.7538E-04,9.4613E-04,1.2082E-03,1.4675E-03,
     &1.7206E-03,1.9640E-03,2.2720E-03/
      DATA ((KA(JS,JT, 3, 1),JS=1,9),JT=1,5) /
     &7.9663E-07,2.1369E-04,3.7088E-04,5.1222E-04,6.4549E-04,7.7322E-04,
     &8.9939E-04,1.0205E-03,1.1568E-03,7.5955E-07,2.3780E-04,4.1153E-04,
     &5.6901E-04,7.2009E-04,8.6735E-04,1.0092E-03,1.1476E-03,1.2913E-03,
     &7.1692E-07,2.6276E-04,4.5488E-04,6.2922E-04,7.9836E-04,9.6259E-04,
     &1.1236E-03,1.2796E-03,1.4398E-03,6.6348E-07,2.8896E-04,5.0221E-04,
     &6.9411E-04,8.8226E-04,1.0658E-03,1.2456E-03,1.4191E-03,1.5991E-03,
     &6.4013E-07,3.1643E-04,5.5166E-04,7.6434E-04,9.7216E-04,1.1745E-03,
     &1.3731E-03,1.5657E-03,1.7671E-03/
      DATA ((KA(JS,JT, 4, 1),JS=1,9),JT=1,5) /
     &6.6217E-07,1.6966E-04,2.9358E-04,4.0688E-04,5.1114E-04,6.0739E-04,
     &7.0191E-04,7.9446E-04,8.8832E-04,6.4111E-07,1.8902E-04,3.2742E-04,
     &4.5364E-04,5.7086E-04,6.8401E-04,7.9116E-04,8.9507E-04,9.9655E-04,
     &6.0729E-07,2.1007E-04,3.6354E-04,5.0354E-04,6.3459E-04,7.6113E-04,
     &8.8473E-04,1.0035E-03,1.1163E-03,5.7250E-07,2.3203E-04,4.0245E-04,
     &5.5758E-04,7.0295E-04,8.4515E-04,9.8379E-04,1.1165E-03,1.2444E-03,
     &5.3524E-07,2.5529E-04,4.4399E-04,6.1564E-04,7.7626E-04,9.3405E-04,
     &1.0892E-03,1.2369E-03,1.3795E-03/
      DATA ((KA(JS,JT, 5, 1),JS=1,9),JT=1,5) /
     &5.5112E-07,1.3422E-04,2.3166E-04,3.2119E-04,4.0265E-04,4.7812E-04,
     &5.4797E-04,6.1873E-04,6.8912E-04,5.3669E-07,1.4990E-04,2.5949E-04,
     &3.5886E-04,4.5239E-04,5.3936E-04,6.1894E-04,6.9718E-04,7.7732E-04,
     &5.1495E-07,1.6706E-04,2.8960E-04,4.0020E-04,5.0461E-04,6.0249E-04,
     &6.9677E-04,7.8464E-04,8.7334E-04,4.8633E-07,1.8543E-04,3.2159E-04,
     &4.4499E-04,5.6095E-04,6.7055E-04,7.7575E-04,8.7717E-04,9.7694E-04,
     &4.5162E-07,2.0472E-04,3.5591E-04,4.9350E-04,6.2163E-04,7.4253E-04,
     &8.6247E-04,9.7518E-04,1.0864E-03/
      DATA ((KA(JS,JT, 6, 1),JS=1,9),JT=1,5) /
     &4.5055E-07,1.0556E-04,1.8176E-04,2.5137E-04,3.1438E-04,3.7363E-04,
     &4.2759E-04,4.7883E-04,5.3437E-04,4.4502E-07,1.1814E-04,2.0383E-04,
     &2.8162E-04,3.5547E-04,4.2261E-04,4.8340E-04,5.4066E-04,6.0352E-04,
     &4.3066E-07,1.3217E-04,2.2836E-04,3.1552E-04,3.9762E-04,4.7493E-04,
     &5.4543E-04,6.1066E-04,6.8176E-04,4.1116E-07,1.4733E-04,2.5472E-04,
     &3.5204E-04,4.4334E-04,5.2997E-04,6.0966E-04,6.8622E-04,7.6607E-04,
     &3.8748E-07,1.6344E-04,2.8281E-04,3.9173E-04,4.9305E-04,5.8880E-04,
     &6.7954E-04,7.6485E-04,8.5401E-04/
      DATA ((KA(JS,JT, 7, 1),JS=1,9),JT=1,5) /
     &3.6582E-07,8.2958E-05,1.4210E-04,1.9574E-04,2.4440E-04,2.9039E-04,
     &3.3281E-04,3.7177E-04,4.2178E-04,3.6707E-07,9.2909E-05,1.5977E-04,
     &2.2034E-04,2.7742E-04,3.2955E-04,3.7727E-04,4.1956E-04,4.7859E-04,
     &3.5787E-07,1.0432E-04,1.7930E-04,2.4769E-04,3.1155E-04,3.7242E-04,
     &4.2699E-04,4.7474E-04,5.4083E-04,3.4482E-07,1.1685E-04,2.0055E-04,
     &2.7725E-04,3.4866E-04,4.1677E-04,4.7903E-04,5.3518E-04,6.0812E-04,
     &3.2598E-07,1.3001E-04,2.2341E-04,3.0900E-04,3.8919E-04,4.6465E-04,
     &5.3467E-04,5.9926E-04,6.7733E-04/
      DATA ((KA(JS,JT, 8, 1),JS=1,9),JT=1,5) /
     &2.9834E-07,6.5009E-05,1.1183E-04,1.5200E-04,1.8969E-04,2.2517E-04,
     &2.5832E-04,2.8730E-04,3.3955E-04,2.9745E-07,7.2872E-05,1.2482E-04,
     &1.7221E-04,2.1583E-04,2.5596E-04,2.9328E-04,3.2520E-04,3.8620E-04,
     &2.9421E-07,8.2036E-05,1.4010E-04,1.9344E-04,2.4362E-04,2.9071E-04,
     &3.3308E-04,3.6867E-04,4.3901E-04,2.8596E-07,9.2256E-05,1.5738E-04,
     &2.1752E-04,2.7325E-04,3.2643E-04,3.7578E-04,4.1710E-04,4.9358E-04,
     &2.7296E-07,1.0320E-04,1.7598E-04,2.4339E-04,3.0591E-04,3.6505E-04,
     &4.2061E-04,4.6872E-04,5.4993E-04/
      DATA ((KA(JS,JT, 9, 1),JS=1,9),JT=1,5) /
     &2.4259E-07,5.0626E-05,8.6945E-05,1.1778E-04,1.4692E-04,1.7431E-04,
     &2.0057E-04,2.2131E-04,2.9919E-04,2.4058E-07,5.6966E-05,9.7467E-05,
     &1.3405E-04,1.6750E-04,1.9814E-04,2.2739E-04,2.5281E-04,3.4022E-04,
     &2.4091E-07,6.4324E-05,1.0971E-04,1.5061E-04,1.8996E-04,2.2580E-04,
     &2.5885E-04,2.8694E-04,3.8045E-04,2.3550E-07,7.2451E-05,1.2345E-04,
     &1.6991E-04,2.1362E-04,2.5484E-04,2.9341E-04,3.2523E-04,4.2836E-04,
     &2.2696E-07,8.1351E-05,1.3839E-04,1.9090E-04,2.3986E-04,2.8608E-04,
     &3.2910E-04,3.6639E-04,4.7925E-04/
      DATA ((KA(JS,JT,10, 1),JS=1,9),JT=1,5) /
     &1.9679E-07,3.9760E-05,6.8052E-05,9.2295E-05,1.1498E-04,1.3656E-04,
     &1.5604E-04,1.7171E-04,2.9679E-04,1.9567E-07,4.4847E-05,7.6829E-05,
     &1.0518E-04,1.3102E-04,1.5509E-04,1.7764E-04,1.9843E-04,3.2863E-04,
     &1.9574E-07,5.0565E-05,8.6466E-05,1.1878E-04,1.4920E-04,1.7698E-04,
     &2.0258E-04,2.2526E-04,3.6959E-04,1.9262E-07,5.7124E-05,9.7546E-05,
     &1.3398E-04,1.6803E-04,2.0046E-04,2.3022E-04,2.5578E-04,4.1543E-04,
     &1.8747E-07,6.4264E-05,1.0971E-04,1.5086E-04,1.8923E-04,2.2565E-04,
     &2.5934E-04,2.8921E-04,4.6463E-04/
      DATA ((KA(JS,JT,11, 1),JS=1,9),JT=1,5) /
     &1.6015E-07,3.3025E-05,5.6562E-05,7.6625E-05,9.5645E-05,1.1358E-04,
     &1.2955E-04,1.4269E-04,2.7545E-04,1.5918E-07,3.7148E-05,6.3775E-05,
     &8.7600E-05,1.0897E-04,1.2893E-04,1.4756E-04,1.6465E-04,3.0799E-04,
     &1.5897E-07,4.1993E-05,7.2040E-05,9.8928E-05,1.2433E-04,1.4733E-04,
     &1.6824E-04,1.8694E-04,3.4340E-04,1.5578E-07,4.7441E-05,8.1426E-05,
     &1.1165E-04,1.3985E-04,1.6673E-04,1.9156E-04,2.1268E-04,3.8176E-04,
     &1.5210E-07,5.3398E-05,9.1657E-05,1.2592E-04,1.5769E-04,1.8781E-04,
     &2.1569E-04,2.4069E-04,4.2228E-04/
      DATA ((KA(JS,JT,12, 1),JS=1,9),JT=1,5) /
     &1.3021E-07,2.7272E-05,4.6832E-05,6.3511E-05,7.9205E-05,9.3949E-05,
     &1.0719E-04,1.1827E-04,2.3944E-04,1.2930E-07,3.0686E-05,5.2925E-05,
     &7.2782E-05,9.0527E-05,1.0708E-04,1.2236E-04,1.3620E-04,2.7121E-04,
     &1.2900E-07,3.4723E-05,5.9867E-05,8.2205E-05,1.0326E-04,1.2238E-04,
     &1.3958E-04,1.5498E-04,2.9930E-04,1.2648E-07,3.9252E-05,6.7618E-05,
     &9.2949E-05,1.1636E-04,1.3835E-04,1.5924E-04,1.7653E-04,3.3050E-04,
     &1.2299E-07,4.4213E-05,7.6244E-05,1.0488E-04,1.3135E-04,1.5601E-04,
     &1.7902E-04,1.9976E-04,3.6579E-04/
      DATA ((KA(JS,JT,13, 1),JS=1,9),JT=1,5) /
     &1.0554E-07,2.2388E-05,3.8597E-05,5.2378E-05,6.5404E-05,7.7567E-05,
     &8.8543E-05,9.7801E-05,1.9599E-04,1.0480E-07,2.5181E-05,4.3670E-05,
     &6.0205E-05,7.4883E-05,8.8605E-05,1.0117E-04,1.1242E-04,2.2146E-04,
     &1.0429E-07,2.8530E-05,4.9422E-05,6.8039E-05,8.5435E-05,1.0136E-04,
     &1.1557E-04,1.2828E-04,2.4447E-04,1.0232E-07,3.2301E-05,5.5797E-05,
     &7.6948E-05,9.6447E-05,1.1462E-04,1.3166E-04,1.4616E-04,2.6999E-04,
     &9.9014E-08,3.6394E-05,6.2994E-05,8.6946E-05,1.0900E-04,1.2937E-04,
     &1.4833E-04,1.6540E-04,2.9916E-04/
      DATA ((KA(JS,JT, 1, 2),JS=1,9),JT=1,5) /
     &2.3488E-05,1.6684E-03,2.9575E-03,4.0083E-03,4.9953E-03,5.9021E-03,
     &6.7446E-03,7.6008E-03,8.7032E-03,2.5156E-05,1.8462E-03,3.2711E-03,
     &4.5008E-03,5.6182E-03,6.6287E-03,7.5909E-03,8.5558E-03,9.7543E-03,
     &2.7084E-05,2.0325E-03,3.6034E-03,4.9992E-03,6.2796E-03,7.4134E-03,
     &8.4994E-03,9.5694E-03,1.0847E-02,2.8147E-05,2.2347E-03,3.9628E-03,
     &5.5005E-03,6.9453E-03,8.2429E-03,9.4699E-03,1.0660E-02,1.1991E-02,
     &2.8719E-05,2.4475E-03,4.3369E-03,6.0360E-03,7.6183E-03,9.0878E-03,
     &1.0493E-02,1.1805E-02,1.3204E-02/
      DATA ((KA(JS,JT, 2, 2),JS=1,9),JT=1,5) /
     &2.0947E-05,1.4015E-03,2.4728E-03,3.3676E-03,4.1801E-03,4.9244E-03,
     &5.5787E-03,6.2206E-03,6.9741E-03,2.2352E-05,1.5535E-03,2.7396E-03,
     &3.7870E-03,4.7121E-03,5.5571E-03,6.2892E-03,7.0132E-03,7.8092E-03,
     &2.3882E-05,1.7213E-03,3.0345E-03,4.2020E-03,5.2782E-03,6.2285E-03,
     &7.0556E-03,7.8819E-03,8.7330E-03,2.4650E-05,1.8954E-03,3.3384E-03,
     &4.6336E-03,5.8333E-03,6.9311E-03,7.8751E-03,8.8149E-03,9.6911E-03,
     &2.5136E-05,2.0806E-03,3.6641E-03,5.0966E-03,6.4193E-03,7.6281E-03,
     &8.7403E-03,9.7943E-03,1.0704E-02/
      DATA ((KA(JS,JT, 3, 2),JS=1,9),JT=1,5) /
     &1.7720E-05,1.1414E-03,2.0045E-03,2.7288E-03,3.3891E-03,3.9755E-03,
     &4.4967E-03,4.9389E-03,5.3858E-03,1.9087E-05,1.2745E-03,2.2336E-03,
     &3.0841E-03,3.8333E-03,4.4983E-03,5.0895E-03,5.5930E-03,6.0666E-03,
     &2.0125E-05,1.4178E-03,2.4795E-03,3.4278E-03,4.3106E-03,5.0607E-03,
     &5.7280E-03,6.3092E-03,6.8285E-03,2.0895E-05,1.5666E-03,2.7348E-03,
     &3.7934E-03,4.7769E-03,5.6621E-03,6.4046E-03,7.0864E-03,7.6026E-03,
     &2.1508E-05,1.7251E-03,3.0153E-03,4.1809E-03,5.2689E-03,6.2462E-03,
     &7.1125E-03,7.9104E-03,8.4389E-03/
      DATA ((KA(JS,JT, 4, 2),JS=1,9),JT=1,5) /
     &1.4661E-05,9.2261E-04,1.6088E-03,2.1788E-03,2.6956E-03,3.1612E-03,
     &3.5626E-03,3.8878E-03,4.1525E-03,1.5607E-05,1.0329E-03,1.7973E-03,
     &2.4735E-03,3.0696E-03,3.5953E-03,4.0511E-03,4.4162E-03,4.6990E-03,
     &1.6559E-05,1.1550E-03,2.0019E-03,2.7577E-03,3.4625E-03,4.0662E-03,
     &4.5831E-03,4.9995E-03,5.3073E-03,1.7263E-05,1.2794E-03,2.2184E-03,
     &3.0614E-03,3.8510E-03,4.5664E-03,5.1532E-03,5.6290E-03,5.9436E-03,
     &1.7895E-05,1.4130E-03,2.4526E-03,3.3805E-03,4.2622E-03,5.0556E-03,
     &5.7489E-03,6.3094E-03,6.6256E-03/
      DATA ((KA(JS,JT, 5, 2),JS=1,9),JT=1,5) /
     &1.1885E-05,7.4888E-04,1.2826E-03,1.7258E-03,2.1346E-03,2.4972E-03,
     &2.8046E-03,3.0606E-03,3.2323E-03,1.2452E-05,8.4084E-04,1.4380E-03,
     &1.9698E-03,2.4386E-03,2.8536E-03,3.2075E-03,3.4937E-03,3.6562E-03,
     &1.3439E-05,9.4272E-04,1.6065E-03,2.2079E-03,2.7660E-03,3.2389E-03,
     &3.6440E-03,3.9673E-03,4.1393E-03,1.4053E-05,1.0473E-03,1.7899E-03,
     &2.4603E-03,3.0861E-03,3.6521E-03,4.1156E-03,4.4825E-03,4.6529E-03,
     &1.4586E-05,1.1585E-03,1.9886E-03,2.7257E-03,3.4272E-03,4.0599E-03,
     &4.6115E-03,5.0286E-03,5.2085E-03/
      DATA ((KA(JS,JT, 6, 2),JS=1,9),JT=1,5) /
     &9.4872E-06,5.9793E-04,1.0210E-03,1.3572E-03,1.6716E-03,1.9512E-03,
     &2.1890E-03,2.3827E-03,2.5347E-03,1.0060E-05,6.7400E-04,1.1432E-03,
     &1.5564E-03,1.9188E-03,2.2389E-03,2.5161E-03,2.7308E-03,2.8770E-03,
     &1.0743E-05,7.5948E-04,1.2806E-03,1.7551E-03,2.1862E-03,2.5545E-03,
     &2.8729E-03,3.1149E-03,3.2716E-03,1.1322E-05,8.5134E-04,1.4320E-03,
     &1.9630E-03,2.4514E-03,2.8930E-03,3.2578E-03,3.5375E-03,3.6912E-03,
     &1.1755E-05,9.4611E-04,1.5986E-03,2.1804E-03,2.7291E-03,3.2306E-03,
     &3.6695E-03,3.9913E-03,4.1439E-03/
      DATA ((KA(JS,JT, 7, 2),JS=1,9),JT=1,5) /
     &7.5931E-06,4.7130E-04,8.1211E-04,1.0658E-03,1.3004E-03,1.5175E-03,
     &1.7002E-03,1.8473E-03,1.9861E-03,8.0724E-06,5.3358E-04,9.1163E-04,
     &1.2261E-03,1.5014E-03,1.7483E-03,1.9612E-03,2.1201E-03,2.2591E-03,
     &8.4404E-06,6.0517E-04,1.0236E-03,1.3887E-03,1.7204E-03,2.0031E-03,
     &2.2497E-03,2.4321E-03,2.5823E-03,9.0511E-06,6.8037E-04,1.1475E-03,
     &1.5596E-03,1.9402E-03,2.2789E-03,2.5633E-03,2.7753E-03,2.9247E-03,
     &9.4405E-06,7.6103E-04,1.2836E-03,1.7422E-03,2.1698E-03,2.5585E-03,
     &2.8989E-03,3.1444E-03,3.3016E-03/
      DATA ((KA(JS,JT, 8, 2),JS=1,9),JT=1,5) /
     &5.8080E-06,3.6782E-04,6.3516E-04,8.3799E-04,1.0119E-03,1.1754E-03,
     &1.3161E-03,1.4382E-03,1.5837E-03,6.3156E-06,4.1909E-04,7.1974E-04,
     &9.6952E-04,1.1711E-03,1.3617E-03,1.5234E-03,1.6441E-03,1.8118E-03,
     &6.6776E-06,4.7829E-04,8.1150E-04,1.1056E-03,1.3493E-03,1.5646E-03,
     &1.7524E-03,1.8937E-03,2.0698E-03,7.0582E-06,5.4017E-04,9.1330E-04,
     &1.2434E-03,1.5411E-03,1.7884E-03,2.0057E-03,2.1704E-03,2.3548E-03,
     &7.4902E-06,6.0717E-04,1.0267E-03,1.3908E-03,1.7231E-03,2.0285E-03,
     &2.2810E-03,2.4710E-03,2.6631E-03/
      DATA ((KA(JS,JT, 9, 2),JS=1,9),JT=1,5) /
     &4.5061E-06,2.8626E-04,4.9448E-04,6.5317E-04,7.9081E-04,9.1066E-04,
     &1.0182E-03,1.1107E-03,1.4592E-03,4.9392E-06,3.2734E-04,5.6558E-04,
     &7.6077E-04,9.1846E-04,1.0578E-03,1.1776E-03,1.2720E-03,1.6778E-03,
     &5.2580E-06,3.7522E-04,6.3845E-04,8.7805E-04,1.0619E-03,1.2194E-03,
     &1.3606E-03,1.4680E-03,1.9259E-03,5.4991E-06,4.2659E-04,7.2103E-04,
     &9.8756E-04,1.2163E-03,1.4007E-03,1.5647E-03,1.6900E-03,2.1772E-03,
     &5.8769E-06,4.8199E-04,8.1466E-04,1.1072E-03,1.3684E-03,1.5984E-03,
     &1.7887E-03,1.9333E-03,2.4331E-03/
      DATA ((KA(JS,JT,10, 2),JS=1,9),JT=1,5) /
     &3.4154E-06,2.2534E-04,3.8788E-04,5.1113E-04,6.2194E-04,7.1432E-04,
     &7.9743E-04,8.6289E-04,1.4758E-03,3.8085E-06,2.5832E-04,4.4748E-04,
     &5.9835E-04,7.2514E-04,8.3284E-04,9.1941E-04,9.9583E-04,1.7358E-03,
     &4.1578E-06,2.9655E-04,5.0553E-04,6.9511E-04,8.4107E-04,9.6374E-04,
     &1.0666E-03,1.1478E-03,1.9625E-03,4.3917E-06,3.3908E-04,5.7351E-04,
     &7.8640E-04,9.6862E-04,1.1109E-03,1.2309E-03,1.3266E-03,2.2103E-03,
     &4.5446E-06,3.8548E-04,6.4883E-04,8.8401E-04,1.0952E-03,1.2706E-03,
     &1.4136E-03,1.5239E-03,2.4754E-03/
      DATA ((KA(JS,JT,11, 2),JS=1,9),JT=1,5) /
     &2.7604E-06,1.8848E-04,3.2532E-04,4.2949E-04,5.2350E-04,6.0084E-04,
     &6.6640E-04,7.2070E-04,1.3692E-03,3.0908E-06,2.1679E-04,3.7259E-04,
     &5.0366E-04,6.1074E-04,7.0158E-04,7.7271E-04,8.3037E-04,1.5689E-03,
     &3.3674E-06,2.4965E-04,4.2244E-04,5.8353E-04,7.0923E-04,8.1330E-04,
     &8.9750E-04,9.6131E-04,1.7971E-03,3.5568E-06,2.8602E-04,4.8044E-04,
     &6.5868E-04,8.1816E-04,9.3857E-04,1.0357E-03,1.1119E-03,2.0509E-03,
     &3.6921E-06,3.2484E-04,5.4623E-04,7.4475E-04,9.2307E-04,1.0758E-03,
     &1.1895E-03,1.2777E-03,2.3253E-03/
      DATA ((KA(JS,JT,12, 2),JS=1,9),JT=1,5) /
     &2.2272E-06,1.5807E-04,2.7163E-04,3.5935E-04,4.3781E-04,5.0321E-04,
     &5.5776E-04,6.0046E-04,1.1852E-03,2.4898E-06,1.8201E-04,3.1004E-04,
     &4.2206E-04,5.1226E-04,5.8824E-04,6.4919E-04,6.9291E-04,1.3623E-03,
     &2.7021E-06,2.0958E-04,3.5322E-04,4.8676E-04,5.9587E-04,6.8364E-04,
     &7.5527E-04,8.0436E-04,1.5654E-03,2.8526E-06,2.4038E-04,4.0262E-04,
     &5.5096E-04,6.8671E-04,7.9103E-04,8.7211E-04,9.3124E-04,1.7898E-03,
     &2.9899E-06,2.7289E-04,4.5904E-04,6.2448E-04,7.7496E-04,9.0212E-04,
     &1.0018E-03,1.0706E-03,2.0265E-03/
      DATA ((KA(JS,JT,13, 2),JS=1,9),JT=1,5) /
     &1.7576E-06,1.3151E-04,2.2518E-04,2.9890E-04,3.6398E-04,4.1884E-04,
     &4.6505E-04,5.0086E-04,9.7916E-04,1.9524E-06,1.5189E-04,2.5686E-04,
     &3.5123E-04,4.2723E-04,4.9061E-04,5.4293E-04,5.7815E-04,1.1260E-03,
     &2.1134E-06,1.7558E-04,2.9382E-04,4.0457E-04,4.9777E-04,5.7153E-04,
     &6.3185E-04,6.7213E-04,1.2960E-03,2.2681E-06,2.0106E-04,3.3583E-04,
     &4.5977E-04,5.7094E-04,6.6275E-04,7.3149E-04,7.7799E-04,1.4856E-03,
     &2.3940E-06,2.2853E-04,3.8323E-04,5.2126E-04,6.4684E-04,7.5455E-04,
     &8.4115E-04,8.9575E-04,1.6816E-03/
      DATA ((KA(JS,JT, 1, 3),JS=1,9),JT=1,5) /
     &8.7154E-05,7.0456E-03,1.1624E-02,1.6007E-02,2.0277E-02,2.4349E-02,
     &2.7902E-02,3.0956E-02,3.3159E-02,9.2678E-05,7.5324E-03,1.2552E-02,
     &1.7444E-02,2.1967E-02,2.6250E-02,3.0241E-02,3.3348E-02,3.6164E-02,
     &9.7955E-05,8.0153E-03,1.3502E-02,1.8812E-02,2.3862E-02,2.8480E-02,
     &3.2511E-02,3.5713E-02,3.8349E-02,1.0404E-04,8.4724E-03,1.4429E-02,
     &2.0136E-02,2.5672E-02,3.0688E-02,3.5011E-02,3.8379E-02,4.0673E-02,
     &1.1110E-04,8.9123E-03,1.5343E-02,2.1479E-02,2.7290E-02,3.2751E-02,
     &3.7455E-02,4.0931E-02,4.2463E-02/
      DATA ((KA(JS,JT, 2, 3),JS=1,9),JT=1,5) /
     &7.3214E-05,6.1410E-03,1.0125E-02,1.3650E-02,1.7158E-02,2.0627E-02,
     &2.3628E-02,2.6251E-02,2.7481E-02,7.7936E-05,6.5751E-03,1.0966E-02,
     &1.4877E-02,1.8693E-02,2.2272E-02,2.5630E-02,2.8395E-02,2.9894E-02,
     &8.3061E-05,6.9828E-03,1.1774E-02,1.6068E-02,2.0317E-02,2.4244E-02,
     &2.7748E-02,3.0432E-02,3.1851E-02,8.8564E-05,7.3985E-03,1.2581E-02,
     &1.7226E-02,2.1842E-02,2.6177E-02,2.9969E-02,3.2748E-02,3.3805E-02,
     &9.4933E-05,7.7988E-03,1.3372E-02,1.8367E-02,2.3323E-02,2.7928E-02,
     &3.1964E-02,3.5013E-02,3.5327E-02/
      DATA ((KA(JS,JT, 3, 3),JS=1,9),JT=1,5) /
     &6.0947E-05,5.2436E-03,8.6174E-03,1.1520E-02,1.4231E-02,1.7027E-02,
     &1.9469E-02,2.1634E-02,2.1981E-02,6.4921E-05,5.5975E-03,9.3512E-03,
     &1.2526E-02,1.5516E-02,1.8471E-02,2.1270E-02,2.3512E-02,2.4114E-02,
     &6.9521E-05,5.9648E-03,1.0060E-02,1.3582E-02,1.6903E-02,2.0177E-02,
     &2.3055E-02,2.5380E-02,2.5822E-02,7.4348E-05,6.3104E-03,1.0767E-02,
     &1.4599E-02,1.8273E-02,2.1836E-02,2.4984E-02,2.7358E-02,2.7450E-02,
     &7.9780E-05,6.6671E-03,1.1458E-02,1.5590E-02,1.9579E-02,2.3358E-02,
     &2.6806E-02,2.9335E-02,2.8786E-02/
      DATA ((KA(JS,JT, 4, 3),JS=1,9),JT=1,5) /
     &5.0799E-05,4.4148E-03,7.2225E-03,9.6483E-03,1.1767E-02,1.3828E-02,
     &1.5844E-02,1.7588E-02,1.7391E-02,5.4227E-05,4.7231E-03,7.8527E-03,
     &1.0493E-02,1.2835E-02,1.5126E-02,1.7466E-02,1.9219E-02,1.9351E-02,
     &5.8151E-05,5.0277E-03,8.4823E-03,1.1418E-02,1.3969E-02,1.6576E-02,
     &1.8903E-02,2.0840E-02,2.0853E-02,6.2433E-05,5.3372E-03,9.0813E-03,
     &1.2325E-02,1.5163E-02,1.7971E-02,2.0590E-02,2.2529E-02,2.2273E-02,
     &6.6852E-05,5.6429E-03,9.6836E-03,1.3189E-02,1.6280E-02,1.9312E-02,
     &2.2136E-02,2.4263E-02,2.3466E-02/
      DATA ((KA(JS,JT, 5, 3),JS=1,9),JT=1,5) /
     &4.2593E-05,3.6760E-03,5.9913E-03,7.9812E-03,9.7729E-03,1.1265E-02,
     &1.2874E-02,1.4150E-02,1.3651E-02,4.5779E-05,3.9344E-03,6.5401E-03,
     &8.7030E-03,1.0650E-02,1.2374E-02,1.4135E-02,1.5529E-02,1.5507E-02,
     &4.8868E-05,4.2013E-03,7.0859E-03,9.4912E-03,1.1609E-02,1.3557E-02,
     &1.5381E-02,1.6993E-02,1.6785E-02,5.2509E-05,4.4674E-03,7.6022E-03,
     &1.0271E-02,1.2630E-02,1.4736E-02,1.6830E-02,1.8387E-02,1.8040E-02,
     &5.6196E-05,4.7381E-03,8.1005E-03,1.1026E-02,1.3586E-02,1.5940E-02,
     &1.8160E-02,1.9920E-02,1.9092E-02/
      DATA ((KA(JS,JT, 6, 3),JS=1,9),JT=1,5) /
     &3.6112E-05,3.0316E-03,4.9038E-03,6.5325E-03,7.9606E-03,9.1706E-03,
     &1.0285E-02,1.1252E-02,1.0556E-02,3.8502E-05,3.2575E-03,5.3855E-03,
     &7.1302E-03,8.7200E-03,1.0138E-02,1.1319E-02,1.2504E-02,1.2109E-02,
     &4.1070E-05,3.4869E-03,5.8643E-03,7.8020E-03,9.5232E-03,1.1081E-02,
     &1.2413E-02,1.3700E-02,1.3350E-02,4.4034E-05,3.7142E-03,6.2924E-03,
     &8.4867E-03,1.0400E-02,1.2091E-02,1.3614E-02,1.4850E-02,1.4396E-02,
     &4.7021E-05,3.9387E-03,6.7171E-03,9.1319E-03,1.1231E-02,1.3129E-02,
     &1.4745E-02,1.6155E-02,1.5392E-02/
      DATA ((KA(JS,JT, 7, 3),JS=1,9),JT=1,5) /
     &3.0001E-05,2.4884E-03,3.9787E-03,5.3262E-03,6.4254E-03,7.4422E-03,
     &8.2418E-03,8.7651E-03,8.3241E-03,3.2067E-05,2.6831E-03,4.3873E-03,
     &5.8009E-03,7.0881E-03,8.2303E-03,9.1115E-03,9.9530E-03,9.5843E-03,
     &3.4414E-05,2.8762E-03,4.7981E-03,6.3650E-03,7.7555E-03,9.0130E-03,
     &1.0051E-02,1.0944E-02,1.0687E-02,3.6543E-05,3.0749E-03,5.1697E-03,
     &6.9549E-03,8.4939E-03,9.8621E-03,1.1012E-02,1.1950E-02,1.1596E-02,
     &3.8986E-05,3.2672E-03,5.5268E-03,7.4950E-03,9.2206E-03,1.0750E-02,
     &1.1970E-02,1.3029E-02,1.2461E-02/
      DATA ((KA(JS,JT, 8, 3),JS=1,9),JT=1,5) /
     &2.4718E-05,2.0304E-03,3.2253E-03,4.2957E-03,5.1621E-03,5.9477E-03,
     &6.5543E-03,6.7901E-03,6.6578E-03,2.6226E-05,2.2027E-03,3.5528E-03,
     &4.6844E-03,5.7463E-03,6.6070E-03,7.3566E-03,7.9086E-03,7.6807E-03,
     &2.8095E-05,2.3614E-03,3.8960E-03,5.1529E-03,6.2773E-03,7.2919E-03,
     &8.1475E-03,8.7344E-03,8.6509E-03,2.9856E-05,2.5346E-03,4.2180E-03,
     &5.6507E-03,6.8867E-03,7.9948E-03,8.9169E-03,9.6226E-03,9.4212E-03,
     &3.1432E-05,2.6989E-03,4.5288E-03,6.1158E-03,7.5231E-03,8.7319E-03,
     &9.7447E-03,1.0470E-02,1.0172E-02/
      DATA ((KA(JS,JT, 9, 3),JS=1,9),JT=1,5) /
     &2.0151E-05,1.6622E-03,2.6102E-03,3.4345E-03,4.1518E-03,4.7356E-03,
     &5.1198E-03,5.2901E-03,5.5608E-03,2.1290E-05,1.8112E-03,2.8622E-03,
     &3.7770E-03,4.6098E-03,5.2825E-03,5.8719E-03,6.2115E-03,6.4287E-03,
     &2.2604E-05,1.9483E-03,3.1536E-03,4.1418E-03,5.0513E-03,5.8883E-03,
     &6.5199E-03,7.0000E-03,7.1641E-03,2.4039E-05,2.0909E-03,3.4321E-03,
     &4.5633E-03,5.5575E-03,6.4453E-03,7.1800E-03,7.7062E-03,7.7821E-03,
     &2.5275E-05,2.2325E-03,3.6976E-03,4.9727E-03,6.0945E-03,7.0632E-03,
     &7.8696E-03,8.4048E-03,8.4571E-03/
      DATA ((KA(JS,JT,10, 3),JS=1,9),JT=1,5) /
     &1.6520E-05,1.3579E-03,2.1217E-03,2.7650E-03,3.3209E-03,3.7657E-03,
     &4.0263E-03,4.1632E-03,5.9019E-03,1.7307E-05,1.4868E-03,2.3230E-03,
     &3.0616E-03,3.7000E-03,4.2629E-03,4.6958E-03,4.8956E-03,6.4729E-03,
     &1.8210E-05,1.6086E-03,2.5635E-03,3.3480E-03,4.0827E-03,4.7590E-03,
     &5.2424E-03,5.6088E-03,7.1072E-03,1.9263E-05,1.7308E-03,2.8038E-03,
     &3.7016E-03,4.4933E-03,5.2114E-03,5.8224E-03,6.2053E-03,7.6445E-03,
     &2.0450E-05,1.8514E-03,3.0286E-03,4.0569E-03,4.9417E-03,5.7292E-03,
     &6.3809E-03,6.8162E-03,8.1800E-03/
      DATA ((KA(JS,JT,11, 3),JS=1,9),JT=1,5) /
     &1.3743E-05,1.1544E-03,1.8005E-03,2.3380E-03,2.8127E-03,3.2019E-03,
     &3.4184E-03,3.5137E-03,5.5132E-03,1.4314E-05,1.2648E-03,1.9811E-03,
     &2.5794E-03,3.1283E-03,3.5835E-03,3.9635E-03,4.1524E-03,6.0640E-03,
     &1.4980E-05,1.3667E-03,2.1846E-03,2.8316E-03,3.4390E-03,4.0069E-03,
     &4.4283E-03,4.7282E-03,6.5662E-03,1.5843E-05,1.4691E-03,2.3844E-03,
     &3.1346E-03,3.7915E-03,4.3926E-03,4.9108E-03,5.2431E-03,7.0521E-03,
     &1.6801E-05,1.5709E-03,2.5738E-03,3.4250E-03,4.1781E-03,4.8258E-03,
     &5.3776E-03,5.7400E-03,7.4913E-03/
      DATA ((KA(JS,JT,12, 3),JS=1,9),JT=1,5) /
     &1.1265E-05,9.7473E-04,1.5190E-03,1.9779E-03,2.3708E-03,2.7002E-03,
     &2.8954E-03,2.9689E-03,4.9052E-03,1.1703E-05,1.0660E-03,1.6806E-03,
     &2.1742E-03,2.6370E-03,3.0184E-03,3.3461E-03,3.5081E-03,5.3515E-03,
     &1.2275E-05,1.1524E-03,1.8532E-03,2.4014E-03,2.8932E-03,3.3615E-03,
     &3.7332E-03,3.9759E-03,5.7806E-03,1.2963E-05,1.2405E-03,2.0200E-03,
     &2.6573E-03,3.1978E-03,3.6904E-03,4.1225E-03,4.4151E-03,6.1956E-03,
     &1.3696E-05,1.3266E-03,2.1814E-03,2.8939E-03,3.5284E-03,4.0629E-03,
     &4.5191E-03,4.8283E-03,6.5800E-03/
      DATA ((KA(JS,JT,13, 3),JS=1,9),JT=1,5) /
     &9.1179E-06,8.1531E-04,1.2754E-03,1.6598E-03,1.9900E-03,2.2634E-03,
     &2.4441E-03,2.4984E-03,4.0576E-03,9.5039E-06,8.9093E-04,1.4150E-03,
     &1.8287E-03,2.2143E-03,2.5329E-03,2.8092E-03,2.9546E-03,4.4374E-03,
     &9.9762E-06,9.6494E-04,1.5625E-03,2.0288E-03,2.4319E-03,2.8108E-03,
     &3.1373E-03,3.3177E-03,4.8094E-03,1.0509E-05,1.0398E-03,1.6996E-03,
     &2.2443E-03,2.6925E-03,3.0942E-03,3.4481E-03,3.7003E-03,5.1550E-03,
     &1.1033E-05,1.1134E-03,1.8372E-03,2.4408E-03,2.9682E-03,3.4114E-03,
     &3.7859E-03,4.0424E-03,5.4893E-03/
      DATA ((KA(JS,JT, 1, 4),JS=1,9),JT=1,5) /
     &2.5564E-04,2.3940E-02,4.1535E-02,5.6276E-02,6.8561E-02,7.8630E-02,
     &8.6993E-02,9.1794E-02,8.4229E-02,2.9194E-04,2.5170E-02,4.3659E-02,
     &5.9016E-02,7.2302E-02,8.3167E-02,9.1739E-02,9.6774E-02,8.6838E-02,
     &3.3934E-04,2.6430E-02,4.5835E-02,6.1922E-02,7.5614E-02,8.7285E-02,
     &9.6606E-02,1.0156E-01,9.0084E-02,3.8871E-04,2.7733E-02,4.8058E-02,
     &6.4973E-02,7.9090E-02,9.1156E-02,1.0084E-01,1.0589E-01,9.2583E-02,
     &4.4473E-04,2.9028E-02,5.0287E-02,6.8010E-02,8.2805E-02,9.5193E-02,
     &1.0492E-01,1.0995E-01,9.5419E-02/
      DATA ((KA(JS,JT, 2, 4),JS=1,9),JT=1,5) /
     &2.3400E-04,2.0753E-02,3.5742E-02,4.8709E-02,5.9548E-02,6.8206E-02,
     &7.5045E-02,7.8915E-02,7.0180E-02,2.6775E-04,2.1832E-02,3.7611E-02,
     &5.1156E-02,6.2768E-02,7.2267E-02,7.9422E-02,8.3262E-02,7.2735E-02,
     &3.0033E-04,2.2961E-02,3.9618E-02,5.3774E-02,6.5773E-02,7.5819E-02,
     &8.3532E-02,8.7496E-02,7.5459E-02,3.4366E-04,2.4116E-02,4.1597E-02,
     &5.6506E-02,6.8944E-02,7.9231E-02,8.7245E-02,9.1336E-02,7.7669E-02,
     &3.9179E-04,2.5289E-02,4.3575E-02,5.9282E-02,7.2132E-02,8.2956E-02,
     &9.1038E-02,9.4937E-02,8.0272E-02/
      DATA ((KA(JS,JT, 3, 4),JS=1,9),JT=1,5) /
     &2.0730E-04,1.8044E-02,3.0227E-02,4.1206E-02,5.0626E-02,5.8095E-02,
     &6.3725E-02,6.6721E-02,5.7780E-02,2.4007E-04,1.8972E-02,3.1883E-02,
     &4.3486E-02,5.3572E-02,6.1742E-02,6.7489E-02,7.0552E-02,6.0009E-02,
     &2.6931E-04,1.9934E-02,3.3681E-02,4.5775E-02,5.6255E-02,6.4869E-02,
     &7.1254E-02,7.4232E-02,6.2350E-02,3.0064E-04,2.0965E-02,3.5448E-02,
     &4.8199E-02,5.9036E-02,6.7921E-02,7.4594E-02,7.7689E-02,6.4410E-02,
     &3.3967E-04,2.1972E-02,3.7192E-02,5.0676E-02,6.1884E-02,7.1207E-02,
     &7.7888E-02,8.0947E-02,6.6667E-02/
      DATA ((KA(JS,JT, 4, 4),JS=1,9),JT=1,5) /
     &1.8201E-04,1.5595E-02,2.5372E-02,3.4431E-02,4.2401E-02,4.8915E-02,
     &5.3613E-02,5.5953E-02,4.7727E-02,2.0883E-04,1.6422E-02,2.6851E-02,
     &3.6481E-02,4.5074E-02,5.2078E-02,5.6860E-02,5.9287E-02,4.9553E-02,
     &2.3874E-04,1.7285E-02,2.8425E-02,3.8514E-02,4.7542E-02,5.4904E-02,
     &6.0284E-02,6.2561E-02,5.1595E-02,2.6707E-04,1.8200E-02,3.0007E-02,
     &4.0613E-02,4.9982E-02,5.7662E-02,6.3231E-02,6.5666E-02,5.3450E-02,
     &3.0102E-04,1.9113E-02,3.1552E-02,4.2805E-02,5.2535E-02,6.0559E-02,
     &6.6195E-02,6.8549E-02,5.5415E-02/
      DATA ((KA(JS,JT, 5, 4),JS=1,9),JT=1,5) /
     &1.5801E-04,1.3295E-02,2.1524E-02,2.8666E-02,3.5142E-02,4.0757E-02,
     &4.4715E-02,4.6740E-02,3.9384E-02,1.7994E-04,1.4057E-02,2.2786E-02,
     &3.0487E-02,3.7563E-02,4.3509E-02,4.7676E-02,4.9638E-02,4.0849E-02,
     &2.0535E-04,1.4811E-02,2.4116E-02,3.2266E-02,3.9764E-02,4.6122E-02,
     &5.0669E-02,5.2413E-02,4.2683E-02,2.3511E-04,1.5598E-02,2.5481E-02,
     &3.4103E-02,4.1924E-02,4.8592E-02,5.3283E-02,5.5235E-02,4.4335E-02,
     &2.6640E-04,1.6402E-02,2.6844E-02,3.6000E-02,4.4180E-02,5.1086E-02,
     &5.5918E-02,5.7796E-02,4.5991E-02/
      DATA ((KA(JS,JT, 6, 4),JS=1,9),JT=1,5) /
     &1.3805E-04,1.1222E-02,1.8125E-02,2.3877E-02,2.8939E-02,3.3506E-02,
     &3.6944E-02,3.8672E-02,3.2335E-02,1.5439E-04,1.1883E-02,1.9262E-02,
     &2.5521E-02,3.1068E-02,3.5882E-02,3.9589E-02,4.1132E-02,3.3684E-02,
     &1.7561E-04,1.2558E-02,2.0409E-02,2.7033E-02,3.3056E-02,3.8260E-02,
     &4.2155E-02,4.3639E-02,3.5175E-02,1.9967E-04,1.3236E-02,2.1628E-02,
     &2.8554E-02,3.4939E-02,4.0459E-02,4.4550E-02,4.6147E-02,3.6643E-02,
     &2.3117E-04,1.3936E-02,2.2836E-02,3.0183E-02,3.6909E-02,4.2652E-02,
     &4.6864E-02,4.8440E-02,3.7992E-02/
      DATA ((KA(JS,JT, 7, 4),JS=1,9),JT=1,5) /
     &1.1987E-04,9.3983E-03,1.5130E-02,1.9808E-02,2.3796E-02,2.7285E-02,
     &3.0176E-02,3.1906E-02,2.6193E-02,1.3164E-04,9.9743E-03,1.6118E-02,
     &2.1319E-02,2.5600E-02,2.9404E-02,3.2485E-02,3.3909E-02,2.7439E-02,
     &1.4862E-04,1.0559E-02,1.7124E-02,2.2674E-02,2.7373E-02,3.1501E-02,
     &3.4705E-02,3.6112E-02,2.8667E-02,1.6941E-04,1.1142E-02,1.8163E-02,
     &2.3992E-02,2.9023E-02,3.3461E-02,3.6882E-02,3.8288E-02,2.9990E-02,
     &1.9444E-04,1.1740E-02,1.9231E-02,2.5410E-02,3.0702E-02,3.5380E-02,
     &3.8933E-02,4.0325E-02,3.1163E-02/
      DATA ((KA(JS,JT, 8, 4),JS=1,9),JT=1,5) /
     &1.0266E-04,7.8132E-03,1.2495E-02,1.6294E-02,1.9552E-02,2.2203E-02,
     &2.4522E-02,2.6158E-02,2.1477E-02,1.1308E-04,8.2996E-03,1.3385E-02,
     &1.7650E-02,2.1113E-02,2.4026E-02,2.6424E-02,2.7779E-02,2.2661E-02,
     &1.2431E-04,8.8118E-03,1.4254E-02,1.8852E-02,2.2717E-02,2.5822E-02,
     &2.8352E-02,2.9667E-02,2.3674E-02,1.4146E-04,9.3080E-03,1.5152E-02,
     &2.0013E-02,2.4158E-02,2.7569E-02,3.0306E-02,3.1495E-02,2.4838E-02,
     &1.6275E-04,9.8287E-03,1.6080E-02,2.1227E-02,2.5592E-02,2.9226E-02,
     &3.2075E-02,3.3357E-02,2.5887E-02/
      DATA ((KA(JS,JT, 9, 4),JS=1,9),JT=1,5) /
     &8.5797E-05,6.4412E-03,1.0231E-02,1.3327E-02,1.5923E-02,1.8103E-02,
     &1.9903E-02,2.1189E-02,1.7975E-02,9.4370E-05,6.8514E-03,1.1041E-02,
     &1.4472E-02,1.7298E-02,1.9661E-02,2.1421E-02,2.2631E-02,1.8990E-02,
     &1.0603E-04,7.2870E-03,1.1786E-02,1.5570E-02,1.8710E-02,2.1195E-02,
     &2.3092E-02,2.4157E-02,1.9934E-02,1.1819E-04,7.7217E-03,1.2559E-02,
     &1.6589E-02,1.9991E-02,2.2738E-02,2.4769E-02,2.5771E-02,2.0946E-02,
     &1.3500E-04,8.1624E-03,1.3346E-02,1.7610E-02,2.1227E-02,2.4140E-02,
     &2.6339E-02,2.7388E-02,2.1819E-02/
      DATA ((KA(JS,JT,10, 4),JS=1,9),JT=1,5) /
     &7.3275E-05,5.3147E-03,8.3832E-03,1.0890E-02,1.2998E-02,1.4772E-02,
     &1.6237E-02,1.7165E-02,1.5972E-02,8.0303E-05,5.6594E-03,9.0964E-03,
     &1.1869E-02,1.4181E-02,1.6065E-02,1.7493E-02,1.8447E-02,1.7075E-02,
     &8.8821E-05,6.0286E-03,9.7491E-03,1.2852E-02,1.5387E-02,1.7394E-02,
     &1.8909E-02,1.9708E-02,1.8078E-02,1.0142E-04,6.3962E-03,1.0392E-02,
     &1.3730E-02,1.6522E-02,1.8771E-02,2.0308E-02,2.1096E-02,1.9037E-02,
     &1.1405E-04,6.7754E-03,1.1065E-02,1.4605E-02,1.7581E-02,1.9991E-02,
     &2.1687E-02,2.2458E-02,1.9875E-02/
      DATA ((KA(JS,JT,11, 4),JS=1,9),JT=1,5) /
     &6.4517E-05,4.5135E-03,7.1165E-03,9.2384E-03,1.0998E-02,1.2474E-02,
     &1.3700E-02,1.4388E-02,1.4631E-02,7.1535E-05,4.8070E-03,7.7137E-03,
     &1.0092E-02,1.2023E-02,1.3623E-02,1.4792E-02,1.5449E-02,1.5481E-02,
     &7.9504E-05,5.1199E-03,8.2600E-03,1.0911E-02,1.3076E-02,1.4755E-02,
     &1.6002E-02,1.6546E-02,1.6298E-02,9.0433E-05,5.4351E-03,8.8101E-03,
     &1.1647E-02,1.4018E-02,1.5922E-02,1.7206E-02,1.7715E-02,1.6991E-02,
     &1.0146E-04,5.7596E-03,9.3865E-03,1.2407E-02,1.4922E-02,1.6951E-02,
     &1.8384E-02,1.8893E-02,1.7666E-02/
      DATA ((KA(JS,JT,12, 4),JS=1,9),JT=1,5) /
     &5.6913E-05,3.8361E-03,6.0238E-03,7.8101E-03,9.2943E-03,1.0515E-02,
     &1.1514E-02,1.2051E-02,1.2708E-02,6.2984E-05,4.0886E-03,6.5153E-03,
     &8.5464E-03,1.0168E-02,1.1498E-02,1.2452E-02,1.2938E-02,1.3473E-02,
     &7.0588E-05,4.3561E-03,6.9761E-03,9.2137E-03,1.1068E-02,1.2482E-02,
     &1.3497E-02,1.3892E-02,1.4090E-02,7.9556E-05,4.6222E-03,7.4472E-03,
     &9.8382E-03,1.1852E-02,1.3461E-02,1.4539E-02,1.4868E-02,1.4684E-02,
     &8.9330E-05,4.9037E-03,7.9332E-03,1.0492E-02,1.2613E-02,1.4331E-02,
     &1.5523E-02,1.5867E-02,1.5266E-02/
      DATA ((KA(JS,JT,13, 4),JS=1,9),JT=1,5) /
     &4.9040E-05,3.2470E-03,5.0782E-03,6.5813E-03,7.8254E-03,8.8398E-03,
     &9.6483E-03,1.0090E-02,1.0614E-02,5.4225E-05,3.4616E-03,5.4906E-03,
     &7.1951E-03,8.5711E-03,9.6781E-03,1.0460E-02,1.0840E-02,1.1206E-02,
     &6.1136E-05,3.6878E-03,5.8777E-03,7.7458E-03,9.3183E-03,1.0528E-02,
     &1.1347E-02,1.1684E-02,1.1730E-02,6.8788E-05,3.9213E-03,6.2791E-03,
     &8.2774E-03,9.9761E-03,1.1332E-02,1.2247E-02,1.2495E-02,1.2250E-02,
     &7.7427E-05,4.1640E-03,6.6890E-03,8.8358E-03,1.0624E-02,1.2069E-02,
     &1.3064E-02,1.3341E-02,1.2730E-02/
      DATA ((KA(JS,JT, 1, 5),JS=1,9),JT=1,5) /
     &6.9098E-03,8.4650E-02,1.3006E-01,1.6652E-01,1.9608E-01,2.1975E-01,
     &2.3496E-01,2.3277E-01,1.8007E-01,7.8200E-03,8.9279E-02,1.3630E-01,
     &1.7409E-01,2.0398E-01,2.2718E-01,2.4129E-01,2.3750E-01,1.8438E-01,
     &8.9787E-03,9.4428E-02,1.4296E-01,1.8170E-01,2.1205E-01,2.3450E-01,
     &2.4726E-01,2.4172E-01,1.8878E-01,1.0426E-02,1.0003E-01,1.5009E-01,
     &1.8943E-01,2.2015E-01,2.4206E-01,2.5341E-01,2.4571E-01,1.9325E-01,
     &1.2209E-02,1.0603E-01,1.5781E-01,1.9756E-01,2.2832E-01,2.4963E-01,
     &2.5957E-01,2.4958E-01,1.9748E-01/
      DATA ((KA(JS,JT, 2, 5),JS=1,9),JT=1,5) /
     &6.4020E-03,7.4597E-02,1.1458E-01,1.4581E-01,1.7103E-01,1.9105E-01,
     &2.0412E-01,2.0133E-01,1.5242E-01,7.2586E-03,7.8857E-02,1.2024E-01,
     &1.5257E-01,1.7796E-01,1.9765E-01,2.0972E-01,2.0548E-01,1.5620E-01,
     &8.2903E-03,8.3602E-02,1.2623E-01,1.5931E-01,1.8512E-01,2.0423E-01,
     &2.1503E-01,2.0937E-01,1.5993E-01,9.4578E-03,8.8668E-02,1.3277E-01,
     &1.6635E-01,1.9233E-01,2.1098E-01,2.2050E-01,2.1294E-01,1.6397E-01,
     &1.0865E-02,9.4113E-02,1.3987E-01,1.7375E-01,1.9975E-01,2.1771E-01,
     &2.2592E-01,2.1639E-01,1.6745E-01/
      DATA ((KA(JS,JT, 3, 5),JS=1,9),JT=1,5) /
     &5.6943E-03,6.4084E-02,9.9294E-02,1.2614E-01,1.4746E-01,1.6414E-01,
     &1.7503E-01,1.7255E-01,1.2738E-01,6.4702E-03,6.7967E-02,1.0427E-01,
     &1.3197E-01,1.5350E-01,1.6985E-01,1.8008E-01,1.7631E-01,1.3087E-01,
     &7.4200E-03,7.2252E-02,1.0956E-01,1.3801E-01,1.5978E-01,1.7567E-01,
     &1.8476E-01,1.7977E-01,1.3421E-01,8.4907E-03,7.6772E-02,1.1539E-01,
     &1.4427E-01,1.6615E-01,1.8168E-01,1.8947E-01,1.8300E-01,1.3761E-01,
     &9.7078E-03,8.1671E-02,1.2172E-01,1.5082E-01,1.7277E-01,1.8769E-01,
     &1.9427E-01,1.8608E-01,1.4067E-01/
      DATA ((KA(JS,JT, 4, 5),JS=1,9),JT=1,5) /
     &4.8829E-03,5.4383E-02,8.5075E-02,1.0815E-01,1.2638E-01,1.4020E-01,
     &1.4903E-01,1.4670E-01,1.0614E-01,5.5740E-03,5.7779E-02,8.9436E-02,
     &1.1323E-01,1.3160E-01,1.4514E-01,1.5349E-01,1.5027E-01,1.0949E-01,
     &6.4015E-03,6.1546E-02,9.4139E-02,1.1850E-01,1.3701E-01,1.5017E-01,
     &1.5757E-01,1.5344E-01,1.1257E-01,7.3719E-03,6.5521E-02,9.9232E-02,
     &1.2403E-01,1.4259E-01,1.5541E-01,1.6175E-01,1.5634E-01,1.1557E-01,
     &8.4789E-03,6.9810E-02,1.0478E-01,1.2985E-01,1.4840E-01,1.6071E-01,
     &1.6597E-01,1.5910E-01,1.1833E-01/
      DATA ((KA(JS,JT, 5, 5),JS=1,9),JT=1,5) /
     &4.1357E-03,4.5878E-02,7.1866E-02,9.2130E-02,1.0772E-01,1.1935E-01,
     &1.2627E-01,1.2382E-01,8.8490E-02,4.7278E-03,4.8809E-02,7.5724E-02,
     &9.6485E-02,1.1218E-01,1.2363E-01,1.3023E-01,1.2723E-01,9.1646E-02,
     &5.4234E-03,5.2108E-02,7.9925E-02,1.0105E-01,1.1684E-01,1.2795E-01,
     &1.3389E-01,1.3024E-01,9.4384E-02,6.2672E-03,5.5647E-02,8.4438E-02,
     &1.0591E-01,1.2167E-01,1.3255E-01,1.3759E-01,1.3288E-01,9.7037E-02,
     &7.2387E-03,5.9393E-02,8.9326E-02,1.1102E-01,1.2680E-01,1.3723E-01,
     &1.4128E-01,1.3530E-01,9.9585E-02/
      DATA ((KA(JS,JT, 6, 5),JS=1,9),JT=1,5) /
     &3.4820E-03,3.8455E-02,6.0106E-02,7.7515E-02,9.1143E-02,1.0094E-01,
     &1.0649E-01,1.0403E-01,7.3509E-02,3.9507E-03,4.0927E-02,6.3402E-02,
     &8.1240E-02,9.4968E-02,1.0469E-01,1.1001E-01,1.0717E-01,7.6426E-02,
     &4.5266E-03,4.3726E-02,6.7041E-02,8.5234E-02,9.8911E-02,1.0845E-01,
     &1.1329E-01,1.0996E-01,7.8861E-02,5.2242E-03,4.6807E-02,7.0939E-02,
     &8.9547E-02,1.0312E-01,1.1247E-01,1.1653E-01,1.1237E-01,8.1250E-02,
     &6.0449E-03,5.0083E-02,7.5175E-02,9.4041E-02,1.0760E-01,1.1657E-01,
     &1.1980E-01,1.1449E-01,8.3549E-02/
      DATA ((KA(JS,JT, 7, 5),JS=1,9),JT=1,5) /
     &2.8711E-03,3.2523E-02,4.9971E-02,6.4597E-02,7.6360E-02,8.4918E-02,
     &8.9523E-02,8.7200E-02,6.0618E-02,3.2550E-03,3.4614E-02,5.2803E-02,
     &6.7740E-02,7.9713E-02,8.8207E-02,9.2681E-02,9.0060E-02,6.3331E-02,
     &3.7263E-03,3.6968E-02,5.5904E-02,7.1153E-02,8.3143E-02,9.1509E-02,
     &9.5607E-02,9.2564E-02,6.5595E-02,4.2953E-03,3.9538E-02,5.9281E-02,
     &7.4912E-02,8.6822E-02,9.4956E-02,9.8438E-02,9.4728E-02,6.7680E-02,
     &4.9788E-03,4.2264E-02,6.2953E-02,7.8842E-02,9.0742E-02,9.8510E-02,
     &1.0129E-01,9.6641E-02,6.9746E-02/
      DATA ((KA(JS,JT, 8, 5),JS=1,9),JT=1,5) /
     &2.3480E-03,2.7230E-02,4.1671E-02,5.3565E-02,6.3436E-02,7.0999E-02,
     &7.5020E-02,7.2906E-02,4.9386E-02,2.6517E-03,2.9065E-02,4.4017E-02,
     &5.6225E-02,6.6341E-02,7.3935E-02,7.7879E-02,7.5468E-02,5.1750E-02,
     &3.0285E-03,3.1112E-02,4.6598E-02,5.9161E-02,6.9302E-02,7.6809E-02,
     &8.0439E-02,7.7729E-02,5.3904E-02,3.4816E-03,3.3348E-02,4.9448E-02,
     &6.2380E-02,7.2502E-02,7.9786E-02,8.2887E-02,7.9683E-02,5.5731E-02,
     &4.0444E-03,3.5730E-02,5.2545E-02,6.5794E-02,7.5878E-02,8.2889E-02,
     &8.5379E-02,8.1391E-02,5.7509E-02/
      DATA ((KA(JS,JT, 9, 5),JS=1,9),JT=1,5) /
     &1.9247E-03,2.2630E-02,3.4752E-02,4.4387E-02,5.2455E-02,5.8833E-02,
     &6.2468E-02,6.0719E-02,4.1880E-02,2.1557E-03,2.4204E-02,3.6750E-02,
     &4.6636E-02,5.4976E-02,6.1421E-02,6.5052E-02,6.2994E-02,4.4010E-02,
     &2.4477E-03,2.5958E-02,3.8981E-02,4.9108E-02,5.7526E-02,6.3907E-02,
     &6.7351E-02,6.5038E-02,4.5929E-02,2.8196E-03,2.7882E-02,4.1431E-02,
     &5.1802E-02,6.0249E-02,6.6480E-02,6.9467E-02,6.6788E-02,4.7555E-02,
     &3.2654E-03,2.9939E-02,4.4072E-02,5.4714E-02,6.3163E-02,6.9207E-02,
     &7.1600E-02,6.8328E-02,4.9077E-02/
      DATA ((KA(JS,JT,10, 5),JS=1,9),JT=1,5) /
     &1.6200E-03,1.8814E-02,2.8911E-02,3.7025E-02,4.3479E-02,4.8691E-02,
     &5.1767E-02,5.0517E-02,3.6565E-02,1.8031E-03,2.0150E-02,3.0632E-02,
     &3.8967E-02,4.5609E-02,5.0940E-02,5.4046E-02,5.2515E-02,3.8425E-02,
     &2.0232E-03,2.1640E-02,3.2572E-02,4.1079E-02,4.7788E-02,5.3101E-02,
     &5.6114E-02,5.4338E-02,4.0162E-02,2.3038E-03,2.3298E-02,3.4703E-02,
     &4.3393E-02,5.0110E-02,5.5298E-02,5.7982E-02,5.5873E-02,4.1782E-02,
     &2.6649E-03,2.5073E-02,3.6983E-02,4.5868E-02,5.2617E-02,5.7641E-02,
     &5.9833E-02,5.7222E-02,4.3243E-02/
      DATA ((KA(JS,JT,11, 5),JS=1,9),JT=1,5) /
     &1.4241E-03,1.6065E-02,2.4586E-02,3.1465E-02,3.6963E-02,4.1093E-02,
     &4.3617E-02,4.2673E-02,3.2343E-02,1.5878E-03,1.7268E-02,2.6144E-02,
     &3.3169E-02,3.8816E-02,4.2988E-02,4.5546E-02,4.4327E-02,3.4054E-02,
     &1.8003E-03,1.8609E-02,2.7888E-02,3.5066E-02,4.0717E-02,4.4861E-02,
     &4.7277E-02,4.5845E-02,3.5562E-02,2.0513E-03,2.0069E-02,2.9794E-02,
     &3.7147E-02,4.2781E-02,4.6774E-02,4.8869E-02,4.7106E-02,3.6881E-02,
     &2.3610E-03,2.1636E-02,3.1786E-02,3.9341E-02,4.4964E-02,4.8832E-02,
     &5.0478E-02,4.8237E-02,3.8136E-02/
      DATA ((KA(JS,JT,12, 5),JS=1,9),JT=1,5) /
     &1.2367E-03,1.3664E-02,2.0841E-02,2.6619E-02,3.1258E-02,3.4766E-02,
     &3.6665E-02,3.5873E-02,2.7811E-02,1.3898E-03,1.4747E-02,2.2238E-02,
     &2.8134E-02,3.2876E-02,3.6392E-02,3.8286E-02,3.7257E-02,2.9212E-02,
     &1.5822E-03,1.5920E-02,2.3808E-02,2.9830E-02,3.4558E-02,3.8014E-02,
     &3.9728E-02,3.8493E-02,3.0517E-02,1.8117E-03,1.7195E-02,2.5479E-02,
     &3.1664E-02,3.6378E-02,3.9675E-02,4.1098E-02,3.9553E-02,3.1705E-02,
     &2.0996E-03,1.8567E-02,2.7225E-02,3.3571E-02,3.8302E-02,4.1437E-02,
     &4.2501E-02,4.0525E-02,3.2748E-02/
      DATA ((KA(JS,JT,13, 5),JS=1,9),JT=1,5) /
     &1.0606E-03,1.1594E-02,1.7616E-02,2.2456E-02,2.6337E-02,2.9282E-02,
     &3.0831E-02,3.0037E-02,2.3251E-02,1.1975E-03,1.2541E-02,1.8850E-02,
     &2.3795E-02,2.7745E-02,3.0676E-02,3.2191E-02,3.1186E-02,2.4461E-02,
     &1.3686E-03,1.3557E-02,2.0236E-02,2.5287E-02,2.9224E-02,3.2085E-02,
     &3.3411E-02,3.2190E-02,2.5539E-02,1.5787E-03,1.4655E-02,2.1685E-02,
     &2.6887E-02,3.0821E-02,3.3533E-02,3.4581E-02,3.3091E-02,2.6483E-02,
     &1.8422E-03,1.5847E-02,2.3201E-02,2.8535E-02,3.2486E-02,3.5059E-02,
     &3.5791E-02,3.3942E-02,2.7340E-02/
      DATA ((KA(JS,JT, 1, 6),JS=1,9),JT=1,5) /
     &1.1257E-01,3.1731E-01,4.2139E-01,4.9121E-01,5.3179E-01,5.4416E-01,
     &5.2879E-01,4.8565E-01,3.8185E-01,1.2995E-01,3.3757E-01,4.4079E-01,
     &5.0693E-01,5.4374E-01,5.5231E-01,5.3411E-01,4.8973E-01,3.8664E-01,
     &1.4899E-01,3.5787E-01,4.5940E-01,5.2235E-01,5.5490E-01,5.6009E-01,
     &5.3945E-01,4.9411E-01,3.9028E-01,1.6946E-01,3.7848E-01,4.7747E-01,
     &5.3692E-01,5.6497E-01,5.6760E-01,5.4484E-01,4.9832E-01,3.9391E-01,
     &1.9143E-01,3.9915E-01,4.9476E-01,5.5039E-01,5.7468E-01,5.7486E-01,
     &5.5036E-01,5.0307E-01,3.9756E-01/
      DATA ((KA(JS,JT, 2, 6),JS=1,9),JT=1,5) /
     &9.7091E-02,2.8037E-01,3.7054E-01,4.3162E-01,4.6715E-01,4.7740E-01,
     &4.6327E-01,4.2557E-01,3.2833E-01,1.1208E-01,2.9815E-01,3.8764E-01,
     &4.4615E-01,4.7841E-01,4.8513E-01,4.6886E-01,4.2998E-01,3.3260E-01,
     &1.2856E-01,3.1599E-01,4.0420E-01,4.5996E-01,4.8848E-01,4.9285E-01,
     &4.7441E-01,4.3431E-01,3.3632E-01,1.4648E-01,3.3425E-01,4.2020E-01,
     &4.7262E-01,4.9778E-01,5.0015E-01,4.7996E-01,4.3890E-01,3.3965E-01,
     &1.6579E-01,3.5250E-01,4.3554E-01,4.8445E-01,5.0655E-01,5.0702E-01,
     &4.8572E-01,4.4375E-01,3.4330E-01/
      DATA ((KA(JS,JT, 3, 6),JS=1,9),JT=1,5) /
     &8.0654E-02,2.4334E-01,3.2145E-01,3.7485E-01,4.0615E-01,4.1488E-01,
     &4.0284E-01,3.7005E-01,2.7897E-01,9.3334E-02,2.5889E-01,3.3665E-01,
     &3.8799E-01,4.1628E-01,4.2254E-01,4.0845E-01,3.7420E-01,2.8281E-01,
     &1.0735E-01,2.7449E-01,3.5143E-01,4.0015E-01,4.2551E-01,4.2981E-01,
     &4.1382E-01,3.7871E-01,2.8619E-01,1.2265E-01,2.9043E-01,3.6548E-01,
     &4.1153E-01,4.3393E-01,4.3649E-01,4.1932E-01,3.8340E-01,2.8955E-01,
     &1.3925E-01,3.0659E-01,3.7895E-01,4.2211E-01,4.4187E-01,4.4276E-01,
     &4.2490E-01,3.8830E-01,2.9282E-01/
      DATA ((KA(JS,JT, 4, 6),JS=1,9),JT=1,5) /
     &6.5986E-02,2.0968E-01,2.7746E-01,3.2321E-01,3.5021E-01,3.5817E-01,
     &3.4816E-01,3.1914E-01,2.3714E-01,7.6550E-02,2.2318E-01,2.9094E-01,
     &3.3486E-01,3.5941E-01,3.6546E-01,3.5341E-01,3.2318E-01,2.4040E-01,
     &8.8349E-02,2.3676E-01,3.0387E-01,3.4562E-01,3.6786E-01,3.7204E-01,
     &3.5871E-01,3.2765E-01,2.4343E-01,1.0129E-01,2.5065E-01,3.1610E-01,
     &3.5574E-01,3.7546E-01,3.7811E-01,3.6390E-01,3.3220E-01,2.4649E-01,
     &1.1540E-01,2.6489E-01,3.2784E-01,3.6504E-01,3.8250E-01,3.8387E-01,
     &3.6919E-01,3.3697E-01,2.4943E-01/
      DATA ((KA(JS,JT, 5, 6),JS=1,9),JT=1,5) /
     &5.3393E-02,1.8000E-01,2.3883E-01,2.7751E-01,3.0053E-01,3.0742E-01,
     &2.9898E-01,2.7383E-01,2.0106E-01,6.2233E-02,1.9175E-01,2.5050E-01,
     &2.8777E-01,3.0898E-01,3.1400E-01,3.0389E-01,2.7769E-01,2.0390E-01,
     &7.2177E-02,2.0364E-01,2.6165E-01,2.9741E-01,3.1640E-01,3.1996E-01,
     &3.0876E-01,2.8174E-01,2.0671E-01,8.3134E-02,2.1576E-01,2.7227E-01,
     &3.0617E-01,3.2319E-01,3.2542E-01,3.1353E-01,2.8599E-01,2.0956E-01,
     &9.5090E-02,2.2815E-01,2.8259E-01,3.1429E-01,3.2943E-01,3.3059E-01,
     &3.1837E-01,2.9043E-01,2.1220E-01/
      DATA ((KA(JS,JT, 6, 6),JS=1,9),JT=1,5) /
     &4.2433E-02,1.5317E-01,2.0425E-01,2.3740E-01,2.5663E-01,2.6234E-01,
     &2.5512E-01,2.3364E-01,1.6949E-01,4.9749E-02,1.6341E-01,2.1435E-01,
     &2.4646E-01,2.6413E-01,2.6825E-01,2.5968E-01,2.3716E-01,1.7204E-01,
     &5.8017E-02,1.7381E-01,2.2409E-01,2.5485E-01,2.7073E-01,2.7356E-01,
     &2.6405E-01,2.4070E-01,1.7477E-01,6.7231E-02,1.8439E-01,2.3345E-01,
     &2.6240E-01,2.7677E-01,2.7839E-01,2.6819E-01,2.4459E-01,1.7741E-01,
     &7.7316E-02,1.9517E-01,2.4253E-01,2.6953E-01,2.8221E-01,2.8296E-01,
     &2.7246E-01,2.4867E-01,1.7984E-01/
      DATA ((KA(JS,JT, 7, 6),JS=1,9),JT=1,5) /
     &3.3835E-02,1.2894E-01,1.7377E-01,2.0223E-01,2.1858E-01,2.2305E-01,
     &2.1661E-01,1.9799E-01,1.4234E-01,3.9495E-02,1.3775E-01,1.8255E-01,
     &2.1017E-01,2.2506E-01,2.2828E-01,2.2063E-01,2.0115E-01,1.4469E-01,
     &4.6213E-02,1.4677E-01,1.9104E-01,2.1747E-01,2.3085E-01,2.3293E-01,
     &2.2444E-01,2.0438E-01,1.4721E-01,5.3881E-02,1.5604E-01,1.9912E-01,
     &2.2407E-01,2.3606E-01,2.3711E-01,2.2803E-01,2.0793E-01,1.4967E-01,
     &6.2313E-02,1.6559E-01,2.0703E-01,2.3032E-01,2.4086E-01,2.4109E-01,
     &2.3183E-01,2.1164E-01,1.5187E-01/
      DATA ((KA(JS,JT, 8, 6),JS=1,9),JT=1,5) /
     &2.7294E-02,1.0784E-01,1.4673E-01,1.7152E-01,1.8541E-01,1.8896E-01,
     &1.8302E-01,1.6686E-01,1.1892E-01,3.1945E-02,1.1533E-01,1.5437E-01,
     &1.7841E-01,1.9097E-01,1.9348E-01,1.8650E-01,1.6969E-01,1.2123E-01,
     &3.7290E-02,1.2309E-01,1.6174E-01,1.8467E-01,1.9597E-01,1.9753E-01,
     &1.8983E-01,1.7262E-01,1.2344E-01,4.3331E-02,1.3110E-01,1.6878E-01,
     &1.9044E-01,2.0053E-01,2.0117E-01,1.9304E-01,1.7581E-01,1.2571E-01,
     &5.0086E-02,1.3937E-01,1.7577E-01,1.9586E-01,2.0476E-01,2.0472E-01,
     &1.9647E-01,1.7915E-01,1.2770E-01/
      DATA ((KA(JS,JT, 9, 6),JS=1,9),JT=1,5) /
     &2.1763E-02,8.9580E-02,1.2270E-01,1.4431E-01,1.5639E-01,1.5936E-01,
     &1.5421E-01,1.4030E-01,1.0042E-01,2.5609E-02,9.5974E-02,1.2925E-01,
     &1.5030E-01,1.6119E-01,1.6326E-01,1.5719E-01,1.4283E-01,1.0252E-01,
     &3.0067E-02,1.0261E-01,1.3551E-01,1.5572E-01,1.6552E-01,1.6675E-01,
     &1.6007E-01,1.4539E-01,1.0448E-01,3.5097E-02,1.0949E-01,1.4161E-01,
     &1.6075E-01,1.6947E-01,1.6997E-01,1.6297E-01,1.4823E-01,1.0645E-01,
     &4.0711E-02,1.1658E-01,1.4773E-01,1.6552E-01,1.7324E-01,1.7317E-01,
     &1.6604E-01,1.5112E-01,1.0826E-01/
      DATA ((KA(JS,JT,10, 6),JS=1,9),JT=1,5) /
     &1.7370E-02,7.4466E-02,1.0240E-01,1.2053E-01,1.3126E-01,1.3417E-01,
     &1.2989E-01,1.1790E-01,8.7103E-02,2.0536E-02,7.9866E-02,1.0796E-01,
     &1.2568E-01,1.3547E-01,1.3755E-01,1.3244E-01,1.2017E-01,8.8680E-02,
     &2.4274E-02,8.5524E-02,1.1324E-01,1.3036E-01,1.3925E-01,1.4055E-01,
     &1.3491E-01,1.2243E-01,9.0062E-02,2.8508E-02,9.1420E-02,1.1852E-01,
     &1.3467E-01,1.4267E-01,1.4339E-01,1.3748E-01,1.2487E-01,9.1240E-02,
     &3.3217E-02,9.7522E-02,1.2382E-01,1.3886E-01,1.4603E-01,1.4625E-01,
     &1.4015E-01,1.2740E-01,9.2631E-02/
      DATA ((KA(JS,JT,11, 6),JS=1,9),JT=1,5) /
     &1.4918E-02,6.4249E-02,8.7193E-02,1.0225E-01,1.1107E-01,1.1380E-01,
     &1.1017E-01,9.9775E-02,7.5883E-02,1.7707E-02,6.8887E-02,9.1783E-02,
     &1.0653E-01,1.1454E-01,1.1659E-01,1.1231E-01,1.0178E-01,7.7400E-02,
     &2.0985E-02,7.3723E-02,9.6290E-02,1.1038E-01,1.1765E-01,1.1911E-01,
     &1.1446E-01,1.0377E-01,7.8827E-02,2.4698E-02,7.8820E-02,1.0085E-01,
     &1.1403E-01,1.2064E-01,1.2159E-01,1.1674E-01,1.0593E-01,8.0678E-02,
     &2.8798E-02,8.4087E-02,1.0545E-01,1.1772E-01,1.2367E-01,1.2416E-01,
     &1.1916E-01,1.0818E-01,8.2090E-02/
      DATA ((KA(JS,JT,12, 6),JS=1,9),JT=1,5) /
     &1.2778E-02,5.5028E-02,7.4326E-02,8.6458E-02,9.3690E-02,9.5887E-02,
     &9.2996E-02,8.4239E-02,6.5531E-02,1.5226E-02,5.9056E-02,7.8180E-02,
     &9.0004E-02,9.6562E-02,9.8210E-02,9.4824E-02,8.5996E-02,6.7232E-02,
     &1.8073E-02,6.3328E-02,8.1993E-02,9.3245E-02,9.9175E-02,1.0034E-01,
     &9.6751E-02,8.7779E-02,6.8728E-02,2.1287E-02,6.7814E-02,8.5944E-02,
     &9.6446E-02,1.0181E-01,1.0253E-01,9.8787E-02,8.9700E-02,7.0024E-02,
     &2.4810E-02,7.2405E-02,8.9913E-02,9.9700E-02,1.0454E-01,1.0492E-01,
     &1.0099E-01,9.1662E-02,7.1222E-02/
      DATA ((KA(JS,JT,13, 6),JS=1,9),JT=1,5) /
     &1.0897E-02,4.6824E-02,6.3070E-02,7.3198E-02,7.8826E-02,8.0547E-02,
     &7.8087E-02,7.0945E-02,5.5427E-02,1.3037E-02,5.0331E-02,6.6369E-02,
     &7.6169E-02,8.1229E-02,8.2485E-02,7.9688E-02,7.2492E-02,5.6776E-02,
     &1.5498E-02,5.4103E-02,6.9687E-02,7.8968E-02,8.3486E-02,8.4334E-02,
     &8.1403E-02,7.4109E-02,5.7973E-02,1.8239E-02,5.8007E-02,7.3146E-02,
     &8.1751E-02,8.5842E-02,8.6346E-02,8.3244E-02,7.5789E-02,5.9123E-02,
     &2.1231E-02,6.1947E-02,7.6584E-02,8.4579E-02,8.8268E-02,8.8508E-02,
     &8.5245E-02,7.7486E-02,6.0191E-02/
      DATA ((KA(JS,JT, 1, 7),JS=1,9),JT=1,5) /
     &7.1609E-01,1.0081E+00,1.1118E+00,1.1603E+00,1.1765E+00,1.1643E+00,
     &1.1202E+00,1.0296E+00,8.2502E-01,7.5920E-01,1.0292E+00,1.1252E+00,
     &1.1685E+00,1.1822E+00,1.1684E+00,1.1228E+00,1.0318E+00,8.3157E-01,
     &7.9807E-01,1.0500E+00,1.1397E+00,1.1794E+00,1.1904E+00,1.1740E+00,
     &1.1264E+00,1.0343E+00,8.3726E-01,8.3183E-01,1.0700E+00,1.1548E+00,
     &1.1918E+00,1.2010E+00,1.1815E+00,1.1313E+00,1.0364E+00,8.4249E-01,
     &8.6161E-01,1.0887E+00,1.1706E+00,1.2061E+00,1.2126E+00,1.1904E+00,
     &1.1363E+00,1.0383E+00,8.4713E-01/
      DATA ((KA(JS,JT, 2, 7),JS=1,9),JT=1,5) /
     &6.2079E-01,8.9078E-01,9.8349E-01,1.0275E+00,1.0413E+00,1.0318E+00,
     &9.9528E-01,9.2037E-01,7.2464E-01,6.5800E-01,9.1114E-01,9.9789E-01,
     &1.0381E+00,1.0488E+00,1.0378E+00,9.9952E-01,9.2364E-01,7.3140E-01,
     &6.9092E-01,9.3058E-01,1.0122E+00,1.0502E+00,1.0590E+00,1.0454E+00,
     &1.0054E+00,9.2699E-01,7.3764E-01,7.1970E-01,9.4840E-01,1.0270E+00,
     &1.0636E+00,1.0709E+00,1.0547E+00,1.0116E+00,9.3021E-01,7.4329E-01,
     &7.4579E-01,9.6581E-01,1.0421E+00,1.0781E+00,1.0844E+00,1.0644E+00,
     &1.0185E+00,9.3369E-01,7.4789E-01/
      DATA ((KA(JS,JT, 3, 7),JS=1,9),JT=1,5) /
     &5.2823E-01,7.7783E-01,8.6297E-01,9.0265E-01,9.1464E-01,9.0839E-01,
     &8.7923E-01,8.1632E-01,6.3067E-01,5.6021E-01,7.9652E-01,8.7677E-01,
     &9.1375E-01,9.2363E-01,9.1571E-01,8.8529E-01,8.2096E-01,6.3740E-01,
     &5.8848E-01,8.1389E-01,8.9039E-01,9.2584E-01,9.3460E-01,9.2486E-01,
     &8.9232E-01,8.2527E-01,6.4377E-01,6.1369E-01,8.3008E-01,9.0459E-01,
     &9.3860E-01,9.4727E-01,9.3485E-01,8.9989E-01,8.2959E-01,6.4921E-01,
     &6.3687E-01,8.4580E-01,9.1897E-01,9.5268E-01,9.6085E-01,9.4565E-01,
     &9.0780E-01,8.3380E-01,6.5367E-01/
      DATA ((KA(JS,JT, 4, 7),JS=1,9),JT=1,5) /
     &4.4508E-01,6.7351E-01,7.5154E-01,7.8756E-01,7.9977E-01,7.9563E-01,
     &7.7123E-01,7.1868E-01,5.4794E-01,4.7271E-01,6.9026E-01,7.6424E-01,
     &7.9840E-01,8.0928E-01,8.0400E-01,7.7859E-01,7.2416E-01,5.5496E-01,
     &4.9708E-01,7.0580E-01,7.7670E-01,8.0989E-01,8.2043E-01,8.1421E-01,
     &7.8653E-01,7.2918E-01,5.6105E-01,5.1921E-01,7.2040E-01,7.8970E-01,
     &8.2209E-01,8.3296E-01,8.2477E-01,7.9492E-01,7.3435E-01,5.6612E-01,
     &5.3991E-01,7.3468E-01,8.0284E-01,8.3540E-01,8.4599E-01,8.3588E-01,
     &8.0349E-01,7.3920E-01,5.7048E-01/
      DATA ((KA(JS,JT, 5, 7),JS=1,9),JT=1,5) /
     &3.7413E-01,5.8022E-01,6.5026E-01,6.8370E-01,6.9632E-01,6.9319E-01,
     &6.7239E-01,6.2755E-01,4.7517E-01,3.9785E-01,5.9500E-01,6.6160E-01,
     &6.9388E-01,7.0581E-01,7.0224E-01,6.8037E-01,6.3372E-01,4.8187E-01,
     &4.1894E-01,6.0858E-01,6.7282E-01,7.0454E-01,7.1693E-01,7.1249E-01,
     &6.8889E-01,6.3962E-01,4.8765E-01,4.3810E-01,6.2138E-01,6.8416E-01,
     &7.1639E-01,7.2873E-01,7.2302E-01,6.9785E-01,6.4510E-01,4.9243E-01,
     &4.5627E-01,6.3437E-01,6.9610E-01,7.2855E-01,7.4096E-01,7.3385E-01,
     &7.0672E-01,6.5052E-01,4.9657E-01/
      DATA ((KA(JS,JT, 6, 7),JS=1,9),JT=1,5) /
     &3.1382E-01,4.9799E-01,5.5977E-01,5.8971E-01,6.0230E-01,6.0065E-01,
     &5.8267E-01,5.4392E-01,4.0911E-01,3.3427E-01,5.1077E-01,5.6976E-01,
     &5.9903E-01,6.1148E-01,6.0961E-01,5.9093E-01,5.5057E-01,4.1554E-01,
     &3.5247E-01,5.2249E-01,5.7948E-01,6.0895E-01,6.2185E-01,6.1942E-01,
     &5.9984E-01,5.5707E-01,4.2096E-01,3.6909E-01,5.3360E-01,5.8950E-01,
     &6.1977E-01,6.3265E-01,6.2957E-01,6.0872E-01,5.6306E-01,4.2549E-01,
     &3.8489E-01,5.4511E-01,6.0025E-01,6.3086E-01,6.4395E-01,6.3979E-01,
     &6.1739E-01,5.6897E-01,4.2951E-01/
      DATA ((KA(JS,JT, 7, 7),JS=1,9),JT=1,5) /
     &2.6224E-01,4.2663E-01,4.8031E-01,5.0651E-01,5.1797E-01,5.1738E-01,
     &5.0230E-01,4.6824E-01,3.4967E-01,2.8013E-01,4.3764E-01,4.8906E-01,
     &5.1485E-01,5.2656E-01,5.2602E-01,5.1065E-01,4.7517E-01,3.5569E-01,
     &2.9592E-01,4.4770E-01,4.9758E-01,5.2367E-01,5.3583E-01,5.3525E-01,
     &5.1944E-01,4.8175E-01,3.6089E-01,3.1035E-01,4.5721E-01,5.0658E-01,
     &5.3311E-01,5.4562E-01,5.4468E-01,5.2799E-01,4.8800E-01,3.6523E-01,
     &3.2410E-01,4.6702E-01,5.1628E-01,5.4315E-01,5.5572E-01,5.5402E-01,
     &5.3619E-01,4.9402E-01,3.6906E-01/
      DATA ((KA(JS,JT, 8, 7),JS=1,9),JT=1,5) /
     &2.1802E-01,3.6523E-01,4.1109E-01,4.3388E-01,4.4363E-01,4.4316E-01,
     &4.3058E-01,4.0065E-01,2.9668E-01,2.3315E-01,3.7455E-01,4.1894E-01,
     &4.4116E-01,4.5154E-01,4.5134E-01,4.3880E-01,4.0751E-01,3.0231E-01,
     &2.4686E-01,3.8301E-01,4.2637E-01,4.4889E-01,4.5978E-01,4.5969E-01,
     &4.4700E-01,4.1408E-01,3.0721E-01,2.5967E-01,3.9102E-01,4.3427E-01,
     &4.5708E-01,4.6833E-01,4.6819E-01,4.5488E-01,4.2031E-01,3.1131E-01,
     &2.7188E-01,3.9949E-01,4.4272E-01,4.6608E-01,4.7706E-01,4.7653E-01,
     &4.6230E-01,4.2618E-01,3.1504E-01/
      DATA ((KA(JS,JT, 9, 7),JS=1,9),JT=1,5) /
     &1.8022E-01,3.1183E-01,3.5120E-01,3.7079E-01,3.7884E-01,3.7804E-01,
     &3.6693E-01,3.4063E-01,2.4612E-01,1.9307E-01,3.1966E-01,3.5801E-01,
     &3.7712E-01,3.8585E-01,3.8558E-01,3.7468E-01,3.4716E-01,2.5138E-01,
     &2.0463E-01,3.2683E-01,3.6444E-01,3.8387E-01,3.9308E-01,3.9294E-01,
     &3.8210E-01,3.5364E-01,2.5593E-01,2.1550E-01,3.3367E-01,3.7119E-01,
     &3.9103E-01,4.0042E-01,4.0039E-01,3.8916E-01,3.5964E-01,2.5996E-01,
     &2.2607E-01,3.4108E-01,3.7860E-01,3.9875E-01,4.0805E-01,4.0762E-01,
     &3.9578E-01,3.6518E-01,2.6360E-01/
      DATA ((KA(JS,JT,10, 7),JS=1,9),JT=1,5) /
     &1.4867E-01,2.6554E-01,2.9985E-01,3.1657E-01,3.2318E-01,3.2201E-01,
     &3.1162E-01,2.8815E-01,2.1732E-01,1.5961E-01,2.7217E-01,3.0555E-01,
     &3.2206E-01,3.2938E-01,3.2864E-01,3.1877E-01,2.9424E-01,2.2230E-01,
     &1.6940E-01,2.7829E-01,3.1116E-01,3.2786E-01,3.3559E-01,3.3509E-01,
     &3.2534E-01,3.0046E-01,2.2643E-01,1.7863E-01,2.8410E-01,3.1692E-01,
     &3.3409E-01,3.4189E-01,3.4154E-01,3.3152E-01,3.0607E-01,2.3022E-01,
     &1.8774E-01,2.9050E-01,3.2341E-01,3.4075E-01,3.4846E-01,3.4771E-01,
     &3.3731E-01,3.1120E-01,2.3340E-01/
      DATA ((KA(JS,JT,11, 7),JS=1,9),JT=1,5) /
     &1.2627E-01,2.2669E-01,2.5719E-01,2.7172E-01,2.7732E-01,2.7601E-01,
     &2.6659E-01,2.4512E-01,1.8584E-01,1.3516E-01,2.3214E-01,2.6193E-01,
     &2.7653E-01,2.8265E-01,2.8160E-01,2.7265E-01,2.5095E-01,1.8968E-01,
     &1.4321E-01,2.3722E-01,2.6679E-01,2.8162E-01,2.8797E-01,2.8724E-01,
     &2.7822E-01,2.5645E-01,1.9293E-01,1.5107E-01,2.4247E-01,2.7199E-01,
     &2.8706E-01,2.9346E-01,2.9269E-01,2.8343E-01,2.6131E-01,1.9541E-01,
     &1.5896E-01,2.4837E-01,2.7786E-01,2.9309E-01,2.9929E-01,2.9804E-01,
     &2.8838E-01,2.6594E-01,1.9802E-01/
      DATA ((KA(JS,JT,12, 7),JS=1,9),JT=1,5) /
     &1.0682E-01,1.9256E-01,2.1863E-01,2.3192E-01,2.3695E-01,2.3560E-01,
     &2.2744E-01,2.0844E-01,1.6014E-01,1.1409E-01,1.9699E-01,2.2274E-01,
     &2.3606E-01,2.4149E-01,2.4040E-01,2.3256E-01,2.1367E-01,1.6300E-01,
     &1.2093E-01,2.0128E-01,2.2702E-01,2.4050E-01,2.4609E-01,2.4521E-01,
     &2.3721E-01,2.1831E-01,1.6579E-01,1.2767E-01,2.0601E-01,2.3174E-01,
     &2.4542E-01,2.5091E-01,2.4990E-01,2.4163E-01,2.2258E-01,1.6866E-01,
     &1.3446E-01,2.1151E-01,2.3730E-01,2.5089E-01,2.5608E-01,2.5469E-01,
     &2.4607E-01,2.2668E-01,1.7141E-01/
      DATA ((KA(JS,JT,13, 7),JS=1,9),JT=1,5) /
     &9.0556E-02,1.6301E-01,1.8506E-01,1.9633E-01,2.0124E-01,2.0042E-01,
     &1.9353E-01,1.7713E-01,1.3589E-01,9.6629E-02,1.6667E-01,1.8855E-01,
     &1.9991E-01,2.0512E-01,2.0458E-01,1.9781E-01,1.8150E-01,1.3866E-01,
     &1.0246E-01,1.7045E-01,1.9232E-01,2.0386E-01,2.0916E-01,2.0868E-01,
     &2.0175E-01,1.8546E-01,1.4157E-01,1.0831E-01,1.7481E-01,1.9664E-01,
     &2.0827E-01,2.1340E-01,2.1278E-01,2.0565E-01,1.8920E-01,1.4421E-01,
     &1.1418E-01,1.7993E-01,2.0190E-01,2.1347E-01,2.1830E-01,2.1718E-01,
     &2.0964E-01,1.9280E-01,1.4715E-01/
      DATA ((KA(JS,JT, 1, 8),JS=1,9),JT=1,5) /
     &2.0844E+00,2.3344E+00,2.5576E+00,2.6701E+00,2.7010E+00,2.6681E+00,
     &2.5683E+00,2.3655E+00,2.0810E+00,2.0807E+00,2.3304E+00,2.5489E+00,
     &2.6611E+00,2.6920E+00,2.6609E+00,2.5647E+00,2.3645E+00,2.0859E+00,
     &2.0877E+00,2.3342E+00,2.5477E+00,2.6548E+00,2.6843E+00,2.6541E+00,
     &2.5605E+00,2.3637E+00,2.0903E+00,2.1052E+00,2.3454E+00,2.5520E+00,
     &2.6529E+00,2.6778E+00,2.6478E+00,2.5565E+00,2.3630E+00,2.0935E+00,
     &2.1303E+00,2.3633E+00,2.5619E+00,2.6546E+00,2.6749E+00,2.6429E+00,
     &2.5542E+00,2.3619E+00,2.0958E+00/
      DATA ((KA(JS,JT, 2, 8),JS=1,9),JT=1,5) /
     &1.8120E+00,2.1101E+00,2.3204E+00,2.4266E+00,2.4657E+00,2.4469E+00,
     &2.3702E+00,2.1931E+00,1.8669E+00,1.8187E+00,2.1137E+00,2.3188E+00,
     &2.4223E+00,2.4620E+00,2.4436E+00,2.3687E+00,2.1944E+00,1.8726E+00,
     &1.8356E+00,2.1255E+00,2.3256E+00,2.4232E+00,2.4590E+00,2.4407E+00,
     &2.3674E+00,2.1960E+00,1.8776E+00,1.8614E+00,2.1447E+00,2.3386E+00,
     &2.4287E+00,2.4595E+00,2.4387E+00,2.3672E+00,2.1970E+00,1.8816E+00,
     &1.8927E+00,2.1683E+00,2.3579E+00,2.4392E+00,2.4636E+00,2.4407E+00,
     &2.3665E+00,2.1974E+00,1.8864E+00/
      DATA ((KA(JS,JT, 3, 8),JS=1,9),JT=1,5) /
     &1.5702E+00,1.8942E+00,2.0837E+00,2.1854E+00,2.2324E+00,2.2266E+00,
     &2.1649E+00,2.0134E+00,1.6617E+00,1.5827E+00,1.9038E+00,2.0886E+00,
     &2.1865E+00,2.2329E+00,2.2266E+00,2.1649E+00,2.0167E+00,1.6695E+00,
     &1.6046E+00,1.9213E+00,2.1019E+00,2.1942E+00,2.2360E+00,2.2271E+00,
     &2.1665E+00,2.0195E+00,1.6762E+00,1.6329E+00,1.9443E+00,2.1213E+00,
     &2.2070E+00,2.2424E+00,2.2311E+00,2.1683E+00,2.0214E+00,1.6830E+00,
     &1.6658E+00,1.9717E+00,2.1452E+00,2.2251E+00,2.2530E+00,2.2371E+00,
     &2.1708E+00,2.0238E+00,1.6904E+00/
      DATA ((KA(JS,JT, 4, 8),JS=1,9),JT=1,5) /
     &1.3564E+00,1.6869E+00,1.8550E+00,1.9537E+00,2.0049E+00,2.0085E+00,
     &1.9601E+00,1.8287E+00,1.4756E+00,1.3720E+00,1.7000E+00,1.8655E+00,
     &1.9607E+00,2.0100E+00,2.0105E+00,1.9622E+00,1.8339E+00,1.4854E+00,
     &1.3952E+00,1.7204E+00,1.8837E+00,1.9740E+00,2.0182E+00,2.0154E+00,
     &1.9654E+00,1.8384E+00,1.4948E+00,1.4229E+00,1.7461E+00,1.9072E+00,
     &1.9926E+00,2.0303E+00,2.0234E+00,1.9691E+00,1.8420E+00,1.5040E+00,
     &1.4534E+00,1.7751E+00,1.9345E+00,2.0154E+00,2.0467E+00,2.0337E+00,
     &1.9742E+00,1.8465E+00,1.5131E+00/
      DATA ((KA(JS,JT, 5, 8),JS=1,9),JT=1,5) /
     &1.1675E+00,1.4906E+00,1.6422E+00,1.7364E+00,1.7875E+00,1.7970E+00,
     &1.7582E+00,1.6459E+00,1.3057E+00,1.1839E+00,1.5062E+00,1.6573E+00,
     &1.7483E+00,1.7956E+00,1.8020E+00,1.7623E+00,1.6529E+00,1.3176E+00,
     &1.2061E+00,1.5281E+00,1.6790E+00,1.7660E+00,1.8082E+00,1.8106E+00,
     &1.7678E+00,1.6587E+00,1.3289E+00,1.2311E+00,1.5549E+00,1.7048E+00,
     &1.7877E+00,1.8250E+00,1.8222E+00,1.7742E+00,1.6644E+00,1.3398E+00,
     &1.2582E+00,1.5836E+00,1.7338E+00,1.8131E+00,1.8457E+00,1.8359E+00,
     &1.7826E+00,1.6710E+00,1.3507E+00/
      DATA ((KA(JS,JT, 6, 8),JS=1,9),JT=1,5) /
     &9.9981E-01,1.3080E+00,1.4477E+00,1.5356E+00,1.5829E+00,1.5936E+00,
     &1.5636E+00,1.4683E+00,1.1482E+00,1.0151E+00,1.3251E+00,1.4655E+00,
     &1.5504E+00,1.5941E+00,1.6015E+00,1.5698E+00,1.4767E+00,1.1619E+00,
     &1.0344E+00,1.3476E+00,1.4887E+00,1.5702E+00,1.6097E+00,1.6130E+00,
     &1.5772E+00,1.4847E+00,1.1743E+00,1.0560E+00,1.3735E+00,1.5155E+00,
     &1.5939E+00,1.6293E+00,1.6276E+00,1.5870E+00,1.4924E+00,1.1864E+00,
     &1.0794E+00,1.3996E+00,1.5438E+00,1.6205E+00,1.6521E+00,1.6451E+00,
     &1.5991E+00,1.5003E+00,1.1982E+00/
      DATA ((KA(JS,JT, 7, 8),JS=1,9),JT=1,5) /
     &8.5239E-01,1.1419E+00,1.2714E+00,1.3507E+00,1.3930E+00,1.4039E+00,
     &1.3790E+00,1.2971E+00,1.0034E+00,8.6542E-01,1.1591E+00,1.2898E+00,
     &1.3670E+00,1.4062E+00,1.4139E+00,1.3871E+00,1.3072E+00,1.0179E+00,
     &8.8108E-01,1.1809E+00,1.3130E+00,1.3880E+00,1.4241E+00,1.4278E+00,
     &1.3975E+00,1.3172E+00,1.0310E+00,8.9900E-01,1.2041E+00,1.3390E+00,
     &1.4123E+00,1.4455E+00,1.4453E+00,1.4105E+00,1.3266E+00,1.0434E+00,
     &9.1862E-01,1.2279E+00,1.3649E+00,1.4386E+00,1.4692E+00,1.4664E+00,
     &1.4254E+00,1.3367E+00,1.0558E+00/
      DATA ((KA(JS,JT, 8, 8),JS=1,9),JT=1,5) /
     &7.2497E-01,9.9201E-01,1.1107E+00,1.1813E+00,1.2195E+00,1.2285E+00,
     &1.2058E+00,1.1359E+00,8.7110E-01,7.3517E-01,1.0086E+00,1.1285E+00,
     &1.1988E+00,1.2342E+00,1.2405E+00,1.2160E+00,1.1479E+00,8.8568E-01,
     &7.4752E-01,1.0285E+00,1.1507E+00,1.2198E+00,1.2532E+00,1.2570E+00,
     &1.2289E+00,1.1589E+00,8.9927E-01,7.6213E-01,1.0489E+00,1.1747E+00,
     &1.2436E+00,1.2757E+00,1.2769E+00,1.2445E+00,1.1700E+00,9.1203E-01,
     &7.7854E-01,1.0697E+00,1.1980E+00,1.2679E+00,1.3002E+00,1.2994E+00,
     &1.2621E+00,1.1816E+00,9.2392E-01/
      DATA ((KA(JS,JT, 9, 8),JS=1,9),JT=1,5) /
     &6.1682E-01,8.5841E-01,9.6403E-01,1.0272E+00,1.0606E+00,1.0679E+00,
     &1.0472E+00,9.8715E-01,7.4825E-01,6.2415E-01,8.7401E-01,9.8140E-01,
     &1.0446E+00,1.0763E+00,1.0811E+00,1.0593E+00,1.0003E+00,7.6294E-01,
     &6.3387E-01,8.9104E-01,1.0022E+00,1.0651E+00,1.0962E+00,1.0997E+00,
     &1.0740E+00,1.0120E+00,7.7659E-01,6.4542E-01,9.0872E-01,1.0230E+00,
     &1.0878E+00,1.1188E+00,1.1207E+00,1.0911E+00,1.0243E+00,7.8905E-01,
     &6.5900E-01,9.2674E-01,1.0436E+00,1.1103E+00,1.1424E+00,1.1435E+00,
     &1.1102E+00,1.0375E+00,8.0034E-01/
      DATA ((KA(JS,JT,10, 8),JS=1,9),JT=1,5) /
     &5.2547E-01,7.4220E-01,8.3433E-01,8.8890E-01,9.1741E-01,9.2336E-01,
     &9.0538E-01,8.5311E-01,6.4696E-01,5.3064E-01,7.5604E-01,8.5107E-01,
     &9.0584E-01,9.3361E-01,9.3836E-01,9.1861E-01,8.6626E-01,6.6062E-01,
     &5.3809E-01,7.7037E-01,8.6942E-01,9.2562E-01,9.5409E-01,9.5774E-01,
     &9.3423E-01,8.7871E-01,6.7391E-01,5.4734E-01,7.8576E-01,8.8734E-01,
     &9.4634E-01,9.7611E-01,9.7890E-01,9.5253E-01,8.9191E-01,6.8526E-01,
     &5.5842E-01,8.0129E-01,9.0542E-01,9.6675E-01,9.9781E-01,1.0013E+00,
     &9.7253E-01,9.0597E-01,6.9583E-01/
      DATA ((KA(JS,JT,11, 8),JS=1,9),JT=1,5) /
     &4.4902E-01,6.4641E-01,7.2682E-01,7.7295E-01,7.9679E-01,8.0095E-01,
     &7.8478E-01,7.3880E-01,5.7500E-01,4.5343E-01,6.5819E-01,7.4259E-01,
     &7.9030E-01,8.1509E-01,8.1866E-01,7.9960E-01,7.5137E-01,5.8784E-01,
     &4.5968E-01,6.7094E-01,7.5812E-01,8.0898E-01,8.3522E-01,8.3854E-01,
     &8.1711E-01,7.6461E-01,5.9939E-01,4.6764E-01,6.8418E-01,7.7402E-01,
     &8.2711E-01,8.5518E-01,8.5968E-01,8.3634E-01,7.7859E-01,6.0954E-01,
     &4.7750E-01,6.9798E-01,7.9021E-01,8.4534E-01,8.7480E-01,8.8011E-01,
     &8.5595E-01,7.9269E-01,6.1896E-01/
      DATA ((KA(JS,JT,12, 8),JS=1,9),JT=1,5) /
     &3.8252E-01,5.6123E-01,6.3221E-01,6.7207E-01,6.9191E-01,6.9451E-01,
     &6.7853E-01,6.3671E-01,4.9624E-01,3.8610E-01,5.7152E-01,6.4559E-01,
     &6.8857E-01,7.0992E-01,7.1250E-01,6.9440E-01,6.4948E-01,5.0772E-01,
     &3.9135E-01,5.8251E-01,6.5953E-01,7.0459E-01,7.2793E-01,7.3188E-01,
     &7.1251E-01,6.6314E-01,5.1771E-01,3.9838E-01,5.9406E-01,6.7357E-01,
     &7.2066E-01,7.4570E-01,7.5075E-01,7.3108E-01,6.7696E-01,5.2680E-01,
     &4.0785E-01,6.0628E-01,6.8802E-01,7.3685E-01,7.6342E-01,7.6842E-01,
     &7.4857E-01,6.9135E-01,5.3408E-01/
      DATA ((KA(JS,JT,13, 8),JS=1,9),JT=1,5) /
     &3.2297E-01,4.8556E-01,5.4760E-01,5.8350E-01,6.0079E-01,6.0116E-01,
     &5.8518E-01,5.4699E-01,4.2276E-01,3.2591E-01,4.9445E-01,5.5963E-01,
     &5.9764E-01,6.1654E-01,6.1844E-01,6.0149E-01,5.5973E-01,4.3280E-01,
     &3.3057E-01,5.0405E-01,5.7184E-01,6.1186E-01,6.3239E-01,6.3557E-01,
     &6.1864E-01,5.7305E-01,4.4151E-01,3.3705E-01,5.1427E-01,5.8428E-01,
     &6.2614E-01,6.4825E-01,6.5175E-01,6.3492E-01,5.8689E-01,4.4893E-01,
     &3.4636E-01,5.2544E-01,5.9740E-01,6.4055E-01,6.6342E-01,6.6736E-01,
     &6.5002E-01,6.0055E-01,4.5487E-01/
      DATA ((KA(JS,JT, 1, 9),JS=1,9),JT=1,5) /
     &7.2991E+00,6.9722E+00,7.2863E+00,7.5002E+00,7.5688E+00,7.4622E+00,
     &7.1020E+00,6.5825E+00,6.9144E+00,7.2210E+00,6.9084E+00,7.2319E+00,
     &7.4567E+00,7.5409E+00,7.4459E+00,7.1001E+00,6.5930E+00,6.9213E+00,
     &7.1481E+00,6.8475E+00,7.1760E+00,7.4130E+00,7.5097E+00,7.4266E+00,
     &7.0905E+00,6.5992E+00,6.9258E+00,7.0810E+00,6.7891E+00,7.1222E+00,
     &7.3713E+00,7.4785E+00,7.4023E+00,7.0766E+00,6.6037E+00,6.9303E+00,
     &7.0205E+00,6.7342E+00,7.0686E+00,7.3258E+00,7.4436E+00,7.3740E+00,
     &7.0585E+00,6.6060E+00,6.9339E+00/
      DATA ((KA(JS,JT, 2, 9),JS=1,9),JT=1,5) /
     &6.8023E+00,6.6845E+00,7.1435E+00,7.4293E+00,7.5528E+00,7.4805E+00,
     &7.1383E+00,6.5087E+00,6.6425E+00,6.7309E+00,6.6228E+00,7.0899E+00,
     &7.3862E+00,7.5243E+00,7.4671E+00,7.1358E+00,6.5240E+00,6.6588E+00,
     &6.6680E+00,6.5659E+00,7.0365E+00,7.3443E+00,7.4954E+00,7.4486E+00,
     &7.1260E+00,6.5367E+00,6.6745E+00,6.6136E+00,6.5139E+00,6.9841E+00,
     &7.3016E+00,7.4627E+00,7.4252E+00,7.1129E+00,6.5455E+00,6.6889E+00,
     &6.5687E+00,6.4706E+00,6.9322E+00,7.2576E+00,7.4266E+00,7.3967E+00,
     &7.0986E+00,6.5510E+00,6.7011E+00/
      DATA ((KA(JS,JT, 3, 9),JS=1,9),JT=1,5) /
     &6.2554E+00,6.3717E+00,6.9259E+00,7.2750E+00,7.4339E+00,7.3812E+00,
     &7.0638E+00,6.3830E+00,6.2738E+00,6.1935E+00,6.3130E+00,6.8741E+00,
     &7.2340E+00,7.4081E+00,7.3723E+00,7.0661E+00,6.4055E+00,6.3017E+00,
     &6.1417E+00,6.2609E+00,6.8234E+00,7.1924E+00,7.3793E+00,7.3559E+00,
     &7.0613E+00,6.4217E+00,6.3259E+00,6.1027E+00,6.2184E+00,6.7754E+00,
     &7.1518E+00,7.3493E+00,7.3341E+00,7.0537E+00,6.4352E+00,6.3471E+00,
     &6.0751E+00,6.1846E+00,6.7335E+00,7.1090E+00,7.3143E+00,7.3100E+00,
     &7.0431E+00,6.4459E+00,6.3674E+00/
      DATA ((KA(JS,JT, 4, 9),JS=1,9),JT=1,5) /
     &5.6712E+00,6.0174E+00,6.6407E+00,7.0308E+00,7.2054E+00,7.1700E+00,
     &6.8768E+00,6.2076E+00,5.8601E+00,5.6177E+00,5.9637E+00,6.5912E+00,
     &6.9914E+00,7.1823E+00,7.1644E+00,6.8840E+00,6.2360E+00,5.8965E+00,
     &5.5798E+00,5.9204E+00,6.5459E+00,6.9532E+00,7.1589E+00,7.1503E+00,
     &6.8872E+00,6.2571E+00,5.9275E+00,5.5576E+00,5.8874E+00,6.5057E+00,
     &6.9160E+00,7.1305E+00,7.1327E+00,6.8860E+00,6.2738E+00,5.9560E+00,
     &5.5509E+00,5.8664E+00,6.4735E+00,6.8799E+00,7.0989E+00,7.1129E+00,
     &6.8803E+00,6.2864E+00,5.9817E+00/
      DATA ((KA(JS,JT, 5, 9),JS=1,9),JT=1,5) /
     &5.0748E+00,5.6236E+00,6.2897E+00,6.6937E+00,6.8773E+00,6.8583E+00,
     &6.5966E+00,5.9739E+00,5.4247E+00,5.0332E+00,5.5772E+00,6.2435E+00,
     &6.6588E+00,6.8602E+00,6.8553E+00,6.6099E+00,6.0056E+00,5.4668E+00,
     &5.0094E+00,5.5429E+00,6.2032E+00,6.6264E+00,6.8392E+00,6.8457E+00,
     &6.6198E+00,6.0291E+00,5.5024E+00,5.0054E+00,5.5221E+00,6.1728E+00,
     &6.5959E+00,6.8138E+00,6.8347E+00,6.6239E+00,6.0504E+00,5.5378E+00,
     &5.0196E+00,5.5140E+00,6.1502E+00,6.5696E+00,6.7880E+00,6.8224E+00,
     &6.6232E+00,6.0661E+00,5.5660E+00/
      DATA ((KA(JS,JT, 6, 9),JS=1,9),JT=1,5) /
     &4.4929E+00,5.1985E+00,5.8791E+00,6.2757E+00,6.4716E+00,6.4669E+00,
     &6.2368E+00,5.6853E+00,4.9792E+00,4.4612E+00,5.1596E+00,5.8385E+00,
     &6.2487E+00,6.4570E+00,6.4678E+00,6.2575E+00,5.7196E+00,5.0244E+00,
     &4.4521E+00,5.1348E+00,5.8071E+00,6.2248E+00,6.4383E+00,6.4639E+00,
     &6.2747E+00,5.7459E+00,5.0676E+00,4.4651E+00,5.1248E+00,5.7862E+00,
     &6.2029E+00,6.4206E+00,6.4594E+00,6.2829E+00,5.7703E+00,5.1061E+00,
     &4.4974E+00,5.1321E+00,5.7769E+00,6.1847E+00,6.4045E+00,6.4518E+00,
     &6.2850E+00,5.7880E+00,5.1383E+00/
      DATA ((KA(JS,JT, 7, 9),JS=1,9),JT=1,5) /
     &3.9405E+00,4.7599E+00,5.4183E+00,5.8070E+00,6.0002E+00,6.0137E+00,
     &5.8231E+00,5.3430E+00,4.5395E+00,3.9200E+00,4.7279E+00,5.3865E+00,
     &5.7866E+00,5.9900E+00,6.0178E+00,5.8493E+00,5.3803E+00,4.5897E+00,
     &3.9243E+00,4.7128E+00,5.3651E+00,5.7689E+00,5.9779E+00,6.0210E+00,
     &5.8689E+00,5.4093E+00,4.6370E+00,3.9509E+00,4.7158E+00,5.3566E+00,
     &5.7541E+00,5.9686E+00,6.0221E+00,5.8794E+00,5.4360E+00,4.6801E+00,
     &3.9997E+00,4.7365E+00,5.3625E+00,5.7480E+00,5.9641E+00,6.0191E+00,
     &5.8864E+00,5.4567E+00,4.7154E+00/
      DATA ((KA(JS,JT, 8, 9),JS=1,9),JT=1,5) /
     &3.4277E+00,4.3224E+00,4.9312E+00,5.3036E+00,5.4930E+00,5.5228E+00,
     &5.3766E+00,4.9651E+00,4.1155E+00,3.4174E+00,4.2976E+00,4.9104E+00,
     &5.2883E+00,5.4862E+00,5.5322E+00,5.4048E+00,5.0049E+00,4.1706E+00,
     &3.4328E+00,4.2901E+00,4.9000E+00,5.2782E+00,5.4821E+00,5.5409E+00,
     &5.4257E+00,5.0383E+00,4.2218E+00,3.4724E+00,4.3054E+00,4.9030E+00,
     &5.2739E+00,5.4825E+00,5.5468E+00,5.4402E+00,5.0678E+00,4.2656E+00,
     &3.5331E+00,4.3394E+00,4.9199E+00,5.2816E+00,5.4871E+00,5.5512E+00,
     &5.4505E+00,5.0918E+00,4.3035E+00/
      DATA ((KA(JS,JT, 9, 9),JS=1,9),JT=1,5) /
     &2.9643E+00,3.8841E+00,4.4459E+00,4.7885E+00,4.9734E+00,5.0221E+00,
     &4.9131E+00,4.5659E+00,3.7057E+00,2.9616E+00,3.8662E+00,4.4298E+00,
     &4.7788E+00,4.9743E+00,5.0365E+00,4.9428E+00,4.6088E+00,3.7656E+00,
     &2.9848E+00,3.8693E+00,4.4274E+00,4.7752E+00,4.9768E+00,5.0477E+00,
     &4.9663E+00,4.6464E+00,3.8194E+00,3.0329E+00,3.8944E+00,4.4404E+00,
     &4.7824E+00,4.9850E+00,5.0582E+00,4.9851E+00,4.6790E+00,3.8645E+00,
     &3.1033E+00,3.9395E+00,4.4689E+00,4.8029E+00,4.9990E+00,5.0689E+00,
     &5.0004E+00,4.7030E+00,3.9063E+00/
      DATA ((KA(JS,JT,10, 9),JS=1,9),JT=1,5) /
     &2.5528E+00,3.4541E+00,3.9652E+00,4.2831E+00,4.4659E+00,4.5285E+00,
     &4.4509E+00,4.1587E+00,3.2612E+00,2.5575E+00,3.4458E+00,3.9558E+00,
     &4.2802E+00,4.4723E+00,4.5451E+00,4.4820E+00,4.2051E+00,3.3240E+00,
     &2.5883E+00,3.4607E+00,3.9625E+00,4.2854E+00,4.4811E+00,4.5602E+00,
     &4.5090E+00,4.2460E+00,3.3785E+00,2.6435E+00,3.4963E+00,3.9867E+00,
     &4.3038E+00,4.4956E+00,4.5761E+00,4.5312E+00,4.2799E+00,3.4270E+00,
     &2.7203E+00,3.5517E+00,4.0270E+00,4.3344E+00,4.5189E+00,4.5941E+00,
     &4.5504E+00,4.3065E+00,3.4705E+00/
      DATA ((KA(JS,JT,11, 9),JS=1,9),JT=1,5) /
     &2.1958E+00,3.0498E+00,3.5059E+00,3.8049E+00,3.9876E+00,4.0622E+00,
     &4.0123E+00,3.7729E+00,2.8786E+00,2.2177E+00,3.0598E+00,3.5116E+00,
     &3.8116E+00,3.9989E+00,4.0819E+00,4.0442E+00,3.8191E+00,2.9389E+00,
     &2.2647E+00,3.0907E+00,3.5359E+00,3.8306E+00,4.0167E+00,4.1020E+00,
     &4.0724E+00,3.8578E+00,2.9915E+00,2.3337E+00,3.1425E+00,3.5763E+00,
     &3.8632E+00,4.0437E+00,4.1245E+00,4.0973E+00,3.8902E+00,3.0386E+00,
     &2.4135E+00,3.2120E+00,3.6330E+00,3.9077E+00,4.0797E+00,4.1526E+00,
     &4.1204E+00,3.9195E+00,3.0818E+00/
      DATA ((KA(JS,JT,12, 9),JS=1,9),JT=1,5) /
     &1.8956E+00,2.6861E+00,3.0931E+00,3.3674E+00,3.5425E+00,3.6210E+00,
     &3.5899E+00,3.3921E+00,2.5824E+00,1.9314E+00,2.7108E+00,3.1141E+00,
     &3.3855E+00,3.5620E+00,3.6450E+00,3.6224E+00,3.4362E+00,2.6351E+00,
     &1.9899E+00,2.7565E+00,3.1515E+00,3.4177E+00,3.5909E+00,3.6718E+00,
     &3.6517E+00,3.4743E+00,2.6837E+00,2.0599E+00,2.8211E+00,3.2055E+00,
     &3.4628E+00,3.6291E+00,3.7038E+00,3.6800E+00,3.5081E+00,2.7286E+00,
     &2.1342E+00,2.8994E+00,3.2752E+00,3.5201E+00,3.6745E+00,3.7420E+00,
     &3.7112E+00,3.5392E+00,2.7703E+00/
      DATA ((KA(JS,JT,13, 9),JS=1,9),JT=1,5) /
     &1.6403E+00,2.3651E+00,2.7290E+00,2.9746E+00,3.1326E+00,3.2080E+00,
     &3.1891E+00,3.0274E+00,2.3307E+00,1.6863E+00,2.4025E+00,2.7611E+00,
     &3.0044E+00,3.1618E+00,3.2369E+00,3.2226E+00,3.0700E+00,2.3815E+00,
     &1.7455E+00,2.4598E+00,2.8102E+00,3.0475E+00,3.2007E+00,3.2722E+00,
     &3.2554E+00,3.1073E+00,2.4291E+00,1.8100E+00,2.5311E+00,2.8759E+00,
     &3.1035E+00,3.2472E+00,3.3131E+00,3.2901E+00,3.1417E+00,2.4730E+00,
     &1.8736E+00,2.6085E+00,2.9527E+00,3.1711E+00,3.3027E+00,3.3589E+00,
     &3.3290E+00,3.1763E+00,2.5126E+00/
      DATA ((KA(JS,JT, 1,10),JS=1,9),JT=1,5) /
     &1.9065E+01,1.6899E+01,1.5643E+01,1.5578E+01,1.5043E+01,1.4288E+01,
     &1.3684E+01,1.4703E+01,1.6312E+01,1.8912E+01,1.6761E+01,1.5514E+01,
     &1.5480E+01,1.4973E+01,1.4273E+01,1.3717E+01,1.4749E+01,1.6352E+01,
     &1.8728E+01,1.6596E+01,1.5380E+01,1.5367E+01,1.4915E+01,1.4240E+01,
     &1.3761E+01,1.4772E+01,1.6373E+01,1.8544E+01,1.6434E+01,1.5250E+01,
     &1.5223E+01,1.4839E+01,1.4214E+01,1.3761E+01,1.4749E+01,1.6351E+01,
     &1.8333E+01,1.6256E+01,1.5122E+01,1.5098E+01,1.4749E+01,1.4176E+01,
     &1.3735E+01,1.4720E+01,1.6309E+01/
      DATA ((KA(JS,JT, 2,10),JS=1,9),JT=1,5) /
     &1.9359E+01,1.7148E+01,1.6419E+01,1.6424E+01,1.6006E+01,1.5375E+01,
     &1.4545E+01,1.5202E+01,1.6997E+01,1.9172E+01,1.6980E+01,1.6267E+01,
     &1.6317E+01,1.5911E+01,1.5334E+01,1.4618E+01,1.5283E+01,1.7084E+01,
     &1.8973E+01,1.6804E+01,1.6126E+01,1.6185E+01,1.5827E+01,1.5302E+01,
     &1.4664E+01,1.5280E+01,1.7092E+01,1.8751E+01,1.6617E+01,1.5988E+01,
     &1.6055E+01,1.5738E+01,1.5272E+01,1.4654E+01,1.5237E+01,1.7035E+01,
     &1.8520E+01,1.6417E+01,1.5855E+01,1.5950E+01,1.5639E+01,1.5219E+01,
     &1.4617E+01,1.5192E+01,1.6961E+01/
      DATA ((KA(JS,JT, 3,10),JS=1,9),JT=1,5) /
     &1.9263E+01,1.7075E+01,1.7060E+01,1.7120E+01,1.6883E+01,1.6381E+01,
     &1.5414E+01,1.5455E+01,1.7398E+01,1.9059E+01,1.6894E+01,1.6898E+01,
     &1.7000E+01,1.6773E+01,1.6323E+01,1.5500E+01,1.5491E+01,1.7437E+01,
     &1.8835E+01,1.6708E+01,1.6745E+01,1.6865E+01,1.6669E+01,1.6285E+01,
     &1.5530E+01,1.5496E+01,1.7423E+01,1.8600E+01,1.6513E+01,1.6588E+01,
     &1.6744E+01,1.6560E+01,1.6244E+01,1.5515E+01,1.5476E+01,1.7372E+01,
     &1.8358E+01,1.6312E+01,1.6416E+01,1.6627E+01,1.6462E+01,1.6172E+01,
     &1.5490E+01,1.5433E+01,1.7293E+01/
      DATA ((KA(JS,JT, 4,10),JS=1,9),JT=1,5) /
     &1.8801E+01,1.6888E+01,1.7351E+01,1.7638E+01,1.7654E+01,1.7241E+01,
     &1.6305E+01,1.5458E+01,1.7321E+01,1.8579E+01,1.6692E+01,1.7197E+01,
     &1.7496E+01,1.7520E+01,1.7188E+01,1.6384E+01,1.5486E+01,1.7346E+01,
     &1.8342E+01,1.6488E+01,1.7035E+01,1.7349E+01,1.7380E+01,1.7158E+01,
     &1.6385E+01,1.5526E+01,1.7367E+01,1.8091E+01,1.6279E+01,1.6863E+01,
     &1.7208E+01,1.7266E+01,1.7103E+01,1.6355E+01,1.5560E+01,1.7358E+01,
     &1.7836E+01,1.6059E+01,1.6677E+01,1.7068E+01,1.7166E+01,1.7011E+01,
     &1.6312E+01,1.5578E+01,1.7344E+01/
      DATA ((KA(JS,JT, 5,10),JS=1,9),JT=1,5) /
     &1.7961E+01,1.6659E+01,1.7334E+01,1.7976E+01,1.8171E+01,1.7832E+01,
     &1.6966E+01,1.5432E+01,1.6855E+01,1.7714E+01,1.6442E+01,1.7178E+01,
     &1.7800E+01,1.8030E+01,1.7804E+01,1.7004E+01,1.5487E+01,1.6904E+01,
     &1.7470E+01,1.6231E+01,1.7012E+01,1.7636E+01,1.7902E+01,1.7774E+01,
     &1.6959E+01,1.5590E+01,1.6987E+01,1.7221E+01,1.6002E+01,1.6835E+01,
     &1.7477E+01,1.7804E+01,1.7680E+01,1.6923E+01,1.5646E+01,1.7004E+01,
     &1.6955E+01,1.5778E+01,1.6648E+01,1.7325E+01,1.7709E+01,1.7576E+01,
     &1.6895E+01,1.5664E+01,1.7027E+01/
      DATA ((KA(JS,JT, 6,10),JS=1,9),JT=1,5) /
     &1.6796E+01,1.6241E+01,1.7123E+01,1.8098E+01,1.8345E+01,1.8145E+01,
     &1.7297E+01,1.5317E+01,1.6076E+01,1.6561E+01,1.6019E+01,1.6973E+01,
     &1.7901E+01,1.8253E+01,1.8123E+01,1.7284E+01,1.5411E+01,1.6194E+01,
     &1.6307E+01,1.5790E+01,1.6801E+01,1.7722E+01,1.8189E+01,1.8068E+01,
     &1.7217E+01,1.5556E+01,1.6309E+01,1.6045E+01,1.5571E+01,1.6615E+01,
     &1.7565E+01,1.8113E+01,1.7968E+01,1.7201E+01,1.5625E+01,1.6374E+01,
     &1.5792E+01,1.5350E+01,1.6424E+01,1.7437E+01,1.7997E+01,1.7869E+01,
     &1.7203E+01,1.5664E+01,1.6420E+01/
      DATA ((KA(JS,JT, 7,10),JS=1,9),JT=1,5) /
     &1.5441E+01,1.5555E+01,1.6836E+01,1.7857E+01,1.8265E+01,1.8114E+01,
     &1.7249E+01,1.5143E+01,1.5078E+01,1.5190E+01,1.5341E+01,1.6649E+01,
     &1.7679E+01,1.8211E+01,1.8098E+01,1.7215E+01,1.5278E+01,1.5251E+01,
     &1.4946E+01,1.5122E+01,1.6458E+01,1.7534E+01,1.8165E+01,1.8029E+01,
     &1.7165E+01,1.5443E+01,1.5389E+01,1.4700E+01,1.4908E+01,1.6252E+01,
     &1.7424E+01,1.8072E+01,1.7929E+01,1.7187E+01,1.5518E+01,1.5458E+01,
     &1.4445E+01,1.4710E+01,1.6048E+01,1.7304E+01,1.7932E+01,1.7873E+01,
     &1.7206E+01,1.5573E+01,1.5541E+01/
      DATA ((KA(JS,JT, 8,10),JS=1,9),JT=1,5) /
     &1.3963E+01,1.4641E+01,1.6339E+01,1.7287E+01,1.7853E+01,1.7712E+01,
     &1.6836E+01,1.4867E+01,1.3958E+01,1.3720E+01,1.4441E+01,1.6121E+01,
     &1.7175E+01,1.7806E+01,1.7701E+01,1.6817E+01,1.5013E+01,1.4139E+01,
     &1.3475E+01,1.4253E+01,1.5918E+01,1.7071E+01,1.7741E+01,1.7634E+01,
     &1.6820E+01,1.5155E+01,1.4269E+01,1.3235E+01,1.4056E+01,1.5727E+01,
     &1.6983E+01,1.7630E+01,1.7564E+01,1.6869E+01,1.5238E+01,1.4383E+01,
     &1.3009E+01,1.3855E+01,1.5556E+01,1.6857E+01,1.7508E+01,1.7529E+01,
     &1.6912E+01,1.5302E+01,1.4496E+01/
      DATA ((KA(JS,JT, 9,10),JS=1,9),JT=1,5) /
     &1.2422E+01,1.3743E+01,1.5496E+01,1.6530E+01,1.7068E+01,1.6944E+01,
     &1.6119E+01,1.4360E+01,1.2852E+01,1.2195E+01,1.3543E+01,1.5328E+01,
     &1.6447E+01,1.7000E+01,1.6934E+01,1.6148E+01,1.4484E+01,1.3012E+01,
     &1.1972E+01,1.3354E+01,1.5163E+01,1.6359E+01,1.6940E+01,1.6900E+01,
     &1.6191E+01,1.4599E+01,1.3152E+01,1.1752E+01,1.3166E+01,1.5011E+01,
     &1.6249E+01,1.6842E+01,1.6880E+01,1.6254E+01,1.4688E+01,1.3295E+01,
     &1.1542E+01,1.2972E+01,1.4878E+01,1.6107E+01,1.6750E+01,1.6884E+01,
     &1.6301E+01,1.4790E+01,1.3417E+01/
      DATA ((KA(JS,JT,10,10),JS=1,9),JT=1,5) /
     &1.0883E+01,1.2799E+01,1.4471E+01,1.5523E+01,1.5963E+01,1.5867E+01,
     &1.5188E+01,1.3687E+01,1.1830E+01,1.0669E+01,1.2615E+01,1.4351E+01,
     &1.5423E+01,1.5920E+01,1.5883E+01,1.5251E+01,1.3796E+01,1.1997E+01,
     &1.0461E+01,1.2417E+01,1.4235E+01,1.5340E+01,1.5857E+01,1.5885E+01,
     &1.5315E+01,1.3895E+01,1.2154E+01,1.0271E+01,1.2218E+01,1.4109E+01,
     &1.5234E+01,1.5808E+01,1.5905E+01,1.5383E+01,1.4000E+01,1.2311E+01,
     &1.0108E+01,1.2035E+01,1.3977E+01,1.5117E+01,1.5764E+01,1.5927E+01,
     &1.5450E+01,1.4121E+01,1.2430E+01/
      DATA ((KA(JS,JT,11,10),JS=1,9),JT=1,5) /
     &9.3334E+00,1.1625E+01,1.3302E+01,1.4226E+01,1.4663E+01,1.4671E+01,
     &1.4179E+01,1.2958E+01,1.0939E+01,9.1435E+00,1.1452E+01,1.3192E+01,
     &1.4163E+01,1.4640E+01,1.4697E+01,1.4256E+01,1.3072E+01,1.1104E+01,
     &8.9744E+00,1.1286E+01,1.3068E+01,1.4085E+01,1.4619E+01,1.4728E+01,
     &1.4326E+01,1.3192E+01,1.1276E+01,8.8386E+00,1.1134E+01,1.2957E+01,
     &1.4008E+01,1.4602E+01,1.4761E+01,1.4404E+01,1.3322E+01,1.1423E+01,
     &8.8280E+00,1.1011E+01,1.2844E+01,1.3942E+01,1.4584E+01,1.4790E+01,
     &1.4494E+01,1.3437E+01,1.1537E+01/
      DATA ((KA(JS,JT,12,10),JS=1,9),JT=1,5) /
     &7.9516E+00,1.0418E+01,1.1985E+01,1.2856E+01,1.3326E+01,1.3448E+01,
     &1.3142E+01,1.2163E+01,9.7408E+00,7.8004E+00,1.0286E+01,1.1886E+01,
     &1.2812E+01,1.3327E+01,1.3488E+01,1.3229E+01,1.2301E+01,9.9474E+00,
     &7.6847E+00,1.0169E+01,1.1799E+01,1.2768E+01,1.3325E+01,1.3529E+01,
     &1.3323E+01,1.2442E+01,1.0130E+01,7.6979E+00,1.0072E+01,1.1716E+01,
     &1.2735E+01,1.3318E+01,1.3569E+01,1.3422E+01,1.2581E+01,1.0272E+01,
     &7.8582E+00,1.0030E+01,1.1643E+01,1.2707E+01,1.3325E+01,1.3613E+01,
     &1.3505E+01,1.2682E+01,1.0410E+01/
      DATA ((KA(JS,JT,13,10),JS=1,9),JT=1,5) /
     &6.8077E+00,9.2695E+00,1.0647E+01,1.1513E+01,1.2044E+01,1.2269E+01,
     &1.2092E+01,1.1295E+01,8.5103E+00,6.7020E+00,9.1675E+00,1.0585E+01,
     &1.1489E+01,1.2056E+01,1.2329E+01,1.2198E+01,1.1449E+01,8.7111E+00,
     &6.7136E+00,9.0765E+00,1.0537E+01,1.1473E+01,1.2065E+01,1.2379E+01,
     &1.2312E+01,1.1602E+01,8.8718E+00,6.8715E+00,9.0508E+00,1.0490E+01,
     &1.1454E+01,1.2087E+01,1.2433E+01,1.2413E+01,1.1728E+01,9.0172E+00,
     &7.1183E+00,9.1466E+00,1.0479E+01,1.1436E+01,1.2120E+01,1.2489E+01,
     &1.2478E+01,1.1826E+01,9.1846E+00/
      DATA ((KA(JS,JT, 1,11),JS=1,9),JT=1,5) /
     &2.5290E+01,2.2378E+01,1.9682E+01,1.9092E+01,1.8401E+01,1.7330E+01,
     &1.7194E+01,1.9513E+01,2.1546E+01,2.5153E+01,2.2251E+01,1.9574E+01,
     &1.9002E+01,1.8309E+01,1.7346E+01,1.7168E+01,1.9469E+01,2.1516E+01,
     &2.4990E+01,2.2108E+01,1.9457E+01,1.8891E+01,1.8197E+01,1.7344E+01,
     &1.7153E+01,1.9435E+01,2.1516E+01,2.4785E+01,2.1926E+01,1.9312E+01,
     &1.8774E+01,1.8111E+01,1.7300E+01,1.7168E+01,1.9426E+01,2.1524E+01,
     &2.4562E+01,2.1729E+01,1.9145E+01,1.8657E+01,1.8043E+01,1.7239E+01,
     &1.7190E+01,1.9400E+01,2.1517E+01/
      DATA ((KA(JS,JT, 2,11),JS=1,9),JT=1,5) /
     &2.6738E+01,2.3635E+01,2.1164E+01,2.0882E+01,2.0133E+01,1.8952E+01,
     &1.8391E+01,2.0397E+01,2.2752E+01,2.6579E+01,2.3493E+01,2.1026E+01,
     &2.0770E+01,2.0046E+01,1.8924E+01,1.8351E+01,2.0302E+01,2.2673E+01,
     &2.6369E+01,2.3304E+01,2.0847E+01,2.0634E+01,1.9955E+01,1.8867E+01,
     &1.8355E+01,2.0274E+01,2.2643E+01,2.6147E+01,2.3108E+01,2.0663E+01,
     &2.0491E+01,1.9870E+01,1.8790E+01,1.8365E+01,2.0271E+01,2.2638E+01,
     &2.5876E+01,2.2867E+01,2.0457E+01,2.0308E+01,1.9788E+01,1.8723E+01,
     &1.8359E+01,2.0242E+01,2.2612E+01/
      DATA ((KA(JS,JT, 3,11),JS=1,9),JT=1,5) /
     &2.7801E+01,2.4558E+01,2.2625E+01,2.2456E+01,2.1766E+01,2.0723E+01,
     &1.9785E+01,2.1193E+01,2.3811E+01,2.7586E+01,2.4366E+01,2.2444E+01,
     &2.2341E+01,2.1670E+01,2.0651E+01,1.9732E+01,2.1163E+01,2.3778E+01,
     &2.7362E+01,2.4166E+01,2.2236E+01,2.2200E+01,2.1575E+01,2.0557E+01,
     &1.9718E+01,2.1155E+01,2.3783E+01,2.7084E+01,2.3919E+01,2.2013E+01,
     &2.2018E+01,2.1471E+01,2.0457E+01,1.9708E+01,2.1136E+01,2.3769E+01,
     &2.6795E+01,2.3666E+01,2.1794E+01,2.1827E+01,2.1355E+01,2.0374E+01,
     &1.9655E+01,2.1092E+01,2.3724E+01/
      DATA ((KA(JS,JT, 4,11),JS=1,9),JT=1,5) /
     &2.8327E+01,2.5026E+01,2.3910E+01,2.3720E+01,2.3265E+01,2.2396E+01,
     &2.1086E+01,2.1859E+01,2.4649E+01,2.8095E+01,2.4816E+01,2.3683E+01,
     &2.3594E+01,2.3156E+01,2.2304E+01,2.1023E+01,2.1873E+01,2.4674E+01,
     &2.7817E+01,2.4569E+01,2.3454E+01,2.3446E+01,2.3031E+01,2.2182E+01,
     &2.1022E+01,2.1878E+01,2.4680E+01,2.7525E+01,2.4310E+01,2.3220E+01,
     &2.3268E+01,2.2908E+01,2.2090E+01,2.1022E+01,2.1824E+01,2.4620E+01,
     &2.7191E+01,2.4023E+01,2.2996E+01,2.3072E+01,2.2769E+01,2.2022E+01,
     &2.0982E+01,2.1737E+01,2.4514E+01/
      DATA ((KA(JS,JT, 5,11),JS=1,9),JT=1,5) /
     &2.8259E+01,2.5014E+01,2.4907E+01,2.4706E+01,2.4642E+01,2.3918E+01,
     &2.2330E+01,2.2219E+01,2.5091E+01,2.7993E+01,2.4771E+01,2.4666E+01,
     &2.4596E+01,2.4487E+01,2.3818E+01,2.2348E+01,2.2269E+01,2.5149E+01,
     &2.7691E+01,2.4499E+01,2.4421E+01,2.4432E+01,2.4340E+01,2.3705E+01,
     &2.2420E+01,2.2242E+01,2.5109E+01,2.7357E+01,2.4214E+01,2.4178E+01,
     &2.4253E+01,2.4191E+01,2.3642E+01,2.2422E+01,2.2174E+01,2.5030E+01,
     &2.7008E+01,2.3916E+01,2.3935E+01,2.4063E+01,2.4020E+01,2.3572E+01,
     &2.2355E+01,2.2132E+01,2.4957E+01/
      DATA ((KA(JS,JT, 6,11),JS=1,9),JT=1,5) /
     &2.7627E+01,2.4841E+01,2.5414E+01,2.5513E+01,2.5788E+01,2.5161E+01,
     &2.3567E+01,2.2384E+01,2.5091E+01,2.7317E+01,2.4550E+01,2.5165E+01,
     &2.5384E+01,2.5578E+01,2.5083E+01,2.3662E+01,2.2423E+01,2.5102E+01,
     &2.6994E+01,2.4259E+01,2.4926E+01,2.5206E+01,2.5391E+01,2.5015E+01,
     &2.3758E+01,2.2363E+01,2.5025E+01,2.6640E+01,2.3945E+01,2.4692E+01,
     &2.5002E+01,2.5193E+01,2.4973E+01,2.3733E+01,2.2328E+01,2.4965E+01,
     &2.6265E+01,2.3625E+01,2.4446E+01,2.4785E+01,2.5037E+01,2.4906E+01,
     &2.3659E+01,2.2352E+01,2.4965E+01/
      DATA ((KA(JS,JT, 7,11),JS=1,9),JT=1,5) /
     &2.6430E+01,2.4581E+01,2.5439E+01,2.6140E+01,2.6524E+01,2.5974E+01,
     &2.4552E+01,2.2441E+01,2.4498E+01,2.6105E+01,2.4263E+01,2.5225E+01,
     &2.5974E+01,2.6315E+01,2.5946E+01,2.4677E+01,2.2471E+01,2.4490E+01,
     &2.5752E+01,2.3938E+01,2.4996E+01,2.5749E+01,2.6113E+01,2.5925E+01,
     &2.4758E+01,2.2442E+01,2.4454E+01,2.5389E+01,2.3609E+01,2.4761E+01,
     &2.5499E+01,2.5940E+01,2.5913E+01,2.4720E+01,2.2473E+01,2.4475E+01,
     &2.5010E+01,2.3260E+01,2.4510E+01,2.5262E+01,2.5804E+01,2.5811E+01,
     &2.4640E+01,2.2547E+01,2.4534E+01/
      DATA ((KA(JS,JT, 8,11),JS=1,9),JT=1,5) /
     &2.4762E+01,2.3997E+01,2.5209E+01,2.6467E+01,2.6748E+01,2.6365E+01,
     &2.5094E+01,2.2357E+01,2.3406E+01,2.4421E+01,2.3672E+01,2.4981E+01,
     &2.6217E+01,2.6595E+01,2.6375E+01,2.5195E+01,2.2435E+01,2.3453E+01,
     &2.4067E+01,2.3336E+01,2.4754E+01,2.5956E+01,2.6455E+01,2.6361E+01,
     &2.5241E+01,2.2458E+01,2.3475E+01,2.3691E+01,2.2996E+01,2.4502E+01,
     &2.5698E+01,2.6330E+01,2.6343E+01,2.5197E+01,2.2533E+01,2.3575E+01,
     &2.3311E+01,2.2660E+01,2.4234E+01,2.5450E+01,2.6215E+01,2.6209E+01,
     &2.5123E+01,2.2642E+01,2.3709E+01/
      DATA ((KA(JS,JT, 9,11),JS=1,9),JT=1,5) /
     &2.2800E+01,2.3011E+01,2.4799E+01,2.6181E+01,2.6533E+01,2.6301E+01,
     &2.5044E+01,2.2077E+01,2.1907E+01,2.2436E+01,2.2697E+01,2.4546E+01,
     &2.5945E+01,2.6460E+01,2.6314E+01,2.5122E+01,2.2204E+01,2.2029E+01,
     &2.2079E+01,2.2367E+01,2.4295E+01,2.5706E+01,2.6370E+01,2.6288E+01,
     &2.5162E+01,2.2314E+01,2.2151E+01,2.1719E+01,2.2029E+01,2.4017E+01,
     &2.5487E+01,2.6273E+01,2.6217E+01,2.5110E+01,2.2435E+01,2.2334E+01,
     &2.1341E+01,2.1707E+01,2.3702E+01,2.5282E+01,2.6159E+01,2.6086E+01,
     &2.5065E+01,2.2578E+01,2.2506E+01/
      DATA ((KA(JS,JT,10,11),JS=1,9),JT=1,5) /
     &2.0601E+01,2.1678E+01,2.4058E+01,2.5352E+01,2.5931E+01,2.5718E+01,
     &2.4432E+01,2.1607E+01,2.0262E+01,2.0254E+01,2.1345E+01,2.3796E+01,
     &2.5183E+01,2.5875E+01,2.5691E+01,2.4508E+01,2.1774E+01,2.0445E+01,
     &1.9899E+01,2.1048E+01,2.3494E+01,2.5000E+01,2.5800E+01,2.5662E+01,
     &2.4533E+01,2.1922E+01,2.0638E+01,1.9544E+01,2.0766E+01,2.3207E+01,
     &2.4826E+01,2.5686E+01,2.5593E+01,2.4527E+01,2.2085E+01,2.0832E+01,
     &1.9193E+01,2.0470E+01,2.2936E+01,2.4673E+01,2.5544E+01,2.5480E+01,
     &2.4537E+01,2.2218E+01,2.1044E+01/
      DATA ((KA(JS,JT,11,11),JS=1,9),JT=1,5) /
     &1.8170E+01,2.0155E+01,2.2721E+01,2.4145E+01,2.4798E+01,2.4559E+01,
     &2.3403E+01,2.0895E+01,1.8740E+01,1.7830E+01,1.9860E+01,2.2479E+01,
     &2.4018E+01,2.4721E+01,2.4556E+01,2.3466E+01,2.1069E+01,1.8949E+01,
     &1.7496E+01,1.9576E+01,2.2242E+01,2.3886E+01,2.4621E+01,2.4529E+01,
     &2.3525E+01,2.1231E+01,1.9147E+01,1.7168E+01,1.9292E+01,2.2005E+01,
     &2.3734E+01,2.4514E+01,2.4476E+01,2.3580E+01,2.1376E+01,1.9368E+01,
     &1.6844E+01,1.9013E+01,2.1771E+01,2.3570E+01,2.4390E+01,2.4440E+01,
     &2.3651E+01,2.1517E+01,1.9612E+01/
      DATA ((KA(JS,JT,12,11),JS=1,9),JT=1,5) /
     &1.5762E+01,1.8615E+01,2.1133E+01,2.2639E+01,2.3214E+01,2.3022E+01,
     &2.2060E+01,1.9958E+01,1.7314E+01,1.5455E+01,1.8341E+01,2.0944E+01,
     &2.2510E+01,2.3148E+01,2.3042E+01,2.2164E+01,2.0127E+01,1.7543E+01,
     &1.5156E+01,1.8068E+01,2.0768E+01,2.2374E+01,2.3084E+01,2.3060E+01,
     &2.2257E+01,2.0275E+01,1.7770E+01,1.4865E+01,1.7794E+01,2.0582E+01,
     &2.2237E+01,2.3018E+01,2.3079E+01,2.2350E+01,2.0427E+01,1.8026E+01,
     &1.4612E+01,1.7534E+01,2.0399E+01,2.2086E+01,2.2956E+01,2.3112E+01,
     &2.2443E+01,2.0607E+01,1.8280E+01/
      DATA ((KA(JS,JT,13,11),JS=1,9),JT=1,5) /
     &1.3517E+01,1.6914E+01,1.9425E+01,2.0790E+01,2.1367E+01,2.1315E+01,
     &2.0607E+01,1.8871E+01,1.5967E+01,1.3249E+01,1.6688E+01,1.9279E+01,
     &2.0693E+01,2.1344E+01,2.1372E+01,2.0725E+01,1.9043E+01,1.6217E+01,
     &1.2994E+01,1.6467E+01,1.9108E+01,2.0602E+01,2.1343E+01,2.1436E+01,
     &2.0839E+01,1.9212E+01,1.6494E+01,1.2784E+01,1.6250E+01,1.8951E+01,
     &2.0506E+01,2.1335E+01,2.1503E+01,2.0961E+01,1.9415E+01,1.6770E+01,
     &1.2734E+01,1.6049E+01,1.8819E+01,2.0438E+01,2.1329E+01,2.1573E+01,
     &2.1104E+01,1.9623E+01,1.6983E+01/
      DATA ((KA(JS,JT, 1,12),JS=1,9),JT=1,5) /
     &3.2549E+01,2.8774E+01,2.5031E+01,2.2926E+01,2.2117E+01,2.1695E+01,
     &2.3417E+01,2.6761E+01,2.9694E+01,3.2499E+01,2.8739E+01,2.5006E+01,
     &2.2835E+01,2.2088E+01,2.1560E+01,2.3253E+01,2.6542E+01,2.9377E+01,
     &3.2407E+01,2.8660E+01,2.4923E+01,2.2714E+01,2.2014E+01,2.1461E+01,
     &2.3148E+01,2.6398E+01,2.9117E+01,3.2260E+01,2.8512E+01,2.4788E+01,
     &2.2590E+01,2.1881E+01,2.1430E+01,2.3071E+01,2.6295E+01,2.8961E+01,
     &3.2039E+01,2.8307E+01,2.4614E+01,2.2444E+01,2.1715E+01,2.1428E+01,
     &2.2979E+01,2.6201E+01,2.8821E+01/
      DATA ((KA(JS,JT, 2,12),JS=1,9),JT=1,5) /
     &3.5951E+01,3.1737E+01,2.7558E+01,2.5749E+01,2.4746E+01,2.3905E+01,
     &2.4887E+01,2.8459E+01,3.1791E+01,3.5862E+01,3.1672E+01,2.7501E+01,
     &2.5642E+01,2.4725E+01,2.3810E+01,2.4734E+01,2.8277E+01,3.1526E+01,
     &3.5737E+01,3.1562E+01,2.7401E+01,2.5522E+01,2.4641E+01,2.3751E+01,
     &2.4591E+01,2.8127E+01,3.1321E+01,3.5534E+01,3.1380E+01,2.7248E+01,
     &2.5379E+01,2.4498E+01,2.3724E+01,2.4485E+01,2.8006E+01,3.1168E+01,
     &3.5285E+01,3.1161E+01,2.7065E+01,2.5222E+01,2.4328E+01,2.3689E+01,
     &2.4406E+01,2.7908E+01,3.1060E+01/
      DATA ((KA(JS,JT, 3,12),JS=1,9),JT=1,5) /
     &3.9089E+01,3.4457E+01,3.0041E+01,2.8724E+01,2.7574E+01,2.6213E+01,
     &2.6498E+01,3.0215E+01,3.3960E+01,3.8998E+01,3.4382E+01,2.9952E+01,
     &2.8581E+01,2.7562E+01,2.6150E+01,2.6309E+01,2.9980E+01,3.3662E+01,
     &3.8820E+01,3.4217E+01,2.9804E+01,2.8424E+01,2.7473E+01,2.6126E+01,
     &2.6176E+01,2.9817E+01,3.3458E+01,3.8594E+01,3.4019E+01,2.9631E+01,
     &2.8264E+01,2.7343E+01,2.6103E+01,2.6063E+01,2.9657E+01,3.3303E+01,
     &3.8290E+01,3.3755E+01,2.9411E+01,2.8094E+01,2.7189E+01,2.6048E+01,
     &2.5993E+01,2.9534E+01,3.3212E+01/
      DATA ((KA(JS,JT, 4,12),JS=1,9),JT=1,5) /
     &4.1846E+01,3.6848E+01,3.2642E+01,3.1752E+01,3.0348E+01,2.8783E+01,
     &2.8429E+01,3.1940E+01,3.6003E+01,4.1706E+01,3.6722E+01,3.2481E+01,
     &3.1589E+01,3.0346E+01,2.8731E+01,2.8275E+01,3.1704E+01,3.5716E+01,
     &4.1502E+01,3.6539E+01,3.2269E+01,3.1417E+01,3.0279E+01,2.8696E+01,
     &2.8151E+01,3.1470E+01,3.5494E+01,4.1217E+01,3.6286E+01,3.2033E+01,
     &3.1226E+01,3.0155E+01,2.8647E+01,2.8039E+01,3.1307E+01,3.5368E+01,
     &4.0876E+01,3.5985E+01,3.1743E+01,3.1019E+01,3.0013E+01,2.8553E+01,
     &2.7986E+01,3.1205E+01,3.5294E+01/
      DATA ((KA(JS,JT, 5,12),JS=1,9),JT=1,5) /
     &4.3995E+01,3.8706E+01,3.5200E+01,3.4595E+01,3.3005E+01,3.1594E+01,
     &3.0727E+01,3.3547E+01,3.7840E+01,4.3792E+01,3.8521E+01,3.4965E+01,
     &3.4413E+01,3.3017E+01,3.1523E+01,3.0579E+01,3.3292E+01,3.7593E+01,
     &4.3530E+01,3.8288E+01,3.4710E+01,3.4215E+01,3.2953E+01,3.1452E+01,
     &3.0422E+01,3.3082E+01,3.7437E+01,4.3192E+01,3.7991E+01,3.4400E+01,
     &3.3987E+01,3.2832E+01,3.1362E+01,3.0341E+01,3.2970E+01,3.7357E+01,
     &4.2817E+01,3.7661E+01,3.4079E+01,3.3725E+01,3.2688E+01,3.1220E+01,
     &3.0292E+01,3.2861E+01,3.7270E+01/
      DATA ((KA(JS,JT, 6,12),JS=1,9),JT=1,5) /
     &4.5371E+01,3.9886E+01,3.7563E+01,3.6985E+01,3.5582E+01,3.4395E+01,
     &3.2997E+01,3.4724E+01,3.9202E+01,4.5116E+01,3.9656E+01,3.7269E+01,
     &3.6794E+01,3.5596E+01,3.4289E+01,3.2827E+01,3.4552E+01,3.9098E+01,
     &4.4794E+01,3.9373E+01,3.6959E+01,3.6575E+01,3.5485E+01,3.4189E+01,
     &3.2665E+01,3.4424E+01,3.9024E+01,4.4425E+01,3.9049E+01,3.6596E+01,
     &3.6352E+01,3.5337E+01,3.4032E+01,3.2591E+01,3.4348E+01,3.8980E+01,
     &4.3987E+01,3.8666E+01,3.6218E+01,3.6087E+01,3.5122E+01,3.3853E+01,
     &3.2536E+01,3.4232E+01,3.8883E+01/
      DATA ((KA(JS,JT, 7,12),JS=1,9),JT=1,5) /
     &4.5829E+01,4.0296E+01,3.9507E+01,3.8911E+01,3.8052E+01,3.7051E+01,
     &3.4926E+01,3.5286E+01,3.9874E+01,4.5523E+01,4.0015E+01,3.9164E+01,
     &3.8712E+01,3.7995E+01,3.6879E+01,3.4780E+01,3.5237E+01,3.9916E+01,
     &4.5143E+01,3.9672E+01,3.8788E+01,3.8484E+01,3.7843E+01,3.6693E+01,
     &3.4674E+01,3.5202E+01,3.9935E+01,4.4711E+01,3.9294E+01,3.8380E+01,
     &3.8261E+01,3.7608E+01,3.6475E+01,3.4639E+01,3.5181E+01,3.9952E+01,
     &4.4229E+01,3.8875E+01,3.7956E+01,3.7973E+01,3.7347E+01,3.6293E+01,
     &3.4620E+01,3.5062E+01,3.9846E+01/
      DATA ((KA(JS,JT, 8,12),JS=1,9),JT=1,5) /
     &4.5335E+01,4.0267E+01,4.0744E+01,4.0443E+01,4.0247E+01,3.9223E+01,
     &3.6584E+01,3.5367E+01,3.9844E+01,4.4955E+01,3.9893E+01,4.0398E+01,
     &4.0216E+01,4.0115E+01,3.9023E+01,3.6582E+01,3.5440E+01,4.0008E+01,
     &4.4529E+01,3.9492E+01,3.9985E+01,3.9979E+01,3.9873E+01,3.8831E+01,
     &3.6587E+01,3.5498E+01,4.0121E+01,4.4061E+01,3.9061E+01,3.9564E+01,
     &3.9715E+01,3.9565E+01,3.8623E+01,3.6619E+01,3.5513E+01,4.0138E+01,
     &4.3543E+01,3.8605E+01,3.9136E+01,3.9437E+01,3.9265E+01,3.8474E+01,
     &3.6637E+01,3.5396E+01,4.0011E+01/
      DATA ((KA(JS,JT, 9,12),JS=1,9),JT=1,5) /
     &4.3909E+01,3.9954E+01,4.1167E+01,4.1626E+01,4.1945E+01,4.0736E+01,
     &3.8077E+01,3.5393E+01,3.9221E+01,4.3480E+01,3.9498E+01,4.0786E+01,
     &4.1338E+01,4.1733E+01,4.0609E+01,3.8181E+01,3.5523E+01,3.9397E+01,
     &4.3002E+01,3.9038E+01,4.0373E+01,4.1094E+01,4.1410E+01,4.0471E+01,
     &3.8255E+01,3.5563E+01,3.9462E+01,4.2479E+01,3.8560E+01,3.9995E+01,
     &4.0806E+01,4.1101E+01,4.0341E+01,3.8344E+01,3.5573E+01,3.9457E+01,
     &4.1942E+01,3.8060E+01,3.9621E+01,4.0473E+01,4.0785E+01,4.0226E+01,
     &3.8369E+01,3.5494E+01,3.9400E+01/
      DATA ((KA(JS,JT,10,12),JS=1,9),JT=1,5) /
     &4.1598E+01,3.9277E+01,4.0964E+01,4.2358E+01,4.2727E+01,4.1605E+01,
     &3.9147E+01,3.5243E+01,3.7755E+01,4.1110E+01,3.8804E+01,4.0573E+01,
     &4.2061E+01,4.2547E+01,4.1580E+01,3.9298E+01,3.5367E+01,3.7893E+01,
     &4.0607E+01,3.8301E+01,4.0218E+01,4.1774E+01,4.2273E+01,4.1520E+01,
     &3.9406E+01,3.5478E+01,3.8009E+01,4.0087E+01,3.7793E+01,3.9835E+01,
     &4.1418E+01,4.2009E+01,4.1467E+01,3.9471E+01,3.5532E+01,3.8110E+01,
     &3.9528E+01,3.7276E+01,3.9445E+01,4.1009E+01,4.1755E+01,4.1409E+01,
     &3.9460E+01,3.5536E+01,3.8153E+01/
      DATA ((KA(JS,JT,11,12),JS=1,9),JT=1,5) /
     &3.8423E+01,3.7785E+01,4.0246E+01,4.2229E+01,4.2700E+01,4.1861E+01,
     &3.9594E+01,3.4991E+01,3.5642E+01,3.7903E+01,3.7296E+01,3.9841E+01,
     &4.1927E+01,4.2539E+01,4.1882E+01,3.9751E+01,3.5170E+01,3.5883E+01,
     &3.7383E+01,3.6809E+01,3.9442E+01,4.1575E+01,4.2342E+01,4.1911E+01,
     &3.9809E+01,3.5335E+01,3.6101E+01,3.6841E+01,3.6301E+01,3.9055E+01,
     &4.1199E+01,4.2145E+01,4.1876E+01,3.9854E+01,3.5442E+01,3.6276E+01,
     &3.6274E+01,3.5783E+01,3.8676E+01,4.0833E+01,4.1945E+01,4.1808E+01,
     &3.9839E+01,3.5539E+01,3.6455E+01/
      DATA ((KA(JS,JT,12,12),JS=1,9),JT=1,5) /
     &3.4828E+01,3.5770E+01,3.9099E+01,4.1221E+01,4.1958E+01,4.1456E+01,
     &3.9253E+01,3.4461E+01,3.3246E+01,3.4304E+01,3.5295E+01,3.8700E+01,
     &4.0987E+01,4.1846E+01,4.1525E+01,3.9359E+01,3.4698E+01,3.3560E+01,
     &3.3784E+01,3.4798E+01,3.8311E+01,4.0707E+01,4.1743E+01,4.1505E+01,
     &3.9465E+01,3.4925E+01,3.3882E+01,3.3241E+01,3.4324E+01,3.7917E+01,
     &4.0393E+01,4.1632E+01,4.1461E+01,3.9554E+01,3.5117E+01,3.4172E+01,
     &3.2710E+01,3.3867E+01,3.7489E+01,4.0112E+01,4.1490E+01,4.1392E+01,
     &3.9590E+01,3.5312E+01,3.4501E+01/
      DATA ((KA(JS,JT,13,12),JS=1,9),JT=1,5) /
     &3.0997E+01,3.3431E+01,3.7385E+01,3.9653E+01,4.0610E+01,4.0222E+01,
     &3.8101E+01,3.3638E+01,3.0845E+01,3.0492E+01,3.2952E+01,3.7042E+01,
     &3.9451E+01,4.0583E+01,4.0257E+01,3.8272E+01,3.3940E+01,3.1245E+01,
     &2.9985E+01,3.2520E+01,3.6699E+01,3.9235E+01,4.0521E+01,4.0274E+01,
     &3.8447E+01,3.4242E+01,3.1622E+01,2.9485E+01,3.2102E+01,3.6327E+01,
     &3.9047E+01,4.0416E+01,4.0299E+01,3.8596E+01,3.4522E+01,3.2000E+01,
     &2.9016E+01,3.1685E+01,3.5962E+01,3.8852E+01,4.0311E+01,4.0331E+01,
     &3.8749E+01,3.4802E+01,3.2433E+01/
      DATA ((KA(JS,JT, 1,13),JS=1,9),JT=1,5) /
     &4.0414E+01,3.5530E+01,3.0727E+01,2.6813E+01,2.6498E+01,2.7724E+01,
     &3.2451E+01,3.7296E+01,4.0920E+01,4.0378E+01,3.5506E+01,3.0718E+01,
     &2.6787E+01,2.6360E+01,2.7557E+01,3.2109E+01,3.6904E+01,4.0512E+01,
     &4.0288E+01,3.5435E+01,3.0689E+01,2.6758E+01,2.6294E+01,2.7365E+01,
     &3.1721E+01,3.6448E+01,4.0077E+01,4.0152E+01,3.5337E+01,3.0607E+01,
     &2.6666E+01,2.6235E+01,2.7137E+01,3.1350E+01,3.6026E+01,3.9605E+01,
     &3.9996E+01,3.5209E+01,3.0500E+01,2.6544E+01,2.6176E+01,2.6906E+01,
     &3.1054E+01,3.5676E+01,3.9227E+01/
      DATA ((KA(JS,JT, 2,13),JS=1,9),JT=1,5) /
     &4.6201E+01,4.0631E+01,3.5149E+01,3.1004E+01,3.0338E+01,3.0975E+01,
     &3.5648E+01,4.1032E+01,4.5728E+01,4.6189E+01,4.0616E+01,3.5151E+01,
     &3.0920E+01,3.0181E+01,3.0854E+01,3.5321E+01,4.0601E+01,4.5258E+01,
     &4.6107E+01,4.0548E+01,3.5109E+01,3.0814E+01,3.0060E+01,3.0665E+01,
     &3.4964E+01,4.0159E+01,4.4756E+01,4.5964E+01,4.0421E+01,3.5002E+01,
     &3.0664E+01,2.9967E+01,3.0436E+01,3.4636E+01,3.9757E+01,4.4299E+01,
     &4.5779E+01,4.0257E+01,3.4861E+01,3.0500E+01,2.9866E+01,3.0215E+01,
     &3.4343E+01,3.9421E+01,4.3898E+01/
      DATA ((KA(JS,JT, 3,13),JS=1,9),JT=1,5) /
     &5.2493E+01,4.6184E+01,3.9933E+01,3.5707E+01,3.4547E+01,3.4524E+01,
     &3.8680E+01,4.4581E+01,5.0362E+01,5.2499E+01,4.6190E+01,3.9958E+01,
     &3.5613E+01,3.4342E+01,3.4438E+01,3.8422E+01,4.4213E+01,4.9916E+01,
     &5.2430E+01,4.6141E+01,3.9924E+01,3.5477E+01,3.4202E+01,3.4294E+01,
     &3.8128E+01,4.3804E+01,4.9438E+01,5.2296E+01,4.6021E+01,3.9821E+01,
     &3.5288E+01,3.4063E+01,3.4077E+01,3.7857E+01,4.3466E+01,4.9020E+01,
     &5.2087E+01,4.5828E+01,3.9654E+01,3.5060E+01,3.3889E+01,3.3876E+01,
     &3.7613E+01,4.3182E+01,4.8640E+01/
      DATA ((KA(JS,JT, 4,13),JS=1,9),JT=1,5) /
     &5.8998E+01,5.1894E+01,4.4809E+01,4.0767E+01,3.9196E+01,3.8349E+01,
     &4.1490E+01,4.7820E+01,5.4353E+01,5.8998E+01,5.1911E+01,4.4850E+01,
     &4.0692E+01,3.8973E+01,3.8281E+01,4.1275E+01,4.7479E+01,5.3941E+01,
     &5.8946E+01,5.1872E+01,4.4826E+01,4.0545E+01,3.8818E+01,3.8152E+01,
     &4.1007E+01,4.7151E+01,5.3507E+01,5.8797E+01,5.1741E+01,4.4719E+01,
     &4.0328E+01,3.8647E+01,3.7950E+01,4.0768E+01,4.6871E+01,5.3108E+01,
     &5.8578E+01,5.1549E+01,4.4555E+01,4.0074E+01,3.8419E+01,3.7769E+01,
     &4.0542E+01,4.6625E+01,5.2790E+01/
      DATA ((KA(JS,JT, 5,13),JS=1,9),JT=1,5) /
     &6.5454E+01,5.7537E+01,4.9631E+01,4.6171E+01,4.4093E+01,4.2375E+01,
     &4.4216E+01,5.0929E+01,5.8021E+01,6.5480E+01,5.7591E+01,4.9679E+01,
     &4.6047E+01,4.3916E+01,4.2317E+01,4.4023E+01,5.0643E+01,5.7621E+01,
     &6.5404E+01,5.7534E+01,4.9633E+01,4.5875E+01,4.3765E+01,4.2200E+01,
     &4.3791E+01,5.0364E+01,5.7215E+01,6.5236E+01,5.7393E+01,4.9518E+01,
     &4.5648E+01,4.3596E+01,4.2013E+01,4.3533E+01,5.0076E+01,5.6838E+01,
     &6.4960E+01,5.7155E+01,4.9326E+01,4.5390E+01,4.3392E+01,4.1855E+01,
     &4.3285E+01,4.9832E+01,5.6537E+01/
      DATA ((KA(JS,JT, 6,13),JS=1,9),JT=1,5) /
     &7.1553E+01,6.2830E+01,5.4580E+01,5.1897E+01,4.9249E+01,4.6670E+01,
     &4.7221E+01,5.4164E+01,6.1741E+01,7.1559E+01,6.2858E+01,5.4547E+01,
     &5.1727E+01,4.9114E+01,4.6626E+01,4.7093E+01,5.3907E+01,6.1336E+01,
     &7.1474E+01,6.2796E+01,5.4422E+01,5.1491E+01,4.9001E+01,4.6518E+01,
     &4.6873E+01,5.3599E+01,6.0908E+01,7.1253E+01,6.2620E+01,5.4248E+01,
     &5.1208E+01,4.8873E+01,4.6377E+01,4.6595E+01,5.3243E+01,6.0469E+01,
     &7.0931E+01,6.2354E+01,5.3993E+01,5.0888E+01,4.8719E+01,4.6222E+01,
     &4.6318E+01,5.2946E+01,6.0113E+01/
      DATA ((KA(JS,JT, 7,13),JS=1,9),JT=1,5) /
     &7.6995E+01,6.7566E+01,5.9542E+01,5.7607E+01,5.4461E+01,5.1316E+01,
     &5.0984E+01,5.7643E+01,6.5674E+01,7.6958E+01,6.7548E+01,5.9397E+01,
     &5.7376E+01,5.4369E+01,5.1326E+01,5.0889E+01,5.7330E+01,6.5196E+01,
     &7.6815E+01,6.7433E+01,5.9207E+01,5.7127E+01,5.4289E+01,5.1287E+01,
     &5.0622E+01,5.6904E+01,6.4662E+01,7.6535E+01,6.7198E+01,5.8948E+01,
     &5.6779E+01,5.4224E+01,5.1158E+01,5.0286E+01,5.6459E+01,6.4124E+01,
     &7.6156E+01,6.6876E+01,5.8634E+01,5.6401E+01,5.4096E+01,5.0976E+01,
     &4.9973E+01,5.6129E+01,6.3785E+01/
      DATA ((KA(JS,JT, 8,13),JS=1,9),JT=1,5) /
     &8.1421E+01,7.1418E+01,6.4455E+01,6.2977E+01,5.9643E+01,5.6434E+01,
     &5.5164E+01,6.0758E+01,6.9127E+01,8.1348E+01,7.1366E+01,6.4215E+01,
     &6.2779E+01,5.9582E+01,5.6462E+01,5.5001E+01,6.0346E+01,6.8584E+01,
     &8.1121E+01,7.1177E+01,6.3909E+01,6.2467E+01,5.9508E+01,5.6437E+01,
     &5.4668E+01,5.9898E+01,6.8043E+01,8.0795E+01,7.0901E+01,6.3558E+01,
     &6.2070E+01,5.9450E+01,5.6283E+01,5.4317E+01,5.9470E+01,6.7583E+01,
     &8.0315E+01,7.0489E+01,6.3126E+01,6.1649E+01,5.9298E+01,5.6050E+01,
     &5.4007E+01,5.9179E+01,6.7330E+01/
      DATA ((KA(JS,JT, 9,13),JS=1,9),JT=1,5) /
     &8.4526E+01,7.4114E+01,6.9139E+01,6.7766E+01,6.4700E+01,6.1791E+01,
     &5.9295E+01,6.2885E+01,7.1468E+01,8.4370E+01,7.3989E+01,6.8856E+01,
     &6.7565E+01,6.4593E+01,6.1811E+01,5.9181E+01,6.2666E+01,7.1181E+01,
     &8.4053E+01,7.3721E+01,6.8457E+01,6.7233E+01,6.4524E+01,6.1778E+01,
     &5.8870E+01,6.2384E+01,7.0849E+01,8.3638E+01,7.3367E+01,6.7980E+01,
     &6.6820E+01,6.4408E+01,6.1582E+01,5.8561E+01,6.2049E+01,7.0550E+01,
     &8.3125E+01,7.2897E+01,6.7415E+01,6.6418E+01,6.4238E+01,6.1304E+01,
     &5.8306E+01,6.1805E+01,7.0366E+01/
      DATA ((KA(JS,JT,10,13),JS=1,9),JT=1,5) /
     &8.6099E+01,7.5664E+01,7.3052E+01,7.1784E+01,6.9581E+01,6.7013E+01,
     &6.3079E+01,6.4019E+01,7.2668E+01,8.5793E+01,7.5364E+01,7.2621E+01,
     &7.1506E+01,6.9364E+01,6.6992E+01,6.3098E+01,6.4105E+01,7.2738E+01,
     &8.5391E+01,7.4983E+01,7.2119E+01,7.1136E+01,6.9201E+01,6.6897E+01,
     &6.2939E+01,6.3964E+01,7.2620E+01,8.4829E+01,7.4472E+01,7.1563E+01,
     &7.0768E+01,6.9027E+01,6.6600E+01,6.2760E+01,6.3750E+01,7.2497E+01,
     &8.4210E+01,7.3923E+01,7.0963E+01,7.0409E+01,6.8788E+01,6.6285E+01,
     &6.2604E+01,6.3643E+01,7.2460E+01/
      DATA ((KA(JS,JT,11,13),JS=1,9),JT=1,5) /
     &8.5661E+01,7.5976E+01,7.5616E+01,7.4895E+01,7.3796E+01,7.1450E+01,
     &6.6595E+01,6.4723E+01,7.2988E+01,8.5212E+01,7.5487E+01,7.5133E+01,
     &7.4528E+01,7.3552E+01,7.1413E+01,6.6688E+01,6.4835E+01,7.3147E+01,
     &8.4633E+01,7.4907E+01,7.4581E+01,7.4183E+01,7.3356E+01,7.1194E+01,
     &6.6687E+01,6.4831E+01,7.3292E+01,8.3975E+01,7.4286E+01,7.3943E+01,
     &7.3830E+01,7.3088E+01,7.0916E+01,6.6610E+01,6.4920E+01,7.3470E+01,
     &8.3246E+01,7.3605E+01,7.3209E+01,7.3386E+01,7.2735E+01,7.0587E+01,
     &6.6523E+01,6.4950E+01,7.3537E+01/
      DATA ((KA(JS,JT,12,13),JS=1,9),JT=1,5) /
     &8.3352E+01,7.5282E+01,7.6925E+01,7.7365E+01,7.7206E+01,7.4850E+01,
     &6.9716E+01,6.5048E+01,7.2181E+01,8.2736E+01,7.4597E+01,7.6403E+01,
     &7.6949E+01,7.6971E+01,7.4863E+01,6.9929E+01,6.5330E+01,7.2664E+01,
     &8.2054E+01,7.3916E+01,7.5743E+01,7.6528E+01,7.6666E+01,7.4738E+01,
     &7.0022E+01,6.5629E+01,7.3075E+01,8.1316E+01,7.3173E+01,7.5030E+01,
     &7.6061E+01,7.6286E+01,7.4512E+01,7.0083E+01,6.5825E+01,7.3345E+01,
     &8.0516E+01,7.2378E+01,7.4331E+01,7.5554E+01,7.5785E+01,7.4233E+01,
     &7.0124E+01,6.5929E+01,7.3501E+01/
      DATA ((KA(JS,JT,13,13),JS=1,9),JT=1,5) /
     &7.9408E+01,7.3858E+01,7.6980E+01,7.8869E+01,7.9397E+01,7.7263E+01,
     &7.2263E+01,6.5338E+01,7.0604E+01,7.8716E+01,7.3093E+01,7.6326E+01,
     &7.8426E+01,7.9146E+01,7.7408E+01,7.2561E+01,6.5807E+01,7.1230E+01,
     &7.7962E+01,7.2251E+01,7.5686E+01,7.7926E+01,7.8867E+01,7.7356E+01,
     &7.2810E+01,6.6137E+01,7.1698E+01,7.7177E+01,7.1385E+01,7.5042E+01,
     &7.7408E+01,7.8464E+01,7.7172E+01,7.3006E+01,6.6333E+01,7.2067E+01,
     &7.6340E+01,7.0519E+01,7.4355E+01,7.6889E+01,7.8015E+01,7.6988E+01,
     &7.3079E+01,6.6485E+01,7.2407E+01/
      DATA ((KA(JS,JT, 1,14),JS=1,9),JT=1,5) /
     &5.1404E+01,4.5212E+01,3.9078E+01,3.2978E+01,3.1213E+01,3.5689E+01,
     &4.2239E+01,4.9109E+01,5.3555E+01,5.1456E+01,4.5263E+01,3.9085E+01,
     &3.2975E+01,3.1034E+01,3.5237E+01,4.1756E+01,4.8531E+01,5.2877E+01,
     &5.1419E+01,4.5226E+01,3.9013E+01,3.2932E+01,3.0826E+01,3.4871E+01,
     &4.1372E+01,4.8070E+01,5.2319E+01,5.1315E+01,4.5122E+01,3.8925E+01,
     &3.2886E+01,3.0643E+01,3.4565E+01,4.1054E+01,4.7690E+01,5.1853E+01,
     &5.1134E+01,4.4958E+01,3.8787E+01,3.2819E+01,3.0476E+01,3.4330E+01,
     &4.0799E+01,4.7384E+01,5.1513E+01/
      DATA ((KA(JS,JT, 2,14),JS=1,9),JT=1,5) /
     &5.9575E+01,5.2343E+01,4.5168E+01,3.8156E+01,3.6549E+01,4.0798E+01,
     &4.8433E+01,5.6320E+01,6.2499E+01,5.9656E+01,5.2415E+01,4.5196E+01,
     &3.8159E+01,3.6356E+01,4.0232E+01,4.7806E+01,5.5603E+01,6.1692E+01,
     &5.9635E+01,5.2395E+01,4.5146E+01,3.8116E+01,3.6139E+01,3.9805E+01,
     &4.7339E+01,5.5046E+01,6.1068E+01,5.9522E+01,5.2285E+01,4.5051E+01,
     &3.8066E+01,3.5889E+01,3.9470E+01,4.6981E+01,5.4621E+01,6.0592E+01,
     &5.9307E+01,5.2094E+01,4.4889E+01,3.7960E+01,3.5677E+01,3.9216E+01,
     &4.6687E+01,5.4268E+01,6.0193E+01/
      DATA ((KA(JS,JT, 3,14),JS=1,9),JT=1,5) /
     &6.8809E+01,6.0397E+01,5.2025E+01,4.4161E+01,4.2701E+01,4.6667E+01,
     &5.5520E+01,6.4493E+01,7.2669E+01,6.8924E+01,6.0499E+01,5.2098E+01,
     &4.4133E+01,4.2521E+01,4.5966E+01,5.4732E+01,6.3594E+01,7.1705E+01,
     &6.8950E+01,6.0531E+01,5.2101E+01,4.4100E+01,4.2285E+01,4.5418E+01,
     &5.4095E+01,6.2883E+01,7.0919E+01,6.8857E+01,6.0434E+01,5.2014E+01,
     &4.4041E+01,4.2031E+01,4.5005E+01,5.3564E+01,6.2291E+01,7.0247E+01,
     &6.8666E+01,6.0265E+01,5.1871E+01,4.3942E+01,4.1842E+01,4.4690E+01,
     &5.3134E+01,6.1806E+01,6.9686E+01/
      DATA ((KA(JS,JT, 4,14),JS=1,9),JT=1,5) /
     &7.9311E+01,6.9561E+01,5.9881E+01,5.1276E+01,4.9761E+01,5.3193E+01,
     &6.3396E+01,7.3656E+01,8.3652E+01,7.9511E+01,6.9736E+01,6.0019E+01,
     &5.1173E+01,4.9594E+01,5.2466E+01,6.2461E+01,7.2578E+01,8.2426E+01,
     &7.9562E+01,6.9789E+01,6.0043E+01,5.1075E+01,4.9346E+01,5.1847E+01,
     &6.1639E+01,7.1632E+01,8.1369E+01,7.9512E+01,6.9733E+01,5.9989E+01,
     &5.0979E+01,4.9088E+01,5.1360E+01,6.0947E+01,7.0836E+01,8.0468E+01,
     &7.9325E+01,6.9569E+01,5.9854E+01,5.0871E+01,4.8882E+01,5.0991E+01,
     &6.0362E+01,7.0161E+01,7.9701E+01/
      DATA ((KA(JS,JT, 5,14),JS=1,9),JT=1,5) /
     &9.1112E+01,7.9892E+01,6.8781E+01,5.9496E+01,5.7988E+01,6.0415E+01,
     &7.1595E+01,8.3227E+01,9.4854E+01,9.1447E+01,8.0173E+01,6.9023E+01,
     &5.9416E+01,5.7743E+01,5.9673E+01,7.0483E+01,8.1942E+01,9.3394E+01,
     &9.1583E+01,8.0288E+01,6.9106E+01,5.9276E+01,5.7416E+01,5.9035E+01,
     &6.9528E+01,8.0829E+01,9.2131E+01,9.1566E+01,8.0257E+01,6.9073E+01,
     &5.9136E+01,5.7092E+01,5.8527E+01,6.8724E+01,7.9885E+01,9.1053E+01,
     &9.1390E+01,8.0104E+01,6.8937E+01,5.8973E+01,5.6776E+01,5.8107E+01,
     &6.8079E+01,7.9072E+01,9.0122E+01/
      DATA ((KA(JS,JT, 6,14),JS=1,9),JT=1,5) /
     &1.0419E+02,9.1394E+01,7.8656E+01,6.8916E+01,6.7128E+01,6.8461E+01,
     &7.9894E+01,9.2926E+01,1.0607E+02,1.0463E+02,9.1782E+01,7.9002E+01,
     &6.8819E+01,6.6845E+01,6.7738E+01,7.8628E+01,9.1458E+01,1.0440E+02,
     &1.0486E+02,9.1970E+01,7.9156E+01,6.8698E+01,6.6470E+01,6.7066E+01,
     &7.7628E+01,9.0242E+01,1.0302E+02,1.0494E+02,9.2025E+01,7.9207E+01,
     &6.8555E+01,6.6081E+01,6.6543E+01,7.6843E+01,8.9253E+01,1.0189E+02,
     &1.0481E+02,9.1892E+01,7.9105E+01,6.8344E+01,6.5668E+01,6.6109E+01,
     &7.6190E+01,8.8386E+01,1.0090E+02/
      DATA ((KA(JS,JT, 7,14),JS=1,9),JT=1,5) /
     &1.1850E+02,1.0394E+02,8.9423E+01,7.9509E+01,7.7207E+01,7.7196E+01,
     &8.7943E+01,1.0236E+02,1.1694E+02,1.1905E+02,1.0443E+02,8.9864E+01,
     &7.9528E+01,7.6905E+01,7.6494E+01,8.6650E+01,1.0078E+02,1.1515E+02,
     &1.1939E+02,1.0473E+02,9.0115E+01,7.9401E+01,7.6523E+01,7.5853E+01,
     &8.5715E+01,9.9595E+01,1.1380E+02,1.1951E+02,1.0484E+02,9.0222E+01,
     &7.9220E+01,7.6090E+01,7.5405E+01,8.5022E+01,9.8653E+01,1.1271E+02,
     &1.1942E+02,1.0476E+02,9.0169E+01,7.8976E+01,7.5607E+01,7.5018E+01,
     &8.4352E+01,9.7783E+01,1.1167E+02/
      DATA ((KA(JS,JT, 8,14),JS=1,9),JT=1,5) /
     &1.3381E+02,1.1735E+02,1.0095E+02,9.1226E+01,8.8188E+01,8.6379E+01,
     &9.5828E+01,1.1155E+02,1.2755E+02,1.3446E+02,1.1794E+02,1.0145E+02,
     &9.1271E+01,8.7947E+01,8.5766E+01,9.4652E+01,1.1006E+02,1.2583E+02,
     &1.3492E+02,1.1834E+02,1.0180E+02,9.1233E+01,8.7619E+01,8.5228E+01,
     &9.3811E+01,1.0892E+02,1.2452E+02,1.3505E+02,1.1846E+02,1.0192E+02,
     &9.1090E+01,8.7150E+01,8.4887E+01,9.3111E+01,1.0797E+02,1.2337E+02,
     &1.3500E+02,1.1844E+02,1.0192E+02,9.0797E+01,8.6626E+01,8.4570E+01,
     &9.2421E+01,1.0710E+02,1.2226E+02/
      DATA ((KA(JS,JT, 9,14),JS=1,9),JT=1,5) /
     &1.4952E+02,1.3110E+02,1.1316E+02,1.0410E+02,9.9927E+01,9.6074E+01,
     &1.0374E+02,1.2067E+02,1.3801E+02,1.5028E+02,1.3179E+02,1.1360E+02,
     &1.0415E+02,9.9870E+01,9.5589E+01,1.0257E+02,1.1912E+02,1.3623E+02,
     &1.5082E+02,1.3227E+02,1.1392E+02,1.0405E+02,9.9571E+01,9.5189E+01,
     &1.0182E+02,1.1803E+02,1.3496E+02,1.5103E+02,1.3247E+02,1.1403E+02,
     &1.0385E+02,9.9126E+01,9.4980E+01,1.0122E+02,1.1720E+02,1.3388E+02,
     &1.5094E+02,1.3245E+02,1.1401E+02,1.0348E+02,9.8550E+01,9.4746E+01,
     &1.0055E+02,1.1636E+02,1.3276E+02/
      DATA ((KA(JS,JT,10,14),JS=1,9),JT=1,5) /
     &1.6524E+02,1.4486E+02,1.2594E+02,1.1785E+02,1.1225E+02,1.0654E+02,
     &1.1202E+02,1.2965E+02,1.4829E+02,1.6610E+02,1.4564E+02,1.2636E+02,
     &1.1787E+02,1.1233E+02,1.0630E+02,1.1093E+02,1.2811E+02,1.4653E+02,
     &1.6659E+02,1.4608E+02,1.2656E+02,1.1769E+02,1.1214E+02,1.0609E+02,
     &1.1032E+02,1.2713E+02,1.4532E+02,1.6681E+02,1.4630E+02,1.2659E+02,
     &1.1736E+02,1.1169E+02,1.0597E+02,1.0973E+02,1.2629E+02,1.4416E+02,
     &1.6671E+02,1.4623E+02,1.2639E+02,1.1688E+02,1.1111E+02,1.0576E+02,
     &1.0909E+02,1.2542E+02,1.4303E+02/
      DATA ((KA(JS,JT,11,14),JS=1,9),JT=1,5) /
     &1.8065E+02,1.5832E+02,1.3903E+02,1.3201E+02,1.2519E+02,1.1820E+02,
     &1.2047E+02,1.3760E+02,1.5739E+02,1.8131E+02,1.5893E+02,1.3916E+02,
     &1.3183E+02,1.2520E+02,1.1800E+02,1.1979E+02,1.3660E+02,1.5612E+02,
     &1.8162E+02,1.5925E+02,1.3912E+02,1.3145E+02,1.2487E+02,1.1789E+02,
     &1.1922E+02,1.3566E+02,1.5481E+02,1.8161E+02,1.5927E+02,1.3888E+02,
     &1.3091E+02,1.2432E+02,1.1770E+02,1.1858E+02,1.3462E+02,1.5350E+02,
     &1.8129E+02,1.5901E+02,1.3849E+02,1.3027E+02,1.2371E+02,1.1738E+02,
     &1.1800E+02,1.3378E+02,1.5248E+02/
      DATA ((KA(JS,JT,12,14),JS=1,9),JT=1,5) /
     &1.9439E+02,1.7031E+02,1.5181E+02,1.4577E+02,1.3828E+02,1.3070E+02,
     &1.2972E+02,1.4546E+02,1.6618E+02,1.9483E+02,1.7073E+02,1.5156E+02,
     &1.4543E+02,1.3812E+02,1.3043E+02,1.2913E+02,1.4443E+02,1.6476E+02,
     &1.9494E+02,1.7087E+02,1.5124E+02,1.4493E+02,1.3771E+02,1.3020E+02,
     &1.2847E+02,1.4330E+02,1.6335E+02,1.9474E+02,1.7073E+02,1.5078E+02,
     &1.4425E+02,1.3718E+02,1.2986E+02,1.2779E+02,1.4240E+02,1.6229E+02,
     &1.9420E+02,1.7029E+02,1.5011E+02,1.4337E+02,1.3666E+02,1.2942E+02,
     &1.2725E+02,1.4171E+02,1.6147E+02/
      DATA ((KA(JS,JT,13,14),JS=1,9),JT=1,5) /
     &2.0562E+02,1.8014E+02,1.6395E+02,1.5885E+02,1.5131E+02,1.4344E+02,
     &1.3928E+02,1.5201E+02,1.7336E+02,2.0583E+02,1.8034E+02,1.6346E+02,
     &1.5844E+02,1.5102E+02,1.4310E+02,1.3867E+02,1.5101E+02,1.7210E+02,
     &2.0579E+02,1.8034E+02,1.6282E+02,1.5782E+02,1.5051E+02,1.4271E+02,
     &1.3803E+02,1.5026E+02,1.7119E+02,2.0539E+02,1.8002E+02,1.6199E+02,
     &1.5696E+02,1.5005E+02,1.4226E+02,1.3746E+02,1.4977E+02,1.7061E+02,
     &2.0471E+02,1.7946E+02,1.6101E+02,1.5580E+02,1.4942E+02,1.4163E+02,
     &1.3685E+02,1.4922E+02,1.6998E+02/
      DATA ((KA(JS,JT, 1,15),JS=1,9),JT=1,5) /
     &6.1110E+01,5.3539E+01,4.6005E+01,3.8902E+01,3.5970E+01,4.3986E+01,
     &5.2608E+01,6.1157E+01,6.5911E+01,6.1315E+01,5.3717E+01,4.6235E+01,
     &3.9083E+01,3.5687E+01,4.3381E+01,5.1871E+01,6.0290E+01,6.4963E+01,
     &6.1422E+01,5.3821E+01,4.6411E+01,3.9188E+01,3.5438E+01,4.2839E+01,
     &5.1205E+01,5.9514E+01,6.4157E+01,6.1394E+01,5.3877E+01,4.6504E+01,
     &3.9222E+01,3.5189E+01,4.2365E+01,5.0625E+01,5.8813E+01,6.3464E+01,
     &6.1322E+01,5.3865E+01,4.6511E+01,3.9177E+01,3.4939E+01,4.1926E+01,
     &5.0070E+01,5.8152E+01,6.2761E+01/
      DATA ((KA(JS,JT, 2,15),JS=1,9),JT=1,5) /
     &7.3139E+01,6.4054E+01,5.4971E+01,4.6172E+01,4.2554E+01,5.2369E+01,
     &6.2683E+01,7.2904E+01,8.0226E+01,7.3363E+01,6.4250E+01,5.5203E+01,
     &4.6423E+01,4.2168E+01,5.1668E+01,6.1839E+01,7.1917E+01,7.9110E+01,
     &7.3487E+01,6.4383E+01,5.5429E+01,4.6632E+01,4.1828E+01,5.0986E+01,
     &6.1016E+01,7.0950E+01,7.8048E+01,7.3536E+01,6.4501E+01,5.5558E+01,
     &4.6729E+01,4.1557E+01,5.0314E+01,6.0204E+01,7.0005E+01,7.7009E+01,
     &7.3500E+01,6.4509E+01,5.5582E+01,4.6709E+01,4.1283E+01,4.9695E+01,
     &5.9450E+01,6.9119E+01,7.6024E+01/
      DATA ((KA(JS,JT, 3,15),JS=1,9),JT=1,5) /
     &8.7361E+01,7.6491E+01,6.5621E+01,5.4890E+01,5.0598E+01,6.2297E+01,
     &7.4612E+01,8.6825E+01,9.7550E+01,8.7685E+01,7.6774E+01,6.5885E+01,
     &5.5188E+01,5.0206E+01,6.1585E+01,7.3754E+01,8.5807E+01,9.6409E+01,
     &8.7844E+01,7.6919E+01,6.6106E+01,5.5413E+01,4.9812E+01,6.0785E+01,
     &7.2789E+01,8.4689E+01,9.5141E+01,8.7889E+01,7.7037E+01,6.6247E+01,
     &5.5541E+01,4.9446E+01,6.0010E+01,7.1857E+01,8.3593E+01,9.3898E+01,
     &8.7858E+01,7.7051E+01,6.6285E+01,5.5583E+01,4.9097E+01,5.9241E+01,
     &7.0929E+01,8.2513E+01,9.2686E+01/
      DATA ((KA(JS,JT, 4,15),JS=1,9),JT=1,5) /
     &1.0387E+02,9.0929E+01,7.7989E+01,6.5095E+01,6.0436E+01,7.4039E+01,
     &8.8717E+01,1.0327E+02,1.1725E+02,1.0441E+02,9.1405E+01,7.8408E+01,
     &6.5545E+01,5.9926E+01,7.3070E+01,8.7549E+01,1.0190E+02,1.1570E+02,
     &1.0471E+02,9.1680E+01,7.8722E+01,6.5845E+01,5.9509E+01,7.2264E+01,
     &8.6581E+01,1.0076E+02,1.1440E+02,1.0486E+02,9.1873E+01,7.8926E+01,
     &6.6032E+01,5.9086E+01,7.1381E+01,8.5514E+01,9.9526E+01,1.1299E+02,
     &1.0483E+02,9.1879E+01,7.8952E+01,6.6063E+01,5.8651E+01,7.0432E+01,
     &8.4377E+01,9.8185E+01,1.1148E+02/
      DATA ((KA(JS,JT, 5,15),JS=1,9),JT=1,5) /
     &1.2314E+02,1.0778E+02,9.2429E+01,7.7074E+01,7.2086E+01,8.7688E+01,
     &1.0511E+02,1.2238E+02,1.3959E+02,1.2380E+02,1.0836E+02,9.2922E+01,
     &7.7571E+01,7.1572E+01,8.6586E+01,1.0378E+02,1.2082E+02,1.3782E+02,
     &1.2423E+02,1.0877E+02,9.3351E+01,7.7983E+01,7.1097E+01,8.5507E+01,
     &1.0249E+02,1.1931E+02,1.3609E+02,1.2450E+02,1.0905E+02,9.3631E+01,
     &7.8238E+01,7.0653E+01,8.4488E+01,1.0126E+02,1.1788E+02,1.3445E+02,
     &1.2453E+02,1.0910E+02,9.3684E+01,7.8289E+01,7.0179E+01,8.3403E+01,
     &9.9954E+01,1.1636E+02,1.3271E+02/
      DATA ((KA(JS,JT, 6,15),JS=1,9),JT=1,5) /
     &1.4538E+02,1.2724E+02,1.0910E+02,9.0962E+01,8.5931E+01,1.0354E+02,
     &1.2413E+02,1.4456E+02,1.6524E+02,1.4625E+02,1.2800E+02,1.0975E+02,
     &9.1547E+01,8.5303E+01,1.0223E+02,1.2256E+02,1.4271E+02,1.6313E+02,
     &1.4683E+02,1.2855E+02,1.1028E+02,9.2053E+01,8.4796E+01,1.0095E+02,
     &1.2102E+02,1.4092E+02,1.6108E+02,1.4716E+02,1.2887E+02,1.1059E+02,
     &9.2330E+01,8.4296E+01,9.9657E+01,1.1947E+02,1.3910E+02,1.5900E+02,
     &1.4726E+02,1.2897E+02,1.1069E+02,9.2414E+01,8.3857E+01,9.8384E+01,
     &1.1794E+02,1.3732E+02,1.5696E+02/
      DATA ((KA(JS,JT, 7,15),JS=1,9),JT=1,5) /
     &1.7053E+02,1.4925E+02,1.2796E+02,1.0716E+02,1.0213E+02,1.2188E+02,
     &1.4615E+02,1.7020E+02,1.9480E+02,1.7172E+02,1.5029E+02,1.2885E+02,
     &1.0758E+02,1.0144E+02,1.2029E+02,1.4423E+02,1.6798E+02,1.9224E+02,
     &1.7251E+02,1.5103E+02,1.2955E+02,1.0811E+02,1.0086E+02,1.1869E+02,
     &1.4231E+02,1.6572E+02,1.8967E+02,1.7303E+02,1.5150E+02,1.2997E+02,
     &1.0845E+02,1.0032E+02,1.1701E+02,1.4029E+02,1.6338E+02,1.8697E+02,
     &1.7326E+02,1.5170E+02,1.3015E+02,1.0860E+02,9.9828E+01,1.1540E+02,
     &1.3837E+02,1.6114E+02,1.8440E+02/
      DATA ((KA(JS,JT, 8,15),JS=1,9),JT=1,5) /
     &1.9897E+02,1.7412E+02,1.4927E+02,1.2609E+02,1.2102E+02,1.4307E+02,
     &1.7149E+02,1.9971E+02,2.2868E+02,2.0045E+02,1.7541E+02,1.5039E+02,
     &1.2643E+02,1.2014E+02,1.4095E+02,1.6896E+02,1.9679E+02,2.2532E+02,
     &2.0144E+02,1.7633E+02,1.5122E+02,1.2673E+02,1.1946E+02,1.3885E+02,
     &1.6646E+02,1.9386E+02,2.2200E+02,2.0212E+02,1.7694E+02,1.5175E+02,
     &1.2692E+02,1.1890E+02,1.3670E+02,1.6392E+02,1.9092E+02,2.1864E+02,
     &2.0244E+02,1.7722E+02,1.5200E+02,1.2703E+02,1.1832E+02,1.3474E+02,
     &1.6157E+02,1.8819E+02,2.1551E+02/
      DATA ((KA(JS,JT, 9,15),JS=1,9),JT=1,5) /
     &2.3120E+02,2.0232E+02,1.7344E+02,1.4797E+02,1.4299E+02,1.6694E+02,
     &2.0011E+02,2.3304E+02,2.6690E+02,2.3311E+02,2.0399E+02,1.7488E+02,
     &1.4825E+02,1.4181E+02,1.6424E+02,1.9689E+02,2.2930E+02,2.6259E+02,
     &2.3434E+02,2.0510E+02,1.7587E+02,1.4844E+02,1.4100E+02,1.6150E+02,
     &1.9359E+02,2.2546E+02,2.5821E+02,2.3518E+02,2.0584E+02,1.7651E+02,
     &1.4849E+02,1.4028E+02,1.5873E+02,1.9031E+02,2.2162E+02,2.5383E+02,
     &2.3553E+02,2.0616E+02,1.7678E+02,1.4839E+02,1.3959E+02,1.5626E+02,
     &1.8736E+02,2.1823E+02,2.4993E+02/
      DATA ((KA(JS,JT,10,15),JS=1,9),JT=1,5) /
     &2.6766E+02,2.3422E+02,2.0086E+02,1.7305E+02,1.6820E+02,1.9275E+02,
     &2.3109E+02,2.6916E+02,3.0826E+02,2.6991E+02,2.3619E+02,2.0254E+02,
     &1.7334E+02,1.6673E+02,1.8936E+02,2.2702E+02,2.6442E+02,3.0283E+02,
     &2.7155E+02,2.3766E+02,2.0381E+02,1.7344E+02,1.6570E+02,1.8588E+02,
     &2.2280E+02,2.5950E+02,2.9719E+02,2.7254E+02,2.3853E+02,2.0456E+02,
     &1.7332E+02,1.6480E+02,1.8267E+02,2.1887E+02,2.5495E+02,2.9197E+02,
     &2.7304E+02,2.3896E+02,2.0491E+02,1.7301E+02,1.6390E+02,1.7979E+02,
     &2.1534E+02,2.5082E+02,2.8725E+02/
      DATA ((KA(JS,JT,11,15),JS=1,9),JT=1,5) /
     &3.1010E+02,2.7147E+02,2.3291E+02,2.0181E+02,1.9592E+02,2.1861E+02,
     &2.6152E+02,3.0466E+02,3.4889E+02,3.1237E+02,2.7343E+02,2.3463E+02,
     &2.0183E+02,1.9444E+02,2.1467E+02,2.5634E+02,2.9864E+02,3.4194E+02,
     &3.1396E+02,2.7478E+02,2.3578E+02,2.0169E+02,1.9320E+02,2.1082E+02,
     &2.5169E+02,2.9321E+02,3.3575E+02,3.1491E+02,2.7559E+02,2.3646E+02,
     &2.0134E+02,1.9199E+02,2.0744E+02,2.4738E+02,2.8820E+02,3.3002E+02,
     &3.1516E+02,2.7581E+02,2.3662E+02,2.0063E+02,1.9065E+02,2.0428E+02,
     &2.4308E+02,2.8319E+02,3.2426E+02/
      DATA ((KA(JS,JT,12,15),JS=1,9),JT=1,5) /
     &3.5746E+02,3.1300E+02,2.6858E+02,2.3433E+02,2.2701E+02,2.4649E+02,
     &2.9230E+02,3.4058E+02,3.8993E+02,3.5965E+02,3.1492E+02,2.7026E+02,
     &2.3392E+02,2.2536E+02,2.4218E+02,2.8684E+02,3.3421E+02,3.8264E+02,
     &3.6096E+02,3.1606E+02,2.7127E+02,2.3331E+02,2.2367E+02,2.3821E+02,
     &2.8173E+02,3.2828E+02,3.7584E+02,3.6159E+02,3.1657E+02,2.7171E+02,
     &2.3251E+02,2.2182E+02,2.3456E+02,2.7669E+02,3.2238E+02,3.6910E+02,
     &3.6141E+02,3.1636E+02,2.7153E+02,2.3134E+02,2.1976E+02,2.3095E+02,
     &2.7160E+02,3.1644E+02,3.6227E+02/
      DATA ((KA(JS,JT,13,15),JS=1,9),JT=1,5) /
     &4.0931E+02,3.5842E+02,3.0758E+02,2.7041E+02,2.6133E+02,2.7679E+02,
     &3.2393E+02,3.7751E+02,4.3213E+02,4.1124E+02,3.6013E+02,3.0908E+02,
     &2.6935E+02,2.5923E+02,2.7218E+02,3.1806E+02,3.7065E+02,4.2432E+02,
     &4.1214E+02,3.6093E+02,3.0979E+02,2.6811E+02,2.5684E+02,2.6794E+02,
     &3.1214E+02,3.6375E+02,4.1639E+02,4.1225E+02,3.6102E+02,3.0989E+02,
     &2.6655E+02,2.5418E+02,2.6378E+02,3.0615E+02,3.5676E+02,4.0836E+02,
     &4.1130E+02,3.6017E+02,3.0917E+02,2.6471E+02,2.5127E+02,2.5962E+02,
     &3.0054E+02,3.5018E+02,4.0087E+02/
      DATA ((KA(JS,JT, 1,16),JS=1,9),JT=1,5) /
     &6.6783E+01,5.8494E+01,5.0207E+01,4.1922E+01,3.9207E+01,4.8837E+01,
     &5.8441E+01,6.7973E+01,7.3684E+01,6.6987E+01,5.8663E+01,5.0340E+01,
     &4.2083E+01,3.9992E+01,4.9756E+01,5.9507E+01,6.9167E+01,7.5232E+01,
     &6.7128E+01,5.8776E+01,5.0426E+01,4.2412E+01,4.0738E+01,5.0635E+01,
     &6.0514E+01,7.0320E+01,7.6487E+01,6.7159E+01,5.8797E+01,5.0435E+01,
     &4.2709E+01,4.1336E+01,5.1345E+01,6.1329E+01,7.1239E+01,7.7474E+01,
     &6.7048E+01,5.8698E+01,5.0349E+01,4.2916E+01,4.1806E+01,5.1893E+01,
     &6.1955E+01,7.1939E+01,7.8212E+01/
      DATA ((KA(JS,JT, 2,16),JS=1,9),JT=1,5) /
     &8.0817E+01,7.0771E+01,6.0724E+01,5.0680E+01,4.6121E+01,5.7561E+01,
     &6.8978E+01,8.0276E+01,8.8125E+01,8.1120E+01,7.1031E+01,6.0942E+01,
     &5.0856E+01,4.6531E+01,5.8009E+01,6.9466E+01,8.0811E+01,8.8902E+01,
     &8.1295E+01,7.1179E+01,6.1065E+01,5.0952E+01,4.7046E+01,5.8603E+01,
     &7.0144E+01,8.1568E+01,8.9842E+01,8.1302E+01,7.1181E+01,6.1061E+01,
     &5.0998E+01,4.7535E+01,5.9172E+01,7.0788E+01,8.2285E+01,9.0723E+01,
     &8.1254E+01,7.1123E+01,6.0992E+01,5.1150E+01,4.7959E+01,5.9657E+01,
     &7.1327E+01,8.2908E+01,9.1460E+01/
      DATA ((KA(JS,JT, 3,16),JS=1,9),JT=1,5) /
     &9.7635E+01,8.5483E+01,7.3330E+01,6.1179E+01,5.6207E+01,7.0215E+01,
     &8.4188E+01,9.8014E+01,1.0988E+02,9.8163E+01,8.5943E+01,7.3724E+01,
     &6.1504E+01,5.5633E+01,6.9472E+01,8.3276E+01,9.6935E+01,1.0869E+02,
     &9.8472E+01,8.6211E+01,7.3951E+01,6.1693E+01,5.5697E+01,6.9495E+01,
     &8.3260E+01,9.6885E+01,1.0871E+02,9.8535E+01,8.6265E+01,7.3995E+01,
     &6.1728E+01,5.5937E+01,6.9749E+01,8.3530E+01,9.7171E+01,1.0906E+02,
     &9.8433E+01,8.6165E+01,7.3899E+01,6.1635E+01,5.6204E+01,7.0040E+01,
     &8.3840E+01,9.7500E+01,1.0946E+02/
      DATA ((KA(JS,JT, 4,16),JS=1,9),JT=1,5) /
     &1.1801E+02,1.0331E+02,8.8600E+01,7.3894E+01,6.8841E+01,8.6008E+01,
     &1.0313E+02,1.2007E+02,1.3623E+02,1.1855E+02,1.0378E+02,8.9007E+01,
     &7.4235E+01,6.8009E+01,8.4957E+01,1.0186E+02,1.1859E+02,1.3456E+02,
     &1.1911E+02,1.0427E+02,8.9430E+01,7.4590E+01,6.7220E+01,8.3955E+01,
     &1.0065E+02,1.1716E+02,1.3292E+02,1.1932E+02,1.0446E+02,8.9591E+01,
     &7.4725E+01,6.6996E+01,8.3620E+01,1.0020E+02,1.1661E+02,1.3231E+02,
     &1.1933E+02,1.0445E+02,8.9579E+01,7.4708E+01,6.7016E+01,8.3607E+01,
     &1.0016E+02,1.1655E+02,1.3223E+02/
      DATA ((KA(JS,JT, 5,16),JS=1,9),JT=1,5) /
     &1.4253E+02,1.2475E+02,1.0698E+02,8.9200E+01,8.4755E+01,1.0590E+02,
     &1.2699E+02,1.4785E+02,1.6865E+02,1.4325E+02,1.2539E+02,1.0752E+02,
     &8.9655E+01,8.3145E+01,1.0388E+02,1.2456E+02,1.4501E+02,1.6542E+02,
     &1.4383E+02,1.2589E+02,1.0795E+02,9.0019E+01,8.2092E+01,1.0255E+02,
     &1.2296E+02,1.4315E+02,1.6327E+02,1.4418E+02,1.2620E+02,1.0822E+02,
     &9.0248E+01,8.1037E+01,1.0121E+02,1.2133E+02,1.4124E+02,1.6108E+02,
     &1.4437E+02,1.2637E+02,1.0836E+02,9.0358E+01,8.0556E+01,1.0057E+02,
     &1.2052E+02,1.4027E+02,1.5994E+02/
      DATA ((KA(JS,JT, 6,16),JS=1,9),JT=1,5) /
     &1.7174E+02,1.5031E+02,1.2887E+02,1.0744E+02,1.0459E+02,1.3069E+02,
     &1.5672E+02,1.8250E+02,2.0866E+02,1.7281E+02,1.5124E+02,1.2968E+02,
     &1.0811E+02,1.0205E+02,1.2751E+02,1.5290E+02,1.7802E+02,2.0356E+02,
     &1.7366E+02,1.5199E+02,1.3032E+02,1.0865E+02,1.0020E+02,1.2519E+02,
     &1.5010E+02,1.7475E+02,1.9982E+02,1.7410E+02,1.5237E+02,1.3065E+02,
     &1.0893E+02,9.8757E+01,1.2337E+02,1.4792E+02,1.7221E+02,1.9689E+02,
     &1.7426E+02,1.5251E+02,1.3077E+02,1.0903E+02,9.7456E+01,1.2171E+02,
     &1.4591E+02,1.6984E+02,1.9419E+02/
      DATA ((KA(JS,JT, 7,16),JS=1,9),JT=1,5) /
     &2.0639E+02,1.8062E+02,1.5485E+02,1.2907E+02,1.2889E+02,1.6105E+02,
     &1.9314E+02,2.2488E+02,2.5751E+02,2.0793E+02,1.8197E+02,1.5600E+02,
     &1.3004E+02,1.2536E+02,1.5664E+02,1.8784E+02,2.1870E+02,2.5043E+02,
     &2.0918E+02,1.8307E+02,1.5695E+02,1.3084E+02,1.2258E+02,1.5317E+02,
     &1.8368E+02,2.1386E+02,2.4487E+02,2.0994E+02,1.8373E+02,1.5753E+02,
     &1.3132E+02,1.2024E+02,1.5023E+02,1.8014E+02,2.0974E+02,2.4016E+02,
     &2.1017E+02,1.8393E+02,1.5770E+02,1.3147E+02,1.1817E+02,1.4763E+02,
     &1.7700E+02,2.0610E+02,2.3592E+02/
      DATA ((KA(JS,JT, 8,16),JS=1,9),JT=1,5) /
     &2.4808E+02,2.1709E+02,1.8610E+02,1.5511E+02,1.5824E+02,1.9773E+02,
     &2.3715E+02,2.7617E+02,3.1647E+02,2.4976E+02,2.1856E+02,1.8737E+02,
     &1.5617E+02,1.5364E+02,1.9198E+02,2.3024E+02,2.6808E+02,3.0723E+02,
     &2.5153E+02,2.2011E+02,1.8870E+02,1.5729E+02,1.4986E+02,1.8726E+02,
     &2.2456E+02,2.6146E+02,2.9964E+02,2.5266E+02,2.2111E+02,1.8956E+02,
     &1.5801E+02,1.4651E+02,1.8308E+02,2.1955E+02,2.5564E+02,2.9297E+02,
     &2.5306E+02,2.2146E+02,1.8986E+02,1.5826E+02,1.4346E+02,1.7924E+02,
     &2.1492E+02,2.5024E+02,2.8677E+02/
      DATA ((KA(JS,JT, 9,16),JS=1,9),JT=1,5) /
     &2.9758E+02,2.6040E+02,2.2322E+02,1.8603E+02,1.9348E+02,2.4177E+02,
     &2.8996E+02,3.3765E+02,3.8707E+02,2.9980E+02,2.6234E+02,2.2489E+02,
     &1.8744E+02,1.8763E+02,2.3446E+02,2.8116E+02,3.2742E+02,3.7536E+02,
     &3.0182E+02,2.6412E+02,2.2641E+02,1.8871E+02,1.8264E+02,2.2823E+02,
     &2.7370E+02,3.1874E+02,3.6539E+02,3.0335E+02,2.6546E+02,2.2757E+02,
     &1.8968E+02,1.7814E+02,2.2260E+02,2.6695E+02,3.1086E+02,3.5637E+02,
     &3.0399E+02,2.6602E+02,2.2805E+02,1.9008E+02,1.7393E+02,2.1734E+02,
     &2.6062E+02,3.0347E+02,3.4789E+02/
      DATA ((KA(JS,JT,10,16),JS=1,9),JT=1,5) /
     &3.5657E+02,3.1201E+02,2.6745E+02,2.2289E+02,2.3471E+02,2.9329E+02,
     &3.5175E+02,4.0960E+02,4.6960E+02,3.5941E+02,3.1450E+02,2.6959E+02,
     &2.2468E+02,2.2747E+02,2.8425E+02,3.4089E+02,3.9700E+02,4.5514E+02,
     &3.6173E+02,3.1654E+02,2.7134E+02,2.2614E+02,2.2110E+02,2.7628E+02,
     &3.3132E+02,3.8584E+02,4.4234E+02,3.6337E+02,3.1797E+02,2.7257E+02,
     &2.2717E+02,2.1518E+02,2.6889E+02,3.2246E+02,3.7553E+02,4.3052E+02,
     &3.6404E+02,3.1855E+02,2.7307E+02,2.2759E+02,2.0959E+02,2.6189E+02,
     &3.1406E+02,3.6572E+02,4.1925E+02/
      DATA ((KA(JS,JT,11,16),JS=1,9),JT=1,5) /
     &4.2778E+02,3.7432E+02,3.2086E+02,2.6740E+02,2.7872E+02,3.4830E+02,
     &4.1771E+02,4.8646E+02,5.5765E+02,4.3110E+02,3.7723E+02,3.2336E+02,
     &2.6948E+02,2.7023E+02,3.3769E+02,4.0499E+02,4.7168E+02,5.4065E+02,
     &4.3351E+02,3.7933E+02,3.2516E+02,2.7099E+02,2.6235E+02,3.2784E+02,
     &3.9315E+02,4.5790E+02,5.2488E+02,4.3444E+02,3.8015E+02,3.2587E+02,
     &2.7158E+02,2.5502E+02,3.1866E+02,3.8217E+02,4.4507E+02,5.1019E+02,
     &4.3455E+02,3.8025E+02,3.2595E+02,2.7165E+02,2.4835E+02,3.1008E+02,
     &3.7185E+02,4.3305E+02,4.9635E+02/
      DATA ((KA(JS,JT,12,16),JS=1,9),JT=1,5) /
     &5.1115E+02,4.4727E+02,3.8338E+02,3.1950E+02,3.2868E+02,4.1075E+02,
     &4.9264E+02,5.7375E+02,6.5765E+02,5.1481E+02,4.5047E+02,3.8614E+02,
     &3.2180E+02,3.1846E+02,3.9795E+02,4.7726E+02,5.5589E+02,6.3715E+02,
     &5.1667E+02,4.5210E+02,3.8753E+02,3.2296E+02,3.0906E+02,3.8614E+02,
     &4.6310E+02,5.3942E+02,6.1825E+02,5.1678E+02,4.5219E+02,3.8761E+02,
     &3.2303E+02,3.0046E+02,3.7494E+02,4.4968E+02,5.2372E+02,6.0018E+02,
     &5.1600E+02,4.5151E+02,3.8702E+02,3.2254E+02,2.9255E+02,3.6403E+02,
     &4.3655E+02,5.0852E+02,5.8277E+02/
      DATA ((KA(JS,JT,13,16),JS=1,9),JT=1,5) /
     &6.0779E+02,5.3183E+02,4.5587E+02,3.7990E+02,3.8498E+02,4.8109E+02,
     &5.7702E+02,6.7207E+02,7.7032E+02,6.1089E+02,5.3454E+02,4.5819E+02,
     &3.8184E+02,3.7288E+02,4.6566E+02,5.5850E+02,6.5053E+02,7.4557E+02,
     &6.1168E+02,5.3523E+02,4.5878E+02,3.8233E+02,3.6190E+02,4.5112E+02,
     &5.4103E+02,6.3023E+02,7.2223E+02,6.1073E+02,5.3440E+02,4.5807E+02,
     &3.8174E+02,3.5168E+02,4.3693E+02,5.2405E+02,6.1044E+02,6.9951E+02,
     &6.0852E+02,5.3247E+02,4.5641E+02,3.8036E+02,3.4198E+02,4.2302E+02,
     &5.0734E+02,5.9097E+02,6.7714E+02/

C     The array KB contains absorption coefs for each of the 16 g-intervals
C     for a range of pressure levels  < ~100mb, temperatures, and ratios
C     of H2O to CO2.  The first index in the array, JS, runs from 1 to 5, 
C     and corresponds to different H2O to CO2 ratios, as expressed through 
C     the binary species parameter eta, defined as eta = H2O/(H2O+RAT*CO2), 
C     where RAT is the ratio of the integrated line strength in the band 
C     of CO2 to that of H2O.  For instance, JS=1 refers to no H2O, 
C     JS = 2 corresponds to eta = 0.25, etc.  The second index, JT, which
C     runs from 1 to 5, corresponds to different temperatures.  More 
C     specifically, JT = 3 means that the data are for the corresponding 
C     reference temperature TREF for this  pressure level, JT = 2 refers 
C     to the TREF-15, JT = 1 is for TREF-30, JT = 4 is for TREF+15, and
C     JT = 5 is for TREF+30.  The third index, JP, runs from 13 to 59 and
C     refers to the corresponding pressure level in PREF (e.g. JP = 13 is
C     for a pressure of 95.5835 mb).  The fourth index, IG, goes from 1 to
C     16, and tells us which g-interval the absorption coefficients are for.
      DATA ((KB(JS,JT,13, 1),JS=1,5),JT=1,5) /
     &1.0554E-07,3.8596E-05,6.5402E-05,8.8540E-05,1.9601E-04,1.0479E-07,
     &4.3672E-05,7.4889E-05,1.0118E-04,2.2146E-04,1.0429E-07,4.9418E-05,
     &8.5429E-05,1.1557E-04,2.4448E-04,1.0232E-07,5.5802E-05,9.6459E-05,
     &1.3167E-04,2.7001E-04,9.9013E-08,6.2996E-05,1.0900E-04,1.4834E-04,
     &2.9917E-04/
      DATA ((KB(JS,JT,14, 1),JS=1,5),JT=1,5) /
     &8.5136E-08,3.1943E-05,5.4402E-05,7.3887E-05,1.5895E-04,8.4597E-08,
     &3.6196E-05,6.2429E-05,8.4479E-05,1.7749E-04,8.3629E-08,4.0982E-05,
     &7.1126E-05,9.6573E-05,1.9740E-04,8.2310E-08,4.6344E-05,8.0458E-05,
     &1.0984E-04,2.1847E-04,7.8709E-08,5.2252E-05,9.0989E-05,1.2394E-04,
     &2.4281E-04/
      DATA ((KB(JS,JT,15, 1),JS=1,5),JT=1,5) /
     &6.8497E-08,2.6393E-05,4.5164E-05,6.1570E-05,1.2493E-04,6.8062E-08,
     &2.9936E-05,5.1919E-05,7.0387E-05,1.3953E-04,6.6766E-08,3.3863E-05,
     &5.9056E-05,8.0693E-05,1.5653E-04,6.5636E-08,3.8294E-05,6.6885E-05,
     &9.1555E-05,1.7510E-04,6.2711E-08,4.3189E-05,7.5756E-05,1.0355E-04,
     &1.9439E-04/
      DATA ((KB(JS,JT,16, 1),JS=1,5),JT=1,5) /
     &5.5083E-08,2.1761E-05,3.7484E-05,5.1301E-05,9.7875E-05,5.4095E-08,
     &2.4670E-05,4.3084E-05,5.8639E-05,1.0996E-04,5.3340E-08,2.7925E-05,
     &4.8976E-05,6.7234E-05,1.2415E-04,5.1412E-08,3.1588E-05,5.5576E-05,
     &7.6352E-05,1.3939E-04,4.9341E-08,3.5677E-05,6.2937E-05,8.6363E-05,
     &1.5543E-04/
      DATA ((KB(JS,JT,17, 1),JS=1,5),JT=1,5) /
     &4.4022E-08,1.7963E-05,3.1102E-05,4.2604E-05,7.8290E-05,4.3167E-08,
     &2.0382E-05,3.5754E-05,4.8875E-05,8.7941E-05,4.2210E-08,2.3091E-05,
     &4.0674E-05,5.6059E-05,9.9257E-05,4.0402E-08,2.6125E-05,4.6162E-05,
     &6.3586E-05,1.1166E-04,3.8532E-08,2.9494E-05,5.2327E-05,7.1960E-05,
     &1.2480E-04/
      DATA ((KB(JS,JT,18, 1),JS=1,5),JT=1,5) /
     &3.4937E-08,1.4903E-05,2.5868E-05,3.5503E-05,6.3368E-05,3.4308E-08,
     &1.6923E-05,2.9781E-05,4.0789E-05,7.1115E-05,3.2995E-08,1.9171E-05,
     &3.3872E-05,4.6810E-05,8.0302E-05,3.1654E-08,2.1679E-05,3.8468E-05,
     &5.3048E-05,9.0431E-05,3.0282E-08,2.4491E-05,4.3596E-05,6.0078E-05,
     &1.0133E-04/
      DATA ((KB(JS,JT,19, 1),JS=1,5),JT=1,5) /
     &2.7971E-08,1.2385E-05,2.1549E-05,2.9618E-05,5.1732E-05,2.7128E-08,
     &1.4042E-05,2.4826E-05,3.4047E-05,5.8064E-05,2.6018E-08,1.5920E-05,
     &2.8221E-05,3.9072E-05,6.5495E-05,2.4717E-08,1.8017E-05,3.2056E-05,
     &4.4285E-05,7.3859E-05,2.3859E-08,2.0360E-05,3.6341E-05,5.0170E-05,
     &8.2944E-05/
      DATA ((KB(JS,JT,20, 1),JS=1,5),JT=1,5) /
     &2.2529E-08,1.0336E-05,1.7999E-05,2.4776E-05,4.2602E-05,2.1733E-08,
     &1.1685E-05,2.0769E-05,2.8503E-05,4.7833E-05,2.0791E-08,1.3280E-05,
     &2.3571E-05,3.2654E-05,5.3995E-05,1.9663E-08,1.5029E-05,2.6788E-05,
     &3.7066E-05,6.0944E-05,1.9169E-08,1.6975E-05,3.0353E-05,4.1996E-05,
     &6.8344E-05/
      DATA ((KB(JS,JT,21, 1),JS=1,5),JT=1,5) /
     &1.8148E-08,8.6039E-06,1.5041E-05,2.0717E-05,3.5143E-05,1.7465E-08,
     &9.7287E-06,1.7348E-05,2.3862E-05,3.9508E-05,1.6537E-08,1.1073E-05,
     &1.9687E-05,2.7271E-05,4.4652E-05,1.5860E-08,1.2526E-05,2.2388E-05,
     &3.1015E-05,5.0269E-05,1.5452E-08,1.4158E-05,2.5339E-05,3.5141E-05,
     &5.6327E-05/
      DATA ((KB(JS,JT,22, 1),JS=1,5),JT=1,5) /
     &1.4542E-08,7.1807E-06,1.2682E-05,1.7473E-05,2.9179E-05,1.3967E-08,
     &8.1574E-06,1.4550E-05,2.0147E-05,3.2795E-05,1.3241E-08,9.2839E-06,
     &1.6547E-05,2.2971E-05,3.7036E-05,1.2746E-08,1.0522E-05,1.8840E-05,
     &2.6114E-05,4.1617E-05,1.2426E-08,1.1886E-05,2.1313E-05,2.9604E-05,
     &4.6709E-05/
      DATA ((KB(JS,JT,23, 1),JS=1,5),JT=1,5) /
     &1.1724E-08,6.0196E-06,1.0703E-05,1.4753E-05,2.4143E-05,1.1124E-08,
     &6.8499E-06,1.2233E-05,1.7009E-05,2.7147E-05,1.0552E-08,7.7897E-06,
     &1.3927E-05,1.9362E-05,3.0661E-05,1.0213E-08,8.8398E-06,1.5850E-05,
     &2.2024E-05,3.4519E-05,9.9627E-09,9.9755E-06,1.7919E-05,2.4944E-05,
     &3.8730E-05/
      DATA ((KB(JS,JT,24, 1),JS=1,5),JT=1,5) /
     &9.3835E-09,5.0505E-06,9.0298E-06,1.2450E-05,1.9940E-05,8.8722E-09,
     &5.7494E-06,1.0287E-05,1.4351E-05,2.2450E-05,8.4719E-09,6.5374E-06,
     &1.1727E-05,1.6329E-05,2.5378E-05,8.1924E-09,7.4186E-06,1.3334E-05,
     &1.8567E-05,2.8560E-05,7.9194E-09,8.3719E-06,1.5056E-05,2.1003E-05,
     &3.1990E-05/
      DATA ((KB(JS,JT,25, 1),JS=1,5),JT=1,5) /
     &7.4535E-09,4.2437E-06,7.6220E-06,1.0523E-05,1.6531E-05,7.0516E-09,
     &4.8300E-06,8.6667E-06,1.2089E-05,1.8616E-05,6.7746E-09,5.4941E-06,
     &9.8927E-06,1.3790E-05,2.1024E-05,6.5375E-09,6.2357E-06,1.1233E-05,
     &1.5662E-05,2.3642E-05,6.3001E-09,7.0282E-06,1.2669E-05,1.7695E-05,
     &2.6478E-05/
      DATA ((KB(JS,JT,26, 1),JS=1,5),JT=1,5) /
     &5.9520E-09,3.5739E-06,6.4350E-06,8.9330E-06,1.3754E-05,5.6644E-09,
     &4.0797E-06,7.3291E-06,1.0228E-05,1.5489E-05,5.4229E-09,4.6366E-06,
     &8.3664E-06,1.1659E-05,1.7486E-05,5.2155E-09,5.2546E-06,9.4829E-06,
     &1.3246E-05,1.9643E-05,5.0026E-09,5.9134E-06,1.0676E-05,1.4933E-05,
     &2.1979E-05/
      DATA ((KB(JS,JT,27, 1),JS=1,5),JT=1,5) /
     &4.7347E-09,3.0117E-06,5.4223E-06,7.5810E-06,1.1424E-05,4.5215E-09,
     &3.4421E-06,6.1959E-06,8.6619E-06,1.2884E-05,4.3334E-09,3.9143E-06,
     &7.0702E-06,9.8761E-06,1.4543E-05,4.1350E-09,4.4275E-06,8.0005E-06,
     &1.1195E-05,1.6319E-05,3.9653E-09,4.9769E-06,8.9931E-06,1.2598E-05,
     &1.8160E-05/
      DATA ((KB(JS,JT,28, 1),JS=1,5),JT=1,5) /
     &3.7948E-09,2.5415E-06,4.5819E-06,6.4336E-06,9.4956E-06,3.6083E-09,
     &2.9038E-06,5.2426E-06,7.3400E-06,1.0719E-05,3.4418E-09,3.3017E-06,
     &5.9733E-06,8.3575E-06,1.2066E-05,3.2636E-09,3.7297E-06,6.7493E-06,
     &9.4558E-06,1.3468E-05,3.1340E-09,4.1873E-06,7.5759E-06,1.0620E-05,
     &1.4953E-05/
      DATA ((KB(JS,JT,29, 1),JS=1,5),JT=1,5) /
     &3.0121E-09,2.1536E-06,3.8841E-06,5.4491E-06,7.9090E-06,2.8775E-09,
     &2.4557E-06,4.4467E-06,6.2247E-06,8.9148E-06,2.7196E-09,2.7900E-06,
     &5.0543E-06,7.0782E-06,9.9943E-06,2.5798E-09,3.1473E-06,5.7011E-06,
     &7.9936E-06,1.1135E-05,2.4785E-09,3.5287E-06,6.3894E-06,8.9624E-06,
     &1.2357E-05/
      DATA ((KB(JS,JT,30, 1),JS=1,5),JT=1,5) /
     &2.4034E-09,1.8231E-06,3.2945E-06,4.6183E-06,6.5837E-06,2.2702E-09,
     &2.0766E-06,3.7671E-06,5.2735E-06,7.3875E-06,2.1551E-09,2.3559E-06,
     &4.2744E-06,5.9932E-06,8.2665E-06,2.0397E-09,2.6541E-06,4.8137E-06,
     &6.7549E-06,9.2071E-06,1.9208E-09,2.9711E-06,5.3880E-06,7.5598E-06,
     &1.0211E-05/
      DATA ((KB(JS,JT,31, 1),JS=1,5),JT=1,5) /
     &1.9116E-09,1.5454E-06,2.7957E-06,3.9228E-06,5.4664E-06,1.8045E-09,
     &1.7579E-06,3.1938E-06,4.4780E-06,6.1205E-06,1.7015E-09,1.9911E-06,
     &3.6167E-06,5.0753E-06,6.8523E-06,1.6042E-09,2.2393E-06,4.0666E-06,
     &5.7094E-06,7.6260E-06,1.5189E-09,2.5035E-06,4.5439E-06,6.3785E-06,
     &8.4562E-06/
      DATA ((KB(JS,JT,32, 1),JS=1,5),JT=1,5) /
     &1.5134E-09,1.3080E-06,2.3763E-06,3.3360E-06,4.5382E-06,1.4254E-09,
     &1.4886E-06,2.7086E-06,3.7995E-06,5.0938E-06,1.3478E-09,1.6831E-06,
     &3.0605E-06,4.2971E-06,5.6933E-06,1.2726E-09,1.8904E-06,3.4353E-06,
     &4.8247E-06,6.3353E-06,1.2027E-09,2.1098E-06,3.8318E-06,5.3809E-06,
     &7.0302E-06/
      DATA ((KB(JS,JT,33, 1),JS=1,5),JT=1,5) /
     &1.2024E-09,1.1084E-06,2.0193E-06,2.8310E-06,3.7849E-06,1.1338E-09,
     &1.2605E-06,2.2949E-06,3.2221E-06,4.2458E-06,1.0678E-09,1.4231E-06,
     &2.5881E-06,3.6365E-06,4.7460E-06,1.0052E-09,1.5963E-06,2.9010E-06,
     &4.0728E-06,5.2804E-06,9.5946E-10,1.7779E-06,3.2301E-06,4.5381E-06,
     &5.8547E-06/
      DATA ((KB(JS,JT,34, 1),JS=1,5),JT=1,5) /
     &9.5750E-10,9.3665E-07,1.7068E-06,2.3954E-06,3.1611E-06,8.9991E-10,
     &1.0636E-06,1.9366E-06,2.7209E-06,3.5440E-06,8.4944E-10,1.1994E-06,
     &2.1804E-06,3.0651E-06,3.9600E-06,8.0863E-10,1.3431E-06,2.4406E-06,
     &3.4285E-06,4.4045E-06,7.6697E-10,1.4937E-06,2.7138E-06,3.8153E-06,
     &4.8739E-06/
      DATA ((KB(JS,JT,35, 1),JS=1,5),JT=1,5) /
     &7.6931E-10,7.8145E-07,1.4243E-06,2.0004E-06,2.6088E-06,7.2554E-10,
     &8.8652E-07,1.6140E-06,2.2684E-06,2.9255E-06,6.8677E-10,9.9872E-07,
     &1.8159E-06,2.5537E-06,3.2672E-06,6.4986E-10,1.1178E-06,2.0312E-06,
     &2.8542E-06,3.6304E-06,6.2177E-10,1.2420E-06,2.2566E-06,3.1737E-06,
     &4.0187E-06/
      DATA ((KB(JS,JT,36, 1),JS=1,5),JT=1,5) /
     &6.2245E-10,6.4235E-07,1.1709E-06,1.6445E-06,2.1213E-06,5.8696E-10,
     &7.2876E-07,1.3266E-06,1.8646E-06,2.3798E-06,5.5693E-10,8.2089E-07,
     &1.4927E-06,2.0991E-06,2.6600E-06,5.2934E-10,9.1874E-07,1.6695E-06,
     &2.3457E-06,2.9575E-06,5.0585E-10,1.0210E-06,1.8549E-06,2.6085E-06,
     &3.2758E-06/
      DATA ((KB(JS,JT,37, 1),JS=1,5),JT=1,5) /
     &5.1156E-10,5.1872E-07,9.4550E-07,1.3287E-06,1.7089E-06,4.8258E-10,
     &5.8908E-07,1.0722E-06,1.5079E-06,1.9187E-06,4.5694E-10,6.6421E-07,
     &1.2078E-06,1.6992E-06,2.1456E-06,4.3502E-10,7.4408E-07,1.3520E-06,
     &1.9000E-06,2.3876E-06,4.1517E-10,8.2758E-07,1.5034E-06,2.1146E-06,
     &2.6473E-06/
      DATA ((KB(JS,JT,38, 1),JS=1,5),JT=1,5) /
     &4.2094E-10,4.1837E-07,7.6260E-07,1.0719E-06,1.3756E-06,3.9700E-10,
     &4.7557E-07,8.6572E-07,1.2180E-06,1.5462E-06,3.7563E-10,5.3684E-07,
     &9.7613E-07,1.3738E-06,1.7289E-06,3.5783E-10,6.0193E-07,1.0936E-06,
     &1.5374E-06,1.9252E-06,3.4107E-10,6.7014E-07,1.2173E-06,1.7127E-06,
     &2.1369E-06/
      DATA ((KB(JS,JT,39, 1),JS=1,5),JT=1,5) /
     &3.4635E-10,3.3732E-07,6.1492E-07,8.6447E-07,1.1055E-06,3.2654E-10,
     &3.8383E-07,6.9869E-07,9.8355E-07,1.2440E-06,3.0909E-10,4.3371E-07,
     &7.8869E-07,1.1105E-06,1.3924E-06,2.9425E-10,4.8681E-07,8.8446E-07,
     &1.2433E-06,1.5526E-06,2.8000E-10,5.4256E-07,9.8550E-07,1.3868E-06,
     &1.7238E-06/
      DATA ((KB(JS,JT,40, 1),JS=1,5),JT=1,5) /
     &2.8731E-10,2.6843E-07,4.8915E-07,6.8810E-07,8.7867E-07,2.7089E-10,
     &3.0600E-07,5.5698E-07,7.8430E-07,9.9075E-07,2.5607E-10,3.4624E-07,
     &6.2966E-07,8.8677E-07,1.1107E-06,2.4372E-10,3.8926E-07,7.0732E-07,
     &9.9430E-07,1.2402E-06,2.3176E-10,4.3465E-07,7.8943E-07,1.1107E-06,
     &1.3787E-06/
      DATA ((KB(JS,JT,41, 1),JS=1,5),JT=1,5) /
     &2.3903E-10,2.1323E-07,3.8855E-07,5.4701E-07,6.9781E-07,2.2487E-10,
     &2.4332E-07,4.4328E-07,6.2397E-07,7.8774E-07,2.1236E-10,2.7581E-07,
     &5.0170E-07,7.0664E-07,8.8427E-07,2.0204E-10,3.1066E-07,5.6435E-07,
     &7.9384E-07,9.8899E-07,1.9209E-10,3.4753E-07,6.3119E-07,8.8787E-07,
     &1.1007E-06/
      DATA ((KB(JS,JT,42, 1),JS=1,5),JT=1,5) /
     &1.9868E-10,1.6950E-07,3.0885E-07,4.3426E-07,5.5336E-07,1.8681E-10,
     &1.9338E-07,3.5250E-07,4.9622E-07,6.2628E-07,1.7649E-10,2.1963E-07,
     &3.9950E-07,5.6269E-07,7.0396E-07,1.6753E-10,2.4778E-07,4.5013E-07,
     &6.3342E-07,7.8770E-07,1.5930E-10,2.7772E-07,5.0439E-07,7.0945E-07,
     &8.7783E-07/
      DATA ((KB(JS,JT,43, 1),JS=1,5),JT=1,5) /
     &1.6577E-10,1.3332E-07,2.4323E-07,3.4184E-07,4.3594E-07,1.5597E-10,
     &1.5245E-07,2.7801E-07,3.9130E-07,4.9460E-07,1.4721E-10,1.7354E-07,
     &3.1584E-07,4.4499E-07,5.5705E-07,1.3936E-10,1.9625E-07,3.5661E-07,
     &5.0189E-07,6.2398E-07,1.3255E-10,2.2044E-07,4.0034E-07,5.6308E-07,
     &6.9634E-07/
      DATA ((KB(JS,JT,44, 1),JS=1,5),JT=1,5) /
     &1.3861E-10,1.0445E-07,1.9058E-07,2.6841E-07,3.4233E-07,1.3027E-10,
     &1.1974E-07,2.1836E-07,3.0744E-07,3.8897E-07,1.2290E-10,1.3662E-07,
     &2.4864E-07,3.5065E-07,4.3916E-07,1.1611E-10,1.5484E-07,2.8155E-07,
     &3.9627E-07,4.9273E-07,1.1042E-10,1.7431E-07,3.1666E-07,4.4540E-07,
     &5.5087E-07/
      DATA ((KB(JS,JT,45, 1),JS=1,5),JT=1,5) /
     &1.1581E-10,8.1915E-08,1.4915E-07,2.1140E-07,2.6987E-07,1.0906E-10,
     &9.4077E-08,1.7143E-07,2.4173E-07,3.0586E-07,1.0254E-10,1.0745E-07,
     &1.9582E-07,2.7606E-07,3.4593E-07,9.6757E-11,1.2205E-07,2.2201E-07,
     &3.1271E-07,3.8876E-07,9.1979E-11,1.3772E-07,2.5015E-07,3.5208E-07,
     &4.3561E-07/
      DATA ((KB(JS,JT,46, 1),JS=1,5),JT=1,5) /
     &9.6889E-11,6.4116E-08,1.1708E-07,1.6455E-07,2.1036E-07,9.1281E-11,
     &7.3641E-08,1.3436E-07,1.8895E-07,2.3951E-07,8.5830E-11,8.4161E-08,
     &1.5360E-07,2.1643E-07,2.7176E-07,8.1048E-11,9.5867E-08,1.7447E-07,
     &2.4582E-07,3.0613E-07,7.6712E-11,1.0844E-07,1.9706E-07,2.7743E-07,
     &3.4329E-07/
      DATA ((KB(JS,JT,47, 1),JS=1,5),JT=1,5) /
     &8.1516E-11,4.9698E-08,9.0596E-08,1.2727E-07,1.6313E-07,7.6609E-11,
     &5.7132E-08,1.0433E-07,1.4694E-07,1.8672E-07,7.1975E-11,6.5534E-08,
     &1.1955E-07,1.6850E-07,2.1215E-07,6.7908E-11,7.4829E-08,1.3619E-07,
     &1.9209E-07,2.3959E-07,6.4117E-11,8.4872E-08,1.5433E-07,2.1733E-07,
     &2.6915E-07/
      DATA ((KB(JS,JT,48, 1),JS=1,5),JT=1,5) /
     &6.8429E-11,3.8715E-08,6.9854E-08,9.8377E-08,1.2619E-07,6.4236E-11,
     &4.4375E-08,8.0895E-08,1.1471E-07,1.4604E-07,6.0510E-11,5.1025E-08,
     &9.2977E-08,1.3123E-07,1.6542E-07,5.6851E-11,5.8345E-08,1.0633E-07,
     &1.4991E-07,1.8745E-07,5.3674E-11,6.6346E-08,1.2070E-07,1.7001E-07,
     &2.1095E-07/
      DATA ((KB(JS,JT,49, 1),JS=1,5),JT=1,5) /
     &5.7387E-11,2.9800E-08,5.3817E-08,7.5906E-08,9.7710E-08,5.3960E-11,
     &3.4500E-08,6.3205E-08,8.8655E-08,1.1310E-07,5.0740E-11,3.9684E-08,
     &7.2502E-08,1.0193E-07,1.2892E-07,4.7710E-11,4.5418E-08,8.2941E-08,
     &1.1692E-07,1.4649E-07,4.5050E-11,5.1797E-08,9.4320E-08,1.3296E-07,
     &1.6526E-07/
      DATA ((KB(JS,JT,50, 1),JS=1,5),JT=1,5) /
     &4.8010E-11,2.2999E-08,4.1682E-08,5.8975E-08,7.5898E-08,4.5282E-11,
     &2.6917E-08,4.8929E-08,6.8765E-08,8.7983E-08,4.2531E-11,3.0879E-08,
     &5.6406E-08,7.9593E-08,1.0109E-07,4.0002E-11,3.5470E-08,6.4706E-08,
     &9.1312E-08,1.1473E-07,3.7674E-11,4.0542E-08,7.3834E-08,1.0412E-07,
     &1.2967E-07/
      DATA ((KB(JS,JT,51, 1),JS=1,5),JT=1,5) /
     &4.0094E-11,1.7810E-08,3.2412E-08,4.5985E-08,5.9041E-08,3.7901E-11,
     &2.1013E-08,3.7921E-08,5.3479E-08,6.8479E-08,3.5584E-11,2.4100E-08,
     &4.3988E-08,6.2409E-08,7.9311E-08,3.3516E-11,2.7737E-08,5.0544E-08,
     &7.1436E-08,8.9912E-08,3.1503E-11,3.1738E-08,5.7889E-08,8.1591E-08,
     &1.0195E-07/
      DATA ((KB(JS,JT,52, 1),JS=1,5),JT=1,5) /
     &3.3462E-11,1.3829E-08,2.5227E-08,3.5498E-08,4.5793E-08,3.1703E-11,
     &1.6272E-08,2.9393E-08,4.1476E-08,5.3340E-08,2.9856E-11,1.8836E-08,
     &3.4537E-08,4.8490E-08,6.1791E-08,2.8038E-11,2.1684E-08,3.9578E-08,
     &5.5751E-08,7.0422E-08,2.6375E-11,2.4824E-08,4.5389E-08,6.3898E-08,
     &8.0071E-08/
      DATA ((KB(JS,JT,53, 1),JS=1,5),JT=1,5) /
     &2.7859E-11,1.0757E-08,1.9436E-08,2.7368E-08,3.5401E-08,2.6482E-11,
     &1.2575E-08,2.2786E-08,3.2275E-08,4.1504E-08,2.5013E-11,1.4718E-08,
     &2.6786E-08,3.7657E-08,4.8150E-08,2.3481E-11,1.6890E-08,3.0875E-08,
     &4.3561E-08,5.5284E-08,2.2103E-11,1.9405E-08,3.5435E-08,5.0046E-08,
     &6.2824E-08/
      DATA ((KB(JS,JT,54, 1),JS=1,5),JT=1,5) /
     &2.3262E-11,8.3534E-09,1.5033E-08,2.1142E-08,2.7491E-08,2.2075E-11,
     &9.7821E-09,1.7791E-08,2.5298E-08,3.2447E-08,2.0887E-11,1.1541E-08,
     &2.0852E-08,2.9392E-08,3.7643E-08,1.9629E-11,1.3228E-08,2.4164E-08,
     &3.4330E-08,4.3622E-08,1.8475E-11,1.5233E-08,2.7779E-08,3.9304E-08,
     &4.9432E-08/
      DATA ((KB(JS,JT,55, 1),JS=1,5),JT=1,5) /
     &1.9360E-11,6.4888E-09,1.1644E-08,1.6387E-08,2.1340E-08,1.8372E-11,
     &7.6367E-09,1.3947E-08,1.9672E-08,2.5401E-08,1.7421E-11,9.0083E-09,
     &1.6275E-08,2.2971E-08,2.9522E-08,1.6413E-11,1.0402E-08,1.9081E-08,
     &2.6854E-08,3.4233E-08,1.5417E-11,1.1984E-08,2.1835E-08,3.0856E-08,
     &3.8954E-08/
      DATA ((KB(JS,JT,56, 1),JS=1,5),JT=1,5) /
     &1.6094E-11,5.0174E-09,9.0283E-09,1.2718E-08,1.6576E-08,1.5265E-11,
     &5.9747E-09,1.0850E-08,1.5297E-08,1.9783E-08,1.4515E-11,7.0142E-09,
     &1.2699E-08,1.7960E-08,2.3171E-08,1.3715E-11,8.1626E-09,1.4940E-08,
     &2.0994E-08,2.6865E-08,1.2880E-11,9.4054E-09,1.7206E-08,2.4221E-08,
     &3.0739E-08/
      DATA ((KB(JS,JT,57, 1),JS=1,5),JT=1,5) /
     &1.3368E-11,3.8838E-09,6.9991E-09,9.8372E-09,1.2821E-08,1.2743E-11,
     &4.6751E-09,8.4243E-09,1.1856E-08,1.5406E-08,1.2087E-11,5.4642E-09,
     &9.9295E-09,1.4069E-08,1.8144E-08,1.1442E-11,6.4461E-09,1.1657E-08,
     &1.6407E-08,2.1072E-08,1.0759E-11,7.3711E-09,1.3478E-08,1.9106E-08,
     &2.4314E-08/
      DATA ((KB(JS,JT,58, 1),JS=1,5),JT=1,5) /
     &1.1081E-11,3.0148E-09,5.4165E-09,7.6421E-09,9.9496E-09,1.0598E-11,
     &3.6337E-09,6.5375E-09,9.2041E-09,1.2025E-08,1.0052E-11,4.2712E-09,
     &7.7841E-09,1.1053E-08,1.4306E-08,9.5308E-12,5.0429E-09,9.1133E-09,
     &1.2865E-08,1.6554E-08,8.9795E-12,5.7979E-09,1.0615E-08,1.5051E-08,
     &1.9216E-08/
      DATA ((KB(JS,JT,59, 1),JS=1,5),JT=1,5) /
     &9.1194E-12,2.4214E-09,4.3496E-09,6.1531E-09,8.0136E-09,8.7287E-12,
     &2.9232E-09,5.2535E-09,7.3966E-09,9.6830E-09,8.2765E-12,3.4412E-09,
     &6.2788E-09,8.8992E-09,1.1534E-08,7.8605E-12,4.0632E-09,7.3454E-09,
     &1.0382E-08,1.3372E-08,7.4127E-12,4.6801E-09,8.5910E-09,1.2137E-08,
     &1.5530E-08/
      DATA ((KB(JS,JT,13, 2),JS=1,5),JT=1,5) /
     &1.7576E-06,2.2518E-04,3.6398E-04,4.6505E-04,9.7920E-04,1.9522E-06,
     &2.5688E-04,4.2724E-04,5.4293E-04,1.1261E-03,2.1134E-06,2.9382E-04,
     &4.9778E-04,6.3186E-04,1.2961E-03,2.2680E-06,3.3585E-04,5.7095E-04,
     &7.3149E-04,1.4857E-03,2.3939E-06,3.8326E-04,6.4688E-04,8.4120E-04,
     &1.6815E-03/
      DATA ((KB(JS,JT,14, 2),JS=1,5),JT=1,5) /
     &1.3866E-06,1.8816E-04,3.0541E-04,3.9082E-04,8.0614E-04,1.4825E-06,
     &2.1525E-04,3.5906E-04,4.5772E-04,9.2976E-04,1.6428E-06,2.4664E-04,
     &4.1891E-04,5.3341E-04,1.0689E-03,1.7807E-06,2.8218E-04,4.8021E-04,
     &6.1861E-04,1.2236E-03,1.8685E-06,3.2204E-04,5.4385E-04,7.1223E-04,
     &1.3844E-03/
      DATA ((KB(JS,JT,15, 2),JS=1,5),JT=1,5) /
     &1.0483E-06,1.5699E-04,2.5571E-04,3.2803E-04,6.5873E-04,1.1310E-06,
     &1.8016E-04,3.0071E-04,3.8534E-04,7.5916E-04,1.2330E-06,2.0672E-04,
     &3.5181E-04,4.4940E-04,8.7041E-04,1.3426E-06,2.3650E-04,4.0292E-04,
     &5.2246E-04,9.9445E-04,1.4514E-06,2.6979E-04,4.5684E-04,6.0195E-04,
     &1.1173E-03/
      DATA ((KB(JS,JT,16, 2),JS=1,5),JT=1,5) /
     &8.0663E-07,1.3098E-04,2.1382E-04,2.7539E-04,5.3727E-04,8.5747E-07,
     &1.5058E-04,2.5201E-04,3.2406E-04,6.1573E-04,9.2435E-07,1.7283E-04,
     &2.9542E-04,3.7879E-04,7.0140E-04,9.9747E-07,1.9793E-04,3.3807E-04,
     &4.4076E-04,7.9468E-04,1.0819E-06,2.2582E-04,3.8354E-04,5.0663E-04,
     &8.8980E-04/
      DATA ((KB(JS,JT,17, 2),JS=1,5),JT=1,5) /
     &6.1772E-07,1.0941E-04,1.7926E-04,2.3144E-04,4.3554E-04,6.5718E-07,
     &1.2576E-04,2.1174E-04,2.7275E-04,4.9750E-04,6.9949E-07,1.4461E-04,
     &2.4852E-04,3.1937E-04,5.6462E-04,7.5387E-07,1.6580E-04,2.8374E-04,
     &3.7213E-04,6.3507E-04,7.9715E-07,1.8926E-04,3.2236E-04,4.2588E-04,
     &7.0728E-04/
      DATA ((KB(JS,JT,18, 2),JS=1,5),JT=1,5) /
     &4.7188E-07,9.1952E-05,1.5100E-04,1.9495E-04,3.5543E-04,5.0937E-07,
     &1.0513E-04,1.7852E-04,2.2999E-04,4.0250E-04,5.4206E-07,1.2130E-04,
     &2.0959E-04,2.6979E-04,4.5662E-04,5.7328E-07,1.3936E-04,2.3815E-04,
     &3.1451E-04,5.1113E-04,6.1077E-07,1.5916E-04,2.7075E-04,3.5967E-04,
     &5.7076E-04/
      DATA ((KB(JS,JT,19, 2),JS=1,5),JT=1,5) /
     &3.6005E-07,7.6984E-05,1.2743E-04,1.6422E-04,2.8885E-04,3.8988E-07,
     &8.8029E-05,1.5067E-04,1.9396E-04,3.2854E-04,4.1989E-07,1.0172E-04,
     &1.7539E-04,2.2784E-04,3.7045E-04,4.4092E-07,1.1727E-04,2.0004E-04,
     &2.6592E-04,4.1598E-04,4.6883E-07,1.3386E-04,2.2769E-04,3.0285E-04,
     &4.6550E-04/
      DATA ((KB(JS,JT,20, 2),JS=1,5),JT=1,5) /
     &2.7908E-07,6.4450E-05,1.0795E-04,1.3889E-04,2.3878E-04,3.0934E-07,
     &7.4187E-05,1.2773E-04,1.6417E-04,2.7017E-04,3.3086E-07,8.5801E-05,
     &1.4782E-04,1.9307E-04,3.0508E-04,3.5058E-07,9.8861E-05,1.6868E-04,
     &2.2508E-04,3.4249E-04,3.7069E-07,1.1306E-04,1.9188E-04,2.5601E-04,
     &3.8519E-04/
      DATA ((KB(JS,JT,21, 2),JS=1,5),JT=1,5) /
     &2.2418E-07,5.4095E-05,9.1414E-05,1.1757E-04,1.9697E-04,2.4559E-07,
     &6.2567E-05,1.0819E-04,1.3908E-04,2.2284E-04,2.6169E-07,7.2383E-05,
     &1.2481E-04,1.6368E-04,2.5205E-04,2.7885E-07,8.3446E-05,1.4258E-04,
     &1.8910E-04,2.8386E-04,2.9344E-07,9.5540E-05,1.6198E-04,2.1609E-04,
     &3.1947E-04/
      DATA ((KB(JS,JT,22, 2),JS=1,5),JT=1,5) /
     &1.7941E-07,4.5830E-05,7.8176E-05,1.0061E-04,1.6313E-04,1.9397E-07,
     &5.3139E-05,9.2556E-05,1.1901E-04,1.8482E-04,2.0707E-07,6.1593E-05,
     &1.0579E-04,1.4008E-04,2.0965E-04,2.2071E-07,7.1016E-05,1.2100E-04,
     &1.6128E-04,2.3661E-04,2.3148E-07,8.1286E-05,1.3795E-04,1.8401E-04,
     &2.6580E-04/
      DATA ((KB(JS,JT,23, 2),JS=1,5),JT=1,5) /
     &1.4291E-07,3.8825E-05,6.6866E-05,8.6140E-05,1.3511E-04,1.5179E-07,
     &4.5135E-05,7.8450E-05,1.0194E-04,1.5369E-04,1.6326E-07,5.2399E-05,
     &8.9919E-05,1.2001E-04,1.7441E-04,1.7307E-07,6.0440E-05,1.0293E-04,
     &1.3735E-04,1.9668E-04,1.8137E-07,6.9189E-05,1.1759E-04,1.5651E-04,
     &2.1998E-04/
      DATA ((KB(JS,JT,24, 2),JS=1,5),JT=1,5) /
     &1.1245E-07,3.2862E-05,5.7166E-05,7.3828E-05,1.1185E-04,1.1958E-07,
     &3.8281E-05,6.6635E-05,8.7390E-05,1.2740E-04,1.2702E-07,4.4519E-05,
     &7.6606E-05,1.0190E-04,1.4418E-04,1.3467E-07,5.1373E-05,8.7622E-05,
     &1.1700E-04,1.6205E-04,1.4120E-07,5.8874E-05,1.0019E-04,1.3348E-04,
     &1.8188E-04/
      DATA ((KB(JS,JT,25, 2),JS=1,5),JT=1,5) /
     &8.8242E-08,2.7950E-05,4.9010E-05,6.3434E-05,9.2877E-05,9.4383E-08,
     &3.2610E-05,5.6690E-05,7.5114E-05,1.0531E-04,9.9712E-08,3.7929E-05,
     &6.5204E-05,8.7113E-05,1.1931E-04,1.0473E-07,4.3778E-05,7.4805E-05,
     &9.9950E-05,1.3427E-04,1.0988E-07,5.0229E-05,8.5598E-05,1.1406E-04,
     &1.5050E-04/
      DATA ((KB(JS,JT,26, 2),JS=1,5),JT=1,5) /
     &6.9696E-08,2.3895E-05,4.2166E-05,5.4733E-05,7.7146E-05,7.4390E-08,
     &2.7921E-05,4.8387E-05,6.4817E-05,8.7607E-05,7.8856E-08,3.2497E-05,
     &5.5692E-05,7.4691E-05,9.9387E-05,8.3253E-08,3.7491E-05,6.4130E-05,
     &8.5609E-05,1.1193E-04,8.7675E-08,4.3011E-05,7.3398E-05,9.7828E-05,
     &1.2574E-04/
      DATA ((KB(JS,JT,27, 2),JS=1,5),JT=1,5) /
     &5.4619E-08,2.0469E-05,3.5869E-05,4.7259E-05,6.4151E-05,5.8657E-08,
     &2.3925E-05,4.1468E-05,5.5499E-05,7.2911E-05,6.2532E-08,2.7839E-05,
     &4.7735E-05,6.3985E-05,8.2955E-05,6.6184E-08,3.2141E-05,5.5001E-05,
     &7.3456E-05,9.3567E-05,6.9305E-08,3.6605E-05,6.2968E-05,8.3938E-05,
     &1.0517E-04/
      DATA ((KB(JS,JT,28, 2),JS=1,5),JT=1,5) /
     &4.3348E-08,1.7476E-05,3.0692E-05,4.0803E-05,5.3271E-05,4.6348E-08,
     &2.0496E-05,3.5498E-05,4.7629E-05,6.0809E-05,4.9507E-08,2.3857E-05,
     &4.0974E-05,5.4947E-05,6.9222E-05,5.2419E-08,2.7560E-05,4.7205E-05,
     &6.3044E-05,7.8123E-05,5.4842E-08,3.1094E-05,5.4028E-05,7.2116E-05,
     &8.7834E-05/
      DATA ((KB(JS,JT,29, 2),JS=1,5),JT=1,5) /
     &3.4480E-08,1.5027E-05,2.6268E-05,3.5358E-05,4.4711E-05,3.6985E-08,
     &1.7638E-05,3.0405E-05,4.0938E-05,5.1054E-05,3.9476E-08,2.0512E-05,
     &3.5237E-05,4.7207E-05,5.8034E-05,4.1650E-08,2.3694E-05,4.0586E-05,
     &5.4286E-05,6.5708E-05,4.3693E-08,2.6438E-05,4.6467E-05,6.2035E-05,
     &7.3872E-05/
      DATA ((KB(JS,JT,30, 2),JS=1,5),JT=1,5) /
     &2.7402E-08,1.2932E-05,2.2585E-05,3.0365E-05,3.7471E-05,2.9377E-08,
     &1.5183E-05,2.6158E-05,3.5195E-05,4.2867E-05,3.1353E-08,1.7658E-05,
     &3.0343E-05,4.0606E-05,4.8858E-05,3.3056E-08,2.0286E-05,3.4924E-05,
     &4.6735E-05,5.5329E-05,3.4673E-08,2.2451E-05,3.9717E-05,5.3329E-05,
     &6.2151E-05/
      DATA ((KB(JS,JT,31, 2),JS=1,5),JT=1,5) /
     &2.1716E-08,1.1156E-05,1.9427E-05,2.6169E-05,3.1512E-05,2.3313E-08,
     &1.3091E-05,2.2568E-05,3.0377E-05,3.6216E-05,2.4803E-08,1.5221E-05,
     &2.6157E-05,3.5050E-05,4.1256E-05,2.6260E-08,1.7277E-05,3.0091E-05,
     &4.0288E-05,4.6693E-05,2.7334E-08,1.9159E-05,3.3773E-05,4.5892E-05,
     &5.2314E-05/
      DATA ((KB(JS,JT,32, 2),JS=1,5),JT=1,5) /
     &1.7123E-08,9.6453E-06,1.6688E-05,2.2528E-05,2.6648E-05,1.8489E-08,
     &1.1305E-05,1.9464E-05,2.6137E-05,3.0617E-05,1.9621E-08,1.3143E-05,
     &2.2554E-05,3.0238E-05,3.4876E-05,2.0653E-08,1.4698E-05,2.5928E-05,
     &3.4712E-05,3.9398E-05,2.1500E-08,1.6315E-05,2.8651E-05,3.9302E-05,
     &4.4097E-05/
      DATA ((KB(JS,JT,33, 2),JS=1,5),JT=1,5) /
     &1.3414E-08,8.3355E-06,1.4409E-05,1.9461E-05,2.2582E-05,1.4456E-08,
     &9.7647E-06,1.6818E-05,2.2578E-05,2.5923E-05,1.5416E-08,1.1250E-05,
     &1.9451E-05,2.6119E-05,2.9482E-05,1.6184E-08,1.2520E-05,2.2064E-05,
     &2.9911E-05,3.3230E-05,1.6861E-08,1.3810E-05,2.4332E-05,3.3363E-05,
     &3.7135E-05/
      DATA ((KB(JS,JT,34, 2),JS=1,5),JT=1,5) /
     &1.0575E-08,7.1786E-06,1.2407E-05,1.6719E-05,1.9158E-05,1.1328E-08,
     &8.4093E-06,1.4457E-05,1.9433E-05,2.1940E-05,1.2049E-08,9.5860E-06,
     &1.6718E-05,2.2425E-05,2.4932E-05,1.2689E-08,1.0655E-05,1.8771E-05,
     &2.5647E-05,2.8065E-05,1.3241E-08,1.1703E-05,2.0628E-05,2.8184E-05,
     &3.1323E-05/
      DATA ((KB(JS,JT,35, 2),JS=1,5),JT=1,5) /
     &8.2489E-09,6.0850E-06,1.0505E-05,1.4140E-05,1.6004E-05,8.8532E-09,
     &7.1306E-06,1.2250E-05,1.6463E-05,1.8333E-05,9.3468E-09,8.0269E-06,
     &1.4158E-05,1.8989E-05,2.0835E-05,9.8478E-09,8.9450E-06,1.5691E-05,
     &2.1576E-05,2.3428E-05,1.0332E-08,9.8354E-06,1.7293E-05,2.3618E-05,
     &2.6128E-05/
      DATA ((KB(JS,JT,36, 2),JS=1,5),JT=1,5) /
     &6.3951E-09,5.0545E-06,8.7378E-06,1.1778E-05,1.3176E-05,6.8252E-09,
     &5.9348E-06,1.0193E-05,1.3730E-05,1.5104E-05,7.2445E-09,6.6480E-06,
     &1.1783E-05,1.5832E-05,1.7160E-05,7.5871E-09,7.3960E-06,1.3005E-05,
     &1.7866E-05,1.9295E-05,7.9075E-09,8.1558E-06,1.4306E-05,1.9617E-05,
     &2.1532E-05/
      DATA ((KB(JS,JT,37, 2),JS=1,5),JT=1,5) /
     &5.0574E-09,4.1215E-06,7.1249E-06,9.5923E-06,1.0686E-05,5.3967E-09,
     &4.8518E-06,8.3286E-06,1.1206E-05,1.2269E-05,5.7517E-09,5.4411E-06,
     &9.6383E-06,1.2942E-05,1.3958E-05,6.0273E-09,6.0590E-06,1.0644E-05,
     &1.4619E-05,1.5714E-05,6.2775E-09,6.6900E-06,1.1723E-05,1.6077E-05,
     &1.7560E-05/
      DATA ((KB(JS,JT,38, 2),JS=1,5),JT=1,5) /
     &3.9948E-09,3.3535E-06,5.7976E-06,7.7989E-06,8.6548E-06,4.2642E-09,
     &3.9584E-06,6.7932E-06,9.1290E-06,9.9507E-06,4.5529E-09,4.4478E-06,
     &7.8746E-06,1.0563E-05,1.1338E-05,4.7911E-09,4.9592E-06,8.7019E-06,
     &1.1950E-05,1.2783E-05,4.9959E-09,5.4820E-06,9.5964E-06,1.3155E-05,
     &1.4308E-05/
      DATA ((KB(JS,JT,39, 2),JS=1,5),JT=1,5) /
     &3.1607E-09,2.7260E-06,4.7143E-06,6.3381E-06,7.0094E-06,3.3771E-09,
     &3.2263E-06,5.5352E-06,7.4322E-06,8.0695E-06,3.5907E-09,3.6316E-06,
     &6.4256E-06,8.6133E-06,9.2019E-06,3.7920E-09,4.0555E-06,7.1128E-06,
     &9.7677E-06,1.0392E-05,3.9687E-09,4.4882E-06,7.8499E-06,1.0753E-05,
     &1.1647E-05/
      DATA ((KB(JS,JT,40, 2),JS=1,5),JT=1,5) /
     &2.5137E-09,2.1782E-06,3.7700E-06,5.0636E-06,5.5872E-06,2.6953E-09,
     &2.5872E-06,4.4411E-06,5.9538E-06,6.4693E-06,2.8738E-09,2.9415E-06,
     &5.1697E-06,6.9217E-06,7.3806E-06,3.0365E-09,3.2887E-06,5.7574E-06,
     &7.9115E-06,8.3547E-06,3.1827E-09,3.6391E-06,6.3730E-06,8.7114E-06,
     &9.3854E-06/
      DATA ((KB(JS,JT,41, 2),JS=1,5),JT=1,5) /
     &2.0049E-09,1.7350E-06,3.0089E-06,4.0342E-06,4.4437E-06,2.1522E-09,
     &2.0685E-06,3.5532E-06,4.7542E-06,5.1577E-06,2.2978E-09,2.3716E-06,
     &4.1490E-06,5.5459E-06,5.9029E-06,2.4277E-09,2.6608E-06,4.6585E-06,
     &6.3928E-06,6.7015E-06,2.5592E-09,2.9434E-06,5.1614E-06,7.0376E-06,
     &7.5472E-06/
      DATA ((KB(JS,JT,42, 2),JS=1,5),JT=1,5) /
     &1.6007E-09,1.3793E-06,2.3939E-06,3.2203E-06,3.5347E-06,1.7182E-09,
     &1.6509E-06,2.8388E-06,3.7950E-06,4.1069E-06,1.8364E-09,1.9058E-06,
     &3.3250E-06,4.4386E-06,4.7169E-06,1.9459E-09,2.1436E-06,3.7676E-06,
     &5.1389E-06,5.3710E-06,2.0555E-09,2.3781E-06,4.1722E-06,5.6915E-06,
     &6.0613E-06/
      DATA ((KB(JS,JT,43, 2),JS=1,5),JT=1,5) /
     &1.2763E-09,1.0855E-06,1.8842E-06,2.5355E-06,2.7894E-06,1.3693E-09,
     &1.3038E-06,2.2434E-06,2.9991E-06,3.2452E-06,1.4669E-09,1.5227E-06,
     &2.6394E-06,3.5195E-06,3.7403E-06,1.5621E-09,1.7145E-06,3.0188E-06,
     &4.0881E-06,4.2757E-06,1.6467E-09,1.9093E-06,3.3481E-06,4.5768E-06,
     &4.8357E-06/
      DATA ((KB(JS,JT,44, 2),JS=1,5),JT=1,5) /
     &1.0164E-09,8.4908E-07,1.4741E-06,1.9864E-06,2.1744E-06,1.0926E-09,
     &1.0232E-06,1.7642E-06,2.3536E-06,2.5562E-06,1.1717E-09,1.2156E-06,
     &2.0836E-06,2.7750E-06,2.9547E-06,1.2502E-09,1.3671E-06,2.4149E-06,
     &3.2374E-06,3.3856E-06,1.3204E-09,1.5290E-06,2.6801E-06,3.6631E-06,
     &3.8430E-06/
      DATA ((KB(JS,JT,45, 2),JS=1,5),JT=1,5) /
     &8.0967E-10,6.6247E-07,1.1525E-06,1.5557E-06,1.6911E-06,8.7091E-10,
     &8.0114E-07,1.3838E-06,1.8457E-06,2.0071E-06,9.3471E-10,9.6063E-07,
     &1.6414E-06,2.1862E-06,2.3357E-06,9.9996E-10,1.0898E-06,1.9287E-06,
     &2.5587E-06,2.6765E-06,1.0594E-09,1.2255E-06,2.1437E-06,2.9239E-06,
     &3.0491E-06/
      DATA ((KB(JS,JT,46, 2),JS=1,5),JT=1,5) /
     &6.4438E-10,5.1408E-07,8.9692E-07,1.2176E-06,1.3094E-06,6.9338E-10,
     &6.2335E-07,1.0783E-06,1.4408E-06,1.5697E-06,7.4249E-10,7.5197E-07,
     &1.2859E-06,1.7116E-06,1.8286E-06,7.9710E-10,8.6785E-07,1.5182E-06,
     &2.0117E-06,2.1072E-06,8.4966E-10,9.7923E-07,1.7156E-06,2.3354E-06,
     &2.4096E-06/
      DATA ((KB(JS,JT,47, 2),JS=1,5),JT=1,5) /
     &5.1236E-10,3.9483E-07,6.9100E-07,9.4871E-07,1.0050E-06,5.5075E-10,
     &4.8075E-07,8.3326E-07,1.1171E-06,1.2169E-06,5.9153E-10,5.8279E-07,
     &9.9922E-07,1.3307E-06,1.4227E-06,6.3485E-10,6.8347E-07,1.1845E-06,
     &1.5696E-06,1.6474E-06,6.7833E-10,7.7359E-07,1.3593E-06,1.8329E-06,
     &1.8933E-06/
      DATA ((KB(JS,JT,48, 2),JS=1,5),JT=1,5) /
     &4.0749E-10,3.0162E-07,5.3408E-07,7.2777E-07,7.6768E-07,4.3682E-10,
     &3.6975E-07,6.4201E-07,8.6174E-07,9.3334E-07,4.6981E-10,4.5015E-07,
     &7.7460E-07,1.0306E-06,1.1092E-06,5.0302E-10,5.3912E-07,9.2171E-07,
     &1.2225E-06,1.2874E-06,5.3999E-10,6.1013E-07,1.0790E-06,1.4334E-06,
     &1.4828E-06/
      DATA ((KB(JS,JT,49, 2),JS=1,5),JT=1,5) /
     &3.2288E-10,2.3115E-07,4.1625E-07,5.5318E-07,5.8476E-07,3.4731E-10,
     &2.8355E-07,4.9493E-07,6.6850E-07,7.1600E-07,3.7310E-10,3.4682E-07,
     &5.9820E-07,7.9617E-07,8.5985E-07,3.9975E-10,4.2034E-07,7.1527E-07,
     &9.5046E-07,1.0041E-06,4.2970E-10,4.8341E-07,8.4829E-07,1.1191E-06,
     &1.1582E-06/
      DATA ((KB(JS,JT,50, 2),JS=1,5),JT=1,5) /
     &2.5646E-10,1.7743E-07,3.2423E-07,4.2175E-07,4.4754E-07,2.7669E-10,
     &2.1856E-07,3.8220E-07,5.2102E-07,5.5141E-07,2.9654E-10,2.6808E-07,
     &4.6375E-07,6.1921E-07,6.7025E-07,3.1872E-10,3.2662E-07,5.5687E-07,
     &7.3985E-07,7.8291E-07,3.4198E-10,3.8136E-07,6.6385E-07,8.7591E-07,
     &9.0771E-07/
      DATA ((KB(JS,JT,51, 2),JS=1,5),JT=1,5) /
     &2.0472E-10,1.3694E-07,2.4726E-07,3.2216E-07,3.4229E-07,2.2054E-10,
     &1.6842E-07,2.9646E-07,4.0635E-07,4.2402E-07,2.3653E-10,2.0731E-07,
     &3.5913E-07,4.8027E-07,5.1714E-07,2.5402E-10,2.5379E-07,4.3377E-07,
     &5.7689E-07,6.1228E-07,2.7233E-10,3.0202E-07,5.1940E-07,6.8626E-07,
     &7.1146E-07/
      DATA ((KB(JS,JT,52, 2),JS=1,5),JT=1,5) /
     &1.6428E-10,1.0687E-07,1.8803E-07,2.4517E-07,2.6090E-07,1.7520E-10,
     &1.2978E-07,2.3025E-07,3.1106E-07,3.2512E-07,1.8865E-10,1.5994E-07,
     &2.7726E-07,3.7261E-07,3.9888E-07,2.0265E-10,1.9670E-07,3.3708E-07,
     &4.4845E-07,4.7779E-07,2.1711E-10,2.3739E-07,4.0528E-07,5.3668E-07,
     &5.5828E-07/
      DATA ((KB(JS,JT,53, 2),JS=1,5),JT=1,5) /
     &1.3206E-10,8.2677E-08,1.4284E-07,1.8640E-07,1.9898E-07,1.3938E-10,
     &9.9597E-08,1.8095E-07,2.3725E-07,2.4911E-07,1.5056E-10,1.2309E-07,
     &2.1494E-07,2.9026E-07,3.0720E-07,1.6136E-10,1.5205E-07,2.6147E-07,
     &3.4774E-07,3.7331E-07,1.7318E-10,1.8547E-07,3.1566E-07,4.1857E-07,
     &4.3649E-07/
      DATA ((KB(JS,JT,54, 2),JS=1,5),JT=1,5) /
     &1.0628E-10,6.3529E-08,1.0938E-07,1.4285E-07,1.5281E-07,1.1181E-10,
     &7.7068E-08,1.4036E-07,1.8201E-07,1.9163E-07,1.1992E-10,9.5387E-08,
     &1.6692E-07,2.2878E-07,2.3824E-07,1.2900E-10,1.1809E-07,2.0406E-07,
     &2.7163E-07,2.9078E-07,1.3828E-10,1.4510E-07,2.4678E-07,3.2753E-07,
     &3.4217E-07/
      DATA ((KB(JS,JT,55, 2),JS=1,5),JT=1,5) /
     &8.5664E-11,4.8444E-08,8.3932E-08,1.0950E-07,1.1785E-07,8.9999E-11,
     &5.9885E-08,1.0776E-07,1.4023E-07,1.4763E-07,9.5836E-11,7.3941E-08,
     &1.3023E-07,1.7876E-07,1.8426E-07,1.0323E-10,9.1791E-08,1.5882E-07,
     &2.1202E-07,2.2611E-07,1.1081E-10,1.1336E-07,1.9316E-07,2.5647E-07,
     &2.6918E-07/
      DATA ((KB(JS,JT,56, 2),JS=1,5),JT=1,5) /
     &6.9093E-11,3.6832E-08,6.4123E-08,8.4030E-08,9.0974E-08,7.2433E-11,
     &4.7084E-08,8.2613E-08,1.0758E-07,1.1346E-07,7.6616E-11,5.7388E-08,
     &1.0182E-07,1.3768E-07,1.4224E-07,8.2709E-11,7.1294E-08,1.2355E-07,
     &1.6530E-07,1.7549E-07,8.8636E-11,8.8445E-08,1.5094E-07,2.0067E-07,
     &2.1118E-07/
      DATA ((KB(JS,JT,57, 2),JS=1,5),JT=1,5) /
     &5.5980E-11,2.8018E-08,4.8867E-08,6.4857E-08,7.0055E-08,5.8397E-11,
     &3.6620E-08,6.3232E-08,8.2428E-08,8.7457E-08,6.1509E-11,4.4446E-08,
     &8.0512E-08,1.0580E-07,1.0988E-07,6.6015E-11,5.5222E-08,9.6401E-08,
     &1.2935E-07,1.3614E-07,7.0976E-11,6.8821E-08,1.1780E-07,1.5632E-07,
     &1.6586E-07/
      DATA ((KB(JS,JT,58, 2),JS=1,5),JT=1,5) /
     &4.5722E-11,2.1506E-08,3.7326E-08,5.0333E-08,5.4855E-08,4.7090E-11,
     &2.8249E-08,4.8612E-08,6.3442E-08,6.7550E-08,4.9550E-11,3.4430E-08,
     &6.2769E-08,8.1509E-08,8.4917E-08,5.2817E-11,4.2958E-08,7.5173E-08,
     &1.0204E-07,1.0603E-07,5.6864E-11,5.3637E-08,9.2044E-08,1.2229E-07,
     &1.3011E-07/
      DATA ((KB(JS,JT,59, 2),JS=1,5),JT=1,5) /
     &3.7496E-11,1.7255E-08,2.9967E-08,4.0394E-08,4.4059E-08,3.8367E-11,
     &2.2782E-08,3.9144E-08,5.1019E-08,5.4404E-08,4.0346E-11,2.7842E-08,
     &5.0692E-08,6.5716E-08,6.8440E-08,4.2908E-11,3.4761E-08,6.0846E-08,
     &8.2834E-08,8.5713E-08,4.6213E-11,4.3467E-08,7.4626E-08,9.9144E-08,
     &1.0518E-07/
      DATA ((KB(JS,JT,13, 3),JS=1,5),JT=1,5) /
     &9.1180E-06,1.2754E-03,1.9900E-03,2.4440E-03,4.0576E-03,9.5037E-06,
     &1.4150E-03,2.2145E-03,2.8094E-03,4.4375E-03,9.9757E-06,1.5626E-03,
     &2.4320E-03,3.1375E-03,4.8097E-03,1.0508E-05,1.6997E-03,2.6926E-03,
     &3.4483E-03,5.1554E-03,1.1033E-05,1.8373E-03,2.9684E-03,3.7861E-03,
     &5.4896E-03/
      DATA ((KB(JS,JT,14, 3),JS=1,5),JT=1,5) /
     &7.3209E-06,1.0727E-03,1.6787E-03,2.0881E-03,3.3041E-03,7.6795E-06,
     &1.1937E-03,1.8683E-03,2.3616E-03,3.6246E-03,8.0417E-06,1.3177E-03,
     &2.0567E-03,2.6465E-03,3.9438E-03,8.4296E-06,1.4317E-03,2.2826E-03,
     &2.9022E-03,4.2368E-03,8.8950E-06,1.5495E-03,2.5084E-03,3.1901E-03,
     &4.4992E-03/
      DATA ((KB(JS,JT,15, 3),JS=1,5),JT=1,5) /
     &5.8275E-06,8.9895E-04,1.4161E-03,1.7760E-03,2.6508E-03,6.1166E-06,
     &1.0025E-03,1.5706E-03,1.9893E-03,2.9219E-03,6.4340E-06,1.1055E-03,
     &1.7375E-03,2.2237E-03,3.1718E-03,6.7501E-06,1.2028E-03,1.9291E-03,
     &2.4433E-03,3.4015E-03,7.0843E-06,1.3034E-03,2.1152E-03,2.6892E-03,
     &3.6350E-03/
      DATA ((KB(JS,JT,16, 3),JS=1,5),JT=1,5) /
     &4.5776E-06,7.5233E-04,1.1906E-03,1.4957E-03,2.1076E-03,4.8262E-06,
     &8.4051E-04,1.3192E-03,1.6780E-03,2.3267E-03,5.1024E-06,9.2603E-04,
     &1.4653E-03,1.8671E-03,2.5242E-03,5.3856E-06,1.0093E-03,1.6288E-03,
     &2.0599E-03,2.7134E-03,5.6625E-06,1.0939E-03,1.7834E-03,2.2693E-03,
     &2.9092E-03/
      DATA ((KB(JS,JT,17, 3),JS=1,5),JT=1,5) /
     &3.5978E-06,6.3055E-04,1.0001E-03,1.2618E-03,1.6759E-03,3.8090E-06,
     &7.0519E-04,1.1080E-03,1.4142E-03,1.8563E-03,4.0365E-06,7.7593E-04,
     &1.2352E-03,1.5692E-03,2.0215E-03,4.2692E-06,8.4648E-04,1.3753E-03,
     &1.7361E-03,2.1882E-03,4.5325E-06,9.1815E-04,1.5031E-03,1.9156E-03,
     &2.3511E-03/
      DATA ((KB(JS,JT,18, 3),JS=1,5),JT=1,5) /
     &2.8577E-06,5.2923E-04,8.4060E-04,1.0641E-03,1.3524E-03,3.0189E-06,
     &5.9275E-04,9.3264E-04,1.1925E-03,1.5051E-03,3.1971E-06,6.5140E-04,
     &1.0422E-03,1.3174E-03,1.6413E-03,3.3981E-06,7.1144E-04,1.1594E-03,
     &1.4613E-03,1.7851E-03,3.6127E-06,7.7200E-04,1.2685E-03,1.6164E-03,
     &1.9166E-03/
      DATA ((KB(JS,JT,19, 3),JS=1,5),JT=1,5) /
     &2.2832E-06,4.4489E-04,7.0523E-04,8.9150E-04,1.1054E-03,2.4005E-06,
     &4.9860E-04,7.8596E-04,1.0033E-03,1.2310E-03,2.5465E-06,5.4746E-04,
     &8.8096E-04,1.1084E-03,1.3479E-03,2.7167E-06,5.9760E-04,9.7685E-04,
     &1.2305E-03,1.4668E-03,2.8927E-06,6.4844E-04,1.0695E-03,1.3632E-03,
     &1.5746E-03/
      DATA ((KB(JS,JT,20, 3),JS=1,5),JT=1,5) /
     &1.8426E-06,3.7567E-04,5.9276E-04,7.5002E-04,9.1159E-04,1.9324E-06,
     &4.2049E-04,6.6376E-04,8.4304E-04,1.0175E-03,2.0563E-06,4.6104E-04,
     &7.4561E-04,9.3568E-04,1.1153E-03,2.1952E-06,5.0302E-04,8.2491E-04,
     &1.0410E-03,1.2131E-03,2.3429E-06,5.4570E-04,9.0324E-04,1.1512E-03,
     &1.3002E-03/
      DATA ((KB(JS,JT,21, 3),JS=1,5),JT=1,5) /
     &1.4914E-06,3.1727E-04,4.9879E-04,6.3141E-04,7.5480E-04,1.5711E-06,
     &3.5367E-04,5.6105E-04,7.0859E-04,8.4278E-04,1.6720E-06,3.8776E-04,
     &6.3122E-04,7.9066E-04,9.2492E-04,1.7830E-06,4.2327E-04,6.9655E-04,
     &8.8311E-04,1.0041E-03,1.9065E-06,4.5905E-04,7.6238E-04,9.7320E-04,
     &1.0767E-03/
      DATA ((KB(JS,JT,22, 3),JS=1,5),JT=1,5) /
     &1.2007E-06,2.6976E-04,4.2316E-04,5.3750E-04,6.2747E-04,1.2744E-06,
     &2.9880E-04,4.7840E-04,6.0094E-04,7.0134E-04,1.3572E-06,3.2813E-04,
     &5.3672E-04,6.7341E-04,7.6916E-04,1.4459E-06,3.5761E-04,5.9154E-04,
     &7.5421E-04,8.3371E-04,1.5538E-06,3.8792E-04,6.4663E-04,8.2877E-04,
     &8.9529E-04/
      DATA ((KB(JS,JT,23, 3),JS=1,5),JT=1,5) /
     &9.6861E-07,2.2918E-04,3.6015E-04,4.5719E-04,5.2404E-04,1.0336E-06,
     &2.5321E-04,4.0834E-04,5.1161E-04,5.8351E-04,1.0985E-06,2.7767E-04,
     &4.5571E-04,5.7459E-04,6.3985E-04,1.1768E-06,3.0252E-04,5.0195E-04,
     &6.4190E-04,6.9303E-04,1.2615E-06,3.2794E-04,5.4831E-04,7.0579E-04,
     &7.4540E-04/
      DATA ((KB(JS,JT,24, 3),JS=1,5),JT=1,5) /
     &7.7560E-07,1.9437E-04,3.0748E-04,3.8828E-04,4.3529E-04,8.2580E-07,
     &2.1438E-04,3.4835E-04,4.3617E-04,4.8373E-04,8.8200E-07,2.3492E-04,
     &3.8680E-04,4.9169E-04,5.3189E-04,9.4947E-07,2.5573E-04,4.2635E-04,
     &5.4641E-04,5.7637E-04,1.0182E-06,2.7745E-04,4.6607E-04,6.0046E-04,
     &6.1998E-04/
      DATA ((KB(JS,JT,25, 3),JS=1,5),JT=1,5) /
     &6.1963E-07,1.6454E-04,2.6284E-04,3.3016E-04,3.6284E-04,6.6146E-07,
     &1.8162E-04,2.9714E-04,3.7315E-04,4.0370E-04,7.1111E-07,1.9882E-04,
     &3.2942E-04,4.2130E-04,4.4382E-04,7.6573E-07,2.1663E-04,3.6228E-04,
     &4.6640E-04,4.8052E-04,8.2100E-07,2.3503E-04,3.9627E-04,5.1132E-04,
     &5.1776E-04/
      DATA ((KB(JS,JT,26, 3),JS=1,5),JT=1,5) /
     &4.9718E-07,1.3982E-04,2.2523E-04,2.8275E-04,3.0558E-04,5.3365E-07,
     &1.5431E-04,2.5368E-04,3.2044E-04,3.3895E-04,5.7705E-07,1.6884E-04,
     &2.8082E-04,3.6019E-04,3.7173E-04,6.2061E-07,1.8393E-04,3.0865E-04,
     &3.9866E-04,4.0243E-04,6.6427E-07,1.9968E-04,3.3757E-04,4.3663E-04,
     &4.3309E-04/
      DATA ((KB(JS,JT,27, 3),JS=1,5),JT=1,5) /
     &3.9961E-07,1.1889E-04,1.9361E-04,2.4270E-04,2.5693E-04,4.3136E-07,
     &1.3100E-04,2.1632E-04,2.7591E-04,2.8463E-04,4.6490E-07,1.4333E-04,
     &2.3966E-04,3.0849E-04,3.1106E-04,5.0009E-07,1.5630E-04,2.6346E-04,
     &3.4083E-04,3.3713E-04,5.3808E-07,1.6999E-04,2.8768E-04,3.7323E-04,
     &3.6279E-04/
      DATA ((KB(JS,JT,28, 3),JS=1,5),JT=1,5) /
     &3.1986E-07,1.0106E-04,1.6585E-04,2.0891E-04,2.1558E-04,3.4540E-07,
     &1.1119E-04,1.8500E-04,2.3760E-04,2.3854E-04,3.7226E-07,1.2183E-04,
     &2.0456E-04,2.6419E-04,2.6053E-04,4.0317E-07,1.3290E-04,2.2487E-04,
     &2.9156E-04,2.8262E-04,4.3271E-07,1.4482E-04,2.4541E-04,3.1934E-04,
     &3.0419E-04/
      DATA ((KB(JS,JT,29, 3),JS=1,5),JT=1,5) /
     &2.5677E-07,8.6060E-05,1.4206E-04,1.8023E-04,1.8141E-04,2.7736E-07,
     &9.4677E-05,1.5841E-04,2.0378E-04,2.0088E-04,3.0104E-07,1.0372E-04,
     &1.7515E-04,2.2663E-04,2.1921E-04,3.2584E-07,1.1340E-04,1.9232E-04,
     &2.4953E-04,2.3789E-04,3.4891E-07,1.2368E-04,2.0976E-04,2.7364E-04,
     &2.5570E-04/
      DATA ((KB(JS,JT,30, 3),JS=1,5),JT=1,5) /
     &2.0556E-07,7.3274E-05,1.2170E-04,1.5588E-04,1.5312E-04,2.2376E-07,
     &8.0651E-05,1.3568E-04,1.7524E-04,1.6948E-04,2.4313E-07,8.8481E-05,
     &1.4992E-04,1.9447E-04,1.8477E-04,2.6233E-07,9.6824E-05,1.6458E-04,
     &2.1409E-04,2.0027E-04,2.8249E-07,1.0580E-04,1.7987E-04,2.3435E-04,
     &2.1532E-04/
      DATA ((KB(JS,JT,31, 3),JS=1,5),JT=1,5) /
     &1.6553E-07,6.2536E-05,1.0457E-04,1.3443E-04,1.2968E-04,1.8078E-07,
     &6.8863E-05,1.1643E-04,1.5060E-04,1.4304E-04,1.9619E-07,7.5670E-05,
     &1.2864E-04,1.6681E-04,1.5615E-04,2.1158E-07,8.2899E-05,1.4114E-04,
     &1.8385E-04,1.6911E-04,2.2915E-07,9.0629E-05,1.5456E-04,2.0099E-04,
     &1.8146E-04/
      DATA ((KB(JS,JT,32, 3),JS=1,5),JT=1,5) /
     &1.3380E-07,5.3407E-05,8.9930E-05,1.1591E-04,1.1005E-04,1.4604E-07,
     &5.8887E-05,1.0001E-04,1.2963E-04,1.2107E-04,1.5848E-07,6.4790E-05,
     &1.1040E-04,1.4349E-04,1.3230E-04,1.7190E-07,7.1169E-05,1.2125E-04,
     &1.5792E-04,1.4297E-04,1.8587E-07,7.7792E-05,1.3292E-04,1.7265E-04,
     &1.5308E-04/
      DATA ((KB(JS,JT,33, 3),JS=1,5),JT=1,5) /
     &1.0830E-07,4.5686E-05,7.7339E-05,9.9867E-05,9.3562E-05,1.1765E-07,
     &5.0526E-05,8.5959E-05,1.1153E-04,1.0269E-04,1.2824E-07,5.5627E-05,
     &9.4900E-05,1.2354E-04,1.1205E-04,1.3958E-07,6.1158E-05,1.0440E-04,
     &1.3573E-04,1.2099E-04,1.5078E-07,6.6909E-05,1.1431E-04,1.4861E-04,
     &1.2918E-04/
      DATA ((KB(JS,JT,34, 3),JS=1,5),JT=1,5) /
     &8.7537E-08,3.9073E-05,6.6330E-05,8.5860E-05,7.9296E-05,9.5270E-08,
     &4.3282E-05,7.3743E-05,9.5733E-05,8.7082E-05,1.0423E-07,4.7701E-05,
     &8.1447E-05,1.0609E-04,9.4857E-05,1.1348E-07,5.2484E-05,8.9624E-05,
     &1.1638E-04,1.0211E-04,1.2289E-07,5.7431E-05,9.8122E-05,1.2760E-04,
     &1.0866E-04/
      DATA ((KB(JS,JT,35, 3),JS=1,5),JT=1,5) /
     &6.9891E-08,3.3129E-05,5.6323E-05,7.3036E-05,6.6568E-05,7.6465E-08,
     &3.6724E-05,6.2627E-05,8.1520E-05,7.3176E-05,8.3833E-08,4.0619E-05,
     &6.9293E-05,9.0161E-05,7.9548E-05,9.1436E-08,4.4671E-05,7.6362E-05,
     &9.9075E-05,8.5497E-05,9.9263E-08,4.8886E-05,8.3550E-05,1.0849E-04,
     &9.0720E-05/
      DATA ((KB(JS,JT,36, 3),JS=1,5),JT=1,5) /
     &5.5080E-08,2.7796E-05,4.7261E-05,6.1299E-05,5.5237E-05,6.0562E-08,
     &3.0850E-05,5.2635E-05,6.8515E-05,6.0794E-05,6.6440E-08,3.4200E-05,
     &5.8298E-05,7.5847E-05,6.6097E-05,7.2913E-08,3.7650E-05,6.4310E-05,
     &8.3530E-05,7.1032E-05,7.9545E-08,4.1216E-05,7.0397E-05,9.1304E-05,
     &7.5193E-05/
      DATA ((KB(JS,JT,37, 3),JS=1,5),JT=1,5) /
     &4.3644E-08,2.2997E-05,3.9088E-05,5.0714E-05,4.5374E-05,4.8182E-08,
     &2.5585E-05,4.3661E-05,5.6813E-05,5.0057E-05,5.3067E-08,2.8429E-05,
     &4.8465E-05,6.3020E-05,5.4490E-05,5.8349E-08,3.1365E-05,5.3603E-05,
     &6.9516E-05,5.8585E-05,6.3727E-08,3.4398E-05,5.8710E-05,7.6032E-05,
     &6.2046E-05/
      DATA ((KB(JS,JT,38, 3),JS=1,5),JT=1,5) /
     &3.4661E-08,1.9003E-05,3.2295E-05,4.1898E-05,3.7207E-05,3.8414E-08,
     &2.1200E-05,3.6170E-05,4.7045E-05,4.1150E-05,4.2378E-08,2.3605E-05,
     &4.0247E-05,5.2306E-05,4.4872E-05,4.6598E-08,2.6110E-05,4.4620E-05,
     &5.7800E-05,4.8293E-05,5.0995E-08,2.8683E-05,4.8935E-05,6.3250E-05,
     &5.1155E-05/
      DATA ((KB(JS,JT,39, 3),JS=1,5),JT=1,5) /
     &2.7545E-08,1.5700E-05,2.6661E-05,3.4603E-05,3.0487E-05,3.0553E-08,
     &1.7568E-05,2.9948E-05,3.8935E-05,3.3813E-05,3.3772E-08,1.9601E-05,
     &3.3411E-05,4.3403E-05,3.6922E-05,3.7164E-08,2.1726E-05,3.7113E-05,
     &4.8030E-05,3.9771E-05,4.0795E-08,2.3901E-05,4.0765E-05,5.2607E-05,
     &4.2152E-05/
      DATA ((KB(JS,JT,40, 3),JS=1,5),JT=1,5) /
     &2.1852E-08,1.2819E-05,2.1757E-05,2.8221E-05,2.4745E-05,2.4207E-08,
     &1.4395E-05,2.4527E-05,3.1867E-05,2.7502E-05,2.6806E-08,1.6092E-05,
     &2.7462E-05,3.5646E-05,3.0145E-05,2.9612E-08,1.7894E-05,3.0572E-05,
     &3.9527E-05,3.2543E-05,3.2577E-08,1.9746E-05,3.3672E-05,4.3399E-05,
     &3.4556E-05/
      DATA ((KB(JS,JT,41, 3),JS=1,5),JT=1,5) /
     &1.7336E-08,1.0441E-05,1.7695E-05,2.2954E-05,2.0042E-05,1.9187E-08,
     &1.1771E-05,2.0025E-05,2.6029E-05,2.2346E-05,2.1311E-08,1.3190E-05,
     &2.2516E-05,2.9201E-05,2.4577E-05,2.3597E-08,1.4712E-05,2.5122E-05,
     &3.2466E-05,2.6584E-05,2.5958E-08,1.6280E-05,2.7744E-05,3.5762E-05,
     &2.8295E-05/
      DATA ((KB(JS,JT,42, 3),JS=1,5),JT=1,5) /
     &1.3752E-08,8.4970E-06,1.4379E-05,1.8640E-05,1.6205E-05,1.5240E-08,
     &9.6082E-06,1.6325E-05,2.1225E-05,1.8124E-05,1.6924E-08,1.0802E-05,
     &1.8430E-05,2.3896E-05,2.0024E-05,1.8767E-08,1.2087E-05,2.0609E-05,
     &2.6651E-05,2.1698E-05,2.0666E-08,1.3409E-05,2.2837E-05,2.9427E-05,
     &2.3153E-05/
      DATA ((KB(JS,JT,43, 3),JS=1,5),JT=1,5) /
     &1.0827E-08,6.8624E-06,1.1586E-05,1.4999E-05,1.2975E-05,1.2030E-08,
     &7.7847E-06,1.3205E-05,1.7164E-05,1.4605E-05,1.3352E-08,8.7779E-06,
     &1.4974E-05,1.9410E-05,1.6231E-05,1.4829E-08,9.8620E-06,1.6795E-05,
     &2.1751E-05,1.7634E-05,1.6396E-08,1.0975E-05,1.8682E-05,2.4066E-05,
     &1.8879E-05/
      DATA ((KB(JS,JT,44, 3),JS=1,5),JT=1,5) /
     &8.5731E-09,5.5132E-06,9.2862E-06,1.2000E-05,1.0347E-05,9.5033E-09,
     &6.2816E-06,1.0629E-05,1.3817E-05,1.1712E-05,1.0537E-08,7.0964E-06,
     &1.2108E-05,1.5700E-05,1.3095E-05,1.1722E-08,8.0120E-06,1.3621E-05,
     &1.7679E-05,1.4296E-05,1.2991E-08,8.9457E-06,1.5220E-05,1.9614E-05,
     &1.5350E-05/
      DATA ((KB(JS,JT,45, 3),JS=1,5),JT=1,5) /
     &6.7515E-09,4.4212E-06,7.4244E-06,9.5776E-06,8.2429E-06,7.4999E-09,
     &5.0603E-06,8.5360E-06,1.1095E-05,9.3791E-06,8.3182E-09,5.7411E-06,
     &9.7686E-06,1.2667E-05,1.0528E-05,9.2526E-09,6.4942E-06,1.1028E-05,
     &1.4328E-05,1.1566E-05,1.0269E-08,7.2769E-06,1.2375E-05,1.5964E-05,
     &1.2472E-05/
      DATA ((KB(JS,JT,46, 3),JS=1,5),JT=1,5) /
     &5.3031E-09,3.5301E-06,5.9050E-06,7.5965E-06,6.5452E-06,5.8907E-09,
     &4.0561E-06,6.8233E-06,8.8621E-06,7.4771E-06,6.5422E-09,4.6270E-06,
     &7.8393E-06,1.0169E-05,8.4370E-06,7.2669E-09,5.2433E-06,8.9061E-06,
     &1.1563E-05,9.3268E-06,8.0880E-09,5.8967E-06,1.0016E-05,1.2930E-05,
     &1.0106E-05/
      DATA ((KB(JS,JT,47, 3),JS=1,5),JT=1,5) /
     &4.1459E-09,2.7965E-06,4.6529E-06,5.9648E-06,5.1552E-06,4.6324E-09,
     &3.2253E-06,5.4100E-06,7.0094E-06,5.9110E-06,5.1433E-09,3.7014E-06,
     &6.2395E-06,8.0976E-06,6.7100E-06,5.7045E-09,4.2091E-06,7.1381E-06,
     &9.2537E-06,7.4896E-06,6.3526E-09,4.7541E-06,8.0573E-06,1.0428E-05,
     &8.1540E-06/
      DATA ((KB(JS,JT,48, 3),JS=1,5),JT=1,5) /
     &3.2549E-09,2.2089E-06,3.6571E-06,4.6663E-06,4.0387E-06,3.6192E-09,
     &2.5581E-06,4.2752E-06,5.5265E-06,4.6582E-06,4.0215E-09,2.9515E-06,
     &4.9553E-06,6.4327E-06,5.3236E-06,4.4736E-09,3.3690E-06,5.7015E-06,
     &7.3859E-06,5.9960E-06,4.9760E-09,3.8276E-06,6.4596E-06,8.3844E-06,
     &6.5647E-06/
      DATA ((KB(JS,JT,49, 3),JS=1,5),JT=1,5) /
     &2.5432E-09,1.7390E-06,2.8607E-06,3.6438E-06,3.1425E-06,2.8364E-09,
     &2.0219E-06,3.3698E-06,4.3412E-06,3.6654E-06,3.1601E-09,2.3472E-06,
     &3.9232E-06,5.0964E-06,4.2142E-06,3.5101E-09,2.6948E-06,4.5429E-06,
     &5.8797E-06,4.7715E-06,3.8989E-09,3.0718E-06,5.1731E-06,6.7190E-06,
     &5.2720E-06/
      DATA ((KB(JS,JT,50, 3),JS=1,5),JT=1,5) /
     &2.0093E-09,1.3704E-06,2.2373E-06,2.8375E-06,2.4550E-06,2.2270E-09,
     &1.6020E-06,2.6626E-06,3.4144E-06,2.8963E-06,2.4797E-09,1.8686E-06,
     &3.1131E-06,4.0348E-06,3.3398E-06,2.7614E-09,2.1593E-06,3.6199E-06,
     &4.6856E-06,3.8019E-06,3.0674E-09,2.4699E-06,4.1517E-06,5.3844E-06,
     &4.2322E-06/
      DATA ((KB(JS,JT,51, 3),JS=1,5),JT=1,5) /
     &1.5907E-09,1.0803E-06,1.7518E-06,2.2064E-06,1.9254E-06,1.7509E-09,
     &1.2691E-06,2.1000E-06,2.6794E-06,2.2832E-06,1.9509E-09,1.4861E-06,
     &2.4726E-06,3.1957E-06,2.6418E-06,2.1703E-09,1.7284E-06,2.8838E-06,
     &3.7325E-06,3.0257E-06,2.4124E-09,1.9844E-06,3.3305E-06,4.3128E-06,
     &3.4015E-06/
      DATA ((KB(JS,JT,52, 3),JS=1,5),JT=1,5) /
     &1.2564E-09,8.4669E-07,1.3717E-06,1.7147E-06,1.4947E-06,1.3794E-09,
     &1.0024E-06,1.6523E-06,2.0993E-06,1.7870E-06,1.5320E-09,1.1790E-06,
     &1.9577E-06,2.5220E-06,2.0845E-06,1.7130E-09,1.3791E-06,2.2952E-06,
     &2.9677E-06,2.4040E-06,1.9041E-09,1.5914E-06,2.6635E-06,3.4439E-06,
     &2.7247E-06/
      DATA ((KB(JS,JT,53, 3),JS=1,5),JT=1,5) /
     &9.9523E-10,6.6219E-07,1.0632E-06,1.3341E-06,1.1550E-06,1.0903E-09,
     &7.9022E-07,1.2914E-06,1.6401E-06,1.3929E-06,1.2082E-09,9.3266E-07,
     &1.5445E-06,1.9841E-06,1.6452E-06,1.3437E-09,1.0969E-06,1.8212E-06,
     &2.3517E-06,1.9029E-06,1.4972E-09,1.2734E-06,2.1276E-06,2.7431E-06,
     &2.1722E-06/
      DATA ((KB(JS,JT,54, 3),JS=1,5),JT=1,5) /
     &7.8782E-10,5.1993E-07,8.2752E-07,1.0421E-06,8.8632E-07,8.6642E-10,
     &6.2440E-07,1.0138E-06,1.2820E-06,1.0958E-06,9.5141E-10,7.4051E-07,
     &1.2221E-06,1.5626E-06,1.3014E-06,1.0622E-09,8.7438E-07,1.4481E-06,
     &1.8675E-06,1.5138E-06,1.1829E-09,1.0217E-06,1.7025E-06,2.1900E-06,
     &1.7349E-06/
      DATA ((KB(JS,JT,55, 3),JS=1,5),JT=1,5) /
     &6.2734E-10,4.0844E-07,6.4675E-07,8.1168E-07,6.8015E-07,6.8670E-10,
     &4.9437E-07,7.9822E-07,1.0031E-06,8.5955E-07,7.5551E-10,5.8813E-07,
     &9.6640E-07,1.2305E-06,1.0290E-06,8.3896E-10,6.9762E-07,1.1529E-06,
     &1.4845E-06,1.2025E-06,9.3727E-10,8.1992E-07,1.3618E-06,1.7489E-06,
     &1.3856E-06/
      DATA ((KB(JS,JT,56, 3),JS=1,5),JT=1,5) /
     &5.0214E-10,3.2028E-07,5.0524E-07,6.3147E-07,5.1903E-07,5.4775E-10,
     &3.8841E-07,6.2589E-07,7.8445E-07,6.7099E-07,5.9971E-10,4.6602E-07,
     &7.6356E-07,9.6978E-07,8.0912E-07,6.6466E-10,5.5509E-07,9.1533E-07,
     &1.1766E-06,9.5284E-07,7.3931E-10,6.5625E-07,1.0864E-06,1.3946E-06,
     &1.1055E-06/
      DATA ((KB(JS,JT,57, 3),JS=1,5),JT=1,5) /
     &4.0171E-10,2.5009E-07,3.9211E-07,4.9250E-07,3.9332E-07,4.3379E-10,
     &3.0473E-07,4.8932E-07,6.1342E-07,5.2076E-07,4.7729E-10,3.6874E-07,
     &5.9978E-07,7.6246E-07,6.3556E-07,5.2454E-10,4.4075E-07,7.2488E-07,
     &9.3079E-07,7.5448E-07,5.8546E-10,5.2389E-07,8.6565E-07,1.1107E-06,
     &8.7858E-07/
      DATA ((KB(JS,JT,58, 3),JS=1,5),JT=1,5) /
     &3.2222E-10,1.9536E-07,3.0484E-07,3.8123E-07,2.9798E-07,3.4550E-10,
     &2.4003E-07,3.8206E-07,4.8033E-07,4.0193E-07,3.7930E-10,2.9179E-07,
     &4.7226E-07,5.9938E-07,5.0056E-07,4.1675E-10,3.5035E-07,5.7500E-07,
     &7.3642E-07,5.9836E-07,4.6320E-10,4.1854E-07,6.9041E-07,8.8548E-07,
     &7.0003E-07/
      DATA ((KB(JS,JT,59, 3),JS=1,5),JT=1,5) /
     &2.6166E-10,1.5868E-07,2.4697E-07,3.0892E-07,2.3964E-07,2.8095E-10,
     &1.9552E-07,3.1068E-07,3.9037E-07,3.2469E-07,3.0730E-10,2.3856E-07,
     &3.8554E-07,4.8902E-07,4.0738E-07,3.3781E-10,2.8749E-07,4.7157E-07,
     &6.0286E-07,4.8803E-07,3.7526E-10,3.4439E-07,5.6789E-07,7.2742E-07,
     &5.7238E-07/
      DATA ((KB(JS,JT,13, 4),JS=1,5),JT=1,5) /
     &4.9038E-05,5.0781E-03,7.8254E-03,9.6484E-03,1.0614E-02,5.4225E-05,
     &5.4905E-03,8.5710E-03,1.0460E-02,1.1206E-02,6.1134E-05,5.8773E-03,
     &9.3183E-03,1.1347E-02,1.1729E-02,6.8793E-05,6.2794E-03,9.9768E-03,
     &1.2248E-02,1.2250E-02,7.7429E-05,6.6893E-03,1.0624E-02,1.3064E-02,
     &1.2730E-02/
      DATA ((KB(JS,JT,14, 4),JS=1,5),JT=1,5) /
     &4.0706E-05,4.3045E-03,6.6240E-03,8.1227E-03,8.7105E-03,4.5789E-05,
     &4.6404E-03,7.2547E-03,8.8508E-03,9.2183E-03,5.1359E-05,4.9670E-03,
     &7.8649E-03,9.5928E-03,9.6590E-03,5.8448E-05,5.3112E-03,8.4165E-03,
     &1.0356E-02,1.0085E-02,6.6585E-05,5.6590E-03,8.9770E-03,1.1022E-02,
     &1.0540E-02/
      DATA ((KB(JS,JT,15, 4),JS=1,5),JT=1,5) /
     &3.3161E-05,3.6374E-03,5.6007E-03,6.8408E-03,7.0399E-03,3.7316E-05,
     &3.9145E-03,6.1318E-03,7.4812E-03,7.4533E-03,4.2184E-05,4.1949E-03,
     &6.6272E-03,8.1097E-03,7.8393E-03,4.8249E-05,4.4861E-03,7.0934E-03,
     &8.7330E-03,8.2262E-03,5.4912E-05,4.7829E-03,7.5688E-03,9.2830E-03,
     &8.6058E-03/
      DATA ((KB(JS,JT,16, 4),JS=1,5),JT=1,5) /
     &2.6598E-05,3.0649E-03,4.7323E-03,5.7742E-03,5.6644E-03,3.0096E-05,
     &3.2950E-03,5.1778E-03,6.3145E-03,6.0193E-03,3.4085E-05,3.5350E-03,
     &5.5806E-03,6.8447E-03,6.3708E-03,3.8919E-05,3.7831E-03,5.9719E-03,
     &7.3465E-03,6.7088E-03,4.4492E-05,4.0393E-03,6.3750E-03,7.8120E-03,
     &7.0249E-03/
      DATA ((KB(JS,JT,17, 4),JS=1,5),JT=1,5) /
     &2.1449E-05,2.5756E-03,3.9936E-03,4.8662E-03,4.6205E-03,2.4103E-05,
     &2.7706E-03,4.3619E-03,5.3164E-03,4.9202E-03,2.7451E-05,2.9765E-03,
     &4.6959E-03,5.7632E-03,5.2122E-03,3.1381E-05,3.1884E-03,5.0222E-03,
     &6.1735E-03,5.4790E-03,3.5953E-05,3.4099E-03,5.3645E-03,6.5659E-03,
     &5.7419E-03/
      DATA ((KB(JS,JT,18, 4),JS=1,5),JT=1,5) /
     &1.7468E-05,2.1642E-03,3.3642E-03,4.0972E-03,3.7921E-03,1.9506E-05,
     &2.3308E-03,3.6683E-03,4.4696E-03,4.0385E-03,2.2326E-05,2.5072E-03,
     &3.9454E-03,4.8507E-03,4.2773E-03,2.5558E-05,2.6901E-03,4.2240E-03,
     &5.1855E-03,4.5000E-03,2.9519E-05,2.8816E-03,4.5135E-03,5.5168E-03,
     &4.7259E-03/
      DATA ((KB(JS,JT,19, 4),JS=1,5),JT=1,5) /
     &1.4162E-05,1.8165E-03,2.8311E-03,3.4491E-03,3.1263E-03,1.5880E-05,
     &1.9594E-03,3.0792E-03,3.7577E-03,3.3277E-03,1.8250E-05,2.1124E-03,
     &3.3110E-03,4.0717E-03,3.5255E-03,2.0948E-05,2.2711E-03,3.5512E-03,
     &4.3541E-03,3.7114E-03,2.4279E-05,2.4360E-03,3.7972E-03,4.6336E-03,
     &3.9063E-03/
      DATA ((KB(JS,JT,20, 4),JS=1,5),JT=1,5) /
     &1.1677E-05,1.5268E-03,2.3854E-03,2.9054E-03,2.5927E-03,1.3127E-05,
     &1.6502E-03,2.5884E-03,3.1642E-03,2.7584E-03,1.5145E-05,1.7827E-03,
     &2.7854E-03,3.4198E-03,2.9228E-03,1.7426E-05,1.9208E-03,2.9919E-03,
     &3.6563E-03,3.0836E-03,2.0187E-05,2.0638E-03,3.2027E-03,3.8955E-03,
     &3.2517E-03/
      DATA ((KB(JS,JT,21, 4),JS=1,5),JT=1,5) /
     &9.6248E-06,1.2839E-03,2.0069E-03,2.4439E-03,2.1521E-03,1.0884E-05,
     &1.3905E-03,2.1753E-03,2.6634E-03,2.2901E-03,1.2576E-05,1.5057E-03,
     &2.3430E-03,2.8714E-03,2.4271E-03,1.4492E-05,1.6245E-03,2.5229E-03,
     &3.0709E-03,2.5653E-03,1.6785E-05,1.7487E-03,2.7053E-03,3.2769E-03,
     &2.7041E-03/
      DATA ((KB(JS,JT,22, 4),JS=1,5),JT=1,5) /
     &7.8987E-06,1.0841E-03,1.6963E-03,2.0646E-03,1.7920E-03,9.0688E-06,
     &1.1783E-03,1.8364E-03,2.2523E-03,1.9054E-03,1.0436E-05,1.2776E-03,
     &1.9832E-03,2.4220E-03,2.0200E-03,1.2051E-05,1.3800E-03,2.1391E-03,
     &2.5904E-03,2.1364E-03,1.3992E-05,1.4877E-03,2.2983E-03,2.7690E-03,
     &2.2519E-03/
      DATA ((KB(JS,JT,23, 4),JS=1,5),JT=1,5) /
     &6.5143E-06,9.1629E-04,1.4337E-03,1.7468E-03,1.4890E-03,7.5295E-06,
     &9.9880E-04,1.5532E-03,1.9017E-03,1.5844E-03,8.6172E-06,1.0843E-03,
     &1.6828E-03,2.0454E-03,1.6822E-03,1.0017E-05,1.1729E-03,1.8176E-03,
     &2.1912E-03,1.7800E-03,1.1640E-05,1.2668E-03,1.9549E-03,2.3447E-03,
     &1.8765E-03/
      DATA ((KB(JS,JT,24, 4),JS=1,5),JT=1,5) /
     &5.3432E-06,7.7571E-04,1.2114E-03,1.4805E-03,1.2372E-03,6.1515E-06,
     &8.4718E-04,1.3153E-03,1.6078E-03,1.3181E-03,7.0923E-06,9.2024E-04,
     &1.4293E-03,1.7300E-03,1.3989E-03,8.2684E-06,9.9740E-04,1.5447E-03,
     &1.8573E-03,1.4811E-03,9.6268E-06,1.0789E-03,1.6627E-03,1.9892E-03,
     &1.5621E-03/
      DATA ((KB(JS,JT,25, 4),JS=1,5),JT=1,5) /
     &4.3932E-06,6.5898E-04,1.0259E-03,1.2568E-03,1.0287E-03,5.0483E-06,
     &7.1973E-04,1.1174E-03,1.3610E-03,1.0973E-03,5.8527E-06,7.8269E-04,
     &1.2157E-03,1.4658E-03,1.1648E-03,6.8258E-06,8.4968E-04,1.3158E-03,
     &1.5774E-03,1.2354E-03,7.9780E-06,9.2093E-04,1.4171E-03,1.6917E-03,
     &1.3029E-03/
      DATA ((KB(JS,JT,26, 4),JS=1,5),JT=1,5) /
     &3.6349E-06,5.6139E-04,8.7232E-04,1.0671E-03,8.5747E-04,4.1763E-06,
     &6.1307E-04,9.5284E-04,1.1559E-03,9.1640E-04,4.8643E-06,6.6769E-04,
     &1.0377E-03,1.2480E-03,9.7417E-04,5.6806E-06,7.2618E-04,1.1238E-03,
     &1.3443E-03,1.0341E-03,6.6574E-06,7.8791E-04,1.2118E-03,1.4426E-03,
     &1.0908E-03/
      DATA ((KB(JS,JT,27, 4),JS=1,5),JT=1,5) /
     &2.9849E-06,4.7845E-04,7.4324E-04,9.0695E-04,7.1654E-04,3.4528E-06,
     &5.2305E-04,8.1407E-04,9.8348E-04,7.6622E-04,4.0386E-06,5.7067E-04,
     &8.8635E-04,1.0643E-03,8.1617E-04,4.7349E-06,6.2159E-04,9.6045E-04,
     &1.1476E-03,8.6667E-04,5.5504E-06,6.7486E-04,1.0373E-03,1.2327E-03,
     &9.1437E-04/
      DATA ((KB(JS,JT,28, 4),JS=1,5),JT=1,5) /
     &2.4474E-06,4.0819E-04,6.3469E-04,7.7184E-04,5.9959E-04,2.8527E-06,
     &4.4694E-04,6.9550E-04,8.3809E-04,6.4151E-04,3.3444E-06,4.8804E-04,
     &7.5797E-04,9.0921E-04,6.8464E-04,3.9332E-06,5.3229E-04,8.2174E-04,
     &9.8103E-04,7.2680E-04,4.6245E-06,5.7864E-04,8.8872E-04,1.0544E-03,
     &7.6723E-04/
      DATA ((KB(JS,JT,29, 4),JS=1,5),JT=1,5) /
     &2.0253E-06,3.4921E-04,5.4365E-04,6.5865E-04,5.0331E-04,2.3720E-06,
     &3.8278E-04,5.9577E-04,7.1729E-04,5.3864E-04,2.7945E-06,4.1887E-04,
     &6.4907E-04,7.7823E-04,5.7581E-04,3.2936E-06,4.5699E-04,7.0481E-04,
     &8.4074E-04,6.1089E-04,3.8881E-06,4.9757E-04,7.6325E-04,9.0356E-04,
     &6.4564E-04/
      DATA ((KB(JS,JT,30, 4),JS=1,5),JT=1,5) /
     &1.6797E-06,2.9918E-04,4.6598E-04,5.6316E-04,4.2270E-04,1.9764E-06,
     &3.2839E-04,5.1076E-04,6.1439E-04,4.5306E-04,2.3384E-06,3.5985E-04,
     &5.5686E-04,6.6712E-04,4.8445E-04,2.7662E-06,3.9302E-04,6.0525E-04,
     &7.2092E-04,5.1425E-04,3.2687E-06,4.2837E-04,6.5610E-04,7.7570E-04,
     &5.4396E-04/
      DATA ((KB(JS,JT,31, 4),JS=1,5),JT=1,5) /
     &1.3991E-06,2.5687E-04,3.9996E-04,4.8307E-04,3.5570E-04,1.6564E-06,
     &2.8246E-04,4.3858E-04,5.2743E-04,3.8211E-04,1.9660E-06,3.0971E-04,
     &4.7856E-04,5.7309E-04,4.0826E-04,2.3334E-06,3.3881E-04,5.2066E-04,
     &6.1919E-04,4.3367E-04,2.7587E-06,3.6964E-04,5.6499E-04,6.6660E-04,
     &4.5969E-04/
      DATA ((KB(JS,JT,32, 4),JS=1,5),JT=1,5) /
     &1.1711E-06,2.2102E-04,3.4394E-04,4.1512E-04,2.9980E-04,1.3928E-06,
     &2.4337E-04,3.7713E-04,4.5351E-04,3.2253E-04,1.6589E-06,2.6704E-04,
     &4.1202E-04,4.9272E-04,3.4442E-04,1.9740E-06,2.9261E-04,4.4855E-04,
     &5.3274E-04,3.6633E-04,2.3323E-06,3.1973E-04,4.8726E-04,5.7383E-04,
     &3.8915E-04/
      DATA ((KB(JS,JT,33, 4),JS=1,5),JT=1,5) /
     &9.8300E-07,1.9047E-04,2.9592E-04,3.5739E-04,2.5303E-04,1.1751E-06,
     &2.0983E-04,3.2474E-04,3.9043E-04,2.7259E-04,1.4027E-06,2.3065E-04,
     &3.5505E-04,4.2405E-04,2.9120E-04,1.6692E-06,2.5302E-04,3.8699E-04,
     &4.5888E-04,3.1018E-04,1.9716E-06,2.7715E-04,4.2119E-04,4.9468E-04,
     &3.2989E-04/
      DATA ((KB(JS,JT,34, 4),JS=1,5),JT=1,5) /
     &8.2915E-07,1.6396E-04,2.5433E-04,3.0700E-04,2.1406E-04,9.9352E-07,
     &1.8083E-04,2.7935E-04,3.3552E-04,2.3048E-04,1.1877E-06,1.9915E-04,
     &3.0578E-04,3.6455E-04,2.4659E-04,1.4139E-06,2.1886E-04,3.3384E-04,
     &3.9476E-04,2.6317E-04,1.6670E-06,2.4021E-04,3.6390E-04,4.2603E-04,
     &2.8005E-04/
      DATA ((KB(JS,JT,35, 4),JS=1,5),JT=1,5) /
     &6.8670E-07,1.3979E-04,2.1673E-04,2.6161E-04,1.7974E-04,8.2437E-07,
     &1.5448E-04,2.3846E-04,2.8611E-04,1.9377E-04,9.8649E-07,1.7044E-04,
     &2.6139E-04,3.1132E-04,2.0765E-04,1.1740E-06,1.8773E-04,2.8609E-04,
     &3.3740E-04,2.2197E-04,1.3833E-06,2.0652E-04,3.1233E-04,3.6449E-04,
     &2.3658E-04/
      DATA ((KB(JS,JT,36, 4),JS=1,5),JT=1,5) /
     &5.5564E-07,1.1786E-04,1.8283E-04,2.2089E-04,1.4951E-04,6.6731E-07,
     &1.3053E-04,2.0151E-04,2.4189E-04,1.6146E-04,8.0048E-07,1.4432E-04,
     &2.2154E-04,2.6364E-04,1.7348E-04,9.5195E-07,1.5937E-04,2.4310E-04,
     &2.8609E-04,1.8577E-04,1.1217E-06,1.7580E-04,2.6601E-04,3.0949E-04,
     &1.9850E-04/
      DATA ((KB(JS,JT,37, 4),JS=1,5),JT=1,5) /
     &4.4526E-07,9.8334E-05,1.5236E-04,1.8395E-04,1.2369E-04,5.3551E-07,
     &1.0927E-04,1.6837E-04,2.0194E-04,1.3387E-04,6.4307E-07,1.2110E-04,
     &1.8556E-04,2.2059E-04,1.4418E-04,7.6688E-07,1.3411E-04,2.0414E-04,
     &2.3985E-04,1.5477E-04,9.0591E-07,1.4842E-04,2.2405E-04,2.5996E-04,
     &1.6566E-04/
      DATA ((KB(JS,JT,38, 4),JS=1,5),JT=1,5) /
     &3.5630E-07,8.1991E-05,1.2690E-04,1.5312E-04,1.0226E-04,4.2911E-07,
     &9.1391E-05,1.4064E-04,1.6849E-04,1.1095E-04,5.1583E-07,1.0163E-04,
     &1.5538E-04,1.8448E-04,1.1977E-04,6.1654E-07,1.1287E-04,1.7138E-04,
     &2.0101E-04,1.2884E-04,7.3028E-07,1.2530E-04,1.8862E-04,2.1826E-04,
     &1.3816E-04/
      DATA ((KB(JS,JT,39, 4),JS=1,5),JT=1,5) /
     &2.8455E-07,6.8362E-05,1.0572E-04,1.2747E-04,8.4494E-05,3.4313E-07,
     &7.6413E-05,1.1751E-04,1.4060E-04,9.1905E-05,4.1305E-07,8.5299E-05,
     &1.3016E-04,1.5431E-04,9.9463E-05,4.9466E-07,9.5047E-05,1.4396E-04,
     &1.6851E-04,1.0725E-04,5.8721E-07,1.0583E-04,1.5886E-04,1.8332E-04,
     &1.1516E-04/
      DATA ((KB(JS,JT,40, 4),JS=1,5),JT=1,5) /
     &2.2416E-07,5.6451E-05,8.7192E-05,1.0503E-04,6.9299E-05,2.7058E-07,
     &6.3325E-05,9.7241E-05,1.1625E-04,7.5635E-05,3.2640E-07,7.0942E-05,
     &1.0801E-04,1.2792E-04,8.2061E-05,3.9178E-07,7.9381E-05,1.1985E-04,
     &1.4005E-04,8.8722E-05,4.6694E-07,8.8673E-05,1.3261E-04,1.5274E-04,
     &9.5437E-05/
      DATA ((KB(JS,JT,41, 4),JS=1,5),JT=1,5) /
     &1.7620E-07,4.6495E-05,7.1829E-05,8.6351E-05,5.6701E-05,2.1295E-07,
     &5.2383E-05,8.0380E-05,9.5937E-05,6.2100E-05,2.5720E-07,5.8900E-05,
     &8.9548E-05,1.0594E-04,6.7568E-05,3.0957E-07,6.6136E-05,9.9643E-05,
     &1.1623E-04,7.3280E-05,3.7003E-07,7.4203E-05,1.1061E-04,1.2707E-04,
     &7.8979E-05/
      DATA ((KB(JS,JT,42, 4),JS=1,5),JT=1,5) /
     &1.3843E-07,3.8238E-05,5.9124E-05,7.0982E-05,4.6331E-05,1.6726E-07,
     &4.3269E-05,6.6424E-05,7.9125E-05,5.0956E-05,2.0232E-07,4.8870E-05,
     &7.4247E-05,8.7661E-05,5.5561E-05,2.4408E-07,5.5119E-05,8.2827E-05,
     &9.6453E-05,6.0447E-05,2.9276E-07,6.2028E-05,9.2221E-05,1.0570E-04,
     &6.5281E-05/
      DATA ((KB(JS,JT,43, 4),JS=1,5),JT=1,5) /
     &1.0793E-07,3.1191E-05,4.8305E-05,5.7948E-05,3.7666E-05,1.3017E-07,
     &3.5465E-05,5.4489E-05,6.4841E-05,4.1556E-05,1.5771E-07,4.0235E-05,
     &6.1176E-05,7.2082E-05,4.5452E-05,1.9064E-07,4.5599E-05,6.8488E-05,
     &7.9576E-05,4.9593E-05,2.2944E-07,5.1552E-05,7.6431E-05,8.7462E-05,
     &5.3715E-05/
      DATA ((KB(JS,JT,44, 4),JS=1,5),JT=1,5) /
     &8.3879E-08,2.5325E-05,3.9297E-05,4.7118E-05,3.0510E-05,1.0087E-07,
     &2.8920E-05,4.4532E-05,5.2929E-05,3.3772E-05,1.2238E-07,3.2977E-05,
     &5.0189E-05,5.9075E-05,3.7069E-05,1.4813E-07,3.7556E-05,5.6451E-05,
     &6.5448E-05,4.0567E-05,1.7874E-07,4.2672E-05,6.3196E-05,7.2159E-05,
     &4.4085E-05/
      DATA ((KB(JS,JT,45, 4),JS=1,5),JT=1,5) /
     &6.5261E-08,2.0516E-05,3.1895E-05,3.8279E-05,2.4650E-05,7.8145E-08,
     &2.3540E-05,3.6319E-05,4.3161E-05,2.7390E-05,9.4805E-08,2.6962E-05,
     &4.1134E-05,4.8357E-05,3.0190E-05,1.1490E-07,3.0858E-05,4.6429E-05,
     &5.3785E-05,3.3136E-05,1.3905E-07,3.5210E-05,5.2216E-05,5.9482E-05,
     &3.6122E-05/
      DATA ((KB(JS,JT,46, 4),JS=1,5),JT=1,5) /
     &5.0668E-08,1.6526E-05,2.5752E-05,3.0954E-05,1.9817E-05,6.0361E-08,
     &1.9058E-05,2.9471E-05,3.5060E-05,2.2123E-05,7.3101E-08,2.1937E-05,
     &3.3569E-05,3.9461E-05,2.4498E-05,8.8747E-08,2.5222E-05,3.8048E-05,
     &4.4039E-05,2.6973E-05,1.0762E-07,2.8932E-05,4.2964E-05,4.8871E-05,
     &2.9499E-05/
      DATA ((KB(JS,JT,47, 4),JS=1,5),JT=1,5) /
     &3.9185E-08,1.3207E-05,2.0626E-05,2.4835E-05,1.5826E-05,4.6335E-08,
     &1.5303E-05,2.3722E-05,2.8277E-05,1.7762E-05,5.5896E-08,1.7703E-05,
     &2.7162E-05,3.1976E-05,1.9780E-05,6.7962E-08,2.0451E-05,3.0940E-05,
     &3.5867E-05,2.1834E-05,8.2535E-08,2.3583E-05,3.5128E-05,3.9933E-05,
     &2.3972E-05/
      DATA ((KB(JS,JT,48, 4),JS=1,5),JT=1,5) /
     &3.0435E-08,1.0528E-05,1.6458E-05,1.9871E-05,1.2630E-05,3.5657E-08,
     &1.2255E-05,1.9034E-05,2.2757E-05,1.4230E-05,4.2777E-08,1.4241E-05,
     &2.1916E-05,2.5856E-05,1.5916E-05,5.1977E-08,1.6531E-05,2.5094E-05,
     &2.9142E-05,1.7632E-05,6.3246E-08,1.9162E-05,2.8631E-05,3.2586E-05,
     &1.9447E-05/
      DATA ((KB(JS,JT,49, 4),JS=1,5),JT=1,5) /
     &2.3722E-08,8.3656E-06,1.3088E-05,1.5834E-05,1.0060E-05,2.7509E-08,
     &9.7869E-06,1.5227E-05,1.8252E-05,1.1363E-05,3.2769E-08,1.1426E-05,
     &1.7628E-05,2.0853E-05,1.2767E-05,3.9719E-08,1.3326E-05,2.0285E-05,
     &2.3637E-05,1.4223E-05,4.8415E-08,1.5524E-05,2.3268E-05,2.6530E-05,
     &1.5739E-05/
      DATA ((KB(JS,JT,50, 4),JS=1,5),JT=1,5) /
     &1.8623E-08,6.6620E-06,1.0425E-05,1.2634E-05,8.0132E-06,2.1393E-08,
     &7.8264E-06,1.2188E-05,1.4643E-05,9.0757E-06,2.5281E-08,9.1787E-06,
     &1.4186E-05,1.6825E-05,1.0247E-05,3.0530E-08,1.0758E-05,1.6419E-05,
     &1.9178E-05,1.1482E-05,3.7213E-08,1.2593E-05,1.8920E-05,2.1643E-05,
     &1.2749E-05/
      DATA ((KB(JS,JT,51, 4),JS=1,5),JT=1,5) /
     &1.4681E-08,5.3043E-06,8.2956E-06,1.0064E-05,6.3669E-06,1.6717E-08,
     &6.2508E-06,9.7501E-06,1.1737E-05,7.2473E-06,1.9587E-08,7.3643E-06,
     &1.1400E-05,1.3558E-05,8.2290E-06,2.3555E-08,8.6748E-06,1.3268E-05,
     &1.5537E-05,9.2634E-06,2.8671E-08,1.0209E-05,1.5379E-05,1.7635E-05,
     &1.0316E-05/
      DATA ((KB(JS,JT,52, 4),JS=1,5),JT=1,5) /
     &1.1626E-08,4.2149E-06,6.5740E-06,7.9835E-06,5.0595E-06,1.3102E-08,
     &4.9884E-06,7.7758E-06,9.3846E-06,5.7856E-06,1.5208E-08,5.8955E-06,
     &9.1392E-06,1.0898E-05,6.5937E-06,1.8174E-08,6.9758E-06,1.0692E-05,
     &1.2554E-05,7.4564E-06,2.2057E-08,8.2505E-06,1.2462E-05,1.4331E-05,
     &8.3301E-06/
      DATA ((KB(JS,JT,53, 4),JS=1,5),JT=1,5) /
     &9.2130E-09,3.3378E-06,5.1998E-06,6.3006E-06,4.0097E-06,1.0298E-08,
     &3.9704E-06,6.1839E-06,7.4775E-06,4.6077E-06,1.1831E-08,4.7088E-06,
     &7.3062E-06,8.7345E-06,5.2620E-06,1.4030E-08,5.5942E-06,8.5921E-06,
     &1.0119E-05,5.9838E-06,1.6970E-08,6.6447E-06,1.0063E-05,1.1620E-05,
     &6.7208E-06/
      DATA ((KB(JS,JT,54, 4),JS=1,5),JT=1,5) /
     &7.3443E-09,2.6498E-06,4.1229E-06,4.9788E-06,3.1929E-06,8.1453E-09,
     &3.1689E-06,4.9320E-06,5.9701E-06,3.6706E-06,9.2853E-09,3.7746E-06,
     &5.8561E-06,7.0139E-06,4.2105E-06,1.0913E-08,4.4986E-06,6.9192E-06,
     &8.1733E-06,4.8081E-06,1.3151E-08,5.3689E-06,8.1469E-06,9.4377E-06,
     &5.4320E-06/
      DATA ((KB(JS,JT,55, 4),JS=1,5),JT=1,5) /
     &5.8690E-09,2.1056E-06,3.2710E-06,3.9362E-06,2.5357E-06,6.4824E-09,
     &2.5292E-06,3.9335E-06,4.7652E-06,2.9266E-06,7.3195E-09,3.0260E-06,
     &4.6942E-06,5.6346E-06,3.3700E-06,8.5298E-09,3.6216E-06,5.5727E-06,
     &6.5990E-06,3.8662E-06,1.0227E-08,4.3366E-06,6.5935E-06,7.6627E-06,
     &4.3889E-06/
      DATA ((KB(JS,JT,56, 4),JS=1,5),JT=1,5) /
     &4.6879E-09,1.6674E-06,2.5848E-06,3.0992E-06,2.0097E-06,5.1579E-09,
     &2.0145E-06,3.1307E-06,3.7875E-06,2.3304E-06,5.7829E-09,2.4199E-06,
     &3.7529E-06,4.5119E-06,2.6962E-06,6.6817E-09,2.9092E-06,4.4788E-06,
     &5.3142E-06,3.1037E-06,7.9548E-09,3.4985E-06,5.3248E-06,6.2066E-06,
     &3.5387E-06/
      DATA ((KB(JS,JT,57, 4),JS=1,5),JT=1,5) /
     &3.7487E-09,1.3177E-06,2.0362E-06,2.4278E-06,1.5888E-06,4.1132E-09,
     &1.6006E-06,2.4863E-06,3.0001E-06,1.8530E-06,4.5796E-09,1.9301E-06,
     &2.9957E-06,3.6053E-06,2.1515E-06,5.2447E-09,2.3301E-06,3.5902E-06,
     &4.2690E-06,2.4844E-06,6.1952E-09,2.8175E-06,4.2894E-06,5.0133E-06,
     &2.8503E-06/
      DATA ((KB(JS,JT,58, 4),JS=1,5),JT=1,5) /
     &3.0053E-09,1.0419E-06,1.6034E-06,1.9071E-06,1.2550E-06,3.2906E-09,
     &1.2717E-06,1.9750E-06,2.3751E-06,1.4761E-06,3.6412E-09,1.5413E-06,
     &2.3950E-06,2.8817E-06,1.7173E-06,4.1327E-09,1.8673E-06,2.8800E-06,
     &3.4301E-06,1.9893E-06,4.8448E-09,2.2699E-06,3.4559E-06,4.0496E-06,
     &2.2938E-06/
      DATA ((KB(JS,JT,59, 4),JS=1,5),JT=1,5) /
     &2.4517E-09,8.5367E-07,1.3121E-06,1.5587E-06,1.0209E-06,2.6814E-09,
     &1.0459E-06,1.6241E-06,1.9505E-06,1.2067E-06,2.9604E-09,1.2726E-06,
     &1.9786E-06,2.3765E-06,1.4071E-06,3.3490E-09,1.5486E-06,2.3884E-06,
     &2.8393E-06,1.6353E-06,3.9177E-09,1.8923E-06,2.8751E-06,3.3648E-06,
     &1.8896E-06/
      DATA ((KB(JS,JT,13, 5),JS=1,5),JT=1,5) /
     &1.0606E-03,1.7616E-02,2.6337E-02,3.0832E-02,2.3250E-02,1.1975E-03,
     &1.8851E-02,2.7746E-02,3.2191E-02,2.4461E-02,1.3686E-03,2.0236E-02,
     &2.9224E-02,3.3409E-02,2.5538E-02,1.5788E-03,2.1686E-02,3.0822E-02,
     &3.4581E-02,2.6483E-02,1.8422E-03,2.3201E-02,3.2485E-02,3.5791E-02,
     &2.7339E-02/
      DATA ((KB(JS,JT,14, 5),JS=1,5),JT=1,5) /
     &9.0299E-04,1.4939E-02,2.2235E-02,2.5969E-02,1.9459E-02,1.0276E-03,
     &1.6043E-02,2.3464E-02,2.7102E-02,2.0418E-02,1.1848E-03,1.7244E-02,
     &2.4766E-02,2.8137E-02,2.1279E-02,1.3763E-03,1.8494E-02,2.6159E-02,
     &2.9141E-02,2.2035E-02,1.6087E-03,1.9801E-02,2.7586E-02,3.0208E-02,
     &2.2712E-02/
      DATA ((KB(JS,JT,15, 5),JS=1,5),JT=1,5) /
     &7.6169E-04,1.2657E-02,1.8744E-02,2.1807E-02,1.6155E-02,8.7429E-04,
     &1.3622E-02,1.9820E-02,2.2753E-02,1.6908E-02,1.0153E-03,1.4650E-02,
     &2.0967E-02,2.3637E-02,1.7597E-02,1.1860E-03,1.5728E-02,2.2159E-02,
     &2.4521E-02,1.8236E-02,1.3940E-03,1.6855E-02,2.3377E-02,2.5442E-02,
     &1.8800E-02/
      DATA ((KB(JS,JT,16, 5),JS=1,5),JT=1,5) /
     &6.3979E-04,1.0716E-02,1.5782E-02,1.8280E-02,1.3330E-02,7.3992E-04,
     &1.1550E-02,1.6721E-02,1.9074E-02,1.3955E-02,8.6535E-04,1.2432E-02,
     &1.7715E-02,1.9835E-02,1.4519E-02,1.0180E-03,1.3358E-02,1.8733E-02,
     &2.0612E-02,1.5053E-02,1.2020E-03,1.4330E-02,1.9780E-02,2.1390E-02,
     &1.5523E-02/
      DATA ((KB(JS,JT,17, 5),JS=1,5),JT=1,5) /
     &5.3827E-04,9.0675E-03,1.3282E-02,1.5310E-02,1.1002E-02,6.2733E-04,
     &9.7818E-03,1.4093E-02,1.5985E-02,1.1517E-02,7.3894E-04,1.0536E-02,
     &1.4937E-02,1.6642E-02,1.1982E-02,8.7471E-04,1.1329E-02,1.5813E-02,
     &1.7308E-02,1.2431E-02,1.0369E-03,1.2167E-02,1.6717E-02,1.7966E-02,
     &1.2833E-02/
      DATA ((KB(JS,JT,18, 5),JS=1,5),JT=1,5) /
     &4.5632E-04,7.6631E-03,1.1175E-02,1.2821E-02,9.1007E-03,5.3618E-04,
     &8.2741E-03,1.1867E-02,1.3402E-02,9.5284E-03,6.3520E-04,8.9179E-03,
     &1.2591E-02,1.3960E-02,9.9227E-03,7.5513E-04,9.5966E-03,1.3345E-02,
     &1.4529E-02,1.0294E-02,8.9828E-04,1.0325E-02,1.4127E-02,1.5082E-02,
     &1.0637E-02/
      DATA ((KB(JS,JT,19, 5),JS=1,5),JT=1,5) /
     &3.8782E-04,6.4686E-03,9.3947E-03,1.0738E-02,7.5366E-03,4.5826E-04,
     &6.9872E-03,9.9878E-03,1.1230E-02,7.8920E-03,5.4544E-04,7.5386E-03,
     &1.0613E-02,1.1706E-02,8.2219E-03,6.5085E-04,8.1243E-03,1.1261E-02,
     &1.2183E-02,8.5447E-03,7.7601E-04,8.7598E-03,1.1933E-02,1.2660E-02,
     &8.8388E-03/
      DATA ((KB(JS,JT,20, 5),JS=1,5),JT=1,5) /
     &3.3304E-04,5.4623E-03,7.9028E-03,8.9960E-03,6.2635E-03,3.9553E-04,
     &5.9055E-03,8.4155E-03,9.4111E-03,6.5613E-03,4.7180E-04,6.3779E-03,
     &8.9500E-03,9.8172E-03,6.8459E-03,5.6453E-04,6.8862E-03,9.5048E-03,
     &1.0225E-02,7.1246E-03,6.7486E-04,7.4411E-03,1.0082E-02,1.0637E-02,
     &7.3786E-03/
      DATA ((KB(JS,JT,21, 5),JS=1,5),JT=1,5) /
     &2.8693E-04,4.6180E-03,6.6504E-03,7.5379E-03,5.2071E-03,3.4180E-04,
     &4.9948E-03,7.0898E-03,7.8866E-03,5.4645E-03,4.0811E-04,5.4006E-03,
     &7.5474E-03,8.2331E-03,5.7127E-03,4.8873E-04,5.8434E-03,8.0212E-03,
     &8.5844E-03,5.9470E-03,5.8593E-04,6.3260E-03,8.5182E-03,8.9408E-03,
     &6.1662E-03/
      DATA ((KB(JS,JT,22, 5),JS=1,5),JT=1,5) /
     &2.4974E-04,3.9240E-03,5.6208E-03,6.3345E-03,4.3431E-03,2.9749E-04,
     &4.2526E-03,5.9996E-03,6.6266E-03,4.5624E-03,3.5608E-04,4.6047E-03,
     &6.3919E-03,6.9259E-03,4.7738E-03,4.2699E-04,4.9920E-03,6.7993E-03,
     &7.2276E-03,4.9714E-03,5.1198E-04,5.4166E-03,7.2302E-03,7.5387E-03,
     &5.1660E-03/
      DATA ((KB(JS,JT,23, 5),JS=1,5),JT=1,5) /
     &2.1716E-04,3.3375E-03,4.7528E-03,5.3238E-03,3.6258E-03,2.5886E-04,
     &3.6243E-03,5.0797E-03,5.5740E-03,3.8107E-03,3.1026E-04,3.9353E-03,
     &5.4169E-03,5.8309E-03,3.9876E-03,3.7235E-04,4.2757E-03,5.7711E-03,
     &6.0911E-03,4.1586E-03,4.4568E-04,4.6463E-03,6.1476E-03,6.3633E-03,
     &4.3277E-03/
      DATA ((KB(JS,JT,24, 5),JS=1,5),JT=1,5) /
     &1.8738E-04,2.8412E-03,4.0251E-03,4.4754E-03,3.0232E-03,2.2422E-04,
     &3.0930E-03,4.3062E-03,4.6921E-03,3.1788E-03,2.6942E-04,3.3694E-03,
     &4.5983E-03,4.9126E-03,3.3287E-03,3.2317E-04,3.6702E-03,4.9092E-03,
     &5.1393E-03,3.4771E-03,3.8638E-04,3.9951E-03,5.2385E-03,5.3815E-03,
     &3.6232E-03/
      DATA ((KB(JS,JT,25, 5),JS=1,5),JT=1,5) /
     &1.6224E-04,2.4232E-03,3.4141E-03,3.7661E-03,2.5262E-03,1.9465E-04,
     &2.6463E-03,3.6575E-03,3.9541E-03,2.6577E-03,2.3391E-04,2.8936E-03,
     &3.9130E-03,4.1446E-03,2.7841E-03,2.8044E-04,3.1598E-03,4.1853E-03,
     &4.3442E-03,2.9098E-03,3.3483E-04,3.4437E-03,4.4735E-03,4.5625E-03,
     &3.0351E-03/
      DATA ((KB(JS,JT,26, 5),JS=1,5),JT=1,5) /
     &1.4132E-04,2.0737E-03,2.9036E-03,3.1762E-03,2.1157E-03,1.6977E-04,
     &2.2743E-03,3.1152E-03,3.3382E-03,2.2258E-03,2.0409E-04,2.4947E-03,
     &3.3401E-03,3.5048E-03,2.3338E-03,2.4472E-04,2.7297E-03,3.5798E-03,
     &3.6835E-03,2.4421E-03,2.9131E-04,2.9804E-03,3.8308E-03,3.8797E-03,
     &2.5500E-03/
      DATA ((KB(JS,JT,27, 5),JS=1,5),JT=1,5) /
     &1.2293E-04,1.7797E-03,2.4725E-03,2.6822E-03,1.7718E-03,1.4789E-04,
     &1.9595E-03,2.6584E-03,2.8222E-03,1.8655E-03,1.7790E-04,2.1552E-03,
     &2.8584E-03,2.9695E-03,1.9589E-03,2.1315E-04,2.3624E-03,3.0688E-03,
     &3.1309E-03,2.0520E-03,2.5285E-04,2.5825E-03,3.2876E-03,3.3068E-03,
     &2.1445E-03/
      DATA ((KB(JS,JT,28, 5),JS=1,5),JT=1,5) /
     &1.0657E-04,1.5319E-03,2.1096E-03,2.2678E-03,1.4844E-03,1.2856E-04,
     &1.6920E-03,2.2743E-03,2.3899E-03,1.5639E-03,1.5471E-04,1.8636E-03,
     &2.4511E-03,2.5221E-03,1.6436E-03,1.8512E-04,2.0472E-03,2.6364E-03,
     &2.6681E-03,1.7238E-03,2.1872E-04,2.2411E-03,2.8270E-03,2.8260E-03,
     &1.8048E-03/
      DATA ((KB(JS,JT,29, 5),JS=1,5),JT=1,5) /
     &9.2876E-05,1.3237E-03,1.8049E-03,1.9214E-03,1.2471E-03,1.1226E-04,
     &1.4659E-03,1.9518E-03,2.0295E-03,1.3143E-03,1.3519E-04,1.6171E-03,
     &2.1089E-03,2.1498E-03,1.3833E-03,1.6102E-04,1.7778E-03,2.2703E-03,
     &2.2810E-03,1.4528E-03,1.8981E-04,1.9484E-03,2.4374E-03,2.4249E-03,
     &1.5236E-03/
      DATA ((KB(JS,JT,30, 5),JS=1,5),JT=1,5) /
     &8.0828E-05,1.1471E-03,1.5486E-03,1.6307E-03,1.0482E-03,9.8063E-05,
     &1.2718E-03,1.6797E-03,1.7287E-03,1.1053E-03,1.1772E-04,1.4050E-03,
     &1.8177E-03,1.8379E-03,1.1648E-03,1.3981E-04,1.5469E-03,1.9589E-03,
     &1.9565E-03,1.2258E-03,1.6446E-04,1.6947E-03,2.1055E-03,2.0874E-03,
     &1.2885E-03/
      DATA ((KB(JS,JT,31, 5),JS=1,5),JT=1,5) /
     &7.0539E-05,9.9621E-04,1.3325E-03,1.3879E-03,8.8220E-04,8.5589E-05,
     &1.1063E-03,1.4492E-03,1.4776E-03,9.3113E-04,1.0244E-04,1.2240E-03,
     &1.5701E-03,1.5764E-03,9.8237E-04,1.2151E-04,1.3488E-03,1.6942E-03,
     &1.6846E-03,1.0364E-03,1.4245E-04,1.4753E-03,1.8229E-03,1.8042E-03,
     &1.0910E-03/
      DATA ((KB(JS,JT,32, 5),JS=1,5),JT=1,5) /
     &6.1598E-05,8.6708E-04,1.1506E-03,1.1857E-03,7.4396E-04,7.4698E-05,
     &9.6443E-04,1.2533E-03,1.2673E-03,7.8590E-04,8.9092E-05,1.0684E-03,
     &1.3590E-03,1.3571E-03,8.3090E-04,1.0537E-04,1.1766E-03,1.4682E-03,
     &1.4560E-03,8.7827E-04,1.2327E-04,1.2850E-03,1.5813E-03,1.5643E-03,
     &9.2599E-04/
      DATA ((KB(JS,JT,33, 5),JS=1,5),JT=1,5) /
     &5.3748E-05,7.5629E-04,9.9595E-04,1.0163E-03,6.2809E-04,6.4972E-05,
     &8.4265E-04,1.0856E-03,1.0908E-03,6.6416E-04,7.7386E-05,9.3397E-04,
     &1.1787E-03,1.1727E-03,7.0387E-04,9.1138E-05,1.0266E-03,1.2749E-03,
     &1.2630E-03,7.4507E-04,1.0640E-04,1.1189E-03,1.3738E-03,1.3608E-03,
     &7.8830E-04/
      DATA ((KB(JS,JT,34, 5),JS=1,5),JT=1,5) /
     &4.6667E-05,6.5884E-04,8.6049E-04,8.7214E-04,5.3099E-04,5.6263E-05,
     &7.3490E-04,9.3900E-04,9.3946E-04,5.6278E-04,6.6853E-05,8.1383E-04,
     &1.0209E-03,1.0142E-03,5.9776E-04,7.8598E-05,8.9314E-04,1.1054E-03,
     &1.0963E-03,6.3419E-04,9.1503E-05,9.7193E-04,1.1927E-03,1.1840E-03,
     &6.7320E-04/
      DATA ((KB(JS,JT,35, 5),JS=1,5),JT=1,5) /
     &3.9599E-05,5.6866E-04,7.3803E-04,7.4491E-04,4.4688E-04,4.7677E-05,
     &6.3490E-04,8.0685E-04,8.0540E-04,4.7466E-04,5.6630E-05,7.0279E-04,
     &8.7860E-04,8.7332E-04,5.0476E-04,6.6506E-05,7.7061E-04,9.5262E-04,
     &9.4676E-04,5.3730E-04,7.7343E-05,8.3870E-04,1.0295E-03,1.0250E-03,
     &5.7200E-04/
      DATA ((KB(JS,JT,36, 5),JS=1,5),JT=1,5) /
     &3.2767E-05,4.8523E-04,6.2751E-04,6.3183E-04,3.7353E-04,3.9450E-05,
     &5.4261E-04,6.8744E-04,6.8587E-04,3.9744E-04,4.6861E-05,6.0093E-04,
     &7.4977E-04,7.4623E-04,4.2315E-04,5.4956E-05,6.5916E-04,8.1469E-04,
     &8.1158E-04,4.5144E-04,6.3908E-05,7.1820E-04,8.8212E-04,8.8103E-04,
     &4.8165E-04/
      DATA ((KB(JS,JT,37, 5),JS=1,5),JT=1,5) /
     &2.6734E-05,4.0754E-04,5.2645E-04,5.3014E-04,3.1118E-04,3.2273E-05,
     &4.5661E-04,5.7825E-04,5.7766E-04,3.3206E-04,3.8488E-05,5.0697E-04,
     &6.3245E-04,6.3058E-04,3.5476E-04,4.5228E-05,5.5706E-04,6.8918E-04,
     &6.8809E-04,3.7944E-04,5.2675E-05,6.0808E-04,7.4794E-04,7.4934E-04,
     &4.0598E-04/
      DATA ((KB(JS,JT,38, 5),JS=1,5),JT=1,5) /
     &2.1751E-05,3.4209E-04,4.4146E-04,4.4458E-04,2.5920E-04,2.6326E-05,
     &3.8415E-04,4.8603E-04,4.8632E-04,2.7730E-04,3.1515E-05,4.2736E-04,
     &5.3325E-04,5.3262E-04,2.9714E-04,3.7219E-05,4.7064E-04,5.8263E-04,
     &5.8321E-04,3.1890E-04,4.3344E-05,5.1493E-04,6.3402E-04,6.3729E-04,
     &3.4212E-04/
      DATA ((KB(JS,JT,39, 5),JS=1,5),JT=1,5) /
     &1.7643E-05,2.8717E-04,3.7020E-04,3.7288E-04,2.1580E-04,2.1418E-05,
     &3.2343E-04,4.0871E-04,4.0953E-04,2.3151E-04,2.5725E-05,3.6044E-04,
     &4.4966E-04,4.5005E-04,2.4880E-04,3.0479E-05,3.9785E-04,4.9263E-04,
     &4.9445E-04,2.6783E-04,3.5653E-05,4.3646E-04,5.3771E-04,5.4230E-04,
     &2.8822E-04/
      DATA ((KB(JS,JT,40, 5),JS=1,5),JT=1,5) /
     &1.4102E-05,2.3814E-04,3.0730E-04,3.0981E-04,1.7864E-04,1.7187E-05,
     &2.6934E-04,3.4039E-04,3.4146E-04,1.9234E-04,2.0739E-05,3.0130E-04,
     &3.7571E-04,3.7672E-04,2.0737E-04,2.4670E-05,3.3333E-04,4.1283E-04,
     &4.1538E-04,2.2408E-04,2.9046E-05,3.6694E-04,4.5216E-04,4.5729E-04,
     &2.4187E-04/
      DATA ((KB(JS,JT,41, 5),JS=1,5),JT=1,5) /
     &1.1221E-05,1.9710E-04,2.5465E-04,2.5696E-04,1.4773E-04,1.3747E-05,
     &2.2390E-04,2.8305E-04,2.8413E-04,1.5955E-04,1.6649E-05,2.5145E-04,
     &3.1346E-04,3.1467E-04,1.7269E-04,1.9899E-05,2.7935E-04,3.4563E-04,
     &3.4845E-04,1.8718E-04,2.3568E-05,3.0830E-04,3.7974E-04,3.8512E-04,
     &2.0281E-04/
      DATA ((KB(JS,JT,42, 5),JS=1,5),JT=1,5) /
     &8.9147E-06,1.6314E-04,2.1088E-04,2.1294E-04,1.2205E-04,1.0957E-05,
     &1.8596E-04,2.3523E-04,2.3628E-04,1.3225E-04,1.3327E-05,2.0974E-04,
     &2.6134E-04,2.6263E-04,1.4356E-04,1.6005E-05,2.3378E-04,2.8925E-04,
     &2.9202E-04,1.5621E-04,1.9038E-05,2.5914E-04,3.1897E-04,3.2415E-04,
     &1.6982E-04/
      DATA ((KB(JS,JT,43, 5),JS=1,5),JT=1,5) /
     &6.9995E-06,1.3405E-04,1.7338E-04,1.7535E-04,1.0036E-04,8.6406E-06,
     &1.5345E-04,1.9416E-04,1.9514E-04,1.0910E-04,1.0556E-05,1.7373E-04,
     &2.1659E-04,2.1767E-04,1.1887E-04,1.2739E-05,1.9445E-04,2.4053E-04,
     &2.4311E-04,1.2980E-04,1.5232E-05,2.1640E-04,2.6645E-04,2.7107E-04,
     &1.4169E-04/
      DATA ((KB(JS,JT,44, 5),JS=1,5),JT=1,5) /
     &5.4712E-06,1.0970E-04,1.4195E-04,1.4386E-04,8.2260E-05,6.7644E-06,
     &1.2612E-04,1.5963E-04,1.6061E-04,8.9727E-05,8.2973E-06,1.4348E-04,
     &1.7878E-04,1.7975E-04,9.8122E-05,1.0082E-05,1.6132E-04,1.9952E-04,
     &2.0155E-04,1.0755E-04,1.2107E-05,1.8008E-04,2.2179E-04,2.2576E-04,
     &1.1787E-04/
      DATA ((KB(JS,JT,45, 5),JS=1,5),JT=1,5) /
     &4.2767E-06,8.9680E-05,1.1611E-04,1.1781E-04,6.7338E-05,5.2860E-06,
     &1.0360E-04,1.3107E-04,1.3203E-04,7.3722E-05,6.5107E-06,1.1838E-04,
     &1.4735E-04,1.4829E-04,8.0852E-05,7.9501E-06,1.3374E-04,1.6520E-04,
     &1.6693E-04,8.8969E-05,9.5937E-06,1.4993E-04,1.8456E-04,1.8781E-04,
     &9.7897E-05/
      DATA ((KB(JS,JT,46, 5),JS=1,5),JT=1,5) /
     &3.3226E-06,7.2918E-05,9.4635E-05,9.6069E-05,5.4912E-05,4.1185E-06,
     &8.4705E-05,1.0726E-04,1.0809E-04,6.0325E-05,5.0796E-06,9.7414E-05,
     &1.2106E-04,1.2184E-04,6.6415E-05,6.2311E-06,1.1055E-04,1.3625E-04,
     &1.3772E-04,7.3354E-05,7.5594E-06,1.2439E-04,1.5297E-04,1.5569E-04,
     &8.0972E-05/
      DATA ((KB(JS,JT,47, 5),JS=1,5),JT=1,5) /
     &2.5507E-06,5.8753E-05,7.6599E-05,7.7798E-05,4.4508E-05,3.1800E-06,
     &6.8679E-05,8.7240E-05,8.7843E-05,4.9115E-05,3.9273E-06,7.9497E-05,
     &9.8871E-05,9.9421E-05,5.4249E-05,4.8346E-06,9.0782E-05,1.1173E-04,
     &1.1282E-04,6.0113E-05,5.8995E-06,1.0267E-04,1.2592E-04,1.2815E-04,
     &6.6656E-05/
      DATA ((KB(JS,JT,48, 5),JS=1,5),JT=1,5) /
     &1.9539E-06,4.7174E-05,6.1874E-05,6.2916E-05,3.5973E-05,2.4452E-06,
     &5.5575E-05,7.0853E-05,7.1238E-05,3.9898E-05,3.0402E-06,6.4783E-05,
     &8.0633E-05,8.0921E-05,4.4214E-05,3.7390E-06,7.4439E-05,9.1498E-05,
     &9.2208E-05,4.9162E-05,4.5836E-06,8.4608E-05,1.0358E-04,1.0531E-04,
     &5.4702E-05/
      DATA ((KB(JS,JT,49, 5),JS=1,5),JT=1,5) /
     &1.4940E-06,3.7716E-05,4.9829E-05,5.0804E-05,2.8987E-05,1.8758E-06,
     &4.4777E-05,5.7392E-05,5.7697E-05,3.2317E-05,2.3413E-06,5.2604E-05,
     &6.5608E-05,6.5748E-05,3.5946E-05,2.8961E-06,6.0891E-05,7.4824E-05,
     &7.5182E-05,4.0099E-05,3.5524E-06,6.9587E-05,8.5068E-05,8.6295E-05,
     &4.4804E-05/
      DATA ((KB(JS,JT,50, 5),JS=1,5),JT=1,5) /
     &1.1500E-06,3.0169E-05,4.0157E-05,4.1069E-05,2.3362E-05,1.4453E-06,
     &3.6089E-05,4.6549E-05,4.6799E-05,2.6193E-05,1.8129E-06,4.2735E-05,
     &5.3474E-05,5.3514E-05,2.9249E-05,2.2529E-06,4.9843E-05,6.1234E-05,
     &6.1404E-05,3.2748E-05,2.7762E-06,5.7328E-05,7.0027E-05,7.0783E-05,
     &3.6712E-05/
      DATA ((KB(JS,JT,51, 5),JS=1,5),JT=1,5) /
     &8.8851E-07,2.4095E-05,3.2303E-05,3.3210E-05,1.8805E-05,1.1177E-06,
     &2.9082E-05,3.7705E-05,3.7944E-05,2.1209E-05,1.4060E-06,3.4667E-05,
     &4.3578E-05,4.3570E-05,2.3792E-05,1.7539E-06,4.0739E-05,5.0114E-05,
     &5.0172E-05,2.6720E-05,2.1729E-06,4.7224E-05,5.7598E-05,5.8070E-05,
     &3.0079E-05/
      DATA ((KB(JS,JT,52, 5),JS=1,5),JT=1,5) /
     &6.8525E-07,1.9178E-05,2.5896E-05,2.6809E-05,1.5097E-05,8.6301E-07,
     &2.3336E-05,3.0434E-05,3.0713E-05,1.7120E-05,1.0889E-06,2.8028E-05,
     &3.5422E-05,3.5397E-05,1.9301E-05,1.3649E-06,3.3187E-05,4.0954E-05,
     &4.0921E-05,2.1752E-05,1.6982E-06,3.8747E-05,4.7260E-05,4.7557E-05,
     &2.4588E-05/
      DATA ((KB(JS,JT,53, 5),JS=1,5),JT=1,5) /
     &5.2809E-07,1.5206E-05,2.0688E-05,2.1592E-05,1.2084E-05,6.6493E-07,
     &1.8647E-05,2.4479E-05,2.4819E-05,1.3781E-05,8.4102E-07,2.2574E-05,
     &2.8683E-05,2.8690E-05,1.5621E-05,1.0585E-06,2.6955E-05,3.3364E-05,
     &3.3298E-05,1.7677E-05,1.3239E-06,3.1710E-05,3.8733E-05,3.8864E-05,
     &2.0049E-05/
      DATA ((KB(JS,JT,54, 5),JS=1,5),JT=1,5) /
     &4.0969E-07,1.2093E-05,1.6564E-05,1.7421E-05,9.6882E-06,5.1569E-07,
     &1.4937E-05,1.9734E-05,2.0094E-05,1.1112E-05,6.5296E-07,1.8229E-05,
     &2.3282E-05,2.3321E-05,1.2664E-05,8.2573E-07,2.1950E-05,2.7231E-05,
     &2.7150E-05,1.4393E-05,1.0373E-06,2.6013E-05,3.1791E-05,3.1828E-05,
     &1.6379E-05/
      DATA ((KB(JS,JT,55, 5),JS=1,5),JT=1,5) /
     &3.1928E-07,9.6162E-06,1.3257E-05,1.4053E-05,7.7741E-06,4.0112E-07,
     &1.1963E-05,1.5906E-05,1.6257E-05,8.9578E-06,5.0816E-07,1.4717E-05,
     &1.8886E-05,1.8947E-05,1.0262E-05,6.4465E-07,1.7864E-05,2.2207E-05,
     &2.2155E-05,1.1715E-05,8.1328E-07,2.1326E-05,2.6076E-05,2.6061E-05,
     &1.3376E-05/
      DATA ((KB(JS,JT,56, 5),JS=1,5),JT=1,5) /
     &2.4829E-07,7.6204E-06,1.0578E-05,1.1309E-05,6.2208E-06,3.1176E-07,
     &9.5488E-06,1.2780E-05,1.3125E-05,7.2013E-06,3.9506E-07,1.1850E-05,
     &1.5279E-05,1.5348E-05,8.2947E-06,5.0266E-07,1.4492E-05,1.8074E-05,
     &1.8040E-05,9.5153E-06,6.3638E-07,1.7442E-05,2.1336E-05,2.1310E-05,
     &1.0904E-05/
      DATA ((KB(JS,JT,57, 5),JS=1,5),JT=1,5) /
     &1.9302E-07,6.0187E-06,8.4162E-06,9.0799E-06,4.9649E-06,2.4222E-07,
     &7.5959E-06,1.0233E-05,1.0570E-05,5.7701E-06,3.0688E-07,9.5080E-06,
     &1.2318E-05,1.2403E-05,6.6913E-06,3.9089E-07,1.1719E-05,1.4670E-05,
     &1.4644E-05,7.7166E-06,4.9674E-07,1.4214E-05,1.7402E-05,1.7382E-05,
     &8.8727E-06/
      DATA ((KB(JS,JT,58, 5),JS=1,5),JT=1,5) /
     &1.5046E-07,4.7663E-06,6.6998E-06,7.2908E-06,3.9631E-06,1.8856E-07,
     &6.0459E-06,8.1908E-06,8.5206E-06,4.6270E-06,2.3869E-07,7.6302E-06,
     &9.9245E-06,1.0023E-05,5.3977E-06,3.0459E-07,9.4767E-06,1.1911E-05,
     &1.1894E-05,6.2579E-06,3.8820E-07,1.1588E-05,1.4205E-05,1.4182E-05,
     &7.2226E-06/
      DATA ((KB(JS,JT,59, 5),JS=1,5),JT=1,5) /
     &1.2212E-07,3.9332E-06,5.5230E-06,6.0094E-06,3.2499E-06,1.5324E-07,
     &5.0178E-06,6.7879E-06,7.0566E-06,3.8108E-06,1.9418E-07,6.3678E-06,
     &8.2647E-06,8.3443E-06,4.4672E-06,2.4820E-07,7.9543E-06,9.9670E-06,
     &9.9518E-06,5.2027E-06,3.1740E-07,9.7704E-06,1.1964E-05,1.1938E-05,
     &6.0278E-06/
      DATA ((KB(JS,JT,13, 6),JS=1,5),JT=1,5) /
     &1.0896E-02,6.3076E-02,7.8831E-02,7.8091E-02,5.5428E-02,1.3036E-02,
     &6.6370E-02,8.1226E-02,7.9692E-02,5.6778E-02,1.5498E-02,6.9685E-02,
     &8.3483E-02,8.1400E-02,5.7975E-02,1.8239E-02,7.3147E-02,8.5845E-02,
     &8.3249E-02,5.9127E-02,2.1232E-02,7.6581E-02,8.8266E-02,8.5245E-02,
     &6.0192E-02/
      DATA ((KB(JS,JT,14, 6),JS=1,5),JT=1,5) /
     &9.4274E-03,5.3526E-02,6.6496E-02,6.5527E-02,4.6374E-02,1.1284E-02,
     &5.6390E-02,6.8527E-02,6.6955E-02,4.7524E-02,1.3394E-02,5.9305E-02,
     &7.0546E-02,6.8479E-02,4.8560E-02,1.5751E-02,6.2293E-02,7.2634E-02,
     &7.0165E-02,4.9587E-02,1.8326E-02,6.5240E-02,7.4773E-02,7.1967E-02,
     &5.0492E-02/
      DATA ((KB(JS,JT,15, 6),JS=1,5),JT=1,5) /
     &8.1352E-03,4.5294E-02,5.5939E-02,5.4933E-02,3.8471E-02,9.7406E-03,
     &4.7797E-02,5.7705E-02,5.6201E-02,3.9475E-02,1.1542E-02,5.0349E-02,
     &5.9500E-02,5.7588E-02,4.0391E-02,1.3568E-02,5.2924E-02,6.1342E-02,
     &5.9116E-02,4.1250E-02,1.5789E-02,5.5427E-02,6.3250E-02,6.0727E-02,
     &4.2016E-02/
      DATA ((KB(JS,JT,16, 6),JS=1,5),JT=1,5) /
     &7.0159E-03,3.8272E-02,4.6984E-02,4.6002E-02,3.1818E-02,8.3846E-03,
     &4.0476E-02,4.8519E-02,4.7148E-02,3.2640E-02,9.9392E-03,4.2699E-02,
     &5.0118E-02,4.8421E-02,3.3435E-02,1.1675E-02,4.4875E-02,5.1760E-02,
     &4.9780E-02,3.4161E-02,1.3584E-02,4.6992E-02,5.3405E-02,5.1224E-02,
     &3.4855E-02/
      DATA ((KB(JS,JT,17, 6),JS=1,5),JT=1,5) /
     &6.0402E-03,3.2343E-02,3.9419E-02,3.8482E-02,2.6323E-02,7.2134E-03,
     &3.4265E-02,4.0783E-02,3.9523E-02,2.7045E-02,8.5415E-03,3.6157E-02,
     &4.2200E-02,4.0657E-02,2.7733E-02,1.0023E-02,3.7979E-02,4.3620E-02,
     &4.1877E-02,2.8354E-02,1.1662E-02,3.9775E-02,4.5034E-02,4.3161E-02,
     &2.8989E-02/
      DATA ((KB(JS,JT,18, 6),JS=1,5),JT=1,5) /
     &5.1905E-03,2.7334E-02,3.3081E-02,3.2183E-02,2.1845E-02,6.1907E-03,
     &2.8996E-02,3.4295E-02,3.3127E-02,2.2456E-02,7.3283E-03,3.0572E-02,
     &3.5522E-02,3.4131E-02,2.3047E-02,8.5960E-03,3.2113E-02,3.6725E-02,
     &3.5202E-02,2.3589E-02,1.0011E-02,3.3654E-02,3.7950E-02,3.6339E-02,
     &2.4154E-02/
      DATA ((KB(JS,JT,19, 6),JS=1,5),JT=1,5) /
     &4.4474E-03,2.3093E-02,2.7758E-02,2.6913E-02,1.8159E-02,5.3019E-03,
     &2.4497E-02,2.8826E-02,2.7764E-02,1.8694E-02,6.2735E-03,2.5825E-02,
     &2.9864E-02,2.8669E-02,1.9187E-02,7.3683E-03,2.7139E-02,3.0890E-02,
     &2.9627E-02,1.9650E-02,8.5933E-03,2.8467E-02,3.1975E-02,3.0634E-02,
     &2.0138E-02/
      DATA ((KB(JS,JT,20, 6),JS=1,5),JT=1,5) /
     &3.8215E-03,1.9522E-02,2.3307E-02,2.2532E-02,1.5180E-02,4.5489E-03,
     &2.0697E-02,2.4217E-02,2.3292E-02,1.5626E-02,5.3838E-03,2.1827E-02,
     &2.5099E-02,2.4107E-02,1.6039E-02,6.3294E-03,2.2947E-02,2.5996E-02,
     &2.4951E-02,1.6431E-02,7.3910E-03,2.4098E-02,2.6969E-02,2.5840E-02,
     &1.6861E-02/
      DATA ((KB(JS,JT,21, 6),JS=1,5),JT=1,5) /
     &3.2849E-03,1.6485E-02,1.9564E-02,1.8873E-02,1.2724E-02,3.9093E-03,
     &1.7476E-02,2.0333E-02,1.9553E-02,1.3080E-02,4.6257E-03,1.8440E-02,
     &2.1099E-02,2.0272E-02,1.3424E-02,5.4436E-03,1.9400E-02,2.1897E-02,
     &2.1018E-02,1.3774E-02,6.3568E-03,2.0406E-02,2.2777E-02,2.1806E-02,
     &1.4153E-02/
      DATA ((KB(JS,JT,22, 6),JS=1,5),JT=1,5) /
     &2.8524E-03,1.3970E-02,1.6464E-02,1.5855E-02,1.0647E-02,3.3998E-03,
     &1.4799E-02,1.7121E-02,1.6464E-02,1.0957E-02,4.0218E-03,1.5618E-02,
     &1.7789E-02,1.7098E-02,1.1264E-02,4.7350E-03,1.6459E-02,1.8512E-02,
     &1.7761E-02,1.1585E-02,5.5269E-03,1.7342E-02,1.9306E-02,1.8466E-02,
     &1.1905E-02/
      DATA ((KB(JS,JT,23, 6),JS=1,5),JT=1,5) /
     &2.4776E-03,1.1832E-02,1.3862E-02,1.3338E-02,8.9101E-03,2.9594E-03,
     &1.2532E-02,1.4430E-02,1.3874E-02,9.1836E-03,3.5060E-03,1.3237E-02,
     &1.5025E-02,1.4435E-02,9.4582E-03,4.1276E-03,1.3976E-02,1.5673E-02,
     &1.5028E-02,9.7462E-03,4.8108E-03,1.4761E-02,1.6387E-02,1.5666E-02,
     &1.0041E-02/
      DATA ((KB(JS,JT,24, 6),JS=1,5),JT=1,5) /
     &2.1553E-03,1.0022E-02,1.1681E-02,1.1233E-02,7.4484E-03,2.5764E-03,
     &1.0621E-02,1.2176E-02,1.1709E-02,7.6914E-03,3.0587E-03,1.1236E-02,
     &1.2711E-02,1.2208E-02,7.9451E-03,3.6022E-03,1.1891E-02,1.3293E-02,
     &1.2744E-02,8.2033E-03,4.1914E-03,1.2593E-02,1.3939E-02,1.3324E-02,
     &8.4674E-03/
      DATA ((KB(JS,JT,25, 6),JS=1,5),JT=1,5) /
     &1.8796E-03,8.5000E-03,9.8543E-03,9.4788E-03,6.2281E-03,2.2512E-03,
     &9.0173E-03,1.0293E-02,9.9015E-03,6.4465E-03,2.6761E-03,9.5606E-03,
     &1.0772E-02,1.0351E-02,6.6771E-03,3.1512E-03,1.0144E-02,1.1303E-02,
     &1.0838E-02,6.9100E-03,3.6575E-03,1.0772E-02,1.1893E-02,1.1363E-02,
     &7.1526E-03/
      DATA ((KB(JS,JT,26, 6),JS=1,5),JT=1,5) /
     &1.6486E-03,7.2263E-03,8.3293E-03,8.0207E-03,5.2267E-03,1.9790E-03,
     &7.6783E-03,8.7239E-03,8.3966E-03,5.4266E-03,2.3552E-03,8.1632E-03,
     &9.1606E-03,8.8030E-03,5.6340E-03,2.7655E-03,8.6841E-03,9.6465E-03,
     &9.2463E-03,5.8421E-03,3.2014E-03,9.2461E-03,1.0190E-02,9.7263E-03,
     &6.0618E-03/
      DATA ((KB(JS,JT,27, 6),JS=1,5),JT=1,5) /
     &1.4479E-03,6.1551E-03,7.0548E-03,6.7980E-03,4.3916E-03,1.7422E-03,
     &6.5560E-03,7.4109E-03,7.1369E-03,4.5703E-03,2.0711E-03,6.9878E-03,
     &7.8116E-03,7.5081E-03,4.7565E-03,2.4273E-03,7.4543E-03,8.2596E-03,
     &7.9125E-03,4.9414E-03,2.8006E-03,7.9622E-03,8.7633E-03,8.3523E-03,
     &5.1438E-03/
      DATA ((KB(JS,JT,28, 6),JS=1,5),JT=1,5) /
     &1.2757E-03,5.2552E-03,5.9880E-03,5.7731E-03,3.6940E-03,1.5355E-03,
     &5.6117E-03,6.3148E-03,6.0828E-03,3.8537E-03,1.8209E-03,6.0000E-03,
     &6.6831E-03,6.4236E-03,4.0153E-03,2.1272E-03,6.4202E-03,7.0979E-03,
     &6.7923E-03,4.1811E-03,2.4474E-03,6.8778E-03,7.5643E-03,7.1983E-03,
     &4.3640E-03/
      DATA ((KB(JS,JT,29, 6),JS=1,5),JT=1,5) /
     &1.1295E-03,4.5004E-03,5.0997E-03,4.9184E-03,3.1153E-03,1.3559E-03,
     &4.8180E-03,5.4010E-03,5.2034E-03,3.2572E-03,1.6033E-03,5.1685E-03,
     &5.7423E-03,5.5151E-03,3.3997E-03,1.8647E-03,5.5488E-03,6.1280E-03,
     &5.8545E-03,3.5531E-03,2.1368E-03,5.9683E-03,6.5578E-03,6.2309E-03,
     &3.7192E-03/
      DATA ((KB(JS,JT,30, 6),JS=1,5),JT=1,5) /
     &1.0010E-03,3.8621E-03,4.3580E-03,4.2036E-03,2.6325E-03,1.1967E-03,
     &4.1511E-03,4.6366E-03,4.4656E-03,2.7570E-03,1.4096E-03,4.4678E-03,
     &4.9534E-03,4.7515E-03,2.8856E-03,1.6325E-03,4.8140E-03,5.3117E-03,
     &5.0685E-03,3.0242E-03,1.8599E-03,5.2016E-03,5.7103E-03,5.4169E-03,
     &3.1738E-03/
      DATA ((KB(JS,JT,31, 6),JS=1,5),JT=1,5) /
     &8.8685E-04,3.3266E-03,3.7394E-03,3.6064E-03,2.2280E-03,1.0569E-03,
     &3.5897E-03,3.9964E-03,3.8465E-03,2.3389E-03,1.2382E-03,3.8779E-03,
     &4.2920E-03,4.1135E-03,2.4573E-03,1.4278E-03,4.1961E-03,4.6258E-03,
     &4.4080E-03,2.5818E-03,1.6136E-03,4.5547E-03,5.0001E-03,4.7313E-03,
     &2.7214E-03/
      DATA ((KB(JS,JT,32, 6),JS=1,5),JT=1,5) /
     &7.8559E-04,2.8763E-03,3.2195E-03,3.1059E-03,1.8911E-03,9.3178E-04,
     &3.1157E-03,3.4609E-03,3.3287E-03,1.9930E-03,1.0867E-03,3.3798E-03,
     &3.7377E-03,3.5772E-03,2.1006E-03,1.2446E-03,3.6754E-03,4.0497E-03,
     &3.8517E-03,2.2158E-03,1.3936E-03,4.0072E-03,4.4007E-03,4.1538E-03,
     &2.3413E-03/
      DATA ((KB(JS,JT,33, 6),JS=1,5),JT=1,5) /
     &6.9486E-04,2.4959E-03,2.7846E-03,2.6858E-03,1.6103E-03,8.2037E-04,
     &2.7142E-03,3.0117E-03,2.8933E-03,1.7041E-03,9.5137E-04,2.9589E-03,
     &3.2703E-03,3.1258E-03,1.8033E-03,1.0800E-03,3.2345E-03,3.5641E-03,
     &3.3810E-03,1.9089E-03,1.1986E-03,3.5406E-03,3.8943E-03,3.6682E-03,
     &2.0234E-03/
      DATA ((KB(JS,JT,34, 6),JS=1,5),JT=1,5) /
     &6.1032E-04,2.1671E-03,2.4134E-03,2.3268E-03,1.3754E-03,7.1748E-04,
     &2.3678E-03,2.6264E-03,2.5207E-03,1.4624E-03,8.2600E-04,2.5947E-03,
     &2.8697E-03,2.7368E-03,1.5523E-03,9.2939E-04,2.8495E-03,3.1449E-03,
     &2.9773E-03,1.6488E-03,1.0239E-03,3.1299E-03,3.4552E-03,3.2520E-03,
     &1.7543E-03/
      DATA ((KB(JS,JT,35, 6),JS=1,5),JT=1,5) /
     &5.2678E-04,1.8713E-03,2.0838E-03,2.0082E-03,1.1717E-03,6.1674E-04,
     &2.0541E-03,2.2811E-03,2.1873E-03,1.2500E-03,7.0570E-04,2.2625E-03,
     &2.5066E-03,2.3870E-03,1.3326E-03,7.8855E-04,2.4971E-03,2.7629E-03,
     &2.6134E-03,1.4204E-03,8.6492E-04,2.7499E-03,3.0514E-03,2.8766E-03,
     &1.5154E-03/
      DATA ((KB(JS,JT,36, 6),JS=1,5),JT=1,5) /
     &4.4569E-04,1.6031E-03,1.7868E-03,1.7221E-03,9.9240E-04,5.2055E-04,
     &1.7679E-03,1.9674E-03,1.8854E-03,1.0623E-03,5.9380E-04,1.9567E-03,
     &2.1742E-03,2.0700E-03,1.1368E-03,6.6114E-04,2.1690E-03,2.4093E-03,
     &2.2827E-03,1.2171E-03,7.2347E-04,2.3953E-03,2.6735E-03,2.5294E-03,
     &1.3028E-03/
      DATA ((KB(JS,JT,37, 6),JS=1,5),JT=1,5) /
     &3.6881E-04,1.3558E-03,1.5140E-03,1.4605E-03,8.3527E-04,4.3070E-04,
     &1.5018E-03,1.6759E-03,1.6073E-03,8.9749E-04,4.9122E-04,1.6697E-03,
     &1.8620E-03,1.7747E-03,9.6428E-04,5.4687E-04,1.8590E-03,2.0742E-03,
     &1.9690E-03,1.0365E-03,5.9826E-04,2.0615E-03,2.3143E-03,2.1948E-03,
     &1.1140E-03/
      DATA ((KB(JS,JT,38, 6),JS=1,5),JT=1,5) /
     &3.0472E-04,1.1463E-03,1.2827E-03,1.2387E-03,7.0293E-04,3.5606E-04,
     &1.2755E-03,1.4277E-03,1.3705E-03,7.5844E-04,4.0587E-04,1.4248E-03,
     &1.5948E-03,1.5225E-03,8.1832E-04,4.5170E-04,1.5929E-03,1.7869E-03,
     &1.6996E-03,8.8272E-04,4.9447E-04,1.7743E-03,2.0049E-03,1.9060E-03,
     &9.5296E-04/
      DATA ((KB(JS,JT,39, 6),JS=1,5),JT=1,5) /
     &2.5159E-04,9.6943E-04,1.0877E-03,1.0513E-03,5.9159E-04,2.9433E-04,
     &1.0839E-03,1.2173E-03,1.1700E-03,6.4088E-04,3.3554E-04,1.2164E-03,
     &1.3675E-03,1.3079E-03,6.9454E-04,3.7315E-04,1.3660E-03,1.5416E-03,
     &1.4697E-03,7.5241E-04,4.0840E-04,1.5291E-03,1.7396E-03,1.6583E-03,
     &8.1566E-04/
      DATA ((KB(JS,JT,40, 6),JS=1,5),JT=1,5) /
     &2.0445E-04,8.1104E-04,9.1201E-04,8.8303E-04,4.9462E-04,2.4013E-04,
     &9.1062E-04,1.0259E-03,9.8834E-04,5.3806E-04,2.7454E-04,1.0267E-03,
     &1.1591E-03,1.1112E-03,5.8582E-04,3.0609E-04,1.1586E-03,1.3148E-03,
     &1.2564E-03,6.3733E-04,3.3521E-04,1.3038E-03,1.4932E-03,1.4267E-03,
     &6.9406E-04/
      DATA ((KB(JS,JT,41, 6),JS=1,5),JT=1,5) /
     &1.6568E-04,6.7706E-04,7.6339E-04,7.4014E-04,4.1311E-04,1.9545E-04,
     &7.6370E-04,8.6317E-04,8.3349E-04,4.5126E-04,2.2429E-04,8.6513E-04,
     &9.8057E-04,9.4284E-04,4.9336E-04,2.5075E-04,9.8100E-04,1.1192E-03,
     &1.0723E-03,5.3916E-04,2.7523E-04,1.1101E-03,1.2797E-03,1.2259E-03,
     &5.8980E-04/
      DATA ((KB(JS,JT,42, 6),JS=1,5),JT=1,5) /
     &1.3464E-04,5.6478E-04,6.3846E-04,6.1972E-04,3.4485E-04,1.5918E-04,
     &6.4002E-04,7.2573E-04,7.0212E-04,3.7807E-04,1.8309E-04,7.2866E-04,
     &8.2914E-04,7.9959E-04,4.1541E-04,2.0534E-04,8.3063E-04,9.5224E-04,
     &9.1510E-04,4.5609E-04,2.2591E-04,9.4536E-04,1.0960E-03,1.0535E-03,
     &5.0132E-04/
      DATA ((KB(JS,JT,43, 6),JS=1,5),JT=1,5) /
     &1.0834E-04,4.6763E-04,5.2964E-04,5.1479E-04,2.8641E-04,1.2878E-04,
     &5.3191E-04,6.0529E-04,5.8655E-04,3.1538E-04,1.4877E-04,6.0848E-04,
     &6.9517E-04,6.7233E-04,3.4781E-04,1.6739E-04,6.9818E-04,8.0315E-04,
     &7.7433E-04,3.8376E-04,1.8458E-04,7.9951E-04,9.3071E-04,8.9755E-04,
     &4.2371E-04/
      DATA ((KB(JS,JT,44, 6),JS=1,5),JT=1,5) /
     &8.6770E-05,3.8551E-04,4.3712E-04,4.2544E-04,2.3710E-04,1.0382E-04,
     &4.4040E-04,5.0222E-04,4.8753E-04,2.6235E-04,1.2059E-04,5.0571E-04,
     &5.8013E-04,5.6233E-04,2.9036E-04,1.3632E-04,5.8391E-04,6.7429E-04,
     &6.5221E-04,3.2192E-04,1.5073E-04,6.7339E-04,7.8624E-04,7.6086E-04,
     &3.5732E-04/
      DATA ((KB(JS,JT,45, 6),JS=1,5),JT=1,5) /
     &6.9317E-05,3.1724E-04,3.6001E-04,3.5090E-04,1.9579E-04,8.3569E-05,
     &3.6417E-04,4.1579E-04,4.0435E-04,2.1781E-04,9.7725E-05,4.2014E-04,
     &4.8329E-04,4.6938E-04,2.4226E-04,1.1101E-04,4.8745E-04,5.6520E-04,
     &5.4804E-04,2.6965E-04,1.2310E-04,5.6606E-04,6.6327E-04,6.4374E-04,
     &3.0080E-04/
      DATA ((KB(JS,JT,46, 6),JS=1,5),JT=1,5) /
     &5.5030E-05,2.6007E-04,2.9522E-04,2.8798E-04,1.6098E-04,6.6908E-05,
     &2.9981E-04,3.4235E-04,3.3361E-04,1.8009E-04,7.8894E-05,3.4737E-04,
     &4.0028E-04,3.8969E-04,2.0138E-04,9.0228E-05,4.0507E-04,4.7110E-04,
     &4.5796E-04,2.2525E-04,1.0044E-04,4.7380E-04,5.5673E-04,5.4149E-04,
     &2.5231E-04/
      DATA ((KB(JS,JT,47, 6),JS=1,5),JT=1,5) /
     &4.3131E-05,2.1132E-04,2.3992E-04,2.3430E-04,1.3147E-04,5.3026E-05,
     &2.4489E-04,2.7966E-04,2.7282E-04,1.4794E-04,6.3179E-05,2.8502E-04,
     &3.2837E-04,3.2046E-04,1.6642E-04,7.2849E-05,3.3391E-04,3.8868E-04,
     &3.7909E-04,1.8727E-04,8.1641E-05,3.9308E-04,4.6293E-04,4.5114E-04,
     &2.1071E-04/
      DATA ((KB(JS,JT,48, 6),JS=1,5),JT=1,5) /
     &3.3560E-05,1.7139E-04,1.9468E-04,1.9001E-04,1.0710E-04,4.1736E-05,
     &1.9942E-04,2.2765E-04,2.2235E-04,1.2121E-04,5.0371E-05,2.3319E-04,
     &2.6893E-04,2.6280E-04,1.3718E-04,5.8779E-05,2.7466E-04,3.1973E-04,
     &3.1295E-04,1.5543E-04,6.6247E-05,3.2531E-04,3.8347E-04,3.7465E-04,
     &1.7582E-04/
      DATA ((KB(JS,JT,49, 6),JS=1,5),JT=1,5) /
     &2.5958E-05,1.3895E-04,1.5751E-04,1.5378E-04,8.6997E-05,3.2663E-05,
     &1.6210E-04,1.8496E-04,1.8058E-04,9.9003E-05,3.9912E-05,1.9033E-04,
     &2.1954E-04,2.1463E-04,1.1278E-04,4.7146E-05,2.2536E-04,2.6252E-04,
     &2.5743E-04,1.2854E-04,5.3714E-05,2.6879E-04,3.1652E-04,3.1040E-04,
     &1.4638E-04/
      DATA ((KB(JS,JT,50, 6),JS=1,5),JT=1,5) /
     &2.0123E-05,1.1283E-04,1.2763E-04,1.2462E-04,7.0722E-05,2.5601E-05,
     &1.3215E-04,1.5042E-04,1.4697E-04,8.0931E-05,3.1614E-05,1.5574E-04,
     &1.7957E-04,1.7552E-04,9.2734E-05,3.7764E-05,1.8520E-04,2.1596E-04,
     &2.1200E-04,1.0641E-04,4.3463E-05,2.2248E-04,2.6195E-04,2.5758E-04,
     &1.2203E-04/
      DATA ((KB(JS,JT,51, 6),JS=1,5),JT=1,5) /
     &1.5566E-05,9.1692E-05,1.0348E-04,1.0093E-04,5.7420E-05,2.0041E-05,
     &1.0771E-04,1.2230E-04,1.1952E-04,6.6019E-05,2.5022E-05,1.2757E-04,
     &1.4670E-04,1.4349E-04,7.6182E-05,3.0196E-05,1.5226E-04,1.7772E-04,
     &1.7429E-04,8.7954E-05,3.5140E-05,1.8405E-04,2.1697E-04,2.1356E-04,
     &1.0162E-04/
      DATA ((KB(JS,JT,52, 6),JS=1,5),JT=1,5) /
     &1.1977E-05,7.4321E-05,8.3777E-05,8.1525E-05,4.6492E-05,1.5618E-05,
     &8.7662E-05,9.9315E-05,9.6995E-05,5.3744E-05,1.9731E-05,1.0434E-04,
     &1.1957E-04,1.1696E-04,6.2355E-05,2.4071E-05,1.2514E-04,1.4574E-04,
     &1.4300E-04,7.2491E-05,2.8292E-05,1.5185E-04,1.7919E-04,1.7642E-04,
     &8.4356E-05/
      DATA ((KB(JS,JT,53, 6),JS=1,5),JT=1,5) /
     &9.1836E-06,6.0131E-05,6.7720E-05,6.5649E-05,3.7522E-05,1.2113E-05,
     &7.1192E-05,8.0457E-05,7.8425E-05,4.3599E-05,1.5471E-05,8.5141E-05,
     &9.7276E-05,9.5110E-05,5.0903E-05,1.9102E-05,1.0263E-04,1.1918E-04,
     &1.1694E-04,5.9553E-05,2.2693E-05,1.2514E-04,1.4755E-04,1.4527E-04,
     &6.9812E-05/
      DATA ((KB(JS,JT,54, 6),JS=1,5),JT=1,5) /
     &7.0721E-06,4.8764E-05,5.4926E-05,5.3041E-05,3.0337E-05,9.4270E-06,
     &5.7982E-05,6.5461E-05,6.3579E-05,3.5439E-05,1.2173E-05,6.9671E-05,
     &7.9433E-05,7.7530E-05,4.1618E-05,1.5195E-05,8.4502E-05,9.7826E-05,
     &9.6029E-05,4.9017E-05,1.8243E-05,1.0358E-04,1.2196E-04,1.2023E-04,
     &5.7880E-05/
      DATA ((KB(JS,JT,55, 6),JS=1,5),JT=1,5) /
     &5.4549E-06,3.9521E-05,4.4580E-05,4.2901E-05,2.4523E-05,7.3474E-06,
     &4.7258E-05,5.3311E-05,5.1627E-05,2.8799E-05,9.5818E-06,5.7041E-05,
     &6.4957E-05,6.3210E-05,3.4015E-05,1.2078E-05,6.9528E-05,8.0422E-05,
     &7.8845E-05,4.0325E-05,1.4658E-05,8.5891E-05,1.0087E-04,9.9485E-05,
     &4.7973E-05/
      DATA ((KB(JS,JT,56, 6),JS=1,5),JT=1,5) /
     &4.1972E-06,3.1935E-05,3.6125E-05,3.4628E-05,1.9758E-05,5.6951E-06,
     &3.8357E-05,4.3303E-05,4.1823E-05,2.3341E-05,7.5109E-06,4.6586E-05,
     &5.2984E-05,5.1438E-05,2.7705E-05,9.5701E-06,5.7135E-05,6.6020E-05,
     &6.4513E-05,3.3090E-05,1.1741E-05,7.0996E-05,8.3348E-05,8.2172E-05,
     &3.9639E-05/
      DATA ((KB(JS,JT,57, 6),JS=1,5),JT=1,5) /
     &3.2187E-06,2.5710E-05,2.9175E-05,2.7903E-05,1.5874E-05,4.4067E-06,
     &3.1037E-05,3.5094E-05,3.3812E-05,1.8857E-05,5.8663E-06,3.7889E-05,
     &4.3100E-05,4.1766E-05,2.2502E-05,7.5519E-06,4.6817E-05,5.4053E-05,
     &5.2634E-05,2.7030E-05,9.3649E-06,5.8529E-05,6.8705E-05,6.7601E-05,
     &3.2661E-05/
      DATA ((KB(JS,JT,58, 6),JS=1,5),JT=1,5) /
     &2.4696E-06,2.0698E-05,2.3574E-05,2.2507E-05,1.2764E-05,3.4175E-06,
     &2.5141E-05,2.8438E-05,2.7351E-05,1.5243E-05,4.5825E-06,3.0855E-05,
     &3.5092E-05,3.3951E-05,1.8275E-05,5.9665E-06,3.8392E-05,4.4239E-05,
     &4.3055E-05,2.2112E-05,7.4784E-06,4.8383E-05,5.6772E-05,5.5657E-05,
     &2.6900E-05/
      DATA ((KB(JS,JT,59, 6),JS=1,5),JT=1,5) /
     &2.0113E-06,1.7223E-05,1.9628E-05,1.8772E-05,1.0576E-05,2.7973E-06,
     &2.1075E-05,2.3849E-05,2.2960E-05,1.2702E-05,3.7714E-06,2.6064E-05,
     &2.9696E-05,2.8726E-05,1.5326E-05,4.9189E-06,3.2724E-05,3.7808E-05,
     &3.6791E-05,1.8710E-05,6.1850E-06,4.1676E-05,4.9043E-05,4.8051E-05,
     &2.2936E-05/
      DATA ((KB(JS,JT,13, 7),JS=1,5),JT=1,5) /
     &9.0574E-02,1.8508E-01,2.0125E-01,1.9353E-01,1.3590E-01,9.6633E-02,
     &1.8856E-01,2.0514E-01,1.9781E-01,1.3867E-01,1.0246E-01,1.9231E-01,
     &2.0916E-01,2.0175E-01,1.4157E-01,1.0831E-01,1.9664E-01,2.1340E-01,
     &2.0566E-01,1.4422E-01,1.1418E-01,2.0190E-01,2.1829E-01,2.0964E-01,
     &1.4715E-01/
      DATA ((KB(JS,JT,14, 7),JS=1,5),JT=1,5) /
     &7.6731E-02,1.5637E-01,1.7031E-01,1.6454E-01,1.1471E-01,8.1853E-02,
     &1.5935E-01,1.7367E-01,1.6809E-01,1.1738E-01,8.6939E-02,1.6284E-01,
     &1.7719E-01,1.7151E-01,1.1993E-01,9.1985E-02,1.6698E-01,1.8115E-01,
     &1.7500E-01,1.2254E-01,9.7005E-02,1.7199E-01,1.8590E-01,1.7860E-01,
     &1.2524E-01/
      DATA ((KB(JS,JT,15, 7),JS=1,5),JT=1,5) /
     &6.4796E-02,1.3180E-01,1.4379E-01,1.3927E-01,9.6282E-02,6.9175E-02,
     &1.3451E-01,1.4669E-01,1.4230E-01,9.8702E-02,7.3574E-02,1.3779E-01,
     &1.4991E-01,1.4533E-01,1.0111E-01,7.7907E-02,1.4175E-01,1.5375E-01,
     &1.4848E-01,1.0336E-01,8.2082E-02,1.4644E-01,1.5826E-01,1.5192E-01,
     &1.0558E-01/
      DATA ((KB(JS,JT,16, 7),JS=1,5),JT=1,5) /
     &5.4603E-02,1.1092E-01,1.2113E-01,1.1747E-01,8.0564E-02,5.8392E-02,
     &1.1343E-01,1.2376E-01,1.2011E-01,8.2662E-02,6.2149E-02,1.1652E-01,
     &1.2680E-01,1.2283E-01,8.4744E-02,6.5779E-02,1.2031E-01,1.3049E-01,
     &1.2576E-01,8.6806E-02,6.9275E-02,1.2462E-01,1.3474E-01,1.2909E-01,
     &8.8592E-02/
      DATA ((KB(JS,JT,17, 7),JS=1,5),JT=1,5) /
     &4.6019E-02,9.3276E-02,1.0182E-01,9.8886E-02,6.7386E-02,4.9257E-02,
     &9.5617E-02,1.0427E-01,1.0122E-01,6.9214E-02,5.2438E-02,9.8544E-02,
     &1.0723E-01,1.0369E-01,7.1047E-02,5.5444E-02,1.0204E-01,1.1074E-01,
     &1.0647E-01,7.2809E-02,5.8360E-02,1.0585E-01,1.1469E-01,1.0967E-01,
     &7.4297E-02/
      DATA ((KB(JS,JT,18, 7),JS=1,5),JT=1,5) /
     &3.8789E-02,7.8385E-02,8.5426E-02,8.3127E-02,5.6424E-02,4.1550E-02,
     &8.0626E-02,8.7775E-02,8.5216E-02,5.8103E-02,4.4172E-02,8.3391E-02,
     &9.0633E-02,8.7547E-02,5.9665E-02,4.6672E-02,8.6541E-02,9.3910E-02,
     &9.0224E-02,6.1155E-02,4.9119E-02,8.9890E-02,9.7478E-02,9.3171E-02,
     &6.2440E-02/
      DATA ((KB(JS,JT,19, 7),JS=1,5),JT=1,5) /
     &3.2688E-02,6.5866E-02,7.1699E-02,6.9831E-02,4.7341E-02,3.4993E-02,
     &6.7987E-02,7.3938E-02,7.1758E-02,4.8787E-02,3.7158E-02,7.0566E-02,
     &7.6608E-02,7.3972E-02,5.0204E-02,3.9257E-02,7.3365E-02,7.9594E-02,
     &7.6458E-02,5.1459E-02,4.1326E-02,7.6343E-02,8.2757E-02,7.9138E-02,
     &5.2598E-02/
      DATA ((KB(JS,JT,20, 7),JS=1,5),JT=1,5) /
     &2.7557E-02,5.5396E-02,6.0366E-02,5.8674E-02,3.9775E-02,2.9458E-02,
     &5.7423E-02,6.2478E-02,6.0497E-02,4.1091E-02,3.1261E-02,5.9745E-02,
     &6.4927E-02,6.2579E-02,4.2317E-02,3.3046E-02,6.2240E-02,6.7549E-02,
     &6.4853E-02,4.3439E-02,3.4818E-02,6.4890E-02,7.0320E-02,6.7290E-02,
     &4.4513E-02/
      DATA ((KB(JS,JT,21, 7),JS=1,5),JT=1,5) /
     &2.3194E-02,4.6662E-02,5.0879E-02,4.9331E-02,3.3429E-02,2.4776E-02,
     &4.8529E-02,5.2871E-02,5.1054E-02,3.4590E-02,2.6303E-02,5.0578E-02,
     &5.5098E-02,5.2980E-02,3.5684E-02,2.7810E-02,5.2793E-02,5.7429E-02,
     &5.5052E-02,3.6688E-02,2.9323E-02,5.5187E-02,5.9853E-02,5.7245E-02,
     &3.7657E-02/
      DATA ((KB(JS,JT,22, 7),JS=1,5),JT=1,5) /
     &1.9600E-02,3.9448E-02,4.3057E-02,4.1623E-02,2.8169E-02,2.0910E-02,
     &4.1135E-02,4.4924E-02,4.3250E-02,2.9188E-02,2.2195E-02,4.2970E-02,
     &4.6916E-02,4.5021E-02,3.0138E-02,2.3466E-02,4.4963E-02,4.8978E-02,
     &4.6906E-02,3.1021E-02,2.4791E-02,4.7151E-02,5.1143E-02,4.8901E-02,
     &3.1919E-02/
      DATA ((KB(JS,JT,23, 7),JS=1,5),JT=1,5) /
     &1.6563E-02,3.3405E-02,3.6517E-02,3.5235E-02,2.3758E-02,1.7634E-02,
     &3.4920E-02,3.8215E-02,3.6726E-02,2.4656E-02,1.8715E-02,3.6571E-02,
     &3.9976E-02,3.8337E-02,2.5473E-02,1.9810E-02,3.8397E-02,4.1828E-02,
     &4.0046E-02,2.6273E-02,2.0990E-02,4.0406E-02,4.3840E-02,4.1881E-02,
     &2.7068E-02/
      DATA ((KB(JS,JT,24, 7),JS=1,5),JT=1,5) /
     &1.3980E-02,2.8346E-02,3.1027E-02,2.9909E-02,2.0058E-02,1.4874E-02,
     &2.9707E-02,3.2546E-02,3.1266E-02,2.0839E-02,1.5797E-02,3.1204E-02,
     &3.4123E-02,3.2728E-02,2.1557E-02,1.6758E-02,3.2875E-02,3.5824E-02,
     &3.4296E-02,2.2274E-02,1.7809E-02,3.4737E-02,3.7711E-02,3.5981E-02,
     &2.2992E-02/
      DATA ((KB(JS,JT,25, 7),JS=1,5),JT=1,5) /
     &1.1798E-02,2.4110E-02,2.6426E-02,2.5457E-02,1.6985E-02,1.2561E-02,
     &2.5347E-02,2.7781E-02,2.6691E-02,1.7655E-02,1.3359E-02,2.6711E-02,
     &2.9222E-02,2.8026E-02,1.8302E-02,1.4208E-02,2.8241E-02,3.0806E-02,
     &2.9472E-02,1.8949E-02,1.5157E-02,2.9980E-02,3.2597E-02,3.1029E-02,
     &1.9596E-02/
      DATA ((KB(JS,JT,26, 7),JS=1,5),JT=1,5) /
     &9.9745E-03,2.0581E-02,2.2580E-02,2.1746E-02,1.4432E-02,1.0633E-02,
     &2.1703E-02,2.3807E-02,2.2873E-02,1.5014E-02,1.1328E-02,2.2948E-02,
     &2.5141E-02,2.4108E-02,1.5588E-02,1.2091E-02,2.4380E-02,2.6636E-02,
     &2.5439E-02,1.6180E-02,1.2943E-02,2.6016E-02,2.8335E-02,2.6899E-02,
     &1.6787E-02/
      DATA ((KB(JS,JT,27, 7),JS=1,5),JT=1,5) /
     &8.4424E-03,1.7603E-02,1.9348E-02,1.8632E-02,1.2275E-02,9.0172E-03,
     &1.8627E-02,2.0475E-02,1.9670E-02,1.2796E-02,9.6344E-03,1.9791E-02,
     &2.1724E-02,2.0817E-02,1.3316E-02,1.0319E-02,2.1143E-02,2.3141E-02,
     &2.2059E-02,1.3859E-02,1.1083E-02,2.2688E-02,2.4742E-02,2.3449E-02,
     &1.4418E-02/
      DATA ((KB(JS,JT,28, 7),JS=1,5),JT=1,5) /
     &7.1594E-03,1.5094E-02,1.6638E-02,1.6016E-02,1.0452E-02,7.6603E-03,
     &1.6043E-02,1.7678E-02,1.6989E-02,1.0928E-02,8.2161E-03,1.7148E-02,
     &1.8856E-02,1.8055E-02,1.1409E-02,8.8297E-03,1.8429E-02,2.0193E-02,
     &1.9234E-02,1.1908E-02,9.5210E-03,1.9896E-02,2.1697E-02,2.0565E-02,
     &1.2423E-02/
      DATA ((KB(JS,JT,29, 7),JS=1,5),JT=1,5) /
     &6.0865E-03,1.2992E-02,1.4367E-02,1.3830E-02,8.9337E-03,6.5273E-03,
     &1.3894E-02,1.5342E-02,1.4741E-02,9.3649E-03,7.0278E-03,1.4949E-02,
     &1.6457E-02,1.5746E-02,9.8158E-03,7.5858E-03,1.6169E-02,1.7720E-02,
     &1.6877E-02,1.0273E-02,8.2154E-03,1.7564E-02,1.9150E-02,1.8159E-02,
     &1.0745E-02/
      DATA ((KB(JS,JT,30, 7),JS=1,5),JT=1,5) /
     &5.1820E-03,1.1236E-02,1.2459E-02,1.2000E-02,7.6507E-03,5.5811E-03,
     &1.2098E-02,1.3380E-02,1.2854E-02,8.0497E-03,6.0310E-03,1.3108E-02,
     &1.4440E-02,1.3813E-02,8.4648E-03,6.5404E-03,1.4273E-02,1.5644E-02,
     &1.4905E-02,8.8882E-03,7.1170E-03,1.5597E-02,1.7012E-02,1.6134E-02,
     &9.3248E-03/
      DATA ((KB(JS,JT,31, 7),JS=1,5),JT=1,5) /
     &4.4272E-03,9.7757E-03,1.0859E-02,1.0467E-02,6.5734E-03,4.7878E-03,
     &1.0603E-02,1.1740E-02,1.1277E-02,6.9415E-03,5.1963E-03,1.1572E-02,
     &1.2753E-02,1.2201E-02,7.3188E-03,5.6609E-03,1.2684E-02,1.3904E-02,
     &1.3252E-02,7.7091E-03,6.1977E-03,1.3944E-02,1.5244E-02,1.4424E-02,
     &8.1161E-03/
      DATA ((KB(JS,JT,32, 7),JS=1,5),JT=1,5) /
     &3.7962E-03,8.5614E-03,9.5233E-03,9.1812E-03,5.6658E-03,4.1228E-03,
     &9.3595E-03,1.0368E-02,9.9574E-03,6.0000E-03,4.4947E-03,1.0287E-02,
     &1.1338E-02,1.0850E-02,6.3462E-03,4.9244E-03,1.1349E-02,1.2467E-02,
     &1.1857E-02,6.7069E-03,5.4252E-03,1.2554E-02,1.3767E-02,1.2983E-02,
     &7.0910E-03/
      DATA ((KB(JS,JT,33, 7),JS=1,5),JT=1,5) /
     &3.2656E-03,7.5519E-03,8.4026E-03,8.1028E-03,4.8937E-03,3.5630E-03,
     &8.3178E-03,9.2157E-03,8.8531E-03,5.2004E-03,3.9050E-03,9.2063E-03,
     &1.0168E-02,9.7125E-03,5.5156E-03,4.3055E-03,1.0227E-02,1.1270E-02,
     &1.0682E-02,5.8516E-03,4.7651E-03,1.1396E-02,1.2524E-02,1.1769E-02,
     &6.2091E-03/
      DATA ((KB(JS,JT,34, 7),JS=1,5),JT=1,5) /
     &2.8105E-03,6.6873E-03,7.4405E-03,7.1742E-03,4.2413E-03,3.0819E-03,
     &7.4197E-03,8.2328E-03,7.8962E-03,4.5189E-03,3.3974E-03,8.2731E-03,
     &9.1582E-03,8.7214E-03,4.8133E-03,3.7682E-03,9.2558E-03,1.0225E-02,
     &9.6550E-03,5.1300E-03,4.1836E-03,1.0408E-02,1.1429E-02,1.0709E-02,
     &5.4671E-03/
      DATA ((KB(JS,JT,35, 7),JS=1,5),JT=1,5) /
     &2.4038E-03,5.8948E-03,6.5709E-03,6.3304E-03,3.6544E-03,2.6483E-03,
     &6.5885E-03,7.3295E-03,7.0175E-03,3.9080E-03,2.9372E-03,7.4016E-03,
     &8.2197E-03,7.8032E-03,4.1855E-03,3.2728E-03,8.3531E-03,9.2365E-03,
     &8.6973E-03,4.4777E-03,3.6421E-03,9.4681E-03,1.0387E-02,9.7145E-03,
     &4.7967E-03/
      DATA ((KB(JS,JT,36, 7),JS=1,5),JT=1,5) /
     &2.0373E-03,5.1550E-03,5.7662E-03,5.5498E-03,3.1231E-03,2.2554E-03,
     &5.8057E-03,6.4818E-03,6.1953E-03,3.3549E-03,2.5127E-03,6.5796E-03,
     &7.3228E-03,6.9361E-03,3.6112E-03,2.8104E-03,7.4827E-03,8.2833E-03,
     &7.7843E-03,3.8823E-03,3.1359E-03,8.5467E-03,9.3763E-03,8.7575E-03,
     &4.1812E-03/
      DATA ((KB(JS,JT,37, 7),JS=1,5),JT=1,5) /
     &1.7035E-03,4.4466E-03,4.9856E-03,4.7970E-03,2.6734E-03,1.8934E-03,
     &5.0433E-03,5.6462E-03,5.3907E-03,2.8873E-03,2.1171E-03,5.7558E-03,
     &6.4223E-03,6.0783E-03,3.1233E-03,2.3767E-03,6.5938E-03,7.3141E-03,
     &6.8717E-03,3.3760E-03,2.6616E-03,7.5860E-03,8.3359E-03,7.7859E-03,
     &3.6530E-03/
      DATA ((KB(JS,JT,38, 7),JS=1,5),JT=1,5) /
     &1.4234E-03,3.8379E-03,4.3139E-03,4.1486E-03,2.2904E-03,1.5875E-03,
     &4.3850E-03,4.9236E-03,4.6956E-03,2.4873E-03,1.7824E-03,5.0419E-03,
     &5.6400E-03,5.3338E-03,2.7024E-03,2.0080E-03,5.8195E-03,6.4682E-03,
     &6.0767E-03,2.9386E-03,2.2567E-03,6.7445E-03,7.4253E-03,6.9357E-03,
     &3.1979E-03/
      DATA ((KB(JS,JT,39, 7),JS=1,5),JT=1,5) /
     &1.1890E-03,3.3180E-03,3.7396E-03,3.5935E-03,1.9623E-03,1.3309E-03,
     &3.8204E-03,4.3017E-03,4.0980E-03,2.1427E-03,1.4997E-03,4.4279E-03,
     &4.9653E-03,4.6926E-03,2.3415E-03,1.6956E-03,5.1508E-03,5.7361E-03,
     &5.3891E-03,2.5595E-03,1.9128E-03,6.0136E-03,6.6353E-03,6.1975E-03,
     &2.8034E-03/
      DATA ((KB(JS,JT,40, 7),JS=1,5),JT=1,5) /
     &9.8185E-04,2.8304E-03,3.1989E-03,3.0741E-03,1.6759E-03,1.1018E-03,
     &3.2825E-03,3.7073E-03,3.5318E-03,1.8412E-03,1.2459E-03,3.8338E-03,
     &4.3125E-03,4.0771E-03,2.0230E-03,1.4138E-03,4.4950E-03,5.0204E-03,
     &4.7198E-03,2.2264E-03,1.6015E-03,5.2867E-03,5.8524E-03,5.4701E-03,
     &2.4538E-03/
      DATA ((KB(JS,JT,41, 7),JS=1,5),JT=1,5) /
     &8.0888E-04,2.4101E-03,2.7302E-03,2.6250E-03,1.4285E-03,9.1042E-04,
     &2.8166E-03,3.1895E-03,3.0396E-03,1.5812E-03,1.0323E-03,3.3144E-03,
     &3.7392E-03,3.5375E-03,1.7482E-03,1.1757E-03,3.9172E-03,4.3885E-03,
     &4.1290E-03,1.9366E-03,1.3368E-03,4.6417E-03,5.1571E-03,4.8237E-03,
     &2.1455E-03/
      DATA ((KB(JS,JT,42, 7),JS=1,5),JT=1,5) /
     &6.6584E-04,2.0506E-03,2.3294E-03,2.2418E-03,1.2147E-03,7.5117E-04,
     &2.4164E-03,2.7427E-03,2.6163E-03,1.3552E-03,8.5464E-04,2.8657E-03,
     &3.2419E-03,3.0702E-03,1.5103E-03,9.7690E-04,3.4148E-03,3.8374E-03,
     &3.6136E-03,1.6836E-03,1.1154E-03,4.0777E-03,4.5486E-03,4.2564E-03,
     &1.8765E-03/
      DATA ((KB(JS,JT,43, 7),JS=1,5),JT=1,5) /
     &5.4468E-04,1.7260E-03,1.9662E-03,1.8963E-03,1.0278E-03,6.1495E-04,
     &2.0517E-03,2.3339E-03,2.2307E-03,1.1544E-03,7.0090E-04,2.4526E-03,
     &2.7821E-03,2.6393E-03,1.2972E-03,8.0460E-04,2.9460E-03,3.3228E-03,
     &3.1329E-03,1.4583E-03,9.2296E-04,3.5462E-03,3.9738E-03,3.7220E-03,
     &1.6369E-03/
      DATA ((KB(JS,JT,44, 7),JS=1,5),JT=1,5) /
     &4.4364E-04,1.4437E-03,1.6496E-03,1.5952E-03,8.6540E-04,5.0199E-04,
     &1.7304E-03,1.9739E-03,1.8912E-03,9.7937E-04,5.7242E-04,2.0860E-03,
     &2.3731E-03,2.2565E-03,1.1106E-03,6.5930E-04,2.5283E-03,2.8613E-03,
     &2.7024E-03,1.2573E-03,7.5974E-04,3.0673E-03,3.4531E-03,3.2379E-03,
     &1.4238E-03/
      DATA ((KB(JS,JT,45, 7),JS=1,5),JT=1,5) /
     &3.6129E-04,1.2055E-03,1.3811E-03,1.3394E-03,7.2668E-04,4.0925E-04,
     &1.4558E-03,1.6660E-03,1.6003E-03,8.2937E-04,4.6755E-04,1.7705E-03,
     &2.0201E-03,1.9260E-03,9.4755E-04,5.3937E-04,2.1654E-03,2.4593E-03,
     &2.3275E-03,1.0822E-03,6.2400E-04,2.6505E-03,2.9965E-03,2.8141E-03,
     &1.2345E-03/
      DATA ((KB(JS,JT,46, 7),JS=1,5),JT=1,5) /
     &2.9308E-04,9.9917E-04,1.1483E-03,1.1175E-03,6.0699E-04,3.3256E-04,
     &1.2167E-03,1.3963E-03,1.3454E-03,6.9810E-04,3.8031E-04,1.4933E-03,
     &1.7091E-03,1.6341E-03,8.0431E-04,4.3974E-04,1.8423E-03,2.1003E-03,
     &1.9926E-03,9.2607E-04,5.1042E-04,2.2760E-03,2.5842E-03,2.4318E-03,
     &1.0656E-03/
      DATA ((KB(JS,JT,47, 7),JS=1,5),JT=1,5) /
     &2.3621E-04,8.1920E-04,9.4415E-04,9.2230E-04,5.0239E-04,2.6847E-04,
     &1.0045E-03,1.1560E-03,1.1182E-03,5.8268E-04,3.0727E-04,1.2442E-03,
     &1.4284E-03,1.3701E-03,6.7654E-04,3.5565E-04,1.5479E-03,1.7727E-03,
     &1.6866E-03,7.8602E-04,4.1455E-04,1.9320E-03,2.2031E-03,2.0787E-03,
     &9.1297E-04/
      DATA ((KB(JS,JT,48, 7),JS=1,5),JT=1,5) /
     &1.9056E-04,6.6912E-04,7.7329E-04,7.5810E-04,4.1434E-04,2.1662E-04,
     &8.2638E-04,9.5404E-04,9.2602E-04,4.8448E-04,2.4805E-04,1.0324E-03,
     &1.1883E-03,1.1443E-03,5.6714E-04,2.8732E-04,1.2967E-03,1.4909E-03,
     &1.4226E-03,6.6465E-04,3.3598E-04,1.6339E-03,1.8720E-03,1.7712E-03,
     &7.7925E-04/
      DATA ((KB(JS,JT,49, 7),JS=1,5),JT=1,5) /
     &1.5370E-04,5.4435E-04,6.3072E-04,6.2031E-04,3.4039E-04,1.7493E-04,
     &6.7703E-04,7.8385E-04,7.6375E-04,4.0110E-04,2.0006E-04,8.5331E-04,
     &9.8454E-04,9.5185E-04,4.7334E-04,2.3184E-04,1.0822E-03,1.2482E-03,
     &1.1953E-03,5.6021E-04,2.7201E-04,1.3761E-03,1.5848E-03,1.5038E-03,
     &6.6336E-04/
      DATA ((KB(JS,JT,50, 7),JS=1,5),JT=1,5) /
     &1.2445E-04,4.4363E-04,5.1558E-04,5.0858E-04,2.7983E-04,1.4173E-04,
     &5.5572E-04,6.4516E-04,6.3048E-04,3.3240E-04,1.6225E-04,7.0658E-04,
     &8.1789E-04,7.9296E-04,3.9601E-04,1.8768E-04,9.0539E-04,1.0468E-03,
     &1.0060E-03,4.7285E-04,2.2071E-04,1.1624E-03,1.3446E-03,1.2795E-03,
     &5.6523E-04/
      DATA ((KB(JS,JT,51, 7),JS=1,5),JT=1,5) /
     &1.0079E-04,3.6142E-04,4.2089E-04,4.1617E-04,2.3042E-04,1.1508E-04,
     &4.5540E-04,5.3023E-04,5.1983E-04,2.7489E-04,1.3183E-04,5.8426E-04,
     &6.7873E-04,6.5942E-04,3.3073E-04,1.5243E-04,7.5694E-04,8.7652E-04,
     &8.4573E-04,3.9869E-04,1.7921E-04,9.8295E-04,1.1402E-03,1.0885E-03,
     &4.8140E-04/
      DATA ((KB(JS,JT,52, 7),JS=1,5),JT=1,5) /
     &8.1556E-05,2.9363E-04,3.4244E-04,3.3921E-04,1.8905E-04,9.3358E-05,
     &3.7204E-04,4.3415E-04,4.2707E-04,2.2730E-04,1.0711E-04,4.8125E-04,
     &5.6095E-04,5.4625E-04,2.7517E-04,1.2382E-04,6.2999E-04,7.3195E-04,
     &7.0815E-04,3.3506E-04,1.4564E-04,8.2786E-04,9.6258E-04,9.2197E-04,
     &4.0847E-04/
      DATA ((KB(JS,JT,53, 7),JS=1,5),JT=1,5) /
     &6.5849E-05,2.3779E-04,2.7734E-04,2.7519E-04,1.5433E-04,7.5546E-05,
     &3.0303E-04,3.5410E-04,3.4952E-04,1.8741E-04,8.6880E-05,3.9464E-04,
     &4.6133E-04,4.5049E-04,2.2844E-04,1.0061E-04,5.2205E-04,6.0866E-04,
     &5.9002E-04,2.8045E-04,1.1837E-04,6.9424E-04,8.0911E-04,7.7763E-04,
     &3.4549E-04/
      DATA ((KB(JS,JT,54, 7),JS=1,5),JT=1,5) /
     &5.3194E-05,1.9358E-04,2.2554E-04,2.2386E-04,1.2634E-04,6.1356E-05,
     &2.4774E-04,2.8991E-04,2.8698E-04,1.5485E-04,7.0732E-05,3.2546E-04,
     &3.8104E-04,3.7325E-04,1.9067E-04,8.1989E-05,4.3475E-04,5.0842E-04,
     &4.9348E-04,2.3573E-04,9.6606E-05,5.8491E-04,6.8358E-04,6.5848E-04,
     &2.9331E-04/
      DATA ((KB(JS,JT,55, 7),JS=1,5),JT=1,5) /
     &4.2968E-05,1.5774E-04,1.8351E-04,1.8209E-04,1.0325E-04,4.9757E-05,
     &2.0300E-04,2.3752E-04,2.3563E-04,1.2786E-04,5.7602E-05,2.6853E-04,
     &3.1476E-04,3.0938E-04,1.5908E-04,6.6944E-05,3.6215E-04,4.2458E-04,
     &4.1285E-04,1.9867E-04,7.8909E-05,4.9332E-04,5.7794E-04,5.5775E-04,
     &2.4929E-04/
      DATA ((KB(JS,JT,56, 7),JS=1,5),JT=1,5) /
     &3.4572E-05,1.2819E-04,1.4868E-04,1.4747E-04,8.4103E-05,4.0234E-05,
     &1.6586E-04,1.9409E-04,1.9266E-04,1.0511E-04,4.6756E-05,2.2079E-04,
     &2.5905E-04,2.5536E-04,1.3228E-04,5.4583E-05,3.0103E-04,3.5315E-04,
     &3.4421E-04,1.6708E-04,6.4414E-05,4.1471E-04,4.8701E-04,4.7045E-04,
     &2.1139E-04/
      DATA ((KB(JS,JT,57, 7),JS=1,5),JT=1,5) /
     &2.7768E-05,1.0391E-04,1.2029E-04,1.1888E-04,6.8178E-05,3.2463E-05,
     &1.3502E-04,1.5785E-04,1.5684E-04,8.6073E-05,3.7880E-05,1.8114E-04,
     &2.1255E-04,2.0984E-04,1.0949E-04,4.4374E-05,2.4914E-04,2.9262E-04,
     &2.8609E-04,1.4004E-04,5.2560E-05,3.4723E-04,4.0853E-04,3.9531E-04,
     &1.7907E-04/
      DATA ((KB(JS,JT,58, 7),JS=1,5),JT=1,5) /
     &2.2293E-05,8.4410E-05,9.7318E-05,9.5954E-05,5.5246E-05,2.6200E-05,
     &1.1013E-04,1.2878E-04,1.2778E-04,7.0434E-05,3.0694E-05,1.4878E-04,
     &1.7475E-04,1.7269E-04,9.0681E-05,3.6071E-05,2.0666E-04,2.4284E-04,
     &2.3795E-04,1.1731E-04,4.2845E-05,2.9161E-04,3.4322E-04,3.3267E-04,
     &1.5208E-04/
      DATA ((KB(JS,JT,59, 7),JS=1,5),JT=1,5) /
     &1.8430E-05,7.1706E-05,8.2601E-05,8.1289E-05,4.6584E-05,2.1734E-05,
     &9.4599E-05,1.1060E-04,1.0958E-04,6.0168E-05,2.5561E-05,1.2924E-04,
     &1.5196E-04,1.5008E-04,7.8430E-05,3.0185E-05,1.8220E-04,2.1420E-04,
     &2.0980E-04,1.0280E-04,3.6067E-05,2.6061E-04,3.0710E-04,2.9739E-04,
     &1.3531E-04/
      DATA ((KB(JS,JT,13, 8),JS=1,5),JT=1,5) /
     &3.2299E-01,5.4760E-01,6.0079E-01,5.8517E-01,4.2276E-01,3.2594E-01,
     &5.5963E-01,6.1653E-01,6.0147E-01,4.3281E-01,3.3056E-01,5.7182E-01,
     &6.3236E-01,6.1863E-01,4.4149E-01,3.3706E-01,5.8426E-01,6.4822E-01,
     &6.3489E-01,4.4893E-01,3.4635E-01,5.9739E-01,6.6343E-01,6.5003E-01,
     &4.5486E-01/
      DATA ((KB(JS,JT,14, 8),JS=1,5),JT=1,5) /
     &2.7185E-01,4.7396E-01,5.2087E-01,5.0518E-01,3.5898E-01,2.7455E-01,
     &4.8454E-01,5.3473E-01,5.2058E-01,3.6725E-01,2.7878E-01,4.9523E-01,
     &5.4876E-01,5.3556E-01,3.7477E-01,2.8540E-01,5.0660E-01,5.6244E-01,
     &5.4948E-01,3.8095E-01,2.9474E-01,5.1876E-01,5.7592E-01,5.6255E-01,
     &3.8660E-01/
      DATA ((KB(JS,JT,15, 8),JS=1,5),JT=1,5) /
     &2.2818E-01,4.0825E-01,4.5003E-01,4.3582E-01,3.0350E-01,2.3074E-01,
     &4.1749E-01,4.6220E-01,4.4930E-01,3.1064E-01,2.3510E-01,4.2737E-01,
     &4.7434E-01,4.6202E-01,3.1696E-01,2.4186E-01,4.3783E-01,4.8637E-01,
     &4.7387E-01,3.2265E-01,2.5121E-01,4.4943E-01,4.9855E-01,4.8519E-01,
     &3.2816E-01/
      DATA ((KB(JS,JT,16, 8),JS=1,5),JT=1,5) /
     &1.9120E-01,3.4975E-01,3.8732E-01,3.7509E-01,2.5617E-01,1.9385E-01,
     &3.5826E-01,3.9799E-01,3.8666E-01,2.6259E-01,1.9846E-01,3.6727E-01,
     &4.0872E-01,3.9750E-01,2.6815E-01,2.0537E-01,3.7712E-01,4.1954E-01,
     &4.0777E-01,2.7330E-01,2.1427E-01,3.8868E-01,4.3071E-01,4.1784E-01,
     &2.7853E-01/
      DATA ((KB(JS,JT,17, 8),JS=1,5),JT=1,5) /
     &1.5988E-01,2.9854E-01,3.3180E-01,3.2201E-01,2.1611E-01,1.6279E-01,
     &3.0628E-01,3.4129E-01,3.3188E-01,2.2162E-01,1.6763E-01,3.1463E-01,
     &3.5085E-01,3.4122E-01,2.2664E-01,1.7444E-01,3.2432E-01,3.6068E-01,
     &3.5032E-01,2.3161E-01,1.8274E-01,3.3609E-01,3.7140E-01,3.5944E-01,
     &2.3665E-01/
      DATA ((KB(JS,JT,18, 8),JS=1,5),JT=1,5) /
     &1.3352E-01,2.5404E-01,2.8330E-01,2.7577E-01,1.8225E-01,1.3667E-01,
     &2.6103E-01,2.9171E-01,2.8431E-01,1.8712E-01,1.4164E-01,2.6910E-01,
     &3.0030E-01,2.9254E-01,1.9176E-01,1.4809E-01,2.7886E-01,3.0959E-01,
     &3.0073E-01,1.9637E-01,1.5551E-01,2.9050E-01,3.2020E-01,3.0930E-01,
     &2.0115E-01/
      DATA ((KB(JS,JT,19, 8),JS=1,5),JT=1,5) /
     &1.1177E-01,2.1580E-01,2.4136E-01,2.3552E-01,1.5392E-01,1.1504E-01,
     &2.2243E-01,2.4890E-01,2.4304E-01,1.5833E-01,1.1975E-01,2.3031E-01,
     &2.5687E-01,2.5048E-01,1.6244E-01,1.2553E-01,2.3994E-01,2.6588E-01,
     &2.5812E-01,1.6671E-01,1.3204E-01,2.5107E-01,2.7639E-01,2.6629E-01,
     &1.7110E-01/
      DATA ((KB(JS,JT,20, 8),JS=1,5),JT=1,5) /
     &9.3818E-02,1.8336E-01,2.0533E-01,2.0083E-01,1.3063E-01,9.7153E-02,
     &1.8975E-01,2.1222E-01,2.0754E-01,1.3445E-01,1.0157E-01,1.9759E-01,
     &2.1989E-01,2.1439E-01,1.3819E-01,1.0656E-01,2.0692E-01,2.2885E-01,
     &2.2170E-01,1.4200E-01,1.1217E-01,2.1741E-01,2.3914E-01,2.2972E-01,
     &1.4595E-01/
      DATA ((KB(JS,JT,21, 8),JS=1,5),JT=1,5) /
     &7.8864E-02,1.5581E-01,1.7467E-01,1.7111E-01,1.1093E-01,8.2115E-02,
     &1.6213E-01,1.8114E-01,1.7722E-01,1.1448E-01,8.6091E-02,1.6989E-01,
     &1.8858E-01,1.8368E-01,1.1795E-01,9.0544E-02,1.7883E-01,1.9740E-01,
     &1.9075E-01,1.2140E-01,9.5531E-02,1.8857E-01,2.0719E-01,1.9872E-01,
     &1.2494E-01/
      DATA ((KB(JS,JT,22, 8),JS=1,5),JT=1,5) /
     &6.6536E-02,1.3293E-01,1.4913E-01,1.4618E-01,9.4429E-02,6.9639E-02,
     &1.3931E-01,1.5537E-01,1.5187E-01,9.7680E-02,7.3194E-02,1.4688E-01,
     &1.6282E-01,1.5805E-01,1.0087E-01,7.7205E-02,1.5536E-01,1.7135E-01,
     &1.6503E-01,1.0414E-01,8.1667E-02,1.6427E-01,1.8066E-01,1.7291E-01,
     &1.0744E-01/
      DATA ((KB(JS,JT,23, 8),JS=1,5),JT=1,5) /
     &5.6261E-02,1.1383E-01,1.2760E-01,1.2512E-01,8.0559E-02,5.9086E-02,
     &1.2014E-01,1.3384E-01,1.3048E-01,8.3485E-02,6.2281E-02,1.2738E-01,
     &1.4121E-01,1.3648E-01,8.6460E-02,6.5906E-02,1.3517E-01,1.4937E-01,
     &1.4336E-01,8.9462E-02,6.9998E-02,1.4335E-01,1.5807E-01,1.5098E-01,
     &9.2588E-02/
      DATA ((KB(JS,JT,24, 8),JS=1,5),JT=1,5) /
     &4.7642E-02,9.7933E-02,1.0963E-01,1.0742E-01,6.8750E-02,5.0193E-02,
     &1.0399E-01,1.1587E-01,1.1258E-01,7.1432E-02,5.3085E-02,1.1077E-01,
     &1.2298E-01,1.1845E-01,7.4194E-02,5.6384E-02,1.1795E-01,1.3070E-01,
     &1.2512E-01,7.6973E-02,6.0174E-02,1.2555E-01,1.3879E-01,1.3237E-01,
     &7.9920E-02/
      DATA ((KB(JS,JT,25, 8),JS=1,5),JT=1,5) /
     &4.0432E-02,8.4645E-02,9.4724E-02,9.2637E-02,5.8805E-02,4.2748E-02,
     &9.0409E-02,1.0079E-01,9.7654E-02,6.1289E-02,4.5392E-02,9.6682E-02,
     &1.0756E-01,1.0341E-01,6.3818E-02,4.8438E-02,1.0335E-01,1.1478E-01,
     &1.0978E-01,6.6481E-02,5.2019E-02,1.1050E-01,1.2234E-01,1.1664E-01,
     &6.9209E-02/
      DATA ((KB(JS,JT,26, 8),JS=1,5),JT=1,5) /
     &3.4430E-02,7.3567E-02,8.2349E-02,8.0341E-02,5.0485E-02,3.6558E-02,
     &7.8997E-02,8.8163E-02,8.5293E-02,5.2835E-02,3.9009E-02,8.4818E-02,
     &9.4521E-02,9.0851E-02,5.5181E-02,4.1876E-02,9.1074E-02,1.0127E-01,
     &9.6922E-02,5.7644E-02,4.5294E-02,9.7874E-02,1.0841E-01,1.0340E-01,
     &6.0258E-02/
      DATA ((KB(JS,JT,27, 8),JS=1,5),JT=1,5) /
     &2.9418E-02,6.4289E-02,7.1984E-02,7.0112E-02,4.3514E-02,3.1367E-02,
     &6.9333E-02,7.7500E-02,7.4945E-02,4.5654E-02,3.3650E-02,7.4779E-02,
     &8.3451E-02,8.0284E-02,4.7838E-02,3.6373E-02,8.0698E-02,8.9803E-02,
     &8.6035E-02,5.0188E-02,3.9625E-02,8.7227E-02,9.6605E-02,9.2163E-02,
     &5.2661E-02/
      DATA ((KB(JS,JT,28, 8),JS=1,5),JT=1,5) /
     &2.5206E-02,5.6436E-02,6.3282E-02,6.1571E-02,3.7602E-02,2.7009E-02,
     &6.1147E-02,6.8481E-02,6.6237E-02,3.9562E-02,2.9150E-02,6.6302E-02,
     &7.4074E-02,7.1341E-02,4.1601E-02,3.1750E-02,7.1955E-02,8.0104E-02,
     &7.6785E-02,4.3794E-02,3.4834E-02,7.8268E-02,8.6662E-02,8.2632E-02,
     &4.6193E-02/
      DATA ((KB(JS,JT,29, 8),JS=1,5),JT=1,5) /
     &2.1672E-02,4.9821E-02,5.5985E-02,5.4431E-02,3.2677E-02,2.3360E-02,
     &5.4257E-02,6.0871E-02,5.8918E-02,3.4453E-02,2.5420E-02,5.9159E-02,
     &6.6168E-02,6.3765E-02,3.6398E-02,2.7908E-02,6.4629E-02,7.1935E-02,
     &6.8977E-02,3.8490E-02,3.0843E-02,7.0791E-02,7.8323E-02,7.4610E-02,
     &4.0747E-02/
      DATA ((KB(JS,JT,30, 8),JS=1,5),JT=1,5) /
     &1.8703E-02,4.4236E-02,4.9819E-02,4.8423E-02,2.8503E-02,2.0315E-02,
     &4.8445E-02,5.4425E-02,5.2720E-02,3.0174E-02,2.2307E-02,5.3163E-02,
     &5.9481E-02,5.7359E-02,3.2018E-02,2.4687E-02,5.8495E-02,6.5064E-02,
     &6.2368E-02,3.4022E-02,2.7510E-02,6.4597E-02,7.1352E-02,6.7860E-02,
     &3.6243E-02/
      DATA ((KB(JS,JT,31, 8),JS=1,5),JT=1,5) /
     &1.6227E-02,3.9546E-02,4.4613E-02,4.3384E-02,2.4947E-02,1.7791E-02,
     &4.3576E-02,4.9010E-02,4.7501E-02,2.6577E-02,1.9720E-02,4.8163E-02,
     &5.3877E-02,5.1962E-02,2.8347E-02,2.2010E-02,5.3419E-02,5.9368E-02,
     &5.6842E-02,3.0326E-02,2.4778E-02,5.9533E-02,6.5582E-02,6.2279E-02,
     &3.2464E-02/
      DATA ((KB(JS,JT,32, 8),JS=1,5),JT=1,5) /
     &1.4168E-02,3.5610E-02,4.0228E-02,3.9145E-02,2.1998E-02,1.5701E-02,
     &3.9518E-02,4.4455E-02,4.3108E-02,2.3551E-02,1.7568E-02,4.4028E-02,
     &4.9228E-02,4.7442E-02,2.5303E-02,1.9822E-02,4.9274E-02,5.4644E-02,
     &5.2269E-02,2.7219E-02,2.2492E-02,5.5429E-02,6.0878E-02,5.7696E-02,
     &2.9289E-02/
      DATA ((KB(JS,JT,33, 8),JS=1,5),JT=1,5) /
     &1.2469E-02,3.2321E-02,3.6548E-02,3.5586E-02,1.9535E-02,1.3967E-02,
     &3.6160E-02,4.0670E-02,3.9414E-02,2.1057E-02,1.5804E-02,4.0646E-02,
     &4.5371E-02,4.3697E-02,2.2748E-02,1.8007E-02,4.5935E-02,5.0790E-02,
     &4.8504E-02,2.4589E-02,2.0583E-02,5.2117E-02,5.7083E-02,5.3949E-02,
     &2.6612E-02/
      DATA ((KB(JS,JT,34, 8),JS=1,5),JT=1,5) /
     &1.1030E-02,2.9462E-02,3.3333E-02,3.2457E-02,1.7441E-02,1.2485E-02,
     &3.3252E-02,3.7374E-02,3.6203E-02,1.8902E-02,1.4284E-02,3.7735E-02,
     &4.2039E-02,4.0449E-02,2.0533E-02,1.6406E-02,4.3050E-02,4.7473E-02,
     &4.5250E-02,2.2315E-02,1.8889E-02,4.9221E-02,5.3838E-02,5.0709E-02,
     &2.4295E-02/
      DATA ((KB(JS,JT,35, 8),JS=1,5),JT=1,5) /
     &9.7045E-03,2.6765E-02,3.0294E-02,2.9494E-02,1.5527E-02,1.1116E-02,
     &3.0471E-02,3.4237E-02,3.3156E-02,1.6936E-02,1.2833E-02,3.4908E-02,
     &3.8827E-02,3.7335E-02,1.8494E-02,1.4851E-02,4.0160E-02,4.4228E-02,
     &4.2095E-02,2.0230E-02,1.7220E-02,4.6275E-02,5.0600E-02,4.7524E-02,
     &2.2137E-02/
      DATA ((KB(JS,JT,36, 8),JS=1,5),JT=1,5) /
     &8.4787E-03,2.4131E-02,2.7339E-02,2.6619E-02,1.3756E-02,9.8033E-03,
     &2.7706E-02,3.1147E-02,3.0166E-02,1.5106E-02,1.1407E-02,3.2015E-02,
     &3.5610E-02,3.4239E-02,1.6593E-02,1.3302E-02,3.7140E-02,4.0907E-02,
     &3.8904E-02,1.8257E-02,1.5537E-02,4.3129E-02,4.7182E-02,4.4236E-02,
     &2.0074E-02/
      DATA ((KB(JS,JT,37, 8),JS=1,5),JT=1,5) /
     &7.2685E-03,2.1392E-02,2.4301E-02,2.3679E-02,1.2087E-02,8.4733E-03,
     &2.4759E-02,2.7898E-02,2.7046E-02,1.3342E-02,9.9353E-03,2.8848E-02,
     &3.2152E-02,3.0940E-02,1.4748E-02,1.1673E-02,3.3734E-02,3.7224E-02,
     &3.5422E-02,1.6319E-02,1.3740E-02,3.9481E-02,4.3256E-02,4.0566E-02,
     &1.8049E-02/
      DATA ((KB(JS,JT,38, 8),JS=1,5),JT=1,5) /
     &6.2326E-03,1.8999E-02,2.1644E-02,2.1103E-02,1.0629E-02,7.3269E-03,
     &2.2170E-02,2.5042E-02,2.4299E-02,1.1807E-02,8.6586E-03,2.6045E-02,
     &2.9098E-02,2.8019E-02,1.3138E-02,1.0254E-02,3.0699E-02,3.3952E-02,
     &3.2316E-02,1.4621E-02,1.2168E-02,3.6211E-02,3.9748E-02,3.7288E-02,
     &1.6263E-02/
      DATA ((KB(JS,JT,39, 8),JS=1,5),JT=1,5) /
     &5.3522E-03,1.6925E-02,1.9337E-02,1.8863E-02,9.3697E-03,6.3437E-03,
     &1.9916E-02,2.2555E-02,2.1900E-02,1.0477E-02,7.5600E-03,2.3590E-02,
     &2.6428E-02,2.5453E-02,1.1732E-02,9.0277E-03,2.8027E-02,3.1081E-02,
     &2.9581E-02,1.3140E-02,1.0804E-02,3.3325E-02,3.6655E-02,3.4396E-02,
     &1.4714E-02/
      DATA ((KB(JS,JT,40, 8),JS=1,5),JT=1,5) /
     &4.5183E-03,1.4862E-02,1.7043E-02,1.6640E-02,8.1906E-03,5.3964E-03,
     &1.7630E-02,2.0043E-02,1.9482E-02,9.2335E-03,6.4835E-03,2.1041E-02,
     &2.3674E-02,2.2821E-02,1.0400E-02,7.8100E-03,2.5197E-02,2.8056E-02,
     &2.6733E-02,1.1718E-02,9.4310E-03,3.0203E-02,3.3322E-02,3.1321E-02,
     &1.3209E-02/
      DATA ((KB(JS,JT,41, 8),JS=1,5),JT=1,5) /
     &3.8020E-03,1.3035E-02,1.5007E-02,1.4665E-02,7.1645E-03,4.5796E-03,
     &1.5592E-02,1.7802E-02,1.7320E-02,8.1332E-03,5.5464E-03,1.8749E-02,
     &2.1191E-02,2.0448E-02,9.2312E-03,6.7408E-03,2.2629E-02,2.5309E-02,
     &2.4143E-02,1.0458E-02,8.2155E-03,2.7347E-02,3.0277E-02,2.8506E-02,
     &1.1871E-02/
      DATA ((KB(JS,JT,42, 8),JS=1,5),JT=1,5) /
     &3.1962E-03,1.1444E-02,1.3229E-02,1.2937E-02,6.2788E-03,3.8815E-03,
     &1.3798E-02,1.5822E-02,1.5407E-02,7.1774E-03,4.7422E-03,1.6722E-02,
     &1.8990E-02,1.8339E-02,8.1986E-03,5.8154E-03,2.0342E-02,2.2857E-02,
     &2.1830E-02,9.3594E-03,7.1546E-03,2.4787E-02,2.7545E-02,2.5973E-02,
     &1.0684E-02/
      DATA ((KB(JS,JT,43, 8),JS=1,5),JT=1,5) /
     &2.6542E-03,9.9421E-03,1.1545E-02,1.1297E-02,5.4681E-03,3.2467E-03,
     &1.2085E-02,1.3926E-02,1.3575E-02,6.3017E-03,4.0037E-03,1.4758E-02,
     &1.6848E-02,1.6296E-02,7.2434E-03,4.9534E-03,1.8094E-02,2.0438E-02,
     &1.9556E-02,8.3354E-03,6.1525E-03,2.2230E-02,2.4817E-02,2.3450E-02,
     &9.5751E-03/
      DATA ((KB(JS,JT,44, 8),JS=1,5),JT=1,5) /
     &2.1881E-03,8.5857E-03,1.0019E-02,9.8043E-03,4.7456E-03,2.6937E-03,
     &1.0525E-02,1.2192E-02,1.1898E-02,5.5168E-03,3.3531E-03,1.2952E-02,
     &1.4870E-02,1.4408E-02,6.3938E-03,4.1916E-03,1.6016E-02,1.8187E-02,
     &1.7441E-02,7.3995E-03,5.2529E-03,1.9825E-02,2.2245E-02,2.1074E-02,
     &8.5693E-03/
      DATA ((KB(JS,JT,45, 8),JS=1,5),JT=1,5) /
     &1.7974E-03,7.4036E-03,8.6819E-03,8.4949E-03,4.1100E-03,2.2283E-03,
     &9.1556E-03,1.0664E-02,1.0414E-02,4.8257E-03,2.7993E-03,1.1360E-02,
     &1.3115E-02,1.2731E-02,5.6423E-03,3.5358E-03,1.4164E-02,1.6170E-02,
     &1.5543E-02,6.5867E-03,4.4762E-03,1.7671E-02,1.9928E-02,1.8931E-02,
     &7.6725E-03/
      DATA ((KB(JS,JT,46, 8),JS=1,5),JT=1,5) /
     &1.4666E-03,6.3443E-03,7.4710E-03,7.3099E-03,3.5540E-03,1.8286E-03,
     &7.9140E-03,9.2719E-03,9.0588E-03,4.1981E-03,2.3196E-03,9.9089E-03,
     &1.1508E-02,1.1192E-02,4.9656E-03,2.9575E-03,1.2451E-02,1.4296E-02,
     &1.3779E-02,5.8441E-03,3.7842E-03,1.5662E-02,1.7758E-02,1.6921E-02,
     &6.8660E-03/
      DATA ((KB(JS,JT,47, 8),JS=1,5),JT=1,5) /
     &1.1822E-03,5.3700E-03,6.3483E-03,6.2090E-03,3.0500E-03,1.4817E-03,
     &6.7616E-03,7.9678E-03,7.7874E-03,3.6317E-03,1.8918E-03,8.5392E-03,
     &9.9818E-03,9.7254E-03,4.3248E-03,2.4382E-03,1.0820E-02,1.2503E-02,
     &1.2088E-02,5.1477E-03,3.1533E-03,1.3725E-02,1.5656E-02,1.4970E-02,
     &6.1000E-03/
      DATA ((KB(JS,JT,48, 8),JS=1,5),JT=1,5) /
     &9.4906E-04,4.5298E-03,5.3706E-03,5.2506E-03,2.6162E-03,1.1965E-03,
     &5.7597E-03,6.8213E-03,6.6698E-03,3.1403E-03,1.5369E-03,7.3380E-03,
     &8.6368E-03,8.4246E-03,3.7687E-03,2.0008E-03,9.3814E-03,1.0911E-02,
     &1.0580E-02,4.5213E-03,2.6159E-03,1.2002E-02,1.3774E-02,1.3221E-02,
     &5.4142E-03/
      DATA ((KB(JS,JT,49, 8),JS=1,5),JT=1,5) /
     &7.5913E-04,3.8043E-03,4.5203E-03,4.4181E-03,2.2379E-03,9.6097E-04,
     &4.8899E-03,5.8138E-03,5.6878E-03,2.7098E-03,1.2447E-03,6.2895E-03,
     &7.4501E-03,7.2727E-03,3.2859E-03,1.6322E-03,8.1122E-03,9.4989E-03,
     &9.2349E-03,3.9720E-03,2.1597E-03,1.0470E-02,1.2092E-02,1.1650E-02,
     &4.7938E-03/
      DATA ((KB(JS,JT,50, 8),JS=1,5),JT=1,5) /
     &6.0949E-04,3.2009E-03,3.8080E-03,3.7204E-03,1.9148E-03,7.7332E-04,
     &4.1637E-03,4.9658E-03,4.8588E-03,2.3498E-03,1.0099E-03,5.4095E-03,
     &6.4416E-03,6.2938E-03,2.8713E-03,1.3353E-03,7.0417E-03,8.3004E-03,
     &8.0844E-03,3.5114E-03,1.7873E-03,9.1691E-03,1.0658E-02,1.0303E-02,
     &4.2641E-03/
      DATA ((KB(JS,JT,51, 8),JS=1,5),JT=1,5) /
     &4.8960E-04,2.6873E-03,3.2008E-03,3.1259E-03,1.6378E-03,6.2187E-04,
     &3.5423E-03,4.2349E-03,4.1443E-03,2.0325E-03,8.1788E-04,4.6529E-03,
     &5.5656E-03,5.4424E-03,2.5164E-03,1.0935E-03,6.1155E-03,7.2565E-03,
     &7.0765E-03,3.1007E-03,1.4776E-03,8.0416E-03,9.4087E-03,9.1197E-03,
     &3.8085E-03/
      DATA ((KB(JS,JT,52, 8),JS=1,5),JT=1,5) /
     &3.9302E-04,2.2435E-03,2.6754E-03,2.6122E-03,1.3898E-03,4.9889E-04,
     &3.0006E-03,3.5943E-03,3.5172E-03,1.7532E-03,6.5922E-04,3.9906E-03,
     &4.7901E-03,4.6880E-03,2.1980E-03,8.9075E-04,5.2980E-03,6.3237E-03,
     &6.1748E-03,2.7412E-03,1.2150E-03,7.0312E-03,8.2837E-03,8.0497E-03,
     &3.3956E-03/
      DATA ((KB(JS,JT,53, 8),JS=1,5),JT=1,5) /
     &3.1533E-04,1.8598E-03,2.2216E-03,2.1690E-03,1.1705E-03,3.9919E-04,
     &2.5290E-03,3.0338E-03,2.9679E-03,1.5051E-03,5.2958E-04,3.4096E-03,
     &4.1030E-03,4.0189E-03,1.9137E-03,7.2147E-04,4.5756E-03,5.4894E-03,
     &5.3678E-03,2.4147E-03,9.9563E-04,6.1321E-03,7.2739E-03,7.0826E-03,
     &3.0286E-03/
      DATA ((KB(JS,JT,54, 8),JS=1,5),JT=1,5) /
     &2.5434E-04,1.5477E-03,1.8502E-03,1.8075E-03,9.8891E-04,3.2221E-04,
     &2.1398E-03,2.5708E-03,2.5148E-03,1.2935E-03,4.2775E-04,2.9272E-03,
     &3.5315E-03,3.4599E-03,1.6741E-03,5.8762E-04,3.9761E-03,4.7907E-03,
     &4.6896E-03,2.1376E-03,8.2053E-04,5.3824E-03,6.4244E-03,6.2664E-03,
     &2.7173E-03/
      DATA ((KB(JS,JT,55, 8),JS=1,5),JT=1,5) /
     &2.0618E-04,1.2866E-03,1.5400E-03,1.5055E-03,8.3572E-04,2.6059E-04,
     &1.8094E-03,2.1787E-03,2.1302E-03,1.1090E-03,3.4651E-04,2.5140E-03,
     &3.0392E-03,2.9780E-03,1.4628E-03,4.7882E-04,3.4608E-03,4.1831E-03,
     &4.1003E-03,1.8992E-03,6.7671E-04,4.7331E-03,5.6817E-03,5.5503E-03,
     &2.4360E-03/
      DATA ((KB(JS,JT,56, 8),JS=1,5),JT=1,5) /
     &1.6681E-04,1.0621E-03,1.2728E-03,1.2461E-03,7.0162E-04,2.1064E-04,
     &1.5213E-03,1.8350E-03,1.7945E-03,9.4828E-04,2.8028E-04,2.1500E-03,
     &2.6045E-03,2.5521E-03,1.2721E-03,3.8906E-04,3.0029E-03,3.6387E-03,
     &3.5710E-03,1.6833E-03,5.5568E-04,4.1534E-03,5.0111E-03,4.9027E-03,
     &2.1849E-03/
      DATA ((KB(JS,JT,57, 8),JS=1,5),JT=1,5) /
     &1.3484E-04,8.7168E-04,1.0444E-03,1.0248E-03,5.8516E-04,1.7007E-04,
     &1.2717E-03,1.5360E-03,1.5024E-03,8.0805E-04,2.2603E-04,1.8296E-03,
     &2.2211E-03,2.1757E-03,1.1006E-03,3.1565E-04,2.5963E-03,3.1531E-03,
     &3.0959E-03,1.4851E-03,4.5417E-04,3.6365E-03,4.4058E-03,4.3157E-03,
     &1.9625E-03/
      DATA ((KB(JS,JT,58, 8),JS=1,5),JT=1,5) /
     &1.0938E-04,7.1449E-04,8.5655E-04,8.4240E-04,4.8772E-04,1.3752E-04,
     &1.0624E-03,1.2849E-03,1.2583E-03,6.8689E-04,1.8307E-04,1.5572E-03,
     &1.8954E-03,1.8566E-03,9.5344E-04,2.5673E-04,2.2481E-03,2.7363E-03,
     &2.6877E-03,1.3079E-03,3.7230E-04,3.1921E-03,3.8812E-03,3.8070E-03,
     &1.7570E-03/
      DATA ((KB(JS,JT,59, 8),JS=1,5),JT=1,5) /
     &9.2153E-05,6.2798E-04,7.5374E-04,7.4243E-04,4.3161E-04,1.1676E-04,
     &9.5019E-04,1.1525E-03,1.1296E-03,6.1959E-04,1.5687E-04,1.4168E-03,
     &1.7285E-03,1.6938E-03,8.7468E-04,2.2278E-04,2.0743E-03,2.5302E-03,
     &2.4863E-03,1.2161E-03,3.2724E-04,2.9797E-03,3.6313E-03,3.5664E-03,
     &1.6577E-03/
      DATA ((KB(JS,JT,13, 9),JS=1,5),JT=1,5) /
     &1.6403E+00,2.7290E+00,3.1326E+00,3.1890E+00,2.3307E+00,1.6862E+00,
     &2.7611E+00,3.1617E+00,3.2226E+00,2.3816E+00,1.7455E+00,2.8101E+00,
     &3.2005E+00,3.2552E+00,2.4291E+00,1.8100E+00,2.8758E+00,3.2471E+00,
     &3.2901E+00,2.4729E+00,1.8736E+00,2.9528E+00,3.3027E+00,3.3291E+00,
     &2.5126E+00/
      DATA ((KB(JS,JT,14, 9),JS=1,5),JT=1,5) /
     &1.4276E+00,2.4116E+00,2.7645E+00,2.8207E+00,2.0786E+00,1.4761E+00,
     &2.4553E+00,2.8027E+00,2.8564E+00,2.1275E+00,1.5303E+00,2.5161E+00,
     &2.8501E+00,2.8940E+00,2.1750E+00,1.5845E+00,2.5879E+00,2.9061E+00,
     &2.9354E+00,2.2167E+00,1.6378E+00,2.6632E+00,2.9707E+00,2.9827E+00,
     &2.2552E+00/
      DATA ((KB(JS,JT,15, 9),JS=1,5),JT=1,5) /
     &1.2454E+00,2.1329E+00,2.4382E+00,2.4839E+00,1.8332E+00,1.2895E+00,
     &2.1869E+00,2.4841E+00,2.5234E+00,1.8816E+00,1.3344E+00,2.2528E+00,
     &2.5385E+00,2.5663E+00,1.9251E+00,1.3794E+00,2.3234E+00,2.6021E+00,
     &2.6153E+00,1.9652E+00,1.4250E+00,2.3931E+00,2.6727E+00,2.6688E+00,
     &2.0043E+00/
      DATA ((KB(JS,JT,16, 9),JS=1,5),JT=1,5) /
     &1.0848E+00,1.8880E+00,2.1511E+00,2.1813E+00,1.6071E+00,1.1214E+00,
     &1.9471E+00,2.2027E+00,2.2246E+00,1.6520E+00,1.1587E+00,2.0122E+00,
     &2.2636E+00,2.2737E+00,1.6924E+00,1.1968E+00,2.0768E+00,2.3313E+00,
     &2.3282E+00,1.7327E+00,1.2369E+00,2.1393E+00,2.4028E+00,2.3861E+00,
     &1.7713E+00/
      DATA ((KB(JS,JT,17, 9),JS=1,5),JT=1,5) /
     &9.4054E-01,1.6727E+00,1.8972E+00,1.9128E+00,1.4046E+00,9.7101E-01,
     &1.7314E+00,1.9542E+00,1.9610E+00,1.4464E+00,1.0024E+00,1.7905E+00,
     &2.0183E+00,2.0147E+00,1.4867E+00,1.0357E+00,1.8485E+00,2.0868E+00,
     &2.0722E+00,1.5247E+00,1.0722E+00,1.9059E+00,2.1551E+00,2.1344E+00,
     &1.5620E+00/
      DATA ((KB(JS,JT,18, 9),JS=1,5),JT=1,5) /
     &8.1293E-01,1.4815E+00,1.6736E+00,1.6776E+00,1.2272E+00,8.3847E-01,
     &1.5352E+00,1.7337E+00,1.7293E+00,1.2665E+00,8.6557E-01,1.5883E+00,
     &1.7983E+00,1.7854E+00,1.3052E+00,8.9549E-01,1.6413E+00,1.8633E+00,
     &1.8465E+00,1.3420E+00,9.2973E-01,1.6952E+00,1.9268E+00,1.9102E+00,
     &1.3778E+00/
      DATA ((KB(JS,JT,19, 9),JS=1,5),JT=1,5) /
     &7.0038E-01,1.3093E+00,1.4779E+00,1.4733E+00,1.0709E+00,7.2263E-01,
     &1.3577E+00,1.5381E+00,1.5268E+00,1.1090E+00,7.4709E-01,1.4065E+00,
     &1.5995E+00,1.5853E+00,1.1457E+00,7.7505E-01,1.4562E+00,1.6599E+00,
     &1.6467E+00,1.1819E+00,8.0778E-01,1.5082E+00,1.7205E+00,1.7095E+00,
     &1.2170E+00/
      DATA ((KB(JS,JT,20, 9),JS=1,5),JT=1,5) /
     &6.0096E-01,1.1549E+00,1.3070E+00,1.2966E+00,9.3504E-01,6.2117E-01,
     &1.1996E+00,1.3644E+00,1.3518E+00,9.7145E-01,6.4437E-01,1.2456E+00,
     &1.4215E+00,1.4105E+00,1.0075E+00,6.7172E-01,1.2935E+00,1.4792E+00,
     &1.4711E+00,1.0425E+00,7.0425E-01,1.3447E+00,1.5379E+00,1.5320E+00,
     &1.0771E+00/
      DATA ((KB(JS,JT,21, 9),JS=1,5),JT=1,5) /
     &5.1409E-01,1.0184E+00,1.1562E+00,1.1440E+00,8.1589E-01,5.3296E-01,
     &1.0604E+00,1.2096E+00,1.1991E+00,8.5095E-01,5.5527E-01,1.1043E+00,
     &1.2638E+00,1.2567E+00,8.8570E-01,5.8243E-01,1.1512E+00,1.3194E+00,
     &1.3151E+00,9.2023E-01,6.1501E-01,1.2017E+00,1.3771E+00,1.3737E+00,
     &9.5470E-01/
      DATA ((KB(JS,JT,22, 9),JS=1,5),JT=1,5) /
     &4.4038E-01,9.0186E-01,1.0262E+00,1.0153E+00,7.1382E-01,4.5853E-01,
     &9.4198E-01,1.0770E+00,1.0695E+00,7.4736E-01,4.8068E-01,9.8449E-01,
     &1.1290E+00,1.1248E+00,7.8150E-01,5.0812E-01,1.0306E+00,1.1833E+00,
     &1.1809E+00,8.1518E-01,5.4141E-01,1.0817E+00,1.2405E+00,1.2383E+00,
     &8.4849E-01/
      DATA ((KB(JS,JT,23, 9),JS=1,5),JT=1,5) /
     &3.7767E-01,8.0078E-01,9.1306E-01,9.0433E-01,6.2612E-01,3.9558E-01,
     &8.3957E-01,9.6154E-01,9.5658E-01,6.5837E-01,4.1794E-01,8.8149E-01,
     &1.0123E+00,1.0097E+00,6.9117E-01,4.4579E-01,9.2784E-01,1.0657E+00,
     &1.0643E+00,7.2352E-01,4.7930E-01,9.7981E-01,1.1229E+00,1.1209E+00,
     &7.5697E-01/
      DATA ((KB(JS,JT,24, 9),JS=1,5),JT=1,5) /
     &3.2501E-01,7.1314E-01,8.1551E-01,8.0817E-01,5.5055E-01,3.4301E-01,
     &7.5171E-01,8.6229E-01,8.5830E-01,5.8144E-01,3.6572E-01,7.9385E-01,
     &9.1196E-01,9.1014E-01,6.1242E-01,3.9391E-01,8.4084E-01,9.6525E-01,
     &9.6386E-01,6.4468E-01,4.2682E-01,8.9378E-01,1.0230E+00,1.0202E+00,
     &6.7755E-01/
      DATA ((KB(JS,JT,25, 9),JS=1,5),JT=1,5) /
     &2.8120E-01,6.3782E-01,7.3197E-01,7.2532E-01,4.8624E-01,2.9939E-01,
     &6.7672E-01,7.7772E-01,7.7395E-01,5.1566E-01,3.2259E-01,7.1969E-01,
     &8.2682E-01,8.2484E-01,5.4562E-01,3.5054E-01,7.6785E-01,8.8040E-01,
     &8.7836E-01,5.7709E-01,3.8231E-01,8.2200E-01,9.3896E-01,9.3503E-01,
     &6.0997E-01/
      DATA ((KB(JS,JT,26, 9),JS=1,5),JT=1,5) /
     &2.4516E-01,5.7415E-01,6.6146E-01,6.5501E-01,4.3198E-01,2.6380E-01,
     &6.1364E-01,7.0651E-01,7.0261E-01,4.6025E-01,2.8716E-01,6.5790E-01,
     &7.5577E-01,7.5300E-01,4.8987E-01,3.1438E-01,7.0747E-01,8.0990E-01,
     &8.0672E-01,5.2086E-01,3.4509E-01,7.6331E-01,8.6957E-01,8.6437E-01,
     &5.5315E-01/
      DATA ((KB(JS,JT,27, 9),JS=1,5),JT=1,5) /
     &2.1544E-01,5.2037E-01,6.0144E-01,5.9535E-01,3.8600E-01,2.3456E-01,
     &5.6067E-01,6.4661E-01,6.4229E-01,4.1342E-01,2.5766E-01,6.0633E-01,
     &6.9633E-01,6.9257E-01,4.4235E-01,2.8405E-01,6.5751E-01,7.5133E-01,
     &7.4692E-01,4.7298E-01,3.1370E-01,7.1529E-01,8.1234E-01,8.0601E-01,
     &5.0534E-01/
      DATA ((KB(JS,JT,28, 9),JS=1,5),JT=1,5) /
     &1.9107E-01,4.7529E-01,5.5077E-01,5.4503E-01,3.4666E-01,2.1041E-01,
     &5.1675E-01,5.9653E-01,5.9172E-01,3.7350E-01,2.3301E-01,5.6364E-01,
     &6.4698E-01,6.4221E-01,4.0186E-01,2.5866E-01,6.1667E-01,7.0320E-01,
     &6.9763E-01,4.3205E-01,2.8710E-01,6.7650E-01,7.6586E-01,7.5834E-01,
     &4.6367E-01/
      DATA ((KB(JS,JT,29, 9),JS=1,5),JT=1,5) /
     &1.7112E-01,4.3830E-01,5.0881E-01,5.0311E-01,3.1371E-01,1.9046E-01,
     &4.8081E-01,5.5535E-01,5.4996E-01,3.4018E-01,2.1264E-01,5.2926E-01,
     &6.0692E-01,6.0125E-01,3.6829E-01,2.3734E-01,5.8428E-01,6.6473E-01,
     &6.5816E-01,3.9807E-01,2.6483E-01,6.4604E-01,7.2961E-01,7.2085E-01,
     &4.2916E-01/
      DATA ((KB(JS,JT,30, 9),JS=1,5),JT=1,5) /
     &1.5474E-01,4.0804E-01,4.7416E-01,4.6844E-01,2.8591E-01,1.7385E-01,
     &4.5175E-01,5.2179E-01,5.1582E-01,3.1208E-01,1.9550E-01,5.0197E-01,
     &5.7484E-01,5.6852E-01,3.3963E-01,2.1942E-01,5.5897E-01,6.3459E-01,
     &6.2718E-01,3.6926E-01,2.4626E-01,6.2254E-01,7.0206E-01,6.9222E-01,
     &4.0317E-01/
      DATA ((KB(JS,JT,31, 9),JS=1,5),JT=1,5) /
     &1.4123E-01,3.8383E-01,4.4627E-01,4.4042E-01,2.6282E-01,1.6008E-01,
     &4.2905E-01,4.9523E-01,4.8891E-01,2.8832E-01,1.8115E-01,4.8120E-01,
     &5.5018E-01,5.4338E-01,3.1669E-01,2.0456E-01,5.4014E-01,6.1227E-01,
     &6.0422E-01,3.4861E-01,2.3090E-01,6.0549E-01,6.8253E-01,6.7193E-01,
     &3.8334E-01/
      DATA ((KB(JS,JT,32, 9),JS=1,5),JT=1,5) /
     &1.3011E-01,3.6494E-01,4.2434E-01,4.1840E-01,2.4343E-01,1.4859E-01,
     &4.1192E-01,4.7502E-01,4.6846E-01,2.7034E-01,1.6925E-01,4.6604E-01,
     &5.3210E-01,5.2502E-01,3.0012E-01,1.9229E-01,5.2692E-01,5.9693E-01,
     &5.8841E-01,3.3258E-01,2.1839E-01,5.9419E-01,6.7028E-01,6.5920E-01,
     &3.6819E-01/
      DATA ((KB(JS,JT,33, 9),JS=1,5),JT=1,5) /
     &1.2092E-01,3.5074E-01,4.0776E-01,4.0175E-01,2.2934E-01,1.3904E-01,
     &3.9967E-01,4.6044E-01,4.5383E-01,2.5698E-01,1.5944E-01,4.5574E-01,
     &5.1998E-01,5.1285E-01,2.8727E-01,1.8230E-01,5.1859E-01,5.8782E-01,
     &5.7914E-01,3.2052E-01,2.0843E-01,5.8793E-01,6.6452E-01,6.5307E-01,
     &3.5723E-01/
      DATA ((KB(JS,JT,34, 9),JS=1,5),JT=1,5) /
     &1.1270E-01,3.3906E-01,3.9419E-01,3.8828E-01,2.1761E-01,1.3054E-01,
     &3.8970E-01,4.4887E-01,4.4251E-01,2.4563E-01,1.5070E-01,4.4751E-01,
     &5.1092E-01,5.0399E-01,2.7652E-01,1.7349E-01,5.1224E-01,5.8169E-01,
     &5.7301E-01,3.1064E-01,1.9973E-01,5.8363E-01,6.6163E-01,6.4989E-01,
     &3.4860E-01/
      DATA ((KB(JS,JT,35, 9),JS=1,5),JT=1,5) /
     &1.0431E-01,3.2621E-01,3.7969E-01,3.7421E-01,2.0589E-01,1.2172E-01,
     &3.7794E-01,4.3594E-01,4.3005E-01,2.3415E-01,1.4155E-01,4.3696E-01,
     &4.9993E-01,4.9338E-01,2.6546E-01,1.6416E-01,5.0303E-01,5.7285E-01,
     &5.6442E-01,3.0031E-01,1.9033E-01,5.7592E-01,6.5509E-01,6.4342E-01,
     &3.3926E-01/
      DATA ((KB(JS,JT,36, 9),JS=1,5),JT=1,5) /
     &9.5441E-02,3.1093E-01,3.6283E-01,3.5795E-01,1.9348E-01,1.1226E-01,
     &3.6299E-01,4.1996E-01,4.1468E-01,2.2173E-01,1.3160E-01,4.2251E-01,
     &4.8508E-01,4.7906E-01,2.5327E-01,1.5379E-01,4.8924E-01,5.5909E-01,
     &5.5119E-01,2.8853E-01,1.7959E-01,5.6298E-01,6.4257E-01,6.3136E-01,
     &3.2808E-01/
      DATA ((KB(JS,JT,37, 9),JS=1,5),JT=1,5) /
     &8.5477E-02,2.9072E-01,3.4067E-01,3.3658E-01,1.7886E-01,1.0144E-01,
     &3.4200E-01,3.9763E-01,3.9300E-01,2.0669E-01,1.1996E-01,4.0095E-01,
     &4.6252E-01,4.5719E-01,2.3796E-01,1.4137E-01,4.6732E-01,5.3621E-01,
     &5.2913E-01,2.7304E-01,1.6629E-01,5.4086E-01,6.1939E-01,6.0918E-01,
     &3.1246E-01/
      DATA ((KB(JS,JT,38, 9),JS=1,5),JT=1,5) /
     &7.6626E-02,2.7223E-01,3.2047E-01,3.1724E-01,1.6576E-01,9.1774E-02,
     &3.2273E-01,3.7721E-01,3.7319E-01,1.9315E-01,1.0950E-01,3.8104E-01,
     &4.4177E-01,4.3708E-01,2.2413E-01,1.3015E-01,4.4697E-01,5.1498E-01,
     &5.0870E-01,2.5903E-01,1.5424E-01,5.2018E-01,5.9766E-01,5.8842E-01,
     &2.9827E-01/
      DATA ((KB(JS,JT,39, 9),JS=1,5),JT=1,5) /
     &6.8857E-02,2.5564E-01,3.0247E-01,3.0005E-01,1.5419E-01,8.3231E-02,
     &3.0541E-01,3.5891E-01,3.5551E-01,1.8117E-01,1.0022E-01,3.6305E-01,
     &4.2306E-01,4.1901E-01,2.1190E-01,1.2015E-01,4.2854E-01,4.9574E-01,
     &4.9023E-01,2.4662E-01,1.4353E-01,5.0140E-01,5.7784E-01,5.6950E-01,
     &2.8564E-01/
      DATA ((KB(JS,JT,40, 9),JS=1,5),JT=1,5) /
     &6.0721E-02,2.3607E-01,2.8098E-01,2.7949E-01,1.4134E-01,7.4142E-02,
     &2.8436E-01,3.3629E-01,3.3356E-01,1.6758E-01,9.0161E-02,3.4051E-01,
     &3.9918E-01,3.9576E-01,1.9765E-01,1.0909E-01,4.0469E-01,4.7035E-01,
     &4.6571E-01,2.3173E-01,1.3146E-01,4.7643E-01,5.5083E-01,5.4364E-01,
     &2.7006E-01/
      DATA ((KB(JS,JT,41, 9),JS=1,5),JT=1,5) /
     &5.3403E-02,2.1760E-01,2.6060E-01,2.6004E-01,1.2944E-01,6.5918E-02,
     &2.6438E-01,3.1466E-01,3.1265E-01,1.5490E-01,8.0936E-02,3.1888E-01,
     &3.7609E-01,3.7327E-01,1.8421E-01,9.8889E-02,3.8155E-01,4.4565E-01,
     &4.4176E-01,2.1756E-01,1.2024E-01,4.5195E-01,5.2424E-01,5.1812E-01,
     &2.5511E-01/
      DATA ((KB(JS,JT,42, 9),JS=1,5),JT=1,5) /
     &4.6980E-02,2.0072E-01,2.4188E-01,2.4222E-01,1.1863E-01,5.8572E-02,
     &2.4586E-01,2.9443E-01,2.9314E-01,1.4330E-01,7.2653E-02,2.9875E-01,
     &3.5445E-01,3.5212E-01,1.7184E-01,8.9663E-02,3.5979E-01,4.2236E-01,
     &4.1911E-01,2.0443E-01,1.1004E-01,4.2873E-01,4.9904E-01,4.9389E-01,
     &2.4118E-01/
      DATA ((KB(JS,JT,43, 9),JS=1,5),JT=1,5) /
     &4.0748E-02,1.8301E-01,2.2189E-01,2.2309E-01,1.0752E-01,5.1357E-02,
     &2.2603E-01,2.7246E-01,2.7198E-01,1.3119E-01,6.4381E-02,2.7684E-01,
     &3.3058E-01,3.2881E-01,1.5875E-01,8.0299E-02,3.3572E-01,3.9639E-01,
     &3.9376E-01,1.9029E-01,9.9551E-02,4.0267E-01,4.7065E-01,4.6647E-01,
     &2.2598E-01/
      DATA ((KB(JS,JT,44, 9),JS=1,5),JT=1,5) /
     &3.5065E-02,1.6586E-01,2.0221E-01,2.0417E-01,9.6831E-02,4.4686E-02,
     &2.0650E-01,2.5055E-01,2.5097E-01,1.1942E-01,5.6631E-02,2.5500E-01,
     &3.0652E-01,3.0540E-01,1.4585E-01,7.1442E-02,3.1160E-01,3.7021E-01,
     &3.6812E-01,1.7630E-01,8.9487E-02,3.7611E-01,4.4177E-01,4.3843E-01,
     &2.1076E-01/
      DATA ((KB(JS,JT,45, 9),JS=1,5),JT=1,5) /
     &3.0099E-02,1.5014E-01,1.8399E-01,1.8651E-01,8.7081E-02,3.8792E-02,
     &1.8842E-01,2.3006E-01,2.3134E-01,1.0857E-01,4.9706E-02,2.3455E-01,
     &2.8377E-01,2.8337E-01,1.3385E-01,6.3416E-02,2.8880E-01,3.4526E-01,
     &3.4365E-01,1.6313E-01,8.0320E-02,3.5087E-01,4.1430E-01,4.1165E-01,
     &1.9641E-01/
      DATA ((KB(JS,JT,46, 9),JS=1,5),JT=1,5) /
     &2.5615E-02,1.3501E-01,1.6621E-01,1.6909E-01,7.7761E-02,3.3396E-02,
     &1.7087E-01,2.0986E-01,2.1193E-01,9.8069E-02,4.3320E-02,2.1451E-01,
     &2.6120E-01,2.6156E-01,1.2212E-01,5.5857E-02,2.6606E-01,3.2018E-01,
     &3.1908E-01,1.5012E-01,7.1564E-02,3.2546E-01,3.8657E-01,3.8454E-01,
     &1.8211E-01/
      DATA ((KB(JS,JT,47, 9),JS=1,5),JT=1,5) /
     &2.1470E-02,1.1984E-01,1.4813E-01,1.5126E-01,6.8564E-02,2.8327E-02,
     &1.5313E-01,1.8908E-01,1.9182E-01,8.7445E-02,3.7186E-02,1.9381E-01,
     &2.3756E-01,2.3882E-01,1.1016E-01,4.8514E-02,2.4239E-01,2.9373E-01,
     &2.9331E-01,1.3670E-01,6.2915E-02,2.9879E-01,3.5729E-01,3.5580E-01,
     &1.6718E-01/
      DATA ((KB(JS,JT,48, 9),JS=1,5),JT=1,5) /
     &1.7915E-02,1.0594E-01,1.3153E-01,1.3471E-01,6.0247E-02,2.3922E-02,
     &1.3687E-01,1.6982E-01,1.7297E-01,7.7702E-02,3.1789E-02,1.7464E-01,
     &2.1543E-01,2.1754E-01,9.9032E-02,4.1975E-02,2.2024E-01,2.6872E-01,
     &2.6906E-01,1.2414E-01,5.5099E-02,2.7366E-01,3.2950E-01,3.2848E-01,
     &1.5313E-01/
      DATA ((KB(JS,JT,49, 9),JS=1,5),JT=1,5) /
     &1.4883E-02,9.3224E-02,1.1635E-01,1.1939E-01,5.2749E-02,2.0112E-02,
     &1.2194E-01,1.5191E-01,1.5532E-01,6.8811E-02,2.7052E-02,1.5700E-01,
     &1.9473E-01,1.9754E-01,8.8692E-02,3.6170E-02,1.9958E-01,2.4512E-01,
     &2.4626E-01,1.1239E-01,4.8053E-02,2.4998E-01,3.0305E-01,3.0260E-01,
     &1.3992E-01/
      DATA ((KB(JS,JT,50, 9),JS=1,5),JT=1,5) /
     &1.2401E-02,8.2224E-02,1.0323E-01,1.0603E-01,4.6388E-02,1.6961E-02,
     &1.0896E-01,1.3629E-01,1.3978E-01,6.1130E-02,2.3097E-02,1.4168E-01,
     &1.7654E-01,1.7982E-01,7.9649E-02,3.1266E-02,1.8143E-01,2.2418E-01,
     &2.2611E-01,1.0201E-01,4.2049E-02,2.2900E-01,2.7939E-01,2.7959E-01,
     &1.2818E-01/
      DATA ((KB(JS,JT,51, 9),JS=1,5),JT=1,5) /
     &1.0311E-02,7.2407E-02,9.1543E-02,9.4015E-02,4.0739E-02,1.4299E-02,
     &9.7301E-02,1.2223E-01,1.2566E-01,5.4336E-02,1.9709E-02,1.2788E-01,
     &1.6001E-01,1.6354E-01,7.1514E-02,2.7010E-02,1.6504E-01,2.0502E-01,
     &2.0766E-01,9.2576E-02,3.6820E-02,2.0996E-01,2.5769E-01,2.5854E-01,
     &1.1743E-01/
      DATA ((KB(JS,JT,52, 9),JS=1,5),JT=1,5) /
     &8.5238E-03,6.3439E-02,8.0796E-02,8.2950E-02,3.5726E-02,1.2004E-02,
     &8.6535E-02,1.0929E-01,1.1252E-01,4.8201E-02,1.6756E-02,1.1511E-01,
     &1.4456E-01,1.4824E-01,6.4036E-02,2.3247E-02,1.4984E-01,1.8701E-01,
     &1.9020E-01,8.3745E-02,3.2110E-02,1.9199E-01,2.3699E-01,2.3857E-01,
     &1.0729E-01/
      DATA ((KB(JS,JT,53, 9),JS=1,5),JT=1,5) /
     &7.0021E-03,5.5279E-02,7.0908E-02,7.2826E-02,3.1267E-02,1.0022E-02,
     &7.6605E-02,9.7337E-02,1.0026E-01,4.2555E-02,1.4186E-02,1.0324E-01,
     &1.3015E-01,1.3384E-01,5.7176E-02,1.9924E-02,1.3568E-01,1.7006E-01,
     &1.7360E-01,7.5508E-02,2.7873E-02,1.7508E-01,2.1734E-01,2.1965E-01,
     &9.7730E-02/
      DATA ((KB(JS,JT,54, 9),JS=1,5),JT=1,5) /
     &5.7827E-03,4.8416E-02,6.2508E-02,6.4310E-02,2.7618E-02,8.4043E-03,
     &6.8151E-02,8.7167E-02,8.9761E-02,3.7874E-02,1.2088E-02,9.3069E-02,
     &1.1782E-01,1.2138E-01,5.1418E-02,1.7188E-02,1.2356E-01,1.5542E-01,
     &1.5914E-01,6.8446E-02,2.4356E-02,1.6057E-01,2.0027E-01,2.0317E-01,
     &8.9427E-02/
      DATA ((KB(JS,JT,55, 9),JS=1,5),JT=1,5) /
     &4.7829E-03,4.2445E-02,5.5108E-02,5.6879E-02,2.4415E-02,7.0515E-03,
     &6.0688E-02,7.8130E-02,8.0430E-02,3.3849E-02,1.0307E-02,8.3954E-02,
     &1.0678E-01,1.1014E-01,4.6263E-02,1.4854E-02,1.1267E-01,1.4216E-01,
     &1.4598E-01,6.2158E-02,2.1317E-02,1.4754E-01,1.8474E-01,1.8809E-01,
     &8.1914E-02/
      DATA ((KB(JS,JT,56, 9),JS=1,5),JT=1,5) /
     &3.9349E-03,3.7013E-02,4.8295E-02,5.0091E-02,2.1529E-02,5.8808E-03,
     &5.3785E-02,6.9695E-02,7.1776E-02,3.0144E-02,8.7470E-03,7.5476E-02,
     &9.6519E-02,9.9590E-02,4.1605E-02,1.2799E-02,1.0247E-01,1.2972E-01,
     &1.3354E-01,5.6396E-02,1.8597E-02,1.3533E-01,1.7007E-01,1.7370E-01,
     &7.4854E-02/
      DATA ((KB(JS,JT,57, 9),JS=1,5),JT=1,5) /
     &3.2237E-03,3.2103E-02,4.2068E-02,4.3893E-02,1.8889E-02,4.8776E-03,
     &4.7453E-02,6.1873E-02,6.3812E-02,2.6899E-02,7.3816E-03,6.7586E-02,
     &8.6956E-02,8.9701E-02,3.7405E-02,1.0984E-02,9.2907E-02,1.1806E-01,
     &1.2175E-01,5.1002E-02,1.6168E-02,1.2385E-01,1.5617E-01,1.5996E-01,
     &6.8253E-02/
      DATA ((KB(JS,JT,58, 9),JS=1,5),JT=1,5) /
     &2.6462E-03,2.7879E-02,3.6685E-02,3.8484E-02,1.6601E-02,4.0522E-03,
     &4.1929E-02,5.4967E-02,5.6858E-02,2.4050E-02,6.2364E-03,6.0609E-02,
     &7.8458E-02,8.0919E-02,3.3657E-02,9.4512E-03,8.4383E-02,1.0769E-01,
     &1.1117E-01,4.6338E-02,1.4101E-02,1.1363E-01,1.4367E-01,1.4755E-01,
     &6.2487E-02/
      DATA ((KB(JS,JT,59, 9),JS=1,5),JT=1,5) /
     &2.3375E-03,2.6104E-02,3.4483E-02,3.6273E-02,1.5643E-02,3.6353E-03,
     &3.9676E-02,5.2191E-02,5.4098E-02,2.2879E-02,5.6781E-03,5.7810E-02,
     &7.5085E-02,7.7452E-02,3.2253E-02,8.7345E-03,8.0998E-02,1.0362E-01,
     &1.0701E-01,4.4587E-02,1.3202E-02,1.0960E-01,1.3878E-01,1.4268E-01,
     &6.0173E-02/
      DATA ((KB(JS,JT,13,10),JS=1,5),JT=1,5) /
     &6.8082E+00,1.0647E+01,1.2044E+01,1.2092E+01,8.5097E+00,6.7019E+00,
     &1.0585E+01,1.2055E+01,1.2198E+01,8.7119E+00,6.7137E+00,1.0536E+01,
     &1.2063E+01,1.2312E+01,8.8714E+00,6.8713E+00,1.0489E+01,1.2087E+01,
     &1.2413E+01,9.0170E+00,7.1185E+00,1.0479E+01,1.2121E+01,1.2479E+01,
     &9.1853E+00/
      DATA ((KB(JS,JT,14,10),JS=1,5),JT=1,5) /
     &5.8410E+00,9.4018E+00,1.0846E+01,1.1035E+01,7.6674E+00,5.8467E+00,
     &9.3735E+00,1.0875E+01,1.1156E+01,7.8256E+00,5.9984E+00,9.3438E+00,
     &1.0908E+01,1.1271E+01,7.9426E+00,6.2373E+00,9.3563E+00,1.0953E+01,
     &1.1364E+01,8.1071E+00,6.5135E+00,9.4809E+00,1.0997E+01,1.1429E+01,
     &8.2861E+00/
      DATA ((KB(JS,JT,15,10),JS=1,5),JT=1,5) /
     &5.0343E+00,8.3265E+00,9.7137E+00,9.9946E+00,6.9930E+00,5.1660E+00,
     &8.3107E+00,9.7594E+00,1.0123E+01,7.1240E+00,5.3903E+00,8.3316E+00,
     &9.8216E+00,1.0239E+01,7.2628E+00,5.6415E+00,8.4645E+00,9.8856E+00,
     &1.0324E+01,7.4229E+00,5.8842E+00,8.7055E+00,9.9631E+00,1.0400E+01,
     &7.5908E+00/
      DATA ((KB(JS,JT,16,10),JS=1,5),JT=1,5) /
     &4.4015E+00,7.4103E+00,8.6530E+00,9.0071E+00,6.3301E+00,4.5955E+00,
     &7.4391E+00,8.7237E+00,9.1359E+00,6.4715E+00,4.8140E+00,7.5662E+00,
     &8.8065E+00,9.2379E+00,6.6426E+00,5.0318E+00,7.7981E+00,8.9101E+00,
     &9.3283E+00,6.8095E+00,5.2436E+00,8.0914E+00,9.0522E+00,9.4292E+00,
     &6.9717E+00/
      DATA ((KB(JS,JT,17,10),JS=1,5),JT=1,5) /
     &3.8938E+00,6.5976E+00,7.7151E+00,8.0672E+00,5.7119E+00,4.0781E+00,
     &6.7171E+00,7.8068E+00,8.1879E+00,5.8706E+00,4.2641E+00,6.9435E+00,
     &7.9191E+00,8.2934E+00,6.0296E+00,4.4480E+00,7.2305E+00,8.0762E+00,
     &8.4106E+00,6.2012E+00,4.6308E+00,7.5237E+00,8.3037E+00,8.5418E+00,
     &6.3775E+00/
      DATA ((KB(JS,JT,18,10),JS=1,5),JT=1,5) /
     &3.4407E+00,5.8963E+00,6.9001E+00,7.1891E+00,5.1366E+00,3.5988E+00,
     &6.1068E+00,7.0120E+00,7.3051E+00,5.2912E+00,3.7577E+00,6.3853E+00,
     &7.1752E+00,7.4336E+00,5.4376E+00,3.9161E+00,6.6726E+00,7.4020E+00,
     &7.5773E+00,5.6097E+00,4.0711E+00,6.9480E+00,7.6793E+00,7.7395E+00,
     &5.7994E+00/
      DATA ((KB(JS,JT,19,10),JS=1,5),JT=1,5) /
     &3.0222E+00,5.3136E+00,6.1695E+00,6.3815E+00,4.6248E+00,3.1568E+00,
     &5.5745E+00,6.3303E+00,6.5186E+00,4.7653E+00,3.2936E+00,5.8515E+00,
     &6.5536E+00,6.6691E+00,4.9110E+00,3.4320E+00,6.1200E+00,6.8298E+00,
     &6.8431E+00,5.0671E+00,3.5717E+00,6.3810E+00,7.1341E+00,7.0485E+00,
     &5.2482E+00/
      DATA ((KB(JS,JT,20,10),JS=1,5),JT=1,5) /
     &2.6646E+00,4.8341E+00,5.5294E+00,5.6818E+00,4.1697E+00,2.7751E+00,
     &5.0933E+00,5.7470E+00,5.8376E+00,4.3064E+00,2.8895E+00,5.3454E+00,
     &6.0203E+00,6.0166E+00,4.4569E+00,3.0071E+00,5.5962E+00,6.3194E+00,
     &6.2235E+00,4.6038E+00,3.1278E+00,5.8505E+00,6.6184E+00,6.4780E+00,
     &4.7569E+00/
      DATA ((KB(JS,JT,21,10),JS=1,5),JT=1,5) /
     &2.3601E+00,4.4020E+00,4.9905E+00,5.0776E+00,3.7561E+00,2.4527E+00,
     &4.6408E+00,5.2514E+00,5.2563E+00,3.9021E+00,2.5482E+00,4.8775E+00,
     &5.5424E+00,5.4642E+00,4.0531E+00,2.6469E+00,5.1183E+00,5.8389E+00,
     &5.7185E+00,4.2025E+00,2.7509E+00,5.3673E+00,6.1341E+00,6.0025E+00,
     &4.3477E+00/
      DATA ((KB(JS,JT,22,10),JS=1,5),JT=1,5) /
     &2.0933E+00,4.0130E+00,4.5530E+00,4.5722E+00,3.3997E+00,2.1774E+00,
     &4.2389E+00,4.8339E+00,4.7801E+00,3.5503E+00,2.2636E+00,4.4688E+00,
     &5.1214E+00,5.0286E+00,3.6916E+00,2.3497E+00,4.7085E+00,5.4112E+00,
     &5.3109E+00,3.8464E+00,2.4400E+00,4.9544E+00,5.7104E+00,5.6159E+00,
     &4.0026E+00/
      DATA ((KB(JS,JT,23,10),JS=1,5),JT=1,5) /
     &1.8483E+00,3.6572E+00,4.1816E+00,4.1476E+00,3.0773E+00,1.9296E+00,
     &3.8779E+00,4.4582E+00,4.3906E+00,3.2324E+00,2.0105E+00,4.1090E+00,
     &4.7398E+00,4.6676E+00,3.3790E+00,2.0922E+00,4.3460E+00,5.0319E+00,
     &4.9689E+00,3.5381E+00,2.1812E+00,4.5942E+00,5.3379E+00,5.2907E+00,
     &3.6872E+00/
      DATA ((KB(JS,JT,24,10),JS=1,5),JT=1,5) /
     &1.6291E+00,3.3480E+00,3.8514E+00,3.8051E+00,2.7880E+00,1.7053E+00,
     &3.5635E+00,4.1240E+00,4.0716E+00,2.9407E+00,1.7841E+00,3.7930E+00,
     &4.4076E+00,4.3668E+00,3.1035E+00,1.8670E+00,4.0349E+00,4.7044E+00,
     &4.6831E+00,3.2549E+00,1.9687E+00,4.2837E+00,5.0178E+00,5.0123E+00,
     &3.4093E+00/
      DATA ((KB(JS,JT,25,10),JS=1,5),JT=1,5) /
     &1.4342E+00,3.0870E+00,3.5616E+00,3.5262E+00,2.5309E+00,1.5073E+00,
     &3.2988E+00,3.8348E+00,3.8083E+00,2.6935E+00,1.5855E+00,3.5267E+00,
     &4.1227E+00,4.1156E+00,2.8544E+00,1.6765E+00,3.7674E+00,4.4270E+00,
     &4.4387E+00,3.0112E+00,1.7969E+00,4.0179E+00,4.7482E+00,4.7807E+00,
     &3.1986E+00/
      DATA ((KB(JS,JT,26,10),JS=1,5),JT=1,5) /
     &1.2644E+00,2.8734E+00,3.3145E+00,3.3023E+00,2.3207E+00,1.3357E+00,
     &3.0796E+00,3.5932E+00,3.5956E+00,2.4777E+00,1.4174E+00,3.3035E+00,
     &3.8863E+00,3.9081E+00,2.6420E+00,1.5234E+00,3.5430E+00,4.1997E+00,
     &4.2431E+00,2.8241E+00,1.6603E+00,3.7959E+00,4.5341E+00,4.5996E+00,
     &3.0401E+00/
      DATA ((KB(JS,JT,27,10),JS=1,5),JT=1,5) /
     &1.1180E+00,2.6923E+00,3.1092E+00,3.1181E+00,2.1320E+00,1.1893E+00,
     &2.8981E+00,3.3903E+00,3.4176E+00,2.2961E+00,1.2805E+00,3.1184E+00,
     &3.6930E+00,3.7398E+00,2.4775E+00,1.4017E+00,3.3577E+00,4.0190E+00,
     &4.0909E+00,2.6920E+00,1.5494E+00,3.6148E+00,4.3685E+00,4.4626E+00,
     &2.9161E+00/
      DATA ((KB(JS,JT,28,10),JS=1,5),JT=1,5) /
     &9.9411E-01,2.5422E+00,2.9403E+00,2.9678E+00,1.9736E+00,1.0693E+00,
     &2.7468E+00,3.2278E+00,3.2747E+00,2.1580E+00,1.1727E+00,2.9677E+00,
     &3.5410E+00,3.6136E+00,2.3718E+00,1.3040E+00,3.2092E+00,3.8816E+00,
     &3.9808E+00,2.5959E+00,1.4604E+00,3.4721E+00,4.2472E+00,4.3708E+00,
     &2.8373E+00/
      DATA ((KB(JS,JT,29,10),JS=1,5),JT=1,5) /
     &8.9294E-01,2.4188E+00,2.8058E+00,2.8515E+00,1.8636E+00,9.7544E-01,
     &2.6259E+00,3.1039E+00,3.1712E+00,2.0699E+00,1.0880E+00,2.8493E+00,
     &3.4305E+00,3.5278E+00,2.2886E+00,1.2277E+00,3.0947E+00,3.7862E+00,
     &3.9124E+00,2.5256E+00,1.3896E+00,3.3676E+00,4.1685E+00,4.3225E+00,
     &2.7864E+00/
      DATA ((KB(JS,JT,30,10),JS=1,5),JT=1,5) /
     &8.1230E-01,2.3190E+00,2.7059E+00,2.7666E+00,1.7929E+00,9.0285E-01,
     &2.5306E+00,3.0146E+00,3.1051E+00,2.0049E+00,1.0223E+00,2.7572E+00,
     &3.3560E+00,3.4779E+00,2.2359E+00,1.1675E+00,3.0101E+00,3.7284E+00,
     &3.8827E+00,2.4866E+00,1.3337E+00,3.2968E+00,4.1265E+00,4.3099E+00,
     &2.7369E+00/
      DATA ((KB(JS,JT,31,10),JS=1,5),JT=1,5) /
     &7.5110E-01,2.2419E+00,2.6379E+00,2.7157E+00,1.7433E+00,8.4809E-01,
     &2.4579E+00,2.9592E+00,3.0730E+00,1.9665E+00,9.7252E-01,2.6914E+00,
     &3.3168E+00,3.4645E+00,2.2008E+00,1.1219E+00,2.9550E+00,3.7069E+00,
     &3.8878E+00,2.4456E+00,1.2926E+00,3.2597E+00,4.1224E+00,4.3304E+00,
     &2.7059E+00/
      DATA ((KB(JS,JT,32,10),JS=1,5),JT=1,5) /
     &7.0499E-01,2.1846E+00,2.5985E+00,2.6966E+00,1.7143E+00,8.0768E-01,
     &2.4067E+00,2.9356E+00,3.0726E+00,1.9337E+00,9.3561E-01,2.6499E+00,
     &3.3107E+00,3.4825E+00,2.1698E+00,1.0894E+00,2.9281E+00,3.7179E+00,
     &3.9220E+00,2.4264E+00,1.2637E+00,3.2525E+00,4.1500E+00,4.3764E+00,
     &2.6992E+00/
      DATA ((KB(JS,JT,33,10),JS=1,5),JT=1,5) /
     &6.7118E-01,2.1457E+00,2.5854E+00,2.7057E+00,1.6861E+00,7.7795E-01,
     &2.3758E+00,2.9404E+00,3.0997E+00,1.9111E+00,9.1001E-01,2.6325E+00,
     &3.3337E+00,3.5269E+00,2.1600E+00,1.0674E+00,2.9280E+00,3.7566E+00,
     &3.9787E+00,2.4291E+00,1.2452E+00,3.2737E+00,4.2022E+00,4.4428E+00,
     &2.7130E+00/
      DATA ((KB(JS,JT,34,10),JS=1,5),JT=1,5) /
     &6.4347E-01,2.1163E+00,2.5854E+00,2.7260E+00,1.6632E+00,7.5313E-01,
     &2.3563E+00,2.9579E+00,3.1342E+00,1.8999E+00,8.8833E-01,2.6269E+00,
     &3.3662E+00,3.5749E+00,2.1605E+00,1.0487E+00,2.9401E+00,3.8003E+00,
     &4.0358E+00,2.4405E+00,1.2301E+00,3.3056E+00,4.2553E+00,4.5073E+00,
     &2.7333E+00/
      DATA ((KB(JS,JT,35,10),JS=1,5),JT=1,5) /
     &6.1333E-01,2.0804E+00,2.5725E+00,2.7255E+00,1.6337E+00,7.2416E-01,
     &2.3301E+00,2.9566E+00,3.1440E+00,1.8805E+00,8.5987E-01,2.6111E+00,
     &3.3740E+00,3.5934E+00,2.1502E+00,1.0212E+00,2.9378E+00,3.8159E+00,
     &4.0603E+00,2.4378E+00,1.2063E+00,3.3167E+00,4.2768E+00,4.5362E+00,
     &2.7369E+00/
      DATA ((KB(JS,JT,36,10),JS=1,5),JT=1,5) /
     &5.7858E-01,2.0318E+00,2.5343E+00,2.6932E+00,1.5911E+00,6.8823E-01,
     &2.2888E+00,2.9242E+00,3.1171E+00,1.8445E+00,8.2172E-01,2.5765E+00,
     &3.3460E+00,3.5706E+00,2.1205E+00,9.8227E-01,2.9099E+00,3.7920E+00,
     &4.0410E+00,2.4128E+00,1.1693E+00,3.2947E+00,4.2558E+00,4.5198E+00,
     &2.7160E+00/
      DATA ((KB(JS,JT,37,10),JS=1,5),JT=1,5) /
     &5.3405E-01,1.9558E+00,2.4506E+00,2.6071E+00,1.5218E+00,6.3968E-01,
     &2.2170E+00,2.8388E+00,3.0310E+00,1.7770E+00,7.6779E-01,2.5049E+00,
     &3.2599E+00,3.4842E+00,2.0552E+00,9.2384E-01,2.8358E+00,3.7058E+00,
     &3.9557E+00,2.3490E+00,1.1094E+00,3.2175E+00,4.1691E+00,4.4348E+00,
     &2.6544E+00/
      DATA ((KB(JS,JT,38,10),JS=1,5),JT=1,5) /
     &4.9328E-01,1.8861E+00,2.3724E+00,2.5236E+00,1.4577E+00,5.9575E-01,
     &2.1506E+00,2.7570E+00,2.9471E+00,1.7138E+00,7.1877E-01,2.4381E+00,
     &3.1760E+00,3.3985E+00,1.9934E+00,8.7044E-01,2.7651E+00,3.6203E+00,
     &3.8701E+00,2.2879E+00,1.0541E+00,3.1424E+00,4.0835E+00,4.3497E+00,
     &2.5942E+00/
      DATA ((KB(JS,JT,39,10),JS=1,5),JT=1,5) /
     &4.5633E-01,1.8232E+00,2.3004E+00,2.4453E+00,1.3998E+00,5.5664E-01,
     &2.0902E+00,2.6810E+00,2.8682E+00,1.6563E+00,6.7511E-01,2.3775E+00,
     &3.0973E+00,3.3174E+00,1.9363E+00,8.2312E-01,2.7002E+00,3.5399E+00,
     &3.7881E+00,2.2310E+00,1.0047E+00,3.0719E+00,4.0016E+00,4.2681E+00,
     &2.5376E+00/
      DATA ((KB(JS,JT,40,10),JS=1,5),JT=1,5) /
     &4.1369E-01,1.7392E+00,2.1979E+00,2.3287E+00,1.3226E+00,5.1051E-01,
     &2.0064E+00,2.5693E+00,2.7492E+00,1.5756E+00,6.2337E-01,2.2909E+00,
     &2.9791E+00,3.1928E+00,1.8532E+00,7.6463E-01,2.6052E+00,3.4168E+00,
     &3.6603E+00,2.1464E+00,9.4032E-01,2.9656E+00,3.8751E+00,4.1396E+00,
     &2.4517E+00/
      DATA ((KB(JS,JT,41,10),JS=1,5),JT=1,5) /
     &3.7354E-01,1.6561E+00,2.0963E+00,2.2111E+00,1.2469E+00,4.6665E-01,
     &1.9239E+00,2.4587E+00,2.6289E+00,1.4959E+00,5.7545E-01,2.2047E+00,
     &2.8597E+00,3.0659E+00,1.7694E+00,7.0985E-01,2.5106E+00,3.2912E+00,
     &3.5291E+00,2.0606E+00,8.7840E-01,2.8591E+00,3.7457E+00,4.0073E+00,
     &2.3640E+00/
      DATA ((KB(JS,JT,42,10),JS=1,5),JT=1,5) /
     &3.3676E-01,1.5772E+00,1.9999E+00,2.0973E+00,1.1755E+00,4.2603E-01,
     &1.8429E+00,2.3518E+00,2.5105E+00,1.4196E+00,5.3169E-01,2.1211E+00,
     &2.7440E+00,2.9424E+00,1.6886E+00,6.5992E-01,2.4200E+00,3.1691E+00,
     &3.4004E+00,1.9770E+00,8.2123E-01,2.7572E+00,3.6189E+00,3.8764E+00,
     &2.2780E+00/
      DATA ((KB(JS,JT,43,10),JS=1,5),JT=1,5) /
     &2.9880E-01,1.4855E+00,1.8883E+00,1.9649E+00,1.0947E+00,3.8323E-01,
     &1.7495E+00,2.2289E+00,2.3704E+00,1.3324E+00,4.8519E-01,2.0243E+00,
     &2.6093E+00,2.7970E+00,1.5948E+00,6.0690E-01,2.3164E+00,3.0260E+00,
     &3.2477E+00,1.8788E+00,7.5876E-01,2.6404E+00,3.4692E+00,3.7199E+00,
     &2.1767E+00/
      DATA ((KB(JS,JT,44,10),JS=1,5),JT=1,5) /
     &2.6234E-01,1.3896E+00,1.7735E+00,1.8283E+00,1.0125E+00,3.4133E-01,
     &1.6516E+00,2.1029E+00,2.2231E+00,1.2426E+00,4.3896E-01,1.9234E+00,
     &2.4698E+00,2.6446E+00,1.4975E+00,5.5556E-01,2.2104E+00,2.8764E+00,
     &3.0872E+00,1.7758E+00,6.9720E-01,2.5211E+00,3.3108E+00,3.5530E+00,
     &2.0699E+00/
      DATA ((KB(JS,JT,45,10),JS=1,5),JT=1,5) /
     &2.2932E-01,1.2967E+00,1.6617E+00,1.6976E+00,9.3402E-01,3.0290E-01,
     &1.5560E+00,1.9824E+00,2.0804E+00,1.1566E+00,3.9581E-01,1.8251E+00,
     &2.3356E+00,2.4949E+00,1.4039E+00,5.0777E-01,2.1068E+00,2.7305E+00,
     &2.9300E+00,1.6755E+00,6.4060E-01,2.4073E+00,3.1565E+00,3.3892E+00,
     &1.9653E+00/
      DATA ((KB(JS,JT,46,10),JS=1,5),JT=1,5) /
     &1.9825E-01,1.2020E+00,1.5457E+00,1.5662E+00,8.5464E-01,2.6591E-01,
     &1.4563E+00,1.8595E+00,1.9337E+00,1.0694E+00,3.5343E-01,1.7232E+00,
     &2.2000E+00,2.3390E+00,1.3083E+00,4.6053E-01,1.9999E+00,2.5801E+00,
     &2.7669E+00,1.5716E+00,5.8556E-01,2.2922E+00,2.9962E+00,3.2174E+00,
     &1.8560E+00/
      DATA ((KB(JS,JT,47,10),JS=1,5),JT=1,5) /
     &1.6836E-01,1.1008E+00,1.4194E+00,1.4270E+00,7.7061E-01,2.2922E-01,
     &1.3473E+00,1.7277E+00,1.7767E+00,9.7668E-01,3.1004E-01,1.6106E+00,
     &2.0551E+00,2.1688E+00,1.2060E+00,4.1110E-01,1.8840E+00,2.4189E+00,
     &2.5893E+00,1.4598E+00,5.2932E-01,2.1690E+00,2.8216E+00,3.0298E+00,
     &1.7368E+00/
      DATA ((KB(JS,JT,48,10),JS=1,5),JT=1,5) /
     &1.4220E-01,1.0041E+00,1.2957E+00,1.2963E+00,6.9114E-01,1.9626E-01,
     &1.2419E+00,1.5985E+00,1.6273E+00,8.8794E-01,2.7002E-01,1.5006E+00,
     &1.9169E+00,2.0039E+00,1.1083E+00,3.6488E-01,1.7700E+00,2.2644E+00,
     &2.4151E+00,1.3523E+00,4.7701E-01,2.0494E+00,2.6525E+00,2.8466E+00,
     &1.6205E+00/
      DATA ((KB(JS,JT,49,10),JS=1,5),JT=1,5) /
     &1.1950E-01,9.1234E-01,1.1755E+00,1.1741E+00,6.1611E-01,1.6698E-01,
     &1.1406E+00,1.4723E+00,1.4860E+00,8.0337E-01,2.3352E-01,1.3921E+00,
     &1.7842E+00,1.8450E+00,1.0147E+00,3.2154E-01,1.6580E+00,2.1177E+00,
     &2.2439E+00,1.2490E+00,4.2774E-01,1.9330E+00,2.4891E+00,2.6683E+00,
     &1.5078E+00/
      DATA ((KB(JS,JT,50,10),JS=1,5),JT=1,5) /
     &1.0087E-01,8.3065E-01,1.0669E+00,1.0674E+00,5.4936E-01,1.4237E-01,
     &1.0490E+00,1.3561E+00,1.3605E+00,7.2778E-01,2.0234E-01,1.2926E+00,
     &1.6630E+00,1.7021E+00,9.3055E-01,2.8362E-01,1.5546E+00,1.9861E+00,
     &2.0879E+00,1.1563E+00,3.8392E-01,1.8265E+00,2.3423E+00,2.5044E+00,
     &1.4058E+00/
      DATA ((KB(JS,JT,51,10),JS=1,5),JT=1,5) /
     &8.5305E-02,7.5516E-01,9.6600E-01,9.6989E-01,4.8900E-01,1.2119E-01,
     &9.6396E-01,1.2458E+00,1.2458E+00,6.5803E-01,1.7492E-01,1.1993E+00,
     &1.5474E+00,1.5706E+00,8.5222E-01,2.4953E-01,1.4559E+00,1.8635E+00,
     &1.9410E+00,1.0697E+00,3.4420E-01,1.7250E+00,2.2062E+00,2.3483E+00,
     &1.3105E+00/
      DATA ((KB(JS,JT,52,10),JS=1,5),JT=1,5) /
     &7.2122E-02,6.8398E-01,8.7088E-01,8.7737E-01,4.3154E-01,1.0277E-01,
     &8.8315E-01,1.1388E+00,1.1383E+00,5.9136E-01,1.5043E-01,1.1094E+00,
     &1.4345E+00,1.4453E+00,7.7736E-01,2.1816E-01,1.3587E+00,1.7451E+00,
     &1.7993E+00,9.8663E-01,3.0639E-01,1.6242E+00,2.0759E+00,2.1951E+00,
     &1.2188E+00/
      DATA ((KB(JS,JT,53,10),JS=1,5),JT=1,5) /
     &6.0992E-02,6.1681E-01,7.8096E-01,7.8801E-01,3.7771E-01,8.6893E-02,
     &8.0591E-01,1.0354E+00,1.0374E+00,5.2892E-01,1.2844E-01,1.0223E+00,
     &1.3228E+00,1.3263E+00,7.0557E-01,1.8962E-01,1.2639E+00,1.6288E+00,
     &1.6633E+00,9.0648E-01,2.7104E-01,1.5253E+00,1.9505E+00,2.0457E+00,
     &1.1304E+00/
      DATA ((KB(JS,JT,54,10),JS=1,5),JT=1,5) /
     &5.2146E-02,5.5862E-01,7.0341E-01,7.0953E-01,3.3141E-01,7.4252E-02,
     &7.3817E-01,9.4468E-01,9.4968E-01,4.7420E-01,1.1046E-01,9.4583E-01,
     &1.2229E+00,1.2232E+00,6.4224E-01,1.6584E-01,1.1796E+00,1.5239E+00,
     &1.5447E+00,8.3594E-01,2.4084E-01,1.4356E+00,1.8395E+00,1.9125E+00,
     &1.0521E+00/
      DATA ((KB(JS,JT,55,10),JS=1,5),JT=1,5) /
     &4.4769E-02,5.0580E-01,6.3367E-01,6.3830E-01,2.9171E-01,6.3801E-02,
     &6.7695E-01,8.6251E-01,8.6950E-01,4.2385E-01,9.5281E-02,8.7561E-01,
     &1.1296E+00,1.1298E+00,5.8465E-01,1.4509E-01,1.1012E+00,1.4250E+00,
     &1.4355E+00,7.7056E-01,2.1402E-01,1.3506E+00,1.7360E+00,1.7888E+00,
     &9.7966E-01/
      DATA ((KB(JS,JT,56,10),JS=1,5),JT=1,5) /
     &3.8303E-02,4.5495E-01,5.6826E-01,5.7046E-01,2.5591E-01,5.4762E-02,
     &6.1846E-01,7.8411E-01,7.9150E-01,3.7700E-01,8.2009E-02,8.0830E-01,
     &1.0394E+00,1.0417E+00,5.2950E-01,1.2621E-01,1.0253E+00,1.3275E+00,
     &1.3316E+00,7.0721E-01,1.8937E-01,1.2680E+00,1.6344E+00,1.6700E+00,
     &9.0979E-01/
      DATA ((KB(JS,JT,57,10),JS=1,5),JT=1,5) /
     &3.2632E-02,4.0611E-01,5.0731E-01,5.0659E-01,2.2496E-01,4.7019E-02,
     &5.6304E-01,7.1002E-01,7.1651E-01,3.3305E-01,7.0456E-02,7.4361E-01,
     &9.5266E-01,9.5775E-01,4.7635E-01,1.0937E-01,9.5229E-01,1.2322E+00,
     &1.2329E+00,6.4711E-01,1.6675E-01,1.1875E+00,1.5342E+00,1.5565E+00,
     &8.4216E-01/
      DATA ((KB(JS,JT,58,10),JS=1,5),JT=1,5) /
     &2.7856E-02,3.6188E-01,4.5369E-01,4.5016E-01,1.9835E-01,4.0581E-02,
     &5.1273E-01,6.4353E-01,6.4865E-01,2.9546E-01,6.0914E-02,6.8524E-01,
     &8.7436E-01,8.8146E-01,4.2903E-01,9.5154E-02,8.8582E-01,1.1439E+00,
     &1.1441E+00,5.9161E-01,1.4715E-01,1.1133E+00,1.4407E+00,1.4528E+00,
     &7.7938E-01/
      DATA ((KB(JS,JT,59,10),JS=1,5),JT=1,5) /
     &2.5371E-02,3.4461E-01,4.3295E-01,4.2860E-01,1.8805E-01,3.7551E-02,
     &4.9296E-01,6.1778E-01,6.2208E-01,2.8092E-01,5.7031E-02,6.6239E-01,
     &8.4380E-01,8.5137E-01,4.0984E-01,8.9730E-02,8.5967E-01,1.1090E+00,
     &1.1096E+00,5.6882E-01,1.3959E-01,1.0839E+00,1.4035E+00,1.4125E+00,
     &7.5487E-01/
      DATA ((KB(JS,JT,13,11),JS=1,5),JT=1,5) /
     &1.3518E+01,1.9426E+01,2.1368E+01,2.0607E+01,1.5967E+01,1.3249E+01,
     &1.9278E+01,2.1345E+01,2.0725E+01,1.6218E+01,1.2991E+01,1.9106E+01,
     &2.1344E+01,2.0838E+01,1.6493E+01,1.2783E+01,1.8953E+01,2.1337E+01,
     &2.0959E+01,1.6769E+01,1.2735E+01,1.8820E+01,2.1328E+01,2.1104E+01,
     &1.6982E+01/
      DATA ((KB(JS,JT,14,11),JS=1,5),JT=1,5) /
     &1.1504E+01,1.7534E+01,1.9457E+01,1.9131E+01,1.4625E+01,1.1281E+01,
     &1.7396E+01,1.9491E+01,1.9271E+01,1.4939E+01,1.1112E+01,1.7290E+01,
     &1.9527E+01,1.9415E+01,1.5255E+01,1.1115E+01,1.7213E+01,1.9560E+01,
     &1.9580E+01,1.5504E+01,1.1342E+01,1.7139E+01,1.9615E+01,1.9759E+01,
     &1.5706E+01/
      DATA ((KB(JS,JT,15,11),JS=1,5),JT=1,5) /
     &9.8170E+00,1.5599E+01,1.7627E+01,1.7666E+01,1.3354E+01,9.6747E+00,
     &1.5533E+01,1.7695E+01,1.7842E+01,1.3687E+01,9.6984E+00,1.5502E+01,
     &1.7755E+01,1.8036E+01,1.4004E+01,9.9522E+00,1.5480E+01,1.7829E+01,
     &1.8235E+01,1.4263E+01,1.0344E+01,1.5525E+01,1.7929E+01,1.8418E+01,
     &1.4475E+01/
      DATA ((KB(JS,JT,16,11),JS=1,5),JT=1,5) /
     &8.4332E+00,1.3806E+01,1.5926E+01,1.6215E+01,1.2224E+01,8.4583E+00,
     &1.3805E+01,1.6021E+01,1.6437E+01,1.2556E+01,8.7066E+00,1.3823E+01,
     &1.6108E+01,1.6660E+01,1.2834E+01,9.0827E+00,1.3924E+01,1.6226E+01,
     &1.6883E+01,1.3078E+01,9.5263E+00,1.4156E+01,1.6382E+01,1.7079E+01,
     &1.3334E+01/
      DATA ((KB(JS,JT,17,11),JS=1,5),JT=1,5) /
     &7.3068E+00,1.2252E+01,1.4341E+01,1.4810E+01,1.1129E+01,7.5295E+00,
     &1.2291E+01,1.4463E+01,1.5052E+01,1.1439E+01,7.8853E+00,1.2405E+01,
     &1.4606E+01,1.5309E+01,1.1729E+01,8.3040E+00,1.2643E+01,1.4776E+01,
     &1.5548E+01,1.2006E+01,8.7123E+00,1.3039E+01,1.4982E+01,1.5762E+01,
     &1.2286E+01/
      DATA ((KB(JS,JT,18,11),JS=1,5),JT=1,5) /
     &6.4287E+00,1.0933E+01,1.2879E+01,1.3451E+01,1.0053E+01,6.7446E+00,
     &1.1039E+01,1.3041E+01,1.3740E+01,1.0377E+01,7.1271E+00,1.1266E+01,
     &1.3222E+01,1.4018E+01,1.0699E+01,7.5067E+00,1.1650E+01,1.3455E+01,
     &1.4263E+01,1.1011E+01,7.8797E+00,1.2144E+01,1.3766E+01,1.4517E+01,
     &1.1323E+01/
      DATA ((KB(JS,JT,19,11),JS=1,5),JT=1,5) /
     &5.7165E+00,9.8198E+00,1.1563E+01,1.2210E+01,9.0287E+00,6.0504E+00,
     &1.0030E+01,1.1759E+01,1.2511E+01,9.3771E+00,6.3872E+00,1.0390E+01,
     &1.2004E+01,1.2787E+01,9.7382E+00,6.7262E+00,1.0858E+01,1.2325E+01,
     &1.3071E+01,1.0100E+01,7.0630E+00,1.1396E+01,1.2720E+01,1.3371E+01,
     &1.0433E+01/
      DATA ((KB(JS,JT,20,11),JS=1,5),JT=1,5) /
     &5.1077E+00,8.8680E+00,1.0415E+01,1.1053E+01,8.0963E+00,5.4017E+00,
     &9.2107E+00,1.0662E+01,1.1361E+01,8.4758E+00,5.7015E+00,9.6698E+00,
     &1.0982E+01,1.1668E+01,8.8481E+00,6.0041E+00,1.0196E+01,1.1384E+01,
     &1.2000E+01,9.2376E+00,6.3106E+00,1.0732E+01,1.1884E+01,1.2349E+01,
     &9.6255E+00/
      DATA ((KB(JS,JT,21,11),JS=1,5),JT=1,5) /
     &4.5414E+00,8.0841E+00,9.4333E+00,1.0001E+01,7.2987E+00,4.8060E+00,
     &8.5169E+00,9.7399E+00,1.0324E+01,7.6799E+00,5.0754E+00,9.0311E+00,
     &1.0134E+01,1.0673E+01,8.0692E+00,5.3489E+00,9.5660E+00,1.0626E+01,
     &1.1046E+01,8.4671E+00,5.6226E+00,1.0100E+01,1.1188E+01,1.1467E+01,
     &8.8878E+00/
      DATA ((KB(JS,JT,22,11),JS=1,5),JT=1,5) /
     &4.0512E+00,7.4537E+00,8.6113E+00,9.0760E+00,6.6406E+00,4.2861E+00,
     &7.9455E+00,8.9988E+00,9.4326E+00,7.0298E+00,4.5284E+00,8.4723E+00,
     &9.4806E+00,9.8282E+00,7.4365E+00,4.7765E+00,9.0022E+00,1.0036E+01,
     &1.0267E+01,7.8530E+00,5.0273E+00,9.5375E+00,1.0644E+01,1.0762E+01,
     &8.2925E+00/
      DATA ((KB(JS,JT,23,11),JS=1,5),JT=1,5) /
     &3.6272E+00,6.9345E+00,7.9292E+00,8.2821E+00,6.0862E+00,3.8324E+00,
     &7.4412E+00,8.4058E+00,8.6779E+00,6.4814E+00,4.0496E+00,7.9556E+00,
     &8.9497E+00,9.1277E+00,6.9031E+00,4.2736E+00,8.4881E+00,9.5512E+00,
     &9.6353E+00,7.3423E+00,4.5008E+00,9.0231E+00,1.0199E+01,1.0196E+01,
     &7.8107E+00/
      DATA ((KB(JS,JT,24,11),JS=1,5),JT=1,5) /
     &3.2617E+00,6.4927E+00,7.3814E+00,7.6204E+00,5.6351E+00,3.4455E+00,
     &6.9864E+00,7.9146E+00,8.0668E+00,6.0482E+00,3.6375E+00,7.4982E+00,
     &8.5124E+00,8.5688E+00,6.4793E+00,3.8361E+00,8.0253E+00,9.1530E+00,
     &9.1384E+00,6.9488E+00,4.0434E+00,8.5770E+00,9.8249E+00,9.7701E+00,
     &7.4392E+00/
      DATA ((KB(JS,JT,25,11),JS=1,5),JT=1,5) /
     &2.9504E+00,6.0996E+00,6.9378E+00,7.0933E+00,5.2696E+00,3.1134E+00,
     &6.5859E+00,7.5193E+00,7.5874E+00,5.6908E+00,3.2850E+00,7.0991E+00,
     &8.1583E+00,8.1455E+00,6.1504E+00,3.4639E+00,7.6357E+00,8.8289E+00,
     &8.7766E+00,6.6391E+00,3.6575E+00,8.2031E+00,9.5335E+00,9.4728E+00,
     &7.1181E+00/
      DATA ((KB(JS,JT,26,11),JS=1,5),JT=1,5) /
     &2.6785E+00,5.7592E+00,6.5944E+00,6.6793E+00,4.9659E+00,2.8303E+00,
     &6.2512E+00,7.2180E+00,7.2292E+00,5.4158E+00,2.9845E+00,6.7700E+00,
     &7.8853E+00,7.8517E+00,5.8929E+00,3.1498E+00,7.3218E+00,8.5892E+00,
     &8.5405E+00,6.3779E+00,3.3365E+00,7.9095E+00,9.3260E+00,9.2876E+00,
     &6.8593E+00/
      DATA ((KB(JS,JT,27,11),JS=1,5),JT=1,5) /
     &2.4381E+00,5.4719E+00,6.3296E+00,6.3699E+00,4.7378E+00,2.5833E+00,
     &5.9706E+00,6.9839E+00,6.9809E+00,5.2024E+00,2.7276E+00,6.5032E+00,
     &7.6823E+00,7.6623E+00,5.6849E+00,2.8843E+00,7.0768E+00,8.4223E+00,
     &8.3973E+00,6.1613E+00,3.0776E+00,7.6837E+00,9.1929E+00,9.1871E+00,
     &6.6697E+00/
      DATA ((KB(JS,JT,28,11),JS=1,5),JT=1,5) /
     &2.2238E+00,5.2366E+00,6.1335E+00,6.1574E+00,4.5705E+00,2.3648E+00,
     &5.7451E+00,6.8151E+00,6.8266E+00,5.0347E+00,2.5067E+00,6.2980E+00,
     &7.5460E+00,7.5548E+00,5.5064E+00,2.6680E+00,6.8930E+00,8.3223E+00,
     &8.3308E+00,6.0103E+00,2.8763E+00,7.5234E+00,9.1269E+00,9.1547E+00,
     &6.5443E+00/
      DATA ((KB(JS,JT,29,11),JS=1,5),JT=1,5) /
     &2.0343E+00,5.0540E+00,6.0021E+00,6.0360E+00,4.4306E+00,2.1732E+00,
     &5.5785E+00,6.7134E+00,6.7544E+00,4.8924E+00,2.3217E+00,6.1554E+00,
     &7.4828E+00,7.5217E+00,5.3899E+00,2.4991E+00,6.7727E+00,8.2943E+00,
     &8.3341E+00,5.9211E+00,2.7298E+00,7.4309E+00,9.1294E+00,9.1877E+00,
     &6.4776E+00/
      DATA ((KB(JS,JT,30,11),JS=1,5),JT=1,5) /
     &1.8678E+00,4.9203E+00,5.9291E+00,5.9875E+00,4.3204E+00,2.0102E+00,
     &5.4667E+00,6.6747E+00,6.7430E+00,4.8026E+00,2.1719E+00,6.0682E+00,
     &7.4827E+00,7.5477E+00,5.3281E+00,2.3720E+00,6.7126E+00,8.3252E+00,
     &8.3910E+00,5.8826E+00,2.6264E+00,7.3977E+00,9.1870E+00,9.2723E+00,
     &6.4598E+00/
      DATA ((KB(JS,JT,31,11),JS=1,5),JT=1,5) /
     &1.7244E+00,4.8370E+00,5.9156E+00,6.0001E+00,4.2555E+00,1.8755E+00,
     &5.4107E+00,6.6999E+00,6.7904E+00,4.7644E+00,2.0573E+00,6.0363E+00,
     &7.5402E+00,7.6274E+00,5.3155E+00,2.2829E+00,6.7094E+00,8.4079E+00,
     &8.4962E+00,5.8901E+00,2.5590E+00,7.4195E+00,9.2909E+00,9.3994E+00,
     &6.4871E+00/
      DATA ((KB(JS,JT,32,11),JS=1,5),JT=1,5) /
     &1.6069E+00,4.8030E+00,5.9579E+00,6.0639E+00,4.2356E+00,1.7705E+00,
     &5.4037E+00,6.7788E+00,6.8874E+00,4.7712E+00,1.9742E+00,6.0574E+00,
     &7.6448E+00,7.7491E+00,5.3434E+00,2.2247E+00,6.7560E+00,8.5310E+00,
     &8.6385E+00,5.9381E+00,2.5238E+00,7.4880E+00,9.4292E+00,9.5570E+00,
     &6.5497E+00/
      DATA ((KB(JS,JT,33,11),JS=1,5),JT=1,5) /
     &1.5128E+00,4.8140E+00,6.0501E+00,6.1714E+00,4.2550E+00,1.6946E+00,
     &5.4417E+00,6.9000E+00,7.0212E+00,4.8155E+00,1.9206E+00,6.1213E+00,
     &7.7839E+00,7.9020E+00,5.4069E+00,2.1946E+00,6.8422E+00,8.6827E+00,
     &8.8075E+00,6.0169E+00,2.5173E+00,7.5913E+00,9.5924E+00,9.7373E+00,
     &6.6398E+00/
      DATA ((KB(JS,JT,34,11),JS=1,5),JT=1,5) /
     &1.4356E+00,4.8418E+00,6.1495E+00,6.2828E+00,4.2896E+00,1.6357E+00,
     &5.4935E+00,7.0184E+00,7.1516E+00,4.8691E+00,1.8838E+00,6.1957E+00,
     &7.9151E+00,8.0457E+00,5.4742E+00,2.1788E+00,6.9325E+00,8.8256E+00,
     &8.9643E+00,6.0956E+00,2.5238E+00,7.6930E+00,9.7439E+00,9.9021E+00,
     &6.7264E+00/
      DATA ((KB(JS,JT,35,11),JS=1,5),JT=1,5) /
     &1.3620E+00,4.8400E+00,6.1911E+00,6.3341E+00,4.2950E+00,1.5765E+00,
     &5.5077E+00,7.0717E+00,7.2149E+00,4.8872E+00,1.8416E+00,6.2238E+00,
     &7.9778E+00,8.1173E+00,5.5014E+00,2.1528E+00,6.9694E+00,8.8951E+00,
     &9.0430E+00,6.1304E+00,2.5135E+00,7.7370E+00,9.8191E+00,9.9865E+00,
     &6.7662E+00/
      DATA ((KB(JS,JT,36,11),JS=1,5),JT=1,5) /
     &1.2836E+00,4.7892E+00,6.1549E+00,6.3050E+00,4.2540E+00,1.5070E+00,
     &5.4649E+00,7.0416E+00,7.1923E+00,4.8536E+00,1.7830E+00,6.1872E+00,
     &7.9531E+00,8.0994E+00,5.4734E+00,2.1055E+00,6.9369E+00,8.8745E+00,
     &9.0288E+00,6.1066E+00,2.4754E+00,7.7090E+00,9.8023E+00,9.9759E+00,
     &6.7459E+00/
      DATA ((KB(JS,JT,37,11),JS=1,5),JT=1,5) /
     &1.1878E+00,4.6541E+00,5.9975E+00,6.1531E+00,4.1357E+00,1.4114E+00,
     &5.3279E+00,6.8836E+00,7.0407E+00,4.7366E+00,1.6907E+00,6.0488E+00,
     &7.7961E+00,7.9492E+00,5.3587E+00,2.0171E+00,6.7987E+00,8.7214E+00,
     &8.8782E+00,5.9931E+00,2.3879E+00,7.5721E+00,9.6505E+00,9.8263E+00,
     &6.6346E+00/
      DATA ((KB(JS,JT,38,11),JS=1,5),JT=1,5) /
     &1.1019E+00,4.5241E+00,5.8411E+00,6.0015E+00,4.0206E+00,1.3240E+00,
     &5.1938E+00,6.7248E+00,6.8881E+00,4.6215E+00,1.6050E+00,5.9127E+00,
     &7.6377E+00,7.7969E+00,5.2444E+00,1.9344E+00,6.6614E+00,8.5656E+00,
     &8.7241E+00,5.8797E+00,2.3053E+00,7.4352E+00,9.4961E+00,9.6730E+00,
     &6.5232E+00/
      DATA ((KB(JS,JT,39,11),JS=1,5),JT=1,5) /
     &1.0261E+00,4.4035E+00,5.6925E+00,5.8571E+00,3.9130E+00,1.2458E+00,
     &5.0694E+00,6.5735E+00,6.7411E+00,4.5130E+00,1.5281E+00,5.7844E+00,
     &7.4853E+00,7.6497E+00,5.1353E+00,1.8590E+00,6.5310E+00,8.4139E+00,
     &8.5752E+00,5.7711E+00,2.2296E+00,7.3031E+00,9.3461E+00,9.5233E+00,
     &6.4155E+00/
      DATA ((KB(JS,JT,40,11),JS=1,5),JT=1,5) /
     &9.4020E-01,4.2252E+00,5.4618E+00,5.6305E+00,3.7514E+00,1.1510E+00,
     &4.8808E+00,6.3359E+00,6.5051E+00,4.3464E+00,1.4267E+00,5.5865E+00,
     &7.2429E+00,7.4116E+00,4.9659E+00,1.7534E+00,6.3284E+00,8.1706E+00,
     &8.3346E+00,5.6004E+00,2.1196E+00,7.0954E+00,9.1038E+00,9.2790E+00,
     &6.2443E+00/
      DATA ((KB(JS,JT,41,11),JS=1,5),JT=1,5) /
     &8.6129E-01,4.0457E+00,5.2264E+00,5.3976E+00,3.5879E+00,1.0633E+00,
     &4.6915E+00,6.0924E+00,6.2635E+00,4.1768E+00,1.3283E+00,5.3845E+00,
     &6.9926E+00,7.1649E+00,4.7921E+00,1.6485E+00,6.1201E+00,7.9175E+00,
     &8.0844E+00,5.4240E+00,2.0093E+00,6.8812E+00,8.8522E+00,9.0249E+00,
     &6.0668E+00/
      DATA ((KB(JS,JT,42,11),JS=1,5),JT=1,5) /
     &7.9123E-01,3.8735E+00,4.9960E+00,5.1699E+00,3.4287E+00,9.8295E-01,
     &4.5072E+00,5.8533E+00,6.0254E+00,4.0109E+00,1.2364E+00,5.1876E+00,
     &6.7459E+00,6.9214E+00,4.6212E+00,1.5484E+00,5.9150E+00,7.6665E+00,
     &7.8373E+00,5.2503E+00,1.9026E+00,6.6716E+00,8.6018E+00,8.7728E+00,
     &5.8915E+00/
      DATA ((KB(JS,JT,43,11),JS=1,5),JT=1,5) /
     &7.1984E-01,3.6729E+00,4.7235E+00,4.8975E+00,3.2397E+00,8.9808E-01,
     &4.2916E+00,5.5697E+00,5.7443E+00,3.8153E+00,1.1360E+00,4.9574E+00,
     &6.4519E+00,6.6289E+00,4.4184E+00,1.4345E+00,5.6728E+00,7.3660E+00,
     &7.5410E+00,5.0437E+00,1.7793E+00,6.4228E+00,8.2999E+00,8.4705E+00,
     &5.6823E+00/
      DATA ((KB(JS,JT,44,11),JS=1,5),JT=1,5) /
     &6.5285E-01,3.4667E+00,4.4372E+00,4.6082E+00,3.0399E+00,8.1657E-01,
     &4.0674E+00,5.2701E+00,5.4466E+00,3.6094E+00,1.0370E+00,4.7171E+00,
     &6.1405E+00,6.3175E+00,4.2038E+00,1.3194E+00,5.4184E+00,7.0473E+00,
     &7.2248E+00,4.8237E+00,1.6514E+00,6.1584E+00,7.9760E+00,8.1477E+00,
     &5.4581E+00/
      DATA ((KB(JS,JT,45,11),JS=1,5),JT=1,5) /
     &5.9324E-01,3.2687E+00,4.1610E+00,4.3270E+00,2.8437E+00,7.4292E-01,
     &3.8502E+00,4.9754E+00,5.1525E+00,3.4081E+00,9.4606E-01,4.4838E+00,
     &5.8347E+00,6.0112E+00,3.9932E+00,1.2103E+00,5.1691E+00,6.7312E+00,
     &6.9113E+00,4.6063E+00,1.5283E+00,5.8970E+00,7.6529E+00,7.8283E+00,
     &5.2365E+00/
      DATA ((KB(JS,JT,46,11),JS=1,5),JT=1,5) /
     &5.3665E-01,3.0665E+00,3.8788E+00,4.0344E+00,2.6396E+00,6.7326E-01,
     &3.6275E+00,4.6685E+00,4.8445E+00,3.1970E+00,8.5964E-01,4.2450E+00,
     &5.5161E+00,5.6940E+00,3.7742E+00,1.1026E+00,4.9112E+00,6.3992E+00,
     &6.5795E+00,4.3785E+00,1.4030E+00,5.6247E+00,7.3128E+00,7.4918E+00,
     &5.0037E+00/
      DATA ((KB(JS,JT,47,11),JS=1,5),JT=1,5) /
     &4.7965E-01,2.8512E+00,3.5773E+00,3.7190E+00,2.4179E+00,6.0499E-01,
     &3.3895E+00,4.3353E+00,4.5070E+00,2.9653E+00,7.7211E-01,3.9857E+00,
     &5.1656E+00,5.3439E+00,3.5346E+00,9.9280E-01,4.6320E+00,6.0346E+00,
     &6.2138E+00,4.1278E+00,1.2711E+00,5.3272E+00,6.9377E+00,7.1189E+00,
     &4.7464E+00/
      DATA ((KB(JS,JT,48,11),JS=1,5),JT=1,5) /
     &4.2651E-01,2.6445E+00,3.2894E+00,3.4148E+00,2.2033E+00,5.4388E-01,
     &3.1611E+00,4.0161E+00,4.1791E+00,2.7373E+00,6.9368E-01,3.7347E+00,
     &4.8206E+00,4.9989E+00,3.2997E+00,8.9279E-01,4.3620E+00,5.6767E+00,
     &5.8554E+00,3.8822E+00,1.1484E+00,5.0369E+00,6.5668E+00,6.7495E+00,
     &4.4918E+00/
      DATA ((KB(JS,JT,49,11),JS=1,5),JT=1,5) /
     &3.7713E-01,2.4439E+00,3.0160E+00,3.1206E+00,1.9976E+00,4.8766E-01,
     &2.9434E+00,3.7104E+00,3.8599E+00,2.5143E+00,6.2407E-01,3.4939E+00,
     &4.4847E+00,4.6596E+00,3.0680E+00,8.0298E-01,4.1006E+00,5.3255E+00,
     &5.5049E+00,3.6413E+00,1.0353E+00,4.7554E+00,6.2010E+00,6.3820E+00,
     &4.2407E+00/
      DATA ((KB(JS,JT,50,11),JS=1,5),JT=1,5) /
     &3.3334E-01,2.2573E+00,2.7730E+00,2.8537E+00,1.8141E+00,4.3824E-01,
     &2.7477E+00,3.4359E+00,3.5712E+00,2.3112E+00,5.6555E-01,3.2767E+00,
     &4.1807E+00,4.3497E+00,2.8540E+00,7.2662E-01,3.8631E+00,5.0003E+00,
     &5.1798E+00,3.4206E+00,9.3811E-01,4.4998E+00,5.8635E+00,6.0433E+00,
     &4.0092E+00/
      DATA ((KB(JS,JT,51,11),JS=1,5),JT=1,5) /
     &2.9344E-01,2.0792E+00,2.5493E+00,2.6045E+00,1.6447E+00,3.9320E-01,
     &2.5633E+00,3.1811E+00,3.2996E+00,2.1202E+00,5.1335E-01,3.0739E+00,
     &3.8968E+00,4.0554E+00,2.6493E+00,6.5991E-01,3.6396E+00,4.6910E+00,
     &4.8692E+00,3.2095E+00,8.5305E-01,4.2602E+00,5.5428E+00,5.7227E+00,
     &3.7890E+00/
      DATA ((KB(JS,JT,52,11),JS=1,5),JT=1,5) /
     &2.5634E-01,1.9065E+00,2.3373E+00,2.3675E+00,1.4849E+00,3.5085E-01,
     &2.3832E+00,2.9380E+00,3.0363E+00,1.9379E+00,4.6463E-01,2.8806E+00,
     &3.6245E+00,3.7705E+00,2.4499E+00,6.0014E-01,3.4247E+00,4.3901E+00,
     &4.5644E+00,3.0013E+00,7.7502E-01,4.0268E+00,5.2264E+00,5.4064E+00,
     &3.5729E+00/
      DATA ((KB(JS,JT,53,11),JS=1,5),JT=1,5) /
     &2.2198E-01,1.7382E+00,2.1355E+00,2.1443E+00,1.3321E+00,3.1088E-01,
     &2.2037E+00,2.7070E+00,2.7809E+00,1.7631E+00,4.1868E-01,2.6937E+00,
     &3.3628E+00,3.4937E+00,2.2551E+00,5.4590E-01,3.2172E+00,4.0994E+00,
     &4.2669E+00,2.7950E+00,7.0382E-01,3.7993E+00,4.9134E+00,5.0934E+00,
     &3.3609E+00/
      DATA ((KB(JS,JT,54,11),JS=1,5),JT=1,5) /
     &1.9279E-01,1.5884E+00,1.9576E+00,1.9516E+00,1.1991E+00,2.7614E-01,
     &2.0423E+00,2.5053E+00,2.5559E+00,1.6106E+00,3.7900E-01,2.5264E+00,
     &3.1323E+00,3.2473E+00,2.0825E+00,4.9954E-01,3.0344E+00,3.8425E+00,
     &3.9994E+00,2.6090E+00,6.4483E-01,3.5967E+00,4.6320E+00,4.8104E+00,
     &3.1683E+00/
      DATA ((KB(JS,JT,55,11),JS=1,5),JT=1,5) /
     &1.6752E-01,1.4506E+00,1.7924E+00,1.7780E+00,1.0766E+00,2.4546E-01,
     &1.8924E+00,2.3215E+00,2.3502E+00,1.4718E+00,3.4282E-01,2.3686E+00,
     &2.9203E+00,3.0171E+00,1.9238E+00,4.5751E-01,2.8657E+00,3.6048E+00,
     &3.7504E+00,2.4347E+00,5.9345E-01,3.4091E+00,4.3692E+00,4.5436E+00,
     &2.9860E+00/
      DATA ((KB(JS,JT,56,11),JS=1,5),JT=1,5) /
     &1.4442E-01,1.3191E+00,1.6307E+00,1.6158E+00,9.5966E-01,2.1629E-01,
     &1.7456E+00,2.1454E+00,2.1553E+00,1.3384E+00,3.0838E-01,2.2117E+00,
     &2.7184E+00,2.7939E+00,1.7710E+00,4.1780E-01,2.7024E+00,3.3761E+00,
     &3.5083E+00,2.2647E+00,5.4633E-01,3.2277E+00,4.1153E+00,4.2835E+00,
     &2.8057E+00/
      DATA ((KB(JS,JT,57,11),JS=1,5),JT=1,5) /
     &1.2369E-01,1.1942E+00,1.4751E+00,1.4660E+00,8.4794E-01,1.8943E-01,
     &1.6025E+00,1.9752E+00,1.9706E+00,1.2104E+00,2.7580E-01,2.0577E+00,
     &2.5253E+00,2.5785E+00,1.6249E+00,3.8015E-01,2.5425E+00,3.1554E+00,
     &3.2724E+00,2.0995E+00,5.0220E-01,3.0528E+00,3.8694E+00,4.0275E+00,
     &2.6279E+00/
      DATA ((KB(JS,JT,58,11),JS=1,5),JT=1,5) /
     &1.0619E-01,1.0815E+00,1.3338E+00,1.3340E+00,7.4924E-01,1.6586E-01,
     &1.4713E+00,1.8183E+00,1.8047E+00,1.0933E+00,2.4668E-01,1.9150E+00,
     &2.3498E+00,2.3824E+00,1.4931E+00,3.4613E-01,2.3936E+00,2.9542E+00,
     &3.0545E+00,1.9489E+00,4.6251E-01,2.8928E+00,3.6439E+00,3.7914E+00,
     &2.4628E+00/
      DATA ((KB(JS,JT,59,11),JS=1,5),JT=1,5) /
     &9.8781E-02,1.0374E+00,1.2790E+00,1.2834E+00,7.1091E-01,1.5643E-01,
     &1.4199E+00,1.7560E+00,1.7406E+00,1.0475E+00,2.3512E-01,1.8585E+00,
     &2.2815E+00,2.3061E+00,1.4408E+00,3.3250E-01,2.3338E+00,2.8755E+00,
     &2.9686E+00,1.8898E+00,4.4697E-01,2.8298E+00,3.5555E+00,3.6984E+00,
     &2.3975E+00/
      DATA ((KB(JS,JT,13,12),JS=1,5),JT=1,5) /
     &3.0998E+01,3.7385E+01,4.0609E+01,3.8100E+01,3.0845E+01,3.0490E+01,
     &3.7042E+01,4.0582E+01,3.8272E+01,3.1245E+01,2.9985E+01,3.6701E+01,
     &4.0520E+01,3.8445E+01,3.1621E+01,2.9490E+01,3.6329E+01,4.0415E+01,
     &3.8594E+01,3.2000E+01,2.9015E+01,3.5959E+01,4.0312E+01,3.8750E+01,
     &3.2433E+01/
      DATA ((KB(JS,JT,14,12),JS=1,5),JT=1,5) /
     &2.7110E+01,3.5184E+01,3.8617E+01,3.6399E+01,2.8635E+01,2.6641E+01,
     &3.4930E+01,3.8606E+01,3.6649E+01,2.9079E+01,2.6184E+01,3.4642E+01,
     &3.8568E+01,3.6926E+01,2.9498E+01,2.5751E+01,3.4348E+01,3.8555E+01,
     &3.7188E+01,2.9949E+01,2.5340E+01,3.4077E+01,3.8568E+01,3.7453E+01,
     &3.0433E+01/
      DATA ((KB(JS,JT,15,12),JS=1,5),JT=1,5) /
     &2.3379E+01,3.2658E+01,3.6083E+01,3.4396E+01,2.6632E+01,2.2961E+01,
     &3.2462E+01,3.6143E+01,3.4739E+01,2.7099E+01,2.2574E+01,3.2277E+01,
     &3.6234E+01,3.5089E+01,2.7554E+01,2.2226E+01,3.2107E+01,3.6368E+01,
     &3.5457E+01,2.8061E+01,2.2052E+01,3.1945E+01,3.6473E+01,3.5860E+01,
     &2.8623E+01/
      DATA ((KB(JS,JT,16,12),JS=1,5),JT=1,5) /
     &1.9977E+01,2.9953E+01,3.3281E+01,3.2282E+01,2.4730E+01,1.9633E+01,
     &2.9859E+01,3.3454E+01,3.2701E+01,2.5245E+01,1.9340E+01,2.9766E+01,
     &3.3693E+01,3.3152E+01,2.5800E+01,1.9247E+01,2.9689E+01,3.3933E+01,
     &3.3616E+01,2.6378E+01,1.9403E+01,2.9623E+01,3.4160E+01,3.4111E+01,
     &2.6924E+01/
      DATA ((KB(JS,JT,17,12),JS=1,5),JT=1,5) /
     &1.7051E+01,2.7143E+01,3.0473E+01,3.0161E+01,2.2931E+01,1.6797E+01,
     &2.7123E+01,3.0776E+01,3.0670E+01,2.3518E+01,1.6741E+01,2.7141E+01,
     &3.1121E+01,3.1186E+01,2.4127E+01,1.6948E+01,2.7189E+01,3.1472E+01,
     &3.1736E+01,2.4729E+01,1.7485E+01,2.7288E+01,3.1858E+01,3.2324E+01,
     &2.5297E+01/
      DATA ((KB(JS,JT,18,12),JS=1,5),JT=1,5) /
     &1.4597E+01,2.4342E+01,2.7826E+01,2.8130E+01,2.1245E+01,1.4547E+01,
     &2.4446E+01,2.8237E+01,2.8704E+01,2.1885E+01,1.4765E+01,2.4583E+01,
     &2.8672E+01,2.9288E+01,2.2535E+01,1.5315E+01,2.4794E+01,2.9147E+01,
     &2.9934E+01,2.3159E+01,1.6067E+01,2.5143E+01,2.9634E+01,3.0628E+01,
     &2.3749E+01/
      DATA ((KB(JS,JT,19,12),JS=1,5),JT=1,5) /
     &1.2640E+01,2.1753E+01,2.5384E+01,2.6151E+01,1.9661E+01,1.2835E+01,
     &2.1949E+01,2.5878E+01,2.6810E+01,2.0358E+01,1.3356E+01,2.2229E+01,
     &2.6410E+01,2.7515E+01,2.1037E+01,1.4056E+01,2.2664E+01,2.6964E+01,
     &2.8265E+01,2.1685E+01,1.4855E+01,2.3244E+01,2.7571E+01,2.9046E+01,
     &2.2336E+01/
      DATA ((KB(JS,JT,20,12),JS=1,5),JT=1,5) /
     &1.1082E+01,1.9491E+01,2.3194E+01,2.4313E+01,1.8232E+01,1.1562E+01,
     &1.9787E+01,2.3755E+01,2.5073E+01,1.8946E+01,1.2224E+01,2.0238E+01,
     &2.4350E+01,2.5880E+01,1.9650E+01,1.2987E+01,2.0868E+01,2.5012E+01,
     &2.6726E+01,2.0347E+01,1.3788E+01,2.1712E+01,2.5741E+01,2.7588E+01,
     &2.1074E+01/
      DATA ((KB(JS,JT,21,12),JS=1,5),JT=1,5) /
     &9.8833E+00,1.7574E+01,2.1209E+01,2.2623E+01,1.6925E+01,1.0489E+01,
     &1.8010E+01,2.1858E+01,2.3471E+01,1.7666E+01,1.1209E+01,1.8622E+01,
     &2.2555E+01,2.4382E+01,1.8394E+01,1.1974E+01,1.9474E+01,2.3320E+01,
     &2.5315E+01,1.9156E+01,1.2743E+01,2.0530E+01,2.4213E+01,2.6280E+01,
     &1.9957E+01/
      DATA ((KB(JS,JT,22,12),JS=1,5),JT=1,5) /
     &8.9432E+00,1.6023E+01,1.9521E+01,2.1142E+01,1.5785E+01,9.6012E+00,
     &1.6615E+01,2.0251E+01,2.2105E+01,1.6565E+01,1.0308E+01,1.7429E+01,
     &2.1053E+01,2.3102E+01,1.7352E+01,1.1034E+01,1.8474E+01,2.1986E+01,
     &2.4140E+01,1.8184E+01,1.1779E+01,1.9675E+01,2.3025E+01,2.5198E+01,
     &1.9053E+01/
      DATA ((KB(JS,JT,23,12),JS=1,5),JT=1,5) /
     &8.1558E+00,1.4793E+01,1.8088E+01,1.9855E+01,1.4800E+01,8.7957E+00,
     &1.5543E+01,1.8895E+01,2.0923E+01,1.5621E+01,9.4593E+00,1.6540E+01,
     &1.9849E+01,2.2025E+01,1.6480E+01,1.0153E+01,1.7706E+01,2.0923E+01,
     &2.3160E+01,1.7388E+01,1.0876E+01,1.8993E+01,2.2113E+01,2.4310E+01,
     &1.8322E+01/
      DATA ((KB(JS,JT,24,12),JS=1,5),JT=1,5) /
     &7.4526E+00,1.3830E+01,1.6894E+01,1.8769E+01,1.3959E+01,8.0517E+00,
     &1.4766E+01,1.7833E+01,1.9936E+01,1.4836E+01,8.6841E+00,1.5873E+01,
     &1.8916E+01,2.1150E+01,1.5773E+01,9.3535E+00,1.7122E+01,2.0131E+01,
     &2.2383E+01,1.6742E+01,1.0068E+01,1.8482E+01,2.1482E+01,2.3634E+01,
     &1.7753E+01/
      DATA ((KB(JS,JT,25,12),JS=1,5),JT=1,5) /
     &6.8105E+00,1.3122E+01,1.5953E+01,1.7890E+01,1.3264E+01,7.3796E+00,
     &1.4193E+01,1.7028E+01,1.9160E+01,1.4211E+01,7.9883E+00,1.5386E+01,
     &1.8237E+01,2.0473E+01,1.5219E+01,8.6473E+00,1.6702E+01,1.9605E+01,
     &2.1810E+01,1.6257E+01,9.3513E+00,1.8139E+01,2.1087E+01,2.3158E+01,
     &1.7339E+01/
      DATA ((KB(JS,JT,26,12),JS=1,5),JT=1,5) /
     &6.2530E+00,1.2619E+01,1.5260E+01,1.7241E+01,1.2729E+01,6.7955E+00,
     &1.3786E+01,1.6460E+01,1.8602E+01,1.3751E+01,7.3876E+00,1.5061E+01,
     &1.7816E+01,2.0014E+01,1.4821E+01,8.0374E+00,1.6453E+01,1.9314E+01,
     &2.1444E+01,1.5933E+01,8.7427E+00,1.7956E+01,2.0909E+01,2.2878E+01,
     &1.7080E+01/
      DATA ((KB(JS,JT,27,12),JS=1,5),JT=1,5) /
     &5.7700E+00,1.2257E+01,1.4782E+01,1.6780E+01,1.2335E+01,6.2864E+00,
     &1.3513E+01,1.6114E+01,1.8231E+01,1.3431E+01,6.8675E+00,1.4868E+01,
     &1.7601E+01,1.9730E+01,1.4565E+01,7.5138E+00,1.6329E+01,1.9199E+01,
     &2.1244E+01,1.5742E+01,8.2289E+00,1.7883E+01,2.0886E+01,2.2748E+01,
     &1.6940E+01/
      DATA ((KB(JS,JT,28,12),JS=1,5),JT=1,5) /
     &5.3548E+00,1.2024E+01,1.4494E+01,1.6490E+01,1.2074E+01,5.8567E+00,
     &1.3364E+01,1.5954E+01,1.8023E+01,1.3231E+01,6.4249E+00,1.4793E+01,
     &1.7548E+01,1.9599E+01,1.4431E+01,7.0763E+00,1.6306E+01,1.9232E+01,
     &2.1185E+01,1.5664E+01,7.8108E+00,1.7913E+01,2.0999E+01,2.2748E+01,
     &1.6904E+01/
      DATA ((KB(JS,JT,29,12),JS=1,5),JT=1,5) /
     &5.0045E+00,1.1918E+01,1.4389E+01,1.6363E+01,1.1938E+01,5.5030E+00,
     &1.3334E+01,1.5959E+01,1.7970E+01,1.3155E+01,6.0662E+00,1.4820E+01,
     &1.7638E+01,1.9611E+01,1.4408E+01,6.7325E+00,1.6392E+01,1.9392E+01,
     &2.1253E+01,1.5686E+01,7.4925E+00,1.8044E+01,2.1206E+01,2.2856E+01,
     &1.6965E+01/
      DATA ((KB(JS,JT,30,12),JS=1,5),JT=1,5) /
     &4.7172E+00,1.1917E+01,1.4428E+01,1.6368E+01,1.1903E+01,5.2125E+00,
     &1.3400E+01,1.6089E+01,1.8040E+01,1.3179E+01,5.7884E+00,1.4940E+01,
     &1.7829E+01,1.9728E+01,1.4475E+01,6.4722E+00,1.6556E+01,1.9636E+01,
     &2.1408E+01,1.5787E+01,7.2704E+00,1.8251E+01,2.1479E+01,2.3035E+01,
     &1.7093E+01/
      DATA ((KB(JS,JT,31,12),JS=1,5),JT=1,5) /
     &4.4858E+00,1.2017E+01,1.4590E+01,1.6495E+01,1.1969E+01,4.9908E+00,
     &1.3550E+01,1.6315E+01,1.8215E+01,1.3287E+01,5.5864E+00,1.5140E+01,
     &1.8101E+01,1.9933E+01,1.4620E+01,6.3024E+00,1.6801E+01,1.9948E+01,
     &2.1636E+01,1.5956E+01,7.1504E+00,1.8530E+01,2.1815E+01,2.3280E+01,
     &1.7277E+01/
      DATA ((KB(JS,JT,32,12),JS=1,5),JT=1,5) /
     &4.3064E+00,1.2199E+01,1.4841E+01,1.6712E+01,1.2112E+01,4.8346E+00,
     &1.3779E+01,1.6613E+01,1.8463E+01,1.3462E+01,5.4614E+00,1.5404E+01,
     &1.8438E+01,2.0209E+01,1.4821E+01,6.2177E+00,1.7102E+01,2.0311E+01,
     &2.1920E+01,1.6172E+01,7.1259E+00,1.8855E+01,2.2195E+01,2.3574E+01,
     &1.7506E+01/
      DATA ((KB(JS,JT,33,12),JS=1,5),JT=1,5) /
     &4.1801E+00,1.2450E+01,1.5154E+01,1.6994E+01,1.2315E+01,4.7391E+00,
     &1.4064E+01,1.6963E+01,1.8765E+01,1.3689E+01,5.4061E+00,1.5717E+01,
     &1.8820E+01,2.0527E+01,1.5064E+01,6.2146E+00,1.7442E+01,2.0711E+01,
     &2.2242E+01,1.6420E+01,7.1827E+00,1.9219E+01,2.2608E+01,2.3903E+01,
     &1.7762E+01/
      DATA ((KB(JS,JT,34,12),JS=1,5),JT=1,5) /
     &4.0887E+00,1.2691E+01,1.5451E+01,1.7259E+01,1.2512E+01,4.6819E+00,
     &1.4330E+01,1.7288E+01,1.9046E+01,1.3902E+01,5.3890E+00,1.6007E+01,
     &1.9166E+01,2.0816E+01,1.5287E+01,6.2486E+00,1.7752E+01,2.1067E+01,
     &2.2532E+01,1.6650E+01,7.2682E+00,1.9545E+01,2.2972E+01,2.4194E+01,
     &1.7995E+01/
      DATA ((KB(JS,JT,35,12),JS=1,5),JT=1,5) /
     &3.9916E+00,1.2809E+01,1.5601E+01,1.7383E+01,1.2605E+01,4.6112E+00,
     &1.4460E+01,1.7457E+01,1.9181E+01,1.4005E+01,5.3474E+00,1.6154E+01,
     &1.9347E+01,2.0958E+01,1.5398E+01,6.2430E+00,1.7913E+01,2.1258E+01,
     &2.2679E+01,1.6764E+01,7.2953E+00,1.9716E+01,2.3169E+01,2.4345E+01,
     &1.8113E+01/
      DATA ((KB(JS,JT,36,12),JS=1,5),JT=1,5) /
     &3.8696E+00,1.2768E+01,1.5571E+01,1.7332E+01,1.2565E+01,4.5034E+00,
     &1.4429E+01,1.7436E+01,1.9141E+01,1.3973E+01,5.2555E+00,1.6128E+01,
     &1.9333E+01,2.0927E+01,1.5372E+01,6.1640E+00,1.7893E+01,2.1249E+01,
     &2.2656E+01,1.6743E+01,7.2295E+00,1.9702E+01,2.3168E+01,2.4329E+01,
     &1.8096E+01/
      DATA ((KB(JS,JT,37,12),JS=1,5),JT=1,5) /
     &3.6883E+00,1.2493E+01,1.5274E+01,1.7021E+01,1.2322E+01,4.3193E+00,
     &1.4156E+01,1.7140E+01,1.8841E+01,1.3739E+01,5.0636E+00,1.5852E+01,
     &1.9039E+01,2.0638E+01,1.5145E+01,5.9573E+00,1.7616E+01,2.0958E+01,
     &2.2386E+01,1.6525E+01,7.0089E+00,1.9421E+01,2.2881E+01,2.4071E+01,
     &1.7883E+01/
      DATA ((KB(JS,JT,38,12),JS=1,5),JT=1,5) /
     &3.5253E+00,1.2215E+01,1.4971E+01,1.6706E+01,1.2079E+01,4.1507E+00,
     &1.3877E+01,1.6837E+01,1.8535E+01,1.3501E+01,4.8852E+00,1.5572E+01,
     &1.8736E+01,2.0342E+01,1.4913E+01,5.7613E+00,1.7329E+01,2.0656E+01,
     &2.2106E+01,1.6300E+01,6.7957E+00,1.9130E+01,2.2581E+01,2.3804E+01,
     &1.7665E+01/
      DATA ((KB(JS,JT,39,12),JS=1,5),JT=1,5) /
     &3.3825E+00,1.1947E+01,1.4676E+01,1.6402E+01,1.1843E+01,3.9997E+00,
     &1.3607E+01,1.6542E+01,1.8237E+01,1.3271E+01,4.7242E+00,1.5300E+01,
     &1.8440E+01,2.0053E+01,1.4687E+01,5.5821E+00,1.7050E+01,2.0362E+01,
     &2.1831E+01,1.6081E+01,6.5965E+00,1.8849E+01,2.2289E+01,2.3541E+01,
     &1.7452E+01/
      DATA ((KB(JS,JT,40,12),JS=1,5),JT=1,5) /
     &3.1990E+00,1.1518E+01,1.4197E+01,1.5916E+01,1.1466E+01,3.7954E+00,
     &1.3171E+01,1.6060E+01,1.7759E+01,1.2898E+01,4.4984E+00,1.4859E+01,
     &1.7955E+01,1.9586E+01,1.4321E+01,5.3220E+00,1.6595E+01,1.9875E+01,
     &2.1381E+01,1.5725E+01,6.2999E+00,1.8387E+01,2.1803E+01,2.3109E+01,
     &1.7102E+01/
      DATA ((KB(JS,JT,41,12),JS=1,5),JT=1,5) /
     &3.0240E+00,1.1079E+01,1.3703E+01,1.5411E+01,1.1075E+01,3.5998E+00,
     &1.2722E+01,1.5561E+01,1.7259E+01,1.2509E+01,4.2766E+00,1.4402E+01,
     &1.7450E+01,1.9096E+01,1.3938E+01,5.0663E+00,1.6123E+01,1.9365E+01,
     &2.0905E+01,1.5352E+01,6.0051E+00,1.7908E+01,2.1295E+01,2.2653E+01,
     &1.6735E+01/
      DATA ((KB(JS,JT,42,12),JS=1,5),JT=1,5) /
     &2.8652E+00,1.0648E+01,1.3219E+01,1.4913E+01,1.0689E+01,3.4153E+00,
     &1.2278E+01,1.5063E+01,1.6761E+01,1.2121E+01,4.0672E+00,1.3952E+01,
     &1.6947E+01,1.8606E+01,1.3557E+01,4.8264E+00,1.5661E+01,1.8858E+01,
     &2.0426E+01,1.4977E+01,5.7266E+00,1.7431E+01,2.0787E+01,2.2197E+01,
     &1.6370E+01/
      DATA ((KB(JS,JT,43,12),JS=1,5),JT=1,5) /
     &2.6870E+00,1.0134E+01,1.2642E+01,1.4316E+01,1.0228E+01,3.2108E+00,
     &1.1745E+01,1.4465E+01,1.6161E+01,1.1657E+01,3.8308E+00,1.3408E+01,
     &1.6340E+01,1.8012E+01,1.3095E+01,4.5569E+00,1.5107E+01,1.8246E+01,
     &1.9843E+01,1.4521E+01,5.4100E+00,1.6859E+01,2.0173E+01,2.1637E+01,
     &1.5927E+01/
      DATA ((KB(JS,JT,44,12),JS=1,5),JT=1,5) /
     &2.5051E+00,9.5885E+00,1.2032E+01,1.3682E+01,9.7372E+00,3.0054E+00,
     &1.1180E+01,1.3825E+01,1.5517E+01,1.1159E+01,3.5923E+00,1.2828E+01,
     &1.5690E+01,1.7372E+01,1.2597E+01,4.2861E+00,1.4518E+01,1.7591E+01,
     &1.9215E+01,1.4031E+01,5.0891E+00,1.6248E+01,1.9511E+01,2.1026E+01,
     &1.5447E+01/
      DATA ((KB(JS,JT,45,12),JS=1,5),JT=1,5) /
     &2.3284E+00,9.0519E+00,1.1435E+01,1.3049E+01,9.2487E+00,2.8153E+00,
     &1.0623E+01,1.3197E+01,1.4880E+01,1.0666E+01,3.3686E+00,1.2254E+01,
     &1.5046E+01,1.6733E+01,1.2101E+01,4.0279E+00,1.3936E+01,1.6938E+01,
     &1.8583E+01,1.3540E+01,4.7894E+00,1.5648E+01,1.8852E+01,2.0408E+01,
     &1.4963E+01/
      DATA ((KB(JS,JT,46,12),JS=1,5),JT=1,5) /
     &2.1477E+00,8.4947E+00,1.0808E+01,1.2382E+01,8.7316E+00,2.6237E+00,
     &1.0040E+01,1.2543E+01,1.4206E+01,1.0145E+01,3.1493E+00,1.1653E+01,
     &1.4367E+01,1.6054E+01,1.1575E+01,3.7687E+00,1.3319E+01,1.6247E+01,
     &1.7910E+01,1.3015E+01,4.4919E+00,1.5018E+01,1.8154E+01,1.9746E+01,
     &1.4446E+01/
      DATA ((KB(JS,JT,47,12),JS=1,5),JT=1,5) /
     &1.9539E+00,7.8866E+00,1.0121E+01,1.1642E+01,8.1629E+00,2.4188E+00,
     &9.4011E+00,1.1827E+01,1.3461E+01,9.5671E+00,2.9183E+00,1.0990E+01,
     &1.3614E+01,1.5297E+01,1.0990E+01,3.4981E+00,1.2636E+01,1.5480E+01,
     &1.7155E+01,1.2429E+01,4.1787E+00,1.4323E+01,1.7378E+01,1.9005E+01,
     &1.3866E+01/
      DATA ((KB(JS,JT,48,12),JS=1,5),JT=1,5) /
     &1.7686E+00,7.3016E+00,9.4471E+00,1.0908E+01,7.6062E+00,2.2191E+00,
     &8.7750E+00,1.1125E+01,1.2718E+01,8.9921E+00,2.7045E+00,1.0336E+01,
     &1.2878E+01,1.4548E+01,1.0409E+01,3.2460E+00,1.1962E+01,1.4721E+01,
     &1.6399E+01,1.1843E+01,3.8847E+00,1.3635E+01,1.6605E+01,1.8256E+01,
     &1.3285E+01/
      DATA ((KB(JS,JT,49,12),JS=1,5),JT=1,5) /
     &1.5926E+00,6.7448E+00,8.7885E+00,1.0183E+01,7.0558E+00,2.0265E+00,
     &8.1616E+00,1.0434E+01,1.1978E+01,8.4210E+00,2.4995E+00,9.6943E+00,
     &1.2158E+01,1.3804E+01,9.8335E+00,3.0106E+00,1.1296E+01,1.3964E+01,
     &1.5645E+01,1.1261E+01,3.6091E+00,1.2953E+01,1.5838E+01,1.7505E+01,
     &1.2701E+01/
      DATA ((KB(JS,JT,50,12),JS=1,5),JT=1,5) /
     &1.4367E+00,6.2503E+00,8.1839E+00,9.5114E+00,6.5470E+00,1.8513E+00,
     &7.6037E+00,9.7986E+00,1.1290E+01,7.8962E+00,2.3123E+00,9.1032E+00,
     &1.1496E+01,1.3108E+01,9.2947E+00,2.8056E+00,1.0680E+01,1.3267E+01,
     &1.4942E+01,1.0716E+01,3.3664E+00,1.2318E+01,1.5124E+01,1.6800E+01,
     &1.2153E+01/
      DATA ((KB(JS,JT,51,12),JS=1,5),JT=1,5) /
     &1.2944E+00,5.7936E+00,7.6117E+00,8.8742E+00,6.0642E+00,1.6888E+00,
     &7.0852E+00,9.1933E+00,1.0628E+01,7.3944E+00,2.1353E+00,8.5416E+00,
     &1.0863E+01,1.2436E+01,8.7735E+00,2.6169E+00,1.0093E+01,1.2607E+01,
     &1.4266E+01,1.0192E+01,3.1479E+00,1.1711E+01,1.4438E+01,1.6116E+01,
     &1.1624E+01/
      DATA ((KB(JS,JT,52,12),JS=1,5),JT=1,5) /
     &1.1616E+00,5.3570E+00,7.0533E+00,8.2560E+00,5.5953E+00,1.5340E+00,
     &6.5899E+00,8.6019E+00,9.9750E+00,6.8982E+00,1.9643E+00,7.9903E+00,
     &1.0241E+01,1.1768E+01,8.2604E+00,2.4347E+00,9.5157E+00,1.1958E+01,
     &1.3593E+01,9.6707E+00,2.9410E+00,1.1112E+01,1.3756E+01,1.5434E+01,
     &1.1097E+01/
      DATA ((KB(JS,JT,53,12),JS=1,5),JT=1,5) /
     &1.0377E+00,4.9398E+00,6.5141E+00,7.6518E+00,5.1386E+00,1.3876E+00,
     &6.1188E+00,8.0207E+00,9.3291E+00,6.4095E+00,1.7987E+00,7.4567E+00,
     &9.6292E+00,1.1104E+01,7.7562E+00,2.2559E+00,8.9467E+00,1.1320E+01,
     &1.2921E+01,9.1504E+00,2.7477E+00,1.0518E+01,1.3086E+01,1.4756E+01,
     &1.0571E+01/
      DATA ((KB(JS,JT,54,12),JS=1,5),JT=1,5) /
     &9.3266E-01,4.5754E+00,6.0420E+00,7.1108E+00,4.7321E+00,1.2608E+00,
     &5.7055E+00,7.5003E+00,8.7512E+00,5.9717E+00,1.6525E+00,6.9875E+00,
     &9.0782E+00,1.0501E+01,7.2982E+00,2.0962E+00,8.4351E+00,1.0744E+01,
     &1.2308E+01,8.6747E+00,2.5775E+00,9.9827E+00,1.2485E+01,1.4138E+01,
     &1.0092E+01/
      DATA ((KB(JS,JT,55,12),JS=1,5),JT=1,5) /
     &8.4048E-01,4.2428E+00,5.6145E+00,6.6054E+00,4.3544E+00,1.1472E+00,
     &5.3270E+00,7.0144E+00,8.2122E+00,5.5615E+00,1.5181E+00,6.5556E+00,
     &8.5601E+00,9.9280E+00,6.8631E+00,1.9474E+00,7.9524E+00,1.0198E+01,
     &1.1721E+01,8.2252E+00,2.4188E+00,9.4776E+00,1.1916E+01,1.3548E+01,
     &9.6351E+00/
      DATA ((KB(JS,JT,56,12),JS=1,5),JT=1,5) /
     &7.5447E-01,3.9270E+00,5.2064E+00,6.1093E+00,3.9870E+00,1.0395E+00,
     &4.9623E+00,6.5429E+00,7.6840E+00,5.1623E+00,1.3908E+00,6.1440E+00,
     &8.0522E+00,9.3640E+00,6.4360E+00,1.8031E+00,7.4859E+00,9.6627E+00,
     &1.1140E+01,7.7842E+00,2.2626E+00,8.9798E+00,1.1358E+01,1.2960E+01,
     &9.1800E+00/
      DATA ((KB(JS,JT,57,12),JS=1,5),JT=1,5) /
     &6.7513E-01,3.6336E+00,4.8180E+00,5.6247E+00,3.6284E+00,9.3951E-01,
     &4.6135E+00,6.0910E+00,7.1671E+00,4.7736E+00,1.2699E+00,5.7481E+00,
     &7.5541E+00,8.8107E+00,6.0168E+00,1.6637E+00,7.0362E+00,9.1351E+00,
     &1.0564E+01,7.3465E+00,2.1102E+00,8.4904E+00,1.0807E+01,1.2374E+01,
     &8.7256E+00/
      DATA ((KB(JS,JT,58,12),JS=1,5),JT=1,5) /
     &6.0371E-01,3.3725E+00,4.4640E+00,5.1801E+00,3.2968E+00,8.5131E-01,
     &4.2951E+00,5.6822E+00,6.6873E+00,4.4155E+00,1.1611E+00,5.3867E+00,
     &7.0919E+00,8.2985E+00,5.6282E+00,1.5366E+00,6.6258E+00,8.6445E+00,
     &1.0022E+01,6.9358E+00,1.9698E+00,8.0329E+00,1.0290E+01,1.1819E+01,
     &8.3004E+00/
      DATA ((KB(JS,JT,59,12),JS=1,5),JT=1,5) /
     &5.7552E-01,3.2717E+00,4.3250E+00,5.0045E+00,3.1668E+00,8.1716E-01,
     &4.1713E+00,5.5225E+00,6.4964E+00,4.2740E+00,1.1190E+00,5.2446E+00,
     &6.9091E+00,8.0966E+00,5.4744E+00,1.4869E+00,6.4659E+00,8.4502E+00,
     &9.8065E+00,6.7716E+00,1.9139E+00,7.8535E+00,1.0085E+01,1.1598E+01,
     &8.1311E+00/
      DATA ((KB(JS,JT,13,13),JS=1,5),JT=1,5) /
     &7.9406E+01,7.6977E+01,7.9398E+01,7.2265E+01,7.0608E+01,7.8716E+01,
     &7.6325E+01,7.9145E+01,7.2561E+01,7.1233E+01,7.7960E+01,7.5684E+01,
     &7.8864E+01,7.2811E+01,7.1703E+01,7.7172E+01,7.5038E+01,7.8462E+01,
     &7.3003E+01,7.2067E+01,7.6342E+01,7.4357E+01,7.8015E+01,7.3077E+01,
     &7.2406E+01/
      DATA ((KB(JS,JT,14,13),JS=1,5),JT=1,5) /
     &7.4002E+01,7.5964E+01,8.0244E+01,7.3931E+01,6.7973E+01,7.3259E+01,
     &7.5350E+01,8.0187E+01,7.4373E+01,6.8671E+01,7.2511E+01,7.4741E+01,
     &7.9998E+01,7.4718E+01,6.9297E+01,7.1760E+01,7.4129E+01,7.9694E+01,
     &7.4933E+01,6.9925E+01,7.0963E+01,7.3482E+01,7.9282E+01,7.5062E+01,
     &7.0592E+01/
      DATA ((KB(JS,JT,15,13),JS=1,5),JT=1,5) /
     &6.7727E+01,7.4204E+01,7.9973E+01,7.4524E+01,6.4503E+01,6.6995E+01,
     &7.3663E+01,8.0067E+01,7.5070E+01,6.5404E+01,6.6299E+01,7.3080E+01,
     &8.0001E+01,7.5489E+01,6.6341E+01,6.5584E+01,7.2498E+01,7.9808E+01,
     &7.5814E+01,6.7293E+01,6.4881E+01,7.1894E+01,7.9644E+01,7.6073E+01,
     &6.8159E+01/
      DATA ((KB(JS,JT,16,13),JS=1,5),JT=1,5) /
     &6.0910E+01,7.1706E+01,7.8658E+01,7.3971E+01,6.0740E+01,6.0264E+01,
     &7.1204E+01,7.8897E+01,7.4647E+01,6.1882E+01,5.9646E+01,7.0743E+01,
     &7.8998E+01,7.5253E+01,6.3062E+01,5.9033E+01,7.0274E+01,7.9093E+01,
     &7.5819E+01,6.4263E+01,5.8482E+01,6.9838E+01,7.9175E+01,7.6359E+01,
     &6.5453E+01/
      DATA ((KB(JS,JT,17,13),JS=1,5),JT=1,5) /
     &5.3962E+01,6.8666E+01,7.6384E+01,7.2467E+01,5.7058E+01,5.3430E+01,
     &6.8393E+01,7.6843E+01,7.3413E+01,5.8438E+01,5.2920E+01,6.8105E+01,
     &7.7273E+01,7.4323E+01,5.9869E+01,5.2483E+01,6.7847E+01,7.7698E+01,
     &7.5214E+01,6.1307E+01,5.2082E+01,6.7535E+01,7.8034E+01,7.6077E+01,
     &6.2785E+01/
      DATA ((KB(JS,JT,18,13),JS=1,5),JT=1,5) /
     &4.7235E+01,6.5232E+01,7.3440E+01,7.0305E+01,5.3676E+01,4.6798E+01,
     &6.5205E+01,7.4239E+01,7.1589E+01,5.5262E+01,4.6439E+01,6.5179E+01,
     &7.5037E+01,7.2870E+01,5.6922E+01,4.6165E+01,6.5077E+01,7.5787E+01,
     &7.4113E+01,5.8606E+01,4.6076E+01,6.4950E+01,7.6497E+01,7.5319E+01,
     &6.0364E+01/
      DATA ((KB(JS,JT,19,13),JS=1,5),JT=1,5) /
     &4.0875E+01,6.1443E+01,7.0167E+01,6.7815E+01,5.0666E+01,4.0599E+01,
     &6.1754E+01,7.1348E+01,6.9451E+01,5.2443E+01,4.0423E+01,6.1971E+01,
     &7.2494E+01,7.1103E+01,5.4265E+01,4.0489E+01,6.2135E+01,7.3624E+01,
     &7.2723E+01,5.6176E+01,4.0909E+01,6.2251E+01,7.4691E+01,7.4287E+01,
     &5.8151E+01/
      DATA ((KB(JS,JT,20,13),JS=1,5),JT=1,5) /
     &3.5203E+01,5.7554E+01,6.6740E+01,6.5266E+01,4.7986E+01,3.5059E+01,
     &5.8164E+01,6.8281E+01,6.7270E+01,4.9928E+01,3.5179E+01,5.8679E+01,
     &6.9865E+01,6.9298E+01,5.1957E+01,3.5687E+01,5.9136E+01,7.1375E+01,
     &7.1295E+01,5.4068E+01,3.6572E+01,5.9563E+01,7.2814E+01,7.3197E+01,
     &5.6184E+01/
      DATA ((KB(JS,JT,21,13),JS=1,5),JT=1,5) /
     &3.0294E+01,5.3730E+01,6.3335E+01,6.2843E+01,4.5639E+01,3.0407E+01,
     &5.4622E+01,6.5309E+01,6.5230E+01,4.7736E+01,3.0898E+01,5.5470E+01,
     &6.7283E+01,6.7630E+01,4.9955E+01,3.1814E+01,5.6234E+01,6.9205E+01,
     &6.9979E+01,5.2223E+01,3.3171E+01,5.7002E+01,7.0988E+01,7.2170E+01,
     &5.4507E+01/
      DATA ((KB(JS,JT,22,13),JS=1,5),JT=1,5) /
     &2.6203E+01,5.0178E+01,6.0369E+01,6.0883E+01,4.3752E+01,2.6668E+01,
     &5.1399E+01,6.2731E+01,6.3628E+01,4.6055E+01,2.7573E+01,5.2567E+01,
     &6.5094E+01,6.6337E+01,4.8427E+01,2.8933E+01,5.3710E+01,6.7379E+01,
     &6.8992E+01,5.0840E+01,3.0713E+01,5.4842E+01,6.9500E+01,7.1453E+01,
     &5.3313E+01/
      DATA ((KB(JS,JT,23,13),JS=1,5),JT=1,5) /
     &2.2949E+01,4.7062E+01,5.7786E+01,5.9287E+01,4.2207E+01,2.3779E+01,
     &4.8563E+01,6.0567E+01,6.2337E+01,4.4709E+01,2.5087E+01,5.0088E+01,
     &6.3282E+01,6.5361E+01,4.7224E+01,2.6833E+01,5.1601E+01,6.5861E+01,
     &6.8253E+01,4.9790E+01,2.8975E+01,5.3148E+01,6.8312E+01,7.0979E+01,
     &5.2442E+01/
      DATA ((KB(JS,JT,24,13),JS=1,5),JT=1,5) /
     &2.0450E+01,4.4418E+01,5.5719E+01,5.8070E+01,4.1028E+01,2.1647E+01,
     &4.6218E+01,5.8860E+01,6.1413E+01,4.3697E+01,2.3313E+01,4.8082E+01,
     &6.1856E+01,6.4696E+01,4.6357E+01,2.5383E+01,4.9987E+01,6.4735E+01,
     &6.7792E+01,4.9079E+01,2.7788E+01,5.1882E+01,6.7449E+01,7.0725E+01,
     &5.1885E+01/
      DATA ((KB(JS,JT,25,13),JS=1,5),JT=1,5) /
     &1.8632E+01,4.2267E+01,5.4194E+01,5.7249E+01,4.0189E+01,2.0151E+01,
     &4.4393E+01,5.7583E+01,6.0858E+01,4.3004E+01,2.2101E+01,4.6593E+01,
     &6.0865E+01,6.4337E+01,4.5809E+01,2.4391E+01,4.8836E+01,6.3984E+01,
     &6.7613E+01,4.8696E+01,2.6959E+01,5.0995E+01,6.6882E+01,7.0682E+01,
     &5.1602E+01/
      DATA ((KB(JS,JT,26,13),JS=1,5),JT=1,5) /
     &1.7370E+01,4.0657E+01,5.3173E+01,5.6858E+01,3.9692E+01,1.9155E+01,
     &4.3087E+01,5.6801E+01,6.0671E+01,4.2632E+01,2.1292E+01,4.5598E+01,
     &6.0302E+01,6.4290E+01,4.5592E+01,2.3727E+01,4.8098E+01,6.3591E+01,
     &6.7690E+01,4.8603E+01,2.6455E+01,5.0493E+01,6.6616E+01,7.0861E+01,
     &5.1588E+01/
      DATA ((KB(JS,JT,27,13),JS=1,5),JT=1,5) /
     &1.6499E+01,3.9533E+01,5.2563E+01,5.6787E+01,3.9461E+01,1.8462E+01,
     &4.2240E+01,5.6391E+01,6.0738E+01,4.2525E+01,2.0737E+01,4.5009E+01,
     &6.0060E+01,6.4459E+01,4.5612E+01,2.3336E+01,4.7712E+01,6.3452E+01,
     &6.7944E+01,4.8705E+01,2.6215E+01,5.0322E+01,6.6583E+01,7.1174E+01,
     &5.1756E+01/
      DATA ((KB(JS,JT,28,13),JS=1,5),JT=1,5) /
     &1.5882E+01,3.8845E+01,5.2318E+01,5.6965E+01,3.9468E+01,1.7994E+01,
     &4.1785E+01,5.6289E+01,6.1007E+01,4.2649E+01,2.0424E+01,4.4749E+01,
     &6.0052E+01,6.4808E+01,4.5826E+01,2.3178E+01,4.7630E+01,6.3526E+01,
     &6.8347E+01,4.8967E+01,2.6217E+01,5.0385E+01,6.6714E+01,7.1584E+01,
     &5.2071E+01/
      DATA ((KB(JS,JT,29,13),JS=1,5),JT=1,5) /
     &1.5496E+01,3.8533E+01,5.2388E+01,5.7377E+01,3.9687E+01,1.7758E+01,
     &4.1667E+01,5.6458E+01,6.1470E+01,4.2963E+01,2.0345E+01,4.4782E+01,
     &6.0267E+01,6.5320E+01,4.6203E+01,2.3257E+01,4.7788E+01,6.3789E+01,
     &6.8865E+01,4.9378E+01,2.6442E+01,5.0623E+01,6.7004E+01,7.2085E+01,
     &5.2513E+01/
      DATA ((KB(JS,JT,30,13),JS=1,5),JT=1,5) /
     &1.5305E+01,3.8520E+01,5.2687E+01,5.7942E+01,4.0075E+01,1.7725E+01,
     &4.1787E+01,5.6809E+01,6.2069E+01,4.3408E+01,2.0471E+01,4.5011E+01,
     &6.0646E+01,6.5935E+01,4.6678E+01,2.3532E+01,4.8109E+01,6.4191E+01,
     &6.9457E+01,4.9879E+01,2.6835E+01,5.0980E+01,6.7409E+01,7.2648E+01,
     &5.3041E+01/
      DATA ((KB(JS,JT,31,13),JS=1,5),JT=1,5) /
     &1.5319E+01,3.8759E+01,5.3187E+01,5.8637E+01,4.0597E+01,1.7890E+01,
     &4.2121E+01,5.7326E+01,6.2778E+01,4.3969E+01,2.0784E+01,4.5419E+01,
     &6.1174E+01,6.6627E+01,4.7246E+01,2.3963E+01,4.8555E+01,6.4709E+01,
     &7.0119E+01,5.0470E+01,2.7377E+01,5.1448E+01,6.7912E+01,7.3265E+01,
     &5.3642E+01/
      DATA ((KB(JS,JT,32,13),JS=1,5),JT=1,5) /
     &1.5518E+01,3.9176E+01,5.3833E+01,5.9441E+01,4.1231E+01,1.8219E+01,
     &4.2608E+01,5.7967E+01,6.3575E+01,4.4614E+01,2.1240E+01,4.5958E+01,
     &6.1807E+01,6.7376E+01,4.7899E+01,2.4535E+01,4.9103E+01,6.5323E+01,
     &7.0819E+01,5.1129E+01,2.8030E+01,5.1991E+01,6.8477E+01,7.3912E+01,
     &5.4297E+01/
      DATA ((KB(JS,JT,33,13),JS=1,5),JT=1,5) /
     &1.5857E+01,3.9728E+01,5.4587E+01,6.0326E+01,4.1934E+01,1.8681E+01,
     &4.3207E+01,5.8700E+01,6.4428E+01,4.5312E+01,2.1817E+01,4.6584E+01,
     &6.2510E+01,6.8164E+01,4.8601E+01,2.5208E+01,4.9716E+01,6.5986E+01,
     &7.1546E+01,5.1832E+01,2.8769E+01,5.2588E+01,6.9085E+01,7.4576E+01,
     &5.4996E+01/
      DATA ((KB(JS,JT,34,13),JS=1,5),JT=1,5) /
     &1.6218E+01,4.0255E+01,5.5264E+01,6.1104E+01,4.2563E+01,1.9136E+01,
     &4.3775E+01,5.9363E+01,6.5173E+01,4.5933E+01,2.2367E+01,4.7148E+01,
     &6.3138E+01,6.8848E+01,4.9223E+01,2.5824E+01,5.0264E+01,6.6569E+01,
     &7.2180E+01,5.2454E+01,2.9432E+01,5.3119E+01,6.9617E+01,7.5149E+01,
     &5.5607E+01/
      DATA ((KB(JS,JT,35,13),JS=1,5),JT=1,5) /
     &1.6382E+01,4.0509E+01,5.5591E+01,6.1512E+01,4.2891E+01,1.9362E+01,
     &4.4056E+01,5.9682E+01,6.5556E+01,4.6259E+01,2.2646E+01,4.7437E+01,
     &6.3450E+01,6.9212E+01,4.9551E+01,2.6140E+01,5.0553E+01,6.6864E+01,
     &7.2519E+01,5.2785E+01,2.9778E+01,5.3403E+01,6.9889E+01,7.5460E+01,
     &5.5937E+01/
      DATA ((KB(JS,JT,36,13),JS=1,5),JT=1,5) /
     &1.6282E+01,4.0412E+01,5.5499E+01,6.1489E+01,4.2866E+01,1.9286E+01,
     &4.3996E+01,5.9618E+01,6.5550E+01,4.6244E+01,2.2586E+01,4.7399E+01,
     &6.3406E+01,6.9212E+01,4.9542E+01,2.6096E+01,5.0533E+01,6.6829E+01,
     &7.2526E+01,5.2781E+01,2.9750E+01,5.3407E+01,6.9875E+01,7.5478E+01,
     &5.5943E+01/
      DATA ((KB(JS,JT,37,13),JS=1,5),JT=1,5) /
     &1.5776E+01,3.9797E+01,5.4788E+01,6.0844E+01,4.2332E+01,1.8757E+01,
     &4.3418E+01,5.8970E+01,6.4965E+01,4.5736E+01,2.2032E+01,4.6879E+01,
     &6.2830E+01,6.8697E+01,4.9053E+01,2.5533E+01,5.0076E+01,6.6324E+01,
     &7.2072E+01,5.2311E+01,2.9180E+01,5.2997E+01,6.9437E+01,7.5080E+01,
     &5.5481E+01/
      DATA ((KB(JS,JT,38,13),JS=1,5),JT=1,5) /
     &1.5271E+01,3.9166E+01,5.4054E+01,6.0165E+01,4.1777E+01,1.8227E+01,
     &4.2823E+01,5.8302E+01,6.4350E+01,4.5207E+01,2.1473E+01,4.6333E+01,
     &6.2224E+01,6.8144E+01,4.8540E+01,2.4954E+01,4.9588E+01,6.5790E+01,
     &7.1578E+01,5.1811E+01,2.8592E+01,5.2564E+01,6.8973E+01,7.4653E+01,
     &5.5000E+01/
      DATA ((KB(JS,JT,39,13),JS=1,5),JT=1,5) /
     &1.4788E+01,3.8557E+01,5.3339E+01,5.9493E+01,4.1232E+01,1.7725E+01,
     &4.2239E+01,5.7643E+01,6.3735E+01,4.4689E+01,2.0936E+01,4.5800E+01,
     &6.1629E+01,6.7599E+01,4.8036E+01,2.4393E+01,4.9102E+01,6.5258E+01,
     &7.1089E+01,5.1322E+01,2.8020E+01,5.2130E+01,6.8507E+01,7.4225E+01,
     &5.4528E+01/
      DATA ((KB(JS,JT,40,13),JS=1,5),JT=1,5) /
     &1.4035E+01,3.7576E+01,5.2178E+01,5.8374E+01,4.0328E+01,1.6933E+01,
     &4.1290E+01,5.6557E+01,6.2694E+01,4.3829E+01,2.0073E+01,4.4909E+01,
     &6.0638E+01,6.6668E+01,4.7203E+01,2.3486E+01,4.8287E+01,6.4365E+01,
     &7.0250E+01,5.0504E+01,2.7084E+01,5.1393E+01,6.7719E+01,7.3485E+01,
     &5.3736E+01/
      DATA ((KB(JS,JT,41,13),JS=1,5),JT=1,5) /
     &1.3270E+01,3.6551E+01,5.0952E+01,5.7187E+01,3.9381E+01,1.6132E+01,
     &4.0293E+01,5.5396E+01,6.1573E+01,4.2921E+01,1.9195E+01,4.3957E+01,
     &5.9575E+01,6.5658E+01,4.6320E+01,2.2552E+01,4.7415E+01,6.3413E+01,
     &6.9340E+01,4.9639E+01,2.6115E+01,5.0603E+01,6.6868E+01,7.2675E+01,
     &5.2897E+01/
      DATA ((KB(JS,JT,42,13),JS=1,5),JT=1,5) /
     &1.2533E+01,3.5537E+01,4.9715E+01,5.5979E+01,3.8430E+01,1.5340E+01,
     &3.9292E+01,5.4229E+01,6.0445E+01,4.2004E+01,1.8342E+01,4.2991E+01,
     &5.8494E+01,6.4631E+01,4.5437E+01,2.1634E+01,4.6527E+01,6.2435E+01,
     &6.8417E+01,4.8777E+01,2.5154E+01,4.9791E+01,6.5989E+01,7.1836E+01,
     &5.2054E+01/
      DATA ((KB(JS,JT,43,13),JS=1,5),JT=1,5) /
     &1.1668E+01,3.4309E+01,4.8203E+01,5.4498E+01,3.7270E+01,1.4402E+01,
     &3.8082E+01,5.2797E+01,5.9048E+01,4.0873E+01,1.7344E+01,4.1812E+01,
     &5.7160E+01,6.3341E+01,4.4355E+01,2.0545E+01,4.5427E+01,6.1209E+01,
     &6.7260E+01,4.7724E+01,2.4007E+01,4.8779E+01,6.4893E+01,7.0794E+01,
     &5.1019E+01/
      DATA ((KB(JS,JT,44,13),JS=1,5),JT=1,5) /
     &1.0777E+01,3.2982E+01,4.6555E+01,5.2865E+01,3.6017E+01,1.3422E+01,
     &3.6774E+01,5.1234E+01,5.7518E+01,3.9647E+01,1.6301E+01,4.0529E+01,
     &5.5688E+01,6.1909E+01,4.3184E+01,1.9410E+01,4.4205E+01,5.9841E+01,
     &6.5956E+01,4.6575E+01,2.2792E+01,4.7657E+01,6.3668E+01,6.9623E+01,
     &4.9898E+01/
      DATA ((KB(JS,JT,45,13),JS=1,5),JT=1,5) /
     &9.9376E+00,3.1658E+01,4.4891E+01,5.1201E+01,3.4758E+01,1.2468E+01,
     &3.5468E+01,4.9648E+01,5.5955E+01,3.8412E+01,1.5282E+01,3.9240E+01,
     &5.4182E+01,6.0441E+01,4.1991E+01,1.8307E+01,4.2958E+01,5.8447E+01,
     &6.4617E+01,4.5427E+01,2.1602E+01,4.6508E+01,6.2404E+01,6.8417E+01,
     &4.8775E+01/
      DATA ((KB(JS,JT,46,13),JS=1,5),JT=1,5) /
     &9.0997E+00,3.0250E+01,4.3114E+01,4.9420E+01,3.3417E+01,1.1497E+01,
     &3.4076E+01,4.7932E+01,5.4263E+01,3.7087E+01,1.4229E+01,3.7865E+01,
     &5.2547E+01,5.8836E+01,4.0705E+01,1.7178E+01,4.1613E+01,5.6930E+01,
     &6.3142E+01,4.4193E+01,2.0366E+01,4.5251E+01,6.1008E+01,6.7091E+01,
     &4.7569E+01/
      DATA ((KB(JS,JT,47,13),JS=1,5),JT=1,5) /
     &8.2326E+00,2.8698E+01,4.1131E+01,4.7406E+01,3.1895E+01,1.0467E+01,
     &3.2516E+01,4.5987E+01,5.2322E+01,3.5605E+01,1.3084E+01,3.6324E+01,
     &5.0700E+01,5.7015E+01,3.9250E+01,1.5956E+01,4.0097E+01,5.5181E+01,
     &6.1437E+01,4.2802E+01,1.9031E+01,4.3799E+01,5.9396E+01,6.5543E+01,
     &4.6212E+01/
      DATA ((KB(JS,JT,48,13),JS=1,5),JT=1,5) /
     &7.4393E+00,2.7161E+01,3.9157E+01,4.5343E+01,3.0350E+01,9.5049E+00,
     &3.0953E+01,4.4020E+01,5.0347E+01,3.4113E+01,1.1978E+01,3.4782E+01,
     &4.8813E+01,5.5151E+01,3.7782E+01,1.4764E+01,3.8570E+01,5.3387E+01,
     &5.9681E+01,4.1384E+01,1.7748E+01,4.2312E+01,5.7728E+01,6.3933E+01,
     &4.4844E+01/
      DATA ((KB(JS,JT,49,13),JS=1,5),JT=1,5) /
     &6.7167E+00,2.5650E+01,3.7197E+01,4.3247E+01,2.8796E+01,8.6101E+00,
     &2.9402E+01,4.2045E+01,4.8354E+01,3.2610E+01,1.0926E+01,3.3234E+01,
     &4.6891E+01,5.3243E+01,3.6305E+01,1.3605E+01,3.7035E+01,5.1562E+01,
     &5.7884E+01,3.9936E+01,1.6513E+01,4.0804E+01,5.6010E+01,6.2260E+01,
     &4.3466E+01/
      DATA ((KB(JS,JT,50,13),JS=1,5),JT=1,5) /
     &6.0927E+00,2.4264E+01,3.5366E+01,4.1271E+01,2.7331E+01,7.8376E+00,
     &2.7958E+01,4.0194E+01,4.6451E+01,3.1176E+01,9.9975E+00,3.1777E+01,
     &4.5061E+01,5.1408E+01,3.4914E+01,1.2552E+01,3.5595E+01,4.9816E+01,
     &5.6159E+01,3.8569E+01,1.5384E+01,3.9379E+01,5.4352E+01,6.0637E+01,
     &4.2153E+01/
      DATA ((KB(JS,JT,51,13),JS=1,5),JT=1,5) /
     &5.5303E+00,2.2951E+01,3.3599E+01,3.9341E+01,2.5901E+01,7.1468E+00,
     &2.6574E+01,3.8412E+01,4.4565E+01,2.9771E+01,9.1530E+00,3.0360E+01,
     &4.3274E+01,4.9608E+01,3.3559E+01,1.1570E+01,3.4196E+01,4.8091E+01,
     &5.4457E+01,3.7233E+01,1.4322E+01,3.7996E+01,5.2708E+01,5.9018E+01,
     &4.0851E+01/
      DATA ((KB(JS,JT,52,13),JS=1,5),JT=1,5) /
     &5.0134E+00,2.1673E+01,3.1833E+01,3.7382E+01,2.4463E+01,6.5135E+00,
     &2.5216E+01,3.6639E+01,4.2658E+01,2.8359E+01,8.3642E+00,2.8959E+01,
     &4.1485E+01,4.7797E+01,3.2187E+01,1.0636E+01,3.2789E+01,4.6344E+01,
     &5.2709E+01,3.5895E+01,1.3285E+01,3.6604E+01,5.1047E+01,5.7380E+01,
     &3.9540E+01/
      DATA ((KB(JS,JT,53,13),JS=1,5),JT=1,5) /
     &4.5376E+00,2.0438E+01,3.0067E+01,3.5396E+01,2.3001E+01,5.9241E+00,
     &2.3884E+01,3.4872E+01,4.0744E+01,2.6941E+01,7.6354E+00,2.7568E+01,
     &3.9698E+01,4.5939E+01,3.0794E+01,9.7536E+00,3.1378E+01,4.4569E+01,
     &5.0924E+01,3.4545E+01,1.2275E+01,3.5210E+01,4.9348E+01,5.5701E+01,
     &3.8212E+01/
      DATA ((KB(JS,JT,54,13),JS=1,5),JT=1,5) /
     &4.1389E+00,1.9353E+01,2.8454E+01,3.3563E+01,2.1647E+01,5.4194E+00,
     &2.2692E+01,3.3259E+01,3.8976E+01,2.5632E+01,7.0164E+00,2.6307E+01,
     &3.8072E+01,4.4208E+01,2.9508E+01,8.9936E+00,3.0086E+01,4.2934E+01,
     &4.9276E+01,3.3306E+01,1.1387E+01,3.3931E+01,4.7765E+01,5.4132E+01,
     &3.6987E+01/
      DATA ((KB(JS,JT,55,13),JS=1,5),JT=1,5) /
     &3.7927E+00,1.8358E+01,2.6927E+01,3.1801E+01,2.0350E+01,4.9755E+00,
     &2.1582E+01,3.1711E+01,3.7250E+01,2.4368E+01,6.4669E+00,2.5119E+01,
     &3.6517E+01,4.2532E+01,2.8268E+01,8.3082E+00,2.8857E+01,4.1362E+01,
     &4.7679E+01,3.2095E+01,1.0573E+01,3.2695E+01,4.6225E+01,5.2593E+01,
     &3.5810E+01/
      DATA ((KB(JS,JT,56,13),JS=1,5),JT=1,5) /
     &3.4680E+00,1.7374E+01,2.5413E+01,3.0039E+01,1.9069E+01,4.5601E+00,
     &2.0503E+01,3.0163E+01,3.5509E+01,2.3088E+01,5.9518E+00,2.3956E+01,
     &3.4971E+01,4.0858E+01,2.7027E+01,7.6711E+00,2.7642E+01,3.9801E+01,
     &4.6057E+01,3.0878E+01,9.8017E+00,3.1462E+01,4.4674E+01,5.1031E+01,
     &3.4630E+01/
      DATA ((KB(JS,JT,57,13),JS=1,5),JT=1,5) /
     &3.1571E+00,1.6389E+01,2.3903E+01,2.8270E+01,1.7802E+01,4.1775E+00,
     &1.9466E+01,2.8628E+01,3.3765E+01,2.1796E+01,5.4676E+00,2.2817E+01,
     &3.3433E+01,3.9170E+01,2.5777E+01,7.0767E+00,2.6436E+01,3.8248E+01,
     &4.4404E+01,2.9650E+01,9.0728E+00,3.0224E+01,4.3110E+01,4.9455E+01,
     &3.3445E+01/
      DATA ((KB(JS,JT,58,13),JS=1,5),JT=1,5) /
     &2.8749E+00,1.5464E+01,2.2485E+01,2.6596E+01,1.6612E+01,3.8438E+00,
     &1.8517E+01,2.7179E+01,3.2099E+01,2.0568E+01,5.0410E+00,2.1758E+01,
     &3.1967E+01,3.7546E+01,2.4584E+01,6.5535E+00,2.5311E+01,3.6779E+01,
     &4.2823E+01,2.8478E+01,8.4187E+00,2.9065E+01,4.1628E+01,4.7951E+01,
     &3.2304E+01/
      DATA ((KB(JS,JT,59,13),JS=1,5),JT=1,5) /
     &2.7657E+00,1.5098E+01,2.1927E+01,2.5930E+01,1.6137E+01,3.7163E+00,
     &1.8141E+01,2.6603E+01,3.1433E+01,2.0078E+01,4.8770E+00,2.1342E+01,
     &3.1379E+01,3.6884E+01,2.4100E+01,6.3518E+00,2.4865E+01,3.6188E+01,
     &4.2182E+01,2.8007E+01,8.1684E+00,2.8600E+01,4.1035E+01,4.7343E+01,
     &3.1847E+01/
      DATA ((KB(JS,JT,13,14),JS=1,5),JT=1,5) /
     &2.0563E+02,1.6395E+02,1.5131E+02,1.3928E+02,1.7336E+02,2.0583E+02,
     &1.6346E+02,1.5102E+02,1.3867E+02,1.7209E+02,2.0579E+02,1.6282E+02,
     &1.5051E+02,1.3803E+02,1.7119E+02,2.0538E+02,1.6198E+02,1.5005E+02,
     &1.3746E+02,1.7062E+02,2.0471E+02,1.6100E+02,1.4942E+02,1.3685E+02,
     &1.6998E+02/
      DATA ((KB(JS,JT,14,14),JS=1,5),JT=1,5) /
     &2.1387E+02,1.7486E+02,1.6410E+02,1.4896E+02,1.7926E+02,2.1398E+02,
     &1.7407E+02,1.6354E+02,1.4849E+02,1.7872E+02,2.1371E+02,1.7306E+02,
     &1.6300E+02,1.4796E+02,1.7838E+02,2.1320E+02,1.7193E+02,1.6238E+02,
     &1.4748E+02,1.7807E+02,2.1239E+02,1.7062E+02,1.6158E+02,1.4661E+02,
     &1.7726E+02/
      DATA ((KB(JS,JT,15,14),JS=1,5),JT=1,5) /
     &2.1868E+02,1.8392E+02,1.7597E+02,1.5877E+02,1.8409E+02,2.1861E+02,
     &1.8285E+02,1.7533E+02,1.5845E+02,1.8413E+02,2.1838E+02,1.8168E+02,
     &1.7469E+02,1.5814E+02,1.8423E+02,2.1785E+02,1.8028E+02,1.7392E+02,
     &1.5747E+02,1.8391E+02,2.1714E+02,1.7881E+02,1.7281E+02,1.5644E+02,
     &1.8337E+02/
      DATA ((KB(JS,JT,16,14),JS=1,5),JT=1,5) /
     &2.1989E+02,1.9090E+02,1.8666E+02,1.6823E+02,1.8717E+02,2.2000E+02,
     &1.8989E+02,1.8604E+02,1.6822E+02,1.8797E+02,2.1982E+02,1.8856E+02,
     &1.8533E+02,1.6794E+02,1.8851E+02,2.1954E+02,1.8709E+02,1.8432E+02,
     &1.6715E+02,1.8854E+02,2.1898E+02,1.8542E+02,1.8303E+02,1.6600E+02,
     &1.8839E+02/
      DATA ((KB(JS,JT,17,14),JS=1,5),JT=1,5) /
     &2.1793E+02,1.9596E+02,1.9603E+02,1.7703E+02,1.8857E+02,2.1821E+02,
     &1.9492E+02,1.9548E+02,1.7725E+02,1.9023E+02,2.1850E+02,1.9369E+02,
     &1.9462E+02,1.7701E+02,1.9133E+02,2.1855E+02,1.9221E+02,1.9343E+02,
     &1.7616E+02,1.9194E+02,2.1839E+02,1.9057E+02,1.9206E+02,1.7490E+02,
     &1.9225E+02/
      DATA ((KB(JS,JT,18,14),JS=1,5),JT=1,5) /
     &2.1311E+02,1.9935E+02,2.0385E+02,1.8492E+02,1.8864E+02,2.1399E+02,
     &1.9838E+02,2.0339E+02,1.8536E+02,1.9117E+02,2.1477E+02,1.9727E+02,
     &2.0251E+02,1.8517E+02,1.9296E+02,2.1537E+02,1.9602E+02,2.0131E+02,
     &1.8433E+02,1.9426E+02,2.1594E+02,1.9460E+02,1.9989E+02,1.8299E+02,
     &1.9511E+02/
      DATA ((KB(JS,JT,19,14),JS=1,5),JT=1,5) /
     &2.0628E+02,2.0131E+02,2.1018E+02,1.9181E+02,1.8780E+02,2.0786E+02,
     &2.0061E+02,2.0985E+02,1.9249E+02,1.9117E+02,2.0939E+02,1.9978E+02,
     &2.0915E+02,1.9245E+02,1.9379E+02,2.1078E+02,1.9876E+02,2.0808E+02,
     &1.9159E+02,1.9578E+02,2.1196E+02,1.9762E+02,2.0666E+02,1.9020E+02,
     &1.9726E+02/
      DATA ((KB(JS,JT,20,14),JS=1,5),JT=1,5) /
     &1.9806E+02,2.0215E+02,2.1525E+02,1.9781E+02,1.8646E+02,2.0054E+02,
     &2.0180E+02,2.1527E+02,1.9874E+02,1.9072E+02,2.0298E+02,2.0132E+02,
     &2.1478E+02,1.9877E+02,1.9413E+02,2.0522E+02,2.0070E+02,2.1384E+02,
     &1.9793E+02,1.9681E+02,2.0725E+02,1.9975E+02,2.1249E+02,1.9659E+02,
     &1.9899E+02/
      DATA ((KB(JS,JT,21,14),JS=1,5),JT=1,5) /
     &1.8919E+02,2.0217E+02,2.1942E+02,2.0291E+02,1.8499E+02,1.9268E+02,
     &2.0239E+02,2.1974E+02,2.0415E+02,1.9012E+02,1.9609E+02,2.0231E+02,
     &2.1947E+02,2.0425E+02,1.9432E+02,1.9926E+02,2.0201E+02,2.1866E+02,
     &2.0346E+02,1.9770E+02,2.0224E+02,2.0136E+02,2.1742E+02,2.0212E+02,
     &2.0044E+02/
      DATA ((KB(JS,JT,22,14),JS=1,5),JT=1,5) /
     &1.8064E+02,2.0182E+02,2.2276E+02,2.0740E+02,1.8409E+02,1.8513E+02,
     &2.0253E+02,2.2341E+02,2.0876E+02,1.8988E+02,1.8951E+02,2.0287E+02,
     &2.2329E+02,2.0890E+02,1.9474E+02,1.9368E+02,2.0283E+02,2.2259E+02,
     &2.0812E+02,1.9869E+02,1.9752E+02,2.0248E+02,2.2143E+02,2.0676E+02,
     &2.0185E+02/
      DATA ((KB(JS,JT,23,14),JS=1,5),JT=1,5) /
     &1.7261E+02,2.0129E+02,2.2560E+02,2.1126E+02,1.8360E+02,1.7813E+02,
     &2.0255E+02,2.2645E+02,2.1277E+02,1.8993E+02,1.8347E+02,2.0322E+02,
     &2.2649E+02,2.1288E+02,1.9534E+02,1.8858E+02,2.0345E+02,2.2593E+02,
     &2.1211E+02,1.9972E+02,1.9325E+02,2.0330E+02,2.2470E+02,2.1066E+02,
     &2.0314E+02/
      DATA ((KB(JS,JT,24,14),JS=1,5),JT=1,5) /
     &1.6550E+02,2.0079E+02,2.2797E+02,2.1459E+02,1.8352E+02,1.7199E+02,
     &2.0247E+02,2.2899E+02,2.1614E+02,1.9031E+02,1.7829E+02,2.0349E+02,
     &2.2920E+02,2.1621E+02,1.9610E+02,1.8424E+02,2.0395E+02,2.2865E+02,
     &2.1544E+02,2.0080E+02,1.8966E+02,2.0393E+02,2.2735E+02,2.1388E+02,
     &2.0437E+02/
      DATA ((KB(JS,JT,25,14),JS=1,5),JT=1,5) /
     &1.5949E+02,2.0048E+02,2.2999E+02,2.1758E+02,1.8395E+02,1.6698E+02,
     &2.0247E+02,2.3119E+02,2.1903E+02,1.9108E+02,1.7411E+02,2.0370E+02,
     &2.3144E+02,2.1904E+02,1.9711E+02,1.8088E+02,2.0435E+02,2.3082E+02,
     &2.1817E+02,2.0192E+02,1.8710E+02,2.0450E+02,2.2950E+02,2.1648E+02,
     &2.0559E+02/
      DATA ((KB(JS,JT,26,14),JS=1,5),JT=1,5) /
     &1.5479E+02,2.0038E+02,2.3181E+02,2.2016E+02,1.8490E+02,1.6322E+02,
     &2.0258E+02,2.3307E+02,2.2145E+02,1.9222E+02,1.7119E+02,2.0401E+02,
     &2.3326E+02,2.2140E+02,1.9831E+02,1.7866E+02,2.0478E+02,2.3259E+02,
     &2.2038E+02,2.0315E+02,1.8553E+02,2.0498E+02,2.3122E+02,2.1854E+02,
     &2.0685E+02/
      DATA ((KB(JS,JT,27,14),JS=1,5),JT=1,5) /
     &1.5143E+02,2.0049E+02,2.3344E+02,2.2241E+02,1.8615E+02,1.6070E+02,
     &2.0279E+02,2.3465E+02,2.2352E+02,1.9353E+02,1.6932E+02,2.0430E+02,
     &2.3473E+02,2.2331E+02,1.9960E+02,1.7737E+02,2.0518E+02,2.3402E+02,
     &2.2212E+02,2.0440E+02,1.8472E+02,2.0537E+02,2.3257E+02,2.2015E+02,
     &2.0807E+02/
      DATA ((KB(JS,JT,28,14),JS=1,5),JT=1,5) /
     &1.4935E+02,2.0078E+02,2.3487E+02,2.2436E+02,1.8762E+02,1.5926E+02,
     &2.0312E+02,2.3597E+02,2.2523E+02,1.9491E+02,1.6839E+02,2.0467E+02,
     &2.3597E+02,2.2484E+02,2.0092E+02,1.7687E+02,2.0554E+02,2.3516E+02,
     &2.2345E+02,2.0562E+02,1.8453E+02,2.0570E+02,2.3357E+02,2.2135E+02,
     &2.0921E+02/
      DATA ((KB(JS,JT,29,14),JS=1,5),JT=1,5) /
     &1.4844E+02,2.0117E+02,2.3614E+02,2.2601E+02,1.8927E+02,1.5878E+02,
     &2.0350E+02,2.3707E+02,2.2664E+02,1.9642E+02,1.6829E+02,2.0505E+02,
     &2.3696E+02,2.2601E+02,2.0229E+02,1.7702E+02,2.0585E+02,2.3602E+02,
     &2.2445E+02,2.0685E+02,1.8487E+02,2.0599E+02,2.3430E+02,2.2220E+02,
     &2.1031E+02/
      DATA ((KB(JS,JT,30,14),JS=1,5),JT=1,5) /
     &1.4841E+02,2.0165E+02,2.3724E+02,2.2742E+02,1.9101E+02,1.5903E+02,
     &2.0395E+02,2.3798E+02,2.2774E+02,1.9796E+02,1.6878E+02,2.0543E+02,
     &2.3774E+02,2.2689E+02,2.0367E+02,1.7765E+02,2.0614E+02,2.3662E+02,
     &2.2515E+02,2.0804E+02,1.8556E+02,2.0626E+02,2.3478E+02,2.2274E+02,
     &2.1133E+02/
      DATA ((KB(JS,JT,31,14),JS=1,5),JT=1,5) /
     &1.4910E+02,2.0219E+02,2.3816E+02,2.2857E+02,1.9280E+02,1.5987E+02,
     &2.0442E+02,2.3873E+02,2.2860E+02,1.9955E+02,1.6974E+02,2.0578E+02,
     &2.3830E+02,2.2751E+02,2.0503E+02,1.7870E+02,2.0640E+02,2.3703E+02,
     &2.2559E+02,2.0917E+02,1.8656E+02,2.0647E+02,2.3504E+02,2.2303E+02,
     &2.1232E+02/
      DATA ((KB(JS,JT,32,14),JS=1,5),JT=1,5) /
     &1.5031E+02,2.0279E+02,2.3897E+02,2.2949E+02,1.9459E+02,1.6119E+02,
     &2.0489E+02,2.3931E+02,2.2922E+02,2.0113E+02,1.7110E+02,2.0610E+02,
     &2.3869E+02,2.2791E+02,2.0634E+02,1.8002E+02,2.0662E+02,2.3723E+02,
     &2.2582E+02,2.1029E+02,1.8777E+02,2.0659E+02,2.3510E+02,2.2308E+02,
     &2.1322E+02/
      DATA ((KB(JS,JT,33,14),JS=1,5),JT=1,5) /
     &1.5197E+02,2.0341E+02,2.3965E+02,2.3019E+02,1.9639E+02,1.6285E+02,
     &2.0534E+02,2.3976E+02,2.2964E+02,2.0267E+02,1.7270E+02,2.0638E+02,
     &2.3893E+02,2.2811E+02,2.0758E+02,1.8151E+02,2.0680E+02,2.3727E+02,
     &2.2584E+02,2.1132E+02,1.8912E+02,2.0665E+02,2.3500E+02,2.2296E+02,
     &2.1406E+02/
      DATA ((KB(JS,JT,34,14),JS=1,5),JT=1,5) /
     &1.5352E+02,2.0391E+02,2.4014E+02,2.3069E+02,1.9790E+02,1.6437E+02,
     &2.0566E+02,2.4006E+02,2.2992E+02,2.0396E+02,1.7416E+02,2.0662E+02,
     &2.3907E+02,2.2823E+02,2.0863E+02,1.8285E+02,2.0695E+02,2.3728E+02,
     &2.2580E+02,2.1218E+02,1.9033E+02,2.0667E+02,2.3487E+02,2.2280E+02,
     &2.1474E+02/
      DATA ((KB(JS,JT,35,14),JS=1,5),JT=1,5) /
     &1.5421E+02,2.0418E+02,2.4052E+02,2.3110E+02,1.9876E+02,1.6507E+02,
     &2.0586E+02,2.4033E+02,2.3020E+02,2.0468E+02,1.7486E+02,2.0677E+02,
     &2.3924E+02,2.2841E+02,2.0923E+02,1.8350E+02,2.0705E+02,2.3737E+02,
     &2.2589E+02,2.1269E+02,1.9094E+02,2.0669E+02,2.3489E+02,2.2281E+02,
     &2.1514E+02/
      DATA ((KB(JS,JT,36,14),JS=1,5),JT=1,5) /
     &1.5381E+02,2.0424E+02,2.4080E+02,2.3145E+02,1.9888E+02,1.6478E+02,
     &2.0592E+02,2.4060E+02,2.3055E+02,2.0484E+02,1.7464E+02,2.0684E+02,
     &2.3950E+02,2.2874E+02,2.0938E+02,1.8336E+02,2.0715E+02,2.3762E+02,
     &2.2618E+02,2.1284E+02,1.9086E+02,2.0678E+02,2.3514E+02,2.2311E+02,
     &2.1532E+02/
      DATA ((KB(JS,JT,37,14),JS=1,5),JT=1,5) /
     &1.5177E+02,2.0394E+02,2.4096E+02,2.3178E+02,1.9802E+02,1.6298E+02,
     &2.0578E+02,2.4091E+02,2.3102E+02,2.0416E+02,1.7307E+02,2.0681E+02,
     &2.3994E+02,2.2934E+02,2.0893E+02,1.8204E+02,2.0721E+02,2.3818E+02,
     &2.2688E+02,2.1255E+02,1.8973E+02,2.0695E+02,2.3573E+02,2.2383E+02,
     &2.1516E+02/
      DATA ((KB(JS,JT,38,14),JS=1,5),JT=1,5) /
     &1.4968E+02,2.0359E+02,2.4104E+02,2.3202E+02,1.9703E+02,1.6113E+02,
     &2.0560E+02,2.4116E+02,2.3143E+02,2.0341E+02,1.7144E+02,2.0674E+02,
     &2.4033E+02,2.2988E+02,2.0838E+02,1.8063E+02,2.0724E+02,2.3866E+02,
     &2.2752E+02,2.1216E+02,1.8855E+02,2.0710E+02,2.3632E+02,2.2453E+02,
     &2.1493E+02/
      DATA ((KB(JS,JT,39,14),JS=1,5),JT=1,5) /
     &1.4764E+02,2.0322E+02,2.4106E+02,2.3220E+02,1.9604E+02,1.5932E+02,
     &2.0540E+02,2.4137E+02,2.3180E+02,2.0262E+02,1.6984E+02,2.0665E+02,
     &2.4065E+02,2.3036E+02,2.0781E+02,1.7923E+02,2.0725E+02,2.3910E+02,
     &2.2810E+02,2.1175E+02,1.8737E+02,2.0722E+02,2.3684E+02,2.2517E+02,
     &2.1467E+02/
      DATA ((KB(JS,JT,40,14),JS=1,5),JT=1,5) /
     &1.4438E+02,2.0254E+02,2.4092E+02,2.3225E+02,1.9425E+02,1.5633E+02,
     &2.0498E+02,2.4152E+02,2.3217E+02,2.0115E+02,1.6718E+02,2.0642E+02,
     &2.4105E+02,2.3096E+02,2.0672E+02,1.7690E+02,2.0720E+02,2.3969E+02,
     &2.2887E+02,2.1093E+02,1.8539E+02,2.0733E+02,2.3758E+02,2.2609E+02,
     &2.1411E+02/
      DATA ((KB(JS,JT,41,14),JS=1,5),JT=1,5) /
     &1.4093E+02,2.0170E+02,2.4062E+02,2.3214E+02,1.9226E+02,1.5309E+02,
     &2.0441E+02,2.4155E+02,2.3243E+02,1.9951E+02,1.6434E+02,2.0613E+02,
     &2.4136E+02,2.3149E+02,2.0545E+02,1.7439E+02,2.0709E+02,2.4022E+02,
     &2.2963E+02,2.1000E+02,1.8325E+02,2.0739E+02,2.3829E+02,2.2700E+02,
     &2.1344E+02/
      DATA ((KB(JS,JT,42,14),JS=1,5),JT=1,5) /
     &1.3742E+02,2.0072E+02,2.4018E+02,2.3188E+02,1.9017E+02,1.4987E+02,
     &2.0381E+02,2.4151E+02,2.3260E+02,1.9778E+02,1.6144E+02,2.0580E+02,
     &2.4159E+02,2.3194E+02,2.0408E+02,1.7182E+02,2.0693E+02,2.4068E+02,
     &2.3030E+02,2.0897E+02,1.8101E+02,2.0739E+02,2.3894E+02,2.2785E+02,
     &2.1269E+02/
      DATA ((KB(JS,JT,43,14),JS=1,5),JT=1,5) /
     &1.3316E+02,1.9946E+02,2.3952E+02,2.3134E+02,1.8746E+02,1.4590E+02,
     &2.0299E+02,2.4131E+02,2.3265E+02,1.9555E+02,1.5782E+02,2.0531E+02,
     &2.4176E+02,2.3237E+02,2.0228E+02,1.6860E+02,2.0666E+02,2.4113E+02,
     &2.3099E+02,2.0761E+02,1.7818E+02,2.0733E+02,2.3964E+02,2.2878E+02,
     &2.1166E+02/
      DATA ((KB(JS,JT,44,14),JS=1,5),JT=1,5) /
     &1.2851E+02,1.9793E+02,2.3860E+02,2.3051E+02,1.8440E+02,1.4156E+02,
     &2.0195E+02,2.4092E+02,2.3249E+02,1.9298E+02,1.5381E+02,2.0468E+02,
     &2.4182E+02,2.3268E+02,2.0015E+02,1.6494E+02,2.0625E+02,2.4148E+02,
     &2.3163E+02,2.0597E+02,1.7499E+02,2.0719E+02,2.4029E+02,2.2969E+02,
     &2.1043E+02/
      DATA ((KB(JS,JT,45,14),JS=1,5),JT=1,5) /
     &1.2377E+02,1.9622E+02,2.3745E+02,2.2938E+02,1.8114E+02,1.3713E+02,
     &2.0074E+02,2.4035E+02,2.3210E+02,1.9024E+02,1.4969E+02,2.0389E+02,
     &2.4171E+02,2.3283E+02,1.9787E+02,1.6122E+02,2.0580E+02,2.4172E+02,
     &2.3215E+02,2.0417E+02,1.7169E+02,2.0697E+02,2.4085E+02,2.3051E+02,
     &2.0907E+02/
      DATA ((KB(JS,JT,46,14),JS=1,5),JT=1,5) /
     &1.1871E+02,1.9418E+02,2.3600E+02,2.2790E+02,1.7747E+02,1.3231E+02,
     &1.9929E+02,2.3954E+02,2.3143E+02,1.8712E+02,1.4514E+02,2.0288E+02,
     &2.4138E+02,2.3280E+02,1.9526E+02,1.5711E+02,2.0523E+02,2.4187E+02,
     &2.3257E+02,2.0207E+02,1.6802E+02,2.0664E+02,2.4132E+02,2.3126E+02,
     &2.0749E+02/
      DATA ((KB(JS,JT,47,14),JS=1,5),JT=1,5) /
     &1.1295E+02,1.9159E+02,2.3398E+02,2.2588E+02,1.7313E+02,1.2683E+02,
     &1.9741E+02,2.3835E+02,2.3031E+02,1.8342E+02,1.3999E+02,2.0159E+02,
     &2.4085E+02,2.3253E+02,1.9217E+02,1.5234E+02,2.0442E+02,2.4186E+02,
     &2.3286E+02,1.9949E+02,1.6373E+02,2.0618E+02,2.4169E+02,2.3194E+02,
     &2.0549E+02/
      DATA ((KB(JS,JT,48,14),JS=1,5),JT=1,5) /
     &1.0712E+02,1.8871E+02,2.3159E+02,2.2347E+02,1.6850E+02,1.2124E+02,
     &1.9529E+02,2.3687E+02,2.2882E+02,1.7946E+02,1.3473E+02,2.0007E+02,
     &2.4005E+02,2.3191E+02,1.8883E+02,1.4742E+02,2.0342E+02,2.4164E+02,
     &2.3294E+02,1.9670E+02,1.5928E+02,2.0562E+02,2.4192E+02,2.3247E+02,
     &2.0325E+02/
      DATA ((KB(JS,JT,49,14),JS=1,5),JT=1,5) /
     &1.0120E+02,1.8550E+02,2.2880E+02,2.2071E+02,1.6363E+02,1.1556E+02,
     &1.9285E+02,2.3504E+02,2.2697E+02,1.7524E+02,1.2932E+02,1.9832E+02,
     &2.3901E+02,2.3097E+02,1.8524E+02,1.4238E+02,2.0226E+02,2.4120E+02,
     &2.3278E+02,1.9370E+02,1.5460E+02,2.0488E+02,2.4199E+02,2.3283E+02,
     &2.0078E+02/
      DATA ((KB(JS,JT,50,14),JS=1,5),JT=1,5) /
     &9.5603E+01,1.8216E+02,2.2576E+02,2.1768E+02,1.5878E+02,1.1015E+02,
     &1.9031E+02,2.3298E+02,2.2490E+02,1.7105E+02,1.2415E+02,1.9646E+02,
     &2.3775E+02,2.2975E+02,1.8166E+02,1.3752E+02,2.0094E+02,2.4058E+02,
     &2.3236E+02,1.9069E+02,1.5007E+02,2.0403E+02,2.4187E+02,2.3299E+02,
     &1.9826E+02/
      DATA ((KB(JS,JT,51,14),JS=1,5),JT=1,5) /
     &9.0137E+01,1.7868E+02,2.2240E+02,2.1442E+02,1.5384E+02,1.0484E+02,
     &1.8757E+02,2.3066E+02,2.2258E+02,1.6677E+02,1.1907E+02,1.9442E+02,
     &2.3628E+02,2.2824E+02,1.7796E+02,1.3269E+02,1.9948E+02,2.3976E+02,
     &2.3167E+02,1.8756E+02,1.4552E+02,2.0302E+02,2.4154E+02,2.3296E+02,
     &1.9565E+02/
      DATA ((KB(JS,JT,52,14),JS=1,5),JT=1,5) /
     &8.4690E+01,1.7496E+02,2.1864E+02,2.1080E+02,1.4862E+02,9.9471E+01,
     &1.8453E+02,2.2798E+02,2.1992E+02,1.6225E+02,1.1391E+02,1.9213E+02,
     &2.3451E+02,2.2644E+02,1.7406E+02,1.2777E+02,1.9781E+02,2.3872E+02,
     &2.3070E+02,1.8424E+02,1.4091E+02,2.0189E+02,2.4107E+02,2.3273E+02,
     &1.9286E+02/
      DATA ((KB(JS,JT,53,14),JS=1,5),JT=1,5) /
     &7.9262E+01,1.7095E+02,2.1436E+02,2.0681E+02,1.4317E+02,9.4047E+01,
     &1.8126E+02,2.2494E+02,2.1690E+02,1.5748E+02,1.0865E+02,1.8958E+02,
     &2.3241E+02,2.2434E+02,1.6994E+02,1.2274E+02,1.9595E+02,2.3742E+02,
     &2.2941E+02,1.8070E+02,1.3618E+02,2.0056E+02,2.4040E+02,2.3224E+02,
     &1.8988E+02/
      DATA ((KB(JS,JT,54,14),JS=1,5),JT=1,5) /
     &7.4312E+01,1.6701E+02,2.1000E+02,2.0283E+02,1.3801E+02,8.9059E+01,
     &1.7802E+02,2.2177E+02,2.1381E+02,1.5289E+02,1.0379E+02,1.8701E+02,
     &2.3021E+02,2.2214E+02,1.6595E+02,1.1808E+02,1.9403E+02,2.3602E+02,
     &2.2797E+02,1.7728E+02,1.3174E+02,1.9918E+02,2.3961E+02,2.3155E+02,
     &1.8697E+02/
      DATA ((KB(JS,JT,55,14),JS=1,5),JT=1,5) /
     &6.9615E+01,1.6296E+02,2.0540E+02,1.9866E+02,1.3288E+02,8.4276E+01,
     &1.7466E+02,2.1835E+02,2.1056E+02,1.4828E+02,9.9066E+01,1.8433E+02,
     &2.2782E+02,2.1977E+02,1.6197E+02,1.1354E+02,1.9199E+02,2.3442E+02,
     &2.2636E+02,1.7383E+02,1.2741E+02,1.9770E+02,2.3866E+02,2.3065E+02,
     &1.8403E+02/
      DATA ((KB(JS,JT,56,14),JS=1,5),JT=1,5) /
     &6.4944E+01,1.5877E+02,2.0044E+02,1.9421E+02,1.2762E+02,7.9524E+01,
     &1.7114E+02,2.1461E+02,2.0707E+02,1.4351E+02,9.4323E+01,1.8144E+02,
     &2.2514E+02,2.1711E+02,1.5778E+02,1.0894E+02,1.8976E+02,2.3257E+02,
     &2.2452E+02,1.7022E+02,1.2301E+02,1.9605E+02,2.3752E+02,2.2954E+02,
     &1.8094E+02/
      DATA ((KB(JS,JT,57,14),JS=1,5),JT=1,5) /
     &6.0353E+01,1.5431E+02,1.9514E+02,1.8945E+02,1.2225E+02,7.4815E+01,
     &1.6742E+02,2.1049E+02,2.0329E+02,1.3860E+02,8.9567E+01,1.7837E+02,
     &2.2214E+02,2.1419E+02,1.5343E+02,1.0431E+02,1.8733E+02,2.3050E+02,
     &2.2244E+02,1.6644E+02,1.1856E+02,1.9423E+02,2.3618E+02,2.2816E+02,
     &1.7767E+02/
      DATA ((KB(JS,JT,58,14),JS=1,5),JT=1,5) /
     &5.6098E+01,1.4991E+02,1.8980E+02,1.8465E+02,1.1706E+02,7.0377E+01,
     &1.6367E+02,2.0622E+02,1.9942E+02,1.3378E+02,8.5049E+01,1.7528E+02,
     &2.1902E+02,2.1119E+02,1.4910E+02,9.9857E+01,1.8482E+02,2.2827E+02,
     &2.2022E+02,1.6268E+02,1.1428E+02,1.9233E+02,2.3470E+02,2.2666E+02,
     &1.7444E+02/
      DATA ((KB(JS,JT,59,14),JS=1,5),JT=1,5) /
     &5.4418E+01,1.4809E+02,1.8754E+02,1.8261E+02,1.1495E+02,6.8598E+01,
     &1.6210E+02,2.0441E+02,1.9778E+02,1.3180E+02,8.3246E+01,1.7398E+02,
     &2.1768E+02,2.0993E+02,1.4733E+02,9.8055E+01,1.8375E+02,2.2732E+02,
     &2.1927E+02,1.6113E+02,1.1255E+02,1.9153E+02,2.3406E+02,2.2601E+02,
     &1.7310E+02/
      DATA ((KB(JS,JT,13,15),JS=1,5),JT=1,5) /
     &4.0932E+02,3.0758E+02,2.6133E+02,3.2395E+02,4.3211E+02,4.1123E+02,
     &3.0908E+02,2.5921E+02,3.1805E+02,4.2431E+02,4.1219E+02,3.0983E+02,
     &2.5685E+02,3.1214E+02,4.1639E+02,4.1228E+02,3.0991E+02,2.5419E+02,
     &3.0614E+02,4.0836E+02,4.1130E+02,3.0917E+02,2.5126E+02,3.0055E+02,
     &4.0088E+02/
      DATA ((KB(JS,JT,14,15),JS=1,5),JT=1,5) /
     &4.6527E+02,3.4966E+02,2.9823E+02,3.5533E+02,4.7402E+02,4.6656E+02,
     &3.5065E+02,2.9540E+02,3.4864E+02,4.6510E+02,4.6685E+02,3.5090E+02,
     &2.9209E+02,3.4189E+02,4.5610E+02,4.6575E+02,3.5012E+02,2.8845E+02,
     &3.3526E+02,4.4716E+02,4.6388E+02,3.4873E+02,2.8457E+02,3.2965E+02,
     &4.3950E+02/
      DATA ((KB(JS,JT,15,15),JS=1,5),JT=1,5) /
     &5.2376E+02,3.9388E+02,3.3756E+02,3.8636E+02,5.1543E+02,5.2445E+02,
     &3.9416E+02,3.3368E+02,3.7892E+02,5.0548E+02,5.2345E+02,3.9343E+02,
     &3.2922E+02,3.7141E+02,4.9535E+02,5.2134E+02,3.9188E+02,3.2434E+02,
     &3.6468E+02,4.8621E+02,5.1791E+02,3.8933E+02,3.1931E+02,3.5855E+02,
     &4.7766E+02/
      DATA ((KB(JS,JT,16,15),JS=1,5),JT=1,5) /
     &5.8401E+02,4.3962E+02,3.7845E+02,4.1772E+02,5.5681E+02,5.8308E+02,
     &4.3844E+02,3.7324E+02,4.0927E+02,5.4538E+02,5.8094E+02,4.3662E+02,
     &3.6730E+02,4.0107E+02,5.3429E+02,5.7721E+02,4.3385E+02,3.6102E+02,
     &3.9367E+02,5.2421E+02,5.7218E+02,4.3010E+02,3.5444E+02,3.8654E+02,
     &5.1433E+02/
      DATA ((KB(JS,JT,17,15),JS=1,5),JT=1,5) /
     &6.4407E+02,4.8569E+02,4.1994E+02,4.4912E+02,5.9692E+02,6.4180E+02,
     &4.8304E+02,4.1300E+02,4.3957E+02,5.8409E+02,6.3774E+02,4.7951E+02,
     &4.0543E+02,4.3048E+02,5.7188E+02,6.3221E+02,4.7511E+02,3.9752E+02,
     &4.2195E+02,5.6041E+02,6.2531E+02,4.6997E+02,3.8917E+02,4.1353E+02,
     &5.4901E+02/
      DATA ((KB(JS,JT,18,15),JS=1,5),JT=1,5) /
     &7.0302E+02,5.3125E+02,4.6110E+02,4.8015E+02,6.3499E+02,6.9876E+02,
     &5.2681E+02,4.5218E+02,4.6935E+02,6.2082E+02,6.9273E+02,5.2130E+02,
     &4.4272E+02,4.5897E+02,6.0731E+02,6.8529E+02,5.1514E+02,4.3287E+02,
     &4.4907E+02,5.9416E+02,6.7604E+02,5.0804E+02,4.2255E+02,4.3929E+02,
     &5.8117E+02/
      DATA ((KB(JS,JT,19,15),JS=1,5),JT=1,5) /
     &7.5927E+02,5.7536E+02,5.0097E+02,5.1007E+02,6.7027E+02,7.5290E+02,
     &5.6864E+02,4.8996E+02,4.9791E+02,6.5476E+02,7.4466E+02,5.6117E+02,
     &4.7832E+02,4.8599E+02,6.3995E+02,7.3483E+02,5.5286E+02,4.6627E+02,
     &4.7459E+02,6.2519E+02,7.2353E+02,5.4375E+02,4.5395E+02,4.6331E+02,
     &6.1054E+02/
      DATA ((KB(JS,JT,20,15),JS=1,5),JT=1,5) /
     &8.1171E+02,6.1670E+02,5.3858E+02,5.3802E+02,7.0226E+02,8.0307E+02,
     &6.0788E+02,5.2517E+02,5.2417E+02,6.8550E+02,7.9257E+02,5.9823E+02,
     &5.1114E+02,5.1080E+02,6.6917E+02,7.8036E+02,5.8759E+02,4.9687E+02,
     &4.9775E+02,6.5285E+02,7.6671E+02,5.7649E+02,4.8237E+02,4.8486E+02,
     &6.3647E+02/
      DATA ((KB(JS,JT,21,15),JS=1,5),JT=1,5) /
     &8.5929E+02,6.5464E+02,5.7309E+02,5.6354E+02,7.3074E+02,8.4853E+02,
     &6.4350E+02,5.5721E+02,5.4790E+02,7.1267E+02,8.3578E+02,6.3172E+02,
     &5.4090E+02,5.3299E+02,6.9483E+02,8.2132E+02,6.1900E+02,5.2438E+02,
     &5.1831E+02,6.7689E+02,8.0511E+02,6.0568E+02,5.0774E+02,5.0398E+02,
     &6.5894E+02/
      DATA ((KB(JS,JT,22,15),JS=1,5),JT=1,5) /
     &9.0088E+02,6.8794E+02,6.0297E+02,5.8517E+02,7.5429E+02,8.8795E+02,
     &6.7453E+02,5.8458E+02,5.6794E+02,7.3512E+02,8.7296E+02,6.6047E+02,
     &5.6607E+02,5.5151E+02,7.1573E+02,8.5602E+02,6.4569E+02,5.4736E+02,
     &5.3534E+02,6.9633E+02,8.3763E+02,6.3042E+02,5.2879E+02,5.1959E+02,
     &6.7694E+02/
      DATA ((KB(JS,JT,23,15),JS=1,5),JT=1,5) /
     &9.3708E+02,7.1670E+02,6.2868E+02,6.0370E+02,7.7407E+02,9.2204E+02,
     &7.0111E+02,6.0797E+02,5.8479E+02,7.5367E+02,9.0485E+02,6.8501E+02,
     &5.8723E+02,5.6696E+02,7.3284E+02,8.8551E+02,6.6835E+02,5.6656E+02,
     &5.4939E+02,7.1207E+02,8.6499E+02,6.5129E+02,5.4624E+02,5.3240E+02,
     &6.9156E+02/
      DATA ((KB(JS,JT,24,15),JS=1,5),JT=1,5) /
     &9.6776E+02,7.4092E+02,6.4997E+02,6.1898E+02,7.9010E+02,9.5072E+02,
     &7.2338E+02,6.2717E+02,5.9867E+02,7.6855E+02,9.3122E+02,7.0539E+02,
     &6.0446E+02,5.7944E+02,7.4652E+02,9.0993E+02,6.8704E+02,5.8213E+02,
     &5.6067E+02,7.2451E+02,8.8757E+02,6.6845E+02,5.6030E+02,5.4254E+02,
     &7.0312E+02/
      DATA ((KB(JS,JT,25,15),JS=1,5),JT=1,5) /
     &9.9329E+02,7.6073E+02,6.6706E+02,6.3101E+02,8.0276E+02,9.7397E+02,
     &7.4138E+02,6.4231E+02,6.0949E+02,7.8003E+02,9.5257E+02,7.2186E+02,
     &6.1798E+02,5.8904E+02,7.5681E+02,9.2942E+02,7.0193E+02,5.9417E+02,
     &5.6923E+02,7.3392E+02,9.0532E+02,6.8191E+02,5.7100E+02,5.5015E+02,
     &7.1169E+02/
      DATA ((KB(JS,JT,26,15),JS=1,5),JT=1,5) /
     &1.0136E+03,7.7623E+02,6.7983E+02,6.3982E+02,8.1189E+02,9.9212E+02,
     &7.5536E+02,6.5345E+02,6.1726E+02,7.8804E+02,9.6906E+02,7.3441E+02,
     &6.2784E+02,5.9585E+02,7.6400E+02,9.4442E+02,7.1314E+02,6.0278E+02,
     &5.7514E+02,7.4031E+02,9.1870E+02,6.9199E+02,5.7850E+02,5.5532E+02,
     &7.1748E+02/
      DATA ((KB(JS,JT,27,15),JS=1,5),JT=1,5) /
     &1.0295E+03,7.8816E+02,6.8910E+02,6.4601E+02,8.1822E+02,1.0061E+03,
     &7.6604E+02,6.6144E+02,6.2260E+02,7.9343E+02,9.8153E+02,7.4373E+02,
     &6.3470E+02,6.0041E+02,7.6875E+02,9.5548E+02,7.2130E+02,6.0866E+02,
     &5.7907E+02,7.4456E+02,9.2838E+02,6.9916E+02,5.8347E+02,5.5864E+02,
     &7.2113E+02/
      DATA ((KB(JS,JT,28,15),JS=1,5),JT=1,5) /
     &1.0413E+03,7.9681E+02,6.9534E+02,6.4995E+02,8.2220E+02,1.0164E+03,
     &7.7357E+02,6.6667E+02,6.2595E+02,7.9680E+02,9.9062E+02,7.5026E+02,
     &6.3903E+02,6.0314E+02,7.7147E+02,9.6323E+02,7.2694E+02,6.1220E+02,
     &5.8130E+02,7.4687E+02,9.3489E+02,7.0393E+02,5.8636E+02,5.6041E+02,
     &7.2308E+02/
      DATA ((KB(JS,JT,29,15),JS=1,5),JT=1,5) /
     &1.0495E+03,8.0260E+02,6.9878E+02,6.5184E+02,8.2409E+02,1.0235E+03,
     &7.7841E+02,6.6934E+02,6.2739E+02,7.9811E+02,9.9642E+02,7.5425E+02,
     &6.4103E+02,6.0412E+02,7.7230E+02,9.6796E+02,7.3025E+02,6.1357E+02,
     &5.8189E+02,7.4741E+02,9.3857E+02,7.0654E+02,5.8732E+02,5.6077E+02,
     &7.2335E+02/
      DATA ((KB(JS,JT,30,15),JS=1,5),JT=1,5) /
     &1.0549E+03,8.0614E+02,7.0001E+02,6.5202E+02,8.2418E+02,1.0278E+03,
     &7.8108E+02,6.7004E+02,6.2730E+02,7.9771E+02,9.9966E+02,7.5628E+02,
     &6.4121E+02,6.0374E+02,7.7172E+02,9.7021E+02,7.3170E+02,6.1335E+02,
     &5.8130E+02,7.4664E+02,9.4007E+02,7.0743E+02,5.8676E+02,5.5999E+02,
     &7.2234E+02/
      DATA ((KB(JS,JT,31,15),JS=1,5),JT=1,5) /
     &1.0577E+03,8.0741E+02,6.9925E+02,6.5081E+02,8.2281E+02,1.0297E+03,
     &7.8182E+02,6.6894E+02,6.2588E+02,7.9605E+02,1.0005E+03,7.5649E+02,
     &6.3976E+02,6.0219E+02,7.6987E+02,9.7028E+02,7.3149E+02,6.1167E+02,
     &5.7962E+02,7.4468E+02,9.3951E+02,7.0673E+02,5.8494E+02,5.5830E+02,
     &7.2033E+02/
      DATA ((KB(JS,JT,32,15),JS=1,5),JT=1,5) /
     &1.0585E+03,8.0706E+02,6.9697E+02,6.4853E+02,8.2034E+02,1.0295E+03,
     &7.8094E+02,6.6639E+02,6.2348E+02,7.9329E+02,9.9955E+02,7.5528E+02,
     &6.3700E+02,5.9969E+02,7.6700E+02,9.6864E+02,7.2996E+02,6.0885E+02,
     &5.7712E+02,7.4178E+02,9.3737E+02,7.0488E+02,5.8204E+02,5.5579E+02,
     &7.1738E+02/
      DATA ((KB(JS,JT,33,15),JS=1,5),JT=1,5) /
     &1.0575E+03,8.0530E+02,6.9345E+02,6.4529E+02,8.1678E+02,1.0278E+03,
     &7.7890E+02,6.6278E+02,6.2027E+02,7.8965E+02,9.9704E+02,7.5290E+02,
     &6.3324E+02,5.9645E+02,7.6337E+02,9.6555E+02,7.2726E+02,6.0509E+02,
     &5.7394E+02,7.3813E+02,9.3393E+02,7.0207E+02,5.7839E+02,5.5267E+02,
     &7.1377E+02/
      DATA ((KB(JS,JT,34,15),JS=1,5),JT=1,5) /
     &1.0561E+03,8.0340E+02,6.9012E+02,6.4228E+02,8.1344E+02,1.0257E+03,
     &7.7677E+02,6.5936E+02,6.1726E+02,7.8628E+02,9.9442E+02,7.5053E+02,
     &6.2978E+02,5.9351E+02,7.6009E+02,9.6258E+02,7.2472E+02,6.0168E+02,
     &5.7104E+02,7.3478E+02,9.3053E+02,6.9938E+02,5.7499E+02,5.4984E+02,
     &7.1051E+02/
      DATA ((KB(JS,JT,35,15),JS=1,5),JT=1,5) /
     &1.0564E+03,8.0326E+02,6.8907E+02,6.4121E+02,8.1221E+02,1.0257E+03,
     &7.7646E+02,6.5819E+02,6.1612E+02,7.8498E+02,9.9396E+02,7.4998E+02,
     &6.2850E+02,5.9231E+02,7.5874E+02,9.6182E+02,7.2398E+02,6.0037E+02,
     &5.6987E+02,7.3339E+02,9.2945E+02,6.9852E+02,5.7362E+02,5.4864E+02,
     &7.0910E+02/
      DATA ((KB(JS,JT,36,15),JS=1,5),JT=1,5) /
     &1.0593E+03,8.0545E+02,6.9086E+02,6.4252E+02,8.1357E+02,1.0283E+03,
     &7.7842E+02,6.5978E+02,6.1726E+02,7.8619E+02,9.9627E+02,7.5174E+02,
     &6.2993E+02,5.9335E+02,7.5988E+02,9.6386E+02,7.2553E+02,6.0161E+02,
     &5.7080E+02,7.3443E+02,9.3134E+02,6.9996E+02,5.7477E+02,5.4947E+02,
     &7.1003E+02/
      DATA ((KB(JS,JT,37,15),JS=1,5),JT=1,5) /
     &1.0662E+03,8.1134E+02,6.9713E+02,6.4751E+02,8.1885E+02,1.0351E+03,
     &7.8402E+02,6.6565E+02,6.2189E+02,7.9122E+02,1.0030E+03,7.5714E+02,
     &6.3542E+02,5.9764E+02,7.6460E+02,9.7042E+02,7.3071E+02,6.0674E+02,
     &5.7477E+02,7.3895E+02,9.3771E+02,7.0485E+02,5.7959E+02,5.5322E+02,
     &7.1431E+02/
      DATA ((KB(JS,JT,38,15),JS=1,5),JT=1,5) /
     &1.0729E+03,8.1713E+02,7.0342E+02,6.5252E+02,8.2415E+02,1.0416E+03,
     &7.8952E+02,6.7152E+02,6.2655E+02,7.9626E+02,1.0096E+03,7.6249E+02,
     &6.4098E+02,6.0198E+02,7.6937E+02,9.7695E+02,7.3588E+02,6.1197E+02,
     &5.7883E+02,7.4352E+02,9.4411E+02,7.0978E+02,5.8447E+02,5.5704E+02,
     &7.1866E+02/
      DATA ((KB(JS,JT,39,15),JS=1,5),JT=1,5) /
     &1.0791E+03,8.2257E+02,7.0938E+02,6.5729E+02,8.2913E+02,1.0479E+03,
     &7.9481E+02,6.7717E+02,6.3099E+02,8.0105E+02,1.0158E+03,7.6754E+02,
     &6.4630E+02,6.0614E+02,7.7394E+02,9.8307E+02,7.4076E+02,6.1694E+02,
     &5.8271E+02,7.4789E+02,9.5013E+02,7.1446E+02,5.8917E+02,5.6072E+02,
     &7.2285E+02/
      DATA ((KB(JS,JT,40,15),JS=1,5),JT=1,5) /
     &1.0882E+03,8.3071E+02,7.1862E+02,6.6478E+02,8.3689E+02,1.0571E+03,
     &8.0265E+02,6.8589E+02,6.3804E+02,8.0862E+02,1.0251E+03,7.7527E+02,
     &6.5462E+02,6.1278E+02,7.8119E+02,9.9232E+02,7.4818E+02,6.2475E+02,
     &5.8893E+02,7.5487E+02,9.5932E+02,7.2168E+02,5.9655E+02,5.6653E+02,
     &7.2946E+02/
      DATA ((KB(JS,JT,41,15),JS=1,5),JT=1,5) /
     &1.0971E+03,8.3901E+02,7.2823E+02,6.7265E+02,8.4493E+02,1.0663E+03,
     &8.1071E+02,6.9500E+02,6.4543E+02,8.1648E+02,1.0345E+03,7.8315E+02,
     &6.6331E+02,6.1971E+02,7.8878E+02,1.0019E+03,7.5590E+02,6.3295E+02,
     &5.9541E+02,7.6210E+02,9.6878E+02,7.2921E+02,6.0428E+02,5.7260E+02,
     &7.3637E+02/
      DATA ((KB(JS,JT,42,15),JS=1,5),JT=1,5) /
     &1.1058E+03,8.4736E+02,7.3795E+02,6.8059E+02,8.5278E+02,1.0754E+03,
     &8.1879E+02,7.0412E+02,6.5281E+02,8.2432E+02,1.0438E+03,7.9093E+02,
     &6.7198E+02,6.2664E+02,7.9629E+02,1.0112E+03,7.6353E+02,6.4116E+02,
     &6.0189E+02,7.6925E+02,9.7804E+02,7.3660E+02,6.1202E+02,5.7870E+02,
     &7.4332E+02/
      DATA ((KB(JS,JT,43,15),JS=1,5),JT=1,5) /
     &1.1158E+03,8.5717E+02,7.4955E+02,6.9024E+02,8.6217E+02,1.0861E+03,
     &8.2836E+02,7.1518E+02,6.6177E+02,8.3370E+02,1.0546E+03,8.0021E+02,
     &6.8243E+02,6.3507E+02,8.0541E+02,1.0222E+03,7.7261E+02,6.5115E+02,
     &6.0984E+02,7.7795E+02,9.8916E+02,7.4551E+02,6.2143E+02,5.8614E+02,
     &7.5171E+02/
      DATA ((KB(JS,JT,44,15),JS=1,5),JT=1,5) /
     &1.1264E+03,8.6786E+02,7.6217E+02,7.0088E+02,8.7207E+02,1.0970E+03,
     &8.3855E+02,7.2711E+02,6.7158E+02,8.4381E+02,1.0660E+03,8.1015E+02,
     &6.9375E+02,6.4429E+02,8.1530E+02,1.0339E+03,7.8245E+02,6.6207E+02,
     &6.1859E+02,7.8750E+02,1.0010E+03,7.5506E+02,6.3169E+02,5.9432E+02,
     &7.6086E+02/
      DATA ((KB(JS,JT,45,15),JS=1,5),JT=1,5) /
     &1.1364E+03,8.7855E+02,7.7494E+02,7.1181E+02,8.8191E+02,1.1078E+03,
     &8.4885E+02,7.3921E+02,6.8154E+02,8.5373E+02,1.0773E+03,8.2021E+02,
     &7.0525E+02,6.5361E+02,8.2516E+02,1.0454E+03,7.9218E+02,6.7305E+02,
     &6.2740E+02,7.9708E+02,1.0127E+03,7.6466E+02,6.4208E+02,6.0256E+02,
     &7.6997E+02/
      DATA ((KB(JS,JT,46,15),JS=1,5),JT=1,5) /
     &1.1465E+03,8.8995E+02,7.8864E+02,7.2357E+02,8.9218E+02,1.1189E+03,
     &8.5981E+02,7.5227E+02,6.9242E+02,8.6430E+02,1.0889E+03,8.3077E+02,
     &7.1764E+02,6.6370E+02,8.3569E+02,1.0574E+03,8.0253E+02,6.8479E+02,
     &6.3689E+02,8.0730E+02,1.0249E+03,7.7483E+02,6.5332E+02,6.1153E+02,
     &7.7982E+02/
      DATA ((KB(JS,JT,47,15),JS=1,5),JT=1,5) /
     &1.1573E+03,9.0286E+02,8.0421E+02,7.3669E+02,9.0313E+02,1.1308E+03,
     &8.7219E+02,7.6703E+02,7.0495E+02,8.7583E+02,1.1017E+03,8.4272E+02,
     &7.3168E+02,6.7524E+02,8.4747E+02,1.0706E+03,8.1413E+02,6.9808E+02,
     &6.4772E+02,8.1886E+02,1.0385E+03,7.8623E+02,6.6606E+02,6.2176E+02,
     &7.9095E+02/
      DATA ((KB(JS,JT,48,15),JS=1,5),JT=1,5) /
     &1.1675E+03,9.1580E+02,8.1991E+02,7.4998E+02,9.1375E+02,1.1421E+03,
     &8.8462E+02,7.8203E+02,7.1783E+02,8.8726E+02,1.1139E+03,8.5471E+02,
     &7.4597E+02,6.8710E+02,8.5917E+02,1.0836E+03,8.2582E+02,7.1165E+02,
     &6.5875E+02,8.3052E+02,1.0518E+03,7.9762E+02,6.7897E+02,6.3216E+02,
     &8.0224E+02/
      DATA ((KB(JS,JT,49,15),JS=1,5),JT=1,5) /
     &1.1770E+03,9.2887E+02,8.3589E+02,7.6347E+02,9.2401E+02,1.1531E+03,
     &8.9735E+02,7.9736E+02,7.3085E+02,8.9839E+02,1.1259E+03,8.6690E+02,
     &7.6049E+02,6.9928E+02,8.7069E+02,1.0963E+03,8.3754E+02,7.2543E+02,
     &6.7003E+02,8.4223E+02,1.0650E+03,8.0903E+02,6.9202E+02,6.4278E+02,
     &8.1363E+02/
      DATA ((KB(JS,JT,50,15),JS=1,5),JT=1,5) /
     &1.1850E+03,9.4106E+02,8.5114E+02,7.7623E+02,9.3320E+02,1.1628E+03,
     &9.0935E+02,8.1191E+02,7.4315E+02,9.0846E+02,1.1368E+03,8.7848E+02,
     &7.7441E+02,7.1118E+02,8.8145E+02,1.1080E+03,8.4872E+02,7.3862E+02,
     &6.8089E+02,8.5311E+02,1.0771E+03,8.1987E+02,7.0453E+02,6.5297E+02,
     &8.2446E+02/
      DATA ((KB(JS,JT,51,15),JS=1,5),JT=1,5) /
     &1.1923E+03,9.5283E+02,8.6626E+02,7.8865E+02,9.4170E+02,1.1717E+03,
     &9.2110E+02,8.2616E+02,7.5525E+02,9.1794E+02,1.1468E+03,8.8978E+02,
     &7.8804E+02,7.2292E+02,8.9168E+02,1.1189E+03,8.5951E+02,7.5159E+02,
     &6.9174E+02,8.6368E+02,1.0888E+03,8.3043E+02,7.1698E+02,6.6309E+02,
     &8.3504E+02/
      DATA ((KB(JS,JT,52,15),JS=1,5),JT=1,5) /
     &1.1987E+03,9.6448E+02,8.8155E+02,8.0101E+02,9.4976E+02,1.1799E+03,
     &9.3288E+02,8.4067E+02,7.6742E+02,9.2694E+02,1.1564E+03,9.0125E+02,
     &8.0189E+02,7.3467E+02,9.0155E+02,1.1296E+03,8.7065E+02,7.6482E+02,
     &7.0289E+02,8.7401E+02,1.1001E+03,8.4107E+02,7.2948E+02,6.7337E+02,
     &8.4559E+02/
      DATA ((KB(JS,JT,53,15),JS=1,5),JT=1,5) /
     &1.2042E+03,9.7597E+02,8.9729E+02,8.1334E+02,9.5716E+02,1.1876E+03,
     &9.4467E+02,8.5557E+02,7.7990E+02,9.3591E+02,1.1657E+03,9.1285E+02,
     &8.1605E+02,7.4663E+02,9.1125E+02,1.1399E+03,8.8179E+02,7.7830E+02,
     &7.1447E+02,8.8437E+02,1.1113E+03,8.5189E+02,7.4233E+02,6.8396E+02,
     &8.5611E+02/
      DATA ((KB(JS,JT,54,15),JS=1,5),JT=1,5) /
     &1.2085E+03,9.8643E+02,9.1208E+02,8.2462E+02,9.6332E+02,1.1940E+03,
     &9.5533E+02,8.6934E+02,7.9114E+02,9.4342E+02,1.1737E+03,9.2362E+02,
     &8.2909E+02,7.5767E+02,9.1977E+02,1.1490E+03,8.9214E+02,7.9079E+02,
     &7.2522E+02,8.9369E+02,1.1212E+03,8.6180E+02,7.5420E+02,6.9390E+02,
     &8.6571E+02/
      DATA ((KB(JS,JT,55,15),JS=1,5),JT=1,5) /
     &1.2111E+03,9.9597E+02,9.2635E+02,8.3534E+02,9.6856E+02,1.1993E+03,
     &9.6550E+02,8.8281E+02,8.0196E+02,9.5029E+02,1.1808E+03,9.3390E+02,
     &8.4185E+02,7.6841E+02,9.2774E+02,1.1574E+03,9.0226E+02,8.0305E+02,
     &7.3557E+02,9.0236E+02,1.1305E+03,8.7151E+02,7.6581E+02,7.0377E+02,
     &8.7482E+02/
      DATA ((KB(JS,JT,56,15),JS=1,5),JT=1,5) /
     &1.2133E+03,1.0055E+03,9.4091E+02,8.4599E+02,9.7308E+02,1.2041E+03,
     &9.7555E+02,8.9660E+02,8.1280E+02,9.5684E+02,1.1875E+03,9.4422E+02,
     &8.5482E+02,7.7921E+02,9.3538E+02,1.1654E+03,9.1235E+02,8.1536E+02,
     &7.4599E+02,9.1077E+02,1.1395E+03,8.8125E+02,7.7756E+02,7.1383E+02,
     &8.8381E+02/
      DATA ((KB(JS,JT,57,15),JS=1,5),JT=1,5) /
     &1.2144E+03,1.0149E+03,9.5530E+02,8.5635E+02,9.7654E+02,1.2082E+03,
     &9.8553E+02,9.1069E+02,8.2360E+02,9.6286E+02,1.1936E+03,9.5436E+02,
     &8.6797E+02,7.8997E+02,9.4263E+02,1.1730E+03,9.2261E+02,8.2779E+02,
     &7.5653E+02,9.1896E+02,1.1481E+03,8.9107E+02,7.8949E+02,7.2412E+02,
     &8.9274E+02/
      DATA ((KB(JS,JT,58,15),JS=1,5),JT=1,5) /
     &1.2146E+03,1.0236E+03,9.6889E+02,8.6606E+02,9.7897E+02,1.2111E+03,
     &9.9468E+02,9.2419E+02,8.3372E+02,9.6790E+02,1.1988E+03,9.6400E+02,
     &8.8060E+02,8.0022E+02,9.4932E+02,1.1798E+03,9.3230E+02,8.3979E+02,
     &7.6663E+02,9.2647E+02,1.1561E+03,9.0059E+02,8.0102E+02,7.3388E+02,
     &9.0094E+02/
      DATA ((KB(JS,JT,59,15),JS=1,5),JT=1,5) /
     &1.2143E+03,1.0270E+03,9.7431E+02,8.6988E+02,9.7963E+02,1.2120E+03,
     &9.9826E+02,9.2964E+02,8.3774E+02,9.6974E+02,1.2008E+03,9.6785E+02,
     &8.8575E+02,8.0426E+02,9.5182E+02,1.1824E+03,9.3625E+02,8.4468E+02,
     &7.7075E+02,9.2946E+02,1.1592E+03,9.0444E+02,8.0567E+02,7.3781E+02,
     &9.0417E+02/
      DATA ((KB(JS,JT,13,16),JS=1,5),JT=1,5) /
     &6.0786E+02,4.5592E+02,3.8499E+02,5.7704E+02,7.7025E+02,6.1089E+02,
     &4.5819E+02,3.7289E+02,5.5854E+02,7.4550E+02,6.1169E+02,4.5879E+02,
     &3.6189E+02,5.4102E+02,7.2223E+02,6.1079E+02,4.5811E+02,3.5169E+02,
     &5.2404E+02,6.9950E+02,6.0850E+02,4.5639E+02,3.4199E+02,5.0729E+02,
     &6.7716E+02/
      DATA ((KB(JS,JT,14,16),JS=1,5),JT=1,5) /
     &7.1905E+02,5.3931E+02,4.4704E+02,6.6948E+02,8.9363E+02,7.1950E+02,
     &5.3965E+02,4.3274E+02,6.4598E+02,8.6230E+02,7.1818E+02,5.3865E+02,
     &4.1969E+02,6.2353E+02,8.3220E+02,7.1532E+02,5.3651E+02,4.0717E+02,
     &6.0193E+02,8.0343E+02,7.1008E+02,5.3258E+02,3.9527E+02,5.8080E+02,
     &7.7521E+02/
      DATA ((KB(JS,JT,15,16),JS=1,5),JT=1,5) /
     &8.4339E+02,6.3256E+02,5.1534E+02,7.6897E+02,1.0264E+03,8.4056E+02,
     &6.3042E+02,4.9783E+02,7.3927E+02,9.8670E+02,8.3549E+02,6.2663E+02,
     &4.8183E+02,7.1056E+02,9.4836E+02,8.2865E+02,6.2150E+02,4.6649E+02,
     &6.8266E+02,9.1115E+02,8.1975E+02,6.1483E+02,4.5195E+02,6.5670E+02,
     &8.7636E+02/
      DATA ((KB(JS,JT,16,16),JS=1,5),JT=1,5) /
     &9.7910E+02,7.3434E+02,5.8857E+02,8.7272E+02,1.1648E+03,9.7153E+02,
     &7.2866E+02,5.6721E+02,8.3540E+02,1.1150E+03,9.6129E+02,7.2098E+02,
     &5.4742E+02,7.9937E+02,1.0667E+03,9.4880E+02,7.1161E+02,5.2876E+02,
     &7.6497E+02,1.0209E+03,9.3421E+02,7.0067E+02,5.1082E+02,7.3352E+02,
     &9.7881E+02/
      DATA ((KB(JS,JT,17,16),JS=1,5),JT=1,5) /
     &1.1229E+03,8.4221E+02,6.6547E+02,9.7911E+02,1.3066E+03,1.1091E+03,
     &8.3187E+02,6.3930E+02,9.3226E+02,1.2440E+03,1.0923E+03,8.1922E+02,
     &6.1539E+02,8.8802E+02,1.1849E+03,1.0728E+03,8.0459E+02,5.9256E+02,
     &8.4691E+02,1.1301E+03,1.0515E+03,7.8865E+02,5.7044E+02,8.0936E+02,
     &1.0799E+03/
      DATA ((KB(JS,JT,18,16),JS=1,5),JT=1,5) /
     &1.2716E+03,9.5370E+02,7.4447E+02,1.0843E+03,1.4469E+03,1.2500E+03,
     &9.3749E+02,7.1274E+02,1.0272E+03,1.3706E+03,1.2251E+03,9.1883E+02,
     &6.8394E+02,9.7432E+02,1.3000E+03,1.1973E+03,8.9795E+02,6.5609E+02,
     &9.2626E+02,1.2359E+03,1.1679E+03,8.7596E+02,6.2959E+02,8.8232E+02,
     &1.1772E+03/
      DATA ((KB(JS,JT,19,16),JS=1,5),JT=1,5) /
     &1.4213E+03,1.0659E+03,8.2299E+02,1.1854E+03,1.5817E+03,1.3899E+03,
     &1.0424E+03,7.8536E+02,1.1181E+03,1.4919E+03,1.3555E+03,1.0166E+03,
     &7.5067E+02,1.0563E+03,1.4093E+03,1.3187E+03,9.8902E+02,7.1751E+02,
     &1.0008E+03,1.3351E+03,1.2809E+03,9.6067E+02,6.8653E+02,9.5065E+02,
     &1.2682E+03/
      DATA ((KB(JS,JT,20,16),JS=1,5),JT=1,5) /
     &1.5671E+03,1.1753E+03,8.9787E+02,1.2782E+03,1.7052E+03,1.5245E+03,
     &1.1434E+03,8.5373E+02,1.2013E+03,1.6026E+03,1.4795E+03,1.1097E+03,
     &8.1323E+02,1.1307E+03,1.5085E+03,1.4333E+03,1.0750E+03,7.7488E+02,
     &1.0684E+03,1.4252E+03,1.3861E+03,1.0396E+03,7.3891E+02,1.0119E+03,
     &1.3498E+03/
      DATA ((KB(JS,JT,21,16),JS=1,5),JT=1,5) /
     &1.7057E+03,1.2793E+03,9.6840E+02,1.3620E+03,1.8170E+03,1.6509E+03,
     &1.2382E+03,9.1726E+02,1.2758E+03,1.7018E+03,1.5947E+03,1.1960E+03,
     &8.7064E+02,1.1975E+03,1.5973E+03,1.5386E+03,1.1540E+03,8.2723E+02,
     &1.1286E+03,1.5054E+03,1.4823E+03,1.1117E+03,7.8614E+02,1.0661E+03,
     &1.4220E+03/
      DATA ((KB(JS,JT,22,16),JS=1,5),JT=1,5) /
     &1.8293E+03,1.3720E+03,1.0288E+03,1.4300E+03,1.9074E+03,1.7617E+03,
     &1.3213E+03,9.7120E+02,1.3351E+03,1.7808E+03,1.6944E+03,1.2708E+03,
     &9.1894E+02,1.2506E+03,1.6681E+03,1.6287E+03,1.2215E+03,8.7041E+02,
     &1.1757E+03,1.5681E+03,1.5635E+03,1.1726E+03,8.2499E+02,1.1083E+03,
     &1.4783E+03/
      DATA ((KB(JS,JT,23,16),JS=1,5),JT=1,5) /
     &1.9373E+03,1.4530E+03,1.0803E+03,1.4855E+03,1.9814E+03,1.8577E+03,
     &1.3933E+03,1.0171E+03,1.3836E+03,1.8455E+03,1.7799E+03,1.3350E+03,
     &9.5955E+02,1.2936E+03,1.7253E+03,1.7053E+03,1.2790E+03,9.0643E+02,
     &1.2138E+03,1.6189E+03,1.6318E+03,1.2239E+03,8.5742E+02,1.1422E+03,
     &1.5233E+03/
      DATA ((KB(JS,JT,24,16),JS=1,5),JT=1,5) /
     &2.0285E+03,1.5214E+03,1.1229E+03,1.5287E+03,2.0389E+03,1.9379E+03,
     &1.4534E+03,1.0546E+03,1.4215E+03,1.8958E+03,1.8509E+03,1.3882E+03,
     &9.9252E+02,1.3268E+03,1.7696E+03,1.7680E+03,1.3260E+03,9.3542E+02,
     &1.2431E+03,1.6579E+03,1.6872E+03,1.2654E+03,8.8318E+02,1.1679E+03,
     &1.5576E+03/
      DATA ((KB(JS,JT,25,16),JS=1,5),JT=1,5) /
     &2.1022E+03,1.5767E+03,1.1562E+03,1.5596E+03,2.0800E+03,2.0021E+03,
     &1.5016E+03,1.0837E+03,1.4483E+03,1.9315E+03,1.9072E+03,1.4304E+03,
     &1.0177E+03,1.3507E+03,1.8013E+03,1.8172E+03,1.3629E+03,9.5761E+02,
     &1.2639E+03,1.6854E+03,1.7302E+03,1.2976E+03,9.0262E+02,1.1861E+03,
     &1.5818E+03/
      DATA ((KB(JS,JT,26,16),JS=1,5),JT=1,5) /
     &2.1584E+03,1.6188E+03,1.1798E+03,1.5785E+03,2.1051E+03,2.0504E+03,
     &1.5378E+03,1.1040E+03,1.4649E+03,1.9536E+03,1.9488E+03,1.4616E+03,
     &1.0351E+03,1.3650E+03,1.8204E+03,1.8527E+03,1.3896E+03,9.7267E+02,
     &1.2762E+03,1.7019E+03,1.7609E+03,1.3206E+03,9.1583E+02,1.1969E+03,
     &1.5961E+03/
      DATA ((KB(JS,JT,27,16),JS=1,5),JT=1,5) /
     &2.1995E+03,1.6496E+03,1.1960E+03,1.5887E+03,2.1185E+03,2.0852E+03,
     &1.5639E+03,1.1175E+03,1.4736E+03,1.9651E+03,1.9784E+03,1.4838E+03,
     &1.0466E+03,1.3723E+03,1.8300E+03,1.8776E+03,1.4082E+03,9.8231E+02,
     &1.2823E+03,1.7101E+03,1.7820E+03,1.3365E+03,9.2416E+02,1.2022E+03,
     &1.6031E+03/
      DATA ((KB(JS,JT,28,16),JS=1,5),JT=1,5) /
     &2.2274E+03,1.6706E+03,1.2052E+03,1.5913E+03,2.1220E+03,2.1084E+03,
     &1.5813E+03,1.1251E+03,1.4757E+03,1.9679E+03,1.9974E+03,1.4981E+03,
     &1.0528E+03,1.3738E+03,1.8320E+03,1.8930E+03,1.4198E+03,9.8736E+02,
     &1.2834E+03,1.7114E+03,1.7945E+03,1.3459E+03,9.2826E+02,1.2029E+03,
     &1.6040E+03/
      DATA ((KB(JS,JT,29,16),JS=1,5),JT=1,5) /
     &2.2434E+03,1.6825E+03,1.2082E+03,1.5868E+03,2.1160E+03,2.1209E+03,
     &1.5907E+03,1.1272E+03,1.4716E+03,1.9623E+03,2.0069E+03,1.5052E+03,
     &1.0541E+03,1.3700E+03,1.8268E+03,1.8999E+03,1.4249E+03,9.8819E+02,
     &1.2798E+03,1.7065E+03,1.7996E+03,1.3497E+03,9.2869E+02,1.1992E+03,
     &1.5991E+03/
      DATA ((KB(JS,JT,30,16),JS=1,5),JT=1,5) /
     &2.2495E+03,1.6871E+03,1.2065E+03,1.5776E+03,2.1036E+03,2.1251E+03,
     &1.5938E+03,1.1251E+03,1.4633E+03,1.9512E+03,2.0091E+03,1.5068E+03,
     &1.0517E+03,1.3621E+03,1.8163E+03,1.9004E+03,1.4253E+03,9.8584E+02,
     &1.2727E+03,1.6970E+03,1.7984E+03,1.3488E+03,9.2610E+02,1.1928E+03,
     &1.5905E+03/
      DATA ((KB(JS,JT,31,16),JS=1,5),JT=1,5) /
     &2.2474E+03,1.6855E+03,1.2005E+03,1.5635E+03,2.0848E+03,2.1214E+03,
     &1.5910E+03,1.1192E+03,1.4507E+03,1.9344E+03,2.0043E+03,1.5033E+03,
     &1.0461E+03,1.3510E+03,1.8015E+03,1.8948E+03,1.4211E+03,9.8049E+02,
     &1.2625E+03,1.6835E+03,1.7922E+03,1.3441E+03,9.2102E+02,1.1837E+03,
     &1.5784E+03/
      DATA ((KB(JS,JT,32,16),JS=1,5),JT=1,5) /
     &2.2387E+03,1.6790E+03,1.1913E+03,1.5463E+03,2.0617E+03,2.1117E+03,
     &1.5838E+03,1.1104E+03,1.4353E+03,1.9138E+03,1.9944E+03,1.4958E+03,
     &1.0381E+03,1.3373E+03,1.7831E+03,1.8846E+03,1.4135E+03,9.7304E+02,
     &1.2502E+03,1.6670E+03,1.7818E+03,1.3363E+03,9.1392E+02,1.1724E+03,
     &1.5633E+03/
      DATA ((KB(JS,JT,33,16),JS=1,5),JT=1,5) /
     &2.2243E+03,1.6682E+03,1.1793E+03,1.5266E+03,2.0355E+03,2.0975E+03,
     &1.5731E+03,1.0994E+03,1.4177E+03,1.8903E+03,1.9805E+03,1.4854E+03,
     &1.0282E+03,1.3217E+03,1.7623E+03,1.8707E+03,1.4030E+03,9.6384E+02,
     &1.2361E+03,1.6482E+03,1.7684E+03,1.3263E+03,9.0541E+02,1.1600E+03,
     &1.5467E+03/
      DATA ((KB(JS,JT,34,16),JS=1,5),JT=1,5) /
     &2.2110E+03,1.6582E+03,1.1687E+03,1.5094E+03,2.0126E+03,2.0843E+03,
     &1.5632E+03,1.0894E+03,1.4021E+03,1.8696E+03,1.9675E+03,1.4756E+03,
     &1.0193E+03,1.3079E+03,1.7439E+03,1.8579E+03,1.3934E+03,9.5559E+02,
     &1.2238E+03,1.6318E+03,1.7560E+03,1.3170E+03,8.9776E+02,1.1489E+03,
     &1.5318E+03/
      DATA ((KB(JS,JT,35,16),JS=1,5),JT=1,5) /
     &2.2070E+03,1.6552E+03,1.1645E+03,1.5017E+03,2.0024E+03,2.0800E+03,
     &1.5600E+03,1.0855E+03,1.3953E+03,1.8605E+03,1.9630E+03,1.4722E+03,
     &1.0157E+03,1.3017E+03,1.7356E+03,1.8532E+03,1.3899E+03,9.5221E+02,
     &1.2182E+03,1.6243E+03,1.7512E+03,1.3134E+03,8.9456E+02,1.1438E+03,
     &1.5251E+03/
      DATA ((KB(JS,JT,36,16),JS=1,5),JT=1,5) /
     &2.2146E+03,1.6609E+03,1.1681E+03,1.5050E+03,2.0067E+03,2.0867E+03,
     &1.5651E+03,1.0887E+03,1.3982E+03,1.8642E+03,1.9689E+03,1.4767E+03,
     &1.0184E+03,1.3041E+03,1.7389E+03,1.8582E+03,1.3937E+03,9.5458E+02,
     &1.2204E+03,1.6272E+03,1.7557E+03,1.3168E+03,8.9664E+02,1.1458E+03,
     &1.5277E+03/
      DATA ((KB(JS,JT,37,16),JS=1,5),JT=1,5) /
     &2.2411E+03,1.6809E+03,1.1837E+03,1.5248E+03,2.0331E+03,2.1106E+03,
     &1.5830E+03,1.1025E+03,1.4155E+03,1.8873E+03,1.9909E+03,1.4932E+03,
     &1.0307E+03,1.3195E+03,1.7594E+03,1.8783E+03,1.4088E+03,9.6559E+02,
     &1.2340E+03,1.6453E+03,1.7743E+03,1.3307E+03,9.0666E+02,1.1578E+03,
     &1.5438E+03/
      DATA ((KB(JS,JT,38,16),JS=1,5),JT=1,5) /
     &2.2677E+03,1.7008E+03,1.1995E+03,1.5451E+03,2.0601E+03,2.1347E+03,
     &1.6010E+03,1.1166E+03,1.4334E+03,1.9112E+03,2.0130E+03,1.5097E+03,
     &1.0432E+03,1.3353E+03,1.7805E+03,1.8989E+03,1.4242E+03,9.7692E+02,
     &1.2480E+03,1.6640E+03,1.7929E+03,1.3447E+03,9.1684E+02,1.1704E+03,
     &1.5605E+03/
      DATA ((KB(JS,JT,39,16),JS=1,5),JT=1,5) /
     &2.2932E+03,1.7199E+03,1.2149E+03,1.5649E+03,2.0865E+03,2.1580E+03,
     &1.6185E+03,1.1304E+03,1.4510E+03,1.9346E+03,2.0342E+03,1.5257E+03,
     &1.0554E+03,1.3508E+03,1.8011E+03,1.9186E+03,1.4389E+03,9.8789E+02,
     &1.2618E+03,1.6825E+03,1.8110E+03,1.3582E+03,9.2676E+02,1.1826E+03,
     &1.5768E+03/
      DATA ((KB(JS,JT,40,16),JS=1,5),JT=1,5) /
     &2.3330E+03,1.7497E+03,1.2394E+03,1.5975E+03,2.1300E+03,2.1946E+03,
     &1.6460E+03,1.1524E+03,1.4797E+03,1.9730E+03,2.0673E+03,1.5505E+03,
     &1.0747E+03,1.3759E+03,1.8346E+03,1.9494E+03,1.4621E+03,1.0054E+03,
     &1.2842E+03,1.7123E+03,1.8395E+03,1.3796E+03,9.4264E+02,1.2026E+03,
     &1.6034E+03/
      DATA ((KB(JS,JT,41,16),JS=1,5),JT=1,5) /
     &2.3748E+03,1.7811E+03,1.2653E+03,1.6323E+03,2.1765E+03,2.2335E+03,
     &1.6751E+03,1.1760E+03,1.5106E+03,2.0142E+03,2.1020E+03,1.5765E+03,
     &1.0953E+03,1.4029E+03,1.8706E+03,1.9818E+03,1.4863E+03,1.0239E+03,
     &1.3082E+03,1.7443E+03,1.8696E+03,1.4022E+03,9.5944E+02,1.2238E+03,
     &1.6317E+03/
      DATA ((KB(JS,JT,42,16),JS=1,5),JT=1,5) /
     &2.4183E+03,1.8137E+03,1.2922E+03,1.6686E+03,2.2248E+03,2.2718E+03,
     &1.7039E+03,1.1997E+03,1.5420E+03,2.0561E+03,2.1373E+03,1.6030E+03,
     &1.1164E+03,1.4305E+03,1.9073E+03,2.0143E+03,1.5107E+03,1.0428E+03,
     &1.3327E+03,1.7770E+03,1.8998E+03,1.4249E+03,9.7647E+02,1.2457E+03,
     &1.6610E+03/
      DATA ((KB(JS,JT,43,16),JS=1,5),JT=1,5) /
     &2.4703E+03,1.8528E+03,1.3249E+03,1.7136E+03,2.2848E+03,2.3188E+03,
     &1.7391E+03,1.2289E+03,1.5811E+03,2.1082E+03,2.1803E+03,1.6352E+03,
     &1.1426E+03,1.4651E+03,1.9535E+03,2.0539E+03,1.5404E+03,1.0659E+03,
     &1.3633E+03,1.8177E+03,1.9367E+03,1.4525E+03,9.9744E+02,1.2728E+03,
     &1.6970E+03/
      DATA ((KB(JS,JT,44,16),JS=1,5),JT=1,5) /
     &2.5274E+03,1.8956E+03,1.3612E+03,1.7642E+03,2.3522E+03,2.3706E+03,
     &1.7780E+03,1.2614E+03,1.6248E+03,2.1664E+03,2.2278E+03,1.6708E+03,
     &1.1717E+03,1.5040E+03,2.0053E+03,2.0979E+03,1.5734E+03,1.0920E+03,
     &1.3972E+03,1.8630E+03,1.9771E+03,1.4828E+03,1.0207E+03,1.3030E+03,
     &1.7374E+03/
      DATA ((KB(JS,JT,45,16),JS=1,5),JT=1,5) /
     &2.5859E+03,1.9394E+03,1.3990E+03,1.8173E+03,2.4231E+03,2.4239E+03,
     &1.8179E+03,1.2948E+03,1.6708E+03,2.2278E+03,2.2761E+03,1.7071E+03,
     &1.2017E+03,1.5441E+03,2.0588E+03,2.1421E+03,1.6066E+03,1.1186E+03,
     &1.4324E+03,1.9099E+03,2.0183E+03,1.5137E+03,1.0446E+03,1.3343E+03,
     &1.7791E+03/
      DATA ((KB(JS,JT,46,16),JS=1,5),JT=1,5) /
     &2.6504E+03,1.9878E+03,1.4409E+03,1.8767E+03,2.5023E+03,2.4823E+03,
     &1.8617E+03,1.3316E+03,1.7220E+03,2.2960E+03,2.3297E+03,1.7473E+03,
     &1.2351E+03,1.5885E+03,2.1180E+03,2.1905E+03,1.6429E+03,1.1482E+03,
     &1.4718E+03,1.9624E+03,2.0627E+03,1.5470E+03,1.0708E+03,1.3689E+03,
     &1.8252E+03/
      DATA ((KB(JS,JT,47,16),JS=1,5),JT=1,5) /
     &2.7247E+03,2.0435E+03,1.4902E+03,1.9477E+03,2.5969E+03,2.5493E+03,
     &1.9120E+03,1.3747E+03,1.7822E+03,2.3763E+03,2.3907E+03,1.7930E+03,
     &1.2733E+03,1.6405E+03,2.1874E+03,2.2466E+03,1.6850E+03,1.1827E+03,
     &1.5177E+03,2.0235E+03,2.1136E+03,1.5852E+03,1.1012E+03,1.4091E+03,
     &1.8788E+03/
      DATA ((KB(JS,JT,48,16),JS=1,5),JT=1,5) /
     &2.8012E+03,2.1009E+03,1.5426E+03,2.0233E+03,2.6978E+03,2.6190E+03,
     &1.9642E+03,1.4199E+03,1.8460E+03,2.4614E+03,2.4541E+03,1.8406E+03,
     &1.3132E+03,1.6956E+03,2.2609E+03,2.3037E+03,1.7278E+03,1.2184E+03,
     &1.5658E+03,2.0877E+03,2.1661E+03,1.6246E+03,1.1331E+03,1.4514E+03,
     &1.9352E+03/
      DATA ((KB(JS,JT,49,16),JS=1,5),JT=1,5) /
     &2.8818E+03,2.1613E+03,1.5982E+03,2.1038E+03,2.8050E+03,2.6914E+03,
     &2.0185E+03,1.4674E+03,1.9143E+03,2.5524E+03,2.5196E+03,1.8897E+03,
     &1.3550E+03,1.7541E+03,2.3389E+03,2.3632E+03,1.7724E+03,1.2557E+03,
     &1.6163E+03,2.1550E+03,2.2208E+03,1.6656E+03,1.1666E+03,1.4961E+03,
     &1.9948E+03/
      DATA ((KB(JS,JT,50,16),JS=1,5),JT=1,5) /
     &2.9612E+03,2.2209E+03,1.6532E+03,2.1839E+03,2.9118E+03,2.7615E+03,
     &2.0712E+03,1.5149E+03,1.9827E+03,2.6437E+03,2.5830E+03,1.9373E+03,
     &1.3961E+03,1.8120E+03,2.4160E+03,2.4210E+03,1.8157E+03,1.2921E+03,
     &1.6664E+03,2.2218E+03,2.2734E+03,1.7051E+03,1.1994E+03,1.5401E+03,
     &2.0534E+03/
      DATA ((KB(JS,JT,51,16),JS=1,5),JT=1,5) /
     &3.0414E+03,2.2810E+03,1.7098E+03,2.2662E+03,3.0216E+03,2.8321E+03,
     &2.1241E+03,1.5635E+03,2.0530E+03,2.7374E+03,2.6473E+03,1.9855E+03,
     &1.4379E+03,1.8712E+03,2.4950E+03,2.4793E+03,1.8595E+03,1.3289E+03,
     &1.7174E+03,2.2898E+03,2.3268E+03,1.7451E+03,1.2327E+03,1.5846E+03,
     &2.1128E+03/
      DATA ((KB(JS,JT,52,16),JS=1,5),JT=1,5) /
     &3.1248E+03,2.3436E+03,1.7703E+03,2.3534E+03,3.1379E+03,2.9063E+03,
     &2.1797E+03,1.6147E+03,2.1274E+03,2.8366E+03,2.7134E+03,2.0351E+03,
     &1.4818E+03,1.9344E+03,2.5793E+03,2.5389E+03,1.9042E+03,1.3672E+03,
     &1.7712E+03,2.3616E+03,2.3814E+03,1.7860E+03,1.2669E+03,1.6310E+03,
     &2.1746E+03/
      DATA ((KB(JS,JT,53,16),JS=1,5),JT=1,5) /
     &3.2126E+03,2.4095E+03,1.8346E+03,2.4459E+03,3.2612E+03,2.9838E+03,
     &2.2378E+03,1.6687E+03,2.2061E+03,2.9415E+03,2.7817E+03,2.0863E+03,
     &1.5283E+03,2.0017E+03,2.6689E+03,2.6009E+03,1.9507E+03,1.4074E+03,
     &1.8280E+03,2.4374E+03,2.4377E+03,1.8283E+03,1.3025E+03,1.6802E+03,
     &2.2403E+03/
      DATA ((KB(JS,JT,54,16),JS=1,5),JT=1,5) /
     &3.2965E+03,2.4725E+03,1.8972E+03,2.5356E+03,3.3807E+03,3.0576E+03,
     &2.2932E+03,1.7211E+03,2.2822E+03,3.0430E+03,2.8468E+03,2.1351E+03,
     &1.5733E+03,2.0668E+03,2.7558E+03,2.6600E+03,1.9950E+03,1.4459E+03,
     &1.8829E+03,2.5105E+03,2.4912E+03,1.8684E+03,1.3364E+03,1.7275E+03,
     &2.3034E+03/
      DATA ((KB(JS,JT,55,16),JS=1,5),JT=1,5) /
     &3.3833E+03,2.5376E+03,1.9611E+03,2.6264E+03,3.5019E+03,3.1321E+03,
     &2.3491E+03,1.7750E+03,2.3596E+03,3.1462E+03,2.9119E+03,2.1839E+03,
     &1.6184E+03,2.1327E+03,2.8435E+03,2.7182E+03,2.0386E+03,1.4848E+03,
     &1.9390E+03,2.5853E+03,2.5438E+03,1.9078E+03,1.3702E+03,1.7749E+03,
     &2.3665E+03/
      DATA ((KB(JS,JT,56,16),JS=1,5),JT=1,5) /
     &3.4732E+03,2.6050E+03,2.0286E+03,2.7221E+03,3.6294E+03,3.2087E+03,
     &2.4066E+03,1.8312E+03,2.4406E+03,3.2540E+03,2.9798E+03,2.2348E+03,
     &1.6657E+03,2.2014E+03,2.9353E+03,2.7779E+03,2.0834E+03,1.5255E+03,
     &1.9978E+03,2.6637E+03,2.5980E+03,1.9485E+03,1.4055E+03,1.8247E+03,
     &2.4330E+03/
      DATA ((KB(JS,JT,57,16),JS=1,5),JT=1,5) /
     &3.5673E+03,2.6755E+03,2.1006E+03,2.8229E+03,3.7639E+03,3.2883E+03,
     &2.4663E+03,1.8907E+03,2.5257E+03,3.3676E+03,3.0500E+03,2.2875E+03,
     &1.7155E+03,2.2739E+03,3.0319E+03,2.8394E+03,2.1295E+03,1.5682E+03,
     &2.0597E+03,2.7463E+03,2.6543E+03,1.9907E+03,1.4421E+03,1.8768E+03,
     &2.5025E+03/
      DATA ((KB(JS,JT,58,16),JS=1,5),JT=1,5) /
     &3.6607E+03,2.7457E+03,2.1738E+03,2.9233E+03,3.8978E+03,3.3686E+03,
     &2.5266E+03,1.9501E+03,2.6108E+03,3.4810E+03,3.1191E+03,2.3393E+03,
     &1.7656E+03,2.3462E+03,3.1282E+03,2.9009E+03,2.1757E+03,1.6107E+03,
     &2.1213E+03,2.8285E+03,2.7090E+03,2.0318E+03,1.4784E+03,1.9292E+03,
     &2.5722E+03/
      DATA ((KB(JS,JT,59,16),JS=1,5),JT=1,5) /
     &3.6992E+03,2.7745E+03,2.2044E+03,2.9651E+03,3.9534E+03,3.4022E+03,
     &2.5517E+03,1.9749E+03,2.6461E+03,3.5281E+03,3.1476E+03,2.3607E+03,
     &1.7864E+03,2.3762E+03,3.1682E+03,2.9259E+03,2.1945E+03,1.6281E+03,
     &2.1469E+03,2.8626E+03,2.7315E+03,2.0486E+03,1.4936E+03,1.9510E+03,
     &2.6013E+03/

      DATA FORREF /
     & 5.53258E-04, 5.55486E-04, 6.01339E-04, 7.08280E-04,
     & 1.58558E-03, 1.62957E-03, 2.04991E-03, 4.75881E-03,
     & 7.72542E-03, 7.84562E-03, 1.11979E-02, 2.29016E-02,
     & 2.55097E-02, 2.56272E-02, 2.70691E-02, 2.59505E-02,
     & 3.23263E-02, 3.24495E-02, 3.05535E-02, 2.63993E-02,
     & 3.46920E-02, 3.48255E-02, 3.23586E-02, 2.76357E-02,
     & 3.66509E-02, 3.66412E-02, 3.44434E-02, 3.19223E-02,
     & 3.78451E-02, 3.75341E-02, 3.74369E-02, 3.20334E-02,
     & 4.07348E-02, 3.96203E-02, 3.93988E-02, 3.18343E-02,
     & 4.33035E-02, 4.26488E-02, 4.08085E-02, 3.32749E-02,
     & 4.28254E-02, 4.41151E-02, 4.08887E-02, 3.27077E-02,
     & 4.43226E-02, 4.46690E-02, 4.04676E-02, 3.50492E-02,
     & 4.66103E-02, 4.60809E-02, 4.01286E-02, 3.70427E-02,
     & 4.83928E-02, 4.77284E-02, 3.80684E-02, 3.87940E-02,
     & 5.06987E-02, 4.90016E-02, 4.67069E-02, 3.68998E-02,
     & 5.10836E-02, 5.22771E-02, 5.00130E-02, 4.83406E-02/

C     The array SELFREF contains the coefficient of the water vapor
C     self-continuum (including the energy term).  The first index
C     refers to temperature in 7.2 degree increments.  For instance,
C     JT = 1 refers to a temperature of 245.6, JT = 2 refers to 252.8,
C     etc.  The second index runs over the g-channel (1 to 16).
      DATA (SELFREF(JT, 1),JT=1,10)  /
     & 1.60537E-02, 1.49038E-02, 1.38363E-02, 1.28452E-02, 1.19251E-02,
     & 1.10709E-02, 1.02779E-02, 9.54175E-03, 8.85829E-03, 8.22379E-03/
      DATA (SELFREF(JT, 2),JT=1,10)  /
     & 3.65753E-02, 3.42267E-02, 3.20288E-02, 2.99720E-02, 2.80474E-02,
     & 2.62463E-02, 2.45609E-02, 2.29837E-02, 2.15078E-02, 2.01267E-02/
      DATA (SELFREF(JT, 3),JT=1,10)  /
     & 1.27419E-01, 1.18553E-01, 1.10304E-01, 1.02629E-01, 9.54883E-02,
     & 8.88442E-02, 8.26624E-02, 7.69107E-02, 7.15593E-02, 6.65802E-02/
      DATA (SELFREF(JT, 4),JT=1,10)  /
     & 3.78687E-01, 3.48961E-01, 3.21568E-01, 2.96325E-01, 2.73064E-01,
     & 2.51629E-01, 2.31876E-01, 2.13674E-01, 1.96901E-01, 1.81444E-01/
      DATA (SELFREF(JT, 5),JT=1,10)  /
     & 4.72822E-01, 4.35018E-01, 4.00236E-01, 3.68236E-01, 3.38794E-01,
     & 3.11706E-01, 2.86783E-01, 2.63854E-01, 2.42757E-01, 2.23348E-01/
      DATA (SELFREF(JT, 6),JT=1,10)  /
     & 5.05620E-01, 4.65050E-01, 4.27736E-01, 3.93416E-01, 3.61849E-01,
     & 3.32815E-01, 3.06111E-01, 2.81550E-01, 2.58959E-01, 2.38181E-01/
      DATA (SELFREF(JT, 7),JT=1,10)  /
     & 5.30488E-01, 4.87993E-01, 4.48902E-01, 4.12943E-01, 3.79864E-01,
     & 3.49434E-01, 3.21443E-01, 2.95694E-01, 2.72007E-01, 2.50218E-01/
      DATA (SELFREF(JT, 8),JT=1,10)  /
     & 5.40222E-01, 4.97746E-01, 4.58610E-01, 4.22551E-01, 3.89327E-01,
     & 3.58716E-01, 3.30511E-01, 3.04524E-01, 2.80580E-01, 2.58519E-01/
      DATA (SELFREF(JT, 9),JT=1,10)  /
     & 5.65727E-01, 5.22899E-01, 4.83313E-01, 4.46724E-01, 4.12905E-01,
     & 3.81646E-01, 3.52753E-01, 3.26048E-01, 3.01365E-01, 2.78550E-01/
      DATA (SELFREF(JT,10),JT=1,10)  /
     & 6.10122E-01, 5.62337E-01, 5.18295E-01, 4.77702E-01, 4.40289E-01,
     & 4.05806E-01, 3.74023E-01, 3.44730E-01, 3.17730E-01, 2.92846E-01/
      DATA (SELFREF(JT,11),JT=1,10)  /
     & 6.45176E-01, 5.88957E-01, 5.37636E-01, 4.90788E-01, 4.48022E-01,
     & 4.08982E-01, 3.73344E-01, 3.40812E-01, 3.11114E-01, 2.84004E-01/
      DATA (SELFREF(JT,12),JT=1,10)  /
     & 6.51737E-01, 5.96547E-01, 5.46031E-01, 4.99792E-01, 4.57469E-01,
     & 4.18730E-01, 3.83272E-01, 3.50816E-01, 3.21108E-01, 2.93916E-01/
      DATA (SELFREF(JT,13),JT=1,10)  /
     & 6.61086E-01, 6.07954E-01, 5.59093E-01, 5.14159E-01, 4.72836E-01,
     & 4.34834E-01, 3.99886E-01, 3.67747E-01, 3.38191E-01, 3.11011E-01/
      DATA (SELFREF(JT,14),JT=1,10)  /
     & 6.92554E-01, 6.35574E-01, 5.83282E-01, 5.35293E-01, 4.91251E-01,
     & 4.50834E-01, 4.13741E-01, 3.79701E-01, 3.48461E-01, 3.19791E-01/
      DATA (SELFREF(JT,15),JT=1,10)  /
     & 7.14646E-01, 6.57179E-01, 6.04334E-01, 5.55737E-01, 5.11049E-01,
     & 4.69954E-01, 4.32164E-01, 3.97412E-01, 3.65455E-01, 3.36068E-01/
      DATA (SELFREF(JT,16),JT=1,10)  /
     & 7.82126E-01, 7.10682E-01, 6.45764E-01, 5.86776E-01, 5.33177E-01,
     & 4.84473E-01, 4.40219E-01, 4.00007E-01, 3.63468E-01, 3.30266E-01/

