C     path:      $Source: /storm/rc1/cvsroot/rc/rrtm_sw/src/k_gB20.f,v $
C     author:    $Author: jdelamer $
C     revision:  $Revision: 2.3 $
C     created:   $Date: 2004/04/15 18:50:56 $
C
C  --------------------------------------------------------------------------
C |                                                                          |
C |  Copyright 2002, 2003, Atmospheric & Environmental Research, Inc. (AER). |
C |  This software may be used, copied, or redistributed as long as it is    |
C |  not sold and this copyright notice is reproduced on each copy made.     |
C |  This model is provided as is without any express or implied warranties. |
C |                       (http://www.rtweb.aer.com/)                        |
C |                                                                          |
C  --------------------------------------------------------------------------

      PARAMETER (MG = 16)
      REAL KA(5,13,MG),KB(5,13:59,MG)
      DIMENSION SELFREF(10,MG),FORREF(4,MG)

      COMMON /CVRSN20/ HNAMKG20,HVRKG20
      COMMON /K20/ KA ,KB, SELFREF, FORREF

      CHARACTER*18 HNAMKG20,HVRKG20

      DATA HNAMKG20 / '        k_gb20.f:' /
      DATA HVRKG20 /'$Revision: 2.3 $'/

C     The array KA contains absorption coefs at the 16 chosen g-values 
C     for a range of pressure levels > ~100mb and temperatures.  The first
C     index in the array, JT, which runs from 1 to 5, corresponds to 
C     different temperatures.  More specifically, JT = 3 means that the 
C     data are for the corresponding TREF for this  pressure level, 
C     JT = 2 refers to the temperatureTREF-15, JT = 1 is for TREF-30, 
C     JT = 4 is for TREF+15, and JT = 5 is for TREF+30.  The second 
C     index, JP, runs from 1 to 13 and refers to the corresponding 
C     pressure level in PREF (e.g. JP = 1 is for a pressure of 1053.63 mb).  
C     The third index, IG, goes from 1 to 16, and tells us which 
C     g-interval the absorption coefficients are for.
      DATA (KA(JT, 1, 1),JT=1,5) /
     &7.8383E-07,8.6220E-07,9.5359E-07,1.0590E-06,1.1782E-06/
      DATA (KA(JT, 2, 1),JT=1,5) /
     &6.5040E-07,7.2510E-07,8.1318E-07,9.0059E-07,9.9786E-07/
      DATA (KA(JT, 3, 1),JT=1,5) /
     &5.8072E-07,6.5888E-07,7.4265E-07,8.1854E-07,9.0645E-07/
      DATA (KA(JT, 4, 1),JT=1,5) /
     &5.3601E-07,6.0765E-07,6.8088E-07,7.5741E-07,8.3801E-07/
      DATA (KA(JT, 5, 1),JT=1,5) /
     &5.0142E-07,5.6951E-07,6.4028E-07,7.1944E-07,7.9813E-07/
      DATA (KA(JT, 6, 1),JT=1,5) /
     &4.7164E-07,5.4008E-07,6.1040E-07,6.8006E-07,7.5034E-07/
      DATA (KA(JT, 7, 1),JT=1,5) /
     &4.9337E-07,5.6178E-07,6.2215E-07,6.9127E-07,7.6060E-07/
      DATA (KA(JT, 8, 1),JT=1,5) /
     &6.1581E-07,7.0117E-07,7.8942E-07,8.7145E-07,9.4647E-07/
      DATA (KA(JT, 9, 1),JT=1,5) /
     &1.4154E-06,1.5754E-06,1.7261E-06,1.8739E-06,1.9774E-06/
      DATA (KA(JT,10, 1),JT=1,5) /
     &3.4186E-06,3.7012E-06,3.9602E-06,4.2235E-06,4.4256E-06/
      DATA (KA(JT,11, 1),JT=1,5) /
     &3.8574E-06,4.2080E-06,4.4701E-06,4.7454E-06,5.0002E-06/
      DATA (KA(JT,12, 1),JT=1,5) /
     &3.5794E-06,3.8686E-06,4.1443E-06,4.3939E-06,4.6500E-06/
      DATA (KA(JT,13, 1),JT=1,5) /
     &2.9586E-06,3.1938E-06,3.4167E-06,3.6253E-06,3.8250E-06/
      DATA (KA(JT, 1, 2),JT=1,5) /
     &5.7098E-06,6.4630E-06,7.3117E-06,8.2436E-06,9.1947E-06/
      DATA (KA(JT, 2, 2),JT=1,5) /
     &4.6384E-06,5.3125E-06,6.0301E-06,6.8028E-06,7.5824E-06/
      DATA (KA(JT, 3, 2),JT=1,5) /
     &4.0657E-06,4.6486E-06,5.2459E-06,5.8955E-06,6.5546E-06/
      DATA (KA(JT, 4, 2),JT=1,5) /
     &3.8895E-06,4.4258E-06,4.9759E-06,5.5663E-06,6.1702E-06/
      DATA (KA(JT, 5, 2),JT=1,5) /
     &3.8971E-06,4.4359E-06,4.9933E-06,5.5523E-06,6.1234E-06/
      DATA (KA(JT, 6, 2),JT=1,5) /
     &3.9532E-06,4.4644E-06,4.9734E-06,5.4875E-06,6.0102E-06/
      DATA (KA(JT, 7, 2),JT=1,5) /
     &4.1068E-06,4.5832E-06,5.0698E-06,5.5521E-06,6.0175E-06/
      DATA (KA(JT, 8, 2),JT=1,5) /
     &4.7922E-06,5.2156E-06,5.6817E-06,6.1576E-06,6.6313E-06/
      DATA (KA(JT, 9, 2),JT=1,5) /
     &8.3199E-06,8.8317E-06,9.3688E-06,9.9754E-06,1.0620E-05/
      DATA (KA(JT,10, 2),JT=1,5) /
     &1.6836E-05,1.8526E-05,1.9887E-05,2.1168E-05,2.2104E-05/
      DATA (KA(JT,11, 2),JT=1,5) /
     &1.8882E-05,2.1005E-05,2.2896E-05,2.4777E-05,2.6115E-05/
      DATA (KA(JT,12, 2),JT=1,5) /
     &1.7744E-05,1.9780E-05,2.1600E-05,2.3523E-05,2.5128E-05/
      DATA (KA(JT,13, 2),JT=1,5) /
     &1.4736E-05,1.6356E-05,1.7955E-05,1.9533E-05,2.0861E-05/
      DATA (KA(JT, 1, 3),JT=1,5) /
     &4.1776E-05,4.8150E-05,5.5097E-05,6.2661E-05,7.0920E-05/
      DATA (KA(JT, 2, 3),JT=1,5) /
     &3.3909E-05,3.9176E-05,4.4622E-05,5.0754E-05,5.7336E-05/
      DATA (KA(JT, 3, 3),JT=1,5) /
     &2.7438E-05,3.1473E-05,3.6122E-05,4.1134E-05,4.6456E-05/
      DATA (KA(JT, 4, 3),JT=1,5) /
     &2.3222E-05,2.6535E-05,3.0141E-05,3.4099E-05,3.8416E-05/
      DATA (KA(JT, 5, 3),JT=1,5) /
     &2.1114E-05,2.3888E-05,2.6883E-05,3.0340E-05,3.3785E-05/
      DATA (KA(JT, 6, 3),JT=1,5) /
     &2.0750E-05,2.2926E-05,2.5536E-05,2.8492E-05,3.1676E-05/
      DATA (KA(JT, 7, 3),JT=1,5) /
     &2.1584E-05,2.4112E-05,2.6872E-05,2.9794E-05,3.2940E-05/
      DATA (KA(JT, 8, 3),JT=1,5) /
     &2.4194E-05,2.6981E-05,3.0137E-05,3.3546E-05,3.7182E-05/
      DATA (KA(JT, 9, 3),JT=1,5) /
     &3.7461E-05,4.2158E-05,4.6718E-05,5.1048E-05,5.5154E-05/
      DATA (KA(JT,10, 3),JT=1,5) /
     &7.2391E-05,7.7164E-05,8.4016E-05,8.9658E-05,9.5511E-05/
      DATA (KA(JT,11, 3),JT=1,5) /
     &9.1736E-05,9.9107E-05,1.0463E-04,1.0952E-04,1.1549E-04/
      DATA (KA(JT,12, 3),JT=1,5) /
     &9.1200E-05,9.8812E-05,1.0432E-04,1.0893E-04,1.1349E-04/
      DATA (KA(JT,13, 3),JT=1,5) /
     &7.6217E-05,8.2702E-05,8.7500E-05,9.1349E-05,9.5349E-05/
      DATA (KA(JT, 1, 4),JT=1,5) /
     &7.1705E-04,8.2743E-04,9.4700E-04,1.0670E-03,1.1902E-03/
      DATA (KA(JT, 2, 4),JT=1,5) /
     &5.7909E-04,6.7096E-04,7.6724E-04,8.6582E-04,9.7167E-04/
      DATA (KA(JT, 3, 4),JT=1,5) /
     &4.4771E-04,5.1997E-04,5.9861E-04,6.7967E-04,7.6676E-04/
      DATA (KA(JT, 4, 4),JT=1,5) /
     &3.4085E-04,3.9833E-04,4.6226E-04,5.2889E-04,6.0008E-04/
      DATA (KA(JT, 5, 4),JT=1,5) /
     &2.6678E-04,3.1234E-04,3.6341E-04,4.1663E-04,4.7418E-04/
      DATA (KA(JT, 6, 4),JT=1,5) /
     &2.0903E-04,2.4718E-04,2.8922E-04,3.3353E-04,3.8176E-04/
      DATA (KA(JT, 7, 4),JT=1,5) /
     &1.7173E-04,2.0330E-04,2.3711E-04,2.7401E-04,3.1445E-04/
      DATA (KA(JT, 8, 4),JT=1,5) /
     &1.6722E-04,1.9396E-04,2.2307E-04,2.5347E-04,2.8561E-04/
      DATA (KA(JT, 9, 4),JT=1,5) /
     &2.5043E-04,2.8824E-04,3.2547E-04,3.6193E-04,3.9806E-04/
      DATA (KA(JT,10, 4),JT=1,5) /
     &4.3323E-04,4.8667E-04,5.3462E-04,5.7879E-04,6.2040E-04/
      DATA (KA(JT,11, 4),JT=1,5) /
     &4.7719E-04,5.2271E-04,5.6402E-04,6.0388E-04,6.3520E-04/
      DATA (KA(JT,12, 4),JT=1,5) /
     &4.5061E-04,4.9014E-04,5.2391E-04,5.5276E-04,5.7760E-04/
      DATA (KA(JT,13, 4),JT=1,5) /
     &3.7664E-04,4.0952E-04,4.3690E-04,4.6055E-04,4.8018E-04/
      DATA (KA(JT, 1, 5),JT=1,5) /
     &6.6466E-03,6.8686E-03,7.0897E-03,7.3019E-03,7.4914E-03/
      DATA (KA(JT, 2, 5),JT=1,5) /
     &5.4023E-03,5.6010E-03,5.8008E-03,5.9987E-03,6.1685E-03/
      DATA (KA(JT, 3, 5),JT=1,5) /
     &4.3218E-03,4.5127E-03,4.6848E-03,4.8647E-03,5.0267E-03/
      DATA (KA(JT, 4, 5),JT=1,5) /
     &3.4639E-03,3.6473E-03,3.7951E-03,3.9570E-03,4.1049E-03/
      DATA (KA(JT, 5, 5),JT=1,5) /
     &2.7745E-03,2.9370E-03,3.0754E-03,3.2148E-03,3.3492E-03/
      DATA (KA(JT, 6, 5),JT=1,5) /
     &2.2020E-03,2.3520E-03,2.4836E-03,2.5965E-03,2.7119E-03/
      DATA (KA(JT, 7, 5),JT=1,5) /
     &1.7624E-03,1.8963E-03,2.0161E-03,2.1153E-03,2.2116E-03/
      DATA (KA(JT, 8, 5),JT=1,5) /
     &1.4169E-03,1.5332E-03,1.6350E-03,1.7231E-03,1.8121E-03/
      DATA (KA(JT, 9, 5),JT=1,5) /
     &1.3030E-03,1.3904E-03,1.4690E-03,1.5500E-03,1.6275E-03/
      DATA (KA(JT,10, 5),JT=1,5) /
     &1.7155E-03,1.8169E-03,1.8943E-03,1.9620E-03,2.0215E-03/
      DATA (KA(JT,11, 5),JT=1,5) /
     &1.7156E-03,1.7808E-03,1.8419E-03,1.8925E-03,1.9313E-03/
      DATA (KA(JT,12, 5),JT=1,5) /
     &1.5269E-03,1.5811E-03,1.6283E-03,1.6686E-03,1.7061E-03/
      DATA (KA(JT,13, 5),JT=1,5) /
     &1.2768E-03,1.3207E-03,1.3555E-03,1.3924E-03,1.4234E-03/
      DATA (KA(JT, 1, 6),JT=1,5) /
     &1.9191E-02,1.9463E-02,1.9692E-02,1.9900E-02,2.0112E-02/
      DATA (KA(JT, 2, 6),JT=1,5) /
     &1.5967E-02,1.6219E-02,1.6426E-02,1.6613E-02,1.6805E-02/
      DATA (KA(JT, 3, 6),JT=1,5) /
     &1.3186E-02,1.3411E-02,1.3614E-02,1.3785E-02,1.3944E-02/
      DATA (KA(JT, 4, 6),JT=1,5) /
     &1.0935E-02,1.1131E-02,1.1318E-02,1.1475E-02,1.1620E-02/
      DATA (KA(JT, 5, 6),JT=1,5) /
     &9.0541E-03,9.2344E-03,9.4035E-03,9.5537E-03,9.6862E-03/
      DATA (KA(JT, 6, 6),JT=1,5) /
     &7.4724E-03,7.6320E-03,7.7794E-03,7.9294E-03,8.0528E-03/
      DATA (KA(JT, 7, 6),JT=1,5) /
     &6.1183E-03,6.2644E-03,6.3961E-03,6.5303E-03,6.6478E-03/
      DATA (KA(JT, 8, 6),JT=1,5) /
     &5.0638E-03,5.1984E-03,5.3222E-03,5.4412E-03,5.5465E-03/
      DATA (KA(JT, 9, 6),JT=1,5) /
     &4.2870E-03,4.4009E-03,4.5109E-03,4.5976E-03,4.6796E-03/
      DATA (KA(JT,10, 6),JT=1,5) /
     &4.5239E-03,4.6073E-03,4.6968E-03,4.7979E-03,4.8956E-03/
      DATA (KA(JT,11, 6),JT=1,5) /
     &4.4089E-03,4.5006E-03,4.5881E-03,4.6721E-03,4.8015E-03/
      DATA (KA(JT,12, 6),JT=1,5) /
     &3.9598E-03,4.0290E-03,4.1108E-03,4.1899E-03,4.2672E-03/
      DATA (KA(JT,13, 6),JT=1,5) /
     &3.3425E-03,3.4148E-03,3.4808E-03,3.5405E-03,3.5983E-03/
      DATA (KA(JT, 1, 7),JT=1,5) /
     &5.0165E-02,5.0343E-02,5.0452E-02,5.0424E-02,5.0329E-02/
      DATA (KA(JT, 2, 7),JT=1,5) /
     &4.2723E-02,4.2880E-02,4.2939E-02,4.2910E-02,4.2861E-02/
      DATA (KA(JT, 3, 7),JT=1,5) /
     &3.6117E-02,3.6255E-02,3.6301E-02,3.6294E-02,3.6288E-02/
      DATA (KA(JT, 4, 7),JT=1,5) /
     &3.0585E-02,3.0720E-02,3.0787E-02,3.0816E-02,3.0842E-02/
      DATA (KA(JT, 5, 7),JT=1,5) /
     &2.5879E-02,2.6029E-02,2.6116E-02,2.6179E-02,2.6225E-02/
      DATA (KA(JT, 6, 7),JT=1,5) /
     &2.1822E-02,2.1978E-02,2.2094E-02,2.2178E-02,2.2244E-02/
      DATA (KA(JT, 7, 7),JT=1,5) /
     &1.8304E-02,1.8476E-02,1.8606E-02,1.8705E-02,1.8780E-02/
      DATA (KA(JT, 8, 7),JT=1,5) /
     &1.5224E-02,1.5394E-02,1.5519E-02,1.5619E-02,1.5690E-02/
      DATA (KA(JT, 9, 7),JT=1,5) /
     &1.2835E-02,1.3029E-02,1.3169E-02,1.3281E-02,1.3369E-02/
      DATA (KA(JT,10, 7),JT=1,5) /
     &1.1632E-02,1.1714E-02,1.1760E-02,1.1776E-02,1.1806E-02/
      DATA (KA(JT,11, 7),JT=1,5) /
     &1.1170E-02,1.1252E-02,1.1288E-02,1.1357E-02,1.1397E-02/
      DATA (KA(JT,12, 7),JT=1,5) /
     &1.0404E-02,1.0533E-02,1.0705E-02,1.0833E-02,1.0947E-02/
      DATA (KA(JT,13, 7),JT=1,5) /
     &9.1041E-03,9.2674E-03,9.4068E-03,9.5412E-03,9.6769E-03/
      DATA (KA(JT, 1, 8),JT=1,5) /
     &1.4527E-01,1.4483E-01,1.4432E-01,1.4389E-01,1.4349E-01/
      DATA (KA(JT, 2, 8),JT=1,5) /
     &1.2739E-01,1.2702E-01,1.2661E-01,1.2624E-01,1.2584E-01/
      DATA (KA(JT, 3, 8),JT=1,5) /
     &1.1091E-01,1.1058E-01,1.1024E-01,1.0990E-01,1.0953E-01/
      DATA (KA(JT, 4, 8),JT=1,5) /
     &9.6590E-02,9.6335E-02,9.6105E-02,9.5818E-02,9.5530E-02/
      DATA (KA(JT, 5, 8),JT=1,5) /
     &8.3799E-02,8.3708E-02,8.3572E-02,8.3347E-02,8.3126E-02/
      DATA (KA(JT, 6, 8),JT=1,5) /
     &7.2369E-02,7.2388E-02,7.2289E-02,7.2143E-02,7.1981E-02/
      DATA (KA(JT, 7, 8),JT=1,5) /
     &6.2158E-02,6.2247E-02,6.2185E-02,6.2111E-02,6.2007E-02/
      DATA (KA(JT, 8, 8),JT=1,5) /
     &5.2998E-02,5.3142E-02,5.3162E-02,5.3154E-02,5.3101E-02/
      DATA (KA(JT, 9, 8),JT=1,5) /
     &4.4776E-02,4.4873E-02,4.4920E-02,4.4946E-02,4.4885E-02/
      DATA (KA(JT,10, 8),JT=1,5) /
     &3.8237E-02,3.8514E-02,3.8716E-02,3.8877E-02,3.8966E-02/
      DATA (KA(JT,11, 8),JT=1,5) /
     &3.3511E-02,3.3721E-02,3.3843E-02,3.3840E-02,3.3839E-02/
      DATA (KA(JT,12, 8),JT=1,5) /
     &2.9704E-02,2.9825E-02,2.9808E-02,2.9787E-02,2.9794E-02/
      DATA (KA(JT,13, 8),JT=1,5) /
     &2.5973E-02,2.6004E-02,2.6032E-02,2.6023E-02,2.6107E-02/
      DATA (KA(JT, 1, 9),JT=1,5) /
     &5.6699E-01,5.6615E-01,5.6479E-01,5.6318E-01,5.6135E-01/
      DATA (KA(JT, 2, 9),JT=1,5) /
     &5.3130E-01,5.3096E-01,5.3038E-01,5.2953E-01,5.2828E-01/
      DATA (KA(JT, 3, 9),JT=1,5) /
     &4.8947E-01,4.8989E-01,4.8991E-01,4.8970E-01,4.8916E-01/
      DATA (KA(JT, 4, 9),JT=1,5) /
     &4.4646E-01,4.4756E-01,4.4841E-01,4.4893E-01,4.4859E-01/
      DATA (KA(JT, 5, 9),JT=1,5) /
     &4.0428E-01,4.0594E-01,4.0746E-01,4.0811E-01,4.0825E-01/
      DATA (KA(JT, 6, 9),JT=1,5) /
     &3.6305E-01,3.6545E-01,3.6730E-01,3.6814E-01,3.6854E-01/
      DATA (KA(JT, 7, 9),JT=1,5) /
     &3.2383E-01,3.2659E-01,3.2849E-01,3.2954E-01,3.3028E-01/
      DATA (KA(JT, 8, 9),JT=1,5) /
     &2.8691E-01,2.8966E-01,2.9156E-01,2.9286E-01,2.9379E-01/
      DATA (KA(JT, 9, 9),JT=1,5) /
     &2.5109E-01,2.5404E-01,2.5607E-01,2.5752E-01,2.5870E-01/
      DATA (KA(JT,10, 9),JT=1,5) /
     &2.1600E-01,2.1860E-01,2.2047E-01,2.2164E-01,2.2251E-01/
      DATA (KA(JT,11, 9),JT=1,5) /
     &1.9149E-01,1.9387E-01,1.9567E-01,1.9725E-01,1.9809E-01/
      DATA (KA(JT,12, 9),JT=1,5) /
     &1.6914E-01,1.7134E-01,1.7303E-01,1.7407E-01,1.7494E-01/
      DATA (KA(JT,13, 9),JT=1,5) /
     &1.4841E-01,1.5027E-01,1.5244E-01,1.5403E-01,1.5523E-01/
      DATA (KA(JT, 1,10),JT=1,5) /
     &1.4885E+00,1.4756E+00,1.4663E+00,1.4567E+00,1.4479E+00/
      DATA (KA(JT, 2,10),JT=1,5) /
     &1.4911E+00,1.4850E+00,1.4762E+00,1.4677E+00,1.4597E+00/
      DATA (KA(JT, 3,10),JT=1,5) /
     &1.4749E+00,1.4716E+00,1.4663E+00,1.4579E+00,1.4502E+00/
      DATA (KA(JT, 4,10),JT=1,5) /
     &1.4314E+00,1.4303E+00,1.4232E+00,1.4150E+00,1.4115E+00/
      DATA (KA(JT, 5,10),JT=1,5) /
     &1.3616E+00,1.3604E+00,1.3539E+00,1.3506E+00,1.3501E+00/
      DATA (KA(JT, 6,10),JT=1,5) /
     &1.2710E+00,1.2700E+00,1.2670E+00,1.2702E+00,1.2745E+00/
      DATA (KA(JT, 7,10),JT=1,5) /
     &1.1674E+00,1.1690E+00,1.1727E+00,1.1812E+00,1.1854E+00/
      DATA (KA(JT, 8,10),JT=1,5) /
     &1.0584E+00,1.0652E+00,1.0757E+00,1.0857E+00,1.0906E+00/
      DATA (KA(JT, 9,10),JT=1,5) /
     &9.5450E-01,9.6414E-01,9.7673E-01,9.8621E-01,9.9187E-01/
      DATA (KA(JT,10,10),JT=1,5) /
     &8.3626E-01,8.4690E-01,8.5901E-01,8.6824E-01,8.7535E-01/
      DATA (KA(JT,11,10),JT=1,5) /
     &7.3738E-01,7.4729E-01,7.5610E-01,7.5994E-01,7.6481E-01/
      DATA (KA(JT,12,10),JT=1,5) /
     &6.6891E-01,6.7622E-01,6.8092E-01,6.8498E-01,6.8877E-01/
      DATA (KA(JT,13,10),JT=1,5) /
     &5.8616E-01,5.9614E-01,5.9749E-01,6.0310E-01,6.0445E-01/
      DATA (KA(JT, 1,11),JT=1,5) /
     &2.0080E+00,1.9998E+00,1.9844E+00,1.9679E+00,1.9504E+00/
      DATA (KA(JT, 2,11),JT=1,5) /
     &2.0896E+00,2.0752E+00,2.0596E+00,2.0445E+00,2.0293E+00/
      DATA (KA(JT, 3,11),JT=1,5) /
     &2.1262E+00,2.1143E+00,2.1043E+00,2.0968E+00,2.0862E+00/
      DATA (KA(JT, 4,11),JT=1,5) /
     &2.1310E+00,2.1263E+00,2.1243E+00,2.1203E+00,2.1144E+00/
      DATA (KA(JT, 5,11),JT=1,5) /
     &2.1041E+00,2.1063E+00,2.1071E+00,2.1077E+00,2.1021E+00/
      DATA (KA(JT, 6,11),JT=1,5) /
     &2.0447E+00,2.0491E+00,2.0534E+00,2.0532E+00,2.0477E+00/
      DATA (KA(JT, 7,11),JT=1,5) /
     &1.9487E+00,1.9563E+00,1.9608E+00,1.9593E+00,1.9591E+00/
      DATA (KA(JT, 8,11),JT=1,5) /
     &1.8239E+00,1.8317E+00,1.8359E+00,1.8391E+00,1.8451E+00/
      DATA (KA(JT, 9,11),JT=1,5) /
     &1.6772E+00,1.6879E+00,1.6955E+00,1.7047E+00,1.7179E+00/
      DATA (KA(JT,10,11),JT=1,5) /
     &1.5007E+00,1.5184E+00,1.5343E+00,1.5540E+00,1.5756E+00/
      DATA (KA(JT,11,11),JT=1,5) /
     &1.3041E+00,1.3245E+00,1.3445E+00,1.3685E+00,1.3888E+00/
      DATA (KA(JT,12,11),JT=1,5) /
     &1.1590E+00,1.1749E+00,1.1906E+00,1.2046E+00,1.2212E+00/
      DATA (KA(JT,13,11),JT=1,5) /
     &1.0681E+00,1.0905E+00,1.1017E+00,1.0997E+00,1.1116E+00/
      DATA (KA(JT, 1,12),JT=1,5) /
     &2.6762E+00,2.6701E+00,2.6710E+00,2.6742E+00,2.6733E+00/
      DATA (KA(JT, 2,12),JT=1,5) /
     &2.8804E+00,2.8775E+00,2.8798E+00,2.8773E+00,2.8700E+00/
      DATA (KA(JT, 3,12),JT=1,5) /
     &3.0825E+00,3.0790E+00,3.0757E+00,3.0631E+00,3.0471E+00/
      DATA (KA(JT, 4,12),JT=1,5) /
     &3.2355E+00,3.2278E+00,3.2144E+00,3.1959E+00,3.1753E+00/
      DATA (KA(JT, 5,12),JT=1,5) /
     &3.3271E+00,3.3191E+00,3.3073E+00,3.2879E+00,3.2714E+00/
      DATA (KA(JT, 6,12),JT=1,5) /
     &3.3604E+00,3.3571E+00,3.3478E+00,3.3355E+00,3.3272E+00/
      DATA (KA(JT, 7,12),JT=1,5) /
     &3.3406E+00,3.3436E+00,3.3436E+00,3.3435E+00,3.3409E+00/
      DATA (KA(JT, 8,12),JT=1,5) /
     &3.2648E+00,3.2808E+00,3.2919E+00,3.2976E+00,3.2999E+00/
      DATA (KA(JT, 9,12),JT=1,5) /
     &3.1373E+00,3.1630E+00,3.1816E+00,3.1936E+00,3.1991E+00/
      DATA (KA(JT,10,12),JT=1,5) /
     &2.9678E+00,2.9982E+00,3.0244E+00,3.0412E+00,3.0500E+00/
      DATA (KA(JT,11,12),JT=1,5) /
     &2.7380E+00,2.7731E+00,2.8013E+00,2.8227E+00,2.8455E+00/
      DATA (KA(JT,12,12),JT=1,5) /
     &2.4616E+00,2.4905E+00,2.5348E+00,2.5805E+00,2.6155E+00/
      DATA (KA(JT,13,12),JT=1,5) /
     &2.2251E+00,2.2562E+00,2.2966E+00,2.3312E+00,2.3811E+00/
      DATA (KA(JT, 1,13),JT=1,5) /
     &3.8031E+00,3.7992E+00,3.7926E+00,3.7822E+00,3.7755E+00/
      DATA (KA(JT, 2,13),JT=1,5) /
     &4.1542E+00,4.1473E+00,4.1391E+00,4.1329E+00,4.1296E+00/
      DATA (KA(JT, 3,13),JT=1,5) /
     &4.4998E+00,4.4963E+00,4.4896E+00,4.4914E+00,4.4937E+00/
      DATA (KA(JT, 4,13),JT=1,5) /
     &4.8464E+00,4.8445E+00,4.8485E+00,4.8565E+00,4.8598E+00/
      DATA (KA(JT, 5,13),JT=1,5) /
     &5.2074E+00,5.2112E+00,5.2168E+00,5.2231E+00,5.2210E+00/
      DATA (KA(JT, 6,13),JT=1,5) /
     &5.5492E+00,5.5575E+00,5.5655E+00,5.5693E+00,5.5642E+00/
      DATA (KA(JT, 7,13),JT=1,5) /
     &5.8380E+00,5.8479E+00,5.8509E+00,5.8482E+00,5.8453E+00/
      DATA (KA(JT, 8,13),JT=1,5) /
     &6.0377E+00,6.0538E+00,6.0594E+00,6.0647E+00,6.0640E+00/
      DATA (KA(JT, 9,13),JT=1,5) /
     &6.1268E+00,6.1532E+00,6.1730E+00,6.1888E+00,6.1993E+00/
      DATA (KA(JT,10,13),JT=1,5) /
     &6.1216E+00,6.1612E+00,6.1936E+00,6.2230E+00,6.2454E+00/
      DATA (KA(JT,11,13),JT=1,5) /
     &6.0409E+00,6.0960E+00,6.1462E+00,6.1882E+00,6.2219E+00/
      DATA (KA(JT,12,13),JT=1,5) /
     &5.8645E+00,5.9597E+00,6.0234E+00,6.0826E+00,6.1390E+00/
      DATA (KA(JT,13,13),JT=1,5) /
     &5.6001E+00,5.7009E+00,5.8017E+00,5.9181E+00,5.9860E+00/
      DATA (KA(JT, 1,14),JT=1,5) /
     &5.3647E+00,5.3127E+00,5.2736E+00,5.2471E+00,5.2264E+00/
      DATA (KA(JT, 2,14),JT=1,5) /
     &6.2359E+00,6.1753E+00,6.1253E+00,6.0847E+00,6.0573E+00/
      DATA (KA(JT, 3,14),JT=1,5) /
     &7.2065E+00,7.1249E+00,7.0556E+00,6.9965E+00,6.9559E+00/
      DATA (KA(JT, 4,14),JT=1,5) /
     &8.1631E+00,8.0714E+00,7.9828E+00,7.9081E+00,7.8545E+00/
      DATA (KA(JT, 5,14),JT=1,5) /
     &9.0691E+00,8.9602E+00,8.8621E+00,8.7858E+00,8.7314E+00/
      DATA (KA(JT, 6,14),JT=1,5) /
     &9.9707E+00,9.8474E+00,9.7395E+00,9.6541E+00,9.5904E+00/
      DATA (KA(JT, 7,14),JT=1,5) /
     &1.0852E+01,1.0724E+01,1.0620E+01,1.0536E+01,1.0469E+01/
      DATA (KA(JT, 8,14),JT=1,5) /
     &1.1716E+01,1.1588E+01,1.1487E+01,1.1403E+01,1.1337E+01/
      DATA (KA(JT, 9,14),JT=1,5) /
     &1.2572E+01,1.2448E+01,1.2341E+01,1.2260E+01,1.2188E+01/
      DATA (KA(JT,10,14),JT=1,5) /
     &1.3374E+01,1.3256E+01,1.3159E+01,1.3080E+01,1.3010E+01/
      DATA (KA(JT,11,14),JT=1,5) /
     &1.4046E+01,1.3957E+01,1.3888E+01,1.3824E+01,1.3769E+01/
      DATA (KA(JT,12,14),JT=1,5) /
     &1.4644E+01,1.4592E+01,1.4548E+01,1.4504E+01,1.4461E+01/
      DATA (KA(JT,13,14),JT=1,5) /
     &1.5144E+01,1.5129E+01,1.5111E+01,1.5095E+01,1.5074E+01/
      DATA (KA(JT, 1,15),JT=1,5) /
     &7.2019E+00,7.1097E+00,7.0236E+00,6.9449E+00,6.8844E+00/
      DATA (KA(JT, 2,15),JT=1,5) /
     &8.7604E+00,8.6468E+00,8.5349E+00,8.4375E+00,8.3491E+00/
      DATA (KA(JT, 3,15),JT=1,5) /
     &1.0615E+01,1.0469E+01,1.0333E+01,1.0214E+01,1.0099E+01/
      DATA (KA(JT, 4,15),JT=1,5) /
     &1.2669E+01,1.2473E+01,1.2305E+01,1.2161E+01,1.2026E+01/
      DATA (KA(JT, 5,15),JT=1,5) /
     &1.4978E+01,1.4741E+01,1.4530E+01,1.4329E+01,1.4143E+01/
      DATA (KA(JT, 6,15),JT=1,5) /
     &1.7562E+01,1.7282E+01,1.7031E+01,1.6791E+01,1.6552E+01/
      DATA (KA(JT, 7,15),JT=1,5) /
     &2.0480E+01,2.0136E+01,1.9827E+01,1.9524E+01,1.9223E+01/
      DATA (KA(JT, 8,15),JT=1,5) /
     &2.3734E+01,2.3307E+01,2.2908E+01,2.2521E+01,2.2160E+01/
      DATA (KA(JT, 9,15),JT=1,5) /
     &2.7249E+01,2.6733E+01,2.6255E+01,2.5787E+01,2.5354E+01/
      DATA (KA(JT,10,15),JT=1,5) /
     &3.0889E+01,3.0311E+01,2.9740E+01,2.9192E+01,2.8690E+01/
      DATA (KA(JT,11,15),JT=1,5) /
     &3.4366E+01,3.3687E+01,3.3035E+01,3.2430E+01,3.1843E+01/
      DATA (KA(JT,12,15),JT=1,5) /
     &3.7839E+01,3.7085E+01,3.6360E+01,3.5655E+01,3.4957E+01/
      DATA (KA(JT,13,15),JT=1,5) /
     &4.1323E+01,4.0503E+01,3.9673E+01,3.8847E+01,3.8049E+01/
      DATA (KA(JT, 1,16),JT=1,5) /
     &8.2631E+00,8.1761E+00,8.0809E+00,7.9778E+00,7.9010E+00/
      DATA (KA(JT, 2,16),JT=1,5) /
     &1.0258E+01,1.0128E+01,1.0005E+01,9.8803E+00,9.7700E+00/
      DATA (KA(JT, 3,16),JT=1,5) /
     &1.2786E+01,1.2614E+01,1.2441E+01,1.2267E+01,1.2120E+01/
      DATA (KA(JT, 4,16),JT=1,5) /
     &1.5843E+01,1.5549E+01,1.5326E+01,1.5095E+01,1.4871E+01/
      DATA (KA(JT, 5,16),JT=1,5) /
     &1.9543E+01,1.9089E+01,1.8733E+01,1.8430E+01,1.8134E+01/
      DATA (KA(JT, 6,16),JT=1,5) /
     &2.4038E+01,2.3415E+01,2.2893E+01,2.2427E+01,2.2005E+01/
      DATA (KA(JT, 7,16),JT=1,5) /
     &2.9445E+01,2.8630E+01,2.7921E+01,2.7268E+01,2.6654E+01/
      DATA (KA(JT, 8,16),JT=1,5) /
     &3.5889E+01,3.4849E+01,3.3913E+01,3.3036E+01,3.2194E+01/
      DATA (KA(JT, 9,16),JT=1,5) /
     &4.3512E+01,4.2175E+01,4.0956E+01,3.9809E+01,3.8685E+01/
      DATA (KA(JT,10,16),JT=1,5) /
     &5.2253E+01,5.0582E+01,4.9011E+01,4.7508E+01,4.6037E+01/
      DATA (KA(JT,11,16),JT=1,5) /
     &6.1290E+01,5.9240E+01,5.7269E+01,5.5343E+01,5.3572E+01/
      DATA (KA(JT,12,16),JT=1,5) /
     &7.1193E+01,6.8607E+01,6.6135E+01,6.3828E+01,6.1720E+01/
      DATA (KA(JT,13,16),JT=1,5) /
     &8.1988E+01,7.8665E+01,7.5707E+01,7.2932E+01,7.0347E+01/

C     The array KB contains absorption coefs at the 16 chosen g-values 
C     for a range of pressure levels < ~100mb and temperatures. The first 
C     index in the array, JT, which runs from 1 to 5, corresponds to 
C     different temperatures.  More specifically, JT = 3 means that the 
C     data are for the reference temperature TREF for this pressure 
C     level, JT = 2 refers to the temperature TREF-15, JT = 1 is for
C     TREF-30, JT = 4 is for TREF+15, and JT = 5 is for TREF+30.  
C     The second index, JP, runs from 13 to 59 and refers to the JPth
C     reference pressure level (see taumol.f for the value of these
C     pressure levels in mb).  The third index, IG, goes from 1 to 16,
C     and tells us which g-interval the absorption coefficients are for.
      DATA (KB(JT,13, 1),JT=1,5) /
     &2.9597E-06,3.1929E-06,3.4159E-06,3.6256E-06,3.8264E-06/
      DATA (KB(JT,14, 1),JT=1,5) /
     &2.4233E-06,2.6151E-06,2.7866E-06,2.9502E-06,3.1170E-06/
      DATA (KB(JT,15, 1),JT=1,5) /
     &1.9206E-06,2.0789E-06,2.2099E-06,2.3383E-06,2.4505E-06/
      DATA (KB(JT,16, 1),JT=1,5) /
     &1.4933E-06,1.6071E-06,1.7039E-06,1.7994E-06,1.8816E-06/
      DATA (KB(JT,17, 1),JT=1,5) /
     &1.1429E-06,1.2144E-06,1.2895E-06,1.3503E-06,1.4174E-06/
      DATA (KB(JT,18, 1),JT=1,5) /
     &8.4134E-07,8.9264E-07,9.4260E-07,9.9003E-07,1.0391E-06/
      DATA (KB(JT,19, 1),JT=1,5) /
     &6.0683E-07,6.4142E-07,6.8018E-07,7.2042E-07,7.5479E-07/
      DATA (KB(JT,20, 1),JT=1,5) /
     &4.5809E-07,4.8813E-07,5.1934E-07,5.4823E-07,5.7261E-07/
      DATA (KB(JT,21, 1),JT=1,5) /
     &3.5219E-07,3.7835E-07,4.0322E-07,4.2772E-07,4.4736E-07/
      DATA (KB(JT,22, 1),JT=1,5) /
     &2.7419E-07,2.9542E-07,3.1617E-07,3.3398E-07,3.4932E-07/
      DATA (KB(JT,23, 1),JT=1,5) /
     &2.1385E-07,2.3127E-07,2.4670E-07,2.5951E-07,2.6952E-07/
      DATA (KB(JT,24, 1),JT=1,5) /
     &1.6767E-07,1.8179E-07,1.9282E-07,2.0136E-07,2.1113E-07/
      DATA (KB(JT,25, 1),JT=1,5) /
     &1.3361E-07,1.4301E-07,1.4980E-07,1.5778E-07,1.6615E-07/
      DATA (KB(JT,26, 1),JT=1,5) /
     &1.0615E-07,1.1218E-07,1.1889E-07,1.2574E-07,1.3111E-07/
      DATA (KB(JT,27, 1),JT=1,5) /
     &8.3660E-08,8.9296E-08,9.5019E-08,1.0007E-07,1.0397E-07/
      DATA (KB(JT,28, 1),JT=1,5) /
     &6.6667E-08,7.1217E-08,7.5615E-08,7.9237E-08,8.2239E-08/
      DATA (KB(JT,29, 1),JT=1,5) /
     &5.2776E-08,5.6086E-08,5.9828E-08,6.2513E-08,6.4218E-08/
      DATA (KB(JT,30, 1),JT=1,5) /
     &4.1429E-08,4.4370E-08,4.6731E-08,4.8553E-08,5.0143E-08/
      DATA (KB(JT,31, 1),JT=1,5) /
     &3.2437E-08,3.4523E-08,3.6208E-08,3.7500E-08,3.8571E-08/
      DATA (KB(JT,32, 1),JT=1,5) /
     &2.5237E-08,2.6730E-08,2.7868E-08,2.8829E-08,2.9943E-08/
      DATA (KB(JT,33, 1),JT=1,5) /
     &1.9545E-08,2.0614E-08,2.1467E-08,2.2280E-08,2.3141E-08/
      DATA (KB(JT,34, 1),JT=1,5) /
     &1.5146E-08,1.5869E-08,1.6509E-08,1.7179E-08,1.7980E-08/
      DATA (KB(JT,35, 1),JT=1,5) /
     &1.1482E-08,1.2039E-08,1.2547E-08,1.3255E-08,1.3874E-08/
      DATA (KB(JT,36, 1),JT=1,5) /
     &8.6172E-09,9.0023E-09,9.5607E-09,1.0106E-08,1.0595E-08/
      DATA (KB(JT,37, 1),JT=1,5) /
     &6.7411E-09,7.0781E-09,7.5553E-09,7.9739E-09,8.4011E-09/
      DATA (KB(JT,38, 1),JT=1,5) /
     &5.2604E-09,5.5743E-09,5.9410E-09,6.3031E-09,6.6516E-09/
      DATA (KB(JT,39, 1),JT=1,5) /
     &4.1129E-09,4.3854E-09,4.6851E-09,4.9771E-09,5.2463E-09/
      DATA (KB(JT,40, 1),JT=1,5) /
     &3.3089E-09,3.5289E-09,3.7702E-09,4.0125E-09,4.2415E-09/
      DATA (KB(JT,41, 1),JT=1,5) /
     &2.6794E-09,2.8488E-09,3.0428E-09,3.2437E-09,3.4420E-09/
      DATA (KB(JT,42, 1),JT=1,5) /
     &2.1670E-09,2.3030E-09,2.4589E-09,2.6252E-09,2.7867E-09/
      DATA (KB(JT,43, 1),JT=1,5) /
     &1.7699E-09,1.8853E-09,2.0001E-09,2.1330E-09,2.2657E-09/
      DATA (KB(JT,44, 1),JT=1,5) /
     &1.4446E-09,1.5471E-09,1.6397E-09,1.7423E-09,1.8526E-09/
      DATA (KB(JT,45, 1),JT=1,5) /
     &1.1734E-09,1.2754E-09,1.3542E-09,1.4242E-09,1.5193E-09/
      DATA (KB(JT,46, 1),JT=1,5) /
     &9.5743E-10,1.0470E-09,1.1183E-09,1.1726E-09,1.2389E-09/
      DATA (KB(JT,47, 1),JT=1,5) /
     &7.7345E-10,8.5197E-10,9.2184E-10,9.7368E-10,1.0149E-09/
      DATA (KB(JT,48, 1),JT=1,5) /
     &6.2500E-10,6.9288E-10,7.5548E-10,8.0446E-10,8.4428E-10/
      DATA (KB(JT,49, 1),JT=1,5) /
     &5.0095E-10,5.5967E-10,6.1904E-10,6.6441E-10,7.0339E-10/
      DATA (KB(JT,50, 1),JT=1,5) /
     &4.0806E-10,4.5712E-10,5.0530E-10,5.4974E-10,5.8246E-10/
      DATA (KB(JT,51, 1),JT=1,5) /
     &3.3102E-10,3.7130E-10,4.1121E-10,4.5024E-10,4.8436E-10/
      DATA (KB(JT,52, 1),JT=1,5) /
     &2.6906E-10,3.0739E-10,3.3845E-10,3.6884E-10,4.0024E-10/
      DATA (KB(JT,53, 1),JT=1,5) /
     &2.2202E-10,2.5108E-10,2.7937E-10,3.0592E-10,3.3012E-10/
      DATA (KB(JT,54, 1),JT=1,5) /
     &1.8662E-10,2.0761E-10,2.3072E-10,2.5342E-10,2.7445E-10/
      DATA (KB(JT,55, 1),JT=1,5) /
     &1.5741E-10,1.7147E-10,1.9146E-10,2.1029E-10,2.2857E-10/
      DATA (KB(JT,56, 1),JT=1,5) /
     &1.3151E-10,1.4637E-10,1.5977E-10,1.7547E-10,1.8974E-10/
      DATA (KB(JT,57, 1),JT=1,5) /
     &1.0874E-10,1.2447E-10,1.3634E-10,1.4752E-10,1.6022E-10/
      DATA (KB(JT,58, 1),JT=1,5) /
     &9.0206E-11,1.0484E-10,1.1617E-10,1.2545E-10,1.3474E-10/
      DATA (KB(JT,59, 1),JT=1,5) /
     &7.6759E-11,8.8866E-11,9.9340E-11,1.0706E-10,1.1444E-10/
      DATA (KB(JT,13, 2),JT=1,5) /
     &1.4727E-05,1.6357E-05,1.7961E-05,1.9530E-05,2.0852E-05/
      DATA (KB(JT,14, 2),JT=1,5) /
     &1.2148E-05,1.3478E-05,1.4818E-05,1.6049E-05,1.7100E-05/
      DATA (KB(JT,15, 2),JT=1,5) /
     &9.6902E-06,1.0787E-05,1.1835E-05,1.2770E-05,1.3515E-05/
      DATA (KB(JT,16, 2),JT=1,5) /
     &7.6235E-06,8.4575E-06,9.2217E-06,9.8526E-06,1.0449E-05/
      DATA (KB(JT,17, 2),JT=1,5) /
     &5.8049E-06,6.4239E-06,6.9733E-06,7.4131E-06,7.8082E-06/
      DATA (KB(JT,18, 2),JT=1,5) /
     &4.3204E-06,4.7510E-06,5.1165E-06,5.4579E-06,5.7434E-06/
      DATA (KB(JT,19, 2),JT=1,5) /
     &3.2211E-06,3.5327E-06,3.8175E-06,4.0535E-06,4.2245E-06/
      DATA (KB(JT,20, 2),JT=1,5) /
     &2.5265E-06,2.7652E-06,2.9644E-06,3.1331E-06,3.2730E-06/
      DATA (KB(JT,21, 2),JT=1,5) /
     &1.9921E-06,2.1749E-06,2.3343E-06,2.4377E-06,2.5458E-06/
      DATA (KB(JT,22, 2),JT=1,5) /
     &1.5859E-06,1.7259E-06,1.8236E-06,1.9124E-06,1.9942E-06/
      DATA (KB(JT,23, 2),JT=1,5) /
     &1.2591E-06,1.3565E-06,1.4309E-06,1.5032E-06,1.5642E-06/
      DATA (KB(JT,24, 2),JT=1,5) /
     &1.0012E-06,1.0701E-06,1.1246E-06,1.1819E-06,1.2279E-06/
      DATA (KB(JT,25, 2),JT=1,5) /
     &7.8985E-07,8.4074E-07,8.9029E-07,9.3145E-07,9.7085E-07/
      DATA (KB(JT,26, 2),JT=1,5) /
     &6.2996E-07,6.6847E-07,7.0637E-07,7.3513E-07,7.7135E-07/
      DATA (KB(JT,27, 2),JT=1,5) /
     &5.0283E-07,5.3111E-07,5.5653E-07,5.8306E-07,6.1799E-07/
      DATA (KB(JT,28, 2),JT=1,5) /
     &3.9962E-07,4.2320E-07,4.4265E-07,4.6715E-07,4.9516E-07/
      DATA (KB(JT,29, 2),JT=1,5) /
     &3.1810E-07,3.3597E-07,3.5191E-07,3.7448E-07,3.9768E-07/
      DATA (KB(JT,30, 2),JT=1,5) /
     &2.5242E-07,2.6447E-07,2.8109E-07,3.0089E-07,3.1543E-07/
      DATA (KB(JT,31, 2),JT=1,5) /
     &1.9837E-07,2.0954E-07,2.2442E-07,2.3762E-07,2.5183E-07/
      DATA (KB(JT,32, 2),JT=1,5) /
     &1.5599E-07,1.6701E-07,1.7789E-07,1.8880E-07,2.0030E-07/
      DATA (KB(JT,33, 2),JT=1,5) /
     &1.2307E-07,1.3211E-07,1.4046E-07,1.5111E-07,1.5988E-07/
      DATA (KB(JT,34, 2),JT=1,5) /
     &9.8429E-08,1.0498E-07,1.1326E-07,1.2074E-07,1.2779E-07/
      DATA (KB(JT,35, 2),JT=1,5) /
     &7.7743E-08,8.3951E-08,9.0473E-08,9.6277E-08,1.0204E-07/
      DATA (KB(JT,36, 2),JT=1,5) /
     &6.1220E-08,6.6399E-08,7.1102E-08,7.5946E-08,8.0803E-08/
      DATA (KB(JT,37, 2),JT=1,5) /
     &4.8819E-08,5.2962E-08,5.6669E-08,6.0817E-08,6.4709E-08/
      DATA (KB(JT,38, 2),JT=1,5) /
     &3.8871E-08,4.2226E-08,4.5376E-08,4.8641E-08,5.1855E-08/
      DATA (KB(JT,39, 2),JT=1,5) /
     &3.0869E-08,3.3485E-08,3.6233E-08,3.8868E-08,4.1523E-08/
      DATA (KB(JT,40, 2),JT=1,5) /
     &2.4798E-08,2.6983E-08,2.9180E-08,3.1437E-08,3.3600E-08/
      DATA (KB(JT,41, 2),JT=1,5) /
     &1.9951E-08,2.1784E-08,2.3518E-08,2.5460E-08,2.7219E-08/
      DATA (KB(JT,42, 2),JT=1,5) /
     &1.6098E-08,1.7542E-08,1.8979E-08,2.0547E-08,2.2016E-08/
      DATA (KB(JT,43, 2),JT=1,5) /
     &1.3020E-08,1.4144E-08,1.5414E-08,1.6610E-08,1.7870E-08/
      DATA (KB(JT,44, 2),JT=1,5) /
     &1.0548E-08,1.1500E-08,1.2492E-08,1.3520E-08,1.4524E-08/
      DATA (KB(JT,45, 2),JT=1,5) /
     &8.5602E-09,9.3245E-09,1.0096E-08,1.0978E-08,1.1819E-08/
      DATA (KB(JT,46, 2),JT=1,5) /
     &6.9149E-09,7.5653E-09,8.2154E-09,8.8822E-09,9.6002E-09/
      DATA (KB(JT,47, 2),JT=1,5) /
     &5.5708E-09,6.1164E-09,6.6678E-09,7.1922E-09,7.7633E-09/
      DATA (KB(JT,48, 2),JT=1,5) /
     &4.4804E-09,4.9312E-09,5.3967E-09,5.8662E-09,6.2780E-09/
      DATA (KB(JT,49, 2),JT=1,5) /
     &3.6467E-09,3.9866E-09,4.3628E-09,4.7589E-09,5.1208E-09/
      DATA (KB(JT,50, 2),JT=1,5) /
     &2.9524E-09,3.2540E-09,3.5471E-09,3.8638E-09,4.1887E-09/
      DATA (KB(JT,51, 2),JT=1,5) /
     &2.3887E-09,2.6526E-09,2.8959E-09,3.1504E-09,3.4112E-09/
      DATA (KB(JT,52, 2),JT=1,5) /
     &1.9321E-09,2.1648E-09,2.3625E-09,2.5839E-09,2.8173E-09/
      DATA (KB(JT,53, 2),JT=1,5) /
     &1.5684E-09,1.7725E-09,1.9476E-09,2.1240E-09,2.3118E-09/
      DATA (KB(JT,54, 2),JT=1,5) /
     &1.2799E-09,1.4467E-09,1.6073E-09,1.7494E-09,1.9160E-09/
      DATA (KB(JT,55, 2),JT=1,5) /
     &1.0442E-09,1.1911E-09,1.3216E-09,1.4537E-09,1.5771E-09/
      DATA (KB(JT,56, 2),JT=1,5) /
     &8.5741E-10,9.7937E-10,1.0936E-09,1.2056E-09,1.3167E-09/
      DATA (KB(JT,57, 2),JT=1,5) /
     &7.0358E-10,8.0334E-10,9.0824E-10,1.0056E-09,1.1010E-09/
      DATA (KB(JT,58, 2),JT=1,5) /
     &5.7428E-10,6.6441E-10,7.5420E-10,8.3627E-10,9.2485E-10/
      DATA (KB(JT,59, 2),JT=1,5) /
     &4.7922E-10,5.5592E-10,6.3499E-10,7.0731E-10,7.8678E-10/
      DATA (KB(JT,13, 3),JT=1,5) /
     &7.6201E-05,8.2699E-05,8.7499E-05,9.1352E-05,9.5348E-05/
      DATA (KB(JT,14, 3),JT=1,5) /
     &6.2821E-05,6.7861E-05,7.1868E-05,7.5108E-05,7.8557E-05/
      DATA (KB(JT,15, 3),JT=1,5) /
     &4.9775E-05,5.3367E-05,5.6639E-05,5.9001E-05,6.2303E-05/
      DATA (KB(JT,16, 3),JT=1,5) /
     &3.8005E-05,4.0883E-05,4.3269E-05,4.5403E-05,4.8139E-05/
      DATA (KB(JT,17, 3),JT=1,5) /
     &2.8550E-05,3.0750E-05,3.2331E-05,3.4489E-05,3.6687E-05/
      DATA (KB(JT,18, 3),JT=1,5) /
     &2.0976E-05,2.2322E-05,2.3743E-05,2.5554E-05,2.7223E-05/
      DATA (KB(JT,19, 3),JT=1,5) /
     &1.5389E-05,1.6422E-05,1.7792E-05,1.9127E-05,2.0295E-05/
      DATA (KB(JT,20, 3),JT=1,5) /
     &1.1883E-05,1.2816E-05,1.3962E-05,1.4872E-05,1.5725E-05/
      DATA (KB(JT,21, 3),JT=1,5) /
     &9.2948E-06,1.0187E-05,1.0986E-05,1.1713E-05,1.2426E-05/
      DATA (KB(JT,22, 3),JT=1,5) /
     &7.3969E-06,8.0840E-06,8.7263E-06,9.3856E-06,9.9533E-06/
      DATA (KB(JT,23, 3),JT=1,5) /
     &5.8961E-06,6.4591E-06,6.9648E-06,7.4494E-06,7.9385E-06/
      DATA (KB(JT,24, 3),JT=1,5) /
     &4.7445E-06,5.1742E-06,5.6036E-06,5.9758E-06,6.3724E-06/
      DATA (KB(JT,25, 3),JT=1,5) /
     &3.8442E-06,4.1791E-06,4.4837E-06,4.8078E-06,5.1294E-06/
      DATA (KB(JT,26, 3),JT=1,5) /
     &3.1335E-06,3.3923E-06,3.6400E-06,3.8961E-06,4.1487E-06/
      DATA (KB(JT,27, 3),JT=1,5) /
     &2.5499E-06,2.7432E-06,2.9560E-06,3.1545E-06,3.3433E-06/
      DATA (KB(JT,28, 3),JT=1,5) /
     &2.0635E-06,2.2231E-06,2.3897E-06,2.5516E-06,2.6938E-06/
      DATA (KB(JT,29, 3),JT=1,5) /
     &1.6635E-06,1.8024E-06,1.9279E-06,2.0498E-06,2.1627E-06/
      DATA (KB(JT,30, 3),JT=1,5) /
     &1.3359E-06,1.4474E-06,1.5470E-06,1.6346E-06,1.7457E-06/
      DATA (KB(JT,31, 3),JT=1,5) /
     &1.0697E-06,1.1477E-06,1.2254E-06,1.3097E-06,1.3914E-06/
      DATA (KB(JT,32, 3),JT=1,5) /
     &8.4958E-07,9.1464E-07,9.8189E-07,1.0489E-06,1.1150E-06/
      DATA (KB(JT,33, 3),JT=1,5) /
     &6.8178E-07,7.3356E-07,7.8905E-07,8.4226E-07,8.9476E-07/
      DATA (KB(JT,34, 3),JT=1,5) /
     &5.4737E-07,5.8995E-07,6.3374E-07,6.7732E-07,7.2182E-07/
      DATA (KB(JT,35, 3),JT=1,5) /
     &4.3680E-07,4.7086E-07,5.0771E-07,5.4209E-07,5.7687E-07/
      DATA (KB(JT,36, 3),JT=1,5) /
     &3.4612E-07,3.7466E-07,4.0370E-07,4.3073E-07,4.5979E-07/
      DATA (KB(JT,37, 3),JT=1,5) /
     &2.7725E-07,3.0048E-07,3.2451E-07,3.4638E-07,3.7105E-07/
      DATA (KB(JT,38, 3),JT=1,5) /
     &2.2228E-07,2.4114E-07,2.6049E-07,2.7871E-07,2.9935E-07/
      DATA (KB(JT,39, 3),JT=1,5) /
     &1.7797E-07,1.9317E-07,2.0878E-07,2.2411E-07,2.4102E-07/
      DATA (KB(JT,40, 3),JT=1,5) /
     &1.4346E-07,1.5601E-07,1.6913E-07,1.8197E-07,1.9566E-07/
      DATA (KB(JT,41, 3),JT=1,5) /
     &1.1559E-07,1.2615E-07,1.3697E-07,1.4785E-07,1.5874E-07/
      DATA (KB(JT,42, 3),JT=1,5) /
     &9.3358E-08,1.0214E-07,1.1089E-07,1.1998E-07,1.2904E-07/
      DATA (KB(JT,43, 3),JT=1,5) /
     &7.5599E-08,8.2690E-08,8.9808E-08,9.7524E-08,1.0511E-07/
      DATA (KB(JT,44, 3),JT=1,5) /
     &6.1285E-08,6.6786E-08,7.2937E-08,7.9087E-08,8.5525E-08/
      DATA (KB(JT,45, 3),JT=1,5) /
     &4.9725E-08,5.4294E-08,5.9263E-08,6.4213E-08,6.9583E-08/
      DATA (KB(JT,46, 3),JT=1,5) /
     &4.0336E-08,4.4186E-08,4.8034E-08,5.2184E-08,5.6534E-08/
      DATA (KB(JT,47, 3),JT=1,5) /
     &3.2904E-08,3.5633E-08,3.8959E-08,4.2402E-08,4.5883E-08/
      DATA (KB(JT,48, 3),JT=1,5) /
     &2.6725E-08,2.9104E-08,3.1693E-08,3.4312E-08,3.7304E-08/
      DATA (KB(JT,49, 3),JT=1,5) /
     &2.1751E-08,2.3849E-08,2.5803E-08,2.8024E-08,3.0356E-08/
      DATA (KB(JT,50, 3),JT=1,5) /
     &1.7587E-08,1.9609E-08,2.1216E-08,2.3022E-08,2.4942E-08/
      DATA (KB(JT,51, 3),JT=1,5) /
     &1.4376E-08,1.5990E-08,1.7493E-08,1.8872E-08,2.0463E-08/
      DATA (KB(JT,52, 3),JT=1,5) /
     &1.1811E-08,1.3106E-08,1.4489E-08,1.5615E-08,1.6832E-08/
      DATA (KB(JT,53, 3),JT=1,5) /
     &9.6001E-09,1.0788E-08,1.1921E-08,1.2985E-08,1.3904E-08/
      DATA (KB(JT,54, 3),JT=1,5) /
     &7.8243E-09,8.9178E-09,9.8430E-09,1.0840E-08,1.1619E-08/
      DATA (KB(JT,55, 3),JT=1,5) /
     &6.3638E-09,7.3678E-09,8.2214E-09,8.9997E-09,9.7565E-09/
      DATA (KB(JT,56, 3),JT=1,5) /
     &5.1753E-09,6.0497E-09,6.8419E-09,7.4560E-09,8.2362E-09/
      DATA (KB(JT,57, 3),JT=1,5) /
     &4.2164E-09,4.9916E-09,5.7066E-09,6.3308E-09,6.8950E-09/
      DATA (KB(JT,58, 3),JT=1,5) /
     &3.4618E-09,4.1424E-09,4.8054E-09,5.3757E-09,5.8095E-09/
      DATA (KB(JT,59, 3),JT=1,5) /
     &2.9083E-09,3.5291E-09,4.0932E-09,4.6285E-09,4.9865E-09/
      DATA (KB(JT,13, 4),JT=1,5) /
     &3.7674E-04,4.0953E-04,4.3690E-04,4.6059E-04,4.8007E-04/
      DATA (KB(JT,14, 4),JT=1,5) /
     &3.1202E-04,3.3906E-04,3.6066E-04,3.8003E-04,3.9627E-04/
      DATA (KB(JT,15, 4),JT=1,5) /
     &2.5135E-04,2.7271E-04,2.9069E-04,3.0661E-04,3.2005E-04/
      DATA (KB(JT,16, 4),JT=1,5) /
     &1.9797E-04,2.1527E-04,2.2955E-04,2.4328E-04,2.5456E-04/
      DATA (KB(JT,17, 4),JT=1,5) /
     &1.5354E-04,1.6679E-04,1.7933E-04,1.9101E-04,2.0041E-04/
      DATA (KB(JT,18, 4),JT=1,5) /
     &1.1742E-04,1.2797E-04,1.3923E-04,1.4836E-04,1.5654E-04/
      DATA (KB(JT,19, 4),JT=1,5) /
     &9.0519E-05,9.9386E-05,1.0819E-04,1.1601E-04,1.2319E-04/
      DATA (KB(JT,20, 4),JT=1,5) /
     &7.2579E-05,7.9910E-05,8.7075E-05,9.3728E-05,9.9656E-05/
      DATA (KB(JT,21, 4),JT=1,5) /
     &5.8866E-05,6.4805E-05,7.0705E-05,7.6153E-05,8.0996E-05/
      DATA (KB(JT,22, 4),JT=1,5) /
     &4.8157E-05,5.2883E-05,5.7740E-05,6.2130E-05,6.6100E-05/
      DATA (KB(JT,23, 4),JT=1,5) /
     &3.9337E-05,4.3289E-05,4.7275E-05,5.0906E-05,5.4161E-05/
      DATA (KB(JT,24, 4),JT=1,5) /
     &3.2289E-05,3.5577E-05,3.8808E-05,4.1814E-05,4.4433E-05/
      DATA (KB(JT,25, 4),JT=1,5) /
     &2.6615E-05,2.9301E-05,3.1984E-05,3.4396E-05,3.6509E-05/
      DATA (KB(JT,26, 4),JT=1,5) /
     &2.2060E-05,2.4270E-05,2.6460E-05,2.8450E-05,3.0203E-05/
      DATA (KB(JT,27, 4),JT=1,5) /
     &1.8344E-05,2.0177E-05,2.1948E-05,2.3595E-05,2.5001E-05/
      DATA (KB(JT,28, 4),JT=1,5) /
     &1.5256E-05,1.6787E-05,1.8242E-05,1.9561E-05,2.0696E-05/
      DATA (KB(JT,29, 4),JT=1,5) /
     &1.2679E-05,1.3952E-05,1.5170E-05,1.6211E-05,1.7163E-05/
      DATA (KB(JT,30, 4),JT=1,5) /
     &1.0550E-05,1.1605E-05,1.2579E-05,1.3451E-05,1.4210E-05/
      DATA (KB(JT,31, 4),JT=1,5) /
     &8.7512E-06,9.6322E-06,1.0433E-05,1.1133E-05,1.1762E-05/
      DATA (KB(JT,32, 4),JT=1,5) /
     &7.3001E-06,8.0203E-06,8.6745E-06,9.2292E-06,9.7295E-06/
      DATA (KB(JT,33, 4),JT=1,5) /
     &6.0958E-06,6.6862E-06,7.2006E-06,7.6359E-06,8.0576E-06/
      DATA (KB(JT,34, 4),JT=1,5) /
     &5.0855E-06,5.5671E-06,5.9670E-06,6.3392E-06,6.6869E-06/
      DATA (KB(JT,35, 4),JT=1,5) /
     &4.2033E-06,4.5905E-06,4.9250E-06,5.2384E-06,5.5369E-06/
      DATA (KB(JT,36, 4),JT=1,5) /
     &3.4384E-06,3.7618E-06,4.0430E-06,4.3060E-06,4.5577E-06/
      DATA (KB(JT,37, 4),JT=1,5) /
     &2.8039E-06,3.0749E-06,3.3135E-06,3.5344E-06,3.7458E-06/
      DATA (KB(JT,38, 4),JT=1,5) /
     &2.2842E-06,2.5104E-06,2.7126E-06,2.8966E-06,3.0768E-06/
      DATA (KB(JT,39, 4),JT=1,5) /
     &1.8585E-06,2.0510E-06,2.2194E-06,2.3731E-06,2.5249E-06/
      DATA (KB(JT,40, 4),JT=1,5) /
     &1.5041E-06,1.6676E-06,1.8097E-06,1.9402E-06,2.0681E-06/
      DATA (KB(JT,41, 4),JT=1,5) /
     &1.2154E-06,1.3541E-06,1.4749E-06,1.5852E-06,1.6934E-06/
      DATA (KB(JT,42, 4),JT=1,5) /
     &9.8033E-07,1.0975E-06,1.2011E-06,1.2945E-06,1.3859E-06/
      DATA (KB(JT,43, 4),JT=1,5) /
     &7.8724E-07,8.8625E-07,9.7486E-07,1.0554E-06,1.1307E-06/
      DATA (KB(JT,44, 4),JT=1,5) /
     &6.3059E-07,7.1382E-07,7.8948E-07,8.5755E-07,9.2044E-07/
      DATA (KB(JT,45, 4),JT=1,5) /
     &5.0426E-07,5.7391E-07,6.3808E-07,6.9718E-07,7.4972E-07/
      DATA (KB(JT,46, 4),JT=1,5) /
     &4.0133E-07,4.5858E-07,5.1414E-07,5.6400E-07,6.0964E-07/
      DATA (KB(JT,47, 4),JT=1,5) /
     &3.1580E-07,3.6440E-07,4.1120E-07,4.5433E-07,4.9348E-07/
      DATA (KB(JT,48, 4),JT=1,5) /
     &2.4847E-07,2.8907E-07,3.2879E-07,3.6537E-07,3.9903E-07/
      DATA (KB(JT,49, 4),JT=1,5) /
     &1.9530E-07,2.2858E-07,2.6247E-07,2.9331E-07,3.2217E-07/
      DATA (KB(JT,50, 4),JT=1,5) /
     &1.5364E-07,1.8113E-07,2.0911E-07,2.3589E-07,2.5994E-07/
      DATA (KB(JT,51, 4),JT=1,5) /
     &1.2072E-07,1.4413E-07,1.6656E-07,1.8952E-07,2.0983E-07/
      DATA (KB(JT,52, 4),JT=1,5) /
     &9.4925E-08,1.1397E-07,1.3255E-07,1.5193E-07,1.6960E-07/
      DATA (KB(JT,53, 4),JT=1,5) /
     &7.4473E-08,9.0197E-08,1.0574E-07,1.2153E-07,1.3661E-07/
      DATA (KB(JT,54, 4),JT=1,5) /
     &5.9009E-08,7.1594E-08,8.4781E-08,9.7758E-08,1.1018E-07/
      DATA (KB(JT,55, 4),JT=1,5) /
     &4.7008E-08,5.6997E-08,6.7838E-08,7.8753E-08,8.9116E-08/
      DATA (KB(JT,56, 4),JT=1,5) /
     &3.7415E-08,4.5642E-08,5.4420E-08,6.3466E-08,7.1910E-08/
      DATA (KB(JT,57, 4),JT=1,5) /
     &2.9896E-08,3.6635E-08,4.3697E-08,5.1036E-08,5.8267E-08/
      DATA (KB(JT,58, 4),JT=1,5) /
     &2.3946E-08,2.9523E-08,3.5316E-08,4.1183E-08,4.7391E-08/
      DATA (KB(JT,59, 4),JT=1,5) /
     &1.9881E-08,2.4642E-08,2.9390E-08,3.4099E-08,3.9234E-08/
      DATA (KB(JT,13, 5),JT=1,5) /
     &1.2771E-03,1.3202E-03,1.3557E-03,1.3927E-03,1.4233E-03/
      DATA (KB(JT,14, 5),JT=1,5) /
     &1.0608E-03,1.0951E-03,1.1249E-03,1.1549E-03,1.1788E-03/
      DATA (KB(JT,15, 5),JT=1,5) /
     &8.6750E-04,8.9679E-04,9.1986E-04,9.4399E-04,9.6405E-04/
      DATA (KB(JT,16, 5),JT=1,5) /
     &7.0073E-04,7.2504E-04,7.4630E-04,7.6495E-04,7.8165E-04/
      DATA (KB(JT,17, 5),JT=1,5) /
     &5.6280E-04,5.8321E-04,6.0153E-04,6.1544E-04,6.2885E-04/
      DATA (KB(JT,18, 5),JT=1,5) /
     &4.4940E-04,4.6598E-04,4.7887E-04,4.9058E-04,5.0223E-04/
      DATA (KB(JT,19, 5),JT=1,5) /
     &3.5753E-04,3.7064E-04,3.8290E-04,3.9390E-04,4.0387E-04/
      DATA (KB(JT,20, 5),JT=1,5) /
     &2.9013E-04,3.0099E-04,3.1179E-04,3.2117E-04,3.3011E-04/
      DATA (KB(JT,21, 5),JT=1,5) /
     &2.3657E-04,2.4602E-04,2.5504E-04,2.6340E-04,2.7145E-04/
      DATA (KB(JT,22, 5),JT=1,5) /
     &1.9423E-04,2.0224E-04,2.0987E-04,2.1711E-04,2.2439E-04/
      DATA (KB(JT,23, 5),JT=1,5) /
     &1.5963E-04,1.6643E-04,1.7308E-04,1.7949E-04,1.8580E-04/
      DATA (KB(JT,24, 5),JT=1,5) /
     &1.3166E-04,1.3745E-04,1.4332E-04,1.4871E-04,1.5428E-04/
      DATA (KB(JT,25, 5),JT=1,5) /
     &1.0885E-04,1.1394E-04,1.1896E-04,1.2371E-04,1.2846E-04/
      DATA (KB(JT,26, 5),JT=1,5) /
     &9.0403E-05,9.4914E-05,9.9157E-05,1.0310E-04,1.0729E-04/
      DATA (KB(JT,27, 5),JT=1,5) /
     &7.5265E-05,7.9166E-05,8.2648E-05,8.6209E-05,8.9882E-05/
      DATA (KB(JT,28, 5),JT=1,5) /
     &6.2870E-05,6.6050E-05,6.9111E-05,7.2289E-05,7.5451E-05/
      DATA (KB(JT,29, 5),JT=1,5) /
     &5.2465E-05,5.5192E-05,5.7887E-05,6.0660E-05,6.3367E-05/
      DATA (KB(JT,30, 5),JT=1,5) /
     &4.3887E-05,4.6191E-05,4.8588E-05,5.0910E-05,5.3278E-05/
      DATA (KB(JT,31, 5),JT=1,5) /
     &3.6760E-05,3.8766E-05,4.0783E-05,4.2783E-05,4.4780E-05/
      DATA (KB(JT,32, 5),JT=1,5) /
     &3.0831E-05,3.2561E-05,3.4267E-05,3.6000E-05,3.7594E-05/
      DATA (KB(JT,33, 5),JT=1,5) /
     &2.5908E-05,2.7389E-05,2.8832E-05,3.0290E-05,3.1581E-05/
      DATA (KB(JT,34, 5),JT=1,5) /
     &2.1776E-05,2.3026E-05,2.4266E-05,2.5444E-05,2.6510E-05/
      DATA (KB(JT,35, 5),JT=1,5) /
     &1.8233E-05,1.9280E-05,2.0324E-05,2.1266E-05,2.2141E-05/
      DATA (KB(JT,36, 5),JT=1,5) /
     &1.5160E-05,1.6042E-05,1.6918E-05,1.7686E-05,1.8406E-05/
      DATA (KB(JT,37, 5),JT=1,5) /
     &1.2538E-05,1.3285E-05,1.4015E-05,1.4657E-05,1.5269E-05/
      DATA (KB(JT,38, 5),JT=1,5) /
     &1.0357E-05,1.0990E-05,1.1595E-05,1.2148E-05,1.2651E-05/
      DATA (KB(JT,39, 5),JT=1,5) /
     &8.5566E-06,9.0856E-06,9.5986E-06,1.0057E-05,1.0478E-05/
      DATA (KB(JT,40, 5),JT=1,5) /
     &7.0390E-06,7.4826E-06,7.9200E-06,8.3061E-06,8.6634E-06/
      DATA (KB(JT,41, 5),JT=1,5) /
     &5.7827E-06,6.1572E-06,6.5269E-06,6.8528E-06,7.1595E-06/
      DATA (KB(JT,42, 5),JT=1,5) /
     &4.7477E-06,5.0656E-06,5.3705E-06,5.6486E-06,5.9100E-06/
      DATA (KB(JT,43, 5),JT=1,5) /
     &3.8802E-06,4.1533E-06,4.4089E-06,4.6515E-06,4.8719E-06/
      DATA (KB(JT,44, 5),JT=1,5) /
     &3.1658E-06,3.3971E-06,3.6177E-06,3.8205E-06,4.0089E-06/
      DATA (KB(JT,45, 5),JT=1,5) /
     &2.5796E-06,2.7740E-06,2.9635E-06,3.1336E-06,3.2986E-06/
      DATA (KB(JT,46, 5),JT=1,5) /
     &2.0945E-06,2.2636E-06,2.4214E-06,2.5698E-06,2.7077E-06/
      DATA (KB(JT,47, 5),JT=1,5) /
     &1.6931E-06,1.8383E-06,1.9729E-06,2.0996E-06,2.2172E-06/
      DATA (KB(JT,48, 5),JT=1,5) /
     &1.3650E-06,1.4889E-06,1.6043E-06,1.7139E-06,1.8136E-06/
      DATA (KB(JT,49, 5),JT=1,5) /
     &1.0981E-06,1.2042E-06,1.3028E-06,1.3963E-06,1.4824E-06/
      DATA (KB(JT,50, 5),JT=1,5) /
     &8.8407E-07,9.7370E-07,1.0589E-06,1.1383E-06,1.2124E-06/
      DATA (KB(JT,51, 5),JT=1,5) /
     &7.1150E-07,7.8682E-07,8.6048E-07,9.2711E-07,9.9128E-07/
      DATA (KB(JT,52, 5),JT=1,5) /
     &5.7140E-07,6.3513E-07,6.9790E-07,7.5466E-07,8.0946E-07/
      DATA (KB(JT,53, 5),JT=1,5) /
     &4.5871E-07,5.1183E-07,5.6494E-07,6.1376E-07,6.6022E-07/
      DATA (KB(JT,54, 5),JT=1,5) /
     &3.6889E-07,4.1319E-07,4.5759E-07,4.9973E-07,5.3933E-07/
      DATA (KB(JT,55, 5),JT=1,5) /
     &2.9683E-07,3.3396E-07,3.7110E-07,4.0671E-07,4.4026E-07/
      DATA (KB(JT,56, 5),JT=1,5) /
     &2.3828E-07,2.6973E-07,3.0048E-07,3.3099E-07,3.5949E-07/
      DATA (KB(JT,57, 5),JT=1,5) /
     &1.9083E-07,2.1782E-07,2.4350E-07,2.6883E-07,2.9309E-07/
      DATA (KB(JT,58, 5),JT=1,5) /
     &1.5334E-07,1.7592E-07,1.9753E-07,2.1869E-07,2.3903E-07/
      DATA (KB(JT,59, 5),JT=1,5) /
     &1.2635E-07,1.4504E-07,1.6321E-07,1.8074E-07,1.9759E-07/
      DATA (KB(JT,13, 6),JT=1,5) /
     &3.3433E-03,3.4159E-03,3.4798E-03,3.5397E-03,3.5995E-03/
      DATA (KB(JT,14, 6),JT=1,5) /
     &2.8039E-03,2.8589E-03,2.9090E-03,2.9595E-03,3.0108E-03/
      DATA (KB(JT,15, 6),JT=1,5) /
     &2.3135E-03,2.3579E-03,2.4012E-03,2.4470E-03,2.4900E-03/
      DATA (KB(JT,16, 6),JT=1,5) /
     &1.8925E-03,1.9281E-03,1.9671E-03,2.0090E-03,2.0445E-03/
      DATA (KB(JT,17, 6),JT=1,5) /
     &1.5365E-03,1.5703E-03,1.6039E-03,1.6424E-03,1.6760E-03/
      DATA (KB(JT,18, 6),JT=1,5) /
     &1.2424E-03,1.2746E-03,1.3067E-03,1.3397E-03,1.3687E-03/
      DATA (KB(JT,19, 6),JT=1,5) /
     &1.0113E-03,1.0417E-03,1.0664E-03,1.0958E-03,1.1231E-03/
      DATA (KB(JT,20, 6),JT=1,5) /
     &8.3375E-04,8.5863E-04,8.8098E-04,9.0680E-04,9.3093E-04/
      DATA (KB(JT,21, 6),JT=1,5) /
     &6.8849E-04,7.1056E-04,7.3161E-04,7.5402E-04,7.7432E-04/
      DATA (KB(JT,22, 6),JT=1,5) /
     &5.7076E-04,5.9001E-04,6.0925E-04,6.2816E-04,6.4531E-04/
      DATA (KB(JT,23, 6),JT=1,5) /
     &4.7462E-04,4.9138E-04,5.0818E-04,5.2421E-04,5.3930E-04/
      DATA (KB(JT,24, 6),JT=1,5) /
     &3.9552E-04,4.1011E-04,4.2460E-04,4.3865E-04,4.5206E-04/
      DATA (KB(JT,25, 6),JT=1,5) /
     &3.3041E-04,3.4317E-04,3.5573E-04,3.6800E-04,3.8005E-04/
      DATA (KB(JT,26, 6),JT=1,5) /
     &2.7699E-04,2.8806E-04,2.9892E-04,3.0983E-04,3.2038E-04/
      DATA (KB(JT,27, 6),JT=1,5) /
     &2.3253E-04,2.4229E-04,2.5208E-04,2.6144E-04,2.7039E-04/
      DATA (KB(JT,28, 6),JT=1,5) /
     &1.9573E-04,2.0442E-04,2.1276E-04,2.2087E-04,2.2869E-04/
      DATA (KB(JT,29, 6),JT=1,5) /
     &1.6528E-04,1.7271E-04,1.7974E-04,1.8681E-04,1.9373E-04/
      DATA (KB(JT,30, 6),JT=1,5) /
     &1.3949E-04,1.4599E-04,1.5214E-04,1.5834E-04,1.6448E-04/
      DATA (KB(JT,31, 6),JT=1,5) /
     &1.1793E-04,1.2345E-04,1.2891E-04,1.3432E-04,1.3975E-04/
      DATA (KB(JT,32, 6),JT=1,5) /
     &9.9845E-05,1.0464E-04,1.0941E-04,1.1425E-04,1.1896E-04/
      DATA (KB(JT,33, 6),JT=1,5) /
     &8.4723E-05,8.8808E-05,9.3054E-05,9.7257E-05,1.0144E-04/
      DATA (KB(JT,34, 6),JT=1,5) /
     &7.1857E-05,7.5478E-05,7.9245E-05,8.2878E-05,8.6527E-05/
      DATA (KB(JT,35, 6),JT=1,5) /
     &6.0741E-05,6.3987E-05,6.7190E-05,7.0445E-05,7.3634E-05/
      DATA (KB(JT,36, 6),JT=1,5) /
     &5.1094E-05,5.3953E-05,5.6787E-05,5.9644E-05,6.2421E-05/
      DATA (KB(JT,37, 6),JT=1,5) /
     &4.2809E-05,4.5324E-05,4.7805E-05,5.0314E-05,5.2797E-05/
      DATA (KB(JT,38, 6),JT=1,5) /
     &3.5862E-05,3.8082E-05,4.0249E-05,4.2459E-05,4.4691E-05/
      DATA (KB(JT,39, 6),JT=1,5) /
     &3.0047E-05,3.1970E-05,3.3877E-05,3.5841E-05,3.7792E-05/
      DATA (KB(JT,40, 6),JT=1,5) /
     &2.5051E-05,2.6734E-05,2.8429E-05,3.0177E-05,3.1859E-05/
      DATA (KB(JT,41, 6),JT=1,5) /
     &2.0858E-05,2.2337E-05,2.3837E-05,2.5348E-05,2.6845E-05/
      DATA (KB(JT,42, 6),JT=1,5) /
     &1.7358E-05,1.8653E-05,1.9947E-05,2.1279E-05,2.2614E-05/
      DATA (KB(JT,43, 6),JT=1,5) /
     &1.4382E-05,1.5507E-05,1.6637E-05,1.7808E-05,1.8975E-05/
      DATA (KB(JT,44, 6),JT=1,5) /
     &1.1875E-05,1.2851E-05,1.3847E-05,1.4865E-05,1.5886E-05/
      DATA (KB(JT,45, 6),JT=1,5) /
     &9.7824E-06,1.0641E-05,1.1497E-05,1.2386E-05,1.3288E-05/
      DATA (KB(JT,46, 6),JT=1,5) /
     &8.0305E-06,8.7712E-06,9.5170E-06,1.0282E-05,1.1073E-05/
      DATA (KB(JT,47, 6),JT=1,5) /
     &6.5554E-06,7.1881E-06,7.8331E-06,8.5022E-06,9.1799E-06/
      DATA (KB(JT,48, 6),JT=1,5) /
     &5.3399E-06,5.8818E-06,6.4364E-06,7.0093E-06,7.5992E-06/
      DATA (KB(JT,49, 6),JT=1,5) /
     &4.3396E-06,4.7990E-06,5.2727E-06,5.7633E-06,6.2785E-06/
      DATA (KB(JT,50, 6),JT=1,5) /
     &3.5272E-06,3.9139E-06,4.3230E-06,4.7423E-06,5.1819E-06/
      DATA (KB(JT,51, 6),JT=1,5) /
     &2.8624E-06,3.1913E-06,3.5379E-06,3.8979E-06,4.2744E-06/
      DATA (KB(JT,52, 6),JT=1,5) /
     &2.3189E-06,2.5961E-06,2.8907E-06,3.1976E-06,3.5200E-06/
      DATA (KB(JT,53, 6),JT=1,5) /
     &1.8736E-06,2.1072E-06,2.3576E-06,2.6179E-06,2.8943E-06/
      DATA (KB(JT,54, 6),JT=1,5) /
     &1.5155E-06,1.7135E-06,1.9245E-06,2.1451E-06,2.3808E-06/
      DATA (KB(JT,55, 6),JT=1,5) /
     &1.2250E-06,1.3923E-06,1.5714E-06,1.7578E-06,1.9597E-06/
      DATA (KB(JT,56, 6),JT=1,5) /
     &9.9012E-07,1.1296E-06,1.2801E-06,1.4395E-06,1.6107E-06/
      DATA (KB(JT,57, 6),JT=1,5) /
     &7.9875E-07,9.1418E-07,1.0408E-06,1.1777E-06,1.3212E-06/
      DATA (KB(JT,58, 6),JT=1,5) /
     &6.4474E-07,7.4109E-07,8.4664E-07,9.6328E-07,1.0849E-06/
      DATA (KB(JT,59, 6),JT=1,5) /
     &5.3296E-07,6.1427E-07,7.0385E-07,8.0375E-07,9.0863E-07/
      DATA (KB(JT,13, 7),JT=1,5) /
     &9.1063E-03,9.2681E-03,9.4045E-03,9.5388E-03,9.6735E-03/
      DATA (KB(JT,14, 7),JT=1,5) /
     &7.8483E-03,7.9806E-03,8.1238E-03,8.2528E-03,8.3603E-03/
      DATA (KB(JT,15, 7),JT=1,5) /
     &6.6269E-03,6.7445E-03,6.8845E-03,6.9911E-03,7.0854E-03/
      DATA (KB(JT,16, 7),JT=1,5) /
     &5.5183E-03,5.6414E-03,5.7574E-03,5.8487E-03,5.9407E-03/
      DATA (KB(JT,17, 7),JT=1,5) /
     &4.5693E-03,4.6780E-03,4.7743E-03,4.8625E-03,4.9467E-03/
      DATA (KB(JT,18, 7),JT=1,5) /
     &3.7611E-03,3.8535E-03,3.9408E-03,4.0234E-03,4.1007E-03/
      DATA (KB(JT,19, 7),JT=1,5) /
     &3.0991E-03,3.1809E-03,3.2647E-03,3.3388E-03,3.4042E-03/
      DATA (KB(JT,20, 7),JT=1,5) /
     &2.5858E-03,2.6585E-03,2.7347E-03,2.7990E-03,2.8579E-03/
      DATA (KB(JT,21, 7),JT=1,5) /
     &2.1672E-03,2.2326E-03,2.2973E-03,2.3547E-03,2.4058E-03/
      DATA (KB(JT,22, 7),JT=1,5) /
     &1.8211E-03,1.8809E-03,1.9364E-03,1.9859E-03,2.0352E-03/
      DATA (KB(JT,23, 7),JT=1,5) /
     &1.5314E-03,1.5844E-03,1.6332E-03,1.6760E-03,1.7243E-03/
      DATA (KB(JT,24, 7),JT=1,5) /
     &1.2924E-03,1.3385E-03,1.3793E-03,1.4209E-03,1.4659E-03/
      DATA (KB(JT,25, 7),JT=1,5) /
     &1.0926E-03,1.1322E-03,1.1689E-03,1.2081E-03,1.2493E-03/
      DATA (KB(JT,26, 7),JT=1,5) /
     &9.2756E-04,9.6136E-04,9.9601E-04,1.0324E-03,1.0695E-03/
      DATA (KB(JT,27, 7),JT=1,5) /
     &7.8832E-04,8.1893E-04,8.5137E-04,8.8465E-04,9.1885E-04/
      DATA (KB(JT,28, 7),JT=1,5) /
     &6.7097E-04,6.9979E-04,7.2985E-04,7.6038E-04,7.9213E-04/
      DATA (KB(JT,29, 7),JT=1,5) /
     &5.7231E-04,5.9934E-04,6.2727E-04,6.5471E-04,6.8389E-04/
      DATA (KB(JT,30, 7),JT=1,5) /
     &4.8996E-04,5.1441E-04,5.3945E-04,5.6564E-04,5.9164E-04/
      DATA (KB(JT,31, 7),JT=1,5) /
     &4.1998E-04,4.4237E-04,4.6551E-04,4.8924E-04,5.1322E-04/
      DATA (KB(JT,32, 7),JT=1,5) /
     &3.6133E-04,3.8168E-04,4.0297E-04,4.2441E-04,4.4722E-04/
      DATA (KB(JT,33, 7),JT=1,5) /
     &3.1153E-04,3.3055E-04,3.4980E-04,3.6972E-04,3.9086E-04/
      DATA (KB(JT,34, 7),JT=1,5) /
     &2.6941E-04,2.8657E-04,3.0436E-04,3.2295E-04,3.4256E-04/
      DATA (KB(JT,35, 7),JT=1,5) /
     &2.3210E-04,2.4782E-04,2.6411E-04,2.8121E-04,2.9930E-04/
      DATA (KB(JT,36, 7),JT=1,5) /
     &1.9904E-04,2.1311E-04,2.2797E-04,2.4380E-04,2.6030E-04/
      DATA (KB(JT,37, 7),JT=1,5) /
     &1.7000E-04,1.8300E-04,1.9666E-04,2.1128E-04,2.2641E-04/
      DATA (KB(JT,38, 7),JT=1,5) /
     &1.4528E-04,1.5704E-04,1.6975E-04,1.8320E-04,1.9735E-04/
      DATA (KB(JT,39, 7),JT=1,5) /
     &1.2414E-04,1.3496E-04,1.4654E-04,1.5899E-04,1.7211E-04/
      DATA (KB(JT,40, 7),JT=1,5) /
     &1.0567E-04,1.1547E-04,1.2618E-04,1.3765E-04,1.4994E-04/
      DATA (KB(JT,41, 7),JT=1,5) /
     &8.9774E-05,9.8751E-05,1.0852E-04,1.1918E-04,1.3057E-04/
      DATA (KB(JT,42, 7),JT=1,5) /
     &7.6232E-05,8.4383E-05,9.3336E-05,1.0314E-04,1.1381E-04/
      DATA (KB(JT,43, 7),JT=1,5) /
     &6.4370E-05,7.1684E-05,7.9797E-05,8.8850E-05,9.8733E-05/
      DATA (KB(JT,44, 7),JT=1,5) /
     &5.4125E-05,6.0680E-05,6.8042E-05,7.6313E-05,8.5432E-05/
      DATA (KB(JT,45, 7),JT=1,5) /
     &4.5374E-05,5.1280E-05,5.7932E-05,6.5429E-05,7.3852E-05/
      DATA (KB(JT,46, 7),JT=1,5) /
     &3.7861E-05,4.3078E-05,4.9016E-05,5.5844E-05,6.3538E-05/
      DATA (KB(JT,47, 7),JT=1,5) /
     &3.1342E-05,3.5879E-05,4.1175E-05,4.7252E-05,5.4286E-05/
      DATA (KB(JT,48, 7),JT=1,5) /
     &2.5821E-05,2.9777E-05,3.4458E-05,3.9880E-05,4.6218E-05/
      DATA (KB(JT,49, 7),JT=1,5) /
     &2.1180E-05,2.4617E-05,2.8719E-05,3.3507E-05,3.9184E-05/
      DATA (KB(JT,50, 7),JT=1,5) /
     &1.7377E-05,2.0345E-05,2.3916E-05,2.8177E-05,3.3237E-05/
      DATA (KB(JT,51, 7),JT=1,5) /
     &1.4223E-05,1.6790E-05,1.9868E-05,2.3656E-05,2.8163E-05/
      DATA (KB(JT,52, 7),JT=1,5) /
     &1.1593E-05,1.3788E-05,1.6479E-05,1.9773E-05,2.3765E-05/
      DATA (KB(JT,53, 7),JT=1,5) /
     &9.4141E-06,1.1279E-05,1.3591E-05,1.6447E-05,1.9969E-05/
      DATA (KB(JT,54, 7),JT=1,5) /
     &7.6622E-06,9.2417E-06,1.1233E-05,1.3709E-05,1.6819E-05/
      DATA (KB(JT,55, 7),JT=1,5) /
     &6.2315E-06,7.5671E-06,9.2699E-06,1.1429E-05,1.4186E-05/
      DATA (KB(JT,56, 7),JT=1,5) /
     &5.0473E-06,6.1766E-06,7.6316E-06,9.4979E-06,1.1890E-05/
      DATA (KB(JT,57, 7),JT=1,5) /
     &4.0773E-06,5.0242E-06,6.2540E-06,7.8594E-06,9.9378E-06/
      DATA (KB(JT,58, 7),JT=1,5) /
     &3.2937E-06,4.0862E-06,5.1228E-06,6.4992E-06,8.3112E-06/
      DATA (KB(JT,59, 7),JT=1,5) /
     &2.7593E-06,3.4505E-06,4.3716E-06,5.6035E-06,7.2609E-06/
      DATA (KB(JT,13, 8),JT=1,5) /
     &2.5990E-02,2.5997E-02,2.6024E-02,2.6038E-02,2.6132E-02/
      DATA (KB(JT,14, 8),JT=1,5) /
     &2.2648E-02,2.2731E-02,2.2803E-02,2.2861E-02,2.3020E-02/
      DATA (KB(JT,15, 8),JT=1,5) /
     &1.9641E-02,1.9812E-02,1.9880E-02,1.9998E-02,2.0141E-02/
      DATA (KB(JT,16, 8),JT=1,5) /
     &1.6909E-02,1.7030E-02,1.7148E-02,1.7296E-02,1.7502E-02/
      DATA (KB(JT,17, 8),JT=1,5) /
     &1.4365E-02,1.4504E-02,1.4643E-02,1.4808E-02,1.4996E-02/
      DATA (KB(JT,18, 8),JT=1,5) /
     &1.2072E-02,1.2207E-02,1.2346E-02,1.2513E-02,1.2742E-02/
      DATA (KB(JT,19, 8),JT=1,5) /
     &1.0135E-02,1.0263E-02,1.0402E-02,1.0602E-02,1.0794E-02/
      DATA (KB(JT,20, 8),JT=1,5) /
     &8.6508E-03,8.7951E-03,8.9765E-03,9.1530E-03,9.3447E-03/
      DATA (KB(JT,21, 8),JT=1,5) /
     &7.4228E-03,7.5964E-03,7.7805E-03,7.9441E-03,8.1266E-03/
      DATA (KB(JT,22, 8),JT=1,5) /
     &6.3949E-03,6.5920E-03,6.7584E-03,6.9298E-03,7.0968E-03/
      DATA (KB(JT,23, 8),JT=1,5) /
     &5.5389E-03,5.7165E-03,5.8834E-03,6.0490E-03,6.2163E-03/
      DATA (KB(JT,24, 8),JT=1,5) /
     &4.7980E-03,4.9696E-03,5.1333E-03,5.3055E-03,5.4695E-03/
      DATA (KB(JT,25, 8),JT=1,5) /
     &4.1676E-03,4.3357E-03,4.4999E-03,4.6749E-03,4.8179E-03/
      DATA (KB(JT,26, 8),JT=1,5) /
     &3.6391E-03,3.8079E-03,3.9834E-03,4.1374E-03,4.2754E-03/
      DATA (KB(JT,27, 8),JT=1,5) /
     &3.1917E-03,3.3580E-03,3.5237E-03,3.6737E-03,3.7982E-03/
      DATA (KB(JT,28, 8),JT=1,5) /
     &2.8096E-03,2.9709E-03,3.1242E-03,3.2613E-03,3.3829E-03/
      DATA (KB(JT,29, 8),JT=1,5) /
     &2.4786E-03,2.6272E-03,2.7706E-03,2.8986E-03,3.0130E-03/
      DATA (KB(JT,30, 8),JT=1,5) /
     &2.1907E-03,2.3282E-03,2.4574E-03,2.5778E-03,2.6806E-03/
      DATA (KB(JT,31, 8),JT=1,5) /
     &1.9346E-03,2.0569E-03,2.1757E-03,2.2805E-03,2.3742E-03/
      DATA (KB(JT,32, 8),JT=1,5) /
     &1.7101E-03,1.8247E-03,1.9308E-03,2.0256E-03,2.1176E-03/
      DATA (KB(JT,33, 8),JT=1,5) /
     &1.5171E-03,1.6168E-03,1.7121E-03,1.8035E-03,1.8911E-03/
      DATA (KB(JT,34, 8),JT=1,5) /
     &1.3466E-03,1.4390E-03,1.5246E-03,1.6083E-03,1.6921E-03/
      DATA (KB(JT,35, 8),JT=1,5) /
     &1.1871E-03,1.2698E-03,1.3534E-03,1.4320E-03,1.5071E-03/
      DATA (KB(JT,36, 8),JT=1,5) /
     &1.0388E-03,1.1179E-03,1.1934E-03,1.2647E-03,1.3391E-03/
      DATA (KB(JT,37, 8),JT=1,5) /
     &9.2233E-04,9.9854E-04,1.0722E-03,1.1426E-03,1.2118E-03/
      DATA (KB(JT,38, 8),JT=1,5) /
     &8.1843E-04,8.9236E-04,9.6605E-04,1.0340E-03,1.1003E-03/
      DATA (KB(JT,39, 8),JT=1,5) /
     &7.2738E-04,7.9777E-04,8.6997E-04,9.3496E-04,9.9852E-04/
      DATA (KB(JT,40, 8),JT=1,5) /
     &6.5149E-04,7.2098E-04,7.9235E-04,8.6116E-04,9.2474E-04/
      DATA (KB(JT,41, 8),JT=1,5) /
     &5.8318E-04,6.5154E-04,7.2160E-04,7.9400E-04,8.5973E-04/
      DATA (KB(JT,42, 8),JT=1,5) /
     &5.2127E-04,5.8770E-04,6.5781E-04,7.3110E-04,8.0165E-04/
      DATA (KB(JT,43, 8),JT=1,5) /
     &4.6404E-04,5.2960E-04,5.9886E-04,6.7366E-04,7.4727E-04/
      DATA (KB(JT,44, 8),JT=1,5) /
     &4.1229E-04,4.7609E-04,5.4424E-04,6.1918E-04,6.9366E-04/
      DATA (KB(JT,45, 8),JT=1,5) /
     &3.6534E-04,4.2624E-04,4.9374E-04,5.6668E-04,6.4364E-04/
      DATA (KB(JT,46, 8),JT=1,5) /
     &3.2134E-04,3.7987E-04,4.4597E-04,5.1669E-04,5.9469E-04/
      DATA (KB(JT,47, 8),JT=1,5) /
     &2.7855E-04,3.3531E-04,3.9855E-04,4.6832E-04,5.4562E-04/
      DATA (KB(JT,48, 8),JT=1,5) /
     &2.4094E-04,2.9440E-04,3.5477E-04,4.2284E-04,4.9767E-04/
      DATA (KB(JT,49, 8),JT=1,5) /
     &2.0710E-04,2.5712E-04,3.1425E-04,3.8098E-04,4.5465E-04/
      DATA (KB(JT,50, 8),JT=1,5) /
     &1.7757E-04,2.2422E-04,2.7906E-04,3.4231E-04,4.1419E-04/
      DATA (KB(JT,51, 8),JT=1,5) /
     &1.5198E-04,1.9538E-04,2.4758E-04,3.0796E-04,3.7765E-04/
      DATA (KB(JT,52, 8),JT=1,5) /
     &1.2943E-04,1.6907E-04,2.1812E-04,2.7585E-04,3.4284E-04/
      DATA (KB(JT,53, 8),JT=1,5) /
     &1.0946E-04,1.4560E-04,1.9103E-04,2.4633E-04,3.1049E-04/
      DATA (KB(JT,54, 8),JT=1,5) /
     &9.2950E-05,1.2599E-04,1.6848E-04,2.2109E-04,2.8266E-04/
      DATA (KB(JT,55, 8),JT=1,5) /
     &7.8722E-05,1.0883E-04,1.4831E-04,1.9790E-04,2.5770E-04/
      DATA (KB(JT,56, 8),JT=1,5) /
     &6.6323E-05,9.3651E-05,1.2983E-04,1.7638E-04,2.3393E-04/
      DATA (KB(JT,57, 8),JT=1,5) /
     &5.5644E-05,8.0085E-05,1.1349E-04,1.5741E-04,2.1274E-04/
      DATA (KB(JT,58, 8),JT=1,5) /
     &4.6537E-05,6.8442E-05,9.9190E-05,1.4045E-04,1.9327E-04/
      DATA (KB(JT,59, 8),JT=1,5) /
     &4.1558E-05,6.2503E-05,9.2377E-05,1.3258E-04,1.8528E-04/
      DATA (KB(JT,13, 9),JT=1,5) /
     &1.4836E-01,1.5039E-01,1.5239E-01,1.5389E-01,1.5517E-01/
      DATA (KB(JT,14, 9),JT=1,5) /
     &1.2935E-01,1.3183E-01,1.3366E-01,1.3551E-01,1.3674E-01/
      DATA (KB(JT,15, 9),JT=1,5) /
     &1.1269E-01,1.1456E-01,1.1672E-01,1.1824E-01,1.1951E-01/
      DATA (KB(JT,16, 9),JT=1,5) /
     &9.7577E-02,9.9647E-02,1.0140E-01,1.0272E-01,1.0390E-01/
      DATA (KB(JT,17, 9),JT=1,5) /
     &8.4601E-02,8.6370E-02,8.7860E-02,8.9144E-02,9.0341E-02/
      DATA (KB(JT,18, 9),JT=1,5) /
     &7.2851E-02,7.4498E-02,7.5924E-02,7.7220E-02,7.8434E-02/
      DATA (KB(JT,19, 9),JT=1,5) /
     &6.2688E-02,6.4121E-02,6.5574E-02,6.6965E-02,6.8243E-02/
      DATA (KB(JT,20, 9),JT=1,5) /
     &5.4382E-02,5.5704E-02,5.7013E-02,5.8303E-02,5.9763E-02/
      DATA (KB(JT,21, 9),JT=1,5) /
     &4.7190E-02,4.8469E-02,4.9752E-02,5.1138E-02,5.2452E-02/
      DATA (KB(JT,22, 9),JT=1,5) /
     &4.1104E-02,4.2378E-02,4.3684E-02,4.5035E-02,4.6495E-02/
      DATA (KB(JT,23, 9),JT=1,5) /
     &3.5910E-02,3.7220E-02,3.8484E-02,3.9789E-02,4.1443E-02/
      DATA (KB(JT,24, 9),JT=1,5) /
     &3.1558E-02,3.2836E-02,3.4085E-02,3.5462E-02,3.7160E-02/
      DATA (KB(JT,25, 9),JT=1,5) /
     &2.7861E-02,2.9090E-02,3.0363E-02,3.1857E-02,3.3566E-02/
      DATA (KB(JT,26, 9),JT=1,5) /
     &2.4743E-02,2.6003E-02,2.7311E-02,2.8788E-02,3.0553E-02/
      DATA (KB(JT,27, 9),JT=1,5) /
     &2.2141E-02,2.3397E-02,2.4754E-02,2.6282E-02,2.8040E-02/
      DATA (KB(JT,28, 9),JT=1,5) /
     &1.9941E-02,2.1165E-02,2.2565E-02,2.4131E-02,2.5980E-02/
      DATA (KB(JT,29, 9),JT=1,5) /
     &1.8046E-02,1.9353E-02,2.0736E-02,2.2375E-02,2.4248E-02/
      DATA (KB(JT,30, 9),JT=1,5) /
     &1.6429E-02,1.7775E-02,1.9238E-02,2.0907E-02,2.2847E-02/
      DATA (KB(JT,31, 9),JT=1,5) /
     &1.5094E-02,1.6450E-02,1.7992E-02,1.9741E-02,2.1608E-02/
      DATA (KB(JT,32, 9),JT=1,5) /
     &1.3975E-02,1.5315E-02,1.6950E-02,1.8741E-02,2.0564E-02/
      DATA (KB(JT,33, 9),JT=1,5) /
     &1.3026E-02,1.4475E-02,1.6113E-02,1.7903E-02,1.9794E-02/
      DATA (KB(JT,34, 9),JT=1,5) /
     &1.2248E-02,1.3747E-02,1.5391E-02,1.7142E-02,1.9155E-02/
      DATA (KB(JT,35, 9),JT=1,5) /
     &1.1491E-02,1.2979E-02,1.4611E-02,1.6423E-02,1.8475E-02/
      DATA (KB(JT,36, 9),JT=1,5) /
     &1.0695E-02,1.2142E-02,1.3822E-02,1.5678E-02,1.7729E-02/
      DATA (KB(JT,37, 9),JT=1,5) /
     &9.8761E-03,1.1300E-02,1.3000E-02,1.4808E-02,1.6848E-02/
      DATA (KB(JT,38, 9),JT=1,5) /
     &9.1358E-03,1.0538E-02,1.2200E-02,1.3999E-02,1.6082E-02/
      DATA (KB(JT,39, 9),JT=1,5) /
     &8.4558E-03,9.8580E-03,1.1508E-02,1.3321E-02,1.5372E-02/
      DATA (KB(JT,40, 9),JT=1,5) /
     &7.8020E-03,9.1740E-03,1.0778E-02,1.2588E-02,1.4594E-02/
      DATA (KB(JT,41, 9),JT=1,5) /
     &7.2028E-03,8.5294E-03,1.0093E-02,1.1887E-02,1.3872E-02/
      DATA (KB(JT,42, 9),JT=1,5) /
     &6.6335E-03,7.9299E-03,9.4524E-03,1.1233E-02,1.3162E-02/
      DATA (KB(JT,43, 9),JT=1,5) /
     &6.0936E-03,7.3819E-03,8.8361E-03,1.0555E-02,1.2456E-02/
      DATA (KB(JT,44, 9),JT=1,5) /
     &5.5851E-03,6.8018E-03,8.2487E-03,9.8836E-03,1.1744E-02/
      DATA (KB(JT,45, 9),JT=1,5) /
     &5.1361E-03,6.2783E-03,7.6910E-03,9.2631E-03,1.1096E-02/
      DATA (KB(JT,46, 9),JT=1,5) /
     &4.6789E-03,5.7877E-03,7.1257E-03,8.6688E-03,1.0399E-02/
      DATA (KB(JT,47, 9),JT=1,5) /
     &4.2434E-03,5.3043E-03,6.5448E-03,8.0300E-03,9.7286E-03/
      DATA (KB(JT,48, 9),JT=1,5) /
     &3.8917E-03,4.8269E-03,6.0283E-03,7.4378E-03,9.0783E-03/
      DATA (KB(JT,49, 9),JT=1,5) /
     &3.5823E-03,4.3988E-03,5.5409E-03,6.8845E-03,8.4495E-03/
      DATA (KB(JT,50, 9),JT=1,5) /
     &3.3116E-03,4.0852E-03,5.1044E-03,6.3885E-03,7.8773E-03/
      DATA (KB(JT,51, 9),JT=1,5) /
     &3.0752E-03,3.8103E-03,4.7346E-03,5.9580E-03,7.3779E-03/
      DATA (KB(JT,52, 9),JT=1,5) /
     &2.8626E-03,3.5553E-03,4.4430E-03,5.5409E-03,6.9343E-03/
      DATA (KB(JT,53, 9),JT=1,5) /
     &2.6485E-03,3.3392E-03,4.1695E-03,5.1739E-03,6.4753E-03/
      DATA (KB(JT,54, 9),JT=1,5) /
     &2.4736E-03,3.1489E-03,3.9367E-03,4.8954E-03,6.1401E-03/
      DATA (KB(JT,55, 9),JT=1,5) /
     &2.3362E-03,2.9819E-03,3.7593E-03,4.6985E-03,5.8363E-03/
      DATA (KB(JT,56, 9),JT=1,5) /
     &2.2243E-03,2.8447E-03,3.5827E-03,4.4762E-03,5.5720E-03/
      DATA (KB(JT,57, 9),JT=1,5) /
     &2.1389E-03,2.7081E-03,3.4315E-03,4.3182E-03,5.3898E-03/
      DATA (KB(JT,58, 9),JT=1,5) /
     &2.0428E-03,2.5997E-03,3.3047E-03,4.1726E-03,5.2071E-03/
      DATA (KB(JT,59, 9),JT=1,5) /
     &2.0538E-03,2.6323E-03,3.3247E-03,4.1770E-03,5.2496E-03/
      DATA (KB(JT,13,10),JT=1,5) /
     &5.8637E-01,5.9481E-01,5.9811E-01,6.0451E-01,6.0418E-01/
      DATA (KB(JT,14,10),JT=1,5) /
     &5.3191E-01,5.3363E-01,5.3861E-01,5.3976E-01,5.3933E-01/
      DATA (KB(JT,15,10),JT=1,5) /
     &4.7845E-01,4.8447E-01,4.8498E-01,4.8691E-01,4.8935E-01/
      DATA (KB(JT,16,10),JT=1,5) /
     &4.2695E-01,4.3265E-01,4.3442E-01,4.3949E-01,4.4244E-01/
      DATA (KB(JT,17,10),JT=1,5) /
     &3.7796E-01,3.8437E-01,3.8958E-01,3.9367E-01,3.9802E-01/
      DATA (KB(JT,18,10),JT=1,5) /
     &3.3399E-01,3.3971E-01,3.4517E-01,3.5032E-01,3.5265E-01/
      DATA (KB(JT,19,10),JT=1,5) /
     &2.9538E-01,3.0247E-01,3.0713E-01,3.0943E-01,3.1544E-01/
      DATA (KB(JT,20,10),JT=1,5) /
     &2.6154E-01,2.6955E-01,2.7264E-01,2.7778E-01,2.8167E-01/
      DATA (KB(JT,21,10),JT=1,5) /
     &2.3200E-01,2.3896E-01,2.4468E-01,2.4838E-01,2.5453E-01/
      DATA (KB(JT,22,10),JT=1,5) /
     &2.0714E-01,2.1368E-01,2.1959E-01,2.2402E-01,2.2934E-01/
      DATA (KB(JT,23,10),JT=1,5) /
     &1.8514E-01,1.9070E-01,1.9771E-01,2.0426E-01,2.0794E-01/
      DATA (KB(JT,24,10),JT=1,5) /
     &1.6629E-01,1.7247E-01,1.7943E-01,1.8543E-01,1.9044E-01/
      DATA (KB(JT,25,10),JT=1,5) /
     &1.5103E-01,1.5758E-01,1.6440E-01,1.6947E-01,1.7504E-01/
      DATA (KB(JT,26,10),JT=1,5) /
     &1.3782E-01,1.4448E-01,1.5050E-01,1.5723E-01,1.6403E-01/
      DATA (KB(JT,27,10),JT=1,5) /
     &1.2675E-01,1.3284E-01,1.3902E-01,1.4547E-01,1.5299E-01/
      DATA (KB(JT,28,10),JT=1,5) /
     &1.1700E-01,1.2400E-01,1.3029E-01,1.3779E-01,1.4535E-01/
      DATA (KB(JT,29,10),JT=1,5) /
     &1.0975E-01,1.1580E-01,1.2300E-01,1.3106E-01,1.3981E-01/
      DATA (KB(JT,30,10),JT=1,5) /
     &1.0326E-01,1.0877E-01,1.1694E-01,1.2523E-01,1.3409E-01/
      DATA (KB(JT,31,10),JT=1,5) /
     &9.7072E-02,1.0392E-01,1.1191E-01,1.2092E-01,1.3156E-01/
      DATA (KB(JT,32,10),JT=1,5) /
     &9.2483E-02,1.0003E-01,1.0847E-01,1.1777E-01,1.2978E-01/
      DATA (KB(JT,33,10),JT=1,5) /
     &8.9436E-02,9.6549E-02,1.0550E-01,1.1582E-01,1.2938E-01/
      DATA (KB(JT,34,10),JT=1,5) /
     &8.6605E-02,9.3852E-02,1.0437E-01,1.1565E-01,1.3025E-01/
      DATA (KB(JT,35,10),JT=1,5) /
     &8.3755E-02,9.2443E-02,1.0318E-01,1.1569E-01,1.3035E-01/
      DATA (KB(JT,36,10),JT=1,5) /
     &8.0159E-02,9.0106E-02,1.0185E-01,1.1331E-01,1.3105E-01/
      DATA (KB(JT,37,10),JT=1,5) /
     &7.6863E-02,8.6981E-02,9.8816E-02,1.1094E-01,1.2837E-01/
      DATA (KB(JT,38,10),JT=1,5) /
     &7.3911E-02,8.4640E-02,9.5988E-02,1.0951E-01,1.2524E-01/
      DATA (KB(JT,39,10),JT=1,5) /
     &7.1484E-02,8.2465E-02,9.3807E-02,1.0732E-01,1.2288E-01/
      DATA (KB(JT,40,10),JT=1,5) /
     &6.8367E-02,7.8553E-02,9.0288E-02,1.0290E-01,1.1884E-01/
      DATA (KB(JT,41,10),JT=1,5) /
     &6.5972E-02,7.5367E-02,8.7331E-02,9.8979E-02,1.1479E-01/
      DATA (KB(JT,42,10),JT=1,5) /
     &6.3899E-02,7.2995E-02,8.4392E-02,9.6170E-02,1.1066E-01/
      DATA (KB(JT,43,10),JT=1,5) /
     &6.1601E-02,6.9361E-02,8.0265E-02,9.2296E-02,1.0575E-01/
      DATA (KB(JT,44,10),JT=1,5) /
     &5.8053E-02,6.7236E-02,7.7057E-02,8.8848E-02,1.0118E-01/
      DATA (KB(JT,45,10),JT=1,5) /
     &5.5041E-02,6.4788E-02,7.3479E-02,8.5189E-02,9.7294E-02/
      DATA (KB(JT,46,10),JT=1,5) /
     &5.1538E-02,6.1359E-02,7.0493E-02,8.1342E-02,9.3711E-02/
      DATA (KB(JT,47,10),JT=1,5) /
     &4.8229E-02,5.7754E-02,6.7703E-02,7.7712E-02,8.8779E-02/
      DATA (KB(JT,48,10),JT=1,5) /
     &4.4328E-02,5.3953E-02,6.4327E-02,7.4186E-02,8.5354E-02/
      DATA (KB(JT,49,10),JT=1,5) /
     &4.0181E-02,5.0939E-02,6.0544E-02,7.1079E-02,8.1883E-02/
      DATA (KB(JT,50,10),JT=1,5) /
     &3.6327E-02,4.7243E-02,5.7625E-02,6.7925E-02,7.8806E-02/
      DATA (KB(JT,51,10),JT=1,5) /
     &3.3026E-02,4.3278E-02,5.4464E-02,6.4411E-02,7.5916E-02/
      DATA (KB(JT,52,10),JT=1,5) /
     &2.9600E-02,3.9888E-02,5.0913E-02,6.1457E-02,7.2719E-02/
      DATA (KB(JT,53,10),JT=1,5) /
     &2.6994E-02,3.6264E-02,4.6926E-02,5.8631E-02,6.8972E-02/
      DATA (KB(JT,54,10),JT=1,5) /
     &2.4928E-02,3.3245E-02,4.3870E-02,5.5481E-02,6.6121E-02/
      DATA (KB(JT,55,10),JT=1,5) /
     &2.3329E-02,3.0647E-02,4.0729E-02,5.2051E-02,6.3960E-02/
      DATA (KB(JT,56,10),JT=1,5) /
     &2.1581E-02,2.8578E-02,3.7651E-02,4.8828E-02,6.0673E-02/
      DATA (KB(JT,57,10),JT=1,5) /
     &2.0121E-02,2.7060E-02,3.5152E-02,4.5854E-02,5.7152E-02/
      DATA (KB(JT,58,10),JT=1,5) /
     &1.8692E-02,2.5639E-02,3.2995E-02,4.2657E-02,5.4655E-02/
      DATA (KB(JT,59,10),JT=1,5) /
     &1.8277E-02,2.5273E-02,3.2791E-02,4.2508E-02,5.3680E-02/
      DATA (KB(JT,13,11),JT=1,5) /
     &1.0693E+00,1.0902E+00,1.1032E+00,1.0991E+00,1.1118E+00/
      DATA (KB(JT,14,11),JT=1,5) /
     &9.5953E-01,9.7384E-01,9.8577E-01,9.9728E-01,1.0070E+00/
      DATA (KB(JT,15,11),JT=1,5) /
     &8.5940E-01,8.6781E-01,8.7766E-01,8.8834E-01,8.9855E-01/
      DATA (KB(JT,16,11),JT=1,5) /
     &7.6187E-01,7.6651E-01,7.8116E-01,7.9605E-01,8.0429E-01/
      DATA (KB(JT,17,11),JT=1,5) /
     &6.7627E-01,6.8377E-01,6.9734E-01,7.0867E-01,7.1758E-01/
      DATA (KB(JT,18,11),JT=1,5) /
     &6.0442E-01,6.1462E-01,6.2319E-01,6.3477E-01,6.4696E-01/
      DATA (KB(JT,19,11),JT=1,5) /
     &5.4250E-01,5.5180E-01,5.6132E-01,5.7649E-01,5.8604E-01/
      DATA (KB(JT,20,11),JT=1,5) /
     &4.9000E-01,4.9922E-01,5.1229E-01,5.2536E-01,5.3903E-01/
      DATA (KB(JT,21,11),JT=1,5) /
     &4.4362E-01,4.5018E-01,4.6523E-01,4.8212E-01,4.9590E-01/
      DATA (KB(JT,22,11),JT=1,5) /
     &4.0390E-01,4.1136E-01,4.2554E-01,4.4299E-01,4.5956E-01/
      DATA (KB(JT,23,11),JT=1,5) /
     &3.6600E-01,3.7646E-01,3.9144E-01,4.0936E-01,4.2622E-01/
      DATA (KB(JT,24,11),JT=1,5) /
     &3.3488E-01,3.4802E-01,3.6259E-01,3.8089E-01,3.9832E-01/
      DATA (KB(JT,25,11),JT=1,5) /
     &3.0569E-01,3.2099E-01,3.3730E-01,3.5716E-01,3.7447E-01/
      DATA (KB(JT,26,11),JT=1,5) /
     &2.8345E-01,2.9933E-01,3.1861E-01,3.3716E-01,3.5400E-01/
      DATA (KB(JT,27,11),JT=1,5) /
     &2.6524E-01,2.8116E-01,3.0310E-01,3.2398E-01,3.4341E-01/
      DATA (KB(JT,28,11),JT=1,5) /
     &2.5036E-01,2.6748E-01,2.9040E-01,3.1038E-01,3.3527E-01/
      DATA (KB(JT,29,11),JT=1,5) /
     &2.3678E-01,2.5759E-01,2.7958E-01,3.0373E-01,3.3097E-01/
      DATA (KB(JT,30,11),JT=1,5) /
     &2.2835E-01,2.5043E-01,2.7298E-01,3.0247E-01,3.3069E-01/
      DATA (KB(JT,31,11),JT=1,5) /
     &2.2381E-01,2.4448E-01,2.7386E-01,3.0198E-01,3.3135E-01/
      DATA (KB(JT,32,11),JT=1,5) /
     &2.1945E-01,2.4581E-01,2.7557E-01,3.0488E-01,3.3817E-01/
      DATA (KB(JT,33,11),JT=1,5) /
     &2.2020E-01,2.4997E-01,2.7933E-01,3.1199E-01,3.4537E-01/
      DATA (KB(JT,34,11),JT=1,5) /
     &2.2328E-01,2.5315E-01,2.8560E-01,3.1999E-01,3.5204E-01/
      DATA (KB(JT,35,11),JT=1,5) /
     &2.2463E-01,2.5599E-01,2.9016E-01,3.2472E-01,3.5705E-01/
      DATA (KB(JT,36,11),JT=1,5) /
     &2.2454E-01,2.5719E-01,2.9064E-01,3.2676E-01,3.5643E-01/
      DATA (KB(JT,37,11),JT=1,5) /
     &2.1917E-01,2.5146E-01,2.8533E-01,3.2018E-01,3.5207E-01/
      DATA (KB(JT,38,11),JT=1,5) /
     &2.1431E-01,2.4593E-01,2.8070E-01,3.1440E-01,3.4740E-01/
      DATA (KB(JT,39,11),JT=1,5) /
     &2.0995E-01,2.4107E-01,2.7540E-01,3.0795E-01,3.4247E-01/
      DATA (KB(JT,40,11),JT=1,5) /
     &2.0148E-01,2.3319E-01,2.6577E-01,3.0086E-01,3.3366E-01/
      DATA (KB(JT,41,11),JT=1,5) /
     &1.9132E-01,2.2478E-01,2.5632E-01,2.9251E-01,3.2436E-01/
      DATA (KB(JT,42,11),JT=1,5) /
     &1.8231E-01,2.1584E-01,2.4724E-01,2.8164E-01,3.1641E-01/
      DATA (KB(JT,43,11),JT=1,5) /
     &1.7273E-01,2.0475E-01,2.3702E-01,2.6984E-01,3.0535E-01/
      DATA (KB(JT,44,11),JT=1,5) /
     &1.6365E-01,1.9313E-01,2.2566E-01,2.5812E-01,2.9340E-01/
      DATA (KB(JT,45,11),JT=1,5) /
     &1.5471E-01,1.8278E-01,2.1464E-01,2.4686E-01,2.8060E-01/
      DATA (KB(JT,46,11),JT=1,5) /
     &1.4477E-01,1.7256E-01,2.0328E-01,2.3515E-01,2.6753E-01/
      DATA (KB(JT,47,11),JT=1,5) /
     &1.3513E-01,1.6209E-01,1.9092E-01,2.2162E-01,2.5481E-01/
      DATA (KB(JT,48,11),JT=1,5) /
     &1.2632E-01,1.5056E-01,1.7900E-01,2.0905E-01,2.4085E-01/
      DATA (KB(JT,49,11),JT=1,5) /
     &1.1846E-01,1.4059E-01,1.6812E-01,1.9759E-01,2.2701E-01/
      DATA (KB(JT,50,11),JT=1,5) /
     &1.1278E-01,1.3341E-01,1.5756E-01,1.8662E-01,2.1629E-01/
      DATA (KB(JT,51,11),JT=1,5) /
     &1.0711E-01,1.2752E-01,1.4951E-01,1.7651E-01,2.0555E-01/
      DATA (KB(JT,52,11),JT=1,5) /
     &1.0062E-01,1.2140E-01,1.4273E-01,1.6677E-01,1.9594E-01/
      DATA (KB(JT,53,11),JT=1,5) /
     &9.3686E-02,1.1587E-01,1.3705E-01,1.5900E-01,1.8673E-01/
      DATA (KB(JT,54,11),JT=1,5) /
     &8.8183E-02,1.0986E-01,1.3159E-01,1.5362E-01,1.7808E-01/
      DATA (KB(JT,55,11),JT=1,5) /
     &8.1924E-02,1.0428E-01,1.2662E-01,1.4862E-01,1.7143E-01/
      DATA (KB(JT,56,11),JT=1,5) /
     &7.5991E-02,9.8633E-02,1.2219E-01,1.4408E-01,1.6698E-01/
      DATA (KB(JT,57,11),JT=1,5) /
     &6.9399E-02,9.2760E-02,1.1664E-01,1.4040E-01,1.6308E-01/
      DATA (KB(JT,58,11),JT=1,5) /
     &6.4018E-02,8.8343E-02,1.1169E-01,1.3686E-01,1.5969E-01/
      DATA (KB(JT,59,11),JT=1,5) /
     &6.3145E-02,8.6273E-02,1.1143E-01,1.3565E-01,1.6187E-01/
      DATA (KB(JT,13,12),JT=1,5) /
     &2.2241E+00,2.2556E+00,2.2932E+00,2.3316E+00,2.3817E+00/
      DATA (KB(JT,14,12),JT=1,5) /
     &2.0015E+00,2.0535E+00,2.0976E+00,2.1411E+00,2.1895E+00/
      DATA (KB(JT,15,12),JT=1,5) /
     &1.8111E+00,1.8671E+00,1.9196E+00,1.9734E+00,2.0226E+00/
      DATA (KB(JT,16,12),JT=1,5) /
     &1.6513E+00,1.7114E+00,1.7632E+00,1.8132E+00,1.8623E+00/
      DATA (KB(JT,17,12),JT=1,5) /
     &1.5041E+00,1.5648E+00,1.6197E+00,1.6720E+00,1.7169E+00/
      DATA (KB(JT,18,12),JT=1,5) /
     &1.3731E+00,1.4345E+00,1.4937E+00,1.5386E+00,1.6052E+00/
      DATA (KB(JT,19,12),JT=1,5) /
     &1.2478E+00,1.3115E+00,1.3641E+00,1.4279E+00,1.4977E+00/
      DATA (KB(JT,20,12),JT=1,5) /
     &1.1298E+00,1.1910E+00,1.2495E+00,1.3186E+00,1.3914E+00/
      DATA (KB(JT,21,12),JT=1,5) /
     &1.0266E+00,1.0915E+00,1.1508E+00,1.2227E+00,1.3004E+00/
      DATA (KB(JT,22,12),JT=1,5) /
     &9.3959E-01,1.0027E+00,1.0735E+00,1.1507E+00,1.2312E+00/
      DATA (KB(JT,23,12),JT=1,5) /
     &8.7016E-01,9.3486E-01,1.0125E+00,1.0930E+00,1.1794E+00/
      DATA (KB(JT,24,12),JT=1,5) /
     &8.1213E-01,8.8017E-01,9.6483E-01,1.0508E+00,1.1396E+00/
      DATA (KB(JT,25,12),JT=1,5) /
     &7.7134E-01,8.4295E-01,9.3081E-01,1.0201E+00,1.1152E+00/
      DATA (KB(JT,26,12),JT=1,5) /
     &7.3832E-01,8.1743E-01,9.0746E-01,1.0024E+00,1.1020E+00/
      DATA (KB(JT,27,12),JT=1,5) /
     &7.1831E-01,8.0328E-01,8.9505E-01,9.9247E-01,1.0943E+00/
      DATA (KB(JT,28,12),JT=1,5) /
     &7.0848E-01,7.9592E-01,8.9143E-01,9.9432E-01,1.0940E+00/
      DATA (KB(JT,29,12),JT=1,5) /
     &7.0725E-01,7.9781E-01,8.9906E-01,1.0007E+00,1.1009E+00/
      DATA (KB(JT,30,12),JT=1,5) /
     &7.1125E-01,8.0824E-01,9.1144E-01,1.0109E+00,1.1144E+00/
      DATA (KB(JT,31,12),JT=1,5) /
     &7.2057E-01,8.2548E-01,9.2423E-01,1.0285E+00,1.1338E+00/
      DATA (KB(JT,32,12),JT=1,5) /
     &7.3855E-01,8.4223E-01,9.4322E-01,1.0495E+00,1.1523E+00/
      DATA (KB(JT,33,12),JT=1,5) /
     &7.5860E-01,8.6137E-01,9.6653E-01,1.0709E+00,1.1736E+00/
      DATA (KB(JT,34,12),JT=1,5) /
     &7.7584E-01,8.8104E-01,9.8358E-01,1.0881E+00,1.1928E+00/
      DATA (KB(JT,35,12),JT=1,5) /
     &7.8526E-01,8.8915E-01,9.9181E-01,1.0955E+00,1.2024E+00/
      DATA (KB(JT,36,12),JT=1,5) /
     &7.8420E-01,8.8679E-01,9.8962E-01,1.0938E+00,1.2013E+00/
      DATA (KB(JT,37,12),JT=1,5) /
     &7.6619E-01,8.6975E-01,9.7162E-01,1.0774E+00,1.1823E+00/
      DATA (KB(JT,38,12),JT=1,5) /
     &7.4778E-01,8.5168E-01,9.5355E-01,1.0588E+00,1.1642E+00/
      DATA (KB(JT,39,12),JT=1,5) /
     &7.3003E-01,8.3397E-01,9.3638E-01,1.0427E+00,1.1461E+00/
      DATA (KB(JT,40,12),JT=1,5) /
     &7.0694E-01,8.0603E-01,9.0951E-01,1.0129E+00,1.1179E+00/
      DATA (KB(JT,41,12),JT=1,5) /
     &6.8380E-01,7.7629E-01,8.8021E-01,9.8263E-01,1.0876E+00/
      DATA (KB(JT,42,12),JT=1,5) /
     &6.6231E-01,7.4849E-01,8.5130E-01,9.5458E-01,1.0576E+00/
      DATA (KB(JT,43,12),JT=1,5) /
     &6.3688E-01,7.2048E-01,8.1634E-01,9.2017E-01,1.0227E+00/
      DATA (KB(JT,44,12),JT=1,5) /
     &6.0858E-01,6.9178E-01,7.7940E-01,8.8149E-01,9.8460E-01/
      DATA (KB(JT,45,12),JT=1,5) /
     &5.8153E-01,6.6520E-01,7.4925E-01,8.4319E-01,9.4694E-01/
      DATA (KB(JT,46,12),JT=1,5) /
     &5.5197E-01,6.3412E-01,7.1872E-01,8.0664E-01,9.0684E-01/
      DATA (KB(JT,47,12),JT=1,5) /
     &5.1844E-01,6.0273E-01,6.8769E-01,7.7076E-01,8.6117E-01/
      DATA (KB(JT,48,12),JT=1,5) /
     &4.8120E-01,5.7148E-01,6.5491E-01,7.4197E-01,8.2485E-01/
      DATA (KB(JT,49,12),JT=1,5) /
     &4.4584E-01,5.3846E-01,6.2079E-01,7.0603E-01,7.9220E-01/
      DATA (KB(JT,50,12),JT=1,5) /
     &4.1289E-01,5.0133E-01,5.9314E-01,6.7773E-01,7.6297E-01/
      DATA (KB(JT,51,12),JT=1,5) /
     &3.8263E-01,4.6808E-01,5.5994E-01,6.4654E-01,7.3545E-01/
      DATA (KB(JT,52,12),JT=1,5) /
     &3.5216E-01,4.3713E-01,5.2781E-01,6.1897E-01,7.0212E-01/
      DATA (KB(JT,53,12),JT=1,5) /
     &3.3102E-01,4.0477E-01,4.9059E-01,5.8472E-01,6.7270E-01/
      DATA (KB(JT,54,12),JT=1,5) /
     &3.1146E-01,3.7834E-01,4.6271E-01,5.5353E-01,6.4596E-01/
      DATA (KB(JT,55,12),JT=1,5) /
     &2.9087E-01,3.5982E-01,4.3598E-01,5.2416E-01,6.1765E-01/
      DATA (KB(JT,56,12),JT=1,5) /
     &2.7304E-01,3.4098E-01,4.1224E-01,4.9775E-01,5.8771E-01/
      DATA (KB(JT,57,12),JT=1,5) /
     &2.5824E-01,3.2066E-01,3.9085E-01,4.6641E-01,5.5829E-01/
      DATA (KB(JT,58,12),JT=1,5) /
     &2.4548E-01,3.0081E-01,3.7338E-01,4.4708E-01,5.3062E-01/
      DATA (KB(JT,59,12),JT=1,5) /
     &2.4212E-01,2.9858E-01,3.6550E-01,4.4064E-01,5.1789E-01/
      DATA (KB(JT,13,13),JT=1,5) /
     &5.5998E+00,5.7039E+00,5.8049E+00,5.9180E+00,5.9854E+00/
      DATA (KB(JT,14,13),JT=1,5) /
     &5.3275E+00,5.4387E+00,5.5543E+00,5.6621E+00,5.7635E+00/
      DATA (KB(JT,15,13),JT=1,5) /
     &5.0203E+00,5.1578E+00,5.2898E+00,5.4130E+00,5.5373E+00/
      DATA (KB(JT,16,13),JT=1,5) /
     &4.7246E+00,4.8786E+00,5.0266E+00,5.1689E+00,5.3242E+00/
      DATA (KB(JT,17,13),JT=1,5) /
     &4.4403E+00,4.6027E+00,4.7680E+00,4.9455E+00,5.1299E+00/
      DATA (KB(JT,18,13),JT=1,5) /
     &4.1648E+00,4.3473E+00,4.5415E+00,4.7508E+00,4.9298E+00/
      DATA (KB(JT,19,13),JT=1,5) /
     &3.9134E+00,4.1196E+00,4.3493E+00,4.5520E+00,4.7522E+00/
      DATA (KB(JT,20,13),JT=1,5) /
     &3.6873E+00,3.9195E+00,4.1603E+00,4.3826E+00,4.6005E+00/
      DATA (KB(JT,21,13),JT=1,5) /
     &3.4974E+00,3.7507E+00,4.0010E+00,4.2413E+00,4.4759E+00/
      DATA (KB(JT,22,13),JT=1,5) /
     &3.3605E+00,3.6305E+00,3.8873E+00,4.1404E+00,4.3929E+00/
      DATA (KB(JT,23,13),JT=1,5) /
     &3.2571E+00,3.5388E+00,3.8042E+00,4.0702E+00,4.3353E+00/
      DATA (KB(JT,24,13),JT=1,5) /
     &3.1836E+00,3.4721E+00,3.7495E+00,4.0277E+00,4.3044E+00/
      DATA (KB(JT,25,13),JT=1,5) /
     &3.1346E+00,3.4329E+00,3.7222E+00,4.0107E+00,4.2953E+00/
      DATA (KB(JT,26,13),JT=1,5) /
     &3.1155E+00,3.4221E+00,3.7222E+00,4.0178E+00,4.3079E+00/
      DATA (KB(JT,27,13),JT=1,5) /
     &3.1157E+00,3.4328E+00,3.7392E+00,4.0396E+00,4.3346E+00/
      DATA (KB(JT,28,13),JT=1,5) /
     &3.1335E+00,3.4580E+00,3.7695E+00,4.0734E+00,4.3720E+00/
      DATA (KB(JT,29,13),JT=1,5) /
     &3.1697E+00,3.4978E+00,3.8120E+00,4.1186E+00,4.4189E+00/
      DATA (KB(JT,30,13),JT=1,5) /
     &3.2194E+00,3.5475E+00,3.8638E+00,4.1720E+00,4.4722E+00/
      DATA (KB(JT,31,13),JT=1,5) /
     &3.2811E+00,3.6069E+00,3.9241E+00,4.2325E+00,4.5314E+00/
      DATA (KB(JT,32,13),JT=1,5) /
     &3.3484E+00,3.6727E+00,3.9897E+00,4.2974E+00,4.5949E+00/
      DATA (KB(JT,33,13),JT=1,5) /
     &3.4186E+00,3.7430E+00,4.0586E+00,4.3658E+00,4.6602E+00/
      DATA (KB(JT,34,13),JT=1,5) /
     &3.4801E+00,3.8048E+00,4.1197E+00,4.4255E+00,4.7156E+00/
      DATA (KB(JT,35,13),JT=1,5) /
     &3.5126E+00,3.8375E+00,4.1525E+00,4.4577E+00,4.7454E+00/
      DATA (KB(JT,36,13),JT=1,5) /
     &3.5115E+00,3.8370E+00,4.1529E+00,4.4584E+00,4.7449E+00/
      DATA (KB(JT,37,13),JT=1,5) /
     &3.4620E+00,3.7892E+00,4.1066E+00,4.4144E+00,4.7052E+00/
      DATA (KB(JT,38,13),JT=1,5) /
     &3.4108E+00,3.7391E+00,4.0587E+00,4.3685E+00,4.6624E+00/
      DATA (KB(JT,39,13),JT=1,5) /
     &3.3603E+00,3.6896E+00,4.0114E+00,4.3229E+00,4.6208E+00/
      DATA (KB(JT,40,13),JT=1,5) /
     &3.2696E+00,3.6068E+00,3.9317E+00,4.2460E+00,4.5479E+00/
      DATA (KB(JT,41,13),JT=1,5) /
     &3.1746E+00,3.5197E+00,3.8475E+00,4.1644E+00,4.4716E+00/
      DATA (KB(JT,42,13),JT=1,5) /
     &3.0768E+00,3.4312E+00,3.7630E+00,4.0826E+00,4.3924E+00/
      DATA (KB(JT,43,13),JT=1,5) /
     &2.9558E+00,3.3178E+00,3.6587E+00,3.9822E+00,4.2959E+00/
      DATA (KB(JT,44,13),JT=1,5) /
     &2.8280E+00,3.1906E+00,3.5435E+00,3.8727E+00,4.1899E+00/
      DATA (KB(JT,45,13),JT=1,5) /
     &2.6988E+00,3.0597E+00,3.4201E+00,3.7628E+00,4.0831E+00/
      DATA (KB(JT,46,13),JT=1,5) /
     &2.5661E+00,2.9262E+00,3.2865E+00,3.6383E+00,3.9682E+00/
      DATA (KB(JT,47,13),JT=1,5) /
     &2.4176E+00,2.7716E+00,3.1308E+00,3.4925E+00,3.8381E+00/
      DATA (KB(JT,48,13),JT=1,5) /
     &2.2754E+00,2.6218E+00,2.9793E+00,3.3363E+00,3.6948E+00/
      DATA (KB(JT,49,13),JT=1,5) /
     &2.1329E+00,2.4724E+00,2.8302E+00,3.1874E+00,3.5454E+00/
      DATA (KB(JT,50,13),JT=1,5) /
     &2.0005E+00,2.3398E+00,2.6856E+00,3.0422E+00,3.4002E+00/
      DATA (KB(JT,51,13),JT=1,5) /
     &1.8713E+00,2.2087E+00,2.5515E+00,2.9067E+00,3.2588E+00/
      DATA (KB(JT,52,13),JT=1,5) /
     &1.7459E+00,2.0772E+00,2.4169E+00,2.7666E+00,3.1241E+00/
      DATA (KB(JT,53,13),JT=1,5) /
     &1.6095E+00,1.9502E+00,2.2895E+00,2.6325E+00,2.9855E+00/
      DATA (KB(JT,54,13),JT=1,5) /
     &1.5066E+00,1.8320E+00,2.1659E+00,2.5081E+00,2.8569E+00/
      DATA (KB(JT,55,13),JT=1,5) /
     &1.4318E+00,1.7117E+00,2.0491E+00,2.3896E+00,2.7343E+00/
      DATA (KB(JT,56,13),JT=1,5) /
     &1.3449E+00,1.6235E+00,1.9309E+00,2.2682E+00,2.6139E+00/
      DATA (KB(JT,57,13),JT=1,5) /
     &1.2667E+00,1.5514E+00,1.8274E+00,2.1528E+00,2.4919E+00/
      DATA (KB(JT,58,13),JT=1,5) /
     &1.1763E+00,1.4696E+00,1.7445E+00,2.0345E+00,2.3757E+00/
      DATA (KB(JT,59,13),JT=1,5) /
     &1.1472E+00,1.4428E+00,1.7312E+00,2.0031E+00,2.3234E+00/
      DATA (KB(JT,13,14),JT=1,5) /
     &1.5147E+01,1.5130E+01,1.5113E+01,1.5099E+01,1.5078E+01/
      DATA (KB(JT,14,14),JT=1,5) /
     &1.5510E+01,1.5546E+01,1.5567E+01,1.5587E+01,1.5585E+01/
      DATA (KB(JT,15,14),JT=1,5) /
     &1.5739E+01,1.5841E+01,1.5930E+01,1.5986E+01,1.6004E+01/
      DATA (KB(JT,16,14),JT=1,5) /
     &1.5858E+01,1.6042E+01,1.6196E+01,1.6295E+01,1.6347E+01/
      DATA (KB(JT,17,14),JT=1,5) /
     &1.5892E+01,1.6168E+01,1.6375E+01,1.6519E+01,1.6620E+01/
      DATA (KB(JT,18,14),JT=1,5) /
     &1.5890E+01,1.6233E+01,1.6495E+01,1.6687E+01,1.6843E+01/
      DATA (KB(JT,19,14),JT=1,5) /
     &1.5860E+01,1.6260E+01,1.6572E+01,1.6822E+01,1.7016E+01/
      DATA (KB(JT,20,14),JT=1,5) /
     &1.5821E+01,1.6274E+01,1.6642E+01,1.6937E+01,1.7165E+01/
      DATA (KB(JT,21,14),JT=1,5) /
     &1.5778E+01,1.6284E+01,1.6705E+01,1.7036E+01,1.7293E+01/
      DATA (KB(JT,22,14),JT=1,5) /
     &1.5777E+01,1.6337E+01,1.6794E+01,1.7151E+01,1.7417E+01/
      DATA (KB(JT,23,14),JT=1,5) /
     &1.5815E+01,1.6408E+01,1.6883E+01,1.7258E+01,1.7537E+01/
      DATA (KB(JT,24,14),JT=1,5) /
     &1.5884E+01,1.6493E+01,1.6982E+01,1.7365E+01,1.7648E+01/
      DATA (KB(JT,25,14),JT=1,5) /
     &1.5973E+01,1.6594E+01,1.7087E+01,1.7470E+01,1.7753E+01/
      DATA (KB(JT,26,14),JT=1,5) /
     &1.6098E+01,1.6711E+01,1.7198E+01,1.7574E+01,1.7853E+01/
      DATA (KB(JT,27,14),JT=1,5) /
     &1.6232E+01,1.6836E+01,1.7310E+01,1.7676E+01,1.7946E+01/
      DATA (KB(JT,28,14),JT=1,5) /
     &1.6376E+01,1.6966E+01,1.7425E+01,1.7775E+01,1.8032E+01/
      DATA (KB(JT,29,14),JT=1,5) /
     &1.6527E+01,1.7096E+01,1.7538E+01,1.7871E+01,1.8111E+01/
      DATA (KB(JT,30,14),JT=1,5) /
     &1.6681E+01,1.7223E+01,1.7646E+01,1.7959E+01,1.8183E+01/
      DATA (KB(JT,31,14),JT=1,5) /
     &1.6832E+01,1.7348E+01,1.7747E+01,1.8041E+01,1.8247E+01/
      DATA (KB(JT,32,14),JT=1,5) /
     &1.6982E+01,1.7470E+01,1.7844E+01,1.8116E+01,1.8304E+01/
      DATA (KB(JT,33,14),JT=1,5) /
     &1.7125E+01,1.7586E+01,1.7935E+01,1.8187E+01,1.8356E+01/
      DATA (KB(JT,34,14),JT=1,5) /
     &1.7243E+01,1.7681E+01,1.8009E+01,1.8243E+01,1.8396E+01/
      DATA (KB(JT,35,14),JT=1,5) /
     &1.7308E+01,1.7736E+01,1.8053E+01,1.8277E+01,1.8422E+01/
      DATA (KB(JT,36,14),JT=1,5) /
     &1.7321E+01,1.7747E+01,1.8064E+01,1.8289E+01,1.8431E+01/
      DATA (KB(JT,37,14),JT=1,5) /
     &1.7259E+01,1.7701E+01,1.8033E+01,1.8270E+01,1.8425E+01/
      DATA (KB(JT,38,14),JT=1,5) /
     &1.7190E+01,1.7649E+01,1.7997E+01,1.8247E+01,1.8415E+01/
      DATA (KB(JT,39,14),JT=1,5) /
     &1.7116E+01,1.7594E+01,1.7957E+01,1.8221E+01,1.8401E+01/
      DATA (KB(JT,40,14),JT=1,5) /
     &1.6981E+01,1.7491E+01,1.7882E+01,1.8168E+01,1.8367E+01/
      DATA (KB(JT,41,14),JT=1,5) /
     &1.6829E+01,1.7375E+01,1.7795E+01,1.8107E+01,1.8328E+01/
      DATA (KB(JT,42,14),JT=1,5) /
     &1.6667E+01,1.7250E+01,1.7700E+01,1.8038E+01,1.8281E+01/
      DATA (KB(JT,43,14),JT=1,5) /
     &1.6452E+01,1.7082E+01,1.7573E+01,1.7944E+01,1.8214E+01/
      DATA (KB(JT,44,14),JT=1,5) /
     &1.6203E+01,1.6887E+01,1.7421E+01,1.7833E+01,1.8135E+01/
      DATA (KB(JT,45,14),JT=1,5) /
     &1.5935E+01,1.6673E+01,1.7257E+01,1.7708E+01,1.8046E+01/
      DATA (KB(JT,46,14),JT=1,5) /
     &1.5628E+01,1.6427E+01,1.7064E+01,1.7560E+01,1.7936E+01/
      DATA (KB(JT,47,14),JT=1,5) /
     &1.5258E+01,1.6126E+01,1.6827E+01,1.7377E+01,1.7799E+01/
      DATA (KB(JT,48,14),JT=1,5) /
     &1.4864E+01,1.5798E+01,1.6564E+01,1.7174E+01,1.7643E+01/
      DATA (KB(JT,49,14),JT=1,5) /
     &1.4439E+01,1.5441E+01,1.6276E+01,1.6946E+01,1.7469E+01/
      DATA (KB(JT,50,14),JT=1,5) /
     &1.4012E+01,1.5084E+01,1.5980E+01,1.6711E+01,1.7289E+01/
      DATA (KB(JT,51,14),JT=1,5) /
     &1.3576E+01,1.4715E+01,1.5671E+01,1.6463E+01,1.7096E+01/
      DATA (KB(JT,52,14),JT=1,5) /
     &1.3120E+01,1.4320E+01,1.5341E+01,1.6194E+01,1.6882E+01/
      DATA (KB(JT,53,14),JT=1,5) /
     &1.2642E+01,1.3899E+01,1.4988E+01,1.5902E+01,1.6649E+01/
      DATA (KB(JT,54,14),JT=1,5) /
     &1.2147E+01,1.3496E+01,1.4645E+01,1.5614E+01,1.6418E+01/
      DATA (KB(JT,55,14),JT=1,5) /
     &1.1626E+01,1.3090E+01,1.4295E+01,1.5320E+01,1.6178E+01/
      DATA (KB(JT,56,14),JT=1,5) /
     &1.1110E+01,1.2619E+01,1.3926E+01,1.5012E+01,1.5922E+01/
      DATA (KB(JT,57,14),JT=1,5) /
     &1.0565E+01,1.2110E+01,1.3518E+01,1.4685E+01,1.5649E+01/
      DATA (KB(JT,58,14),JT=1,5) /
     &1.0061E+01,1.1633E+01,1.3084E+01,1.4356E+01,1.5374E+01/
      DATA (KB(JT,59,14),JT=1,5) /
     &9.8377E+00,1.1416E+01,1.2868E+01,1.4184E+01,1.5259E+01/
      DATA (KB(JT,13,15),JT=1,5) /
     &4.1304E+01,4.0483E+01,3.9654E+01,3.8829E+01,3.8029E+01/
      DATA (KB(JT,14,15),JT=1,5) /
     &4.4686E+01,4.3762E+01,4.2836E+01,4.1888E+01,4.1004E+01/
      DATA (KB(JT,15,15),JT=1,5) /
     &4.8004E+01,4.6942E+01,4.5864E+01,4.4813E+01,4.3844E+01/
      DATA (KB(JT,16,15),JT=1,5) /
     &5.1150E+01,4.9938E+01,4.8734E+01,4.7591E+01,4.6512E+01/
      DATA (KB(JT,17,15),JT=1,5) /
     &5.4100E+01,5.2729E+01,5.1435E+01,5.0180E+01,4.8962E+01/
      DATA (KB(JT,18,15),JT=1,5) /
     &5.6777E+01,5.5306E+01,5.3894E+01,5.2525E+01,5.1164E+01/
      DATA (KB(JT,19,15),JT=1,5) /
     &5.9186E+01,5.7635E+01,5.6100E+01,5.4603E+01,5.3129E+01/
      DATA (KB(JT,20,15),JT=1,5) /
     &6.1293E+01,5.9648E+01,5.8005E+01,5.6388E+01,5.4798E+01/
      DATA (KB(JT,21,15),JT=1,5) /
     &6.3124E+01,6.1368E+01,5.9613E+01,5.7895E+01,5.6204E+01/
      DATA (KB(JT,22,15),JT=1,5) /
     &6.4562E+01,6.2695E+01,6.0841E+01,5.9040E+01,5.7268E+01/
      DATA (KB(JT,23,15),JT=1,5) /
     &6.5690E+01,6.3742E+01,6.1820E+01,5.9937E+01,5.8087E+01/
      DATA (KB(JT,24,15),JT=1,5) /
     &6.6548E+01,6.4535E+01,6.2550E+01,6.0597E+01,5.8690E+01/
      DATA (KB(JT,25,15),JT=1,5) /
     &6.7194E+01,6.5115E+01,6.3062E+01,6.1050E+01,5.9091E+01/
      DATA (KB(JT,26,15),JT=1,5) /
     &6.7597E+01,6.5466E+01,6.3369E+01,6.1312E+01,5.9309E+01/
      DATA (KB(JT,27,15),JT=1,5) /
     &6.7831E+01,6.5647E+01,6.3518E+01,6.1430E+01,5.9393E+01/
      DATA (KB(JT,28,15),JT=1,5) /
     &6.7908E+01,6.5687E+01,6.3527E+01,6.1427E+01,5.9357E+01/
      DATA (KB(JT,29,15),JT=1,5) /
     &6.7845E+01,6.5603E+01,6.3419E+01,6.1304E+01,5.9222E+01/
      DATA (KB(JT,30,15),JT=1,5) /
     &6.7682E+01,6.5422E+01,6.3225E+01,6.1094E+01,5.9010E+01/
      DATA (KB(JT,31,15),JT=1,5) /
     &6.7415E+01,6.5154E+01,6.2953E+01,6.0816E+01,5.8721E+01/
      DATA (KB(JT,32,15),JT=1,5) /
     &6.7084E+01,6.4817E+01,6.2622E+01,6.0477E+01,5.8393E+01/
      DATA (KB(JT,33,15),JT=1,5) /
     &6.6692E+01,6.4428E+01,6.2242E+01,6.0092E+01,5.8024E+01/
      DATA (KB(JT,34,15),JT=1,5) /
     &6.6346E+01,6.4077E+01,6.1890E+01,5.9745E+01,5.7700E+01/
      DATA (KB(JT,35,15),JT=1,5) /
     &6.6188E+01,6.3920E+01,6.1727E+01,5.9582E+01,5.7542E+01/
      DATA (KB(JT,36,15),JT=1,5) /
     &6.6248E+01,6.3978E+01,6.1782E+01,5.9625E+01,5.7587E+01/
      DATA (KB(JT,37,15),JT=1,5) /
     &6.6642E+01,6.4358E+01,6.2144E+01,5.9978E+01,5.7911E+01/
      DATA (KB(JT,38,15),JT=1,5) /
     &6.7048E+01,6.4747E+01,6.2516E+01,6.0340E+01,5.8249E+01/
      DATA (KB(JT,39,15),JT=1,5) /
     &6.7435E+01,6.5122E+01,6.2879E+01,6.0689E+01,5.8578E+01/
      DATA (KB(JT,40,15),JT=1,5) /
     &6.8061E+01,6.5724E+01,6.3462E+01,6.1257E+01,5.9113E+01/
      DATA (KB(JT,41,15),JT=1,5) /
     &6.8702E+01,6.6354E+01,6.4067E+01,6.1847E+01,5.9682E+01/
      DATA (KB(JT,42,15),JT=1,5) /
     &6.9355E+01,6.6983E+01,6.4678E+01,6.2437E+01,6.0259E+01/
      DATA (KB(JT,43,15),JT=1,5) /
     &7.0142E+01,6.7744E+01,6.5416E+01,6.3159E+01,6.0959E+01/
      DATA (KB(JT,44,15),JT=1,5) /
     &7.0991E+01,6.8567E+01,6.6218E+01,6.3930E+01,6.1713E+01/
      DATA (KB(JT,45,15),JT=1,5) /
     &7.1837E+01,6.9401E+01,6.7026E+01,6.4713E+01,6.2473E+01/
      DATA (KB(JT,46,15),JT=1,5) /
     &7.2733E+01,7.0287E+01,6.7885E+01,6.5552E+01,6.3292E+01/
      DATA (KB(JT,47,15),JT=1,5) /
     &7.3741E+01,7.1285E+01,6.8859E+01,6.6493E+01,6.4198E+01/
      DATA (KB(JT,48,15),JT=1,5) /
     &7.4725E+01,7.2283E+01,6.9840E+01,6.7442E+01,6.5125E+01/
      DATA (KB(JT,49,15),JT=1,5) /
     &7.5665E+01,7.3280E+01,7.0828E+01,6.8404E+01,6.6060E+01/
      DATA (KB(JT,50,15),JT=1,5) /
     &7.6534E+01,7.4218E+01,7.1764E+01,6.9323E+01,6.6942E+01/
      DATA (KB(JT,51,15),JT=1,5) /
     &7.7333E+01,7.5093E+01,7.2664E+01,7.0214E+01,6.7806E+01/
      DATA (KB(JT,52,15),JT=1,5) /
     &7.8102E+01,7.5935E+01,7.3563E+01,7.1111E+01,6.8683E+01/
      DATA (KB(JT,53,15),JT=1,5) /
     &7.8815E+01,7.6761E+01,7.4462E+01,7.2010E+01,6.9568E+01/
      DATA (KB(JT,54,15),JT=1,5) /
     &7.9431E+01,7.7488E+01,7.5258E+01,7.2840E+01,7.0386E+01/
      DATA (KB(JT,55,15),JT=1,5) /
     &7.9987E+01,7.8156E+01,7.5999E+01,7.3628E+01,7.1177E+01/
      DATA (KB(JT,56,15),JT=1,5) /
     &8.0478E+01,7.8776E+01,7.6714E+01,7.4415E+01,7.1963E+01/
      DATA (KB(JT,57,15),JT=1,5) /
     &8.0898E+01,7.9365E+01,7.7410E+01,7.5181E+01,7.2750E+01/
      DATA (KB(JT,58,15),JT=1,5) /
     &8.1210E+01,7.9894E+01,7.8053E+01,7.5880E+01,7.3498E+01/
      DATA (KB(JT,59,15),JT=1,5) /
     &8.1312E+01,8.0086E+01,7.8299E+01,7.6156E+01,7.3801E+01/
      DATA (KB(JT,13,16),JT=1,5) /
     &8.1866E+01,7.8569E+01,7.5624E+01,7.2854E+01,7.0288E+01/
      DATA (KB(JT,14,16),JT=1,5) /
     &9.3095E+01,8.8986E+01,8.5351E+01,8.2051E+01,7.8936E+01/
      DATA (KB(JT,15,16),JT=1,5) /
     &1.0470E+02,9.9738E+01,9.5227E+01,9.1249E+01,8.7478E+01/
      DATA (KB(JT,16,16),JT=1,5) /
     &1.1635E+02,1.1037E+02,1.0495E+02,1.0011E+02,9.5646E+01/
      DATA (KB(JT,17,16),JT=1,5) /
     &1.2769E+02,1.2074E+02,1.1431E+02,1.0856E+02,1.0332E+02/
      DATA (KB(JT,18,16),JT=1,5) /
     &1.3851E+02,1.3038E+02,1.2299E+02,1.1635E+02,1.1033E+02/
      DATA (KB(JT,19,16),JT=1,5) /
     &1.4848E+02,1.3912E+02,1.3084E+02,1.2336E+02,1.1656E+02/
      DATA (KB(JT,20,16),JT=1,5) /
     &1.5718E+02,1.4679E+02,1.3761E+02,1.2934E+02,1.2188E+02/
      DATA (KB(JT,21,16),JT=1,5) /
     &1.6462E+02,1.5341E+02,1.4345E+02,1.3443E+02,1.2636E+02/
      DATA (KB(JT,22,16),JT=1,5) /
     &1.7012E+02,1.5822E+02,1.4760E+02,1.3801E+02,1.2950E+02/
      DATA (KB(JT,23,16),JT=1,5) /
     &1.7437E+02,1.6184E+02,1.5069E+02,1.4069E+02,1.3184E+02/
      DATA (KB(JT,24,16),JT=1,5) /
     &1.7733E+02,1.6436E+02,1.5282E+02,1.4251E+02,1.3340E+02/
      DATA (KB(JT,25,16),JT=1,5) /
     &1.7910E+02,1.6583E+02,1.5401E+02,1.4354E+02,1.3426E+02/
      DATA (KB(JT,26,16),JT=1,5) /
     &1.7968E+02,1.6627E+02,1.5433E+02,1.4378E+02,1.3445E+02/
      DATA (KB(JT,27,16),JT=1,5) /
     &1.7946E+02,1.6602E+02,1.5406E+02,1.4351E+02,1.3417E+02/
      DATA (KB(JT,28,16),JT=1,5) /
     &1.7860E+02,1.6522E+02,1.5334E+02,1.4282E+02,1.3355E+02/
      DATA (KB(JT,29,16),JT=1,5) /
     &1.7717E+02,1.6389E+02,1.5216E+02,1.4174E+02,1.3260E+02/
      DATA (KB(JT,30,16),JT=1,5) /
     &1.7533E+02,1.6225E+02,1.5066E+02,1.4043E+02,1.3143E+02/
      DATA (KB(JT,31,16),JT=1,5) /
     &1.7313E+02,1.6029E+02,1.4890E+02,1.3886E+02,1.3004E+02/
      DATA (KB(JT,32,16),JT=1,5) /
     &1.7069E+02,1.5811E+02,1.4694E+02,1.3716E+02,1.2847E+02/
      DATA (KB(JT,33,16),JT=1,5) /
     &1.6804E+02,1.5577E+02,1.4487E+02,1.3533E+02,1.2682E+02/
      DATA (KB(JT,34,16),JT=1,5) /
     &1.6580E+02,1.5376E+02,1.4309E+02,1.3376E+02,1.2539E+02/
      DATA (KB(JT,35,16),JT=1,5) /
     &1.6467E+02,1.5275E+02,1.4221E+02,1.3298E+02,1.2468E+02/
      DATA (KB(JT,36,16),JT=1,5) /
     &1.6486E+02,1.5289E+02,1.4233E+02,1.3308E+02,1.2477E+02/
      DATA (KB(JT,37,16),JT=1,5) /
     &1.6688E+02,1.5469E+02,1.4392E+02,1.3446E+02,1.2602E+02/
      DATA (KB(JT,38,16),JT=1,5) /
     &1.6902E+02,1.5657E+02,1.4555E+02,1.3592E+02,1.2732E+02/
      DATA (KB(JT,39,16),JT=1,5) /
     &1.7110E+02,1.5844E+02,1.4718E+02,1.3734E+02,1.2861E+02/
      DATA (KB(JT,40,16),JT=1,5) /
     &1.7468E+02,1.6155E+02,1.4992E+02,1.3976E+02,1.3077E+02/
      DATA (KB(JT,41,16),JT=1,5) /
     &1.7848E+02,1.6489E+02,1.5289E+02,1.4236E+02,1.3307E+02/
      DATA (KB(JT,42,16),JT=1,5) /
     &1.8237E+02,1.6833E+02,1.5592E+02,1.4501E+02,1.3541E+02/
      DATA (KB(JT,43,16),JT=1,5) /
     &1.8726E+02,1.7263E+02,1.5975E+02,1.4834E+02,1.3835E+02/
      DATA (KB(JT,44,16),JT=1,5) /
     &1.9275E+02,1.7748E+02,1.6403E+02,1.5210E+02,1.4166E+02/
      DATA (KB(JT,45,16),JT=1,5) /
     &1.9851E+02,1.8250E+02,1.6844E+02,1.5602E+02,1.4507E+02/
      DATA (KB(JT,46,16),JT=1,5) /
     &2.0490E+02,1.8806E+02,1.7333E+02,1.6038E+02,1.4888E+02/
      DATA (KB(JT,47,16),JT=1,5) /
     &2.1238E+02,1.9462E+02,1.7910E+02,1.6545E+02,1.5337E+02/
      DATA (KB(JT,48,16),JT=1,5) /
     &2.2029E+02,2.0156E+02,1.8514E+02,1.7074E+02,1.5806E+02/
      DATA (KB(JT,49,16),JT=1,5) /
     &2.2889E+02,2.0882E+02,1.9150E+02,1.7637E+02,1.6304E+02/
      DATA (KB(JT,50,16),JT=1,5) /
     &2.3745E+02,2.1596E+02,1.9782E+02,1.8187E+02,1.6787E+02/
      DATA (KB(JT,51,16),JT=1,5) /
     &2.4629E+02,2.2340E+02,2.0422E+02,1.8747E+02,1.7280E+02/
      DATA (KB(JT,52,16),JT=1,5) /
     &2.5553E+02,2.3136E+02,2.1090E+02,1.9335E+02,1.7798E+02/
      DATA (KB(JT,53,16),JT=1,5) /
     &2.6553E+02,2.3980E+02,2.1793E+02,1.9951E+02,1.8336E+02/
      DATA (KB(JT,54,16),JT=1,5) /
     &2.7524E+02,2.4799E+02,2.2485E+02,2.0544E+02,1.8854E+02/
      DATA (KB(JT,55,16),JT=1,5) /
     &2.8502E+02,2.5615E+02,2.3188E+02,2.1133E+02,1.9372E+02/
      DATA (KB(JT,56,16),JT=1,5) /
     &2.9529E+02,2.6491E+02,2.3927E+02,2.1749E+02,1.9913E+02/
      DATA (KB(JT,57,16),JT=1,5) /
     &3.0624E+02,2.7413E+02,2.4703E+02,2.2404E+02,2.0478E+02/
      DATA (KB(JT,58,16),JT=1,5) /
     &3.1727E+02,2.8329E+02,2.5471E+02,2.3065E+02,2.1031E+02/
      DATA (KB(JT,59,16),JT=1,5) /
     &3.2188E+02,2.8710E+02,2.5796E+02,2.3341E+02,2.1261E+02/

      DATA FORREF /
     &     2.14504E-07, 4.60418E-07, 3.57608E-06, 1.92037E-06,
     &     1.42576E-06, 3.64463E-06, 1.17033E-05, 1.12085E-05,
     &     1.01536E-05, 1.24096E-05, 5.09190E-05, 5.65282E-05,
     &     1.43394E-04, 1.54700E-04, 4.66498E-04, 9.18829E-04,
     &     2.51631E-03, 2.41729E-03, 2.40057E-03, 3.50408E-03,
     &     4.10309E-03, 4.16851E-03, 3.90925E-03, 3.83694E-03,
     &     4.45387E-03, 4.48657E-03, 4.32310E-03, 3.70739E-03,
     &     4.58150E-03, 4.60014E-03, 4.50245E-03, 3.36718E-03,
     &     4.65423E-03, 4.65595E-03, 4.67006E-03, 3.68061E-03,
     &     4.93955E-03, 4.90181E-03, 4.81941E-03, 3.67577E-03,
     &     5.11876E-03, 4.90981E-03, 4.93303E-03, 3.57423E-03,
     &     5.09845E-03, 5.11556E-03, 5.04031E-03, 3.55915E-03,
     &     5.23822E-03, 5.30473E-03, 5.23811E-03, 4.14259E-03,
     &     5.51133E-03, 5.35831E-03, 5.46702E-03, 4.73875E-03,
     &     6.09781E-03, 5.89859E-03, 5.61187E-03, 5.28981E-03,
     &     6.44958E-03, 6.31718E-03, 6.25201E-03, 6.00448E-03/

C     The array SELFREF contains the coefficient of the water vapor
C     self-continuum (including the energy term).  The first index
C     refers to temperature in 7.2 degree increments.  For instance,
C     JT = 1 refers to a temperature of 245.6, JT = 2 refers to 252.8,
C     etc.  The second index runs over the g-channel (1 to 16).
      DATA (SELFREF(JT, 1),JT=1,10)  /
     & 2.17058E-04, 1.76391E-04, 1.43342E-04, 1.16486E-04, 9.46614E-05,
     & 7.69257E-05, 6.25131E-05, 5.08007E-05, 4.12828E-05, 3.35481E-05/
      DATA (SELFREF(JT, 2),JT=1,10)  /
     & 5.98055E-04, 4.84805E-04, 3.93000E-04, 3.18580E-04, 2.58252E-04,
     & 2.09348E-04, 1.69705E-04, 1.37569E-04, 1.11518E-04, 9.04008E-05/
      DATA (SELFREF(JT, 3),JT=1,10)  /
     & 1.02691E-03, 9.30281E-04, 8.42740E-04, 7.63437E-04, 6.91596E-04,
     & 6.26516E-04, 5.67560E-04, 5.14152E-04, 4.65769E-04, 4.21940E-04/
      DATA (SELFREF(JT, 4),JT=1,10)  /
     & 3.88569E-03, 3.65098E-03, 3.43045E-03, 3.22324E-03, 3.02854E-03,
     & 2.84561E-03, 2.67372E-03, 2.51222E-03, 2.36047E-03, 2.21789E-03/
      DATA (SELFREF(JT, 5),JT=1,10)  /
     & 3.49845E-02, 3.26678E-02, 3.05045E-02, 2.84845E-02, 2.65982E-02,
     & 2.48369E-02, 2.31921E-02, 2.16563E-02, 2.02222E-02, 1.88831E-02/
      DATA (SELFREF(JT, 6),JT=1,10)  /
     & 6.13705E-02, 5.62676E-02, 5.15890E-02, 4.72994E-02, 4.33665E-02,
     & 3.97606E-02, 3.64545E-02, 3.34233E-02, 3.06442E-02, 2.80961E-02/
      DATA (SELFREF(JT, 7),JT=1,10)  /
     & 6.56981E-02, 6.02660E-02, 5.52830E-02, 5.07120E-02, 4.65190E-02,
     & 4.26726E-02, 3.91443E-02, 3.59077E-02, 3.29387E-02, 3.02153E-02/
      DATA (SELFREF(JT, 8),JT=1,10)  /
     & 6.71782E-02, 6.16461E-02, 5.65695E-02, 5.19110E-02, 4.76361E-02,
     & 4.37132E-02, 4.01134E-02, 3.68100E-02, 3.37787E-02, 3.09970E-02/
      DATA (SELFREF(JT, 9),JT=1,10)  /
     & 6.75902E-02, 6.20888E-02, 5.70351E-02, 5.23928E-02, 4.81284E-02,
     & 4.42110E-02, 4.06125E-02, 3.73069E-02, 3.42703E-02, 3.14809E-02/
      DATA (SELFREF(JT,10),JT=1,10)  /
     & 7.08308E-02, 6.51419E-02, 5.99099E-02, 5.50981E-02, 5.06728E-02,
     & 4.66030E-02, 4.28600E-02, 3.94176E-02, 3.62517E-02, 3.33401E-02/
      DATA (SELFREF(JT,11),JT=1,10)  /
     & 6.98445E-02, 6.46584E-02, 5.98573E-02, 5.54128E-02, 5.12982E-02,
     & 4.74892E-02, 4.39630E-02, 4.06986E-02, 3.76766E-02, 3.48791E-02/
      DATA (SELFREF(JT,12),JT=1,10)  /
     & 7.43921E-02, 6.82057E-02, 6.25337E-02, 5.73334E-02, 5.25655E-02,
     & 4.81942E-02, 4.41863E-02, 4.05118E-02, 3.71428E-02, 3.40540E-02/
      DATA (SELFREF(JT,13),JT=1,10)  /
     & 7.75758E-02, 7.09818E-02, 6.49484E-02, 5.94277E-02, 5.43764E-02,
     & 4.97544E-02, 4.55253E-02, 4.16556E-02, 3.81149E-02, 3.48751E-02/
      DATA (SELFREF(JT,14),JT=1,10)  /
     & 7.76545E-02, 7.14761E-02, 6.57894E-02, 6.05550E-02, 5.57372E-02,
     & 5.13026E-02, 4.72209E-02, 4.34639E-02, 4.00058E-02, 3.68229E-02/
      DATA (SELFREF(JT,15),JT=1,10)  /
     & 8.55675E-02, 7.87337E-02, 7.24456E-02, 6.66598E-02, 6.13360E-02,
     & 5.64374E-02, 5.19301E-02, 4.77827E-02, 4.39666E-02, 4.04552E-02/
      DATA (SELFREF(JT,16),JT=1,10)  /
     & 9.34781E-02, 8.55190E-02, 7.82376E-02, 7.15761E-02, 6.54819E-02,
     & 5.99065E-02, 5.48058E-02, 5.01394E-02, 4.58704E-02, 4.19648E-02/
