C     path:      $Source: /storm/rc1/cvsroot/rc/rrtm_sw/src/k_gB21.f,v $
C     author:    $Author: jdelamer $
C     revision:  $Revision: 2.3 $
C     created:   $Date: 2004/04/15 18:50:56 $
C
C  --------------------------------------------------------------------------
C |                                                                          |
C |  Copyright 2002, 2003, Atmospheric & Environmental Research, Inc. (AER). |
C |  This software may be used, copied, or redistributed as long as it is    |
C |  not sold and this copyright notice is reproduced on each copy made.     |
C |  This model is provided as is without any express or implied warranties. |
C |                       (http://www.rtweb.aer.com/)                        |
C |                                                                          |
C  --------------------------------------------------------------------------

      PARAMETER (MG = 16)
      REAL KA(9,5,13,MG),KB(5,5,13:59,MG)
      DIMENSION SELFREF(10,MG),FORREF(4,MG)

      COMMON /CVRSN21/ HNAMKG21,HVRKG21
      COMMON /K21/ KA ,KB, SELFREF, FORREF

      CHARACTER*18 HNAMKG21,HVRKG21

      DATA HNAMKG21 / '        k_gb21.f:' /
      DATA HVRKG21 /'$Revision: 2.3 $'/

C     The array KA contains absorption coefs for each of the 16 g-intervals
C     for a range of pressure levels > ~100mb, temperatures, and ratios
C     of water vapor to CO2.  The first index in the array, JS, runs
C     from 1 to 10, and corresponds to different water vapor to CO2 ratios,
C     as expressed through the binary species parameter eta, defined as
C     eta = h2o/(h20 + (rat) * co2), where rat is the ratio of the integrated
C     line strength in the band of co2 to that of h2o.  For instance,
C     JS=1 refers to dry air (eta = 0), JS = 10 corresponds to eta = 1.0.
C     The 2nd index in the array, JT, which runs from 1 to 5, corresponds 
C     to different temperatures.  More specifically, JT = 3 means that the 
C     data are for the reference temperature TREF for this  pressure 
C     level, JT = 2 refers to the temperature
C     TREF-15, JT = 1 is for TREF-30, JT = 4 is for TREF+15, and JT = 5
C     is for TREF+30.  The third index, JP, runs from 1 to 13 and refers
C     to the reference pressure level (e.g. JP = 1 is for a
C     pressure of 1053.63 mb).  The fourth index, IG, goes from 1 to 16,
C     and tells us which g-interval the absorption coefficients are for.
      DATA ((KA(JS,JT, 1, 1),JS=1,9),JT=1,5) /
     &3.1482E-08,6.4010E-06,9.5017E-06,1.1735E-05,1.3561E-05,1.5077E-05,
     &1.6121E-05,1.6138E-05,4.1687E-07,2.9791E-08,6.8206E-06,1.0260E-05,
     &1.2764E-05,1.4880E-05,1.6665E-05,1.7944E-05,1.8170E-05,4.4246E-07,
     &2.8272E-08,7.2448E-06,1.1083E-05,1.3866E-05,1.6256E-05,1.8323E-05,
     &1.9886E-05,2.0229E-05,4.7472E-07,2.6900E-08,7.6935E-06,1.1934E-05,
     &1.5015E-05,1.7657E-05,2.0038E-05,2.1902E-05,2.2361E-05,5.0770E-07,
     &2.5656E-08,8.1661E-06,1.2769E-05,1.6181E-05,1.9127E-05,2.1755E-05,
     &2.3963E-05,2.4421E-05,5.4205E-07/
      DATA ((KA(JS,JT, 2, 1),JS=1,9),JT=1,5) /
     &2.6396E-08,5.2225E-06,7.7221E-06,9.5150E-06,1.1004E-05,1.2195E-05,
     &1.3037E-05,1.2985E-05,3.2097E-07,2.4945E-08,5.5737E-06,8.3612E-06,
     &1.0375E-05,1.2116E-05,1.3569E-05,1.4561E-05,1.4711E-05,3.4579E-07,
     &2.3646E-08,5.9333E-06,9.0531E-06,1.1301E-05,1.3247E-05,1.4956E-05,
     &1.6193E-05,1.6396E-05,3.7200E-07,2.2476E-08,6.3144E-06,9.7732E-06,
     &1.2274E-05,1.4436E-05,1.6377E-05,1.7879E-05,1.8223E-05,4.0051E-07,
     &2.1415E-08,6.7133E-06,1.0471E-05,1.3264E-05,1.5681E-05,1.7843E-05,
     &1.9627E-05,1.9954E-05,4.2929E-07/
      DATA ((KA(JS,JT, 3, 1),JS=1,9),JT=1,5) /
     &2.2397E-08,4.1930E-06,6.1559E-06,7.5544E-06,8.6902E-06,9.5896E-06,
     &1.0269E-05,1.0114E-05,2.4148E-07,2.1124E-08,4.4837E-06,6.6786E-06,
     &8.2475E-06,9.6353E-06,1.0742E-05,1.1469E-05,1.1556E-05,2.6304E-07,
     &1.9988E-08,4.7839E-06,7.2499E-06,9.0229E-06,1.0560E-05,1.1900E-05,
     &1.2859E-05,1.2935E-05,2.8618E-07,1.8968E-08,5.1040E-06,7.8586E-06,
     &9.8308E-06,1.1551E-05,1.3094E-05,1.4240E-05,1.4455E-05,3.0983E-07,
     &1.8047E-08,5.4366E-06,8.4462E-06,1.0670E-05,1.2585E-05,1.4313E-05,
     &1.5695E-05,1.5934E-05,3.3255E-07/
      DATA ((KA(JS,JT, 4, 1),JS=1,9),JT=1,5) /
     &1.9080E-08,3.3409E-06,4.8738E-06,5.9354E-06,6.7877E-06,7.4900E-06,
     &7.9142E-06,7.7200E-06,1.8466E-07,1.7954E-08,3.5910E-06,5.2960E-06,
     &6.5037E-06,7.5744E-06,8.4082E-06,8.9422E-06,8.9302E-06,2.0292E-07,
     &1.6954E-08,3.8317E-06,5.7536E-06,7.1322E-06,8.3424E-06,9.3788E-06,
     &1.0063E-05,1.0098E-05,2.2173E-07,1.6059E-08,4.0932E-06,6.2586E-06,
     &7.7961E-06,9.1475E-06,1.0347E-05,1.1222E-05,1.1312E-05,2.4005E-07,
     &1.5254E-08,4.3678E-06,6.7525E-06,8.4873E-06,9.9995E-06,1.1353E-05,
     &1.2416E-05,1.2586E-05,2.5939E-07/
      DATA ((KA(JS,JT, 5, 1),JS=1,9),JT=1,5) /
     &1.6261E-08,2.6540E-06,3.8541E-06,4.6443E-06,5.2961E-06,5.8054E-06,
     &6.0718E-06,5.8540E-06,1.4274E-07,1.5265E-08,2.8598E-06,4.1831E-06,
     &5.1221E-06,5.9110E-06,6.5207E-06,6.9761E-06,6.8685E-06,1.5725E-07,
     &1.4384E-08,3.0623E-06,4.5528E-06,5.6124E-06,6.5650E-06,7.3436E-06,
     &7.8208E-06,7.8523E-06,1.7271E-07,1.3599E-08,3.2720E-06,4.9622E-06,
     &6.1605E-06,7.2244E-06,8.1582E-06,8.7971E-06,8.8096E-06,1.8766E-07,
     &1.2895E-08,3.4985E-06,5.3833E-06,6.7240E-06,7.9091E-06,8.9688E-06,
     &9.7698E-06,9.8639E-06,2.0375E-07/
      DATA ((KA(JS,JT, 6, 1),JS=1,9),JT=1,5) /
     &1.3898E-08,2.0981E-06,3.0384E-06,3.6041E-06,4.1040E-06,4.4334E-06,
     &4.5761E-06,4.3950E-06,1.1025E-07,1.3011E-08,2.2645E-06,3.2890E-06,
     &4.0042E-06,4.5851E-06,5.0473E-06,5.3250E-06,5.1854E-06,1.2227E-07,
     &1.2231E-08,2.4322E-06,3.5842E-06,4.3915E-06,5.1259E-06,5.6903E-06,
     &6.0343E-06,6.0166E-06,1.3506E-07,1.1539E-08,2.6032E-06,3.9107E-06,
     &4.8321E-06,5.6525E-06,6.3625E-06,6.8078E-06,6.8024E-06,1.4719E-07,
     &1.0921E-08,2.7866E-06,4.2578E-06,5.2919E-06,6.2181E-06,7.0362E-06,
     &7.6140E-06,7.6519E-06,1.6052E-07/
      DATA ((KA(JS,JT, 7, 1),JS=1,9),JT=1,5) /
     &1.1886E-08,1.6563E-06,2.3860E-06,2.8276E-06,3.1449E-06,3.3771E-06,
     &3.4305E-06,3.2824E-06,8.4943E-08,1.1096E-08,1.7874E-06,2.5861E-06,
     &3.1100E-06,3.5425E-06,3.8737E-06,4.0468E-06,3.8933E-06,9.4734E-08,
     &1.0405E-08,1.9286E-06,2.8166E-06,3.4417E-06,3.9786E-06,4.3804E-06,
     &4.6759E-06,4.5835E-06,1.0531E-07,9.7948E-09,2.0680E-06,3.0741E-06,
     &3.7803E-06,4.4163E-06,4.9420E-06,5.2477E-06,5.2509E-06,1.1517E-07,
     &9.2522E-09,2.2140E-06,3.3558E-06,4.1544E-06,4.8719E-06,5.4968E-06,
     &5.9225E-06,5.9027E-06,1.2618E-07/
      DATA ((KA(JS,JT, 8, 1),JS=1,9),JT=1,5) /
     &1.0164E-08,1.3056E-06,1.8690E-06,2.1940E-06,2.4210E-06,2.5504E-06,
     &2.5676E-06,2.4444E-06,6.6021E-08,9.4612E-09,1.4106E-06,2.0398E-06,
     &2.4136E-06,2.7424E-06,2.9578E-06,3.0446E-06,2.9182E-06,7.3985E-08,
     &8.8489E-09,1.5256E-06,2.2123E-06,2.6894E-06,3.0704E-06,3.3808E-06,
     &3.5521E-06,3.4526E-06,8.2666E-08,8.3111E-09,1.6396E-06,2.4159E-06,
     &2.9563E-06,3.4504E-06,3.8196E-06,4.0425E-06,4.0093E-06,9.0940E-08,
     &7.8349E-09,1.7570E-06,2.6398E-06,3.2547E-06,3.8060E-06,4.2813E-06,
     &4.5732E-06,4.5465E-06,1.0022E-07/
      DATA ((KA(JS,JT, 9, 1),JS=1,9),JT=1,5) /
     &8.6983E-09,1.0284E-06,1.4734E-06,1.6973E-06,1.8551E-06,1.9223E-06,
     &1.9222E-06,1.8289E-06,5.3460E-08,8.0712E-09,1.1141E-06,1.6016E-06,
     &1.8902E-06,2.1027E-06,2.2504E-06,2.2800E-06,2.1749E-06,6.0180E-08,
     &7.5284E-09,1.2033E-06,1.7376E-06,2.0849E-06,2.3719E-06,2.5906E-06,
     &2.6977E-06,2.5910E-06,6.6886E-08,7.0541E-09,1.2979E-06,1.8959E-06,
     &2.3090E-06,2.6695E-06,2.9367E-06,3.1239E-06,3.0574E-06,7.3978E-08,
     &6.6359E-09,1.3937E-06,2.0720E-06,2.5448E-06,2.9680E-06,3.3208E-06,
     &3.5191E-06,3.5097E-06,8.1724E-08/
      DATA ((KA(JS,JT,10, 1),JS=1,9),JT=1,5) /
     &7.4006E-09,8.1705E-07,1.1610E-06,1.3325E-06,1.4305E-06,1.4668E-06,
     &1.4642E-06,1.3765E-06,4.4724E-08,6.8477E-09,8.8306E-07,1.2640E-06,
     &1.4768E-06,1.6329E-06,1.7209E-06,1.7306E-06,1.6441E-06,5.0688E-08,
     &6.3717E-09,9.5522E-07,1.3783E-06,1.6303E-06,1.8546E-06,1.9963E-06,
     &2.0570E-06,1.9678E-06,5.6052E-08,5.9576E-09,1.0331E-06,1.4975E-06,
     &1.8180E-06,2.0770E-06,2.2813E-06,2.4021E-06,2.3350E-06,6.2412E-08,
     &5.5940E-09,1.1102E-06,1.6370E-06,1.9999E-06,2.3349E-06,2.5900E-06,
     &2.7328E-06,2.7057E-06,6.9466E-08/
      DATA ((KA(JS,JT,11, 1),JS=1,9),JT=1,5) /
     &6.0617E-09,6.7167E-07,9.5594E-07,1.0939E-06,1.1767E-06,1.2059E-06,
     &1.2032E-06,1.1314E-06,3.7093E-08,5.6087E-09,7.2704E-07,1.0406E-06,
     &1.2137E-06,1.3434E-06,1.4171E-06,1.4246E-06,1.3521E-06,4.1918E-08,
     &5.2187E-09,7.8681E-07,1.1338E-06,1.3419E-06,1.5254E-06,1.6426E-06,
     &1.6950E-06,1.6203E-06,4.6339E-08,4.8793E-09,8.5013E-07,1.2327E-06,
     &1.4971E-06,1.7109E-06,1.8776E-06,1.9784E-06,1.9240E-06,5.1725E-08,
     &4.5815E-09,9.1420E-07,1.3427E-06,1.6458E-06,1.9221E-06,2.1323E-06,
     &2.2490E-06,2.2263E-06,5.7555E-08/
      DATA ((KA(JS,JT,12, 1),JS=1,9),JT=1,5) /
     &4.9629E-09,5.5223E-07,7.8677E-07,8.9789E-07,9.6778E-07,9.9148E-07,
     &9.8883E-07,9.3028E-07,3.0610E-08,4.5920E-09,5.9832E-07,8.5632E-07,
     &9.9730E-07,1.1052E-06,1.1665E-06,1.1729E-06,1.1125E-06,3.4553E-08,
     &4.2727E-09,6.4760E-07,9.3315E-07,1.1041E-06,1.2552E-06,1.3521E-06,
     &1.3956E-06,1.3333E-06,3.8176E-08,3.9949E-09,6.9926E-07,1.0110E-06,
     &1.2304E-06,1.4083E-06,1.5442E-06,1.6283E-06,1.5837E-06,4.2648E-08,
     &3.7510E-09,7.5239E-07,1.1006E-06,1.3535E-06,1.5785E-06,1.7547E-06,
     &1.8501E-06,1.8298E-06,4.7452E-08/
      DATA ((KA(JS,JT,13, 1),JS=1,9),JT=1,5) /
     &4.0633E-09,4.5378E-07,6.4719E-07,7.3637E-07,7.9571E-07,8.1503E-07,
     &8.1264E-07,7.6488E-07,2.5080E-08,3.7596E-09,4.9208E-07,7.0430E-07,
     &8.1894E-07,9.0856E-07,9.5919E-07,9.6435E-07,9.1411E-07,2.8293E-08,
     &3.4982E-09,5.3259E-07,7.6370E-07,9.0761E-07,1.0316E-06,1.1116E-06,
     &1.1472E-06,1.0956E-06,3.1267E-08,3.2707E-09,5.7488E-07,8.2833E-07,
     &1.0096E-06,1.1577E-06,1.2688E-06,1.3388E-06,1.3015E-06,3.4930E-08,
     &3.0710E-09,6.1832E-07,9.0250E-07,1.1120E-06,1.2962E-06,1.4424E-06,
     &1.5206E-06,1.5032E-06,3.8861E-08/
      DATA ((KA(JS,JT, 1, 2),JS=1,9),JT=1,5) /
     &1.4215E-07,6.5726E-05,1.1327E-04,1.5324E-04,1.8473E-04,2.0658E-04,
     &2.1603E-04,2.0617E-04,1.3252E-05,1.3452E-07,6.9521E-05,1.2059E-04,
     &1.6342E-04,1.9613E-04,2.1987E-04,2.2946E-04,2.1879E-04,1.4816E-05,
     &1.2766E-07,7.3313E-05,1.2786E-04,1.7303E-04,2.0754E-04,2.3326E-04,
     &2.4324E-04,2.2956E-04,1.6536E-05,1.2147E-07,7.7087E-05,1.3521E-04,
     &1.8263E-04,2.1904E-04,2.4614E-04,2.5637E-04,2.4060E-04,1.8092E-05,
     &1.1584E-07,8.0946E-05,1.4233E-04,1.9230E-04,2.3047E-04,2.5869E-04,
     &2.6904E-04,2.5139E-04,1.9768E-05/
      DATA ((KA(JS,JT, 2, 2),JS=1,9),JT=1,5) /
     &1.1918E-07,5.5167E-05,9.4557E-05,1.2760E-04,1.5322E-04,1.7148E-04,
     &1.7894E-04,1.7049E-04,1.0710E-05,1.1264E-07,5.8581E-05,1.0113E-04,
     &1.3648E-04,1.6335E-04,1.8288E-04,1.9059E-04,1.8131E-04,1.2067E-05,
     &1.0678E-07,6.1935E-05,1.0756E-04,1.4497E-04,1.7335E-04,1.9437E-04,
     &2.0245E-04,1.9070E-04,1.3553E-05,1.0149E-07,6.5261E-05,1.1404E-04,
     &1.5331E-04,1.8323E-04,2.0559E-04,2.1385E-04,2.0024E-04,1.4801E-05,
     &9.6699E-08,6.8698E-05,1.2038E-04,1.6167E-04,1.9308E-04,2.1635E-04,
     &2.2479E-04,2.0964E-04,1.6245E-05/
      DATA ((KA(JS,JT, 3, 2),JS=1,9),JT=1,5) /
     &1.0112E-07,4.5399E-05,7.7226E-05,1.0397E-04,1.2462E-04,1.3956E-04,
     &1.4531E-04,1.3816E-04,8.3635E-06,9.5381E-08,4.8357E-05,8.2986E-05,
     &1.1173E-04,1.3338E-04,1.4898E-04,1.5534E-04,1.4786E-04,9.4915E-06,
     &9.0257E-08,5.1355E-05,8.8727E-05,1.1920E-04,1.4215E-04,1.5859E-04,
     &1.6541E-04,1.5622E-04,1.0683E-05,8.5653E-08,5.4322E-05,9.4369E-05,
     &1.2646E-04,1.5072E-04,1.6838E-04,1.7536E-04,1.6433E-04,1.1764E-05,
     &8.1492E-08,5.7300E-05,9.9940E-05,1.3355E-04,1.5929E-04,1.7800E-04,
     &1.8496E-04,1.7234E-04,1.2979E-05/
      DATA ((KA(JS,JT, 4, 2),JS=1,9),JT=1,5) /
     &8.6132E-08,3.6910E-05,6.2346E-05,8.3628E-05,1.0025E-04,1.1224E-04,
     &1.1706E-04,1.1109E-04,6.4715E-06,8.1062E-08,3.9490E-05,6.7274E-05,
     &9.0384E-05,1.0785E-04,1.2026E-04,1.2543E-04,1.1944E-04,7.3991E-06,
     &7.6553E-08,4.2055E-05,7.2269E-05,9.6956E-05,1.1528E-04,1.2833E-04,
     &1.3396E-04,1.2697E-04,8.3899E-06,7.2516E-08,4.4696E-05,7.7235E-05,
     &1.0321E-04,1.2276E-04,1.3674E-04,1.4260E-04,1.3384E-04,9.3052E-06,
     &6.8881E-08,4.7273E-05,8.2118E-05,1.0935E-04,1.3016E-04,1.4506E-04,
     &1.5080E-04,1.4062E-04,1.0314E-05/
      DATA ((KA(JS,JT, 5, 2),JS=1,9),JT=1,5) /
     &7.3401E-08,2.9772E-05,4.9957E-05,6.6720E-05,8.0104E-05,8.9761E-05,
     &9.3853E-05,8.8953E-05,5.0171E-06,6.8916E-08,3.1976E-05,5.4217E-05,
     &7.2570E-05,8.6671E-05,9.6653E-05,1.0073E-04,9.5875E-05,5.7746E-06,
     &6.4945E-08,3.4219E-05,5.8417E-05,7.8327E-05,9.2950E-05,1.0358E-04,
     &1.0803E-04,1.0274E-04,6.6197E-06,6.1405E-08,3.6457E-05,6.2694E-05,
     &8.3756E-05,9.9356E-05,1.1058E-04,1.1542E-04,1.0858E-04,7.3729E-06,
     &5.8229E-08,3.8713E-05,6.7059E-05,8.9033E-05,1.0573E-04,1.1764E-04,
     &1.2243E-04,1.1440E-04,8.2149E-06/
      DATA ((KA(JS,JT, 6, 2),JS=1,9),JT=1,5) /
     &6.2723E-08,2.3750E-05,3.9643E-05,5.2796E-05,6.3478E-05,7.1151E-05,
     &7.4640E-05,7.0193E-05,3.8899E-06,5.8735E-08,2.5657E-05,4.3274E-05,
     &5.7719E-05,6.9124E-05,7.7375E-05,8.0498E-05,7.6543E-05,4.4833E-06,
     &5.5222E-08,2.7563E-05,4.6866E-05,6.2699E-05,7.4494E-05,8.2946E-05,
     &8.6653E-05,8.2509E-05,5.1635E-06,5.2103E-08,2.9528E-05,5.0470E-05,
     &6.7473E-05,7.9899E-05,8.9004E-05,9.2786E-05,8.7628E-05,5.8104E-06,
     &4.9317E-08,3.1444E-05,5.4175E-05,7.2000E-05,8.5322E-05,9.4885E-05,
     &9.8826E-05,9.2648E-05,6.4997E-06/
      DATA ((KA(JS,JT, 7, 2),JS=1,9),JT=1,5) /
     &5.3634E-08,1.8862E-05,3.1325E-05,4.1575E-05,5.0141E-05,5.6190E-05,
     &5.8882E-05,5.5026E-05,2.9795E-06,5.0084E-08,2.0474E-05,3.4342E-05,
     &4.5732E-05,5.4884E-05,6.1494E-05,6.4187E-05,6.0857E-05,3.4589E-06,
     &4.6973E-08,2.2063E-05,3.7411E-05,4.9893E-05,5.9475E-05,6.6279E-05,
     &6.9129E-05,6.5758E-05,3.9983E-06,4.4224E-08,2.3764E-05,4.0481E-05,
     &5.4107E-05,6.4026E-05,7.1350E-05,7.4328E-05,7.0513E-05,4.5526E-06,
     &4.1777E-08,2.5434E-05,4.3555E-05,5.7958E-05,6.8599E-05,7.6304E-05,
     &7.9456E-05,7.4649E-05,5.1046E-06/
      DATA ((KA(JS,JT, 8, 2),JS=1,9),JT=1,5) /
     &4.5857E-08,1.4945E-05,2.4594E-05,3.2696E-05,3.9571E-05,4.4348E-05,
     &4.6090E-05,4.3034E-05,2.2833E-06,4.2697E-08,1.6265E-05,2.7198E-05,
     &3.6108E-05,4.3381E-05,4.8642E-05,5.0943E-05,4.7848E-05,2.6669E-06,
     &3.9944E-08,1.7616E-05,2.9775E-05,3.9577E-05,4.7366E-05,5.2791E-05,
     &5.4992E-05,5.2236E-05,3.0932E-06,3.7522E-08,1.9042E-05,3.2351E-05,
     &4.3126E-05,5.1153E-05,5.6987E-05,5.9316E-05,5.6438E-05,3.5666E-06,
     &3.5376E-08,2.0476E-05,3.4946E-05,4.6521E-05,5.5009E-05,6.1221E-05,
     &6.3714E-05,6.0035E-05,4.0037E-06/
      DATA ((KA(JS,JT, 9, 2),JS=1,9),JT=1,5) /
     &3.9233E-08,1.1817E-05,1.9254E-05,2.5596E-05,3.0843E-05,3.4574E-05,
     &3.6035E-05,3.3425E-05,1.7673E-06,3.6418E-08,1.2914E-05,2.1404E-05,
     &2.8372E-05,3.4161E-05,3.8321E-05,4.0053E-05,3.7435E-05,2.0751E-06,
     &3.3979E-08,1.4026E-05,2.3574E-05,3.1316E-05,3.7514E-05,4.1977E-05,
     &4.3747E-05,4.1346E-05,2.4151E-06,3.1844E-08,1.5205E-05,2.5770E-05,
     &3.4231E-05,4.0723E-05,4.5315E-05,4.7202E-05,4.4869E-05,2.8151E-06,
     &2.9961E-08,1.6420E-05,2.7955E-05,3.7187E-05,4.3941E-05,4.8873E-05,
     &5.0856E-05,4.8170E-05,3.1733E-06/
      DATA ((KA(JS,JT,10, 2),JS=1,9),JT=1,5) /
     &3.3373E-08,9.3505E-06,1.5216E-05,2.0198E-05,2.4244E-05,2.7077E-05,
     &2.8186E-05,2.5996E-05,1.3941E-06,3.0893E-08,1.0284E-05,1.6902E-05,
     &2.2468E-05,2.7072E-05,3.0382E-05,3.1603E-05,2.9456E-05,1.6352E-06,
     &2.8754E-08,1.1207E-05,1.8715E-05,2.4849E-05,2.9815E-05,3.3379E-05,
     &3.4901E-05,3.2836E-05,1.9188E-06,2.6892E-08,1.2172E-05,2.0578E-05,
     &2.7269E-05,3.2536E-05,3.6182E-05,3.7703E-05,3.5750E-05,2.2467E-06,
     &2.5255E-08,1.3195E-05,2.2422E-05,2.9781E-05,3.5220E-05,3.9157E-05,
     &4.0719E-05,3.8729E-05,2.5535E-06/
      DATA ((KA(JS,JT,11, 2),JS=1,9),JT=1,5) /
     &2.7335E-08,7.7491E-06,1.2607E-05,1.6695E-05,2.0093E-05,2.2431E-05,
     &2.3345E-05,2.1522E-05,1.1569E-06,2.5303E-08,8.5322E-06,1.4022E-05,
     &1.8593E-05,2.2378E-05,2.5133E-05,2.6161E-05,2.4379E-05,1.3709E-06,
     &2.3551E-08,9.2912E-06,1.5536E-05,2.0618E-05,2.4722E-05,2.7647E-05,
     &2.8874E-05,2.7196E-05,1.6099E-06,2.2025E-08,1.0117E-05,1.7115E-05,
     &2.2645E-05,2.6974E-05,2.9947E-05,3.1210E-05,2.9581E-05,1.8845E-06,
     &2.0684E-08,1.0977E-05,1.8645E-05,2.4734E-05,2.9203E-05,3.2453E-05,
     &3.3733E-05,3.2056E-05,2.1326E-06/
      DATA ((KA(JS,JT,12, 2),JS=1,9),JT=1,5) /
     &2.2380E-08,6.4144E-06,1.0436E-05,1.3802E-05,1.6622E-05,1.8557E-05,
     &1.9314E-05,1.7793E-05,9.5906E-07,2.0716E-08,7.0603E-06,1.1625E-05,
     &1.5385E-05,1.8503E-05,2.0776E-05,2.1630E-05,2.0152E-05,1.1363E-06,
     &1.9282E-08,7.6960E-06,1.2886E-05,1.7087E-05,2.0475E-05,2.2867E-05,
     &2.3856E-05,2.2506E-05,1.3400E-06,1.8032E-08,8.3983E-06,1.4206E-05,
     &1.8783E-05,2.2334E-05,2.4764E-05,2.5815E-05,2.4461E-05,1.5637E-06,
     &1.6934E-08,9.1186E-06,1.5491E-05,2.0513E-05,2.4201E-05,2.6864E-05,
     &2.7917E-05,2.6491E-05,1.7707E-06/
      DATA ((KA(JS,JT,13, 2),JS=1,9),JT=1,5) /
     &1.8323E-08,5.3022E-06,8.6273E-06,1.1385E-05,1.3729E-05,1.5318E-05,
     &1.5952E-05,1.4693E-05,7.8927E-07,1.6961E-08,5.8316E-06,9.6204E-06,
     &1.2717E-05,1.5275E-05,1.7141E-05,1.7863E-05,1.6639E-05,9.3659E-07,
     &1.5787E-08,6.3710E-06,1.0675E-05,1.4140E-05,1.6925E-05,1.8881E-05,
     &1.9675E-05,1.8564E-05,1.1050E-06,1.4764E-08,6.9607E-06,1.1779E-05,
     &1.5554E-05,1.8475E-05,2.0461E-05,2.1320E-05,2.0207E-05,1.2868E-06,
     &1.3865E-08,7.5611E-06,1.2843E-05,1.6991E-05,2.0029E-05,2.2208E-05,
     &2.3079E-05,2.1838E-05,1.4565E-06/
      DATA ((KA(JS,JT, 1, 3),JS=1,9),JT=1,5) /
     &5.5948E-07,4.3472E-04,6.5689E-04,8.0237E-04,9.0326E-04,9.5995E-04,
     &9.4242E-04,8.1801E-04,1.8380E-04,5.3175E-07,4.5395E-04,6.8779E-04,
     &8.4040E-04,9.4598E-04,1.0011E-03,9.8481E-04,8.5748E-04,1.9567E-04,
     &5.0648E-07,4.6835E-04,7.1403E-04,8.7684E-04,9.8520E-04,1.0393E-03,
     &1.0233E-03,8.9729E-04,2.0725E-04,4.8330E-07,4.8143E-04,7.3979E-04,
     &9.1063E-04,1.0212E-03,1.0762E-03,1.0600E-03,9.3507E-04,2.1814E-04,
     &4.6195E-07,4.9413E-04,7.6470E-04,9.4208E-04,1.0547E-03,1.1099E-03,
     &1.0960E-03,9.7164E-04,2.3056E-04/
      DATA ((KA(JS,JT, 2, 3),JS=1,9),JT=1,5) /
     &4.6813E-07,3.6711E-04,5.5743E-04,6.8070E-04,7.6614E-04,8.1442E-04,
     &7.9940E-04,6.9691E-04,1.4988E-04,4.4450E-07,3.8413E-04,5.8502E-04,
     &7.1506E-04,8.0409E-04,8.5191E-04,8.3722E-04,7.3231E-04,1.5985E-04,
     &4.2301E-07,3.9744E-04,6.0852E-04,7.4741E-04,8.3920E-04,8.8588E-04,
     &8.7206E-04,7.6677E-04,1.6968E-04,4.0335E-07,4.0927E-04,6.3200E-04,
     &7.7835E-04,8.7190E-04,9.1843E-04,9.0467E-04,7.9859E-04,1.7948E-04,
     &3.8529E-07,4.2034E-04,6.5353E-04,8.0758E-04,9.0248E-04,9.4929E-04,
     &9.3715E-04,8.3136E-04,1.9018E-04/
      DATA ((KA(JS,JT, 3, 3),JS=1,9),JT=1,5) /
     &3.9591E-07,3.0459E-04,4.6364E-04,5.6590E-04,6.3680E-04,6.7681E-04,
     &6.6517E-04,5.8106E-04,1.1936E-04,3.7538E-07,3.2036E-04,4.8874E-04,
     &5.9649E-04,6.7170E-04,7.1161E-04,6.9943E-04,6.1159E-04,1.2804E-04,
     &3.5675E-07,3.3321E-04,5.0999E-04,6.2591E-04,7.0319E-04,7.4333E-04,
     &7.3015E-04,6.4070E-04,1.3642E-04,3.3978E-07,3.4382E-04,5.3102E-04,
     &6.5391E-04,7.3278E-04,7.7303E-04,7.5990E-04,6.6979E-04,1.4477E-04,
     &3.2422E-07,3.5416E-04,5.5071E-04,6.8042E-04,7.6041E-04,8.0118E-04,
     &7.8914E-04,6.9923E-04,1.5365E-04/
      DATA ((KA(JS,JT, 4, 3),JS=1,9),JT=1,5) /
     &3.3598E-07,2.4970E-04,3.8053E-04,4.6464E-04,5.2234E-04,5.5488E-04,
     &5.4675E-04,4.7794E-04,9.5275E-05,3.1800E-07,2.6415E-04,4.0313E-04,
     &4.9210E-04,5.5359E-04,5.8661E-04,5.7694E-04,5.0393E-04,1.0292E-04,
     &3.0177E-07,2.7638E-04,4.2268E-04,5.1823E-04,5.8348E-04,6.1591E-04,
     &6.0497E-04,5.2947E-04,1.1016E-04,2.8703E-07,2.8612E-04,4.4165E-04,
     &5.4326E-04,6.1010E-04,6.4299E-04,6.3151E-04,5.5558E-04,1.1708E-04,
     &2.7356E-07,2.9550E-04,4.5903E-04,5.6703E-04,6.3522E-04,6.6839E-04,
     &6.5812E-04,5.8142E-04,1.2444E-04/
      DATA ((KA(JS,JT, 5, 3),JS=1,9),JT=1,5) /
     &2.8517E-07,2.0305E-04,3.0940E-04,3.7854E-04,4.2516E-04,4.5167E-04,
     &4.4617E-04,3.9006E-04,7.6394E-05,2.6943E-07,2.1631E-04,3.2942E-04,
     &4.0279E-04,4.5281E-04,4.7959E-04,4.7274E-04,4.1219E-04,8.3093E-05,
     &2.5526E-07,2.2760E-04,3.4736E-04,4.2603E-04,4.7928E-04,5.0573E-04,
     &4.9753E-04,4.3423E-04,8.9137E-05,2.4245E-07,2.3661E-04,3.6423E-04,
     &4.4832E-04,5.0373E-04,5.3021E-04,5.2092E-04,4.5715E-04,9.5026E-05,
     &2.3079E-07,2.4490E-04,3.7979E-04,4.6958E-04,5.2671E-04,5.5360E-04,
     &5.4422E-04,4.7982E-04,1.0100E-04/
      DATA ((KA(JS,JT, 6, 3),JS=1,9),JT=1,5) /
     &2.4258E-07,1.6374E-04,2.4889E-04,3.0526E-04,3.4256E-04,3.6437E-04,
     &3.6054E-04,3.1643E-04,6.0983E-05,2.2873E-07,1.7557E-04,2.6674E-04,
     &3.2662E-04,3.6698E-04,3.8862E-04,3.8395E-04,3.3481E-04,6.6717E-05,
     &2.1632E-07,1.8596E-04,2.8315E-04,3.4710E-04,3.9032E-04,4.1186E-04,
     &4.0597E-04,3.5347E-04,7.1805E-05,2.0515E-07,1.9412E-04,2.9825E-04,
     &3.6672E-04,4.1223E-04,4.3370E-04,4.2654E-04,3.7308E-04,7.6950E-05,
     &1.9500E-07,2.0163E-04,3.1177E-04,3.8573E-04,4.3298E-04,4.5474E-04,
     &4.4659E-04,3.9273E-04,8.1854E-05/
      DATA ((KA(JS,JT, 7, 3),JS=1,9),JT=1,5) /
     &2.0644E-07,1.3088E-04,1.9883E-04,2.4453E-04,2.7379E-04,2.9133E-04,
     &2.8972E-04,2.5527E-04,4.8483E-05,1.9422E-07,1.4123E-04,2.1464E-04,
     &2.6307E-04,2.9520E-04,3.1262E-04,3.0976E-04,2.7057E-04,5.3189E-05,
     &1.8334E-07,1.5056E-04,2.2945E-04,2.8102E-04,3.1570E-04,3.3336E-04,
     &3.2921E-04,2.8657E-04,5.7664E-05,1.7359E-07,1.5845E-04,2.4254E-04,
     &2.9812E-04,3.3533E-04,3.5273E-04,3.4737E-04,3.0290E-04,6.2080E-05,
     &1.6476E-07,1.6515E-04,2.5472E-04,3.1492E-04,3.5368E-04,3.7134E-04,
     &3.6466E-04,3.1971E-04,6.6283E-05/
      DATA ((KA(JS,JT, 8, 3),JS=1,9),JT=1,5) /
     &1.7564E-07,1.0377E-04,1.5799E-04,1.9443E-04,2.1775E-04,2.3221E-04,
     &2.3178E-04,2.0518E-04,3.8613E-05,1.6486E-07,1.1291E-04,1.7177E-04,
     &2.1060E-04,2.3605E-04,2.5023E-04,2.4860E-04,2.1840E-04,4.2574E-05,
     &1.5532E-07,1.2160E-04,1.8472E-04,2.2613E-04,2.5383E-04,2.6813E-04,
     &2.6569E-04,2.3149E-04,4.6438E-05,1.4679E-07,1.2871E-04,1.9629E-04,
     &2.4117E-04,2.7101E-04,2.8546E-04,2.8148E-04,2.4511E-04,5.0132E-05,
     &1.3913E-07,1.3470E-04,2.0711E-04,2.5583E-04,2.8735E-04,3.0171E-04,
     &2.9653E-04,2.5931E-04,5.3892E-05/
      DATA ((KA(JS,JT, 9, 3),JS=1,9),JT=1,5) /
     &1.4950E-07,8.1941E-05,1.2473E-04,1.5363E-04,1.7257E-04,1.8409E-04,
     &1.8424E-04,1.6439E-04,3.0772E-05,1.3998E-07,8.9702E-05,1.3655E-04,
     &1.6763E-04,1.8779E-04,1.9919E-04,1.9877E-04,1.7581E-04,3.4022E-05,
     &1.3160E-07,9.7263E-05,1.4776E-04,1.8089E-04,2.0292E-04,2.1451E-04,
     &2.1317E-04,1.8640E-04,3.7381E-05,1.2415E-07,1.0389E-04,1.5817E-04,
     &1.9404E-04,2.1794E-04,2.2980E-04,2.2715E-04,1.9784E-04,4.0457E-05,
     &1.1749E-07,1.0934E-04,1.6768E-04,2.0680E-04,2.3234E-04,2.4414E-04,
     &2.4026E-04,2.0959E-04,4.3586E-05/
      DATA ((KA(JS,JT,10, 3),JS=1,9),JT=1,5) /
     &1.2658E-07,6.4763E-05,9.8690E-05,1.2170E-04,1.3709E-04,1.4644E-04,
     &1.4709E-04,1.3215E-04,2.4737E-05,1.1826E-07,7.1405E-05,1.0875E-04,
     &1.3368E-04,1.4978E-04,1.5901E-04,1.5937E-04,1.4153E-04,2.7487E-05,
     &1.1097E-07,7.7857E-05,1.1842E-04,1.4510E-04,1.6261E-04,1.7204E-04,
     &1.7129E-04,1.5041E-04,3.0250E-05,1.0451E-07,8.3764E-05,1.2762E-04,
     &1.5625E-04,1.7544E-04,1.8516E-04,1.8345E-04,1.6010E-04,3.2891E-05,
     &9.8767E-08,8.8833E-05,1.3595E-04,1.6723E-04,1.8798E-04,1.9766E-04,
     &1.9477E-04,1.6979E-04,3.5547E-05/
      DATA ((KA(JS,JT,11, 3),JS=1,9),JT=1,5) /
     &1.0368E-07,5.3714E-05,8.1748E-05,1.0085E-04,1.1349E-04,1.2126E-04,
     &1.2180E-04,1.0950E-04,2.0787E-05,9.6854E-08,5.9175E-05,9.0131E-05,
     &1.1085E-04,1.2425E-04,1.3166E-04,1.3207E-04,1.1733E-04,2.3028E-05,
     &9.0882E-08,6.4593E-05,9.8275E-05,1.2041E-04,1.3497E-04,1.4273E-04,
     &1.4215E-04,1.2479E-04,2.5362E-05,8.5602E-08,6.9545E-05,1.0592E-04,
     &1.2982E-04,1.4583E-04,1.5388E-04,1.5228E-04,1.3297E-04,2.7585E-05,
     &8.0889E-08,7.3731E-05,1.1290E-04,1.3914E-04,1.5637E-04,1.6431E-04,
     &1.6189E-04,1.4116E-04,2.9828E-05/
      DATA ((KA(JS,JT,12, 3),JS=1,9),JT=1,5) /
     &8.4886E-08,4.4418E-05,6.7641E-05,8.3490E-05,9.3906E-05,1.0034E-04,
     &1.0075E-04,9.0614E-05,1.7350E-05,7.9297E-08,4.8981E-05,7.4656E-05,
     &9.1821E-05,1.0299E-04,1.0891E-04,1.0933E-04,9.7221E-05,1.9237E-05,
     &7.4408E-08,5.3553E-05,8.1503E-05,9.9872E-05,1.1196E-04,1.1832E-04,
     &1.1782E-04,1.0341E-04,2.1189E-05,7.0085E-08,5.7698E-05,8.7887E-05,
     &1.0781E-04,1.2107E-04,1.2775E-04,1.2624E-04,1.1034E-04,2.3038E-05,
     &6.6226E-08,6.1177E-05,9.3694E-05,1.1567E-04,1.2995E-04,1.3645E-04,
     &1.3436E-04,1.1726E-04,2.4913E-05/
      DATA ((KA(JS,JT,13, 3),JS=1,9),JT=1,5) /
     &6.9499E-08,3.6716E-05,5.5902E-05,6.9067E-05,7.7635E-05,8.2934E-05,
     &8.3302E-05,7.4905E-05,1.4419E-05,6.4923E-08,4.0511E-05,6.1779E-05,
     &7.5984E-05,8.5239E-05,9.0090E-05,9.0456E-05,8.0264E-05,1.5996E-05,
     &6.0920E-08,4.4356E-05,6.7533E-05,8.2746E-05,9.2816E-05,9.8017E-05,
     &9.7590E-05,8.5621E-05,1.7623E-05,5.7381E-08,4.7826E-05,7.2874E-05,
     &8.9443E-05,1.0040E-04,1.0588E-04,1.0456E-04,9.1429E-05,1.9144E-05,
     &5.4221E-08,5.0750E-05,7.7698E-05,9.6005E-05,1.0784E-04,1.1318E-04,
     &1.1139E-04,9.7258E-05,2.0671E-05/
      DATA ((KA(JS,JT, 1, 4),JS=1,9),JT=1,5) /
     &3.6654E-06,1.3689E-03,2.1108E-03,2.6314E-03,2.9458E-03,3.0831E-03,
     &3.0207E-03,2.6003E-03,9.3689E-04,3.5304E-06,1.4025E-03,2.1716E-03,
     &2.7078E-03,3.0551E-03,3.1948E-03,3.1649E-03,2.7258E-03,9.7983E-04,
     &3.4059E-06,1.4340E-03,2.2214E-03,2.7773E-03,3.1348E-03,3.3049E-03,
     &3.2835E-03,2.8461E-03,1.0251E-03,3.2895E-06,1.4610E-03,2.2596E-03,
     &2.8314E-03,3.2113E-03,3.4131E-03,3.3921E-03,2.9508E-03,1.0730E-03,
     &3.1814E-06,1.4814E-03,2.2905E-03,2.8789E-03,3.2785E-03,3.4996E-03,
     &3.4952E-03,3.0528E-03,1.1205E-03/
      DATA ((KA(JS,JT, 2, 4),JS=1,9),JT=1,5) /
     &3.0293E-06,1.1600E-03,1.7946E-03,2.2370E-03,2.5205E-03,2.6432E-03,
     &2.6172E-03,2.2691E-03,7.8466E-04,2.9173E-06,1.1916E-03,1.8468E-03,
     &2.3072E-03,2.6094E-03,2.7477E-03,2.7388E-03,2.3809E-03,8.2356E-04,
     &2.8152E-06,1.2203E-03,1.8939E-03,2.3691E-03,2.6814E-03,2.8506E-03,
     &2.8414E-03,2.4825E-03,8.6161E-04,2.7207E-06,1.2454E-03,1.9291E-03,
     &2.4180E-03,2.7489E-03,2.9380E-03,2.9345E-03,2.5808E-03,9.0328E-04,
     &2.6316E-06,1.2644E-03,1.9586E-03,2.4624E-03,2.8146E-03,3.0125E-03,
     &3.0237E-03,2.6695E-03,9.4678E-04/
      DATA ((KA(JS,JT, 3, 4),JS=1,9),JT=1,5) /
     &2.5288E-06,9.7348E-04,1.5070E-03,1.8795E-03,2.1206E-03,2.2362E-03,
     &2.2210E-03,1.9369E-03,6.4308E-04,2.4353E-06,1.0031E-03,1.5552E-03,
     &1.9441E-03,2.2013E-03,2.3257E-03,2.3286E-03,2.0362E-03,6.7529E-04,
     &2.3495E-06,1.0295E-03,1.5986E-03,2.0019E-03,2.2663E-03,2.4160E-03,
     &2.4204E-03,2.1276E-03,7.0991E-04,2.2699E-06,1.0533E-03,1.6337E-03,
     &2.0489E-03,2.3288E-03,2.4911E-03,2.5016E-03,2.2148E-03,7.4635E-04,
     &2.1951E-06,1.0724E-03,1.6625E-03,2.0891E-03,2.3896E-03,2.5582E-03,
     &2.5812E-03,2.2925E-03,7.8432E-04/
      DATA ((KA(JS,JT, 4, 4),JS=1,9),JT=1,5) /
     &2.1169E-06,8.1053E-04,1.2568E-03,1.5647E-03,1.7654E-03,1.8662E-03,
     &1.8568E-03,1.6269E-03,5.2608E-04,2.0407E-06,8.3875E-04,1.3019E-03,
     &1.6252E-03,1.8383E-03,1.9441E-03,1.9538E-03,1.7139E-03,5.5325E-04,
     &1.9674E-06,8.6329E-04,1.3417E-03,1.6788E-03,1.8985E-03,2.0246E-03,
     &2.0315E-03,1.7978E-03,5.8253E-04,1.8994E-06,8.8551E-04,1.3753E-03,
     &1.7238E-03,1.9566E-03,2.0923E-03,2.1035E-03,1.8724E-03,6.1438E-04,
     &1.8358E-06,9.0442E-04,1.4042E-03,1.7619E-03,2.0119E-03,2.1542E-03,
     &2.1749E-03,1.9425E-03,6.4762E-04/
      DATA ((KA(JS,JT, 5, 4),JS=1,9),JT=1,5) /
     &1.7725E-06,6.7146E-04,1.0396E-03,1.2935E-03,1.4576E-03,1.5437E-03,
     &1.5341E-03,1.3532E-03,4.2981E-04,1.7095E-06,6.9774E-04,1.0823E-03,
     &1.3477E-03,1.5227E-03,1.6117E-03,1.6222E-03,1.4302E-03,4.5286E-04,
     &1.6478E-06,7.2044E-04,1.1190E-03,1.3967E-03,1.5783E-03,1.6817E-03,
     &1.6897E-03,1.5040E-03,4.7782E-04,1.5896E-06,7.4136E-04,1.1512E-03,
     &1.4394E-03,1.6307E-03,1.7435E-03,1.7536E-03,1.5687E-03,5.0468E-04,
     &1.5353E-06,7.5977E-04,1.1790E-03,1.4755E-03,1.6811E-03,1.7990E-03,
     &1.8175E-03,1.6279E-03,5.3353E-04/
      DATA ((KA(JS,JT, 6, 4),JS=1,9),JT=1,5) /
     &1.4856E-06,5.5163E-04,8.5182E-04,1.0583E-03,1.1933E-03,1.2633E-03,
     &1.2519E-03,1.1126E-03,3.4969E-04,1.4323E-06,5.7534E-04,8.9211E-04,
     &1.1084E-03,1.2510E-03,1.3248E-03,1.3302E-03,1.1815E-03,3.6893E-04,
     &1.3818E-06,5.9705E-04,9.2552E-04,1.1530E-03,1.3018E-03,1.3860E-03,
     &1.3942E-03,1.2437E-03,3.8991E-04,1.3317E-06,6.1671E-04,9.5568E-04,
     &1.1922E-03,1.3481E-03,1.4426E-03,1.4508E-03,1.3001E-03,4.1248E-04,
     &1.2851E-06,6.3414E-04,9.8227E-04,1.2265E-03,1.3936E-03,1.4913E-03,
     &1.5064E-03,1.3512E-03,4.3696E-04/
      DATA ((KA(JS,JT, 7, 4),JS=1,9),JT=1,5) /
     &1.2453E-06,4.4982E-04,6.9286E-04,8.5857E-04,9.7115E-04,1.0268E-03,
     &1.0132E-03,9.0661E-04,2.8333E-04,1.1997E-06,4.7163E-04,7.2984E-04,
     &9.0525E-04,1.0209E-03,1.0830E-03,1.0815E-03,9.6820E-04,2.9991E-04,
     &1.1571E-06,4.9170E-04,7.6064E-04,9.4597E-04,1.0683E-03,1.1337E-03,
     &1.1418E-03,1.0210E-03,3.1738E-04,1.1157E-06,5.0964E-04,7.8859E-04,
     &9.8236E-04,1.1088E-03,1.1859E-03,1.1920E-03,1.0690E-03,3.3600E-04,
     &1.0757E-06,5.2578E-04,8.1330E-04,1.0141E-03,1.1493E-03,1.2285E-03,
     &1.2399E-03,1.1151E-03,3.5631E-04/
      DATA ((KA(JS,JT, 8, 4),JS=1,9),JT=1,5) /
     &1.0436E-06,3.6475E-04,5.5948E-04,6.9399E-04,7.8699E-04,8.2733E-04,
     &8.1546E-04,7.3443E-04,2.2874E-04,1.0043E-06,3.8461E-04,5.9365E-04,
     &7.3631E-04,8.2902E-04,8.7996E-04,8.7589E-04,7.8745E-04,2.4281E-04,
     &9.6785E-07,4.0227E-04,6.2191E-04,7.7183E-04,8.7067E-04,9.2338E-04,
     &9.3116E-04,8.3334E-04,2.5735E-04,9.3367E-07,4.1881E-04,6.4697E-04,
     &8.0474E-04,9.0754E-04,9.6806E-04,9.7434E-04,8.7439E-04,2.7286E-04,
     &9.0017E-07,4.3377E-04,6.7026E-04,8.3398E-04,9.4269E-04,1.0080E-03,
     &1.0154E-03,9.1479E-04,2.8948E-04/
      DATA ((KA(JS,JT, 9, 4),JS=1,9),JT=1,5) /
     &8.7469E-07,2.9345E-04,4.4857E-04,5.5653E-04,6.3371E-04,6.6253E-04,
     &6.5229E-04,5.9009E-04,1.8475E-04,8.4062E-07,3.1152E-04,4.7975E-04,
     &5.9422E-04,6.7077E-04,7.1168E-04,7.0550E-04,6.3674E-04,1.9669E-04,
     &8.0947E-07,3.2779E-04,5.0582E-04,6.2707E-04,7.0705E-04,7.4936E-04,
     &7.5252E-04,6.7682E-04,2.0896E-04,7.8052E-07,3.4262E-04,5.2820E-04,
     &6.5631E-04,7.4002E-04,7.8731E-04,7.9257E-04,7.1155E-04,2.2197E-04,
     &7.5300E-07,3.5618E-04,5.4940E-04,6.8236E-04,7.6978E-04,8.2271E-04,
     &8.2806E-04,7.4658E-04,2.3588E-04/
      DATA ((KA(JS,JT,10, 4),JS=1,9),JT=1,5) /
     &7.3080E-07,2.3619E-04,3.6002E-04,4.4769E-04,5.1001E-04,5.3294E-04,
     &5.2319E-04,4.7492E-04,1.5005E-04,7.0142E-07,2.5225E-04,3.8742E-04,
     &4.8039E-04,5.4285E-04,5.7407E-04,5.6765E-04,5.1444E-04,1.6000E-04,
     &6.7484E-07,2.6687E-04,4.1119E-04,5.0924E-04,5.7372E-04,6.0912E-04,
     &6.0813E-04,5.4945E-04,1.7036E-04,6.5032E-07,2.8002E-04,4.3104E-04,
     &5.3513E-04,6.0294E-04,6.3998E-04,6.4485E-04,5.7888E-04,1.8120E-04,
     &6.2752E-07,2.9182E-04,4.4950E-04,5.5836E-04,6.2849E-04,6.7148E-04,
     &6.7570E-04,6.0918E-04,1.9271E-04/
      DATA ((KA(JS,JT,11, 4),JS=1,9),JT=1,5) /
     &5.9846E-07,1.9603E-04,2.9902E-04,3.7159E-04,4.2367E-04,4.4241E-04,
     &4.3550E-04,3.9618E-04,1.2498E-04,5.7447E-07,2.0953E-04,3.2187E-04,
     &3.9882E-04,4.5021E-04,4.7717E-04,4.7240E-04,4.2894E-04,1.3362E-04,
     &5.5265E-07,2.2185E-04,3.4133E-04,4.2283E-04,4.7616E-04,5.0481E-04,
     &5.0553E-04,4.5654E-04,1.4246E-04,5.3259E-07,2.3301E-04,3.5816E-04,
     &4.4448E-04,5.0048E-04,5.3147E-04,5.3574E-04,4.8169E-04,1.5168E-04,
     &5.1379E-07,2.4302E-04,3.7383E-04,4.6352E-04,5.2203E-04,5.5783E-04,
     &5.6175E-04,5.0737E-04,1.6153E-04/
      DATA ((KA(JS,JT,12, 4),JS=1,9),JT=1,5) /
     &4.9006E-07,1.6259E-04,2.4802E-04,3.0804E-04,3.5111E-04,3.6672E-04,
     &3.6166E-04,3.2968E-04,1.0401E-04,4.7033E-07,1.7379E-04,2.6697E-04,
     &3.3069E-04,3.7292E-04,3.9587E-04,3.9239E-04,3.5672E-04,1.1138E-04,
     &4.5247E-07,1.8417E-04,2.8295E-04,3.5045E-04,3.9465E-04,4.1825E-04,
     &4.1984E-04,3.7867E-04,1.1882E-04,4.3605E-07,1.9351E-04,2.9716E-04,
     &3.6850E-04,4.1489E-04,4.4074E-04,4.4460E-04,4.0031E-04,1.2667E-04,
     &4.2066E-07,2.0206E-04,3.1038E-04,3.8464E-04,4.3337E-04,4.6297E-04,
     &4.6667E-04,4.2202E-04,1.3498E-04/
      DATA ((KA(JS,JT,13, 4),JS=1,9),JT=1,5) /
     &4.0122E-07,1.3465E-04,2.0541E-04,2.5488E-04,2.9006E-04,3.0358E-04,
     &2.9984E-04,2.7375E-04,8.6406E-05,3.8502E-07,1.4398E-04,2.2086E-04,
     &2.7376E-04,3.0832E-04,3.2794E-04,3.2517E-04,2.9562E-04,9.2614E-05,
     &3.7045E-07,1.5266E-04,2.3416E-04,2.9013E-04,3.2675E-04,3.4622E-04,
     &3.4816E-04,3.1401E-04,9.8880E-05,3.5702E-07,1.6050E-04,2.4608E-04,
     &3.0521E-04,3.4336E-04,3.6522E-04,3.6857E-04,3.3246E-04,1.0559E-04,
     &3.4440E-07,1.6771E-04,2.5742E-04,3.1904E-04,3.5943E-04,3.8405E-04,
     &3.8715E-04,3.5087E-04,1.1262E-04/
      DATA ((KA(JS,JT, 1, 5),JS=1,9),JT=1,5) /
     &1.5583E-04,3.7546E-03,5.3536E-03,6.4161E-03,7.1223E-03,7.4982E-03,
     &7.3596E-03,6.5135E-03,3.5175E-03,1.6148E-04,3.8569E-03,5.5256E-03,
     &6.6461E-03,7.3757E-03,7.7530E-03,7.5665E-03,6.6496E-03,3.6840E-03,
     &1.6484E-04,3.9353E-03,5.6745E-03,6.8364E-03,7.6166E-03,7.9711E-03,
     &7.7717E-03,6.7846E-03,3.8485E-03,1.6621E-04,3.9946E-03,5.7947E-03,
     &7.0071E-03,7.8193E-03,8.1581E-03,7.9592E-03,6.9132E-03,3.9769E-03,
     &1.6518E-04,4.0386E-03,5.8925E-03,7.1530E-03,7.9946E-03,8.3258E-03,
     &8.1107E-03,7.0226E-03,4.1134E-03/
      DATA ((KA(JS,JT, 2, 5),JS=1,9),JT=1,5) /
     &1.2482E-04,3.2204E-03,4.6102E-03,5.5475E-03,6.1730E-03,6.5000E-03,
     &6.3942E-03,5.6394E-03,3.0002E-03,1.3027E-04,3.3099E-03,4.7617E-03,
     &5.7497E-03,6.4031E-03,6.7184E-03,6.5829E-03,5.7721E-03,3.1442E-03,
     &1.3370E-04,3.3808E-03,4.8845E-03,5.9235E-03,6.6074E-03,6.9048E-03,
     &6.7660E-03,5.9018E-03,3.2788E-03,1.3549E-04,3.4340E-03,4.9885E-03,
     &6.0745E-03,6.7877E-03,7.0780E-03,6.9202E-03,6.0131E-03,3.3946E-03,
     &1.3543E-04,3.4778E-03,5.0745E-03,6.1981E-03,6.9282E-03,7.2229E-03,
     &7.0521E-03,6.1218E-03,3.5097E-03/
      DATA ((KA(JS,JT, 3, 5),JS=1,9),JT=1,5) /
     &9.8437E-05,2.7209E-03,3.9035E-03,4.7185E-03,5.2706E-03,5.5579E-03,
     &5.4846E-03,4.8469E-03,2.5077E-03,1.0396E-04,2.8031E-03,4.0384E-03,
     &4.8993E-03,5.4753E-03,5.7575E-03,5.6525E-03,4.9684E-03,2.6366E-03,
     &1.0770E-04,2.8702E-03,4.1513E-03,5.0504E-03,5.6640E-03,5.9245E-03,
     &5.8125E-03,5.0922E-03,2.7478E-03,1.0996E-04,2.9232E-03,4.2451E-03,
     &5.1838E-03,5.8257E-03,6.0793E-03,5.9498E-03,5.1949E-03,2.8490E-03,
     &1.1088E-04,2.9645E-03,4.3251E-03,5.2992E-03,5.9468E-03,6.2096E-03,
     &6.0648E-03,5.2904E-03,2.9495E-03/
      DATA ((KA(JS,JT, 4, 5),JS=1,9),JT=1,5) /
     &7.6587E-05,2.2792E-03,3.2731E-03,3.9724E-03,4.4561E-03,4.7109E-03,
     &4.6706E-03,4.1444E-03,2.0810E-03,8.2225E-05,2.3548E-03,3.3943E-03,
     &4.1325E-03,4.6415E-03,4.8939E-03,4.8200E-03,4.2591E-03,2.1925E-03,
     &8.6203E-05,2.4180E-03,3.4991E-03,4.2684E-03,4.8074E-03,5.0416E-03,
     &4.9651E-03,4.3643E-03,2.2938E-03,8.8766E-05,2.4694E-03,3.5874E-03,
     &4.3875E-03,4.9469E-03,5.1810E-03,5.0850E-03,4.4606E-03,2.3791E-03,
     &9.0218E-05,2.5110E-03,3.6613E-03,4.4937E-03,5.0548E-03,5.2982E-03,
     &5.1883E-03,4.5498E-03,2.4658E-03/
      DATA ((KA(JS,JT, 5, 5),JS=1,9),JT=1,5) /
     &5.9080E-05,1.8972E-03,2.7294E-03,3.3195E-03,3.7395E-03,3.9683E-03,
     &3.9523E-03,3.5161E-03,1.7195E-03,6.4508E-05,1.9673E-03,2.8376E-03,
     &3.4632E-03,3.9033E-03,4.1343E-03,4.0826E-03,3.6195E-03,1.8173E-03,
     &6.8538E-05,2.0264E-03,2.9342E-03,3.5856E-03,4.0488E-03,4.2664E-03,
     &4.2141E-03,3.7144E-03,1.9081E-03,7.1328E-05,2.0750E-03,3.0165E-03,
     &3.6933E-03,4.1719E-03,4.3880E-03,4.3221E-03,3.8006E-03,1.9818E-03,
     &7.3073E-05,2.1155E-03,3.0861E-03,3.7892E-03,4.2690E-03,4.4901E-03,
     &4.4161E-03,3.8864E-03,2.0583E-03/
      DATA ((KA(JS,JT, 6, 5),JS=1,9),JT=1,5) /
     &4.5069E-05,1.5673E-03,2.2596E-03,2.7566E-03,3.1117E-03,3.3162E-03,
     &3.3135E-03,2.9574E-03,1.4089E-03,4.9959E-05,1.6342E-03,2.3577E-03,
     &2.8828E-03,3.2572E-03,3.4626E-03,3.4302E-03,3.0476E-03,1.4955E-03,
     &5.4013E-05,1.6891E-03,2.4457E-03,2.9926E-03,3.3865E-03,3.5809E-03,
     &3.5427E-03,3.1358E-03,1.5763E-03,5.6910E-05,1.7356E-03,2.5220E-03,
     &3.0903E-03,3.4968E-03,3.6853E-03,3.6443E-03,3.2140E-03,1.6428E-03,
     &5.8852E-05,1.7743E-03,2.5868E-03,3.1771E-03,3.5857E-03,3.7782E-03,
     &3.7284E-03,3.2905E-03,1.7079E-03/
      DATA ((KA(JS,JT, 7, 5),JS=1,9),JT=1,5) /
     &3.4131E-05,1.2873E-03,1.8619E-03,2.2745E-03,2.5688E-03,2.7494E-03,
     &2.7574E-03,2.4658E-03,1.1444E-03,3.8379E-05,1.3503E-03,1.9490E-03,
     &2.3869E-03,2.6985E-03,2.8761E-03,2.8607E-03,2.5443E-03,1.2242E-03,
     &4.2146E-05,1.4018E-03,2.0287E-03,2.4843E-03,2.8119E-03,2.9848E-03,
     &2.9569E-03,2.6258E-03,1.2956E-03,4.5116E-05,1.4454E-03,2.0989E-03,
     &2.5718E-03,2.9115E-03,3.0740E-03,3.0482E-03,2.6967E-03,1.3537E-03,
     &4.7178E-05,1.4818E-03,2.1591E-03,2.6509E-03,2.9945E-03,3.1590E-03,
     &3.1235E-03,2.7641E-03,1.4100E-03/
      DATA ((KA(JS,JT, 8, 5),JS=1,9),JT=1,5) /
     &2.5656E-05,1.0525E-03,1.5266E-03,1.8648E-03,2.1060E-03,2.2660E-03,
     &2.2807E-03,2.0415E-03,9.2482E-04,2.9313E-05,1.1096E-03,1.6027E-03,
     &1.9628E-03,2.2224E-03,2.3730E-03,2.3683E-03,2.1111E-03,9.9366E-04,
     &3.2643E-05,1.1579E-03,1.6732E-03,2.0503E-03,2.3231E-03,2.4721E-03,
     &2.4512E-03,2.1842E-03,1.0570E-03,3.5509E-05,1.1985E-03,1.7379E-03,
     &2.1284E-03,2.4110E-03,2.5519E-03,2.5339E-03,2.2496E-03,1.1116E-03,
     &3.7616E-05,1.2327E-03,1.7933E-03,2.1996E-03,2.4880E-03,2.6258E-03,
     &2.6029E-03,2.3088E-03,1.1595E-03/
      DATA ((KA(JS,JT, 9, 5),JS=1,9),JT=1,5) /
     &1.9166E-05,8.5559E-04,1.2446E-03,1.5213E-03,1.7160E-03,1.8527E-03,
     &1.8723E-03,1.6794E-03,7.4316E-04,2.2251E-05,9.0701E-04,1.3107E-03,
     &1.6061E-03,1.8177E-03,1.9452E-03,1.9496E-03,1.7420E-03,8.0168E-04,
     &2.5123E-05,9.5106E-04,1.3724E-03,1.6826E-03,1.9064E-03,2.0352E-03,
     &2.0241E-03,1.8064E-03,8.5659E-04,2.7713E-05,9.8903E-04,1.4301E-03,
     &1.7523E-03,1.9862E-03,2.1079E-03,2.0944E-03,1.8656E-03,9.0655E-04,
     &2.9821E-05,1.0207E-03,1.4813E-03,1.8163E-03,2.0570E-03,2.1737E-03,
     &2.1574E-03,1.9153E-03,9.4882E-04/
      DATA ((KA(JS,JT,10, 5),JS=1,9),JT=1,5) /
     &1.4455E-05,6.9508E-04,1.0143E-03,1.2382E-03,1.3977E-03,1.5101E-03,
     &1.5339E-03,1.3794E-03,6.0064E-04,1.6975E-05,7.4055E-04,1.0715E-03,
     &1.3117E-03,1.4851E-03,1.5938E-03,1.6026E-03,1.4354E-03,6.5034E-04,
     &1.9421E-05,7.7996E-04,1.1243E-03,1.3791E-03,1.5636E-03,1.6707E-03,
     &1.6678E-03,1.4908E-03,6.9875E-04,2.1659E-05,8.1369E-04,1.1746E-03,
     &1.4408E-03,1.6340E-03,1.7376E-03,1.7267E-03,1.5418E-03,7.4336E-04,
     &2.3616E-05,8.4316E-04,1.2215E-03,1.4972E-03,1.6971E-03,1.7945E-03,
     &1.7834E-03,1.5844E-03,7.8045E-04/
      DATA ((KA(JS,JT,11, 5),JS=1,9),JT=1,5) /
     &1.1812E-05,5.8067E-04,8.4658E-04,1.0349E-03,1.1681E-03,1.2622E-03,
     &1.2806E-03,1.1518E-03,5.0197E-04,1.3870E-05,6.1870E-04,8.9364E-04,
     &1.0957E-03,1.2411E-03,1.3307E-03,1.3366E-03,1.1990E-03,5.4419E-04,
     &1.5872E-05,6.5131E-04,9.3843E-04,1.1520E-03,1.3068E-03,1.3966E-03,
     &1.3927E-03,1.2459E-03,5.8412E-04,1.7706E-05,6.7957E-04,9.8128E-04,
     &1.2037E-03,1.3653E-03,1.4510E-03,1.4423E-03,1.2873E-03,6.2086E-04,
     &1.9307E-05,7.0477E-04,1.0208E-03,1.2522E-03,1.4187E-03,1.5000E-03,
     &1.4882E-03,1.3223E-03,6.5273E-04/
      DATA ((KA(JS,JT,12, 5),JS=1,9),JT=1,5) /
     &9.6633E-06,4.8384E-04,7.0464E-04,8.6214E-04,9.7325E-04,1.0525E-03,
     &1.0661E-03,9.5818E-04,4.1838E-04,1.1346E-05,5.1544E-04,7.4375E-04,
     &9.1255E-04,1.0346E-03,1.1088E-03,1.1124E-03,9.9787E-04,4.5436E-04,
     &1.2983E-05,5.4258E-04,7.8191E-04,9.5994E-04,1.0893E-03,1.1636E-03,
     &1.1595E-03,1.0379E-03,4.8767E-04,1.4483E-05,5.6662E-04,8.1795E-04,
     &1.0036E-03,1.1385E-03,1.2091E-03,1.2012E-03,1.0707E-03,5.1810E-04,
     &1.5790E-05,5.8805E-04,8.5165E-04,1.0447E-03,1.1830E-03,1.2500E-03,
     &1.2389E-03,1.1012E-03,5.4508E-04/
      DATA ((KA(JS,JT,13, 5),JS=1,9),JT=1,5) /
     &7.9057E-06,4.0215E-04,5.8516E-04,7.1666E-04,8.0969E-04,8.7518E-04,
     &8.8581E-04,7.9569E-04,3.4825E-04,9.2808E-06,4.2853E-04,6.1818E-04,
     &7.5847E-04,8.6082E-04,9.2160E-04,9.2436E-04,8.2894E-04,3.7871E-04,
     &1.0621E-05,4.5134E-04,6.5028E-04,7.9815E-04,9.0622E-04,9.6752E-04,
     &9.6291E-04,8.6177E-04,4.0642E-04,1.1849E-05,4.7161E-04,6.8090E-04,
     &8.3530E-04,9.4770E-04,1.0054E-03,9.9815E-04,8.8908E-04,4.3149E-04,
     &1.2897E-05,4.9000E-04,7.0944E-04,8.6982E-04,9.8430E-04,1.0398E-03,
     &1.0297E-03,9.1483E-04,4.5459E-04/
      DATA ((KA(JS,JT, 1, 6),JS=1,9),JT=1,5) /
     &2.3575E-03,9.6457E-03,1.3128E-02,1.5361E-02,1.6662E-02,1.6999E-02,
     &1.6303E-02,1.4368E-02,1.0185E-02,2.4508E-03,9.9768E-03,1.3562E-02,
     &1.5786E-02,1.7046E-02,1.7316E-02,1.6539E-02,1.4627E-02,1.0447E-02,
     &2.5176E-03,1.0262E-02,1.3947E-02,1.6182E-02,1.7390E-02,1.7588E-02,
     &1.6752E-02,1.4857E-02,1.0699E-02,2.5627E-03,1.0510E-02,1.4271E-02,
     &1.6517E-02,1.7678E-02,1.7815E-02,1.6941E-02,1.5073E-02,1.0970E-02,
     &2.5904E-03,1.0712E-02,1.4528E-02,1.6788E-02,1.7912E-02,1.8013E-02,
     &1.7126E-02,1.5282E-02,1.1215E-02/
      DATA ((KA(JS,JT, 2, 6),JS=1,9),JT=1,5) /
     &1.9422E-03,8.5179E-03,1.1603E-02,1.3561E-02,1.4694E-02,1.4952E-02,
     &1.4274E-02,1.2616E-02,8.6910E-03,2.0231E-03,8.8208E-03,1.1992E-02,
     &1.3942E-02,1.5043E-02,1.5241E-02,1.4503E-02,1.2849E-02,8.9203E-03,
     &2.0824E-03,9.0892E-03,1.2333E-02,1.4283E-02,1.5343E-02,1.5493E-02,
     &1.4704E-02,1.3065E-02,9.1412E-03,2.1235E-03,9.3193E-03,1.2613E-02,
     &1.4573E-02,1.5586E-02,1.5696E-02,1.4900E-02,1.3269E-02,9.3731E-03,
     &2.1501E-03,9.5064E-03,1.2844E-02,1.4802E-02,1.5789E-02,1.5872E-02,
     &1.5079E-02,1.3459E-02,9.5922E-03/
      DATA ((KA(JS,JT, 3, 6),JS=1,9),JT=1,5) /
     &1.5710E-03,7.3739E-03,1.0084E-02,1.1795E-02,1.2791E-02,1.3002E-02,
     &1.2408E-02,1.0948E-02,7.3256E-03,1.6445E-03,7.6603E-03,1.0441E-02,
     &1.2136E-02,1.3098E-02,1.3272E-02,1.2629E-02,1.1169E-02,7.5277E-03,
     &1.7016E-03,7.9120E-03,1.0738E-02,1.2444E-02,1.3365E-02,1.3502E-02,
     &1.2827E-02,1.1365E-02,7.7275E-03,1.7419E-03,8.1204E-03,1.0992E-02,
     &1.2704E-02,1.3579E-02,1.3687E-02,1.3022E-02,1.1565E-02,7.9327E-03,
     &1.7693E-03,8.2896E-03,1.1201E-02,1.2903E-02,1.3761E-02,1.3854E-02,
     &1.3193E-02,1.1760E-02,8.1324E-03/
      DATA ((KA(JS,JT, 4, 6),JS=1,9),JT=1,5) /
     &1.2568E-03,6.2925E-03,8.6570E-03,1.0156E-02,1.1020E-02,1.1220E-02,
     &1.0710E-02,9.4329E-03,6.1812E-03,1.3242E-03,6.5532E-03,8.9756E-03,
     &1.0460E-02,1.1292E-02,1.1463E-02,1.0924E-02,9.6449E-03,6.3620E-03,
     &1.3782E-03,6.7807E-03,9.2447E-03,1.0739E-02,1.1531E-02,1.1676E-02,
     &1.1115E-02,9.8384E-03,6.5417E-03,1.4185E-03,6.9728E-03,9.4724E-03,
     &1.0967E-02,1.1732E-02,1.1853E-02,1.1299E-02,1.0029E-02,6.7314E-03,
     &1.4466E-03,7.1294E-03,9.6551E-03,1.1150E-02,1.1897E-02,1.2003E-02,
     &1.1457E-02,1.0212E-02,6.9134E-03/
      DATA ((KA(JS,JT, 5, 6),JS=1,9),JT=1,5) /
     &9.9815E-04,5.3184E-03,7.3668E-03,8.6661E-03,9.4189E-03,9.6088E-03,
     &9.1860E-03,8.0854E-03,5.2147E-03,1.0594E-03,5.5502E-03,7.6480E-03,
     &8.9382E-03,9.6675E-03,9.8281E-03,9.3908E-03,8.2904E-03,5.3805E-03,
     &1.1093E-03,5.7534E-03,7.8820E-03,9.1873E-03,9.8860E-03,1.0027E-02,
     &9.5739E-03,8.4774E-03,5.5398E-03,1.1487E-03,5.9264E-03,8.0746E-03,
     &9.3952E-03,1.0070E-02,1.0196E-02,9.7460E-03,8.6586E-03,5.7118E-03,
     &1.1770E-03,6.0715E-03,8.2322E-03,9.5590E-03,1.0225E-02,1.0337E-02,
     &9.8891E-03,8.8282E-03,5.8756E-03/
      DATA ((KA(JS,JT, 6, 6),JS=1,9),JT=1,5) /
     &7.8484E-04,4.4557E-03,6.2088E-03,7.3238E-03,7.9758E-03,8.1565E-03,
     &7.8234E-03,6.8949E-03,4.3721E-03,8.4104E-04,4.6584E-03,6.4548E-03,
     &7.5720E-03,8.2049E-03,8.3603E-03,8.0139E-03,7.0912E-03,4.5208E-03,
     &8.8703E-04,4.8386E-03,6.6585E-03,7.7939E-03,8.4077E-03,8.5494E-03,
     &8.1878E-03,7.2673E-03,4.6664E-03,9.2429E-04,4.9939E-03,6.8255E-03,
     &7.9793E-03,8.5811E-03,8.7123E-03,8.3423E-03,7.4324E-03,4.8193E-03,
     &9.5287E-04,5.1269E-03,6.9664E-03,8.1216E-03,8.7256E-03,8.8404E-03,
     &8.4793E-03,7.5885E-03,4.9684E-03/
      DATA ((KA(JS,JT, 7, 6),JS=1,9),JT=1,5) /
     &6.1176E-04,3.7105E-03,5.1921E-03,6.1495E-03,6.7086E-03,6.8737E-03,
     &6.6196E-03,5.8499E-03,3.6398E-03,6.6355E-04,3.8845E-03,5.4092E-03,
     &6.3684E-03,6.9191E-03,7.0638E-03,6.7967E-03,6.0329E-03,3.7725E-03,
     &7.0584E-04,4.0429E-03,5.5891E-03,6.5665E-03,7.1061E-03,7.2392E-03,
     &6.9566E-03,6.1958E-03,3.9040E-03,7.4016E-04,4.1804E-03,5.7362E-03,
     &6.7306E-03,7.2656E-03,7.3939E-03,7.1002E-03,6.3458E-03,4.0422E-03,
     &7.6793E-04,4.3013E-03,5.8634E-03,6.8605E-03,7.3917E-03,7.5160E-03,
     &7.2292E-03,6.4867E-03,4.1753E-03/
      DATA ((KA(JS,JT, 8, 6),JS=1,9),JT=1,5) /
     &4.7383E-04,3.0719E-03,4.3157E-03,5.1299E-03,5.6113E-03,5.7604E-03,
     &5.5584E-03,4.9263E-03,3.0099E-03,5.2030E-04,3.2224E-03,4.5088E-03,
     &5.3256E-03,5.8049E-03,5.9369E-03,5.7249E-03,5.0950E-03,3.1335E-03,
     &5.5897E-04,3.3601E-03,4.6690E-03,5.5008E-03,5.9733E-03,6.0982E-03,
     &5.8703E-03,5.2416E-03,3.2505E-03,5.9051E-04,3.4823E-03,4.8003E-03,
     &5.6492E-03,6.1147E-03,6.2407E-03,6.0011E-03,5.3776E-03,3.3691E-03,
     &6.1638E-04,3.5908E-03,4.9151E-03,5.7682E-03,6.2269E-03,6.3505E-03,
     &6.1226E-03,5.5061E-03,3.4893E-03/
      DATA ((KA(JS,JT, 9, 6),JS=1,9),JT=1,5) /
     &3.6452E-04,2.5301E-03,3.5655E-03,4.2558E-03,4.6668E-03,4.7995E-03,
     &4.6391E-03,4.1176E-03,2.4723E-03,4.0521E-04,2.6609E-03,3.7368E-03,
     &4.4313E-03,4.8422E-03,4.9605E-03,4.7876E-03,4.2682E-03,2.5854E-03,
     &4.4042E-04,2.7811E-03,3.8822E-03,4.5871E-03,4.9951E-03,5.1048E-03,
     &4.9189E-03,4.3988E-03,2.6922E-03,4.6934E-04,2.8890E-03,4.0015E-03,
     &4.7204E-03,5.1195E-03,5.2329E-03,5.0398E-03,4.5211E-03,2.7947E-03,
     &4.9296E-04,2.9863E-03,4.1052E-03,4.8296E-03,5.2212E-03,5.3320E-03,
     &5.1516E-03,4.6410E-03,2.9014E-03/
      DATA ((KA(JS,JT,10, 6),JS=1,9),JT=1,5) /
     &2.8141E-04,2.0839E-03,2.9434E-03,3.5250E-03,3.8705E-03,3.9907E-03,
     &3.8574E-03,3.4280E-03,2.0276E-03,3.1642E-04,2.1962E-03,3.0947E-03,
     &3.6798E-03,4.0279E-03,4.1317E-03,3.9905E-03,3.5591E-03,2.1304E-03,
     &3.4743E-04,2.3002E-03,3.2251E-03,3.8167E-03,4.1632E-03,4.2588E-03,
     &4.1077E-03,3.6737E-03,2.2246E-03,3.7337E-04,2.3958E-03,3.3326E-03,
     &3.9351E-03,4.2727E-03,4.3699E-03,4.2167E-03,3.7850E-03,2.3171E-03,
     &3.9464E-04,2.4818E-03,3.4245E-03,4.0341E-03,4.3635E-03,4.4592E-03,
     &4.3133E-03,3.8931E-03,2.4123E-03/
      DATA ((KA(JS,JT,11, 6),JS=1,9),JT=1,5) /
     &2.3046E-04,1.7561E-03,2.4821E-03,2.9697E-03,3.2603E-03,3.3590E-03,
     &3.2465E-03,2.8911E-03,1.7000E-03,2.5900E-04,1.8499E-03,2.6079E-03,
     &3.0983E-03,3.3914E-03,3.4790E-03,3.3598E-03,3.0000E-03,1.7879E-03,
     &2.8431E-04,1.9371E-03,2.7154E-03,3.2123E-03,3.5009E-03,3.5810E-03,
     &3.4582E-03,3.0989E-03,1.8709E-03,3.0554E-04,2.0175E-03,2.8047E-03,
     &3.3094E-03,3.5897E-03,3.6708E-03,3.5500E-03,3.1964E-03,1.9524E-03,
     &3.2290E-04,2.0906E-03,2.8827E-03,3.3907E-03,3.6638E-03,3.7448E-03,
     &3.6322E-03,3.2921E-03,2.0342E-03/
      DATA ((KA(JS,JT,12, 6),JS=1,9),JT=1,5) /
     &1.8873E-04,1.4753E-03,2.0859E-03,2.4932E-03,2.7362E-03,2.8163E-03,
     &2.7231E-03,2.4287E-03,1.4226E-03,2.1206E-04,1.5542E-03,2.1905E-03,
     &2.5997E-03,2.8436E-03,2.9146E-03,2.8182E-03,2.5196E-03,1.4964E-03,
     &2.3271E-04,1.6282E-03,2.2789E-03,2.6937E-03,2.9320E-03,2.9995E-03,
     &2.9004E-03,2.6063E-03,1.5684E-03,2.5005E-04,1.6959E-03,2.3539E-03,
     &2.7739E-03,3.0052E-03,3.0738E-03,2.9781E-03,2.6924E-03,1.6388E-03,
     &2.6424E-04,1.7579E-03,2.4198E-03,2.8418E-03,3.0688E-03,3.1370E-03,
     &3.0478E-03,2.7734E-03,1.7090E-03/
      DATA ((KA(JS,JT,13, 6),JS=1,9),JT=1,5) /
     &1.5451E-04,1.2362E-03,1.7471E-03,2.0856E-03,2.2870E-03,2.3530E-03,
     &2.2758E-03,2.0318E-03,1.1868E-03,1.7357E-04,1.3027E-03,1.8337E-03,
     &2.1736E-03,2.3752E-03,2.4339E-03,2.3549E-03,2.1104E-03,1.2492E-03,
     &1.9045E-04,1.3651E-03,1.9071E-03,2.2520E-03,2.4479E-03,2.5052E-03,
     &2.4255E-03,2.1862E-03,1.3114E-03,2.0459E-04,1.4225E-03,1.9702E-03,
     &2.3195E-03,2.5109E-03,2.5680E-03,2.4906E-03,2.2592E-03,1.3717E-03,
     &2.1621E-04,1.4751E-03,2.0267E-03,2.3775E-03,2.5654E-03,2.6221E-03,
     &2.5513E-03,2.3283E-03,1.4321E-03/
      DATA ((KA(JS,JT, 1, 7),JS=1,9),JT=1,5) /
     &1.4551E-02,2.6282E-02,3.2053E-02,3.5189E-02,3.6600E-02,3.6646E-02,
     &3.5552E-02,3.3215E-02,2.7309E-02,1.5360E-02,2.6847E-02,3.2411E-02,
     &3.5426E-02,3.6803E-02,3.6994E-02,3.6037E-02,3.3674E-02,2.7881E-02,
     &1.6052E-02,2.7358E-02,3.2711E-02,3.5602E-02,3.7002E-02,3.7322E-02,
     &3.6495E-02,3.4092E-02,2.8365E-02,1.6634E-02,2.7765E-02,3.2975E-02,
     &3.5757E-02,3.7198E-02,3.7629E-02,3.6871E-02,3.4489E-02,2.8817E-02,
     &1.7092E-02,2.8088E-02,3.3173E-02,3.5899E-02,3.7369E-02,3.7894E-02,
     &3.7206E-02,3.4856E-02,2.9236E-02/
      DATA ((KA(JS,JT, 2, 7),JS=1,9),JT=1,5) /
     &1.2675E-02,2.3757E-02,2.8827E-02,3.1475E-02,3.2647E-02,3.2779E-02,
     &3.1874E-02,2.9659E-02,2.3735E-02,1.3363E-02,2.4261E-02,2.9165E-02,
     &3.1734E-02,3.2905E-02,3.3137E-02,3.2357E-02,3.0114E-02,2.4241E-02,
     &1.3952E-02,2.4673E-02,2.9458E-02,3.1940E-02,3.3167E-02,3.3486E-02,
     &3.2794E-02,3.0540E-02,2.4704E-02,1.4440E-02,2.5010E-02,2.9692E-02,
     &3.2131E-02,3.3402E-02,3.3816E-02,3.3185E-02,3.0944E-02,2.5123E-02,
     &1.4810E-02,2.5246E-02,2.9865E-02,3.2323E-02,3.3624E-02,3.4125E-02,
     &3.3530E-02,3.1299E-02,2.5501E-02/
      DATA ((KA(JS,JT, 3, 7),JS=1,9),JT=1,5) /
     &1.0764E-02,2.1180E-02,2.5645E-02,2.7934E-02,2.8891E-02,2.8978E-02,
     &2.8215E-02,2.6250E-02,2.0340E-02,1.1371E-02,2.1611E-02,2.5976E-02,
     &2.8221E-02,2.9204E-02,2.9347E-02,2.8689E-02,2.6687E-02,2.0803E-02,
     &1.1882E-02,2.1977E-02,2.6258E-02,2.8467E-02,2.9498E-02,2.9730E-02,
     &2.9113E-02,2.7115E-02,2.1241E-02,1.2302E-02,2.2273E-02,2.6477E-02,
     &2.8696E-02,2.9766E-02,3.0099E-02,2.9507E-02,2.7503E-02,2.1620E-02,
     &1.2624E-02,2.2481E-02,2.6631E-02,2.8900E-02,3.0032E-02,3.0425E-02,
     &2.9859E-02,2.7842E-02,2.1966E-02/
      DATA ((KA(JS,JT, 4, 7),JS=1,9),JT=1,5) /
     &8.9860E-03,1.8659E-02,2.2605E-02,2.4580E-02,2.5383E-02,2.5435E-02,
     &2.4761E-02,2.3037E-02,1.7414E-02,9.5207E-03,1.9048E-02,2.2924E-02,
     &2.4888E-02,2.5739E-02,2.5823E-02,2.5200E-02,2.3450E-02,1.7847E-02,
     &9.9723E-03,1.9380E-02,2.3182E-02,2.5155E-02,2.6061E-02,2.6209E-02,
     &2.5611E-02,2.3862E-02,1.8251E-02,1.0354E-02,1.9644E-02,2.3397E-02,
     &2.5401E-02,2.6345E-02,2.6580E-02,2.6000E-02,2.4233E-02,1.8600E-02,
     &1.0637E-02,1.9822E-02,2.3556E-02,2.5605E-02,2.6619E-02,2.6913E-02,
     &2.6359E-02,2.4562E-02,1.8925E-02/
      DATA ((KA(JS,JT, 5, 7),JS=1,9),JT=1,5) /
     &7.4104E-03,1.6264E-02,1.9717E-02,2.1452E-02,2.2172E-02,2.2207E-02,
     &2.1598E-02,2.0075E-02,1.4880E-02,7.8778E-03,1.6624E-02,2.0022E-02,
     &2.1765E-02,2.2531E-02,2.2596E-02,2.1999E-02,2.0458E-02,1.5279E-02,
     &8.2694E-03,1.6928E-02,2.0277E-02,2.2036E-02,2.2859E-02,2.2978E-02,
     &2.2384E-02,2.0834E-02,1.5650E-02,8.5919E-03,1.7168E-02,2.0498E-02,
     &2.2274E-02,2.3143E-02,2.3326E-02,2.2754E-02,2.1189E-02,1.5980E-02,
     &8.8337E-03,1.7332E-02,2.0664E-02,2.2477E-02,2.3407E-02,2.3648E-02,
     &2.3111E-02,2.1509E-02,1.6283E-02/
      DATA ((KA(JS,JT, 6, 7),JS=1,9),JT=1,5) /
     &6.0305E-03,1.4008E-02,1.7028E-02,1.8574E-02,1.9236E-02,1.9269E-02,
     &1.8720E-02,1.7347E-02,1.2656E-02,6.4356E-03,1.4339E-02,1.7318E-02,
     &1.8872E-02,1.9580E-02,1.9645E-02,1.9095E-02,1.7705E-02,1.3025E-02,
     &6.7708E-03,1.4626E-02,1.7575E-02,1.9135E-02,1.9883E-02,2.0004E-02,
     &1.9454E-02,1.8055E-02,1.3366E-02,7.0449E-03,1.4853E-02,1.7795E-02,
     &1.9363E-02,2.0156E-02,2.0324E-02,1.9811E-02,1.8392E-02,1.3679E-02,
     &7.2586E-03,1.5014E-02,1.7954E-02,1.9569E-02,2.0401E-02,2.0622E-02,
     &2.0155E-02,1.8706E-02,1.3963E-02/
      DATA ((KA(JS,JT, 7, 7),JS=1,9),JT=1,5) /
     &4.8615E-03,1.1936E-02,1.4574E-02,1.5963E-02,1.6578E-02,1.6615E-02,
     &1.6125E-02,1.4904E-02,1.0718E-02,5.2093E-03,1.2247E-02,1.4845E-02,
     &1.6239E-02,1.6890E-02,1.6965E-02,1.6477E-02,1.5238E-02,1.1050E-02,
     &5.4981E-03,1.2520E-02,1.5089E-02,1.6485E-02,1.7163E-02,1.7296E-02,
     &1.6823E-02,1.5561E-02,1.1367E-02,5.7341E-03,1.2732E-02,1.5302E-02,
     &1.6709E-02,1.7412E-02,1.7587E-02,1.7156E-02,1.5882E-02,1.1657E-02,
     &5.9245E-03,1.2879E-02,1.5460E-02,1.6900E-02,1.7646E-02,1.7862E-02,
     &1.7475E-02,1.6189E-02,1.1924E-02/
      DATA ((KA(JS,JT, 8, 7),JS=1,9),JT=1,5) /
     &3.8903E-03,1.0086E-02,1.2393E-02,1.3617E-02,1.4179E-02,1.4230E-02,
     &1.3810E-02,1.2741E-02,9.0402E-03,4.1883E-03,1.0379E-02,1.2642E-02,
     &1.3866E-02,1.4454E-02,1.4549E-02,1.4140E-02,1.3050E-02,9.3407E-03,
     &4.4374E-03,1.0628E-02,1.2866E-02,1.4093E-02,1.4702E-02,1.4847E-02,
     &1.4466E-02,1.3354E-02,9.6289E-03,4.6417E-03,1.0823E-02,1.3067E-02,
     &1.4297E-02,1.4936E-02,1.5113E-02,1.4777E-02,1.3659E-02,9.8946E-03,
     &4.8106E-03,1.0958E-02,1.3212E-02,1.4477E-02,1.5155E-02,1.5369E-02,
     &1.5065E-02,1.3954E-02,1.0137E-02/
      DATA ((KA(JS,JT, 9, 7),JS=1,9),JT=1,5) /
     &3.0906E-03,8.4716E-03,1.0475E-02,1.1533E-02,1.2037E-02,1.2102E-02,
     &1.1757E-02,1.0840E-02,7.5790E-03,3.3456E-03,8.7380E-03,1.0698E-02,
     &1.1759E-02,1.2281E-02,1.2384E-02,1.2063E-02,1.1124E-02,7.8524E-03,
     &3.5624E-03,8.9636E-03,1.0908E-02,1.1964E-02,1.2503E-02,1.2651E-02,
     &1.2366E-02,1.1413E-02,8.1116E-03,3.7409E-03,9.1394E-03,1.1085E-02,
     &1.2156E-02,1.2717E-02,1.2895E-02,1.2646E-02,1.1703E-02,8.3543E-03,
     &3.8899E-03,9.2663E-03,1.1210E-02,1.2323E-02,1.2923E-02,1.3135E-02,
     &1.2909E-02,1.1979E-02,8.5748E-03/
      DATA ((KA(JS,JT,10, 7),JS=1,9),JT=1,5) /
     &2.4588E-03,7.0997E-03,8.8156E-03,9.7280E-03,1.0175E-02,1.0246E-02,
     &9.9712E-03,9.1951E-03,6.3324E-03,2.6743E-03,7.3393E-03,9.0183E-03,
     &9.9289E-03,1.0387E-02,1.0496E-02,1.0249E-02,9.4566E-03,6.5770E-03,
     &2.8610E-03,7.5352E-03,9.2028E-03,1.0117E-02,1.0586E-02,1.0730E-02,
     &1.0524E-02,9.7307E-03,6.8077E-03,3.0147E-03,7.6899E-03,9.3550E-03,
     &1.0291E-02,1.0781E-02,1.0954E-02,1.0778E-02,1.0001E-02,7.0201E-03,
     &3.1444E-03,7.8050E-03,9.4668E-03,1.0433E-02,1.0974E-02,1.1173E-02,
     &1.1019E-02,1.0253E-02,7.2189E-03/
      DATA ((KA(JS,JT,11, 7),JS=1,9),JT=1,5) /
     &2.0345E-03,6.0249E-03,7.4716E-03,8.2496E-03,8.6458E-03,8.7340E-03,
     &8.5222E-03,7.8657E-03,5.3714E-03,2.2071E-03,6.2176E-03,7.6440E-03,
     &8.4251E-03,8.8273E-03,8.9461E-03,8.7689E-03,8.1125E-03,5.5835E-03,
     &2.3554E-03,6.3729E-03,7.7932E-03,8.5868E-03,9.0058E-03,9.1548E-03,
     &9.0075E-03,8.3660E-03,5.7827E-03,2.4780E-03,6.4944E-03,7.9106E-03,
     &8.7291E-03,9.1857E-03,9.3565E-03,9.2302E-03,8.6036E-03,5.9695E-03,
     &2.5820E-03,6.5802E-03,7.9974E-03,8.8427E-03,9.3482E-03,9.5539E-03,
     &9.4443E-03,8.8180E-03,6.1512E-03/
      DATA ((KA(JS,JT,12, 7),JS=1,9),JT=1,5) /
     &1.6789E-03,5.0906E-03,6.3078E-03,6.9750E-03,7.3172E-03,7.4078E-03,
     &7.2504E-03,6.7015E-03,4.5394E-03,1.8170E-03,5.2437E-03,6.4512E-03,
     &7.1255E-03,7.4790E-03,7.5959E-03,7.4655E-03,6.9307E-03,4.7237E-03,
     &1.9356E-03,5.3689E-03,6.5701E-03,7.2610E-03,7.6415E-03,7.7811E-03,
     &7.6703E-03,7.1508E-03,4.8953E-03,2.0342E-03,5.4644E-03,6.6640E-03,
     &7.3792E-03,7.7929E-03,7.9635E-03,7.8660E-03,7.3532E-03,5.0607E-03,
     &2.1182E-03,5.5328E-03,6.7352E-03,7.4736E-03,7.9282E-03,8.1307E-03,
     &8.0542E-03,7.5407E-03,5.2234E-03/
      DATA ((KA(JS,JT,13, 7),JS=1,9),JT=1,5) /
     &1.3819E-03,4.2823E-03,5.3096E-03,5.8771E-03,6.1745E-03,6.2601E-03,
     &6.1411E-03,5.6893E-03,3.8201E-03,1.4927E-03,4.4078E-03,5.4261E-03,
     &6.0055E-03,6.3167E-03,6.4278E-03,6.3268E-03,5.8891E-03,3.9789E-03,
     &1.5884E-03,4.5090E-03,5.5246E-03,6.1217E-03,6.4577E-03,6.5903E-03,
     &6.5044E-03,6.0758E-03,4.1288E-03,1.6683E-03,4.5858E-03,5.6029E-03,
     &6.2193E-03,6.5859E-03,6.7454E-03,6.6768E-03,6.2506E-03,4.2765E-03,
     &1.7364E-03,4.6419E-03,5.6644E-03,6.2996E-03,6.6998E-03,6.8888E-03,
     &6.8404E-03,6.4188E-03,4.4198E-03/
      DATA ((KA(JS,JT, 1, 8),JS=1,9),JT=1,5) /
     &5.7760E-02,6.9432E-02,7.6402E-02,8.1517E-02,8.5125E-02,8.7289E-02,
     &8.7408E-02,8.3317E-02,7.4720E-02,5.8256E-02,6.9667E-02,7.6723E-02,
     &8.1911E-02,8.5362E-02,8.7289E-02,8.7306E-02,8.3357E-02,7.5177E-02,
     &5.8710E-02,6.9859E-02,7.6973E-02,8.2328E-02,8.5690E-02,8.7420E-02,
     &8.7264E-02,8.3435E-02,7.5701E-02,5.9052E-02,7.0050E-02,7.7176E-02,
     &8.2642E-02,8.6071E-02,8.7660E-02,8.7341E-02,8.3544E-02,7.6230E-02,
     &5.9298E-02,7.0198E-02,7.7374E-02,8.2883E-02,8.6469E-02,8.7977E-02,
     &8.7473E-02,8.3691E-02,7.6769E-02/
      DATA ((KA(JS,JT, 2, 8),JS=1,9),JT=1,5) /
     &5.0908E-02,6.2848E-02,7.0003E-02,7.5263E-02,7.8670E-02,8.0594E-02,
     &8.0694E-02,7.7048E-02,6.7048E-02,5.1469E-02,6.3178E-02,7.0395E-02,
     &7.5763E-02,7.9033E-02,8.0775E-02,8.0686E-02,7.7199E-02,6.7605E-02,
     &5.1956E-02,6.3519E-02,7.0748E-02,7.6221E-02,7.9512E-02,8.1067E-02,
     &8.0797E-02,7.7370E-02,6.8182E-02,5.2329E-02,6.3831E-02,7.1115E-02,
     &7.6591E-02,8.0032E-02,8.1445E-02,8.1001E-02,7.7568E-02,6.8768E-02,
     &5.2648E-02,6.4108E-02,7.1441E-02,7.6941E-02,8.0464E-02,8.1866E-02,
     &8.1282E-02,7.7796E-02,6.9377E-02/
      DATA ((KA(JS,JT, 3, 8),JS=1,9),JT=1,5) /
     &4.4636E-02,5.6575E-02,6.3667E-02,6.8804E-02,7.2146E-02,7.3940E-02,
     &7.3756E-02,7.0359E-02,5.9446E-02,4.5216E-02,5.7005E-02,6.4111E-02,
     &6.9328E-02,7.2620E-02,7.4228E-02,7.3854E-02,7.0600E-02,6.0086E-02,
     &4.5716E-02,5.7448E-02,6.4591E-02,6.9816E-02,7.3178E-02,7.4616E-02,
     &7.4093E-02,7.0843E-02,6.0738E-02,4.6137E-02,5.7862E-02,6.5060E-02,
     &7.0283E-02,7.3724E-02,7.5067E-02,7.4408E-02,7.1130E-02,6.1385E-02,
     &4.6490E-02,5.8240E-02,6.5537E-02,7.0752E-02,7.4187E-02,7.5545E-02,
     &7.4817E-02,7.1479E-02,6.1998E-02/
      DATA ((KA(JS,JT, 4, 8),JS=1,9),JT=1,5) /
     &3.8910E-02,5.0823E-02,5.7505E-02,6.2364E-02,6.5559E-02,6.7154E-02,
     &6.6798E-02,6.3531E-02,5.2401E-02,3.9488E-02,5.1307E-02,5.8022E-02,
     &6.2912E-02,6.6074E-02,6.7518E-02,6.7025E-02,6.3840E-02,5.3093E-02,
     &3.9991E-02,5.1812E-02,5.8566E-02,6.3451E-02,6.6632E-02,6.8010E-02,
     &6.7348E-02,6.4169E-02,5.3782E-02,4.0387E-02,5.2291E-02,5.9117E-02,
     &6.4001E-02,6.7196E-02,6.8514E-02,6.7789E-02,6.4555E-02,5.4470E-02,
     &4.0719E-02,5.2739E-02,5.9691E-02,6.4572E-02,6.7725E-02,6.9031E-02,
     &6.8307E-02,6.4985E-02,5.5091E-02/
      DATA ((KA(JS,JT, 5, 8),JS=1,9),JT=1,5) /
     &3.3692E-02,4.5459E-02,5.1705E-02,5.6111E-02,5.8984E-02,6.0384E-02,
     &5.9951E-02,5.6770E-02,4.5939E-02,3.4254E-02,4.5979E-02,5.2252E-02,
     &5.6664E-02,5.9515E-02,6.0816E-02,6.0273E-02,5.7146E-02,4.6647E-02,
     &3.4738E-02,4.6532E-02,5.2846E-02,5.7238E-02,6.0077E-02,6.1352E-02,
     &6.0714E-02,5.7566E-02,4.7359E-02,3.5117E-02,4.7047E-02,5.3459E-02,
     &5.7849E-02,6.0668E-02,6.1902E-02,6.1259E-02,5.8030E-02,4.8036E-02,
     &3.5428E-02,4.7508E-02,5.4083E-02,5.8493E-02,6.1253E-02,6.2481E-02,
     &6.1851E-02,5.8523E-02,4.8648E-02/
      DATA ((KA(JS,JT, 6, 8),JS=1,9),JT=1,5) /
     &2.8910E-02,4.0429E-02,4.6176E-02,5.0108E-02,5.2609E-02,5.3750E-02,
     &5.3289E-02,5.0286E-02,4.0061E-02,2.9433E-02,4.0967E-02,4.6731E-02,
     &5.0653E-02,5.3149E-02,5.4232E-02,5.3687E-02,5.0714E-02,4.0756E-02,
     &2.9883E-02,4.1520E-02,4.7349E-02,5.1251E-02,5.3731E-02,5.4796E-02,
     &5.4207E-02,5.1188E-02,4.1443E-02,3.0252E-02,4.2024E-02,4.7998E-02,
     &5.1918E-02,5.4339E-02,5.5387E-02,5.4820E-02,5.1711E-02,4.2085E-02,
     &3.0542E-02,4.2447E-02,4.8635E-02,5.2598E-02,5.4986E-02,5.6038E-02,
     &5.5430E-02,5.2236E-02,4.2675E-02/
      DATA ((KA(JS,JT, 7, 8),JS=1,9),JT=1,5) /
     &2.4600E-02,3.5725E-02,4.0952E-02,4.4398E-02,4.6558E-02,4.7462E-02,
     &4.6950E-02,4.4227E-02,3.4751E-02,2.5060E-02,3.6250E-02,4.1498E-02,
     &4.4950E-02,4.7097E-02,4.7977E-02,4.7399E-02,4.4690E-02,3.5410E-02,
     &2.5466E-02,3.6769E-02,4.2119E-02,4.5572E-02,4.7696E-02,4.8548E-02,
     &4.7965E-02,4.5198E-02,3.6050E-02,2.5804E-02,3.7232E-02,4.2764E-02,
     &4.6249E-02,4.8349E-02,4.9173E-02,4.8603E-02,4.5737E-02,3.6649E-02,
     &2.6075E-02,3.7645E-02,4.3371E-02,4.6950E-02,4.9045E-02,4.9856E-02,
     &4.9223E-02,4.6279E-02,3.7198E-02/
      DATA ((KA(JS,JT, 8, 8),JS=1,9),JT=1,5) /
     &2.0747E-02,3.1325E-02,3.6016E-02,3.9047E-02,4.0921E-02,4.1656E-02,
     &4.1097E-02,3.8682E-02,2.9955E-02,2.1145E-02,3.1811E-02,3.6541E-02,
     &3.9597E-02,4.1455E-02,4.2169E-02,4.1575E-02,3.9145E-02,3.0577E-02,
     &2.1497E-02,3.2290E-02,3.7155E-02,4.0238E-02,4.2067E-02,4.2744E-02,
     &4.2154E-02,3.9648E-02,3.1178E-02,2.1796E-02,3.2717E-02,3.7766E-02,
     &4.0923E-02,4.2738E-02,4.3394E-02,4.2768E-02,4.0185E-02,3.1733E-02,
     &2.2044E-02,3.3112E-02,3.8338E-02,4.1597E-02,4.3462E-02,4.4087E-02,
     &4.3385E-02,4.0740E-02,3.2254E-02/
      DATA ((KA(JS,JT, 9, 8),JS=1,9),JT=1,5) /
     &1.7360E-02,2.7218E-02,3.1401E-02,3.4084E-02,3.5741E-02,3.6373E-02,
     &3.5798E-02,3.3594E-02,2.5664E-02,1.7693E-02,2.7662E-02,3.1908E-02,
     &3.4622E-02,3.6264E-02,3.6877E-02,3.6285E-02,3.4049E-02,2.6251E-02,
     &1.7992E-02,2.8089E-02,3.2477E-02,3.5255E-02,3.6874E-02,3.7444E-02,
     &3.6831E-02,3.4544E-02,2.6814E-02,1.8258E-02,2.8481E-02,3.3050E-02,
     &3.5909E-02,3.7552E-02,3.8078E-02,3.7421E-02,3.5073E-02,2.7335E-02,
     &1.8484E-02,2.8849E-02,3.3601E-02,3.6536E-02,3.8254E-02,3.8756E-02,
     &3.8026E-02,3.5616E-02,2.7829E-02/
      DATA ((KA(JS,JT,10, 8),JS=1,9),JT=1,5) /
     &1.4462E-02,2.3463E-02,2.7186E-02,2.9588E-02,3.1079E-02,3.1625E-02,
     &3.1053E-02,2.9012E-02,2.1916E-02,1.4737E-02,2.3853E-02,2.7662E-02,
     &3.0109E-02,3.1581E-02,3.2116E-02,3.1527E-02,2.9461E-02,2.2460E-02,
     &1.4983E-02,2.4238E-02,2.8187E-02,3.0710E-02,3.2176E-02,3.2664E-02,
     &3.2044E-02,2.9948E-02,2.2987E-02,1.5228E-02,2.4593E-02,2.8718E-02,
     &3.1312E-02,3.2826E-02,3.3282E-02,3.2615E-02,3.0467E-02,2.3478E-02,
     &1.5411E-02,2.4932E-02,2.9228E-02,3.1903E-02,3.3455E-02,3.3943E-02,
     &3.3207E-02,3.0994E-02,2.3939E-02/
      DATA ((KA(JS,JT,11, 8),JS=1,9),JT=1,5) /
     &1.2097E-02,2.0230E-02,2.3554E-02,2.5737E-02,2.7070E-02,2.7526E-02,
     &2.6987E-02,2.5125E-02,1.8843E-02,1.2316E-02,2.0564E-02,2.4014E-02,
     &2.6265E-02,2.7589E-02,2.8021E-02,2.7462E-02,2.5580E-02,1.9341E-02,
     &1.2525E-02,2.0893E-02,2.4494E-02,2.6817E-02,2.8172E-02,2.8578E-02,
     &2.7985E-02,2.6073E-02,1.9811E-02,1.2698E-02,2.1212E-02,2.4971E-02,
     &2.7358E-02,2.8752E-02,2.9196E-02,2.8554E-02,2.6575E-02,2.0254E-02,
     &1.2813E-02,2.1527E-02,2.5428E-02,2.7886E-02,2.9316E-02,2.9794E-02,
     &2.9144E-02,2.7095E-02,2.0669E-02/
      DATA ((KA(JS,JT,12, 8),JS=1,9),JT=1,5) /
     &1.0079E-02,1.7332E-02,2.0326E-02,2.2283E-02,2.3452E-02,2.3840E-02,
     &2.3351E-02,2.1701E-02,1.6150E-02,1.0253E-02,1.7624E-02,2.0738E-02,
     &2.2772E-02,2.3963E-02,2.4343E-02,2.3830E-02,2.2159E-02,1.6605E-02,
     &1.0412E-02,1.7914E-02,2.1165E-02,2.3257E-02,2.4491E-02,2.4907E-02,
     &2.4364E-02,2.2633E-02,1.7031E-02,1.0528E-02,1.8203E-02,2.1585E-02,
     &2.3732E-02,2.5019E-02,2.5466E-02,2.4925E-02,2.3123E-02,1.7440E-02,
     &1.0595E-02,1.8491E-02,2.1987E-02,2.4205E-02,2.5526E-02,2.6013E-02,
     &2.5497E-02,2.3633E-02,1.7825E-02/
      DATA ((KA(JS,JT,13, 8),JS=1,9),JT=1,5) /
     &8.3675E-03,1.4778E-02,1.7455E-02,1.9201E-02,2.0214E-02,2.0545E-02,
     &2.0133E-02,1.8703E-02,1.3810E-02,8.5037E-03,1.5033E-02,1.7824E-02,
     &1.9621E-02,2.0684E-02,2.1052E-02,2.0616E-02,1.9145E-02,1.4218E-02,
     &8.6129E-03,1.5303E-02,1.8197E-02,2.0043E-02,2.1163E-02,2.1577E-02,
     &2.1143E-02,1.9600E-02,1.4617E-02,8.6912E-03,1.5568E-02,1.8565E-02,
     &2.0472E-02,2.1636E-02,2.2091E-02,2.1674E-02,2.0090E-02,1.4991E-02,
     &8.7302E-03,1.5800E-02,1.8917E-02,2.0887E-02,2.2103E-02,2.2594E-02,
     &2.2198E-02,2.0586E-02,1.5351E-02/
      DATA ((KA(JS,JT, 1, 9),JS=1,9),JT=1,5) /
     &2.3898E-01,2.4353E-01,2.6297E-01,2.7410E-01,2.7635E-01,2.7151E-01,
     &2.6001E-01,2.4536E-01,2.4840E-01,2.3703E-01,2.4151E-01,2.6057E-01,
     &2.7148E-01,2.7415E-01,2.6993E-01,2.5912E-01,2.4520E-01,2.4830E-01,
     &2.3567E-01,2.3998E-01,2.5868E-01,2.6917E-01,2.7195E-01,2.6833E-01,
     &2.5809E-01,2.4488E-01,2.4801E-01,2.3478E-01,2.3885E-01,2.5713E-01,
     &2.6729E-01,2.6990E-01,2.6662E-01,2.5696E-01,2.4453E-01,2.4772E-01,
     &2.3430E-01,2.3810E-01,2.5588E-01,2.6568E-01,2.6809E-01,2.6490E-01,
     &2.5575E-01,2.4412E-01,2.4745E-01/
      DATA ((KA(JS,JT, 2, 9),JS=1,9),JT=1,5) /
     &2.2071E-01,2.3189E-01,2.5280E-01,2.6428E-01,2.6846E-01,2.6544E-01,
     &2.5423E-01,2.3818E-01,2.3526E-01,2.1924E-01,2.3025E-01,2.5076E-01,
     &2.6194E-01,2.6631E-01,2.6393E-01,2.5356E-01,2.3803E-01,2.3534E-01,
     &2.1843E-01,2.2915E-01,2.4919E-01,2.6005E-01,2.6425E-01,2.6237E-01,
     &2.5262E-01,2.3788E-01,2.3535E-01,2.1819E-01,2.2852E-01,2.4801E-01,
     &2.5855E-01,2.6247E-01,2.6079E-01,2.5163E-01,2.3767E-01,2.3532E-01,
     &2.1836E-01,2.2826E-01,2.4718E-01,2.5726E-01,2.6101E-01,2.5924E-01,
     &2.5059E-01,2.3733E-01,2.3520E-01/
      DATA ((KA(JS,JT, 3, 9),JS=1,9),JT=1,5) /
     &2.0172E-01,2.1909E-01,2.4049E-01,2.5259E-01,2.5809E-01,2.5661E-01,
     &2.4776E-01,2.3048E-01,2.2176E-01,2.0072E-01,2.1779E-01,2.3872E-01,
     &2.5058E-01,2.5610E-01,2.5527E-01,2.4712E-01,2.3055E-01,2.2209E-01,
     &2.0047E-01,2.1708E-01,2.3748E-01,2.4902E-01,2.5438E-01,2.5391E-01,
     &2.4629E-01,2.3063E-01,2.2233E-01,2.0080E-01,2.1687E-01,2.3670E-01,
     &2.4777E-01,2.5298E-01,2.5252E-01,2.4542E-01,2.3053E-01,2.2249E-01,
     &2.0160E-01,2.1710E-01,2.3623E-01,2.4683E-01,2.5186E-01,2.5126E-01,
     &2.4453E-01,2.3018E-01,2.2257E-01/
      DATA ((KA(JS,JT, 4, 9),JS=1,9),JT=1,5) /
     &1.8271E-01,2.0499E-01,2.2645E-01,2.3921E-01,2.4553E-01,2.4573E-01,
     &2.3916E-01,2.2190E-01,2.0803E-01,1.8212E-01,2.0407E-01,2.2500E-01,
     &2.3755E-01,2.4385E-01,2.4460E-01,2.3866E-01,2.2223E-01,2.0862E-01,
     &1.8234E-01,2.0374E-01,2.2412E-01,2.3625E-01,2.4249E-01,2.4341E-01,
     &2.3801E-01,2.2245E-01,2.0916E-01,1.8327E-01,2.0396E-01,2.2372E-01,
     &2.3535E-01,2.4149E-01,2.4231E-01,2.3730E-01,2.2248E-01,2.0951E-01,
     &1.8465E-01,2.0466E-01,2.2368E-01,2.3479E-01,2.4072E-01,2.4142E-01,
     &2.3656E-01,2.2226E-01,2.0975E-01/
      DATA ((KA(JS,JT, 5, 9),JS=1,9),JT=1,5) /
     &1.6429E-01,1.9018E-01,2.1120E-01,2.2440E-01,2.3155E-01,2.3328E-01,
     &2.2834E-01,2.1231E-01,1.9389E-01,1.6411E-01,1.8954E-01,2.1010E-01,
     &2.2306E-01,2.3026E-01,2.3235E-01,2.2803E-01,2.1280E-01,1.9477E-01,
     &1.6481E-01,1.8955E-01,2.0958E-01,2.2215E-01,2.2928E-01,2.3142E-01,
     &2.2762E-01,2.1318E-01,1.9549E-01,1.6626E-01,1.9018E-01,2.0952E-01,
     &2.2166E-01,2.2860E-01,2.3069E-01,2.2713E-01,2.1333E-01,1.9598E-01,
     &1.6812E-01,1.9134E-01,2.0988E-01,2.2152E-01,2.2816E-01,2.3013E-01,
     &2.2663E-01,2.1325E-01,1.9645E-01/
      DATA ((KA(JS,JT, 6, 9),JS=1,9),JT=1,5) /
     &1.4677E-01,1.7503E-01,1.9553E-01,2.0871E-01,2.1680E-01,2.1948E-01,
     &2.1556E-01,2.0158E-01,1.7922E-01,1.4688E-01,1.7460E-01,1.9479E-01,
     &2.0777E-01,2.1582E-01,2.1883E-01,2.1549E-01,2.0223E-01,1.8038E-01,
     &1.4791E-01,1.7490E-01,1.9459E-01,2.0727E-01,2.1519E-01,2.1822E-01,
     &2.1533E-01,2.0278E-01,1.8127E-01,1.4970E-01,1.7592E-01,1.9488E-01,
     &2.0713E-01,2.1485E-01,2.1785E-01,2.1514E-01,2.0305E-01,1.8200E-01,
     &1.5169E-01,1.7756E-01,1.9568E-01,2.0736E-01,2.1479E-01,2.1766E-01,
     &2.1494E-01,2.0315E-01,1.8271E-01/
      DATA ((KA(JS,JT, 7, 9),JS=1,9),JT=1,5) /
     &1.3000E-01,1.5987E-01,1.7978E-01,1.9301E-01,2.0129E-01,2.0436E-01,
     &2.0140E-01,1.8919E-01,1.6414E-01,1.3035E-01,1.5964E-01,1.7934E-01,
     &1.9244E-01,2.0068E-01,2.0402E-01,2.0156E-01,1.9006E-01,1.6551E-01,
     &1.3166E-01,1.6021E-01,1.7944E-01,1.9225E-01,2.0040E-01,2.0381E-01,
     &2.0166E-01,1.9078E-01,1.6662E-01,1.3361E-01,1.6157E-01,1.8010E-01,
     &1.9248E-01,2.0041E-01,2.0379E-01,2.0172E-01,1.9125E-01,1.6758E-01,
     &1.3554E-01,1.6344E-01,1.8132E-01,1.9308E-01,2.0075E-01,2.0397E-01,
     &2.0182E-01,1.9159E-01,1.6855E-01/
      DATA ((KA(JS,JT, 8, 9),JS=1,9),JT=1,5) /
     &1.1433E-01,1.4488E-01,1.6431E-01,1.7738E-01,1.8527E-01,1.8841E-01,
     &1.8617E-01,1.7535E-01,1.4893E-01,1.1487E-01,1.4487E-01,1.6414E-01,
     &1.7713E-01,1.8501E-01,1.8837E-01,1.8658E-01,1.7646E-01,1.5049E-01,
     &1.1635E-01,1.4571E-01,1.6452E-01,1.7724E-01,1.8506E-01,1.8853E-01,
     &1.8695E-01,1.7741E-01,1.5180E-01,1.1822E-01,1.4733E-01,1.6549E-01,
     &1.7782E-01,1.8544E-01,1.8888E-01,1.8734E-01,1.7811E-01,1.5295E-01,
     &1.2009E-01,1.4924E-01,1.6704E-01,1.7887E-01,1.8614E-01,1.8940E-01,
     &1.8775E-01,1.7867E-01,1.5411E-01/
      DATA ((KA(JS,JT, 9, 9),JS=1,9),JT=1,5) /
     &1.0002E-01,1.3043E-01,1.4919E-01,1.6171E-01,1.6913E-01,1.7211E-01,
     &1.7023E-01,1.6067E-01,1.3380E-01,1.0070E-01,1.3063E-01,1.4927E-01,
     &1.6171E-01,1.6923E-01,1.7237E-01,1.7091E-01,1.6202E-01,1.3552E-01,
     &1.0219E-01,1.3166E-01,1.4990E-01,1.6210E-01,1.6959E-01,1.7285E-01,
     &1.7161E-01,1.6316E-01,1.3700E-01,1.0390E-01,1.3341E-01,1.5118E-01,
     &1.6299E-01,1.7031E-01,1.7358E-01,1.7229E-01,1.6405E-01,1.3837E-01,
     &1.0569E-01,1.3530E-01,1.5298E-01,1.6444E-01,1.7139E-01,1.7443E-01,
     &1.7301E-01,1.6481E-01,1.3976E-01/
      DATA ((KA(JS,JT,10, 9),JS=1,9),JT=1,5) /
     &8.7148E-02,1.1690E-01,1.3450E-01,1.4609E-01,1.5307E-01,1.5588E-01,
     &1.5420E-01,1.4572E-01,1.1917E-01,8.7948E-02,1.1730E-01,1.3485E-01,
     &1.4637E-01,1.5348E-01,1.5645E-01,1.5513E-01,1.4723E-01,1.2103E-01,
     &8.9341E-02,1.1856E-01,1.3575E-01,1.4709E-01,1.5418E-01,1.5726E-01,
     &1.5609E-01,1.4852E-01,1.2266E-01,9.0912E-02,1.2032E-01,1.3733E-01,
     &1.4835E-01,1.5527E-01,1.5827E-01,1.5702E-01,1.4960E-01,1.2424E-01,
     &9.2651E-02,1.2218E-01,1.3930E-01,1.5018E-01,1.5676E-01,1.5942E-01,
     &1.5802E-01,1.5063E-01,1.2583E-01/
      DATA ((KA(JS,JT,11, 9),JS=1,9),JT=1,5) /
     &7.5810E-02,1.0456E-01,1.2069E-01,1.3117E-01,1.3761E-01,1.4039E-01,
     &1.3895E-01,1.3157E-01,1.0610E-01,7.6895E-02,1.0557E-01,1.2151E-01,
     &1.3190E-01,1.3842E-01,1.4134E-01,1.4014E-01,1.3312E-01,1.0796E-01,
     &7.8244E-02,1.0718E-01,1.2298E-01,1.3318E-01,1.3962E-01,1.4250E-01,
     &1.4130E-01,1.3446E-01,1.0971E-01,7.9823E-02,1.0896E-01,1.2491E-01,
     &1.3508E-01,1.4123E-01,1.4382E-01,1.4250E-01,1.3575E-01,1.1145E-01,
     &8.1587E-02,1.1081E-01,1.2696E-01,1.3729E-01,1.4323E-01,1.4541E-01,
     &1.4385E-01,1.3708E-01,1.1322E-01/
      DATA ((KA(JS,JT,12, 9),JS=1,9),JT=1,5) /
     &6.5751E-02,9.3358E-02,1.0793E-01,1.1727E-01,1.2307E-01,1.2565E-01,
     &1.2447E-01,1.1782E-01,9.3944E-02,6.6851E-02,9.4791E-02,1.0927E-01,
     &1.1849E-01,1.2430E-01,1.2692E-01,1.2584E-01,1.1940E-01,9.5825E-02,
     &6.8215E-02,9.6468E-02,1.1113E-01,1.2035E-01,1.2596E-01,1.2837E-01,
     &1.2723E-01,1.2088E-01,9.7697E-02,6.9822E-02,9.8288E-02,1.1318E-01,
     &1.2260E-01,1.2800E-01,1.3009E-01,1.2875E-01,1.2246E-01,9.9558E-02,
     &7.1562E-02,1.0021E-01,1.1536E-01,1.2491E-01,1.3035E-01,1.3218E-01,
     &1.3049E-01,1.2412E-01,1.0142E-01/
      DATA ((KA(JS,JT,13, 9),JS=1,9),JT=1,5) /
     &5.6716E-02,8.3175E-02,9.6227E-02,1.0452E-01,1.0961E-01,1.1186E-01,
     &1.1078E-01,1.0487E-01,8.2822E-02,5.7829E-02,8.4711E-02,9.7973E-02,
     &1.0625E-01,1.1123E-01,1.1339E-01,1.1236E-01,1.0648E-01,8.4781E-02,
     &5.9231E-02,8.6426E-02,9.9996E-02,1.0847E-01,1.1329E-01,1.1518E-01,
     &1.1401E-01,1.0821E-01,8.6727E-02,6.0793E-02,8.8335E-02,1.0220E-01,
     &1.1080E-01,1.1568E-01,1.1734E-01,1.1592E-01,1.1003E-01,8.8652E-02,
     &6.2288E-02,9.0379E-02,1.0449E-01,1.1321E-01,1.1819E-01,1.1985E-01,
     &1.1808E-01,1.1193E-01,9.0608E-02/
      DATA ((KA(JS,JT, 1,10),JS=1,9),JT=1,5) /
     &7.3370E-01,6.6239E-01,6.4754E-01,6.5671E-01,6.4798E-01,6.2443E-01,
     &6.2156E-01,5.9642E-01,6.5694E-01,7.2227E-01,6.5245E-01,6.4115E-01,
     &6.5244E-01,6.4519E-01,6.2272E-01,6.2178E-01,5.9807E-01,6.5734E-01,
     &7.1096E-01,6.4287E-01,6.3490E-01,6.4719E-01,6.4246E-01,6.1928E-01,
     &6.2164E-01,5.9971E-01,6.5975E-01,6.9997E-01,6.3340E-01,6.2893E-01,
     &6.4188E-01,6.3859E-01,6.1601E-01,6.2127E-01,5.9924E-01,6.6003E-01,
     &6.8921E-01,6.2412E-01,6.2274E-01,6.3660E-01,6.3341E-01,6.1371E-01,
     &6.1976E-01,5.9796E-01,6.5874E-01/
      DATA ((KA(JS,JT, 2,10),JS=1,9),JT=1,5) /
     &7.1435E-01,6.5898E-01,6.5791E-01,6.7621E-01,6.6803E-01,6.3952E-01,
     &6.2227E-01,6.0345E-01,6.4341E-01,7.0295E-01,6.4927E-01,6.5209E-01,
     &6.7168E-01,6.6601E-01,6.3761E-01,6.2183E-01,6.0472E-01,6.4489E-01,
     &6.9214E-01,6.4012E-01,6.4637E-01,6.6639E-01,6.6353E-01,6.3487E-01,
     &6.2217E-01,6.0467E-01,6.4521E-01,6.8145E-01,6.3089E-01,6.4022E-01,
     &6.6099E-01,6.5898E-01,6.3312E-01,6.2106E-01,6.0298E-01,6.4380E-01,
     &6.7068E-01,6.2208E-01,6.3390E-01,6.5546E-01,6.5376E-01,6.3122E-01,
     &6.1818E-01,6.0158E-01,6.4256E-01/
      DATA ((KA(JS,JT, 3,10),JS=1,9),JT=1,5) /
     &6.8340E-01,6.4482E-01,6.6290E-01,6.8284E-01,6.7896E-01,6.5800E-01,
     &6.1589E-01,6.0026E-01,6.2209E-01,6.7251E-01,6.3550E-01,6.5818E-01,
     &6.7891E-01,6.7722E-01,6.5575E-01,6.1745E-01,6.0017E-01,6.2247E-01,
     &6.6182E-01,6.2604E-01,6.5231E-01,6.7447E-01,6.7369E-01,6.5314E-01,
     &6.1804E-01,5.9851E-01,6.2084E-01,6.5114E-01,6.1727E-01,6.4569E-01,
     &6.7007E-01,6.6854E-01,6.5146E-01,6.1713E-01,5.9641E-01,6.1922E-01,
     &6.4110E-01,6.0881E-01,6.3926E-01,6.6468E-01,6.6347E-01,6.4931E-01,
     &6.1433E-01,5.9600E-01,6.1885E-01/
      DATA ((KA(JS,JT, 4,10),JS=1,9),JT=1,5) /
     &6.4233E-01,6.2207E-01,6.5747E-01,6.7845E-01,6.8170E-01,6.6374E-01,
     &6.1548E-01,5.9270E-01,6.0473E-01,6.3185E-01,6.1324E-01,6.5237E-01,
     &6.7473E-01,6.7959E-01,6.6215E-01,6.1741E-01,5.9134E-01,6.0361E-01,
     &6.2122E-01,6.0440E-01,6.4660E-01,6.7096E-01,6.7570E-01,6.6004E-01,
     &6.1834E-01,5.8886E-01,6.0079E-01,6.1111E-01,5.9616E-01,6.4034E-01,
     &6.6675E-01,6.7073E-01,6.5786E-01,6.1721E-01,5.8692E-01,5.9978E-01,
     &6.0223E-01,5.8851E-01,6.3401E-01,6.6136E-01,6.6631E-01,6.5503E-01,
     &6.1469E-01,5.8697E-01,6.0040E-01/
      DATA ((KA(JS,JT, 5,10),JS=1,9),JT=1,5) /
     &5.9185E-01,5.9370E-01,6.3992E-01,6.6463E-01,6.7279E-01,6.5610E-01,
     &6.1852E-01,5.8331E-01,5.8763E-01,5.8158E-01,5.8584E-01,6.3500E-01,
     &6.6123E-01,6.7045E-01,6.5504E-01,6.2015E-01,5.8225E-01,5.8623E-01,
     &5.7197E-01,5.7827E-01,6.2932E-01,6.5791E-01,6.6630E-01,6.5353E-01,
     &6.1959E-01,5.8025E-01,5.8483E-01,5.6277E-01,5.7099E-01,6.2369E-01,
     &6.5326E-01,6.6229E-01,6.5156E-01,6.1745E-01,5.7913E-01,5.8544E-01,
     &5.5581E-01,5.6431E-01,6.1807E-01,6.4784E-01,6.5855E-01,6.4845E-01,
     &6.1479E-01,5.7987E-01,5.8646E-01/
      DATA ((KA(JS,JT, 6,10),JS=1,9),JT=1,5) /
     &5.3954E-01,5.6255E-01,6.1290E-01,6.4303E-01,6.4974E-01,6.4176E-01,
     &6.1714E-01,5.6940E-01,5.6484E-01,5.3060E-01,5.5651E-01,6.0789E-01,
     &6.3988E-01,6.4820E-01,6.4042E-01,6.1834E-01,5.6932E-01,5.6418E-01,
     &5.2216E-01,5.4988E-01,6.0294E-01,6.3619E-01,6.4521E-01,6.3878E-01,
     &6.1726E-01,5.6850E-01,5.6474E-01,5.1474E-01,5.4331E-01,5.9815E-01,
     &6.3165E-01,6.4200E-01,6.3625E-01,6.1431E-01,5.6860E-01,5.6684E-01,
     &5.1206E-01,5.3704E-01,5.9303E-01,6.2695E-01,6.3853E-01,6.3290E-01,
     &6.1169E-01,5.7018E-01,5.6804E-01/
      DATA ((KA(JS,JT, 7,10),JS=1,9),JT=1,5) /
     &4.9102E-01,5.2896E-01,5.8005E-01,6.0940E-01,6.2179E-01,6.2452E-01,
     &6.0693E-01,5.5666E-01,5.3830E-01,4.8351E-01,5.2394E-01,5.7551E-01,
     &6.0647E-01,6.2043E-01,6.2318E-01,6.0808E-01,5.5693E-01,5.3902E-01,
     &4.7604E-01,5.1848E-01,5.7124E-01,6.0324E-01,6.1835E-01,6.2080E-01,
     &6.0698E-01,5.5691E-01,5.4116E-01,4.7121E-01,5.1294E-01,5.6659E-01,
     &5.9937E-01,6.1527E-01,6.1807E-01,6.0502E-01,5.5819E-01,5.4361E-01,
     &4.7306E-01,5.0884E-01,5.6199E-01,5.9548E-01,6.1135E-01,6.1474E-01,
     &6.0372E-01,5.6024E-01,5.4444E-01/
      DATA ((KA(JS,JT, 8,10),JS=1,9),JT=1,5) /
     &4.4396E-01,4.9532E-01,5.4249E-01,5.7145E-01,5.9186E-01,6.0060E-01,
     &5.8785E-01,5.4441E-01,5.0913E-01,4.3707E-01,4.9048E-01,5.3914E-01,
     &5.6868E-01,5.9107E-01,6.0049E-01,5.8883E-01,5.4507E-01,5.1101E-01,
     &4.3098E-01,4.8531E-01,5.3541E-01,5.6592E-01,5.8911E-01,5.9846E-01,
     &5.8812E-01,5.4578E-01,5.1441E-01,4.2957E-01,4.8093E-01,5.3173E-01,
     &5.6262E-01,5.8636E-01,5.9589E-01,5.8708E-01,5.4776E-01,5.1773E-01,
     &4.3487E-01,4.8035E-01,5.2822E-01,5.5903E-01,5.8272E-01,5.9353E-01,
     &5.8697E-01,5.4985E-01,5.1918E-01/
      DATA ((KA(JS,JT, 9,10),JS=1,9),JT=1,5) /
     &3.9531E-01,4.6021E-01,5.0510E-01,5.3588E-01,5.5895E-01,5.6979E-01,
     &5.6191E-01,5.2659E-01,4.7758E-01,3.8905E-01,4.5517E-01,5.0180E-01,
     &5.3416E-01,5.5846E-01,5.7047E-01,5.6355E-01,5.2717E-01,4.8088E-01,
     &3.8493E-01,4.5067E-01,4.9854E-01,5.3220E-01,5.5699E-01,5.6934E-01,
     &5.6332E-01,5.2868E-01,4.8536E-01,3.8723E-01,4.4786E-01,4.9546E-01,
     &5.2928E-01,5.5471E-01,5.6730E-01,5.6372E-01,5.3178E-01,4.8902E-01,
     &3.9433E-01,4.5054E-01,4.9350E-01,5.2621E-01,5.5192E-01,5.6604E-01,
     &5.6481E-01,5.3491E-01,4.9067E-01/
      DATA ((KA(JS,JT,10,10),JS=1,9),JT=1,5) /
     &3.4716E-01,4.1992E-01,4.6841E-01,5.0264E-01,5.2377E-01,5.3462E-01,
     &5.3096E-01,5.0215E-01,4.4481E-01,3.4195E-01,4.1601E-01,4.6506E-01,
     &5.0165E-01,5.2385E-01,5.3574E-01,5.3310E-01,5.0401E-01,4.4924E-01,
     &3.4072E-01,4.1255E-01,4.6265E-01,5.0007E-01,5.2273E-01,5.3553E-01,
     &5.3434E-01,5.0668E-01,4.5414E-01,3.4572E-01,4.1258E-01,4.6029E-01,
     &4.9770E-01,5.2100E-01,5.3482E-01,5.3633E-01,5.1056E-01,4.5768E-01,
     &3.5242E-01,4.1826E-01,4.6028E-01,4.9520E-01,5.1927E-01,5.3500E-01,
     &5.3892E-01,5.1405E-01,4.5947E-01/
      DATA ((KA(JS,JT,11,10),JS=1,9),JT=1,5) /
     &3.0160E-01,3.7714E-01,4.2971E-01,4.6717E-01,4.8926E-01,4.9871E-01,
     &4.9756E-01,4.7436E-01,4.1261E-01,2.9962E-01,3.7395E-01,4.2779E-01,
     &4.6654E-01,4.8929E-01,4.9998E-01,5.0016E-01,4.7769E-01,4.1819E-01,
     &3.0371E-01,3.7339E-01,4.2611E-01,4.6502E-01,4.8821E-01,5.0080E-01,
     &5.0323E-01,4.8215E-01,4.2266E-01,3.0955E-01,3.7857E-01,4.2639E-01,
     &4.6320E-01,4.8745E-01,5.0213E-01,5.0694E-01,4.8639E-01,4.2570E-01,
     &3.1511E-01,3.8606E-01,4.3107E-01,4.6346E-01,4.8731E-01,5.0398E-01,
     &5.0975E-01,4.8945E-01,4.2790E-01/
      DATA ((KA(JS,JT,12,10),JS=1,9),JT=1,5) /
     &2.6311E-01,3.3847E-01,3.9159E-01,4.2993E-01,4.5370E-01,4.6372E-01,
     &4.6279E-01,4.4427E-01,3.7907E-01,2.6583E-01,3.3679E-01,3.9073E-01,
     &4.2938E-01,4.5415E-01,4.6569E-01,4.6639E-01,4.4945E-01,3.8485E-01,
     &2.7082E-01,3.4071E-01,3.9077E-01,4.2842E-01,4.5412E-01,4.6820E-01,
     &4.7089E-01,4.5477E-01,3.8900E-01,2.7574E-01,3.4733E-01,3.9532E-01,
     &4.2923E-01,4.5504E-01,4.7097E-01,4.7486E-01,4.5848E-01,3.9247E-01,
     &2.8099E-01,3.5386E-01,4.0190E-01,4.3447E-01,4.5757E-01,4.7294E-01,
     &4.7760E-01,4.6125E-01,3.9629E-01/
      DATA ((KA(JS,JT,13,10),JS=1,9),JT=1,5) /
     &2.3133E-01,3.0448E-01,3.5592E-01,3.9245E-01,4.1703E-01,4.2944E-01,
     &4.2838E-01,4.1191E-01,3.4405E-01,2.3569E-01,3.0675E-01,3.5574E-01,
     &3.9238E-01,4.1854E-01,4.3261E-01,4.3319E-01,4.1851E-01,3.4979E-01,
     &2.3995E-01,3.1287E-01,3.5958E-01,3.9339E-01,4.2025E-01,4.3649E-01,
     &4.3814E-01,4.2387E-01,3.5427E-01,2.4491E-01,3.1868E-01,3.6597E-01,
     &3.9887E-01,4.2348E-01,4.3960E-01,4.4180E-01,4.2781E-01,3.5946E-01,
     &2.5204E-01,3.2443E-01,3.7244E-01,4.0709E-01,4.2924E-01,4.4176E-01,
     &4.4465E-01,4.3196E-01,3.6481E-01/
      DATA ((KA(JS,JT, 1,11),JS=1,9),JT=1,5) /
     &1.0293E+00,9.0445E-01,8.6137E-01,8.3022E-01,8.4086E-01,8.6548E-01,
     &8.5587E-01,8.5325E-01,9.7261E-01,1.0191E+00,8.9556E-01,8.5472E-01,
     &8.2839E-01,8.3827E-01,8.6712E-01,8.5626E-01,8.5096E-01,9.7088E-01,
     &1.0070E+00,8.8513E-01,8.4750E-01,8.2570E-01,8.3354E-01,8.6668E-01,
     &8.5692E-01,8.4837E-01,9.6710E-01,9.9477E-01,8.7449E-01,8.3958E-01,
     &8.2146E-01,8.2897E-01,8.6436E-01,8.5744E-01,8.4703E-01,9.6450E-01,
     &9.8126E-01,8.6272E-01,8.3128E-01,8.1555E-01,8.2401E-01,8.5929E-01,
     &8.5825E-01,8.4707E-01,9.6358E-01/
      DATA ((KA(JS,JT, 2,11),JS=1,9),JT=1,5) /
     &1.0475E+00,9.3151E-01,8.9830E-01,8.8420E-01,8.7933E-01,8.7846E-01,
     &8.7987E-01,8.6086E-01,9.7265E-01,1.0370E+00,9.2196E-01,8.9215E-01,
     &8.8284E-01,8.7783E-01,8.8073E-01,8.8059E-01,8.5882E-01,9.6972E-01,
     &1.0244E+00,9.1082E-01,8.8511E-01,8.7976E-01,8.7455E-01,8.8046E-01,
     &8.8070E-01,8.5623E-01,9.6599E-01,1.0111E+00,8.9911E-01,8.7761E-01,
     &8.7481E-01,8.7132E-01,8.7692E-01,8.8074E-01,8.5652E-01,9.6500E-01,
     &9.9734E-01,8.8696E-01,8.6940E-01,8.6908E-01,8.6706E-01,8.7191E-01,
     &8.8156E-01,8.5742E-01,9.6567E-01/
      DATA ((KA(JS,JT, 3,11),JS=1,9),JT=1,5) /
     &1.0481E+00,9.4949E-01,9.2754E-01,9.3134E-01,9.2020E-01,8.8963E-01,
     &8.9353E-01,8.7368E-01,9.6341E-01,1.0364E+00,9.3961E-01,9.2141E-01,
     &9.2962E-01,9.1951E-01,8.9266E-01,8.9347E-01,8.7218E-01,9.5995E-01,
     &1.0237E+00,9.2877E-01,9.1434E-01,9.2574E-01,9.1740E-01,8.9302E-01,
     &8.9281E-01,8.7167E-01,9.5907E-01,1.0107E+00,9.1711E-01,9.0716E-01,
     &9.2023E-01,9.1517E-01,8.9037E-01,8.9222E-01,8.7266E-01,9.5928E-01,
     &9.9633E-01,9.0470E-01,8.9927E-01,9.1439E-01,9.1120E-01,8.8600E-01,
     &8.9266E-01,8.7273E-01,9.5886E-01/
      DATA ((KA(JS,JT, 4,11),JS=1,9),JT=1,5) /
     &1.0264E+00,9.5071E-01,9.4674E-01,9.6322E-01,9.5099E-01,9.1374E-01,
     &8.9446E-01,8.7855E-01,9.3628E-01,1.0149E+00,9.4036E-01,9.4196E-01,
     &9.6089E-01,9.5153E-01,9.1752E-01,8.9401E-01,8.7842E-01,9.3496E-01,
     &1.0022E+00,9.2957E-01,9.3566E-01,9.5688E-01,9.5066E-01,9.1784E-01,
     &8.9284E-01,8.7926E-01,9.3586E-01,9.8847E-01,9.1773E-01,9.2854E-01,
     &9.5134E-01,9.4862E-01,9.1547E-01,8.9366E-01,8.7951E-01,9.3591E-01,
     &9.7390E-01,9.0550E-01,9.2045E-01,9.4604E-01,9.4431E-01,9.1218E-01,
     &8.9395E-01,8.7858E-01,9.3476E-01/
      DATA ((KA(JS,JT, 5,11),JS=1,9),JT=1,5) /
     &9.8609E-01,9.3424E-01,9.5643E-01,9.7684E-01,9.6999E-01,9.3774E-01,
     &8.8693E-01,8.6915E-01,9.0145E-01,9.7412E-01,9.2401E-01,9.5137E-01,
     &9.7507E-01,9.7005E-01,9.4299E-01,8.8698E-01,8.6947E-01,9.0218E-01,
     &9.6114E-01,9.1242E-01,9.4531E-01,9.7096E-01,9.6958E-01,9.4325E-01,
     &8.8812E-01,8.6965E-01,9.0220E-01,9.4742E-01,9.0067E-01,9.3796E-01,
     &9.6622E-01,9.6802E-01,9.4082E-01,8.9013E-01,8.6974E-01,9.0156E-01,
     &9.3336E-01,8.8866E-01,9.2975E-01,9.6102E-01,9.6365E-01,9.3814E-01,
     &8.9133E-01,8.6813E-01,8.9955E-01/
      DATA ((KA(JS,JT, 6,11),JS=1,9),JT=1,5) /
     &9.2984E-01,9.0494E-01,9.4972E-01,9.7425E-01,9.7662E-01,9.4556E-01,
     &8.8351E-01,8.5584E-01,8.7463E-01,9.1725E-01,8.9370E-01,9.4535E-01,
     &9.7222E-01,9.7680E-01,9.5110E-01,8.8518E-01,8.5597E-01,8.7435E-01,
     &9.0427E-01,8.8250E-01,9.3903E-01,9.6844E-01,9.7606E-01,9.5304E-01,
     &8.8753E-01,8.5497E-01,8.7307E-01,8.9063E-01,8.7150E-01,9.3110E-01,
     &9.6495E-01,9.7386E-01,9.5208E-01,8.9056E-01,8.5380E-01,8.7067E-01,
     &8.7675E-01,8.6027E-01,9.2261E-01,9.6002E-01,9.6930E-01,9.4959E-01,
     &8.9201E-01,8.5155E-01,8.6905E-01/
      DATA ((KA(JS,JT, 7,11),JS=1,9),JT=1,5) /
     &8.5919E-01,8.6562E-01,9.2649E-01,9.5965E-01,9.6523E-01,9.3650E-01,
     &8.8529E-01,8.4057E-01,8.4722E-01,8.4717E-01,8.5599E-01,9.2166E-01,
     &9.5676E-01,9.6677E-01,9.4156E-01,8.8807E-01,8.4087E-01,8.4785E-01,
     &8.3473E-01,8.4556E-01,9.1525E-01,9.5342E-01,9.6579E-01,9.4506E-01,
     &8.9084E-01,8.3990E-01,8.4680E-01,8.2211E-01,8.3508E-01,9.0782E-01,
     &9.4944E-01,9.6296E-01,9.4530E-01,8.9295E-01,8.3822E-01,8.4533E-01,
     &8.0945E-01,8.2542E-01,9.0011E-01,9.4513E-01,9.5957E-01,9.4356E-01,
     &8.9326E-01,8.3636E-01,8.4582E-01/
      DATA ((KA(JS,JT, 8,11),JS=1,9),JT=1,5) /
     &7.8535E-01,8.1958E-01,8.9069E-01,9.2943E-01,9.3702E-01,9.1895E-01,
     &8.8182E-01,8.1942E-01,8.1355E-01,7.7455E-01,8.1120E-01,8.8449E-01,
     &9.2737E-01,9.3847E-01,9.2275E-01,8.8568E-01,8.2187E-01,8.1529E-01,
     &7.6320E-01,8.0325E-01,8.7799E-01,9.2413E-01,9.3785E-01,9.2584E-01,
     &8.8848E-01,8.2246E-01,8.1526E-01,7.5209E-01,7.9461E-01,8.7173E-01,
     &9.2037E-01,9.3562E-01,9.2659E-01,8.9042E-01,8.2203E-01,8.1583E-01,
     &7.4191E-01,7.8569E-01,8.6500E-01,9.1565E-01,9.3275E-01,9.2508E-01,
     &8.9021E-01,8.2215E-01,8.1833E-01/
      DATA ((KA(JS,JT, 9,11),JS=1,9),JT=1,5) /
     &7.1539E-01,7.7045E-01,8.4442E-01,8.8339E-01,8.9968E-01,8.9536E-01,
     &8.6841E-01,7.9955E-01,7.7318E-01,7.0564E-01,7.6424E-01,8.3867E-01,
     &8.8222E-01,9.0019E-01,8.9929E-01,8.7308E-01,8.0390E-01,7.7664E-01,
     &6.9566E-01,7.5811E-01,8.3280E-01,8.7940E-01,9.0026E-01,9.0222E-01,
     &8.7663E-01,8.0593E-01,7.7834E-01,6.8611E-01,7.5067E-01,8.2727E-01,
     &8.7623E-01,8.9845E-01,9.0248E-01,8.7886E-01,8.0698E-01,7.8085E-01,
     &6.7924E-01,7.4336E-01,8.2173E-01,8.7192E-01,8.9575E-01,9.0118E-01,
     &8.7929E-01,8.0840E-01,7.8556E-01/
      DATA ((KA(JS,JT,10,11),JS=1,9),JT=1,5) /
     &6.4750E-01,7.2291E-01,7.9049E-01,8.3093E-01,8.5723E-01,8.6420E-01,
     &8.4410E-01,7.8062E-01,7.2995E-01,6.3786E-01,7.1701E-01,7.8689E-01,
     &8.2920E-01,8.5838E-01,8.6903E-01,8.4994E-01,7.8581E-01,7.3484E-01,
     &6.2879E-01,7.1055E-01,7.8212E-01,8.2630E-01,8.5919E-01,8.7234E-01,
     &8.5358E-01,7.8925E-01,7.3873E-01,6.2087E-01,7.0389E-01,7.7761E-01,
     &8.2356E-01,8.5812E-01,8.7281E-01,8.5602E-01,7.9174E-01,7.4394E-01,
     &6.1947E-01,6.9759E-01,7.7360E-01,8.2013E-01,8.5542E-01,8.7157E-01,
     &8.5709E-01,7.9529E-01,7.5052E-01/
      DATA ((KA(JS,JT,11,11),JS=1,9),JT=1,5) /
     &5.7317E-01,6.7082E-01,7.3559E-01,7.7934E-01,8.1170E-01,8.2582E-01,
     &8.1431E-01,7.5887E-01,6.8710E-01,5.6447E-01,6.6437E-01,7.3216E-01,
     &7.7740E-01,8.1370E-01,8.3183E-01,8.1926E-01,7.6438E-01,6.9316E-01,
     &5.5710E-01,6.5798E-01,7.2792E-01,7.7609E-01,8.1480E-01,8.3377E-01,
     &8.2304E-01,7.6833E-01,7.0018E-01,5.5630E-01,6.5257E-01,7.2437E-01,
     &7.7329E-01,8.1397E-01,8.3437E-01,8.2566E-01,7.7320E-01,7.0886E-01,
     &5.6411E-01,6.5194E-01,7.2119E-01,7.7017E-01,8.1118E-01,8.3405E-01,
     &8.2785E-01,7.7913E-01,7.1658E-01/
      DATA ((KA(JS,JT,12,11),JS=1,9),JT=1,5) /
     &5.0093E-01,6.1265E-01,6.8222E-01,7.3081E-01,7.6376E-01,7.8196E-01,
     &7.7611E-01,7.3046E-01,6.4374E-01,4.9374E-01,6.0693E-01,6.7860E-01,
     &7.3087E-01,7.6701E-01,7.8657E-01,7.8196E-01,7.3646E-01,6.5183E-01,
     &4.9262E-01,6.0232E-01,6.7517E-01,7.3017E-01,7.6805E-01,7.8863E-01,
     &7.8651E-01,7.4261E-01,6.6205E-01,4.9989E-01,6.0234E-01,6.7259E-01,
     &7.2790E-01,7.6753E-01,7.9017E-01,7.9054E-01,7.5027E-01,6.7174E-01,
     &5.1177E-01,6.0963E-01,6.7313E-01,7.2489E-01,7.6606E-01,7.9187E-01,
     &7.9524E-01,7.5809E-01,6.7955E-01/
      DATA ((KA(JS,JT,13,11),JS=1,9),JT=1,5) /
     &4.3610E-01,5.5280E-01,6.2805E-01,6.8236E-01,7.1726E-01,7.3439E-01,
     &7.3316E-01,6.9581E-01,6.0098E-01,4.3332E-01,5.4879E-01,6.2602E-01,
     &6.8387E-01,7.1981E-01,7.3863E-01,7.4004E-01,7.0395E-01,6.1188E-01,
     &4.3938E-01,5.4819E-01,6.2420E-01,6.8392E-01,7.2120E-01,7.4159E-01,
     &7.4634E-01,7.1286E-01,6.2343E-01,4.4997E-01,5.5515E-01,6.2479E-01,
     &6.8255E-01,7.2173E-01,7.4510E-01,7.5297E-01,7.2278E-01,6.3265E-01,
     &4.6055E-01,5.6787E-01,6.3110E-01,6.8248E-01,7.2225E-01,7.4921E-01,
     &7.5987E-01,7.3098E-01,6.4026E-01/
      DATA ((KA(JS,JT, 1,12),JS=1,9),JT=1,5) /
     &1.4171E+00,1.2412E+00,1.1453E+00,1.1122E+00,1.1253E+00,1.1573E+00,
     &1.1791E+00,1.2973E+00,1.4638E+00,1.4090E+00,1.2342E+00,1.1388E+00,
     &1.1095E+00,1.1322E+00,1.1607E+00,1.1781E+00,1.2938E+00,1.4611E+00,
     &1.3994E+00,1.2258E+00,1.1299E+00,1.1046E+00,1.1339E+00,1.1641E+00,
     &1.1762E+00,1.2907E+00,1.4569E+00,1.3872E+00,1.2151E+00,1.1205E+00,
     &1.0983E+00,1.1321E+00,1.1655E+00,1.1746E+00,1.2884E+00,1.4537E+00,
     &1.3737E+00,1.2034E+00,1.1101E+00,1.0915E+00,1.1280E+00,1.1664E+00,
     &1.1724E+00,1.2834E+00,1.4491E+00/
      DATA ((KA(JS,JT, 2,12),JS=1,9),JT=1,5) /
     &1.5051E+00,1.3181E+00,1.2304E+00,1.1719E+00,1.1855E+00,1.2309E+00,
     &1.2496E+00,1.3203E+00,1.5049E+00,1.4984E+00,1.3123E+00,1.2250E+00,
     &1.1699E+00,1.1925E+00,1.2340E+00,1.2487E+00,1.3193E+00,1.5024E+00,
     &1.4884E+00,1.3036E+00,1.2176E+00,1.1665E+00,1.1942E+00,1.2376E+00,
     &1.2478E+00,1.3196E+00,1.5020E+00,1.4762E+00,1.2929E+00,1.2082E+00,
     &1.1628E+00,1.1911E+00,1.2406E+00,1.2476E+00,1.3168E+00,1.5001E+00,
     &1.4614E+00,1.2800E+00,1.1975E+00,1.1575E+00,1.1857E+00,1.2414E+00,
     &1.2460E+00,1.3124E+00,1.4945E+00/
      DATA ((KA(JS,JT, 3,12),JS=1,9),JT=1,5) /
     &1.5822E+00,1.3890E+00,1.3182E+00,1.2547E+00,1.2476E+00,1.2873E+00,
     &1.3056E+00,1.3300E+00,1.5181E+00,1.5752E+00,1.3826E+00,1.3120E+00,
     &1.2557E+00,1.2556E+00,1.2906E+00,1.3067E+00,1.3310E+00,1.5193E+00,
     &1.5647E+00,1.3732E+00,1.3046E+00,1.2538E+00,1.2575E+00,1.2941E+00,
     &1.3084E+00,1.3307E+00,1.5193E+00,1.5514E+00,1.3616E+00,1.2950E+00,
     &1.2500E+00,1.2556E+00,1.2989E+00,1.3088E+00,1.3292E+00,1.5174E+00,
     &1.5358E+00,1.3480E+00,1.2843E+00,1.2443E+00,1.2517E+00,1.3009E+00,
     &1.3074E+00,1.3265E+00,1.5142E+00/
      DATA ((KA(JS,JT, 4,12),JS=1,9),JT=1,5) /
     &1.6350E+00,1.4490E+00,1.3916E+00,1.3443E+00,1.3174E+00,1.3244E+00,
     &1.3476E+00,1.3365E+00,1.5180E+00,1.6281E+00,1.4425E+00,1.3866E+00,
     &1.3479E+00,1.3260E+00,1.3268E+00,1.3503E+00,1.3390E+00,1.5205E+00,
     &1.6161E+00,1.4310E+00,1.3789E+00,1.3476E+00,1.3293E+00,1.3314E+00,
     &1.3532E+00,1.3408E+00,1.5220E+00,1.6014E+00,1.4178E+00,1.3691E+00,
     &1.3444E+00,1.3282E+00,1.3379E+00,1.3534E+00,1.3410E+00,1.5212E+00,
     &1.5848E+00,1.4026E+00,1.3577E+00,1.3378E+00,1.3257E+00,1.3408E+00,
     &1.3534E+00,1.3387E+00,1.5183E+00/
      DATA ((KA(JS,JT, 5,12),JS=1,9),JT=1,5) /
     &1.6591E+00,1.4947E+00,1.4480E+00,1.4262E+00,1.3903E+00,1.3587E+00,
     &1.3777E+00,1.3491E+00,1.5046E+00,1.6509E+00,1.4862E+00,1.4440E+00,
     &1.4316E+00,1.3991E+00,1.3598E+00,1.3805E+00,1.3541E+00,1.5083E+00,
     &1.6386E+00,1.4750E+00,1.4364E+00,1.4307E+00,1.4045E+00,1.3655E+00,
     &1.3826E+00,1.3579E+00,1.5118E+00,1.6229E+00,1.4605E+00,1.4277E+00,
     &1.4269E+00,1.4036E+00,1.3722E+00,1.3840E+00,1.3579E+00,1.5115E+00,
     &1.6043E+00,1.4439E+00,1.4169E+00,1.4203E+00,1.4024E+00,1.3765E+00,
     &1.3831E+00,1.3575E+00,1.5115E+00/
      DATA ((KA(JS,JT, 6,12),JS=1,9),JT=1,5) /
     &1.6482E+00,1.5147E+00,1.4918E+00,1.4883E+00,1.4555E+00,1.4030E+00,
     &1.3913E+00,1.3585E+00,1.4685E+00,1.6385E+00,1.5059E+00,1.4880E+00,
     &1.4958E+00,1.4629E+00,1.4056E+00,1.3940E+00,1.3659E+00,1.4762E+00,
     &1.6253E+00,1.4941E+00,1.4803E+00,1.4965E+00,1.4689E+00,1.4106E+00,
     &1.3970E+00,1.3717E+00,1.4817E+00,1.6089E+00,1.4791E+00,1.4713E+00,
     &1.4908E+00,1.4702E+00,1.4165E+00,1.3983E+00,1.3748E+00,1.4851E+00,
     &1.5910E+00,1.4633E+00,1.4618E+00,1.4838E+00,1.4693E+00,1.4213E+00,
     &1.3976E+00,1.3770E+00,1.4876E+00/
      DATA ((KA(JS,JT, 7,12),JS=1,9),JT=1,5) /
     &1.6064E+00,1.5086E+00,1.5144E+00,1.5268E+00,1.5040E+00,1.4507E+00,
     &1.3904E+00,1.3521E+00,1.4179E+00,1.5953E+00,1.4985E+00,1.5140E+00,
     &1.5345E+00,1.5085E+00,1.4549E+00,1.3952E+00,1.3604E+00,1.4259E+00,
     &1.5801E+00,1.4851E+00,1.5073E+00,1.5363E+00,1.5134E+00,1.4598E+00,
     &1.3998E+00,1.3678E+00,1.4328E+00,1.5629E+00,1.4703E+00,1.4995E+00,
     &1.5318E+00,1.5172E+00,1.4656E+00,1.4020E+00,1.3732E+00,1.4388E+00,
     &1.5443E+00,1.4531E+00,1.4892E+00,1.5236E+00,1.5169E+00,1.4692E+00,
     &1.4038E+00,1.3766E+00,1.4425E+00/
      DATA ((KA(JS,JT, 8,12),JS=1,9),JT=1,5) /
     &1.5344E+00,1.4766E+00,1.5157E+00,1.5423E+00,1.5330E+00,1.4811E+00,
     &1.3889E+00,1.3373E+00,1.3698E+00,1.5222E+00,1.4679E+00,1.5175E+00,
     &1.5473E+00,1.5363E+00,1.4872E+00,1.3948E+00,1.3442E+00,1.3786E+00,
     &1.5059E+00,1.4533E+00,1.5144E+00,1.5489E+00,1.5409E+00,1.4932E+00,
     &1.4005E+00,1.3518E+00,1.3861E+00,1.4877E+00,1.4368E+00,1.5058E+00,
     &1.5451E+00,1.5445E+00,1.4989E+00,1.4044E+00,1.3574E+00,1.3922E+00,
     &1.4686E+00,1.4200E+00,1.4953E+00,1.5388E+00,1.5447E+00,1.5024E+00,
     &1.4082E+00,1.3605E+00,1.3964E+00/
      DATA ((KA(JS,JT, 9,12),JS=1,9),JT=1,5) /
     &1.4373E+00,1.4266E+00,1.4938E+00,1.5367E+00,1.5341E+00,1.4871E+00,
     &1.3939E+00,1.3173E+00,1.3285E+00,1.4250E+00,1.4168E+00,1.4968E+00,
     &1.5390E+00,1.5386E+00,1.4934E+00,1.3987E+00,1.3260E+00,1.3388E+00,
     &1.4085E+00,1.4020E+00,1.4946E+00,1.5393E+00,1.5430E+00,1.4996E+00,
     &1.4050E+00,1.3340E+00,1.3471E+00,1.3898E+00,1.3862E+00,1.4874E+00,
     &1.5365E+00,1.5469E+00,1.5061E+00,1.4095E+00,1.3387E+00,1.3529E+00,
     &1.3711E+00,1.3694E+00,1.4772E+00,1.5321E+00,1.5481E+00,1.5103E+00,
     &1.4136E+00,1.3413E+00,1.3557E+00/
      DATA ((KA(JS,JT,10,12),JS=1,9),JT=1,5) /
     &1.3234E+00,1.3585E+00,1.4531E+00,1.5073E+00,1.5094E+00,1.4728E+00,
     &1.3972E+00,1.2936E+00,1.2835E+00,1.3109E+00,1.3494E+00,1.4540E+00,
     &1.5085E+00,1.5139E+00,1.4784E+00,1.4019E+00,1.3047E+00,1.2968E+00,
     &1.2956E+00,1.3371E+00,1.4504E+00,1.5092E+00,1.5192E+00,1.4835E+00,
     &1.4094E+00,1.3136E+00,1.3076E+00,1.2784E+00,1.3237E+00,1.4435E+00,
     &1.5071E+00,1.5234E+00,1.4905E+00,1.4145E+00,1.3190E+00,1.3139E+00,
     &1.2607E+00,1.3090E+00,1.4344E+00,1.5038E+00,1.5261E+00,1.4956E+00,
     &1.4181E+00,1.3210E+00,1.3178E+00/
      DATA ((KA(JS,JT,11,12),JS=1,9),JT=1,5) /
     &1.2047E+00,1.2789E+00,1.3923E+00,1.4530E+00,1.4659E+00,1.4483E+00,
     &1.3898E+00,1.2749E+00,1.2386E+00,1.1911E+00,1.2701E+00,1.3902E+00,
     &1.4549E+00,1.4710E+00,1.4517E+00,1.3981E+00,1.2874E+00,1.2546E+00,
     &1.1768E+00,1.2599E+00,1.3852E+00,1.4552E+00,1.4760E+00,1.4581E+00,
     &1.4056E+00,1.2968E+00,1.2644E+00,1.1609E+00,1.2491E+00,1.3785E+00,
     &1.4542E+00,1.4794E+00,1.4643E+00,1.4106E+00,1.3015E+00,1.2707E+00,
     &1.1453E+00,1.2370E+00,1.3722E+00,1.4526E+00,1.4820E+00,1.4680E+00,
     &1.4139E+00,1.3041E+00,1.2775E+00/
      DATA ((KA(JS,JT,12,12),JS=1,9),JT=1,5) /
     &1.0892E+00,1.1978E+00,1.3175E+00,1.3800E+00,1.4113E+00,1.4104E+00,
     &1.3697E+00,1.2563E+00,1.1895E+00,1.0764E+00,1.1912E+00,1.3142E+00,
     &1.3828E+00,1.4151E+00,1.4161E+00,1.3800E+00,1.2704E+00,1.2046E+00,
     &1.0634E+00,1.1835E+00,1.3099E+00,1.3835E+00,1.4196E+00,1.4241E+00,
     &1.3887E+00,1.2786E+00,1.2148E+00,1.0495E+00,1.1751E+00,1.3057E+00,
     &1.3846E+00,1.4230E+00,1.4300E+00,1.3945E+00,1.2836E+00,1.2244E+00,
     &1.0406E+00,1.1650E+00,1.3011E+00,1.3864E+00,1.4254E+00,1.4322E+00,
     &1.3980E+00,1.2878E+00,1.2342E+00/
      DATA ((KA(JS,JT,13,12),JS=1,9),JT=1,5) /
     &9.7671E-01,1.1194E+00,1.2352E+00,1.3029E+00,1.3468E+00,1.3623E+00,
     &1.3355E+00,1.2363E+00,1.1351E+00,9.6514E-01,1.1135E+00,1.2326E+00,
     &1.3049E+00,1.3523E+00,1.3721E+00,1.3488E+00,1.2496E+00,1.1500E+00,
     &9.5350E-01,1.1073E+00,1.2308E+00,1.3063E+00,1.3575E+00,1.3815E+00,
     &1.3588E+00,1.2584E+00,1.1629E+00,9.4648E-01,1.1002E+00,1.2294E+00,
     &1.3087E+00,1.3617E+00,1.3873E+00,1.3660E+00,1.2653E+00,1.1761E+00,
     &9.4953E-01,1.0941E+00,1.2277E+00,1.3116E+00,1.3645E+00,1.3901E+00,
     &1.3713E+00,1.2717E+00,1.1896E+00/
      DATA ((KA(JS,JT, 1,13),JS=1,9),JT=1,5) /
     &2.1877E+00,1.9168E+00,1.6830E+00,1.6306E+00,1.5763E+00,1.5398E+00,
     &1.5859E+00,1.8468E+00,2.0593E+00,2.2022E+00,1.9296E+00,1.6916E+00,
     &1.6400E+00,1.5796E+00,1.5432E+00,1.5912E+00,1.8534E+00,2.0655E+00,
     &2.2022E+00,1.9297E+00,1.6911E+00,1.6436E+00,1.5885E+00,1.5469E+00,
     &1.5941E+00,1.8569E+00,2.0695E+00,2.1895E+00,1.9186E+00,1.6803E+00,
     &1.6425E+00,1.5962E+00,1.5525E+00,1.5947E+00,1.8575E+00,2.0703E+00,
     &2.1697E+00,1.9013E+00,1.6648E+00,1.6344E+00,1.6003E+00,1.5574E+00,
     &1.5941E+00,1.8572E+00,2.0709E+00/
      DATA ((KA(JS,JT, 2,13),JS=1,9),JT=1,5) /
     &2.2550E+00,1.9753E+00,1.7734E+00,1.7443E+00,1.7102E+00,1.6986E+00,
     &1.7217E+00,1.9863E+00,2.2329E+00,2.2679E+00,1.9867E+00,1.7791E+00,
     &1.7520E+00,1.7112E+00,1.7026E+00,1.7283E+00,1.9934E+00,2.2409E+00,
     &2.2698E+00,1.9883E+00,1.7767E+00,1.7568E+00,1.7174E+00,1.7053E+00,
     &1.7318E+00,1.9966E+00,2.2448E+00,2.2597E+00,1.9796E+00,1.7668E+00,
     &1.7548E+00,1.7261E+00,1.7073E+00,1.7314E+00,1.9968E+00,2.2451E+00,
     &2.2409E+00,1.9632E+00,1.7511E+00,1.7475E+00,1.7318E+00,1.7099E+00,
     &1.7295E+00,1.9947E+00,2.2431E+00/
      DATA ((KA(JS,JT, 3,13),JS=1,9),JT=1,5) /
     &2.3526E+00,2.0603E+00,1.8829E+00,1.8493E+00,1.8420E+00,1.8637E+00,
     &1.8729E+00,2.1122E+00,2.3977E+00,2.3692E+00,2.0749E+00,1.8925E+00,
     &1.8515E+00,1.8400E+00,1.8683E+00,1.8793E+00,2.1211E+00,2.4079E+00,
     &2.3722E+00,2.0775E+00,1.8924E+00,1.8562E+00,1.8451E+00,1.8704E+00,
     &1.8820E+00,2.1249E+00,2.4125E+00,2.3635E+00,2.0699E+00,1.8842E+00,
     &1.8555E+00,1.8524E+00,1.8695E+00,1.8827E+00,2.1252E+00,2.4130E+00,
     &2.3480E+00,2.0564E+00,1.8701E+00,1.8499E+00,1.8587E+00,1.8689E+00,
     &1.8824E+00,2.1250E+00,2.4123E+00/
      DATA ((KA(JS,JT, 4,13),JS=1,9),JT=1,5) /
     &2.4939E+00,2.1837E+00,2.0232E+00,1.9589E+00,1.9737E+00,2.0251E+00,
     &2.0263E+00,2.2145E+00,2.5248E+00,2.5110E+00,2.1986E+00,2.0314E+00,
     &1.9589E+00,1.9697E+00,2.0307E+00,2.0352E+00,2.2253E+00,2.5374E+00,
     &2.5161E+00,2.2032E+00,2.0346E+00,1.9625E+00,1.9727E+00,2.0334E+00,
     &2.0403E+00,2.2301E+00,2.5429E+00,2.5095E+00,2.1974E+00,2.0283E+00,
     &1.9657E+00,1.9780E+00,2.0313E+00,2.0420E+00,2.2330E+00,2.5458E+00,
     &2.4957E+00,2.1853E+00,2.0162E+00,1.9613E+00,1.9825E+00,2.0289E+00,
     &2.0423E+00,2.2370E+00,2.5500E+00/
      DATA ((KA(JS,JT, 5,13),JS=1,9),JT=1,5) /
     &2.6637E+00,2.3330E+00,2.1864E+00,2.0904E+00,2.1013E+00,2.1699E+00,
     &2.1691E+00,2.2859E+00,2.6102E+00,2.6795E+00,2.3466E+00,2.1930E+00,
     &2.0883E+00,2.1007E+00,2.1775E+00,2.1807E+00,2.2957E+00,2.6216E+00,
     &2.6872E+00,2.3531E+00,2.2001E+00,2.0926E+00,2.1029E+00,2.1797E+00,
     &2.1879E+00,2.3020E+00,2.6289E+00,2.6803E+00,2.3471E+00,2.1948E+00,
     &2.0970E+00,2.1069E+00,2.1770E+00,2.1901E+00,2.3087E+00,2.6364E+00,
     &2.6667E+00,2.3351E+00,2.1832E+00,2.0959E+00,2.1091E+00,2.1729E+00,
     &2.1936E+00,2.3158E+00,2.6444E+00/
      DATA ((KA(JS,JT, 6,13),JS=1,9),JT=1,5) /
     &2.8246E+00,2.4844E+00,2.3554E+00,2.2494E+00,2.2325E+00,2.2877E+00,
     &2.2925E+00,2.3319E+00,2.6619E+00,2.8376E+00,2.4941E+00,2.3589E+00,
     &2.2458E+00,2.2369E+00,2.2959E+00,2.3048E+00,2.3408E+00,2.6720E+00,
     &2.8468E+00,2.5010E+00,2.3646E+00,2.2473E+00,2.2379E+00,2.2992E+00,
     &2.3116E+00,2.3486E+00,2.6812E+00,2.8432E+00,2.4967E+00,2.3643E+00,
     &2.2531E+00,2.2409E+00,2.2981E+00,2.3157E+00,2.3572E+00,2.6911E+00,
     &2.8266E+00,2.4816E+00,2.3521E+00,2.2549E+00,2.2433E+00,2.2953E+00,
     &2.3213E+00,2.3655E+00,2.7010E+00/
      DATA ((KA(JS,JT, 7,13),JS=1,9),JT=1,5) /
     &2.9507E+00,2.6186E+00,2.5154E+00,2.4214E+00,2.3698E+00,2.3809E+00,
     &2.3936E+00,2.3723E+00,2.6904E+00,2.9579E+00,2.6218E+00,2.5131E+00,
     &2.4179E+00,2.3791E+00,2.3895E+00,2.4036E+00,2.3830E+00,2.7026E+00,
     &2.9645E+00,2.6250E+00,2.5156E+00,2.4180E+00,2.3828E+00,2.3929E+00,
     &2.4104E+00,2.3923E+00,2.7131E+00,2.9630E+00,2.6222E+00,2.5142E+00,
     &2.4231E+00,2.3851E+00,2.3923E+00,2.4170E+00,2.4017E+00,2.7241E+00,
     &2.9476E+00,2.6071E+00,2.5053E+00,2.4267E+00,2.3855E+00,2.3922E+00,
     &2.4228E+00,2.4116E+00,2.7361E+00/
      DATA ((KA(JS,JT, 8,13),JS=1,9),JT=1,5) /
     &3.0283E+00,2.7271E+00,2.6499E+00,2.5812E+00,2.5068E+00,2.4674E+00,
     &2.4700E+00,2.4088E+00,2.6873E+00,3.0302E+00,2.7229E+00,2.6429E+00,
     &2.5805E+00,2.5199E+00,2.4758E+00,2.4797E+00,2.4223E+00,2.7017E+00,
     &3.0313E+00,2.7198E+00,2.6386E+00,2.5814E+00,2.5257E+00,2.4788E+00,
     &2.4874E+00,2.4335E+00,2.7156E+00,3.0296E+00,2.7153E+00,2.6358E+00,
     &2.5865E+00,2.5285E+00,2.4798E+00,2.4941E+00,2.4451E+00,2.7296E+00,
     &3.0139E+00,2.6994E+00,2.6290E+00,2.5893E+00,2.5296E+00,2.4809E+00,
     &2.5004E+00,2.4568E+00,2.7436E+00/
      DATA ((KA(JS,JT, 9,13),JS=1,9),JT=1,5) /
     &3.0493E+00,2.7941E+00,2.7550E+00,2.7119E+00,2.6405E+00,2.5561E+00,
     &2.5144E+00,2.4302E+00,2.6456E+00,3.0457E+00,2.7865E+00,2.7445E+00,
     &2.7145E+00,2.6540E+00,2.5649E+00,2.5264E+00,2.4468E+00,2.6636E+00,
     &3.0433E+00,2.7809E+00,2.7367E+00,2.7179E+00,2.6606E+00,2.5683E+00,
     &2.5354E+00,2.4613E+00,2.6815E+00,3.0389E+00,2.7734E+00,2.7309E+00,
     &2.7229E+00,2.6627E+00,2.5715E+00,2.5441E+00,2.4765E+00,2.7005E+00,
     &3.0246E+00,2.7583E+00,2.7239E+00,2.7244E+00,2.6642E+00,2.5740E+00,
     &2.5518E+00,2.4921E+00,2.7199E+00/
      DATA ((KA(JS,JT,10,13),JS=1,9),JT=1,5) /
     &3.0121E+00,2.8154E+00,2.8201E+00,2.8057E+00,2.7531E+00,2.6438E+00,
     &2.5360E+00,2.4395E+00,2.5814E+00,3.0058E+00,2.8055E+00,2.8091E+00,
     &2.8117E+00,2.7659E+00,2.6536E+00,2.5505E+00,2.4578E+00,2.6020E+00,
     &2.9984E+00,2.7957E+00,2.8033E+00,2.8172E+00,2.7717E+00,2.6597E+00,
     &2.5631E+00,2.4765E+00,2.6239E+00,2.9909E+00,2.7859E+00,2.7980E+00,
     &2.8231E+00,2.7737E+00,2.6641E+00,2.5752E+00,2.4953E+00,2.6473E+00,
     &2.9757E+00,2.7703E+00,2.7906E+00,2.8248E+00,2.7751E+00,2.6687E+00,
     &2.5862E+00,2.5141E+00,2.6704E+00/
      DATA ((KA(JS,JT,11,13),JS=1,9),JT=1,5) /
     &2.9105E+00,2.7849E+00,2.8418E+00,2.8641E+00,2.8368E+00,2.7205E+00,
     &2.5555E+00,2.4401E+00,2.5196E+00,2.9013E+00,2.7742E+00,2.8363E+00,
     &2.8719E+00,2.8460E+00,2.7321E+00,2.5730E+00,2.4607E+00,2.5412E+00,
     &2.8911E+00,2.7633E+00,2.8321E+00,2.8799E+00,2.8506E+00,2.7417E+00,
     &2.5892E+00,2.4813E+00,2.5665E+00,2.8805E+00,2.7495E+00,2.8275E+00,
     &2.8852E+00,2.8551E+00,2.7503E+00,2.6048E+00,2.5023E+00,2.5905E+00,
     &2.8607E+00,2.7299E+00,2.8179E+00,2.8868E+00,2.8597E+00,2.7578E+00,
     &2.6198E+00,2.5207E+00,2.6120E+00/
      DATA ((KA(JS,JT,12,13),JS=1,9),JT=1,5) /
     &2.7583E+00,2.7145E+00,2.8231E+00,2.8871E+00,2.8764E+00,2.7674E+00,
     &2.5743E+00,2.4278E+00,2.4570E+00,2.7477E+00,2.7023E+00,2.8226E+00,
     &2.8962E+00,2.8884E+00,2.7832E+00,2.5939E+00,2.4483E+00,2.4817E+00,
     &2.7363E+00,2.6890E+00,2.8229E+00,2.9041E+00,2.8966E+00,2.7972E+00,
     &2.6117E+00,2.4706E+00,2.5053E+00,2.7215E+00,2.6719E+00,2.8199E+00,
     &2.9098E+00,2.9044E+00,2.8097E+00,2.6305E+00,2.4926E+00,2.5297E+00,
     &2.7019E+00,2.6521E+00,2.8123E+00,2.9106E+00,2.9127E+00,2.8234E+00,
     &2.6485E+00,2.5112E+00,2.5512E+00/
      DATA ((KA(JS,JT,13,13),JS=1,9),JT=1,5) /
     &2.5703E+00,2.6073E+00,2.7736E+00,2.8686E+00,2.8762E+00,2.7819E+00,
     &2.5967E+00,2.4069E+00,2.3967E+00,2.5597E+00,2.5968E+00,2.7777E+00,
     &2.8810E+00,2.8904E+00,2.8011E+00,2.6158E+00,2.4298E+00,2.4224E+00,
     &2.5492E+00,2.5857E+00,2.7800E+00,2.8929E+00,2.9040E+00,2.8202E+00,
     &2.6351E+00,2.4527E+00,2.4494E+00,2.5336E+00,2.5705E+00,2.7801E+00,
     &2.9008E+00,2.9182E+00,2.8403E+00,2.6542E+00,2.4758E+00,2.4745E+00,
     &2.5174E+00,2.5538E+00,2.7760E+00,2.9061E+00,2.9321E+00,2.8592E+00,
     &2.6728E+00,2.4954E+00,2.4962E+00/
      DATA ((KA(JS,JT, 1,14),JS=1,9),JT=1,5) /
     &3.4915E+00,3.0588E+00,2.6262E+00,2.3144E+00,2.2122E+00,2.1892E+00,
     &2.5558E+00,2.9818E+00,3.2991E+00,3.5009E+00,3.0672E+00,2.6335E+00,
     &2.3059E+00,2.2071E+00,2.1796E+00,2.5444E+00,2.9683E+00,3.2820E+00,
     &3.5192E+00,3.0832E+00,2.6472E+00,2.3037E+00,2.2014E+00,2.1706E+00,
     &2.5342E+00,2.9565E+00,3.2692E+00,3.5462E+00,3.1069E+00,2.6676E+00,
     &2.3054E+00,2.1967E+00,2.1619E+00,2.5265E+00,2.9475E+00,3.2591E+00,
     &3.5714E+00,3.1290E+00,2.6866E+00,2.3141E+00,2.1952E+00,2.1552E+00,
     &2.5228E+00,2.9432E+00,3.2501E+00/
      DATA ((KA(JS,JT, 2,14),JS=1,9),JT=1,5) /
     &3.8742E+00,3.3939E+00,2.9135E+00,2.6368E+00,2.5318E+00,2.4566E+00,
     &2.7984E+00,3.2648E+00,3.6583E+00,3.8780E+00,3.3972E+00,2.9165E+00,
     &2.6245E+00,2.5266E+00,2.4447E+00,2.7836E+00,3.2475E+00,3.6397E+00,
     &3.8887E+00,3.4066E+00,2.9246E+00,2.6139E+00,2.5181E+00,2.4355E+00,
     &2.7726E+00,3.2346E+00,3.6242E+00,3.9063E+00,3.4220E+00,2.9378E+00,
     &2.6094E+00,2.5085E+00,2.4291E+00,2.7676E+00,3.2288E+00,3.6150E+00,
     &3.9241E+00,3.4376E+00,2.9511E+00,2.6073E+00,2.5021E+00,2.4243E+00,
     &2.7677E+00,3.2289E+00,3.6134E+00/
      DATA ((KA(JS,JT, 3,14),JS=1,9),JT=1,5) /
     &4.2487E+00,3.7216E+00,3.2039E+00,2.9799E+00,2.8758E+00,2.7551E+00,
     &3.0498E+00,3.5581E+00,4.0304E+00,4.2439E+00,3.7174E+00,3.1977E+00,
     &2.9675E+00,2.8698E+00,2.7440E+00,3.0347E+00,3.5405E+00,4.0101E+00,
     &4.2511E+00,3.7238E+00,3.2007E+00,2.9528E+00,2.8598E+00,2.7364E+00,
     &3.0269E+00,3.5313E+00,3.9978E+00,4.2624E+00,3.7337E+00,3.2078E+00,
     &2.9428E+00,2.8469E+00,2.7311E+00,3.0242E+00,3.5281E+00,3.9928E+00,
     &4.2720E+00,3.7420E+00,3.2138E+00,2.9343E+00,2.8324E+00,2.7276E+00,
     &3.0224E+00,3.5261E+00,3.9910E+00/
      DATA ((KA(JS,JT, 4,14),JS=1,9),JT=1,5) /
     &4.5954E+00,4.0249E+00,3.5022E+00,3.3403E+00,3.2328E+00,3.0833E+00,
     &3.3112E+00,3.8621E+00,4.3957E+00,4.5847E+00,4.0157E+00,3.4904E+00,
     &3.3265E+00,3.2256E+00,3.0748E+00,3.2975E+00,3.8466E+00,4.3773E+00,
     &4.5864E+00,4.0172E+00,3.4822E+00,3.3081E+00,3.2132E+00,3.0693E+00,
     &3.2915E+00,3.8399E+00,4.3696E+00,4.5919E+00,4.0220E+00,3.4808E+00,
     &3.2873E+00,3.1989E+00,3.0656E+00,3.2892E+00,3.8374E+00,4.3666E+00,
     &4.5961E+00,4.0254E+00,3.4809E+00,3.2746E+00,3.1817E+00,3.0639E+00,
     &3.2889E+00,3.8370E+00,4.3660E+00/
      DATA ((KA(JS,JT, 5,14),JS=1,9),JT=1,5) /
     &4.9114E+00,4.3012E+00,3.8001E+00,3.7007E+00,3.6023E+00,3.4476E+00,
     &3.5973E+00,4.1814E+00,4.7692E+00,4.9023E+00,4.2934E+00,3.7862E+00,
     &3.6850E+00,3.5912E+00,3.4412E+00,3.5890E+00,4.1727E+00,4.7592E+00,
     &4.8929E+00,4.2852E+00,3.7666E+00,3.6647E+00,3.5739E+00,3.4368E+00,
     &3.5843E+00,4.1678E+00,4.7530E+00,4.8957E+00,4.2875E+00,3.7577E+00,
     &3.6399E+00,3.5570E+00,3.4352E+00,3.5822E+00,4.1658E+00,4.7507E+00,
     &4.8955E+00,4.2870E+00,3.7502E+00,3.6181E+00,3.5379E+00,3.4333E+00,
     &3.5807E+00,4.1639E+00,4.7483E+00/
      DATA ((KA(JS,JT, 6,14),JS=1,9),JT=1,5) /
     &5.2336E+00,4.5828E+00,4.1059E+00,4.0455E+00,3.9709E+00,3.8438E+00,
     &3.9195E+00,4.5101E+00,5.1488E+00,5.2264E+00,4.5766E+00,4.0903E+00,
     &4.0272E+00,3.9556E+00,3.8368E+00,3.9154E+00,4.5074E+00,5.1460E+00,
     &5.2116E+00,4.5637E+00,4.0682E+00,4.0069E+00,3.9387E+00,3.8311E+00,
     &3.9117E+00,4.5034E+00,5.1413E+00,5.2061E+00,4.5585E+00,4.0484E+00,
     &3.9793E+00,3.9195E+00,3.8275E+00,3.9110E+00,4.5018E+00,5.1396E+00,
     &5.2033E+00,4.5559E+00,4.0356E+00,3.9520E+00,3.8983E+00,3.8238E+00,
     &3.9105E+00,4.5008E+00,5.1385E+00/
      DATA ((KA(JS,JT, 7,14),JS=1,9),JT=1,5) /
     &5.5789E+00,4.8845E+00,4.4392E+00,4.3787E+00,4.3341E+00,4.2496E+00,
     &4.2580E+00,4.8177E+00,5.5034E+00,5.5750E+00,4.8811E+00,4.4216E+00,
     &4.3602E+00,4.3147E+00,4.2460E+00,4.2594E+00,4.8202E+00,5.5064E+00,
     &5.5641E+00,4.8716E+00,4.3996E+00,4.3387E+00,4.2975E+00,4.2414E+00,
     &4.2613E+00,4.8234E+00,5.5098E+00,5.5497E+00,4.8588E+00,4.3740E+00,
     &4.3098E+00,4.2767E+00,4.2365E+00,4.2657E+00,4.8283E+00,5.5153E+00,
     &5.5426E+00,4.8524E+00,4.3530E+00,4.2800E+00,4.2577E+00,4.2309E+00,
     &4.2668E+00,4.8295E+00,5.5168E+00/
      DATA ((KA(JS,JT, 8,14),JS=1,9),JT=1,5) /
     &5.9399E+00,5.1999E+00,4.8042E+00,4.7185E+00,4.6865E+00,4.6496E+00,
     &4.6000E+00,5.0897E+00,5.8161E+00,5.9397E+00,5.1999E+00,4.7874E+00,
     &4.6998E+00,4.6665E+00,4.6493E+00,4.6097E+00,5.0997E+00,5.8275E+00,
     &5.9349E+00,5.1955E+00,4.7656E+00,4.6767E+00,4.6485E+00,4.6473E+00,
     &4.6203E+00,5.1120E+00,5.8414E+00,5.9186E+00,5.1811E+00,4.7381E+00,
     &4.6470E+00,4.6283E+00,4.6432E+00,4.6335E+00,5.1262E+00,5.8574E+00,
     &5.9097E+00,5.1733E+00,4.7110E+00,4.6158E+00,4.6095E+00,4.6379E+00,
     &4.6369E+00,5.1321E+00,5.8644E+00/
      DATA ((KA(JS,JT, 9,14),JS=1,9),JT=1,5) /
     &6.3127E+00,5.5322E+00,5.1834E+00,5.0691E+00,5.0247E+00,5.0209E+00,
     &4.9367E+00,5.3236E+00,6.0842E+00,6.3183E+00,5.5346E+00,5.1727E+00,
     &5.0532E+00,5.0080E+00,5.0274E+00,4.9592E+00,5.3436E+00,6.1069E+00,
     &6.3124E+00,5.5272E+00,5.1546E+00,5.0297E+00,4.9909E+00,5.0310E+00,
     &4.9812E+00,5.3668E+00,6.1332E+00,6.3001E+00,5.5154E+00,5.1286E+00,
     &5.0009E+00,4.9750E+00,5.0299E+00,4.9995E+00,5.3888E+00,6.1587E+00,
     &6.2858E+00,5.5023E+00,5.0977E+00,4.9708E+00,4.9573E+00,5.0270E+00,
     &5.0058E+00,5.3988E+00,6.1697E+00/
      DATA ((KA(JS,JT,10,14),JS=1,9),JT=1,5) /
     &6.6894E+00,5.8832E+00,5.5701E+00,5.4237E+00,5.3594E+00,5.3556E+00,
     &5.2686E+00,5.5192E+00,6.3037E+00,6.6981E+00,5.8851E+00,5.5643E+00,
     &5.4120E+00,5.3500E+00,5.3705E+00,5.3019E+00,5.5500E+00,6.3389E+00,
     &6.6967E+00,5.8795E+00,5.5464E+00,5.3921E+00,5.3372E+00,5.3796E+00,
     &5.3288E+00,5.5798E+00,6.3734E+00,6.6854E+00,5.8646E+00,5.5228E+00,
     &5.3676E+00,5.3254E+00,5.3837E+00,5.3529E+00,5.6104E+00,6.4086E+00,
     &6.6717E+00,5.8486E+00,5.4914E+00,5.3392E+00,5.3082E+00,5.3849E+00,
     &5.3627E+00,5.6270E+00,6.4281E+00/
      DATA ((KA(JS,JT,11,14),JS=1,9),JT=1,5) /
     &7.0715E+00,6.2495E+00,5.9582E+00,5.7869E+00,5.6930E+00,5.6655E+00,
     &5.6036E+00,5.7057E+00,6.4838E+00,7.0771E+00,6.2459E+00,5.9461E+00,
     &5.7734E+00,5.6903E+00,5.6860E+00,5.6380E+00,5.7455E+00,6.5310E+00,
     &7.0723E+00,6.2337E+00,5.9291E+00,5.7507E+00,5.6859E+00,5.6988E+00,
     &5.6691E+00,5.7882E+00,6.5837E+00,7.0579E+00,6.2141E+00,5.9017E+00,
     &5.7243E+00,5.6747E+00,5.7061E+00,5.6917E+00,5.8206E+00,6.6248E+00,
     &7.0436E+00,6.1942E+00,5.8711E+00,5.6953E+00,5.6563E+00,5.7095E+00,
     &5.7007E+00,5.8439E+00,6.6547E+00/
      DATA ((KA(JS,JT,12,14),JS=1,9),JT=1,5) /
     &7.3996E+00,6.5875E+00,6.3444E+00,6.1468E+00,6.0255E+00,5.9627E+00,
     &5.9009E+00,5.8767E+00,6.6113E+00,7.4059E+00,6.5818E+00,6.3297E+00,
     &6.1319E+00,6.0289E+00,5.9857E+00,5.9393E+00,5.9291E+00,6.6795E+00,
     &7.3985E+00,6.5639E+00,6.3058E+00,6.1104E+00,6.0278E+00,6.0017E+00,
     &5.9765E+00,5.9805E+00,6.7466E+00,7.3888E+00,6.5439E+00,6.2733E+00,
     &6.0850E+00,6.0189E+00,6.0123E+00,5.9968E+00,6.0157E+00,6.7935E+00,
     &7.3717E+00,6.5185E+00,6.2375E+00,6.0536E+00,5.9983E+00,6.0180E+00,
     &6.0067E+00,6.0456E+00,6.8365E+00/
      DATA ((KA(JS,JT,13,14),JS=1,9),JT=1,5) /
     &7.6469E+00,6.8731E+00,6.6871E+00,6.4997E+00,6.3502E+00,6.2466E+00,
     &6.1469E+00,6.0253E+00,6.6908E+00,7.6513E+00,6.8603E+00,6.6717E+00,
     &6.4853E+00,6.3628E+00,6.2754E+00,6.1942E+00,6.0911E+00,6.7781E+00,
     &7.6480E+00,6.8404E+00,6.6430E+00,6.4664E+00,6.3629E+00,6.2938E+00,
     &6.2370E+00,6.1432E+00,6.8460E+00,7.6417E+00,6.8180E+00,6.6082E+00,
     &6.4389E+00,6.3512E+00,6.3082E+00,6.2633E+00,6.1842E+00,6.9071E+00,
     &7.6283E+00,6.7918E+00,6.5683E+00,6.4071E+00,6.3329E+00,6.3131E+00,
     &6.2779E+00,6.2184E+00,6.9616E+00/
      DATA ((KA(JS,JT, 1,15),JS=1,9),JT=1,5) /
     &4.8056E+00,4.2094E+00,3.6132E+00,3.0171E+00,2.8404E+00,3.4490E+00,
     &4.1388E+00,4.8284E+00,5.2314E+00,4.8171E+00,4.2194E+00,3.6219E+00,
     &3.0243E+00,2.8141E+00,3.4073E+00,4.0887E+00,4.7701E+00,5.1637E+00,
     &4.8231E+00,4.2245E+00,3.6259E+00,3.0275E+00,2.7871E+00,3.3709E+00,
     &4.0450E+00,4.7190E+00,5.1029E+00,4.8223E+00,4.2236E+00,3.6250E+00,
     &3.0265E+00,2.7616E+00,3.3346E+00,4.0014E+00,4.6682E+00,5.0473E+00,
     &4.8164E+00,4.2183E+00,3.6202E+00,3.0224E+00,2.7378E+00,3.2980E+00,
     &3.9575E+00,4.6170E+00,4.9922E+00/
      DATA ((KA(JS,JT, 2,15),JS=1,9),JT=1,5) /
     &5.6696E+00,4.9649E+00,4.2601E+00,3.5603E+00,3.3660E+00,4.0230E+00,
     &4.8275E+00,5.6320E+00,6.2204E+00,5.6853E+00,4.9788E+00,4.2721E+00,
     &3.5690E+00,3.3370E+00,3.9815E+00,4.7778E+00,5.5740E+00,6.1522E+00,
     &5.6912E+00,4.9841E+00,4.2769E+00,3.5723E+00,3.3088E+00,3.9404E+00,
     &4.7285E+00,5.5164E+00,6.0886E+00,5.6900E+00,4.9829E+00,4.2759E+00,
     &3.5705E+00,3.2819E+00,3.8975E+00,4.6769E+00,5.4563E+00,6.0227E+00,
     &5.6828E+00,4.9765E+00,4.2703E+00,3.5653E+00,3.2552E+00,3.8520E+00,
     &4.6223E+00,5.3926E+00,5.9537E+00/
      DATA ((KA(JS,JT, 3,15),JS=1,9),JT=1,5) /
     &6.6640E+00,5.8345E+00,5.0050E+00,4.1960E+00,3.9837E+00,4.6765E+00,
     &5.6117E+00,6.5468E+00,7.3624E+00,6.6851E+00,5.8530E+00,5.0209E+00,
     &4.2035E+00,3.9538E+00,4.6274E+00,5.5528E+00,6.4781E+00,7.2849E+00,
     &6.6916E+00,5.8588E+00,5.0261E+00,4.2046E+00,3.9240E+00,4.5763E+00,
     &5.4915E+00,6.4066E+00,7.2060E+00,6.6884E+00,5.8563E+00,5.0241E+00,
     &4.2004E+00,3.8957E+00,4.5225E+00,5.4270E+00,6.3313E+00,7.1219E+00,
     &6.6766E+00,5.8462E+00,5.0163E+00,4.1933E+00,3.8675E+00,4.4702E+00,
     &5.3642E+00,6.2581E+00,7.0387E+00/
      DATA ((KA(JS,JT, 4,15),JS=1,9),JT=1,5) /
     &7.7848E+00,6.8149E+00,5.8451E+00,4.9331E+00,4.6977E+00,5.4033E+00,
     &6.4839E+00,7.5644E+00,8.5830E+00,7.8108E+00,6.8377E+00,5.8646E+00,
     &4.9375E+00,4.6695E+00,5.3453E+00,6.4143E+00,7.4831E+00,8.4915E+00,
     &7.8236E+00,6.8489E+00,5.8743E+00,4.9373E+00,4.6417E+00,5.2821E+00,
     &6.3384E+00,7.3947E+00,8.3915E+00,7.8238E+00,6.8493E+00,5.8748E+00,
     &4.9301E+00,4.6103E+00,5.2166E+00,6.2599E+00,7.3031E+00,8.2871E+00,
     &7.8090E+00,6.8373E+00,5.8658E+00,4.9180E+00,4.5786E+00,5.1516E+00,
     &6.1819E+00,7.2121E+00,8.1837E+00/
      DATA ((KA(JS,JT, 5,15),JS=1,9),JT=1,5) /
     &9.0367E+00,7.9101E+00,6.7835E+00,5.7840E+00,5.5090E+00,6.1816E+00,
     &7.4174E+00,8.6536E+00,9.8560E+00,9.0658E+00,7.9355E+00,6.8052E+00,
     &5.7840E+00,5.4825E+00,6.1122E+00,7.3329E+00,8.5548E+00,9.7452E+00,
     &9.0837E+00,7.9512E+00,6.8188E+00,5.7766E+00,5.4581E+00,6.0426E+00,
     &7.2485E+00,8.4564E+00,9.6328E+00,9.0830E+00,7.9510E+00,6.8192E+00,
     &5.7645E+00,5.4297E+00,5.9729E+00,7.1644E+00,8.3583E+00,9.5205E+00,
     &9.0677E+00,7.9386E+00,6.8094E+00,5.7479E+00,5.3962E+00,5.8998E+00,
     &7.0740E+00,8.2528E+00,9.4008E+00/
      DATA ((KA(JS,JT, 6,15),JS=1,9),JT=1,5) /
     &1.0412E+01,9.1128E+00,7.8140E+00,6.7504E+00,6.4389E+00,7.0217E+00,
     &8.3899E+00,9.7882E+00,1.1168E+01,1.0449E+01,9.1451E+00,7.8417E+00,
     &6.7466E+00,6.4110E+00,6.9507E+00,8.2964E+00,9.6789E+00,1.1043E+01,
     &1.0469E+01,9.1634E+00,7.8574E+00,6.7323E+00,6.3834E+00,6.8804E+00,
     &8.2097E+00,9.5778E+00,1.0928E+01,1.0466E+01,9.1614E+00,7.8568E+00,
     &6.7135E+00,6.3530E+00,6.8083E+00,8.1167E+00,9.4694E+00,1.0805E+01,
     &1.0450E+01,9.1481E+00,7.8461E+00,6.6866E+00,6.3182E+00,6.7317E+00,
     &8.0175E+00,9.3536E+00,1.0671E+01/
      DATA ((KA(JS,JT, 7,15),JS=1,9),JT=1,5) /
     &1.1882E+01,1.0399E+01,8.9166E+00,7.8253E+00,7.4792E+00,7.9512E+00,
     &9.4202E+00,1.0990E+01,1.2550E+01,1.1932E+01,1.0443E+01,8.9541E+00,
     &7.8202E+00,7.4549E+00,7.8754E+00,9.3207E+00,1.0874E+01,1.2417E+01,
     &1.1956E+01,1.0464E+01,8.9727E+00,7.8020E+00,7.4258E+00,7.8051E+00,
     &9.2218E+00,1.0758E+01,1.2285E+01,1.1956E+01,1.0465E+01,8.9740E+00,
     &7.7736E+00,7.3912E+00,7.7319E+00,9.1108E+00,1.0629E+01,1.2138E+01,
     &1.1934E+01,1.0446E+01,8.9587E+00,7.7346E+00,7.3464E+00,7.6503E+00,
     &9.0007E+00,1.0501E+01,1.1991E+01/
      DATA ((KA(JS,JT, 8,15),JS=1,9),JT=1,5) /
     &1.3440E+01,1.1762E+01,1.0084E+01,9.0134E+00,8.6298E+00,8.9787E+00,
     &1.0509E+01,1.2260E+01,1.4008E+01,1.3496E+01,1.1811E+01,1.0127E+01,
     &9.0042E+00,8.6075E+00,8.9016E+00,1.0401E+01,1.2134E+01,1.3863E+01,
     &1.3522E+01,1.1835E+01,1.0148E+01,8.9806E+00,8.5777E+00,8.8306E+00,
     &1.0284E+01,1.1998E+01,1.3707E+01,1.3526E+01,1.1839E+01,1.0151E+01,
     &8.9422E+00,8.5378E+00,8.7510E+00,1.0150E+01,1.1842E+01,1.3529E+01,
     &1.3498E+01,1.1814E+01,1.0131E+01,8.8918E+00,8.4819E+00,8.6621E+00,
     &1.0028E+01,1.1700E+01,1.3367E+01/
      DATA ((KA(JS,JT, 9,15),JS=1,9),JT=1,5) /
     &1.5050E+01,1.3171E+01,1.1325E+01,1.0314E+01,9.8844E+00,1.0113E+01,
     &1.1655E+01,1.3598E+01,1.5538E+01,1.5110E+01,1.3224E+01,1.1358E+01,
     &1.0290E+01,9.8636E+00,1.0034E+01,1.1528E+01,1.3449E+01,1.5369E+01,
     &1.5142E+01,1.3253E+01,1.1372E+01,1.0253E+01,9.8329E+00,9.9565E+00,
     &1.1387E+01,1.3285E+01,1.5182E+01,1.5140E+01,1.3251E+01,1.1368E+01,
     &1.0200E+01,9.7822E+00,9.8656E+00,1.1236E+01,1.3109E+01,1.4981E+01,
     &1.5112E+01,1.3227E+01,1.1344E+01,1.0134E+01,9.7132E+00,9.7634E+00,
     &1.1104E+01,1.2955E+01,1.4806E+01/
      DATA ((KA(JS,JT,10,15),JS=1,9),JT=1,5) /
     &1.6679E+01,1.4596E+01,1.2639E+01,1.1713E+01,1.1234E+01,1.1344E+01,
     &1.2833E+01,1.4972E+01,1.7110E+01,1.6740E+01,1.4649E+01,1.2658E+01,
     &1.1669E+01,1.1203E+01,1.1257E+01,1.2688E+01,1.4803E+01,1.6918E+01,
     &1.6768E+01,1.4675E+01,1.2658E+01,1.1609E+01,1.1161E+01,1.1169E+01,
     &1.2530E+01,1.4619E+01,1.6708E+01,1.6761E+01,1.4669E+01,1.2632E+01,
     &1.1528E+01,1.1096E+01,1.1064E+01,1.2360E+01,1.4420E+01,1.6480E+01,
     &1.6723E+01,1.4636E+01,1.2592E+01,1.1437E+01,1.1017E+01,1.0938E+01,
     &1.2210E+01,1.4245E+01,1.6279E+01/
      DATA ((KA(JS,JT,11,15),JS=1,9),JT=1,5) /
     &1.8294E+01,1.6009E+01,1.3989E+01,1.3135E+01,1.2643E+01,1.2628E+01,
     &1.3972E+01,1.6290E+01,1.8616E+01,1.8347E+01,1.6056E+01,1.3990E+01,
     &1.3069E+01,1.2593E+01,1.2524E+01,1.3808E+01,1.6097E+01,1.8396E+01,
     &1.8360E+01,1.6067E+01,1.3961E+01,1.2977E+01,1.2519E+01,1.2404E+01,
     &1.3621E+01,1.5875E+01,1.8143E+01,1.8335E+01,1.6046E+01,1.3912E+01,
     &1.2870E+01,1.2428E+01,1.2262E+01,1.3438E+01,1.5668E+01,1.7906E+01,
     &1.8275E+01,1.5994E+01,1.3835E+01,1.2741E+01,1.2318E+01,1.2107E+01,
     &1.3269E+01,1.5473E+01,1.7684E+01/
      DATA ((KA(JS,JT,12,15),JS=1,9),JT=1,5) /
     &1.9924E+01,1.7435E+01,1.5328E+01,1.4570E+01,1.4103E+01,1.3966E+01,
     &1.5137E+01,1.7574E+01,2.0085E+01,1.9952E+01,1.7460E+01,1.5303E+01,
     &1.4472E+01,1.4016E+01,1.3836E+01,1.4951E+01,1.7356E+01,1.9836E+01,
     &1.9950E+01,1.7459E+01,1.5252E+01,1.4354E+01,1.3911E+01,1.3674E+01,
     &1.4736E+01,1.7121E+01,1.9567E+01,1.9898E+01,1.7414E+01,1.5172E+01,
     &1.4207E+01,1.3782E+01,1.3496E+01,1.4540E+01,1.6905E+01,1.9321E+01,
     &1.9813E+01,1.7339E+01,1.5067E+01,1.4045E+01,1.3635E+01,1.3302E+01,
     &1.4349E+01,1.6691E+01,1.9076E+01/
      DATA ((KA(JS,JT,13,15),JS=1,9),JT=1,5) /
     &2.1582E+01,1.8886E+01,1.6708E+01,1.5984E+01,1.5578E+01,1.5338E+01,
     &1.6324E+01,1.8812E+01,2.1500E+01,2.1595E+01,1.8898E+01,1.6645E+01,
     &1.5860E+01,1.5448E+01,1.5169E+01,1.6117E+01,1.8583E+01,2.1237E+01,
     &2.1561E+01,1.8868E+01,1.6562E+01,1.5696E+01,1.5303E+01,1.4968E+01,
     &1.5881E+01,1.8352E+01,2.0974E+01,2.1483E+01,1.8800E+01,1.6445E+01,
     &1.5517E+01,1.5132E+01,1.4742E+01,1.5661E+01,1.8119E+01,2.0709E+01,
     &2.1359E+01,1.8692E+01,1.6307E+01,1.5310E+01,1.4932E+01,1.4513E+01,
     &1.5442E+01,1.7892E+01,2.0448E+01/
      DATA ((KA(JS,JT, 1,16),JS=1,9),JT=1,5) /
     &5.4900E+00,4.8060E+00,4.1232E+00,3.4422E+00,3.4870E+00,4.3588E+00,
     &5.2305E+00,6.1020E+00,6.5047E+00,5.4959E+00,4.8102E+00,4.1246E+00,
     &3.4396E+00,3.4389E+00,4.2986E+00,5.1583E+00,6.0178E+00,6.4181E+00,
     &5.4964E+00,4.8111E+00,4.1257E+00,3.4404E+00,3.3906E+00,4.2383E+00,
     &5.0859E+00,5.9334E+00,6.3255E+00,5.4872E+00,4.8032E+00,4.1193E+00,
     &3.4354E+00,3.3485E+00,4.1856E+00,5.0227E+00,5.8596E+00,6.2437E+00,
     &5.4677E+00,4.7864E+00,4.1051E+00,3.4238E+00,3.3099E+00,4.1373E+00,
     &4.9647E+00,5.7920E+00,6.1726E+00/
      DATA ((KA(JS,JT, 2,16),JS=1,9),JT=1,5) /
     &6.5993E+00,5.7796E+00,4.9604E+00,4.1421E+00,4.2011E+00,5.2514E+00,
     &6.3014E+00,7.3516E+00,8.0279E+00,6.6032E+00,5.7810E+00,4.9597E+00,
     &4.1395E+00,4.1430E+00,5.1787E+00,6.2144E+00,7.2499E+00,7.9170E+00,
     &6.6114E+00,5.7864E+00,4.9618E+00,4.1380E+00,4.0849E+00,5.1061E+00,
     &6.1273E+00,7.1483E+00,7.8058E+00,6.6055E+00,5.7814E+00,4.9573E+00,
     &4.1341E+00,4.0341E+00,5.0426E+00,6.0510E+00,7.0593E+00,7.7043E+00,
     &6.5867E+00,5.7651E+00,4.9435E+00,4.1221E+00,3.9863E+00,4.9829E+00,
     &5.9794E+00,6.9758E+00,7.6124E+00/
      DATA ((KA(JS,JT, 3,16),JS=1,9),JT=1,5) /
     &7.9380E+00,6.9526E+00,5.9676E+00,4.9832E+00,5.0788E+00,6.3485E+00,
     &7.6181E+00,8.8875E+00,9.9377E+00,7.9519E+00,6.9640E+00,5.9765E+00,
     &4.9895E+00,5.0033E+00,6.2541E+00,7.5048E+00,8.7554E+00,9.7869E+00,
     &7.9564E+00,6.9660E+00,5.9762E+00,4.9871E+00,4.9341E+00,6.1676E+00,
     &7.4011E+00,8.6343E+00,9.6531E+00,7.9604E+00,6.9678E+00,5.9753E+00,
     &4.9833E+00,4.8716E+00,6.0895E+00,7.3073E+00,8.5250E+00,9.5280E+00,
     &7.9454E+00,6.9546E+00,5.9641E+00,4.9739E+00,4.8117E+00,6.0146E+00,
     &7.2174E+00,8.4201E+00,9.4106E+00/
      DATA ((KA(JS,JT, 4,16),JS=1,9),JT=1,5) /
     &9.5482E+00,8.3619E+00,7.1758E+00,5.9904E+00,6.1617E+00,7.7021E+00,
     &9.2425E+00,1.0783E+01,1.2199E+01,9.5751E+00,8.3849E+00,7.1952E+00,
     &6.0057E+00,6.0507E+00,7.5634E+00,9.0760E+00,1.0588E+01,1.1979E+01,
     &9.5851E+00,8.3928E+00,7.2008E+00,6.0093E+00,5.9519E+00,7.4398E+00,
     &8.9277E+00,1.0415E+01,1.1784E+01,9.5899E+00,8.3956E+00,7.2016E+00,
     &6.0083E+00,5.8751E+00,7.3438E+00,8.8125E+00,1.0281E+01,1.1628E+01,
     &9.5802E+00,8.3858E+00,7.1919E+00,5.9984E+00,5.8004E+00,7.2505E+00,
     &8.7005E+00,1.0150E+01,1.1482E+01/
      DATA ((KA(JS,JT, 5,16),JS=1,9),JT=1,5) /
     &1.1467E+01,1.0041E+01,8.6153E+00,7.1899E+00,7.4662E+00,9.3327E+00,
     &1.1199E+01,1.3065E+01,1.4858E+01,1.1518E+01,1.0085E+01,8.6526E+00,
     &7.2201E+00,7.3208E+00,9.1509E+00,1.0981E+01,1.2811E+01,1.4568E+01,
     &1.1535E+01,1.0099E+01,8.6636E+00,7.2282E+00,7.1844E+00,8.9805E+00,
     &1.0776E+01,1.2572E+01,1.4298E+01,1.1542E+01,1.0105E+01,8.6677E+00,
     &7.2309E+00,7.0636E+00,8.8295E+00,1.0595E+01,1.2361E+01,1.4056E+01,
     &1.1528E+01,1.0092E+01,8.6561E+00,7.2209E+00,6.9634E+00,8.7042E+00,
     &1.0445E+01,1.2185E+01,1.3857E+01/
      DATA ((KA(JS,JT, 6,16),JS=1,9),JT=1,5) /
     &1.3743E+01,1.2032E+01,1.0321E+01,8.6104E+00,9.0301E+00,1.1288E+01,
     &1.3545E+01,1.5802E+01,1.8010E+01,1.3809E+01,1.2090E+01,1.0370E+01,
     &8.6513E+00,8.8422E+00,1.1053E+01,1.3263E+01,1.5473E+01,1.7638E+01,
     &1.3850E+01,1.2125E+01,1.0400E+01,8.6753E+00,8.6607E+00,1.0826E+01,
     &1.2991E+01,1.5156E+01,1.7275E+01,1.3866E+01,1.2138E+01,1.0411E+01,
     &8.6837E+00,8.4930E+00,1.0616E+01,1.2739E+01,1.4862E+01,1.6940E+01,
     &1.3850E+01,1.2124E+01,1.0399E+01,8.6732E+00,8.3442E+00,1.0430E+01,
     &1.2516E+01,1.4602E+01,1.6644E+01/
      DATA ((KA(JS,JT, 7,16),JS=1,9),JT=1,5) /
     &1.6450E+01,1.4400E+01,1.2350E+01,1.0300E+01,1.0874E+01,1.3593E+01,
     &1.6311E+01,1.9030E+01,2.1722E+01,1.6525E+01,1.4465E+01,1.2405E+01,
     &1.0346E+01,1.0632E+01,1.3290E+01,1.5948E+01,1.8606E+01,2.1239E+01,
     &1.6563E+01,1.4499E+01,1.2434E+01,1.0370E+01,1.0395E+01,1.2994E+01,
     &1.5592E+01,1.8191E+01,2.0762E+01,1.6590E+01,1.4522E+01,1.2454E+01,
     &1.0386E+01,1.0172E+01,1.2715E+01,1.5258E+01,1.7801E+01,2.0317E+01,
     &1.6576E+01,1.4509E+01,1.2443E+01,1.0377E+01,9.9688E+00,1.2461E+01,
     &1.4953E+01,1.7445E+01,1.9913E+01/
      DATA ((KA(JS,JT, 8,16),JS=1,9),JT=1,5) /
     &1.9629E+01,1.7181E+01,1.4733E+01,1.2285E+01,1.3022E+01,1.6277E+01,
     &1.9532E+01,2.2787E+01,2.6029E+01,1.9728E+01,1.7267E+01,1.4807E+01,
     &1.2346E+01,1.2711E+01,1.5888E+01,1.9066E+01,2.2243E+01,2.5406E+01,
     &1.9768E+01,1.7302E+01,1.4837E+01,1.2371E+01,1.2399E+01,1.5499E+01,
     &1.8599E+01,2.1698E+01,2.4782E+01,1.9773E+01,1.7307E+01,1.4840E+01,
     &1.2374E+01,1.2111E+01,1.5139E+01,1.8167E+01,2.1194E+01,2.4210E+01,
     &1.9744E+01,1.7281E+01,1.4818E+01,1.2356E+01,1.1840E+01,1.4800E+01,
     &1.7760E+01,2.0720E+01,2.3667E+01/
      DATA ((KA(JS,JT, 9,16),JS=1,9),JT=1,5) /
     &2.3312E+01,2.0403E+01,1.7494E+01,1.4584E+01,1.5488E+01,1.9360E+01,
     &2.3231E+01,2.7103E+01,3.0970E+01,2.3439E+01,2.0514E+01,1.7588E+01,
     &1.4663E+01,1.5085E+01,1.8856E+01,2.2627E+01,2.6397E+01,3.0166E+01,
     &2.3492E+01,2.0560E+01,1.7628E+01,1.4696E+01,1.4687E+01,1.8356E+01,
     &2.2027E+01,2.5697E+01,2.9367E+01,2.3479E+01,2.0549E+01,1.7619E+01,
     &1.4689E+01,1.4321E+01,1.7895E+01,2.1474E+01,2.5052E+01,2.8629E+01,
     &2.3411E+01,2.0489E+01,1.7567E+01,1.4646E+01,1.3982E+01,1.7451E+01,
     &2.0941E+01,2.4431E+01,2.7917E+01/
      DATA ((KA(JS,JT,10,16),JS=1,9),JT=1,5) /
     &2.7592E+01,2.4147E+01,2.0702E+01,1.7264E+01,1.8240E+01,2.2793E+01,
     &2.7352E+01,3.1910E+01,3.6473E+01,2.7703E+01,2.4245E+01,2.0786E+01,
     &1.7327E+01,1.7749E+01,2.2147E+01,2.6577E+01,3.1006E+01,3.5436E+01,
     &2.7743E+01,2.4279E+01,2.0816E+01,1.7352E+01,1.7266E+01,2.1525E+01,
     &2.5830E+01,3.0134E+01,3.4441E+01,2.7709E+01,2.4250E+01,2.0790E+01,
     &1.7331E+01,1.6811E+01,2.0946E+01,2.5135E+01,2.9324E+01,3.3510E+01,
     &2.7598E+01,2.4153E+01,2.0707E+01,1.7262E+01,1.6378E+01,2.0388E+01,
     &2.4466E+01,2.8543E+01,3.2622E+01/
      DATA ((KA(JS,JT,11,16),JS=1,9),JT=1,5) /
     &3.2570E+01,2.8502E+01,2.4434E+01,2.0393E+01,2.1083E+01,2.6245E+01,
     &3.1494E+01,3.6742E+01,4.1994E+01,3.2601E+01,2.8529E+01,2.4458E+01,
     &2.0386E+01,2.0492E+01,2.5469E+01,3.0563E+01,3.5657E+01,4.0747E+01,
     &3.2535E+01,2.8472E+01,2.4408E+01,2.0345E+01,1.9916E+01,2.4733E+01,
     &2.9679E+01,3.4625E+01,3.9568E+01,3.2390E+01,2.8345E+01,2.4301E+01,
     &2.0256E+01,1.9358E+01,2.4023E+01,2.8827E+01,3.3631E+01,3.8435E+01,
     &3.2175E+01,2.8157E+01,2.4140E+01,2.0122E+01,1.8819E+01,2.3330E+01,
     &2.7996E+01,3.2661E+01,3.7328E+01/
      DATA ((KA(JS,JT,12,16),JS=1,9),JT=1,5) /
     &3.8135E+01,3.3371E+01,2.8607E+01,2.3891E+01,2.4203E+01,2.9981E+01,
     &3.5977E+01,4.1973E+01,4.7971E+01,3.8033E+01,3.3282E+01,2.8531E+01,
     &2.3779E+01,2.3491E+01,2.9038E+01,3.4845E+01,4.0652E+01,4.6464E+01,
     &3.7806E+01,3.3084E+01,2.8361E+01,2.3639E+01,2.2788E+01,2.8150E+01,
     &3.3780E+01,3.9409E+01,4.5036E+01,3.7497E+01,3.2813E+01,2.8129E+01,
     &2.3446E+01,2.2100E+01,2.7270E+01,3.2724E+01,3.8179E+01,4.3632E+01,
     &3.7099E+01,3.2465E+01,2.7831E+01,2.3198E+01,2.1440E+01,2.6398E+01,
     &3.1678E+01,3.6957E+01,4.2237E+01/
      DATA ((KA(JS,JT,13,16),JS=1,9),JT=1,5) /
     &4.4217E+01,3.8692E+01,3.3167E+01,2.7730E+01,2.7605E+01,3.3969E+01,
     &4.0763E+01,4.7556E+01,5.4352E+01,4.3915E+01,3.8428E+01,3.2941E+01,
     &2.7455E+01,2.6738E+01,3.2787E+01,3.9345E+01,4.5901E+01,5.2455E+01,
     &4.3489E+01,3.8055E+01,3.2622E+01,2.7188E+01,2.5861E+01,3.1686E+01,
     &3.8022E+01,4.4359E+01,5.0700E+01,4.2951E+01,3.7585E+01,3.2219E+01,
     &2.6853E+01,2.5006E+01,3.0590E+01,3.6708E+01,4.2826E+01,4.8946E+01,
     &4.2298E+01,3.7013E+01,3.1729E+01,2.6445E+01,2.4180E+01,2.9511E+01,
     &3.5413E+01,4.1314E+01,4.7218E+01/

C     The array KB contains absorption coefs for each of the 16 g-intervals
C     for a range of pressure levels  < ~100mb, temperatures, and ratios
C     of H2O to CO2.  The first index in the array, JS, runs from 1 to 5, 
C     and corresponds to different H2O to CO2 ratios, as expressed through 
C     the binary species parameter eta, defined as eta = H2O/(H2O+RAT*CO2), 
C     where RAT is the ratio of the integrated line strength in the band 
C     of CO2 to that of H2O.  For instance, JS=1 refers to no H2O, 
C     JS = 2 corresponds to eta = 0.25, etc.  The second index, JT, which
C     runs from 1 to 5, corresponds to different temperatures.  More 
C     specifically, JT = 3 means that the data are for the corresponding 
C     reference temperature TREF for this  pressure level, JT = 2 refers 
C     to the TREF-15, JT = 1 is for TREF-30, JT = 4 is for TREF+15, and
C     JT = 5 is for TREF+30.  The third index, JP, runs from 13 to 59 and
C     refers to the corresponding pressure level in PREF (e.g. JP = 13 is
C     for a pressure of 95.5835 mb).  The fourth index, IG, goes from 1 to
C     16, and tells us which g-interval the absorption coefficients are for.
      DATA ((KB(JS,JT,13, 1),JS=1,5),JT=1,5) /
     &4.0633E-09,6.4718E-07,7.9567E-07,8.1264E-07,2.5080E-08,3.7596E-09,
     &7.0429E-07,9.0855E-07,9.6432E-07,2.8292E-08,3.4982E-09,7.6370E-07,
     &1.0316E-06,1.1472E-06,3.1265E-08,3.2707E-09,8.2834E-07,1.1577E-06,
     &1.3387E-06,3.4928E-08,3.0710E-09,9.0252E-07,1.2962E-06,1.5206E-06,
     &3.8859E-08/
      DATA ((KB(JS,JT,14, 1),JS=1,5),JT=1,5) /
     &3.3026E-09,5.3592E-07,6.6171E-07,6.7633E-07,2.0767E-08,3.0574E-09,
     &5.7959E-07,7.5386E-07,8.0395E-07,2.3334E-08,2.8461E-09,6.2897E-07,
     &8.5486E-07,9.5745E-07,2.5841E-08,2.6621E-09,6.8352E-07,9.6132E-07,
     &1.1148E-06,2.8862E-08,2.5005E-09,7.4517E-07,1.0739E-06,1.2632E-06,
     &3.2093E-08/
      DATA ((KB(JS,JT,15, 1),JS=1,5),JT=1,5) /
     &2.6821E-09,4.4081E-07,5.5093E-07,5.6465E-07,1.7186E-08,2.4845E-09,
     &4.7773E-07,6.2636E-07,6.7180E-07,1.9234E-08,2.3140E-09,5.1811E-07,
     &7.0791E-07,7.9658E-07,2.1348E-08,2.1654E-09,5.6416E-07,7.9893E-07,
     &9.2873E-07,2.3832E-08,2.0347E-09,6.1535E-07,8.8985E-07,1.0499E-06,
     &2.6485E-08/
      DATA ((KB(JS,JT,16, 1),JS=1,5),JT=1,5) /
     &2.1775E-09,3.6254E-07,4.5870E-07,4.7125E-07,1.4211E-08,2.0183E-09,
     &3.9376E-07,5.2053E-07,5.6163E-07,1.5869E-08,1.8808E-09,4.2687E-07,
     &5.8699E-07,6.6386E-07,1.7627E-08,1.7608E-09,4.6559E-07,6.6388E-07,
     &7.7063E-07,1.9664E-08,1.6552E-09,5.0747E-07,7.3699E-07,8.7249E-07,
     &2.1844E-08/
      DATA ((KB(JS,JT,17, 1),JS=1,5),JT=1,5) /
     &1.7682E-09,2.9836E-07,3.8104E-07,3.9314E-07,1.1735E-08,1.6399E-09,
     &3.2493E-07,4.3215E-07,4.6897E-07,1.3077E-08,1.5290E-09,3.5203E-07,
     &4.8665E-07,5.5328E-07,1.4535E-08,1.4321E-09,3.8383E-07,5.5033E-07,
     &6.3844E-07,1.6208E-08,1.3468E-09,4.1822E-07,6.0950E-07,7.2376E-07,
     &1.7995E-08/
      DATA ((KB(JS,JT,18, 1),JS=1,5),JT=1,5) /
     &1.4362E-09,2.4560E-07,3.1667E-07,3.2797E-07,9.6831E-09,1.3327E-09,
     &2.6784E-07,3.5872E-07,3.9134E-07,1.0773E-08,1.2432E-09,2.9008E-07,
     &4.0334E-07,4.6026E-07,1.1980E-08,1.1650E-09,3.1637E-07,4.5583E-07,
     &5.2880E-07,1.3350E-08,1.0960E-09,3.4503E-07,5.0363E-07,5.9967E-07,
     &1.4815E-08/
      DATA ((KB(JS,JT,19, 1),JS=1,5),JT=1,5) /
     &1.1667E-09,2.0231E-07,2.6313E-07,2.7359E-07,7.9934E-09,1.0833E-09,
     &2.2085E-07,2.9760E-07,3.2620E-07,8.8807E-09,1.0110E-09,2.3912E-07,
     &3.3423E-07,3.8271E-07,9.8771E-09,9.4778E-10,2.6073E-07,3.7685E-07,
     &4.3791E-07,1.1002E-08,8.9198E-10,2.8425E-07,4.1589E-07,4.9682E-07,
     &1.2204E-08/
      DATA ((KB(JS,JT,20, 1),JS=1,5),JT=1,5) /
     &9.4668E-10,1.6735E-07,2.1822E-07,2.2914E-07,6.6237E-09,8.7956E-10,
     &1.8255E-07,2.4770E-07,2.7290E-07,7.3470E-09,8.2132E-10,1.9776E-07,
     &2.7786E-07,3.1913E-07,8.1732E-09,7.7032E-10,2.1557E-07,3.1197E-07,
     &3.6380E-07,9.1019E-09,7.2528E-10,2.3458E-07,3.4449E-07,4.1257E-07,
     &1.0084E-08/
      DATA ((KB(JS,JT,21, 1),JS=1,5),JT=1,5) /
     &7.6809E-10,1.3858E-07,1.8138E-07,1.9188E-07,5.4929E-09,7.1408E-10,
     &1.5088E-07,2.0614E-07,2.2835E-07,6.0825E-09,6.6717E-10,1.6366E-07,
     &2.3111E-07,2.6622E-07,6.7680E-09,6.2605E-10,1.7816E-07,2.5834E-07,
     &3.0242E-07,7.5344E-09,5.8970E-10,1.9374E-07,2.8542E-07,3.4222E-07,
     &8.3394E-09/
      DATA ((KB(JS,JT,22, 1),JS=1,5),JT=1,5) /
     &6.2013E-10,1.1547E-07,1.5212E-07,1.6227E-07,4.5926E-09,5.7709E-10,
     &1.2552E-07,1.7211E-07,1.9265E-07,5.0728E-09,5.3964E-10,1.3619E-07,
     &1.9363E-07,2.2402E-07,5.6454E-09,5.0675E-10,1.4805E-07,2.1557E-07,
     &2.5320E-07,6.2805E-09,4.7764E-10,1.6097E-07,2.3799E-07,2.8574E-07,
     &6.9414E-09/
      DATA ((KB(JS,JT,23, 1),JS=1,5),JT=1,5) /
     &5.0055E-10,9.6165E-08,1.2776E-07,1.3752E-07,3.7933E-09,4.6627E-10,
     &1.0421E-07,1.4387E-07,1.6226E-07,4.2154E-09,4.3638E-10,1.1320E-07,
     &1.6240E-07,1.8806E-07,4.6761E-09,4.1009E-10,1.2312E-07,1.8002E-07,
     &2.1214E-07,5.1724E-09,3.8679E-10,1.3380E-07,1.9835E-07,2.3836E-07,
     &5.6863E-09/
      DATA ((KB(JS,JT,24, 1),JS=1,5),JT=1,5) /
     &4.0384E-10,8.0174E-08,1.0742E-07,1.1665E-07,3.1435E-09,3.7656E-10,
     &8.6611E-08,1.2062E-07,1.3694E-07,3.4746E-09,3.5273E-10,9.4203E-08,
     &1.3610E-07,1.5729E-07,3.8586E-09,3.3174E-10,1.0246E-07,1.5035E-07,
     &1.7775E-07,4.2707E-09,3.1310E-10,1.1122E-07,1.6543E-07,1.9917E-07,
     &4.7020E-09/
      DATA ((KB(JS,JT,25, 1),JS=1,5),JT=1,5) /
     &3.2562E-10,6.6785E-08,9.0447E-08,9.9059E-08,2.6134E-09,3.0393E-10,
     &7.2133E-08,1.0139E-07,1.1571E-07,2.8872E-09,2.8495E-10,7.8448E-08,
     &1.1385E-07,1.3178E-07,3.2061E-09,2.6821E-10,8.5339E-08,1.2563E-07,
     &1.4914E-07,3.5489E-09,2.5332E-10,9.2445E-08,1.3814E-07,1.6674E-07,
     &3.9060E-09/
      DATA ((KB(JS,JT,26, 1),JS=1,5),JT=1,5) /
     &2.6224E-10,5.5680E-08,7.6369E-08,8.4400E-08,2.1759E-09,2.4504E-10,
     &6.0204E-08,8.5423E-08,9.7885E-08,2.4118E-09,2.2996E-10,6.5477E-08,
     &9.5321E-08,1.1093E-07,2.6774E-09,2.1663E-10,7.1188E-08,1.0529E-07,
     &1.2544E-07,2.9615E-09,2.0475E-10,7.6940E-08,1.1556E-07,1.3977E-07,
     &3.2569E-09/
      DATA ((KB(JS,JT,27, 1),JS=1,5),JT=1,5) /
     &2.1120E-10,4.6382E-08,6.3894E-08,7.1379E-08,1.8178E-09,1.9756E-10,
     &5.0278E-08,7.2033E-08,8.2909E-08,2.0181E-09,1.8557E-10,5.4670E-08,
     &7.9953E-08,9.3505E-08,2.2396E-09,1.7496E-10,5.9408E-08,8.8179E-08,
     &1.0553E-07,2.4737E-09,1.6549E-10,6.4025E-08,9.6696E-08,1.1704E-07,
     &2.7092E-09/
      DATA ((KB(JS,JT,28, 1),JS=1,5),JT=1,5) /
     &1.7010E-10,3.8631E-08,5.3773E-08,6.0579E-08,1.5220E-09,1.5928E-10,
     &4.2001E-08,6.0660E-08,6.9727E-08,1.6901E-09,1.4976E-10,4.5661E-08,
     &6.7065E-08,7.8845E-08,1.8696E-09,1.4131E-10,4.9571E-08,7.3809E-08,
     &8.8481E-08,2.0611E-09,1.3376E-10,5.3304E-08,8.0910E-08,9.8017E-08,
     &2.2565E-09/
      DATA ((KB(JS,JT,29, 1),JS=1,5),JT=1,5) /
     &1.3696E-10,3.2270E-08,4.5392E-08,5.1438E-08,1.2721E-09,1.2839E-10,
     &3.5079E-08,5.0946E-08,5.8726E-08,1.4118E-09,1.2082E-10,3.8150E-08,
     &5.6258E-08,6.6493E-08,1.5628E-09,1.1410E-10,4.1324E-08,6.1843E-08,
     &7.4387E-08,1.7205E-09,1.0808E-10,4.4387E-08,6.7739E-08,8.2216E-08,
     &1.8745E-09/
      DATA ((KB(JS,JT,30, 1),JS=1,5),JT=1,5) /
     &1.1029E-10,2.6970E-08,3.8330E-08,4.3698E-08,1.0655E-09,1.0349E-10,
     &2.9319E-08,4.2739E-08,4.9552E-08,1.1823E-09,9.7483E-11,3.1869E-08,
     &4.7210E-08,5.6057E-08,1.3038E-09,9.2133E-11,3.4436E-08,5.1812E-08,
     &6.2485E-08,1.4285E-09,8.7340E-11,3.6953E-08,5.6709E-08,6.8921E-08,
     &1.5563E-09/
      DATA ((KB(JS,JT,31, 1),JS=1,5),JT=1,5) /
     &8.8806E-11,2.2555E-08,3.2386E-08,3.7129E-08,8.9029E-10,8.3417E-11,
     &2.4519E-08,3.5921E-08,4.1870E-08,9.8548E-10,7.8644E-11,2.6638E-08,
     &3.9609E-08,4.7273E-08,1.0854E-09,7.4388E-11,2.8694E-08,4.3423E-08,
     &5.2435E-08,1.1880E-09,7.0568E-11,3.0776E-08,4.7411E-08,5.7750E-08,
     &1.2931E-09/
      DATA ((KB(JS,JT,32, 1),JS=1,5),JT=1,5) /
     &7.1507E-11,1.8870E-08,2.7332E-08,3.1309E-08,7.4436E-10,6.7235E-11,
     &2.0512E-08,3.0189E-08,3.5407E-08,8.2294E-10,6.3444E-11,2.2259E-08,
     &3.3218E-08,3.9730E-08,9.0483E-10,6.0058E-11,2.3923E-08,3.6405E-08,
     &4.3976E-08,9.8908E-10,5.7015E-11,2.5634E-08,3.9548E-08,4.8346E-08,
     &1.0750E-09/
      DATA ((KB(JS,JT,33, 1),JS=1,5),JT=1,5) /
     &5.7586E-11,1.5779E-08,2.2950E-08,2.6415E-08,6.2256E-10,5.4199E-11,
     &1.7153E-08,2.5354E-08,2.9904E-08,6.8734E-10,5.1188E-11,1.8569E-08,
     &2.7869E-08,3.3404E-08,7.5467E-10,4.8493E-11,1.9935E-08,3.0437E-08,
     &3.6856E-08,8.2369E-10,4.6069E-11,2.1345E-08,3.2988E-08,4.0478E-08,
     &8.9402E-10/
      DATA ((KB(JS,JT,34, 1),JS=1,5),JT=1,5) /
     &4.6487E-11,1.3161E-08,1.9216E-08,2.2212E-08,5.1910E-10,4.3789E-11,
     &1.4301E-08,2.1182E-08,2.5090E-08,5.7247E-10,4.1386E-11,1.5447E-08,
     &2.3208E-08,2.7938E-08,6.2767E-10,3.9234E-11,1.6571E-08,2.5347E-08,
     &3.0795E-08,6.8426E-10,3.7294E-11,1.7725E-08,2.7392E-08,3.3781E-08,
     &7.4179E-10/
      DATA ((KB(JS,JT,35, 1),JS=1,5),JT=1,5) /
     &3.7756E-11,1.0890E-08,1.5882E-08,1.8441E-08,4.2871E-10,3.5581E-11,
     &1.1830E-08,1.7514E-08,2.0810E-08,4.7251E-10,3.3643E-11,1.2757E-08,
     &1.9184E-08,2.3148E-08,5.1769E-10,3.1905E-11,1.3682E-08,2.0941E-08,
     &2.5477E-08,5.6394E-10,3.0338E-11,1.4628E-08,2.2613E-08,2.7948E-08,
     &6.1100E-10/
      DATA ((KB(JS,JT,36, 1),JS=1,5),JT=1,5) /
     &3.0872E-11,8.9290E-09,1.3007E-08,1.5108E-08,3.5034E-10,2.9096E-11,
     &9.6995E-09,1.4343E-08,1.7051E-08,3.8609E-10,2.7513E-11,1.0456E-08,
     &1.5713E-08,1.8968E-08,4.2296E-10,2.6093E-11,1.1213E-08,1.7153E-08,
     &2.0875E-08,4.6073E-10,2.4812E-11,1.1987E-08,1.8522E-08,2.2899E-08,
     &4.9916E-10/
      DATA ((KB(JS,JT,37, 1),JS=1,5),JT=1,5) /
     &2.5479E-11,7.2338E-09,1.0508E-08,1.2165E-08,2.8268E-10,2.4002E-11,
     &7.8593E-09,1.1594E-08,1.3747E-08,3.1173E-10,2.2687E-11,8.4845E-09,
     &1.2712E-08,1.5315E-08,3.4178E-10,2.1508E-11,9.0997E-09,1.3892E-08,
     &1.6886E-08,3.7260E-10,2.0446E-11,9.7322E-09,1.5012E-08,1.8526E-08,
     &4.0398E-10/
      DATA ((KB(JS,JT,38, 1),JS=1,5),JT=1,5) /
     &2.1041E-11,5.8565E-09,8.4831E-09,9.7892E-09,2.2791E-10,1.9811E-11,
     &6.3636E-09,9.3619E-09,1.1072E-08,2.5148E-10,1.8717E-11,6.8784E-09,
     &1.0276E-08,1.2360E-08,2.7595E-10,1.7738E-11,7.3792E-09,1.1234E-08,
     &1.3638E-08,3.0109E-10,1.6856E-11,7.8971E-09,1.2166E-08,1.4977E-08,
     &3.2671E-10/
      DATA ((KB(JS,JT,39, 1),JS=1,5),JT=1,5) /
     &1.7377E-11,4.7418E-09,6.8561E-09,7.8795E-09,1.8373E-10,1.6353E-11,
     &5.1532E-09,7.5620E-09,8.9128E-09,2.0284E-10,1.5443E-11,5.5752E-09,
     &8.3069E-09,9.9666E-09,2.2279E-10,1.4629E-11,5.9857E-09,9.0872E-09,
     &1.1011E-08,2.4327E-10,1.3896E-11,6.4086E-09,9.8616E-09,1.2104E-08,
     &2.6420E-10/
      DATA ((KB(JS,JT,40, 1),JS=1,5),JT=1,5) /
     &1.4445E-11,3.8091E-09,5.4799E-09,6.2754E-09,1.4679E-10,1.3581E-11,
     &4.1391E-09,6.0530E-09,7.0909E-09,1.6220E-10,1.2815E-11,4.4888E-09,
     &6.6555E-09,7.9532E-09,1.7842E-10,1.2131E-11,4.8207E-09,7.2855E-09,
     &8.8071E-09,1.9509E-10,1.1516E-11,5.1646E-09,7.9268E-09,9.6932E-09,
     &2.1214E-10/
      DATA ((KB(JS,JT,41, 1),JS=1,5),JT=1,5) /
     &1.2021E-11,3.0566E-09,4.3606E-09,4.9921E-09,1.1713E-10,1.1291E-11,
     &3.3205E-09,4.8340E-09,5.6256E-09,1.2954E-10,1.0645E-11,3.6053E-09,
     &5.3261E-09,6.3473E-09,1.4269E-10,1.0069E-11,3.8782E-09,5.8347E-09,
     &7.0386E-09,1.5624E-10,9.5520E-12,4.1580E-09,6.3647E-09,7.7515E-09,
     &1.7013E-10/
      DATA ((KB(JS,JT,42, 1),JS=1,5),JT=1,5) /
     &1.0007E-11,2.4516E-09,3.4653E-09,3.9398E-09,9.3475E-11,9.3902E-12,
     &2.6631E-09,3.8588E-09,4.4635E-09,1.0342E-10,8.8449E-12,2.8926E-09,
     &4.2600E-09,5.0466E-09,1.1406E-10,8.3594E-12,3.1198E-09,4.6719E-09,
     &5.6218E-09,1.2507E-10,7.9244E-12,3.3465E-09,5.1065E-09,6.1999E-09,
     &1.3640E-10/
      DATA ((KB(JS,JT,43, 1),JS=1,5),JT=1,5) /
     &8.3647E-12,1.9578E-09,2.7341E-09,3.0827E-09,7.4277E-11,7.8389E-12,
     &2.1263E-09,3.0690E-09,3.5212E-09,8.2118E-11,7.3752E-12,2.3103E-09,
     &3.3865E-09,3.9836E-09,9.0672E-11,6.9633E-12,2.4984E-09,3.7198E-09,
     &4.4569E-09,9.9628E-11,6.5950E-12,2.6833E-09,4.0709E-09,4.9265E-09,
     &1.0883E-10/
      DATA ((KB(JS,JT,44, 1),JS=1,5),JT=1,5) /
     &7.0070E-12,1.5628E-09,2.1521E-09,2.4017E-09,5.9116E-11,6.5570E-12,
     &1.6954E-09,2.4254E-09,2.7772E-09,6.5027E-11,6.1612E-12,1.8413E-09,
     &2.6845E-09,3.1310E-09,7.1892E-11,5.8106E-12,1.9977E-09,2.9542E-09,
     &3.5211E-09,7.9144E-11,5.4976E-12,2.1464E-09,3.2360E-09,3.9045E-09,
     &8.6629E-11/
      DATA ((KB(JS,JT,45, 1),JS=1,5),JT=1,5) /
     &5.8728E-12,1.2500E-09,1.7079E-09,1.8743E-09,4.6646E-11,5.4873E-12,
     &1.3505E-09,1.9105E-09,2.1719E-09,5.1499E-11,5.1492E-12,1.4670E-09,
     &2.1250E-09,2.4590E-09,5.6982E-11,4.8504E-12,1.5931E-09,2.3464E-09,
     &2.7802E-09,6.2839E-11,4.5844E-12,1.7167E-09,2.5731E-09,3.0954E-09,
     &6.8908E-11/
      DATA ((KB(JS,JT,46, 1),JS=1,5),JT=1,5) /
     &4.9328E-12,9.9811E-10,1.3397E-09,1.4457E-09,3.6694E-11,4.6012E-12,
     &1.0742E-09,1.4986E-09,1.6875E-09,4.0742E-11,4.3113E-12,1.1665E-09,
     &1.6813E-09,1.9281E-09,4.5049E-11,4.0558E-12,1.2673E-09,1.8567E-09,
     &2.1817E-09,4.9751E-11,3.8288E-12,1.3702E-09,2.0399E-09,2.4419E-09,
     &5.4679E-11/
      DATA ((KB(JS,JT,47, 1),JS=1,5),JT=1,5) /
     &4.1592E-12,7.9205E-10,1.0438E-09,1.1055E-09,2.8709E-11,3.8717E-12,
     &8.5357E-10,1.1710E-09,1.3015E-09,3.2198E-11,3.6215E-12,9.2515E-10,
     &1.3196E-09,1.5103E-09,3.5448E-11,3.4016E-12,1.0046E-09,1.4619E-09,
     &1.7010E-09,3.9203E-11,3.2069E-12,1.0904E-09,1.6100E-09,1.9168E-09,
     &4.3187E-11/
      DATA ((KB(JS,JT,48, 1),JS=1,5),JT=1,5) /
     &3.5100E-12,6.2849E-10,8.1319E-10,8.4567E-10,2.2456E-11,3.2605E-12,
     &6.8021E-10,9.2169E-10,1.0040E-09,2.5229E-11,3.0441E-12,7.3294E-10,
     &1.0314E-09,1.1665E-09,2.7903E-11,2.8547E-12,7.9615E-10,1.1495E-09,
     &1.3251E-09,3.0879E-11,2.6874E-12,8.6463E-10,1.2703E-09,1.4994E-09,
     &3.4082E-11/
      DATA ((KB(JS,JT,49, 1),JS=1,5),JT=1,5) /
     &2.9649E-12,4.9867E-10,6.3572E-10,6.4557E-10,1.7554E-11,2.7480E-12,
     &5.4124E-10,7.1871E-10,7.6840E-10,1.9749E-11,2.5606E-12,5.8140E-10,
     &8.0413E-10,9.0054E-10,2.2012E-11,2.3972E-12,6.3097E-10,9.0637E-10,
     &1.0349E-09,2.4308E-11,2.2534E-12,6.8545E-10,1.0006E-09,1.1704E-09,
     &2.6872E-11/
      DATA ((KB(JS,JT,50, 1),JS=1,5),JT=1,5) /
     &2.5019E-12,3.9853E-10,4.9374E-10,4.9615E-10,1.3762E-11,2.3136E-12,
     &4.2952E-10,5.6141E-10,5.8980E-10,1.5500E-11,2.1517E-12,4.6334E-10,
     &6.3284E-10,6.9788E-10,1.7390E-11,2.0110E-12,5.0130E-10,7.1124E-10,
     &8.0903E-10,1.9184E-11,1.8875E-12,5.4446E-10,7.8908E-10,9.1435E-10,
     &2.1230E-11/
      DATA ((KB(JS,JT,51, 1),JS=1,5),JT=1,5) /
     &2.1111E-12,3.1534E-10,3.8552E-10,3.8324E-10,1.0851E-11,1.9478E-12,
     &3.4179E-10,4.3986E-10,4.5355E-10,1.2176E-11,1.8079E-12,3.7016E-10,
     &4.9835E-10,5.3919E-10,1.3683E-11,1.6868E-12,3.9846E-10,5.5746E-10,
     &6.2805E-10,1.5164E-11,1.5809E-12,4.3272E-10,6.2310E-10,7.1587E-10,
     &1.6785E-11/
      DATA ((KB(JS,JT,52, 1),JS=1,5),JT=1,5) /
     &1.7830E-12,2.4939E-10,3.0033E-10,2.9708E-10,8.5480E-12,1.6410E-12,
     &2.7244E-10,3.4467E-10,3.4870E-10,9.5642E-12,1.5200E-12,2.9507E-10,
     &3.9020E-10,4.1505E-10,1.0764E-11,1.4156E-12,3.1736E-10,4.3693E-10,
     &4.8758E-10,1.2016E-11,1.3246E-12,3.4409E-10,4.9243E-10,5.6181E-10,
     &1.3267E-11/
      DATA ((KB(JS,JT,53, 1),JS=1,5),JT=1,5) /
     &1.5074E-12,1.9746E-10,2.3442E-10,2.3027E-10,6.6942E-12,1.3838E-12,
     &2.1754E-10,2.6812E-10,2.6865E-10,7.5095E-12,1.2789E-12,2.3445E-10,
     &3.0510E-10,3.1916E-10,8.4626E-12,1.1888E-12,2.5305E-10,3.4496E-10,
     &3.7906E-10,9.4963E-12,1.1106E-12,2.7355E-10,3.8680E-10,4.3882E-10,
     &1.0486E-11/
      DATA ((KB(JS,JT,54, 1),JS=1,5),JT=1,5) /
     &1.2722E-12,1.5676E-10,1.8436E-10,1.8188E-10,5.2601E-12,1.1649E-12,
     &1.7256E-10,2.1030E-10,2.0876E-10,5.9465E-12,1.0743E-12,1.8706E-10,
     &2.4022E-10,2.4657E-10,6.6750E-12,9.9683E-13,2.0263E-10,2.7206E-10,
     &2.9337E-10,7.5016E-12,9.2975E-13,2.1798E-10,3.0420E-10,3.4203E-10,
     &8.3182E-12/
      DATA ((KB(JS,JT,55, 1),JS=1,5),JT=1,5) /
     &1.0733E-12,1.2552E-10,1.4668E-10,1.4477E-10,4.1440E-12,9.8027E-13,
     &1.3705E-10,1.6480E-10,1.6298E-10,4.7137E-12,9.0209E-13,1.4966E-10,
     &1.8911E-10,1.9117E-10,5.2730E-12,8.3546E-13,1.6210E-10,2.1410E-10,
     &2.2758E-10,5.9349E-12,7.7800E-13,1.7423E-10,2.3972E-10,2.6725E-10,
     &6.6163E-12/
      DATA ((KB(JS,JT,56, 1),JS=1,5),JT=1,5) /
     &9.0624E-13,9.9786E-11,1.1674E-10,1.1286E-10,3.2776E-12,8.2547E-13,
     &1.0897E-10,1.2938E-10,1.2705E-10,3.7161E-12,7.5791E-13,1.2009E-10,
     &1.4804E-10,1.4827E-10,4.1646E-12,7.0058E-13,1.2925E-10,1.6837E-10,
     &1.7630E-10,4.6957E-12,6.5131E-13,1.3937E-10,1.8999E-10,2.0899E-10,
     &5.2742E-12/
      DATA ((KB(JS,JT,57, 1),JS=1,5),JT=1,5) /
     &7.6595E-13,7.8822E-11,9.3863E-11,8.7529E-11,2.6033E-12,6.9568E-13,
     &8.6555E-11,1.0190E-10,1.0022E-10,2.9288E-12,6.3721E-13,9.5385E-11,
     &1.1640E-10,1.1533E-10,3.2994E-12,5.8782E-13,1.0325E-10,1.3264E-10,
     &1.3663E-10,3.7186E-12,5.4552E-13,1.1173E-10,1.5042E-10,1.6253E-10,
     &4.1819E-12/
      DATA ((KB(JS,JT,58, 1),JS=1,5),JT=1,5) /
     &6.4693E-13,6.2421E-11,7.6174E-11,6.8324E-11,2.0833E-12,5.8588E-13,
     &6.9278E-11,8.1197E-11,7.9691E-11,2.3130E-12,5.3535E-13,7.5873E-11,
     &9.1414E-11,9.0398E-11,2.6350E-12,4.9285E-13,8.2653E-11,1.0493E-10,
     &1.0617E-10,2.9473E-12,4.5660E-13,8.9643E-11,1.1861E-10,1.2647E-10,
     &3.3231E-12/
      DATA ((KB(JS,JT,59, 1),JS=1,5),JT=1,5) /
     &5.3645E-13,5.0557E-11,6.2240E-11,5.4854E-11,1.6930E-12,4.8523E-13,
     &5.6468E-11,6.5604E-11,6.4827E-11,1.8702E-12,4.4294E-13,6.1442E-11,
     &7.3667E-11,7.2688E-11,2.1292E-12,4.0744E-13,6.7184E-11,8.4490E-11,
     &8.5217E-11,2.3832E-12,3.7720E-13,7.2657E-11,9.5692E-11,1.0144E-10,
     &2.6852E-12/
      DATA ((KB(JS,JT,13, 2),JS=1,5),JT=1,5) /
     &1.8323E-08,8.6266E-06,1.3728E-05,1.5952E-05,7.8927E-07,1.6961E-08,
     &9.6203E-06,1.5275E-05,1.7863E-05,9.3659E-07,1.5787E-08,1.0675E-05,
     &1.6924E-05,1.9675E-05,1.1050E-06,1.4764E-08,1.1779E-05,1.8474E-05,
     &2.1320E-05,1.2868E-06,1.3865E-08,1.2843E-05,2.0029E-05,2.3080E-05,
     &1.4565E-06/
      DATA ((KB(JS,JT,14, 2),JS=1,5),JT=1,5) /
     &1.4893E-08,7.1882E-06,1.1443E-05,1.3271E-05,6.5835E-07,1.3793E-08,
     &8.0276E-06,1.2732E-05,1.4890E-05,7.8132E-07,1.2844E-08,8.9189E-06,
     &1.4101E-05,1.6339E-05,9.2233E-07,1.2017E-08,9.8309E-06,1.5384E-05,
     &1.7721E-05,1.0676E-06,1.1289E-08,1.0704E-05,1.6679E-05,1.9194E-05,
     &1.2091E-06/
      DATA ((KB(JS,JT,15, 2),JS=1,5),JT=1,5) /
     &1.2096E-08,5.9934E-06,9.5449E-06,1.1058E-05,5.4969E-07,1.1209E-08,
     &6.6932E-06,1.0623E-05,1.2407E-05,6.5197E-07,1.0443E-08,7.4449E-06,
     &1.1746E-05,1.3571E-05,7.6940E-07,9.7747E-09,8.1948E-06,1.2814E-05,
     &1.4732E-05,8.8496E-07,9.1864E-09,8.9188E-06,1.3883E-05,1.5946E-05,
     &1.0023E-06/
      DATA ((KB(JS,JT,16, 2),JS=1,5),JT=1,5) /
     &9.8205E-09,5.0027E-06,7.9644E-06,9.2248E-06,4.5876E-07,9.1061E-09,
     &5.5846E-06,8.8593E-06,1.0331E-05,5.4334E-07,8.4882E-09,6.2183E-06,
     &9.7757E-06,1.1279E-05,6.4050E-07,7.9486E-09,6.8276E-06,1.0664E-05,
     &1.2244E-05,7.3344E-07,7.4732E-09,7.4268E-06,1.1545E-05,1.3224E-05,
     &8.2955E-07/
      DATA ((KB(JS,JT,17, 2),JS=1,5),JT=1,5) /
     &7.9753E-09,4.1713E-06,6.6153E-06,7.6892E-06,3.8247E-07,7.3994E-09,
     &4.6562E-06,7.3753E-06,8.5922E-06,4.5188E-07,6.9008E-09,5.1829E-06,
     &8.1280E-06,9.3638E-06,5.3211E-07,6.4650E-09,5.6765E-06,8.8560E-06,
     &1.0168E-05,6.0647E-07,6.0807E-09,6.1758E-06,9.5894E-06,1.0949E-05,
     &6.8549E-07/
      DATA ((KB(JS,JT,18, 2),JS=1,5),JT=1,5) /
     &6.4779E-09,3.4727E-06,5.4875E-06,6.4000E-06,3.1851E-07,6.0135E-09,
     &3.8751E-06,6.1308E-06,7.1372E-06,3.7552E-07,5.6111E-09,4.3132E-06,
     &6.7478E-06,7.7698E-06,4.4141E-07,5.2590E-09,4.7150E-06,7.3444E-06,
     &8.4370E-06,5.0075E-07,4.9483E-09,5.1345E-06,7.9495E-06,9.0637E-06,
     &5.6601E-07/
      DATA ((KB(JS,JT,19, 2),JS=1,5),JT=1,5) /
     &5.2627E-09,2.8908E-06,4.5586E-06,5.3260E-06,2.6516E-07,4.8882E-09,
     &3.2260E-06,5.0940E-06,5.9200E-06,3.1190E-07,4.5632E-09,3.5843E-06,
     &5.5992E-06,6.4397E-06,3.6608E-07,4.2786E-09,3.9167E-06,6.0923E-06,
     &6.9972E-06,4.1361E-07,4.0273E-09,4.2667E-06,6.5904E-06,7.5021E-06,
     &4.6741E-07/
      DATA ((KB(JS,JT,20, 2),JS=1,5),JT=1,5) /
     &4.2704E-09,2.4074E-06,3.7990E-06,4.4458E-06,2.2103E-07,3.9690E-09,
     &2.6942E-06,4.2393E-06,4.9120E-06,2.6014E-07,3.7071E-09,2.9827E-06,
     &4.6574E-06,5.3487E-06,3.0416E-07,3.4776E-09,3.2601E-06,5.0635E-06,
     &5.8076E-06,3.4304E-07,3.2747E-09,3.5518E-06,5.4700E-06,6.2197E-06,
     &3.8752E-07/
      DATA ((KB(JS,JT,21, 2),JS=1,5),JT=1,5) /
     &3.4649E-09,2.0096E-06,3.1689E-06,3.7070E-06,1.8424E-07,3.2224E-09,
     &2.2503E-06,3.5271E-06,4.0784E-06,2.1705E-07,3.0114E-09,2.4834E-06,
     &3.8737E-06,4.4436E-06,2.5229E-07,2.8263E-09,2.7149E-06,4.2083E-06,
     &4.8061E-06,2.8464E-07,2.6626E-09,2.9556E-06,4.5394E-06,5.1565E-06,
     &3.2148E-07/
      DATA ((KB(JS,JT,22, 2),JS=1,5),JT=1,5) /
     &2.7976E-09,1.6913E-06,2.6632E-06,3.1108E-06,1.5537E-07,2.6043E-09,
     &1.8908E-06,2.9553E-06,3.4067E-06,1.8311E-07,2.4359E-09,2.0811E-06,
     &3.2390E-06,3.7110E-06,2.1094E-07,2.2878E-09,2.2746E-06,3.5144E-06,
     &4.0009E-06,2.3816E-07,2.1567E-09,2.4714E-06,3.7839E-06,4.2910E-06,
     &2.6886E-07/
      DATA ((KB(JS,JT,23, 2),JS=1,5),JT=1,5) /
     &2.2583E-09,1.4234E-06,2.2388E-06,2.6088E-06,1.3143E-07,2.1043E-09,
     &1.5864E-06,2.4776E-06,2.8493E-06,1.5460E-07,1.9699E-09,1.7436E-06,
     &2.7072E-06,3.1009E-06,1.7669E-07,1.8515E-09,1.9057E-06,2.9355E-06,
     &3.3308E-06,1.9953E-07,1.7465E-09,2.0653E-06,3.1542E-06,3.5663E-06,
     &2.2501E-07/
      DATA ((KB(JS,JT,24, 2),JS=1,5),JT=1,5) /
     &1.8221E-09,1.2001E-06,1.8808E-06,2.1868E-06,1.1138E-07,1.6995E-09,
     &1.3315E-06,2.0779E-06,2.3825E-06,1.3068E-07,1.5923E-09,1.4625E-06,
     &2.2647E-06,2.5884E-06,1.4820E-07,1.4978E-09,1.5972E-06,2.4512E-06,
     &2.7771E-06,1.6734E-07,1.4138E-09,1.7254E-06,2.6296E-06,2.9649E-06,
     &1.8848E-07/
      DATA ((KB(JS,JT,25, 2),JS=1,5),JT=1,5) /
     &1.4693E-09,1.0111E-06,1.5809E-06,1.8286E-06,9.4366E-08,1.3718E-09,
     &1.1199E-06,1.7430E-06,1.9952E-06,1.1045E-07,1.2864E-09,1.2273E-06,
     &1.8957E-06,2.1572E-06,1.2445E-07,1.2110E-09,1.3373E-06,2.0462E-06,
     &2.3162E-06,1.4042E-07,1.1438E-09,1.4410E-06,2.1916E-06,2.4648E-06,
     &1.5767E-07/
      DATA ((KB(JS,JT,26, 2),JS=1,5),JT=1,5) /
     &1.1834E-09,8.5331E-07,1.3316E-06,1.5329E-06,8.0212E-08,1.1061E-09,
     &9.4192E-07,1.4626E-06,1.6729E-06,9.2775E-08,1.0382E-09,1.0317E-06,
     &1.5890E-06,1.8006E-06,1.0462E-07,9.7810E-10,1.1205E-06,1.7099E-06,
     &1.9314E-06,1.1800E-07,9.2457E-10,1.2034E-06,1.8276E-06,2.0504E-06,
     &1.3209E-07/
      DATA ((KB(JS,JT,27, 2),JS=1,5),JT=1,5) /
     &9.5311E-10,7.1890E-07,1.1218E-06,1.2867E-06,6.8084E-08,8.9177E-10,
     &7.9258E-07,1.2275E-06,1.4019E-06,7.7999E-08,8.3781E-10,8.6605E-07,
     &1.3308E-06,1.5040E-06,8.8027E-08,7.8998E-10,9.3815E-07,1.4285E-06,
     &1.6091E-06,9.9057E-08,7.4729E-10,1.0046E-06,1.5236E-06,1.7059E-06,
     &1.1074E-07/
      DATA ((KB(JS,JT,28, 2),JS=1,5),JT=1,5) /
     &7.6771E-10,6.0623E-07,9.4427E-07,1.0796E-06,5.7844E-08,7.1904E-10,
     &6.6653E-07,1.0298E-06,1.1699E-06,6.5726E-08,6.7614E-10,7.2689E-07,
     &1.1131E-06,1.2568E-06,7.4009E-08,6.3806E-10,7.8482E-07,1.1927E-06,
     &1.3406E-06,8.3200E-08,6.0401E-10,8.3806E-07,1.2695E-06,1.4186E-06,
     &9.2306E-08/
      DATA ((KB(JS,JT,29, 2),JS=1,5),JT=1,5) /
     &6.1817E-10,5.1053E-07,7.9450E-07,9.0687E-07,4.9078E-08,5.7958E-10,
     &5.6071E-07,8.6403E-07,9.7690E-07,5.5257E-08,5.4551E-10,6.1009E-07,
     &9.3077E-07,1.0495E-06,6.2286E-08,5.1520E-10,6.5631E-07,9.9567E-07,
     &1.1159E-06,6.9954E-08,4.8806E-10,6.9830E-07,1.0576E-06,1.1790E-06,
     &7.7228E-08/
      DATA ((KB(JS,JT,30, 2),JS=1,5),JT=1,5) /
     &4.9783E-10,4.3014E-07,6.6732E-07,7.6058E-07,4.1306E-08,4.6723E-10,
     &4.7148E-07,7.2434E-07,8.1682E-07,4.6537E-08,4.4015E-10,5.1146E-07,
     &7.7809E-07,8.7537E-07,5.2451E-08,4.1603E-10,5.4877E-07,8.3073E-07,
     &9.2884E-07,5.8793E-08,3.9440E-10,5.8159E-07,8.8054E-07,9.8030E-07,
     &6.4630E-08/
      DATA ((KB(JS,JT,31, 2),JS=1,5),JT=1,5) /
     &4.0087E-10,3.6256E-07,5.6062E-07,6.3549E-07,3.4778E-08,3.7660E-10,
     &3.9620E-07,6.0674E-07,6.8313E-07,3.9213E-08,3.5510E-10,4.2855E-07,
     &6.5037E-07,7.2999E-07,4.4176E-08,3.3590E-10,4.5852E-07,6.9308E-07,
     &7.7338E-07,4.9424E-08,3.1866E-10,4.8459E-07,7.3297E-07,8.1484E-07,
     &5.4137E-08/
      DATA ((KB(JS,JT,32, 2),JS=1,5),JT=1,5) /
     &3.2280E-10,3.0547E-07,4.7083E-07,5.3147E-07,2.9353E-08,3.0356E-10,
     &3.3271E-07,5.0770E-07,5.7112E-07,3.3078E-08,2.8647E-10,3.5876E-07,
     &5.4339E-07,6.0852E-07,3.7211E-08,2.7120E-10,3.8214E-07,5.7781E-07,
     &6.4354E-07,4.1295E-08,2.5746E-10,4.0374E-07,6.0990E-07,6.7711E-07,
     &4.5362E-08/
      DATA ((KB(JS,JT,33, 2),JS=1,5),JT=1,5) /
     &2.5997E-10,2.5723E-07,3.9505E-07,4.4467E-07,2.4754E-08,2.4471E-10,
     &2.7926E-07,4.2469E-07,4.7702E-07,2.7907E-08,2.3113E-10,3.0024E-07,
     &4.5384E-07,5.0672E-07,3.1344E-08,2.1898E-10,3.1862E-07,4.8142E-07,
     &5.3515E-07,3.4590E-08,2.0803E-10,3.3624E-07,5.0721E-07,5.6242E-07,
     &3.7957E-08/
      DATA ((KB(JS,JT,34, 2),JS=1,5),JT=1,5) /
     &2.0987E-10,2.1561E-07,3.3035E-07,3.7093E-07,2.0801E-08,1.9771E-10,
     &2.3356E-07,3.5433E-07,3.9723E-07,2.3443E-08,1.8688E-10,2.5042E-07,
     &3.7804E-07,4.2127E-07,2.6271E-08,1.7716E-10,2.6514E-07,4.0029E-07,
     &4.4433E-07,2.8867E-08,1.6840E-10,2.7949E-07,4.2102E-07,4.6612E-07,
     &3.1620E-08/
      DATA ((KB(JS,JT,35, 2),JS=1,5),JT=1,5) /
     &1.7046E-10,1.7909E-07,2.7397E-07,3.0730E-07,1.7283E-08,1.6066E-10,
     &1.9378E-07,2.9367E-07,3.2869E-07,1.9456E-08,1.5191E-10,2.0716E-07,
     &3.1287E-07,3.4820E-07,2.1759E-08,1.4407E-10,2.1938E-07,3.3090E-07,
     &3.6703E-07,2.3854E-08,1.3699E-10,2.3115E-07,3.4779E-07,3.8459E-07,
     &2.6128E-08/
      DATA ((KB(JS,JT,36, 2),JS=1,5),JT=1,5) /
     &1.3938E-10,1.4742E-07,2.2535E-07,2.5261E-07,1.4145E-08,1.3137E-10,
     &1.5949E-07,2.4155E-07,2.7011E-07,1.5917E-08,1.2423E-10,1.7037E-07,
     &2.5721E-07,2.8606E-07,1.7809E-08,1.1782E-10,1.8044E-07,2.7200E-07,
     &3.0149E-07,1.9530E-08,1.1204E-10,1.9011E-07,2.8582E-07,3.1581E-07,
     &2.1391E-08/
      DATA ((KB(JS,JT,37, 2),JS=1,5),JT=1,5) /
     &1.1503E-10,1.1991E-07,1.8339E-07,2.0540E-07,1.1398E-08,1.0837E-10,
     &1.2985E-07,1.9670E-07,2.1991E-07,1.2829E-08,1.0244E-10,1.3895E-07,
     &2.0964E-07,2.3310E-07,1.4370E-08,9.7122E-11,1.4725E-07,2.2183E-07,
     &2.4582E-07,1.5790E-08,9.2325E-11,1.5526E-07,2.3327E-07,2.5767E-07,
     &1.7308E-08/
      DATA ((KB(JS,JT,38, 2),JS=1,5),JT=1,5) /
     &9.4990E-11,9.7434E-08,1.4912E-07,1.6699E-07,9.1745E-09,8.9449E-11,
     &1.0563E-07,1.6007E-07,1.7890E-07,1.0330E-08,8.4516E-11,1.1322E-07,
     &1.7071E-07,1.8982E-07,1.1585E-08,8.0096E-11,1.2009E-07,1.8084E-07,
     &2.0030E-07,1.2759E-08,7.6113E-11,1.2672E-07,1.9028E-07,2.1012E-07,
     &1.3992E-08/
      DATA ((KB(JS,JT,39, 2),JS=1,5),JT=1,5) /
     &7.8444E-11,7.9147E-08,1.2122E-07,1.3573E-07,7.3846E-09,7.3832E-11,
     &8.5901E-08,1.3022E-07,1.4552E-07,8.3180E-09,6.9729E-11,9.2230E-08,
     &1.3899E-07,1.5459E-07,9.3374E-09,6.6056E-11,9.7919E-08,1.4737E-07,
     &1.6325E-07,1.0307E-08,6.2749E-11,1.0341E-07,1.5518E-07,1.7133E-07,
     &1.1312E-08/
      DATA ((KB(JS,JT,40, 2),JS=1,5),JT=1,5) /
     &6.5207E-11,6.3715E-08,9.7755E-08,1.0945E-07,5.8831E-09,6.1319E-11,
     &6.9289E-08,1.0524E-07,1.1757E-07,6.6237E-09,5.7866E-11,7.4694E-08,
     &1.1245E-07,1.2515E-07,7.4455E-09,5.4779E-11,7.9359E-08,1.1941E-07,
     &1.3229E-07,8.2595E-09,5.2003E-11,8.3957E-08,1.2593E-07,1.3909E-07,
     &9.0698E-09/
      DATA ((KB(JS,JT,41, 2),JS=1,5),JT=1,5) /
     &5.4263E-11,5.1172E-08,7.8714E-08,8.8183E-08,4.6740E-09,5.0978E-11,
     &5.5838E-08,8.4939E-08,9.4828E-08,5.2655E-09,4.8066E-11,6.0328E-08,
     &9.0859E-08,1.0118E-07,5.9273E-09,4.5467E-11,6.4260E-08,9.6667E-08,
     &1.0710E-07,6.6279E-09,4.3134E-11,6.8089E-08,1.0208E-07,1.1279E-07,
     &7.2560E-09/
      DATA ((KB(JS,JT,42, 2),JS=1,5),JT=1,5) /
     &4.5170E-11,4.1073E-08,6.3333E-08,7.1067E-08,3.7185E-09,4.2393E-11,
     &4.4964E-08,6.8507E-08,7.6455E-08,4.1864E-09,3.9936E-11,4.8667E-08,
     &7.3382E-08,8.1772E-08,4.7157E-09,3.7747E-11,5.1996E-08,7.8220E-08,
     &8.6689E-08,5.2834E-09,3.5784E-11,5.5178E-08,8.2739E-08,9.1434E-08,
     &5.8040E-09/
      DATA ((KB(JS,JT,43, 2),JS=1,5),JT=1,5) /
     &3.7754E-11,3.2770E-08,5.0662E-08,5.6979E-08,2.9405E-09,3.5387E-11,
     &3.5997E-08,5.4993E-08,6.1357E-08,3.3066E-09,3.3299E-11,3.9073E-08,
     &5.9036E-08,6.5793E-08,3.7265E-09,3.1442E-11,4.1903E-08,6.3014E-08,
     &6.9920E-08,4.1848E-09,2.9781E-11,4.4546E-08,6.6822E-08,7.3849E-08,
     &4.6204E-09/
      DATA ((KB(JS,JT,44, 2),JS=1,5),JT=1,5) /
     &3.1623E-11,2.6054E-08,4.0405E-08,4.5692E-08,2.2918E-09,2.9599E-11,
     &2.8713E-08,4.4010E-08,4.9122E-08,2.6053E-09,2.7817E-11,3.1296E-08,
     &4.7391E-08,5.2815E-08,2.9353E-09,2.6236E-11,3.3677E-08,5.0655E-08,
     &5.6264E-08,3.3023E-09,2.4825E-11,3.5896E-08,5.3863E-08,5.9538E-08,
     &3.6730E-09/
      DATA ((KB(JS,JT,45, 2),JS=1,5),JT=1,5) /
     &2.6502E-11,2.0705E-08,3.2152E-08,3.6448E-08,1.7841E-09,2.4768E-11,
     &2.2868E-08,3.5185E-08,3.9329E-08,2.0515E-09,2.3247E-11,2.5027E-08,
     &3.7999E-08,4.2338E-08,2.3118E-09,2.1900E-11,2.7063E-08,4.0694E-08,
     &4.5258E-08,2.6048E-09,2.0701E-11,2.8901E-08,4.3361E-08,4.7969E-08,
     &2.9174E-09/
      DATA ((KB(JS,JT,46, 2),JS=1,5),JT=1,5) /
     &2.2258E-11,1.6422E-08,2.5480E-08,2.8991E-08,1.3830E-09,2.0767E-11,
     &1.8158E-08,2.8033E-08,3.1442E-08,1.6144E-09,1.9462E-11,1.9953E-08,
     &3.0402E-08,3.3850E-08,1.8162E-09,1.8312E-11,2.1658E-08,3.2639E-08,
     &3.6308E-08,2.0475E-09,1.7289E-11,2.3211E-08,3.4839E-08,3.8583E-08,
     &2.2994E-09/
      DATA ((KB(JS,JT,47, 2),JS=1,5),JT=1,5) /
     &1.8764E-11,1.2951E-08,2.0072E-08,2.2982E-08,1.0645E-09,1.7473E-11,
     &1.4335E-08,2.2214E-08,2.5085E-08,1.2479E-09,1.6347E-11,1.5813E-08,
     &2.4205E-08,2.6971E-08,1.4207E-09,1.5357E-11,1.7255E-08,2.6075E-08,
     &2.9015E-08,1.6008E-09,1.4480E-11,1.8558E-08,2.7885E-08,3.0922E-08,
     &1.8018E-09/
      DATA ((KB(JS,JT,48, 2),JS=1,5),JT=1,5) /
     &1.5833E-11,1.0186E-08,1.5782E-08,1.8174E-08,8.1718E-10,1.4713E-11,
     &1.1312E-08,1.7555E-08,1.9891E-08,9.6098E-10,1.3740E-11,1.2509E-08,
     &1.9248E-08,2.1482E-08,1.1112E-09,1.2887E-11,1.3719E-08,2.0811E-08,
     &2.3140E-08,1.2515E-09,1.2134E-11,1.4840E-08,2.2313E-08,2.4769E-08,
     &1.4105E-09/
      DATA ((KB(JS,JT,49, 2),JS=1,5),JT=1,5) /
     &1.3372E-11,8.0050E-09,1.2403E-08,1.4283E-08,6.3117E-10,1.2398E-11,
     &8.9393E-09,1.3840E-08,1.5751E-08,7.3907E-10,1.1556E-11,9.8821E-09,
     &1.5261E-08,1.7104E-08,8.6645E-10,1.0821E-11,1.0884E-08,1.6582E-08,
     &1.8441E-08,9.7829E-10,1.0174E-11,1.1841E-08,1.7828E-08,1.9804E-08,
     &1.1034E-09/
      DATA ((KB(JS,JT,50, 2),JS=1,5),JT=1,5) /
     &1.1282E-11,6.2726E-09,9.7478E-09,1.1226E-08,4.8398E-10,1.0437E-11,
     &7.0546E-09,1.0932E-08,1.2518E-08,5.7051E-10,9.7101E-12,7.8193E-09,
     &1.2114E-08,1.3671E-08,6.6997E-10,9.0772E-12,8.6379E-09,1.3218E-08,
     &1.4712E-08,7.6625E-10,8.5216E-12,9.4405E-09,1.4258E-08,1.5844E-08,
     &8.6488E-10/
      DATA ((KB(JS,JT,51, 2),JS=1,5),JT=1,5) /
     &9.5179E-12,4.9251E-09,7.6356E-09,8.7761E-09,3.7213E-10,8.7856E-12,
     &5.5681E-09,8.6220E-09,9.9159E-09,4.4074E-10,8.1576E-12,6.1930E-09,
     &9.5989E-09,1.0865E-08,5.1843E-10,7.6131E-12,6.8518E-09,1.0539E-08,
     &1.1746E-08,6.0210E-10,7.1366E-12,7.5206E-09,1.1403E-08,1.2659E-08,
     &6.7841E-10/
      DATA ((KB(JS,JT,52, 2),JS=1,5),JT=1,5) /
     &8.0368E-12,3.8608E-09,6.0010E-09,6.8441E-09,2.8848E-10,7.4007E-12,
     &4.3903E-09,6.7974E-09,7.8127E-09,3.4245E-10,6.8577E-12,4.9086E-09,
     &7.5959E-09,8.6279E-09,4.0106E-10,6.3886E-12,5.4297E-09,8.3801E-09,
     &9.3778E-09,4.7058E-10,5.9795E-12,5.9829E-09,9.1103E-09,1.0111E-08,
     &5.3218E-10/
      DATA ((KB(JS,JT,53, 2),JS=1,5),JT=1,5) /
     &6.7932E-12,3.0102E-09,4.7269E-09,5.3395E-09,2.2432E-10,6.2397E-12,
     &3.4450E-09,5.3458E-09,6.1449E-09,2.6282E-10,5.7693E-12,3.8768E-09,
     &6.0006E-09,6.8613E-09,3.1020E-10,5.3647E-12,4.3002E-09,6.6533E-09,
     &7.4990E-09,3.6446E-10,5.0129E-12,4.7527E-09,7.2638E-09,8.0717E-09,
     &4.1759E-10/
      DATA ((KB(JS,JT,54, 2),JS=1,5),JT=1,5) /
     &5.7320E-12,2.3582E-09,3.6837E-09,4.1317E-09,1.7477E-10,5.2518E-12,
     &2.7163E-09,4.2048E-09,4.8208E-09,2.0321E-10,4.8457E-12,3.0678E-09,
     &4.7472E-09,5.4472E-09,2.4081E-10,4.4978E-12,3.4148E-09,5.2851E-09,
     &5.9735E-09,2.8345E-10,4.1963E-12,3.7804E-09,5.8001E-09,6.4570E-09,
     &3.2923E-10/
      DATA ((KB(JS,JT,55, 2),JS=1,5),JT=1,5) /
     &4.8347E-12,1.8534E-09,2.8539E-09,3.1828E-09,1.3492E-10,4.4186E-12,
     &2.1392E-09,3.3190E-09,3.7817E-09,1.5848E-10,4.0683E-12,2.4320E-09,
     &3.7592E-09,4.3156E-09,1.8835E-10,3.7693E-12,2.7150E-09,4.1999E-09,
     &4.7625E-09,2.2076E-10,3.5111E-12,3.0082E-09,4.6345E-09,5.1736E-09,
     &2.5916E-10/
      DATA ((KB(JS,JT,56, 2),JS=1,5),JT=1,5) /
     &4.0813E-12,1.4543E-09,2.2038E-09,2.4488E-09,1.0328E-10,3.7201E-12,
     &1.6813E-09,2.6371E-09,2.9640E-09,1.2446E-10,3.4175E-12,1.9191E-09,
     &2.9747E-09,3.4115E-09,1.4604E-10,3.1604E-12,2.1575E-09,3.3348E-09,
     &3.8018E-09,1.7202E-10,2.9391E-12,2.3932E-09,3.6930E-09,4.1472E-09,
     &2.0235E-10/
      DATA ((KB(JS,JT,57, 2),JS=1,5),JT=1,5) /
     &3.4486E-12,1.1480E-09,1.7032E-09,1.8771E-09,7.8787E-11,3.1345E-12,
     &1.3189E-09,2.0615E-09,2.3121E-09,9.6832E-11,2.8728E-12,1.5144E-09,
     &2.3440E-09,2.6863E-09,1.1317E-10,2.6513E-12,1.7102E-09,2.6436E-09,
     &3.0246E-09,1.3393E-10,2.4615E-12,1.9022E-09,2.9394E-09,3.3135E-09,
     &1.5772E-10/
      DATA ((KB(JS,JT,58, 2),JS=1,5),JT=1,5) /
     &2.9119E-12,8.9500E-10,1.3020E-09,1.4383E-09,6.0253E-11,2.6392E-12,
     &1.0369E-09,1.6036E-09,1.7891E-09,7.5765E-11,2.4132E-12,1.1975E-09,
     &1.8523E-09,2.1114E-09,8.8260E-11,2.2227E-12,1.3570E-09,2.0959E-09,
     &2.4045E-09,1.0478E-10,2.0601E-12,1.5139E-09,2.3406E-09,2.6456E-09,
     &1.2331E-10/
      DATA ((KB(JS,JT,59, 2),JS=1,5),JT=1,5) /
     &2.4143E-12,7.1851E-10,1.0362E-09,1.1516E-09,4.8086E-11,2.1857E-12,
     &8.3732E-10,1.2892E-09,1.4335E-09,6.0630E-11,1.9965E-12,9.6815E-10,
     &1.4990E-09,1.7039E-09,7.1208E-11,1.8374E-12,1.0982E-09,1.6973E-09,
     &1.9455E-09,8.4514E-11,1.7017E-12,1.2277E-09,1.8981E-09,2.1472E-09,
     &9.9289E-11/
      DATA ((KB(JS,JT,13, 3),JS=1,5),JT=1,5) /
     &6.9497E-08,5.5900E-05,7.7634E-05,8.3300E-05,1.4419E-05,6.4923E-08,
     &6.1779E-05,8.5238E-05,9.0458E-05,1.5996E-05,6.0920E-08,6.7532E-05,
     &9.2811E-05,9.7588E-05,1.7622E-05,5.7379E-08,7.2876E-05,1.0040E-04,
     &1.0455E-04,1.9144E-05,5.4220E-08,7.7699E-05,1.0784E-04,1.1139E-04,
     &2.0671E-05/
      DATA ((KB(JS,JT,14, 3),JS=1,5),JT=1,5) /
     &5.6538E-08,4.6627E-05,6.4678E-05,6.9399E-05,1.2086E-05,5.2839E-08,
     &5.1536E-05,7.1080E-05,7.5292E-05,1.3414E-05,4.9600E-08,5.6334E-05,
     &7.7384E-05,8.1277E-05,1.4732E-05,4.6731E-08,6.0751E-05,8.3753E-05,
     &8.7067E-05,1.5973E-05,4.4171E-08,6.4792E-05,8.9963E-05,9.2617E-05,
     &1.7214E-05/
      DATA ((KB(JS,JT,15, 3),JS=1,5),JT=1,5) /
     &4.5963E-08,3.8920E-05,5.3921E-05,5.7824E-05,1.0089E-05,4.2976E-08,
     &4.2987E-05,5.9286E-05,6.2615E-05,1.1238E-05,4.0358E-08,4.7014E-05,
     &6.4557E-05,6.7658E-05,1.2293E-05,3.8037E-08,5.0641E-05,6.9879E-05,
     &7.2487E-05,1.3317E-05,3.5964E-08,5.4003E-05,7.5064E-05,7.7083E-05,
     &1.4321E-05/
      DATA ((KB(JS,JT,16, 3),JS=1,5),JT=1,5) /
     &3.7354E-08,3.2479E-05,4.4953E-05,4.8146E-05,8.4079E-06,3.4944E-08,
     &3.5873E-05,4.9454E-05,5.2120E-05,9.3405E-06,3.2829E-08,3.9220E-05,
     &5.3861E-05,5.6293E-05,1.0209E-05,3.0952E-08,4.2155E-05,5.8309E-05,
     &6.0268E-05,1.1080E-05,2.9274E-08,4.5014E-05,6.2610E-05,6.4184E-05,
     &1.1887E-05/
      DATA ((KB(JS,JT,17, 3),JS=1,5),JT=1,5) /
     &3.0364E-08,2.7086E-05,3.7451E-05,3.9995E-05,7.0049E-06,2.8420E-08,
     &2.9919E-05,4.1194E-05,4.3367E-05,7.7736E-06,2.6710E-08,3.2650E-05,
     &4.4902E-05,4.6817E-05,8.4838E-06,2.5192E-08,3.5098E-05,4.8605E-05,
     &5.0103E-05,9.2038E-06,2.3833E-08,3.7507E-05,5.2188E-05,5.3413E-05,
     &9.8607E-06/
      DATA ((KB(JS,JT,18, 3),JS=1,5),JT=1,5) /
     &2.4687E-08,2.2581E-05,3.1211E-05,3.3220E-05,5.8361E-06,2.3116E-08,
     &2.4940E-05,3.4308E-05,3.6078E-05,6.4640E-06,2.1734E-08,2.7181E-05,
     &3.7414E-05,3.8933E-05,7.0344E-06,2.0506E-08,2.9216E-05,4.0517E-05,
     &4.1653E-05,7.6276E-06,1.9406E-08,3.1237E-05,4.3490E-05,4.4397E-05,
     &8.1753E-06/
      DATA ((KB(JS,JT,19, 3),JS=1,5),JT=1,5) /
     &2.0074E-08,1.8818E-05,2.5999E-05,2.7597E-05,4.8662E-06,1.8805E-08,
     &2.0784E-05,2.8562E-05,2.9993E-05,5.3723E-06,1.7688E-08,2.2626E-05,
     &3.1151E-05,3.2363E-05,5.8377E-06,1.6693E-08,2.4300E-05,3.3760E-05,
     &3.4629E-05,6.3177E-06,1.5802E-08,2.5985E-05,3.6226E-05,3.6903E-05,
     &6.7742E-06/
      DATA ((KB(JS,JT,20, 3),JS=1,5),JT=1,5) /
     &1.6306E-08,1.5717E-05,2.1686E-05,2.2959E-05,4.0680E-06,1.5283E-08,
     &1.7355E-05,2.3826E-05,2.4969E-05,4.4706E-06,1.4381E-08,1.8856E-05,
     &2.5992E-05,2.6912E-05,4.8550E-06,1.3578E-08,2.0265E-05,2.8162E-05,
     &2.8817E-05,5.2355E-06,1.2857E-08,2.1638E-05,3.0215E-05,3.0707E-05,
     &5.6224E-06/
      DATA ((KB(JS,JT,21, 3),JS=1,5),JT=1,5) /
     &1.3245E-08,1.3128E-05,1.8091E-05,1.9107E-05,3.3880E-06,1.2420E-08,
     &1.4495E-05,1.9887E-05,2.0794E-05,3.7144E-06,1.1692E-08,1.5704E-05,
     &2.1703E-05,2.2397E-05,4.0415E-06,1.1043E-08,1.6904E-05,2.3489E-05,
     &2.3984E-05,4.3455E-06,1.0460E-08,1.8037E-05,2.5197E-05,2.5558E-05,
     &4.6662E-06/
      DATA ((KB(JS,JT,22, 3),JS=1,5),JT=1,5) /
     &1.0711E-08,1.1044E-05,1.5199E-05,1.6008E-05,2.8409E-06,1.0052E-08,
     &1.2165E-05,1.6699E-05,1.7419E-05,3.1041E-06,9.4690E-09,1.3158E-05,
     &1.8224E-05,1.8733E-05,3.3768E-06,8.9484E-09,1.4166E-05,1.9691E-05,
     &2.0050E-05,3.6237E-06,8.4804E-09,1.5085E-05,2.1105E-05,2.1356E-05,
     &3.8876E-06/
      DATA ((KB(JS,JT,23, 3),JS=1,5),JT=1,5) /
     &8.6606E-09,9.3002E-06,1.2775E-05,1.3420E-05,2.3815E-06,8.1340E-09,
     &1.0210E-05,1.4034E-05,1.4552E-05,2.5955E-06,7.6671E-09,1.1035E-05,
     &1.5302E-05,1.5657E-05,2.8150E-06,7.2497E-09,1.1863E-05,1.6513E-05,
     &1.6770E-05,3.0198E-06,6.8739E-09,1.2616E-05,1.7664E-05,1.7848E-05,
     &3.2387E-06/
      DATA ((KB(JS,JT,24, 3),JS=1,5),JT=1,5) /
     &6.9995E-09,7.8392E-06,1.0754E-05,1.1250E-05,1.9986E-06,6.5790E-09,
     &8.5674E-06,1.1806E-05,1.2186E-05,2.1738E-06,6.2055E-09,9.2664E-06,
     &1.2850E-05,1.3103E-05,2.3469E-06,5.8710E-09,9.9376E-06,1.3854E-05,
     &1.4027E-05,2.5195E-06,5.5696E-09,1.0527E-05,1.4795E-05,1.4917E-05,
     &2.6988E-06/
      DATA ((KB(JS,JT,25, 3),JS=1,5),JT=1,5) /
     &5.6538E-09,6.6118E-06,9.0610E-06,9.4422E-06,1.6753E-06,5.3184E-09,
     &7.1986E-06,9.9389E-06,1.0209E-05,1.8223E-06,5.0199E-09,7.7863E-06,
     &1.0800E-05,1.0981E-05,1.9590E-06,4.7522E-09,8.3415E-06,1.1626E-05,
     &1.1737E-05,2.1020E-06,4.5105E-09,8.8017E-06,1.2373E-05,1.2468E-05,
     &2.2498E-06/
      DATA ((KB(JS,JT,26, 3),JS=1,5),JT=1,5) /
     &4.5620E-09,5.5749E-06,7.6463E-06,7.9285E-06,1.4032E-06,4.2950E-09,
     &6.0590E-06,8.3822E-06,8.5652E-06,1.5255E-06,4.0569E-09,6.5510E-06,
     &9.0888E-06,9.2116E-06,1.6373E-06,3.8429E-09,6.9918E-06,9.7604E-06,
     &9.8329E-06,1.7561E-06,3.6495E-09,7.3566E-06,1.0367E-05,1.0429E-05,
     &1.8769E-06/
      DATA ((KB(JS,JT,27, 3),JS=1,5),JT=1,5) /
     &3.6809E-09,4.6967E-06,6.4580E-06,6.6649E-06,1.1786E-06,3.4683E-09,
     &5.1072E-06,7.0661E-06,7.1902E-06,1.2759E-06,3.2784E-09,5.5053E-06,
     &7.6470E-06,7.7250E-06,1.3691E-06,3.1074E-09,5.8474E-06,8.1898E-06,
     &8.2340E-06,1.4666E-06,2.9526E-09,6.1493E-06,8.6815E-06,8.7199E-06,
     &1.5650E-06/
      DATA ((KB(JS,JT,28, 3),JS=1,5),JT=1,5) /
     &2.9701E-09,3.9582E-06,5.4573E-06,5.5959E-06,9.9037E-07,2.8008E-09,
     &4.3048E-06,5.9546E-06,6.0406E-06,1.0659E-06,2.6493E-09,4.6277E-06,
     &6.4286E-06,6.4745E-06,1.1442E-06,2.5127E-09,4.8940E-06,6.8612E-06,
     &6.8918E-06,1.2250E-06,2.3888E-09,5.1428E-06,7.2654E-06,7.2865E-06,
     &1.3046E-06/
      DATA ((KB(JS,JT,29, 3),JS=1,5),JT=1,5) /
     &2.3958E-09,3.3409E-06,4.6115E-06,4.7054E-06,8.3021E-07,2.2611E-09,
     &3.6267E-06,5.0192E-06,5.0754E-06,8.9157E-07,2.1402E-09,3.8805E-06,
     &5.4053E-06,5.4291E-06,9.5663E-07,2.0311E-09,4.0929E-06,5.7529E-06,
     &5.7685E-06,1.0232E-06,1.9320E-09,4.3014E-06,6.0684E-06,6.0868E-06,
     &1.0874E-06/
      DATA ((KB(JS,JT,30, 3),JS=1,5),JT=1,5) /
     &1.9328E-09,2.8217E-06,3.8955E-06,3.9562E-06,6.9464E-07,1.8255E-09,
     &3.0515E-06,4.2293E-06,4.2605E-06,7.4588E-07,1.7291E-09,3.2496E-06,
     &4.5390E-06,4.5501E-06,7.9957E-07,1.6419E-09,3.4235E-06,4.8191E-06,
     &4.8249E-06,8.5373E-07,1.5626E-09,3.5992E-06,5.0632E-06,5.0805E-06,
     &9.0582E-07/
      DATA ((KB(JS,JT,31, 3),JS=1,5),JT=1,5) /
     &1.5590E-09,2.3841E-06,3.2890E-06,3.3282E-06,5.8108E-07,1.4736E-09,
     &2.5683E-06,3.5605E-06,3.5756E-06,6.2401E-07,1.3967E-09,2.7223E-06,
     &3.8055E-06,3.8110E-06,6.6862E-07,1.3271E-09,2.8652E-06,4.0295E-06,
     &4.0331E-06,7.1216E-07,1.2637E-09,3.0069E-06,4.2257E-06,4.2393E-06,
     &7.5527E-07/
      DATA ((KB(JS,JT,32, 3),JS=1,5),JT=1,5) /
     &1.2575E-09,2.0099E-06,2.7764E-06,2.7988E-06,4.8614E-07,1.1895E-09,
     &2.1551E-06,2.9961E-06,2.9996E-06,5.2199E-07,1.1282E-09,2.2771E-06,
     &3.1901E-06,3.1897E-06,5.5867E-07,1.0726E-09,2.3969E-06,3.3657E-06,
     &3.3696E-06,5.9410E-07,1.0218E-09,2.5076E-06,3.5232E-06,3.5366E-06,
     &6.2965E-07/
      DATA ((KB(JS,JT,33, 3),JS=1,5),JT=1,5) /
     &1.0144E-09,1.6940E-06,2.3421E-06,2.3519E-06,4.0701E-07,9.6024E-10,
     &1.8066E-06,2.5146E-06,2.5148E-06,4.3657E-07,9.1134E-10,1.9053E-06,
     &2.6738E-06,2.6690E-06,4.6656E-07,8.6689E-10,2.0038E-06,2.8104E-06,
     &2.8139E-06,4.9516E-07,8.2630E-10,2.0860E-06,2.9294E-06,2.9485E-06,
     &5.2462E-07/
      DATA ((KB(JS,JT,34, 3),JS=1,5),JT=1,5) /
     &8.2000E-10,1.4231E-06,1.9661E-06,1.9700E-06,3.3996E-07,7.7672E-10,
     &1.5105E-06,2.1047E-06,2.1018E-06,3.6435E-07,7.3757E-10,1.5908E-06,
     &2.2307E-06,2.2272E-06,3.8851E-07,7.0193E-10,1.6706E-06,2.3421E-06,
     &2.3448E-06,4.1219E-07,6.6936E-10,1.7330E-06,2.4342E-06,2.4538E-06,
     &4.3607E-07/
      DATA ((KB(JS,JT,35, 3),JS=1,5),JT=1,5) /
     &6.6652E-10,1.1842E-06,1.6383E-06,1.6382E-06,2.8183E-07,6.3156E-10,
     &1.2541E-06,1.7499E-06,1.7457E-06,3.0195E-07,5.9990E-10,1.3209E-06,
     &1.8504E-06,1.8484E-06,3.2174E-07,5.7107E-10,1.3850E-06,1.9418E-06,
     &1.9438E-06,3.4124E-07,5.4470E-10,1.4348E-06,2.0135E-06,2.0335E-06,
     &3.6050E-07/
      DATA ((KB(JS,JT,36, 3),JS=1,5),JT=1,5) /
     &5.4506E-10,9.7870E-07,1.3541E-06,1.3520E-06,2.3190E-07,5.1650E-10,
     &1.0354E-06,1.4455E-06,1.4404E-06,2.4845E-07,4.9063E-10,1.0910E-06,
     &1.5270E-06,1.5247E-06,2.6464E-07,4.6707E-10,1.1427E-06,1.6012E-06,
     &1.6033E-06,2.8072E-07,4.4553E-10,1.1833E-06,1.6604E-06,1.6774E-06,
     &2.9643E-07/
      DATA ((KB(JS,JT,37, 3),JS=1,5),JT=1,5) /
     &4.4949E-10,8.0104E-07,1.1066E-06,1.1045E-06,1.8888E-07,4.2579E-10,
     &8.4810E-07,1.1826E-06,1.1777E-06,2.0242E-07,4.0435E-10,8.9404E-07,
     &1.2504E-06,1.2477E-06,2.1578E-07,3.8483E-10,9.3737E-07,1.3124E-06,
     &1.3129E-06,2.2892E-07,3.6699E-10,9.7118E-07,1.3617E-06,1.3744E-06,
     &2.4190E-07/
      DATA ((KB(JS,JT,38, 3),JS=1,5),JT=1,5) /
     &3.7088E-10,6.5468E-07,9.0347E-07,9.0140E-07,1.5371E-07,3.5120E-10,
     &6.9421E-07,9.6676E-07,9.6222E-07,1.6484E-07,3.3340E-10,7.3211E-07,
     &1.0233E-06,1.0203E-06,1.7578E-07,3.1721E-10,7.6838E-07,1.0750E-06,
     &1.0745E-06,1.8656E-07,3.0242E-10,7.9676E-07,1.1164E-06,1.1256E-06,
     &1.9730E-07/
      DATA ((KB(JS,JT,39, 3),JS=1,5),JT=1,5) /
     &3.0603E-10,5.3518E-07,7.3755E-07,7.3560E-07,1.2509E-07,2.8967E-10,
     &5.6827E-07,7.9017E-07,7.8607E-07,1.3420E-07,2.7490E-10,5.9946E-07,
     &8.3729E-07,8.3418E-07,1.4320E-07,2.6148E-10,6.2968E-07,8.8045E-07,
     &8.7919E-07,1.5206E-07,2.4922E-10,6.5358E-07,9.1511E-07,9.2187E-07,
     &1.6092E-07/
      DATA ((KB(JS,JT,40, 3),JS=1,5),JT=1,5) /
     &2.5401E-10,4.3491E-07,5.9706E-07,5.9583E-07,1.0103E-07,2.4027E-10,
     &4.6243E-07,6.4127E-07,6.3780E-07,1.0854E-07,2.2788E-10,4.8789E-07,
     &6.8111E-07,6.7785E-07,1.1596E-07,2.1664E-10,5.1370E-07,7.1776E-07,
     &7.1557E-07,1.2318E-07,2.0639E-10,5.3413E-07,7.4738E-07,7.5116E-07,
     &1.3055E-07/
      DATA ((KB(JS,JT,41, 3),JS=1,5),JT=1,5) /
     &2.1103E-10,3.5162E-07,4.8245E-07,4.8181E-07,8.1551E-08,1.9947E-10,
     &3.7577E-07,5.1975E-07,5.1683E-07,8.7624E-08,1.8906E-10,3.9681E-07,
     &5.5372E-07,5.5016E-07,9.3775E-08,1.7963E-10,4.1856E-07,5.8405E-07,
     &5.8177E-07,9.9677E-08,1.7105E-10,4.3610E-07,6.0957E-07,6.1150E-07,
     &1.0578E-07/
      DATA ((KB(JS,JT,42, 3),JS=1,5),JT=1,5) /
     &1.7536E-10,2.8412E-07,3.8948E-07,3.8933E-07,6.5791E-08,1.6563E-10,
     &3.0504E-07,4.2097E-07,4.1854E-07,7.0752E-08,1.5688E-10,3.2265E-07,
     &4.4957E-07,4.4624E-07,7.5790E-08,1.4897E-10,3.4080E-07,4.7502E-07,
     &4.7268E-07,8.0648E-08,1.4178E-10,3.5584E-07,4.9696E-07,4.9747E-07,
     &8.5685E-08/
      DATA ((KB(JS,JT,43, 3),JS=1,5),JT=1,5) /
     &1.4625E-10,2.2828E-07,3.1269E-07,3.1301E-07,5.2858E-08,1.3800E-10,
     &2.4660E-07,3.3945E-07,3.3736E-07,5.6872E-08,1.3060E-10,2.6150E-07,
     &3.6382E-07,3.6052E-07,6.1005E-08,1.2392E-10,2.7637E-07,3.8496E-07,
     &3.8262E-07,6.5064E-08,1.1786E-10,2.8960E-07,4.0432E-07,4.0346E-07,
     &6.9134E-08/
      DATA ((KB(JS,JT,44, 3),JS=1,5),JT=1,5) /
     &1.2220E-10,1.8299E-07,2.5003E-07,2.5075E-07,4.2426E-08,1.1518E-10,
     &1.9858E-07,2.7271E-07,2.7124E-07,4.5605E-08,1.0890E-10,2.1149E-07,
     &2.9306E-07,2.9059E-07,4.8989E-08,1.0324E-10,2.2361E-07,3.1128E-07,
     &3.0909E-07,5.2357E-08,9.8119E-11,2.3540E-07,3.2782E-07,3.2657E-07,
     &5.5650E-08/
      DATA ((KB(JS,JT,45, 3),JS=1,5),JT=1,5) /
     &1.0215E-10,1.4604E-07,1.9957E-07,2.0079E-07,3.4009E-08,9.6168E-11,
     &1.5976E-07,2.1859E-07,2.1782E-07,3.6565E-08,9.0832E-11,1.7092E-07,
     &2.3594E-07,2.3403E-07,3.9336E-08,8.6039E-11,1.8076E-07,2.5148E-07,
     &2.4940E-07,4.2120E-08,8.1705E-11,1.9091E-07,2.6579E-07,2.6417E-07,
     &4.4806E-08/
      DATA ((KB(JS,JT,46, 3),JS=1,5),JT=1,5) /
     &8.5548E-11,1.1606E-07,1.5858E-07,1.6025E-07,2.7138E-08,8.0430E-11,
     &1.2777E-07,1.7465E-07,1.7439E-07,2.9260E-08,7.5882E-11,1.3771E-07,
     &1.8956E-07,1.8801E-07,3.1519E-08,7.1807E-11,1.4597E-07,2.0282E-07,
     &2.0085E-07,3.3790E-08,6.8131E-11,1.5454E-07,2.1485E-07,2.1321E-07,
     &3.6016E-08/
      DATA ((KB(JS,JT,47, 3),JS=1,5),JT=1,5) /
     &7.1880E-11,9.1677E-08,1.2518E-07,1.2717E-07,2.1548E-08,6.7474E-11,
     &1.0182E-07,1.3885E-07,1.3887E-07,2.3366E-08,6.3573E-11,1.1037E-07,
     &1.5155E-07,1.5037E-07,2.5140E-08,6.0089E-11,1.1757E-07,1.6292E-07,
     &1.6115E-07,2.7023E-08,5.6955E-11,1.2460E-07,1.7303E-07,1.7150E-07,
     &2.8886E-08/
      DATA ((KB(JS,JT,48, 3),JS=1,5),JT=1,5) /
     &6.0438E-11,7.2378E-08,9.8586E-08,1.0075E-07,1.7068E-08,5.6639E-11,
     &8.0662E-08,1.1003E-07,1.1052E-07,1.8643E-08,5.3288E-11,8.8391E-08,
     &1.2069E-07,1.2007E-07,2.0050E-08,5.0306E-11,9.4624E-08,1.3045E-07,
     &1.2916E-07,2.1587E-08,4.7632E-11,1.0026E-07,1.3914E-07,1.3778E-07,
     &2.3136E-08/
      DATA ((KB(JS,JT,49, 3),JS=1,5),JT=1,5) /
     &5.0856E-11,5.7046E-08,7.7565E-08,7.9741E-08,1.3510E-08,4.7574E-11,
     &6.3730E-08,8.6939E-08,8.7826E-08,1.4811E-08,4.4692E-11,7.0367E-08,
     &9.5974E-08,9.5707E-08,1.5992E-08,4.2136E-11,7.5959E-08,1.0441E-07,
     &1.0336E-07,1.7235E-08,3.9851E-11,8.0662E-08,1.1179E-07,1.1061E-07,
     &1.8501E-08/
      DATA ((KB(JS,JT,50, 3),JS=1,5),JT=1,5) /
     &4.2752E-11,4.4994E-08,6.0933E-08,6.3170E-08,1.0733E-08,3.9920E-11,
     &5.0417E-08,6.8695E-08,6.9776E-08,1.1778E-08,3.7445E-11,5.6129E-08,
     &7.6381E-08,7.6292E-08,1.2796E-08,3.5258E-11,6.0916E-08,8.3533E-08,
     &8.2746E-08,1.3770E-08,3.3309E-11,6.5010E-08,8.9933E-08,8.8828E-08,
     &1.4809E-08/
      DATA ((KB(JS,JT,51, 3),JS=1,5),JT=1,5) /
     &3.5935E-11,3.5278E-08,4.7901E-08,5.0056E-08,8.5239E-09,3.3494E-11,
     &3.9897E-08,5.4245E-08,5.5439E-08,9.3562E-09,3.1368E-11,4.4577E-08,
     &6.0687E-08,6.0854E-08,1.0229E-08,2.9497E-11,4.8906E-08,6.6668E-08,
     &6.6217E-08,1.1009E-08,2.7834E-11,5.2348E-08,7.2154E-08,7.1322E-08,
     &1.1856E-08/
      DATA ((KB(JS,JT,52, 3),JS=1,5),JT=1,5) /
     &3.0227E-11,2.7572E-08,3.7524E-08,3.9754E-08,6.7198E-09,2.8118E-11,
     &3.1560E-08,4.2810E-08,4.4031E-08,7.4267E-09,2.6290E-11,3.5319E-08,
     &4.8079E-08,4.8486E-08,8.1511E-09,2.4687E-11,3.9041E-08,5.3141E-08,
     &5.2898E-08,8.8044E-09,2.3267E-11,4.2123E-08,5.7835E-08,5.7177E-08,
     &9.4934E-09/
      DATA ((KB(JS,JT,53, 3),JS=1,5),JT=1,5) /
     &2.5448E-11,2.1456E-08,2.9324E-08,3.1450E-08,5.3035E-09,2.3623E-11,
     &2.4922E-08,3.3706E-08,3.4903E-08,5.9025E-09,2.2048E-11,2.7931E-08,
     &3.8009E-08,3.8548E-08,6.4842E-09,2.0673E-11,3.1117E-08,4.2293E-08,
     &4.2180E-08,7.0454E-09,1.9459E-11,3.3800E-08,4.6316E-08,4.5776E-08,
     &7.5886E-09/
      DATA ((KB(JS,JT,54, 3),JS=1,5),JT=1,5) /
     &2.1390E-11,1.6743E-08,2.3031E-08,2.4877E-08,4.1777E-09,1.9815E-11,
     &1.9619E-08,2.6556E-08,2.7722E-08,4.7031E-09,1.8463E-11,2.2167E-08,
     &3.0101E-08,3.0708E-08,5.1646E-09,1.7286E-11,2.4804E-08,3.3704E-08,
     &3.3716E-08,5.6448E-09,1.6251E-11,2.7183E-08,3.7049E-08,3.6696E-08,
     &6.0788E-09/
      DATA ((KB(JS,JT,55, 3),JS=1,5),JT=1,5) /
     &1.7973E-11,1.3037E-08,1.8115E-08,1.9727E-08,3.2912E-09,1.6615E-11,
     &1.5402E-08,2.0942E-08,2.2043E-08,3.7301E-09,1.5454E-11,1.7592E-08,
     &2.3848E-08,2.4485E-08,4.1129E-09,1.4448E-11,1.9733E-08,2.6815E-08,
     &2.6954E-08,4.5146E-09,1.3565E-11,2.1785E-08,2.9633E-08,2.9414E-08,
     &4.8762E-09/
      DATA ((KB(JS,JT,56, 3),JS=1,5),JT=1,5) /
     &1.5112E-11,1.0127E-08,1.4262E-08,1.5637E-08,2.5986E-09,1.3939E-11,
     &1.2082E-08,1.6458E-08,1.7567E-08,2.9510E-09,1.2942E-11,1.3980E-08,
     &1.8876E-08,1.9499E-08,3.2803E-09,1.2080E-11,1.5677E-08,2.1298E-08,
     &2.1516E-08,3.6078E-09,1.1328E-11,1.7421E-08,2.3674E-08,2.3552E-08,
     &3.9142E-09/
      DATA ((KB(JS,JT,57, 3),JS=1,5),JT=1,5) /
     &1.2716E-11,7.8423E-09,1.1218E-08,1.2368E-08,2.0572E-09,1.1703E-11,
     &9.4468E-09,1.2944E-08,1.3939E-08,2.3449E-09,1.0844E-11,1.1054E-08,
     &1.4933E-08,1.5504E-08,2.6161E-09,1.0105E-11,1.2445E-08,1.6895E-08,
     &1.7167E-08,2.8789E-09,9.4629E-12,1.3929E-08,1.8884E-08,1.8837E-08,
     &3.1391E-09/
      DATA ((KB(JS,JT,58, 3),JS=1,5),JT=1,5) /
     &1.0694E-11,6.1084E-09,8.8278E-09,9.7801E-09,1.6192E-09,9.8180E-12,
     &7.3859E-09,1.0206E-08,1.1064E-08,1.8486E-09,9.0797E-12,8.7113E-09,
     &1.1801E-08,1.2348E-08,2.0872E-09,8.4478E-12,9.9003E-09,1.3409E-08,
     &1.3707E-08,2.2967E-09,7.8998E-12,1.1108E-08,1.5069E-08,1.5082E-08,
     &2.5182E-09/
      DATA ((KB(JS,JT,59, 3),JS=1,5),JT=1,5) /
     &8.8513E-12,4.9239E-09,7.1386E-09,7.9170E-09,1.3089E-09,8.1187E-12,
     &5.9541E-09,8.2539E-09,8.9758E-09,1.4952E-09,7.5021E-12,7.0450E-09,
     &9.5567E-09,1.0024E-08,1.6919E-09,6.9753E-12,8.0391E-09,1.0874E-08,
     &1.1143E-08,1.8646E-09,6.5191E-12,9.0265E-09,1.2240E-08,1.2268E-08,
     &2.0471E-09/
      DATA ((KB(JS,JT,13, 4),JS=1,5),JT=1,5) /
     &4.0115E-07,2.0542E-04,2.9006E-04,2.9983E-04,8.6404E-05,3.8503E-07,
     &2.2086E-04,3.0833E-04,3.2518E-04,9.2611E-05,3.7042E-07,2.3415E-04,
     &3.2674E-04,3.4814E-04,9.8878E-05,3.5699E-07,2.4607E-04,3.4335E-04,
     &3.6858E-04,1.0559E-04,3.4439E-07,2.5741E-04,3.5943E-04,3.8716E-04,
     &1.1262E-04/
      DATA ((KB(JS,JT,14, 4),JS=1,5),JT=1,5) /
     &3.2717E-07,1.7086E-04,2.4121E-04,2.5001E-04,7.2120E-05,3.1411E-07,
     &1.8358E-04,2.5599E-04,2.7089E-04,7.7351E-05,3.0225E-07,1.9456E-04,
     &2.7149E-04,2.9002E-04,8.2676E-05,2.9132E-07,2.0460E-04,2.8544E-04,
     &3.0678E-04,8.8331E-05,2.8105E-07,2.1410E-04,2.9919E-04,3.2271E-04,
     &9.4451E-05/
      DATA ((KB(JS,JT,15, 4),JS=1,5),JT=1,5) /
     &2.6673E-07,1.4221E-04,2.0048E-04,2.0843E-04,6.0213E-05,2.5615E-07,
     &1.5268E-04,2.1264E-04,2.2531E-04,6.4531E-05,2.4652E-07,1.6170E-04,
     &2.2567E-04,2.4157E-04,6.9102E-05,2.3764E-07,1.7023E-04,2.3750E-04,
     &2.5543E-04,7.3891E-05,2.2926E-07,1.7815E-04,2.4912E-04,2.6892E-04,
     &7.9167E-05/
      DATA ((KB(JS,JT,16, 4),JS=1,5),JT=1,5) /
     &2.1740E-07,1.1824E-04,1.6644E-04,1.7381E-04,5.0227E-05,2.0884E-07,
     &1.2696E-04,1.7683E-04,1.8780E-04,5.3903E-05,2.0104E-07,1.3434E-04,
     &1.8764E-04,2.0094E-04,5.7777E-05,1.9381E-07,1.4177E-04,1.9757E-04,
     &2.1259E-04,6.1821E-05,1.8698E-07,1.4828E-04,2.0747E-04,2.2416E-04,
     &6.6326E-05/
      DATA ((KB(JS,JT,17, 4),JS=1,5),JT=1,5) /
     &1.7724E-07,9.8287E-05,1.3813E-04,1.4496E-04,4.1851E-05,1.7029E-07,
     &1.0548E-04,1.4701E-04,1.5636E-04,4.4943E-05,1.6396E-07,1.1169E-04,
     &1.5605E-04,1.6727E-04,4.8176E-05,1.5809E-07,1.1795E-04,1.6435E-04,
     &1.7684E-04,5.1716E-05,1.5251E-07,1.2332E-04,1.7265E-04,1.8683E-04,
     &5.5480E-05/
      DATA ((KB(JS,JT,18, 4),JS=1,5),JT=1,5) /
     &1.4450E-07,8.1703E-05,1.1464E-04,1.2079E-04,3.4849E-05,1.3887E-07,
     &8.7580E-05,1.2224E-04,1.3028E-04,3.7465E-05,1.3373E-07,9.2869E-05,
     &1.2966E-04,1.3906E-04,4.0225E-05,1.2896E-07,9.8034E-05,1.3668E-04,
     &1.4712E-04,4.3227E-05,1.2439E-07,1.0250E-04,1.4367E-04,1.5557E-04,
     &4.6383E-05/
      DATA ((KB(JS,JT,19, 4),JS=1,5),JT=1,5) /
     &1.1782E-07,6.7922E-05,9.5121E-05,1.0059E-04,2.9014E-05,1.1325E-07,
     &7.2759E-05,1.0166E-04,1.0843E-04,3.1239E-05,1.0909E-07,7.7213E-05,
     &1.0769E-04,1.1563E-04,3.3594E-05,1.0521E-07,8.1507E-05,1.1367E-04,
     &1.2244E-04,3.6087E-05,1.0146E-07,8.5229E-05,1.1951E-04,1.2955E-04,
     &3.8760E-05/
      DATA ((KB(JS,JT,20, 4),JS=1,5),JT=1,5) /
     &9.6005E-08,5.6539E-05,7.9048E-05,8.3638E-05,2.4182E-05,9.2311E-08,
     &6.0522E-05,8.4506E-05,9.0308E-05,2.6052E-05,8.8927E-08,6.4305E-05,
     &8.9608E-05,9.6229E-05,2.8071E-05,8.5775E-08,6.7811E-05,9.4659E-05,
     &1.0203E-04,3.0185E-05,8.2709E-08,7.0967E-05,9.9551E-05,1.0796E-04,
     &3.2438E-05/
      DATA ((KB(JS,JT,21, 4),JS=1,5),JT=1,5) /
     &7.8225E-08,4.7094E-05,6.5736E-05,6.9706E-05,2.0168E-05,7.5235E-08,
     &5.0383E-05,7.0309E-05,7.5210E-05,2.1748E-05,7.2491E-08,5.3581E-05,
     &7.4579E-05,8.0106E-05,2.3442E-05,6.9929E-08,5.6448E-05,7.8864E-05,
     &8.5108E-05,2.5248E-05,6.7419E-08,5.9090E-05,8.2932E-05,8.9870E-05,
     &2.7098E-05/
      DATA ((KB(JS,JT,22, 4),JS=1,5),JT=1,5) /
     &6.3572E-08,3.9426E-05,5.4979E-05,5.8443E-05,1.6913E-05,6.1166E-08,
     &4.2097E-05,5.8779E-05,6.2933E-05,1.8259E-05,5.8951E-08,4.4794E-05,
     &6.2330E-05,6.6952E-05,1.9670E-05,5.6872E-08,4.7147E-05,6.5961E-05,
     &7.1230E-05,2.1221E-05,5.4822E-08,4.9377E-05,6.9234E-05,7.5038E-05,
     &2.2743E-05/
      DATA ((KB(JS,JT,23, 4),JS=1,5),JT=1,5) /
     &5.1656E-08,3.2950E-05,4.6052E-05,4.9084E-05,1.4181E-05,4.9721E-08,
     &3.5250E-05,4.9106E-05,5.2675E-05,1.5330E-05,4.7930E-08,3.7438E-05,
     &5.2152E-05,5.6097E-05,1.6532E-05,4.6242E-08,3.9418E-05,5.5160E-05,
     &5.9674E-05,1.7811E-05,4.4570E-08,4.1280E-05,5.7899E-05,6.2654E-05,
     &1.9100E-05/
      DATA ((KB(JS,JT,24, 4),JS=1,5),JT=1,5) /
     &4.1962E-08,2.7608E-05,3.8527E-05,4.1167E-05,1.1908E-05,4.0405E-08,
     &2.9547E-05,4.1099E-05,4.4081E-05,1.2880E-05,3.8959E-08,3.1321E-05,
     &4.3687E-05,4.7051E-05,1.3912E-05,3.7583E-08,3.2994E-05,4.6190E-05,
     &4.9890E-05,1.4961E-05,3.6227E-08,3.4560E-05,4.8473E-05,5.2358E-05,
     &1.6039E-05/
      DATA ((KB(JS,JT,25, 4),JS=1,5),JT=1,5) /
     &3.4075E-08,2.3153E-05,3.2305E-05,3.4566E-05,1.0014E-05,3.2822E-08,
     &2.4769E-05,3.4435E-05,3.6968E-05,1.0822E-05,3.1655E-08,2.6242E-05,
     &3.6635E-05,3.9484E-05,1.1699E-05,3.0528E-08,2.7624E-05,3.8648E-05,
     &4.1770E-05,1.2588E-05,2.9434E-08,2.8951E-05,4.0632E-05,4.3774E-05,
     &1.3479E-05/
      DATA ((KB(JS,JT,26, 4),JS=1,5),JT=1,5) /
     &2.7652E-08,1.9460E-05,2.7114E-05,2.9052E-05,8.4372E-06,2.6645E-08,
     &2.0785E-05,2.8933E-05,3.1091E-05,9.1305E-06,2.5703E-08,2.2018E-05,
     &3.0749E-05,3.3173E-05,9.8560E-06,2.4780E-08,2.3166E-05,3.2405E-05,
     &3.4971E-05,1.0593E-05,2.3900E-08,2.4286E-05,3.4048E-05,3.6663E-05,
     &1.1346E-05/
      DATA ((KB(JS,JT,27, 4),JS=1,5),JT=1,5) /
     &2.2439E-08,1.6370E-05,2.2763E-05,2.4397E-05,7.1084E-06,2.1628E-08,
     &1.7461E-05,2.4318E-05,2.6140E-05,7.6961E-06,2.0865E-08,1.8493E-05,
     &2.5826E-05,2.7824E-05,8.3080E-06,2.0113E-08,1.9452E-05,2.7215E-05,
     &2.9287E-05,8.9207E-06,1.9405E-08,2.0376E-05,2.8543E-05,3.0710E-05,
     &9.5477E-06/
      DATA ((KB(JS,JT,28, 4),JS=1,5),JT=1,5) /
     &1.8208E-08,1.3777E-05,1.9138E-05,2.0524E-05,5.9952E-06,1.7555E-08,
     &1.4679E-05,2.0448E-05,2.1996E-05,6.4907E-06,1.6936E-08,1.5522E-05,
     &2.1661E-05,2.3357E-05,6.9966E-06,1.6325E-08,1.6334E-05,2.2846E-05,
     &2.4537E-05,7.5124E-06,1.5755E-08,1.7088E-05,2.3931E-05,2.5722E-05,
     &8.0305E-06/
      DATA ((KB(JS,JT,29, 4),JS=1,5),JT=1,5) /
     &1.4772E-08,1.1598E-05,1.6117E-05,1.7294E-05,5.0602E-06,1.4246E-08,
     &1.2346E-05,1.7198E-05,1.8521E-05,5.4799E-06,1.3739E-08,1.3047E-05,
     &1.8205E-05,1.9566E-05,5.8992E-06,1.3247E-08,1.3729E-05,1.9173E-05,
     &2.0574E-05,6.3251E-06,1.2789E-08,1.4341E-05,2.0068E-05,2.1536E-05,
     &6.7496E-06/
      DATA ((KB(JS,JT,30, 4),JS=1,5),JT=1,5) /
     &1.1984E-08,9.7679E-06,1.3568E-05,1.4565E-05,4.2721E-06,1.1560E-08,
     &1.0389E-05,1.4461E-05,1.5560E-05,4.6182E-06,1.1144E-08,1.0973E-05,
     &1.5302E-05,1.6410E-05,4.9715E-06,1.0750E-08,1.1532E-05,1.6091E-05,
     &1.7244E-05,5.3212E-06,1.0381E-08,1.2034E-05,1.6821E-05,1.8023E-05,
     &5.6712E-06/
      DATA ((KB(JS,JT,31, 4),JS=1,5),JT=1,5) /
     &9.7205E-09,8.2296E-06,1.1440E-05,1.2288E-05,3.6079E-06,9.3777E-09,
     &8.7431E-06,1.2158E-05,1.3067E-05,3.8974E-06,9.0391E-09,9.2300E-06,
     &1.2862E-05,1.3769E-05,4.1885E-06,8.7219E-09,9.6854E-06,1.3508E-05,
     &1.4454E-05,4.4756E-06,8.4251E-09,1.0101E-05,1.4090E-05,1.5064E-05,
     &4.7643E-06/
      DATA ((KB(JS,JT,32, 4),JS=1,5),JT=1,5) /
     &7.8842E-09,6.9379E-06,9.6378E-06,1.0350E-05,3.0462E-06,7.6058E-09,
     &7.3605E-06,1.0230E-05,1.0964E-05,3.2879E-06,7.3312E-09,7.7685E-06,
     &1.0806E-05,1.1552E-05,3.5258E-06,7.0761E-09,8.1393E-06,1.1329E-05,
     &1.2109E-05,3.7642E-06,6.8375E-09,8.4723E-06,1.1806E-05,1.2582E-05,
     &4.0027E-06/
      DATA ((KB(JS,JT,33, 4),JS=1,5),JT=1,5) /
     &6.3946E-09,5.8484E-06,8.1132E-06,8.7138E-06,2.5722E-06,6.1668E-09,
     &6.1985E-06,8.6152E-06,9.2043E-06,2.7716E-06,5.9460E-09,6.5329E-06,
     &9.0761E-06,9.6914E-06,2.9672E-06,5.7410E-09,6.8349E-06,9.4991E-06,
     &1.0128E-05,3.1649E-06,5.5490E-09,7.1098E-06,9.8972E-06,1.0494E-05,
     &3.3613E-06/
      DATA ((KB(JS,JT,34, 4),JS=1,5),JT=1,5) /
     &5.1931E-09,4.9155E-06,6.8122E-06,7.3003E-06,2.1648E-06,5.0066E-09,
     &5.2108E-06,7.2299E-06,7.7128E-06,2.3280E-06,4.8289E-09,5.4838E-06,
     &7.6076E-06,8.1077E-06,2.4906E-06,4.6636E-09,5.7271E-06,7.9460E-06,
     &8.4494E-06,2.6534E-06,4.5089E-09,5.9543E-06,8.2751E-06,8.7422E-06,
     &2.8159E-06/
      DATA ((KB(JS,JT,35, 4),JS=1,5),JT=1,5) /
     &4.2177E-09,4.1104E-06,5.6914E-06,6.0852E-06,1.8078E-06,4.0795E-09,
     &4.3580E-06,6.0334E-06,6.4274E-06,1.9421E-06,3.9353E-09,4.5814E-06,
     &6.3407E-06,6.7443E-06,2.0767E-06,3.8012E-09,4.7803E-06,6.6196E-06,
     &7.0144E-06,2.2114E-06,3.6756E-09,4.9682E-06,6.8884E-06,7.2539E-06,
     &2.3458E-06/
      DATA ((KB(JS,JT,36, 4),JS=1,5),JT=1,5) /
     &3.4162E-09,3.4141E-06,4.7224E-06,5.0412E-06,1.4965E-06,3.3196E-09,
     &3.6215E-06,5.0037E-06,5.3241E-06,1.6078E-06,3.2195E-09,3.8064E-06,
     &5.2583E-06,5.5817E-06,1.7188E-06,3.1099E-09,3.9715E-06,5.4881E-06,
     &5.8006E-06,1.8307E-06,3.0072E-09,4.1270E-06,5.7065E-06,5.9974E-06,
     &1.9419E-06/
      DATA ((KB(JS,JT,37, 4),JS=1,5),JT=1,5) /
     &2.8008E-09,2.8094E-06,3.8801E-06,4.1393E-06,1.2248E-06,2.7121E-09,
     &2.9836E-06,4.1155E-06,4.3748E-06,1.3168E-06,2.6482E-09,3.1397E-06,
     &4.3282E-06,4.5885E-06,1.4087E-06,2.5576E-09,3.2779E-06,4.5200E-06,
     &4.7706E-06,1.5013E-06,2.4727E-09,3.4082E-06,4.7023E-06,4.9354E-06,
     &1.5935E-06/
      DATA ((KB(JS,JT,38, 4),JS=1,5),JT=1,5) /
     &2.2984E-09,2.3106E-06,3.1856E-06,3.3961E-06,1.0016E-06,2.2220E-09,
     &2.4563E-06,3.3826E-06,3.5915E-06,1.0776E-06,2.1588E-09,2.5882E-06,
     &3.5600E-06,3.7696E-06,1.1538E-06,2.1040E-09,2.7033E-06,3.7199E-06,
     &3.9213E-06,1.2304E-06,2.0339E-09,2.8122E-06,3.8728E-06,4.0597E-06,
     &1.3067E-06/
      DATA ((KB(JS,JT,39, 4),JS=1,5),JT=1,5) /
     &1.8867E-09,1.8990E-06,2.6147E-06,2.7855E-06,8.1895E-07,1.8219E-09,
     &2.0211E-06,2.7789E-06,2.9482E-06,8.8168E-07,1.7671E-09,2.1324E-06,
     &2.9272E-06,3.0962E-06,9.4475E-07,1.7201E-09,2.2287E-06,3.0607E-06,
     &3.2231E-06,1.0080E-06,1.6729E-09,2.3197E-06,3.1885E-06,3.3389E-06,
     &1.0713E-06/
      DATA ((KB(JS,JT,40, 4),JS=1,5),JT=1,5) /
     &1.5567E-09,1.5486E-06,2.1299E-06,2.2697E-06,6.6418E-07,1.5030E-09,
     &1.6525E-06,2.2686E-06,2.4063E-06,7.1591E-07,1.4559E-09,1.7468E-06,
     &2.3938E-06,2.5304E-06,7.6804E-07,1.4147E-09,1.8284E-06,2.5062E-06,
     &2.6377E-06,8.2053E-07,1.3808E-09,1.9051E-06,2.6142E-06,2.7362E-06,
     &8.7282E-07/
      DATA ((KB(JS,JT,41, 4),JS=1,5),JT=1,5) /
     &1.2855E-09,1.2622E-06,1.7326E-06,1.8472E-06,5.3778E-07,1.2414E-09,
     &1.3486E-06,1.8494E-06,1.9612E-06,5.8062E-07,1.2006E-09,1.4290E-06,
     &1.9551E-06,2.0665E-06,6.2365E-07,1.1655E-09,1.4984E-06,2.0506E-06,
     &2.1570E-06,6.6707E-07,1.1366E-09,1.5630E-06,2.1416E-06,2.2404E-06,
     &7.1035E-07/
      DATA ((KB(JS,JT,42, 4),JS=1,5),JT=1,5) /
     &1.0616E-09,1.0273E-06,1.4085E-06,1.5034E-06,4.3514E-07,1.0250E-09,
     &1.0997E-06,1.5070E-06,1.5973E-06,4.7061E-07,9.9030E-10,1.1679E-06,
     &1.5953E-06,1.6861E-06,5.0613E-07,9.6062E-10,1.2272E-06,1.6766E-06,
     &1.7642E-06,5.4216E-07,9.3443E-10,1.2817E-06,1.7529E-06,1.8333E-06,
     &5.7784E-07/
      DATA ((KB(JS,JT,43, 4),JS=1,5),JT=1,5) /
     &8.7883E-10,8.3199E-07,1.1402E-06,1.2168E-06,3.5025E-07,8.4829E-10,
     &8.9254E-07,1.2225E-06,1.2958E-06,3.7960E-07,8.1903E-10,9.5072E-07,
     &1.2966E-06,1.3708E-06,4.0893E-07,7.9369E-10,1.0020E-06,1.3665E-06,
     &1.4379E-06,4.3862E-07,7.7108E-10,1.0478E-06,1.4302E-06,1.4962E-06,
     &4.6817E-07/
      DATA ((KB(JS,JT,44, 4),JS=1,5),JT=1,5) /
     &7.2838E-10,6.7080E-07,9.1962E-07,9.8102E-07,2.8107E-07,7.0279E-10,
     &7.2271E-07,9.8853E-07,1.0491E-06,3.0540E-07,6.7858E-10,7.7203E-07,
     &1.0522E-06,1.1122E-06,3.2958E-07,6.5651E-10,8.1625E-07,1.1115E-06,
     &1.1697E-06,3.5407E-07,6.3727E-10,8.5495E-07,1.1651E-06,1.2192E-06,
     &3.7850E-07/
      DATA ((KB(JS,JT,45, 4),JS=1,5),JT=1,5) /
     &6.0379E-10,5.4047E-07,7.4128E-07,7.9100E-07,2.2535E-07,5.8228E-10,
     &5.8429E-07,7.9854E-07,8.4841E-07,2.4548E-07,5.6220E-10,6.2606E-07,
     &8.5283E-07,9.0157E-07,2.6541E-07,5.4320E-10,6.6423E-07,9.0296E-07,
     &9.5015E-07,2.8558E-07,5.2686E-10,6.9719E-07,9.4830E-07,9.9254E-07,
     &3.0580E-07/
      DATA ((KB(JS,JT,46, 4),JS=1,5),JT=1,5) /
     &5.0108E-10,4.3361E-07,5.9554E-07,6.3432E-07,1.8023E-07,4.8291E-10,
     &4.7127E-07,6.4349E-07,6.8510E-07,1.9677E-07,4.6612E-10,5.0621E-07,
     &6.8942E-07,7.2929E-07,2.1325E-07,4.5004E-10,5.3903E-07,7.3169E-07,
     &7.7095E-07,2.2986E-07,4.3600E-10,5.6740E-07,7.7081E-07,8.0714E-07,
     &2.4654E-07/
      DATA ((KB(JS,JT,47, 4),JS=1,5),JT=1,5) /
     &4.1665E-10,3.4614E-07,4.7565E-07,5.0598E-07,1.4345E-07,4.0119E-10,
     &3.7779E-07,5.1642E-07,5.5015E-07,1.5697E-07,3.8702E-10,4.0752E-07,
     &5.5525E-07,5.8759E-07,1.7064E-07,3.7372E-10,4.3563E-07,5.9076E-07,
     &6.2318E-07,1.8430E-07,3.6139E-10,4.6041E-07,6.2474E-07,6.5515E-07,
     &1.9800E-07/
      DATA ((KB(JS,JT,48, 4),JS=1,5),JT=1,5) /
     &3.4658E-10,2.7494E-07,3.7924E-07,4.0349E-07,1.1407E-07,3.3340E-10,
     &3.0243E-07,4.1340E-07,4.4066E-07,1.2508E-07,3.2143E-10,3.2756E-07,
     &4.4635E-07,4.7308E-07,1.3636E-07,3.1032E-10,3.5149E-07,4.7669E-07,
     &5.0309E-07,1.4763E-07,2.9969E-10,3.7323E-07,5.0542E-07,5.3062E-07,
     &1.5892E-07/
      DATA ((KB(JS,JT,49, 4),JS=1,5),JT=1,5) /
     &2.8846E-10,2.1778E-07,3.0168E-07,3.2158E-07,9.0607E-08,2.7716E-10,
     &2.4139E-07,3.3071E-07,3.5214E-07,9.9577E-08,2.6700E-10,2.6304E-07,
     &3.5804E-07,3.8049E-07,1.0881E-07,2.5767E-10,2.8313E-07,3.8394E-07,
     &4.0566E-07,1.1814E-07,2.4875E-10,3.0183E-07,4.0832E-07,4.2906E-07,
     &1.2742E-07/
      DATA ((KB(JS,JT,50, 4),JS=1,5),JT=1,5) /
     &2.3994E-10,1.7276E-07,2.4039E-07,2.5644E-07,7.2124E-08,2.3028E-10,
     &1.9275E-07,2.6429E-07,2.8117E-07,7.9388E-08,2.2162E-10,2.1106E-07,
     &2.8758E-07,3.0606E-07,8.6922E-08,2.1377E-10,2.2807E-07,3.0947E-07,
     &3.2714E-07,9.4628E-08,2.0641E-10,2.4400E-07,3.2962E-07,3.4715E-07,
     &1.0228E-07/
      DATA ((KB(JS,JT,51, 4),JS=1,5),JT=1,5) /
     &1.9960E-10,1.3709E-07,1.9101E-07,2.0407E-07,5.7566E-08,1.9132E-10,
     &1.5352E-07,2.1120E-07,2.2455E-07,6.3308E-08,1.8395E-10,1.6924E-07,
     &2.3068E-07,2.4563E-07,6.9421E-08,1.7732E-10,1.8352E-07,2.4926E-07,
     &2.6383E-07,7.5773E-08,1.7117E-10,1.9715E-07,2.6630E-07,2.8068E-07,
     &8.2097E-08/
      DATA ((KB(JS,JT,52, 4),JS=1,5),JT=1,5) /
     &1.6616E-10,1.0852E-07,1.5191E-07,1.6137E-07,4.5975E-08,1.5901E-10,
     &1.2188E-07,1.6855E-07,1.7943E-07,5.0454E-08,1.5272E-10,1.3535E-07,
     &1.8502E-07,1.9705E-07,5.5424E-08,1.4711E-10,1.4765E-07,2.0042E-07,
     &2.1252E-07,6.0616E-08,1.4194E-10,1.5907E-07,2.1484E-07,2.2673E-07,
     &6.5826E-08/
      DATA ((KB(JS,JT,53, 4),JS=1,5),JT=1,5) /
     &1.3839E-10,8.5704E-08,1.2023E-07,1.2744E-07,3.6523E-08,1.3223E-10,
     &9.6600E-08,1.3438E-07,1.4312E-07,4.0152E-08,1.2684E-10,1.0804E-07,
     &1.4784E-07,1.5735E-07,4.4207E-08,1.2208E-10,1.1851E-07,1.6093E-07,
     &1.7108E-07,4.8435E-08,1.1772E-10,1.2811E-07,1.7313E-07,1.8293E-07,
     &5.2733E-08/
      DATA ((KB(JS,JT,54, 4),JS=1,5),JT=1,5) /
     &1.1516E-10,6.7802E-08,9.5400E-08,1.0065E-07,2.9040E-08,1.0986E-10,
     &7.6927E-08,1.0712E-07,1.1428E-07,3.2044E-08,1.0526E-10,8.6295E-08,
     &1.1833E-07,1.2580E-07,3.5335E-08,1.0122E-10,9.5190E-08,1.2936E-07,
     &1.3763E-07,3.8764E-08,9.7545E-11,1.0324E-07,1.3969E-07,1.4768E-07,
     &4.2312E-08/
      DATA ((KB(JS,JT,55, 4),JS=1,5),JT=1,5) /
     &9.5832E-11,5.3610E-08,7.5981E-08,7.9667E-08,2.3117E-08,9.1281E-11,
     &6.1130E-08,8.5329E-08,9.1005E-08,2.5657E-08,8.7335E-11,6.8825E-08,
     &9.4736E-08,1.0075E-07,2.8264E-08,8.3897E-11,7.6435E-08,1.0396E-07,
     &1.1070E-07,3.1057E-08,8.0810E-11,8.3278E-08,1.1269E-07,1.1928E-07,
     &3.3972E-08/
      DATA ((KB(JS,JT,56, 4),JS=1,5),JT=1,5) /
     &7.9810E-11,4.2322E-08,6.0374E-08,6.2926E-08,1.8404E-08,7.5864E-11,
     &4.8559E-08,6.8039E-08,7.2241E-08,2.0548E-08,7.2485E-11,5.4773E-08,
     &7.5799E-08,8.0757E-08,2.2581E-08,6.9560E-11,6.1224E-08,8.3554E-08,
     &8.8967E-08,2.4859E-08,6.6951E-11,6.7084E-08,9.0797E-08,9.6246E-08,
     &2.7245E-08/
      DATA ((KB(JS,JT,57, 4),JS=1,5),JT=1,5) /
     &6.6524E-11,3.3320E-08,4.7516E-08,4.9541E-08,1.4620E-08,6.3081E-11,
     &3.8443E-08,5.4027E-08,5.7142E-08,1.6370E-08,6.0187E-11,4.3587E-08,
     &6.0611E-08,6.4608E-08,1.8036E-08,5.7689E-11,4.8970E-08,6.6915E-08,
     &7.1233E-08,1.9895E-08,5.5478E-11,5.3925E-08,7.3045E-08,7.7618E-08,
     &2.1831E-08/
      DATA ((KB(JS,JT,58, 4),JS=1,5),JT=1,5) /
     &5.5447E-11,2.6240E-08,3.7435E-08,3.8989E-08,1.1606E-08,5.2442E-11,
     &3.0460E-08,4.2955E-08,4.5233E-08,1.3047E-08,4.9962E-11,3.4761E-08,
     &4.8418E-08,5.1680E-08,1.4431E-08,4.7826E-11,3.9152E-08,5.3626E-08,
     &5.7047E-08,1.5934E-08,4.5954E-11,4.3380E-08,5.8786E-08,6.2538E-08,
     &1.7511E-08/
      DATA ((KB(JS,JT,59, 4),JS=1,5),JT=1,5) /
     &4.5740E-11,2.1248E-08,3.0261E-08,3.1577E-08,9.4221E-09,4.3210E-11,
     &2.4730E-08,3.4948E-08,3.6722E-08,1.0608E-08,4.1141E-11,2.8288E-08,
     &3.9410E-08,4.2052E-08,1.1754E-08,3.9361E-11,3.1904E-08,4.3740E-08,
     &4.6527E-08,1.2986E-08,3.7805E-11,3.5442E-08,4.8020E-08,5.1083E-08,
     &1.4278E-08/
      DATA ((KB(JS,JT,13, 5),JS=1,5),JT=1,5) /
     &7.9045E-06,5.8512E-04,8.0967E-04,8.8578E-04,3.4824E-04,9.2807E-06,
     &6.1818E-04,8.6083E-04,9.2437E-04,3.7870E-04,1.0620E-05,6.5025E-04,
     &9.0617E-04,9.6290E-04,4.0639E-04,1.1847E-05,6.8086E-04,9.4767E-04,
     &9.9815E-04,4.3149E-04,1.2897E-05,7.0941E-04,9.8426E-04,1.0296E-03,
     &4.5459E-04/
      DATA ((KB(JS,JT,14, 5),JS=1,5),JT=1,5) /
     &6.5683E-06,4.8798E-04,6.7570E-04,7.3755E-04,2.9172E-04,7.6957E-06,
     &5.1555E-04,7.1856E-04,7.6978E-04,3.1709E-04,8.7852E-06,5.4243E-04,
     &7.5604E-04,8.0142E-04,3.4064E-04,9.7622E-06,5.6817E-04,7.9038E-04,
     &8.3091E-04,3.6095E-04,1.0614E-05,5.9208E-04,8.2018E-04,8.5691E-04,
     &3.8095E-04/
      DATA ((KB(JS,JT,15, 5),JS=1,5),JT=1,5) /
     &5.4643E-06,4.0660E-04,5.6371E-04,6.1286E-04,2.4435E-04,6.3883E-06,
     &4.2973E-04,5.9914E-04,6.4093E-04,2.6475E-04,7.2593E-06,4.5218E-04,
     &6.3004E-04,6.6659E-04,2.8486E-04,8.0526E-06,4.7373E-04,6.5847E-04,
     &6.9128E-04,3.0200E-04,8.7364E-06,4.9393E-04,6.8318E-04,7.1321E-04,
     &3.1930E-04/
      DATA ((KB(JS,JT,16, 5),JS=1,5),JT=1,5) /
     &4.5482E-06,3.3872E-04,4.7003E-04,5.0920E-04,2.0473E-04,5.2893E-06,
     &3.5785E-04,4.9898E-04,5.3306E-04,2.2171E-04,5.9989E-06,3.7673E-04,
     &5.2467E-04,5.5461E-04,2.3803E-04,6.6426E-06,3.9470E-04,5.4827E-04,
     &5.7515E-04,2.5244E-04,7.1759E-06,4.1193E-04,5.6909E-04,5.9361E-04,
     &2.6773E-04/
      DATA ((KB(JS,JT,17, 5),JS=1,5),JT=1,5) /
     &3.7690E-06,2.8177E-04,3.9153E-04,4.2265E-04,1.7155E-04,4.3790E-06,
     &2.9778E-04,4.1535E-04,4.4288E-04,1.8563E-04,4.9545E-06,3.1371E-04,
     &4.3664E-04,4.6090E-04,1.9908E-04,5.4563E-06,3.2886E-04,4.5637E-04,
     &4.7854E-04,2.1097E-04,5.8879E-06,3.4359E-04,4.7416E-04,4.9387E-04,
     &2.2440E-04/
      DATA ((KB(JS,JT,18, 5),JS=1,5),JT=1,5) /
     &3.1260E-06,2.3432E-04,3.2596E-04,3.5082E-04,1.4348E-04,3.6185E-06,
     &2.4786E-04,3.4561E-04,3.6765E-04,1.5546E-04,4.0732E-06,2.6120E-04,
     &3.6343E-04,3.8325E-04,1.6623E-04,4.4839E-06,2.7403E-04,3.7997E-04,
     &3.9811E-04,1.7659E-04,4.8304E-06,2.8674E-04,3.9513E-04,4.1114E-04,
     &1.8813E-04/
      DATA ((KB(JS,JT,19, 5),JS=1,5),JT=1,5) /
     &2.5853E-06,1.9483E-04,2.7128E-04,2.9126E-04,1.1969E-04,2.9834E-06,
     &2.0623E-04,2.8749E-04,3.0541E-04,1.2978E-04,3.3546E-06,2.1750E-04,
     &3.0267E-04,3.1871E-04,1.3874E-04,3.6863E-06,2.2842E-04,3.1656E-04,
     &3.3115E-04,1.4789E-04,3.9634E-06,2.3942E-04,3.2944E-04,3.4220E-04,
     &1.5742E-04/
      DATA ((KB(JS,JT,20, 5),JS=1,5),JT=1,5) /
     &2.1486E-06,1.6221E-04,2.2609E-04,2.4236E-04,1.0014E-04,2.4735E-06,
     &1.7178E-04,2.3949E-04,2.5399E-04,1.0857E-04,2.7744E-06,1.8136E-04,
     &2.5226E-04,2.6535E-04,1.1604E-04,3.0414E-06,1.9076E-04,2.6397E-04,
     &2.7566E-04,1.2398E-04,3.2610E-06,2.0019E-04,2.7488E-04,2.8510E-04,
     &1.3199E-04/
      DATA ((KB(JS,JT,21, 5),JS=1,5),JT=1,5) /
     &1.7877E-06,1.3507E-04,1.8845E-04,2.0163E-04,8.3879E-05,2.0518E-06,
     &1.4319E-04,1.9968E-04,2.1134E-04,9.0858E-05,2.2953E-06,1.5137E-04,
     &2.1038E-04,2.2094E-04,9.7098E-05,2.5098E-06,1.5947E-04,2.2019E-04,
     &2.2948E-04,1.0402E-04,2.6830E-06,1.6749E-04,2.2950E-04,2.3761E-04,
     &1.1069E-04/
      DATA ((KB(JS,JT,22, 5),JS=1,5),JT=1,5) /
     &1.5022E-06,1.1297E-04,1.5773E-04,1.6819E-04,7.0808E-05,1.7157E-06,
     &1.1998E-04,1.6714E-04,1.7644E-04,7.6345E-05,1.9111E-06,1.2690E-04,
     &1.7611E-04,1.8454E-04,8.1804E-05,2.0812E-06,1.3385E-04,1.8425E-04,
     &1.9164E-04,8.7591E-05,2.2144E-06,1.4066E-04,1.9235E-04,1.9867E-04,
     &9.3228E-05/
      DATA ((KB(JS,JT,23, 5),JS=1,5),JT=1,5) /
     &1.2621E-06,9.4681E-05,1.3210E-04,1.4032E-04,5.9630E-05,1.4346E-06,
     &1.0061E-04,1.4009E-04,1.4751E-04,6.4142E-05,1.5908E-06,1.0655E-04,
     &1.4749E-04,1.5413E-04,6.8988E-05,1.7253E-06,1.1246E-04,1.5437E-04,
     &1.6013E-04,7.3893E-05,1.8272E-06,1.1825E-04,1.6130E-04,1.6627E-04,
     &7.8649E-05/
      DATA ((KB(JS,JT,24, 5),JS=1,5),JT=1,5) /
     &1.0611E-06,7.9419E-05,1.1079E-04,1.1736E-04,5.0244E-05,1.1996E-06,
     &8.4486E-05,1.1749E-04,1.2345E-04,5.4054E-05,1.3241E-06,8.9565E-05,
     &1.2364E-04,1.2883E-04,5.8259E-05,1.4300E-06,9.4592E-05,1.2949E-04,
     &1.3406E-04,6.2300E-05,1.5070E-06,9.9545E-05,1.3538E-04,1.3928E-04,
     &6.6485E-05/
      DATA ((KB(JS,JT,25, 5),JS=1,5),JT=1,5) /
     &8.9248E-07,6.6757E-05,9.3043E-05,9.8269E-05,4.2396E-05,1.0034E-06,
     &7.1082E-05,9.8652E-05,1.0332E-04,4.5719E-05,1.1024E-06,7.5404E-05,
     &1.0375E-04,1.0782E-04,4.9228E-05,1.1835E-06,7.9694E-05,1.0882E-04,
     &1.1234E-04,5.2649E-05,1.2406E-06,8.3915E-05,1.1376E-04,1.1677E-04,
     &5.6264E-05/
      DATA ((KB(JS,JT,26, 5),JS=1,5),JT=1,5) /
     &7.5147E-07,5.6248E-05,7.8291E-05,8.2441E-05,3.5781E-05,8.4025E-07,
     &5.9929E-05,8.2917E-05,8.6562E-05,3.8715E-05,9.1728E-07,6.3618E-05,
     &8.7231E-05,9.0442E-05,4.1682E-05,9.7947E-07,6.7285E-05,9.1606E-05,
     &9.4311E-05,4.4610E-05,1.0222E-06,7.0879E-05,9.5759E-05,9.7954E-05,
     &4.7678E-05/
      DATA ((KB(JS,JT,27, 5),JS=1,5),JT=1,5) /
     &6.3228E-07,4.7448E-05,6.5926E-05,6.9211E-05,3.0312E-05,7.0187E-07,
     &5.0583E-05,6.9752E-05,7.2622E-05,3.2844E-05,7.6263E-07,5.3723E-05,
     &7.3431E-05,7.5943E-05,3.5283E-05,8.0975E-07,5.6884E-05,7.7139E-05,
     &7.9235E-05,3.7837E-05,8.4099E-07,5.9937E-05,8.0670E-05,8.2198E-05,
     &4.0398E-05/
      DATA ((KB(JS,JT,28, 5),JS=1,5),JT=1,5) /
     &5.3062E-07,4.0054E-05,5.5536E-05,5.8105E-05,2.5683E-05,5.8581E-07,
     &4.2748E-05,5.8719E-05,6.0988E-05,2.7829E-05,6.3283E-07,4.5445E-05,
     &6.1927E-05,6.3808E-05,2.9914E-05,6.6841E-07,4.8141E-05,6.5033E-05,
     &6.6567E-05,3.2101E-05,6.9132E-07,5.0744E-05,6.8002E-05,6.9024E-05,
     &3.4196E-05/
      DATA ((KB(JS,JT,29, 5),JS=1,5),JT=1,5) /
     &4.4482E-07,3.3876E-05,4.6813E-05,4.8820E-05,2.1822E-05,4.8830E-07,
     &3.6173E-05,4.9534E-05,5.1267E-05,2.3598E-05,5.2520E-07,3.8507E-05,
     &5.2264E-05,5.3700E-05,2.5407E-05,5.5142E-07,4.0790E-05,5.4879E-05,
     &5.5934E-05,2.7233E-05,5.6821E-07,4.3005E-05,5.7374E-05,5.7995E-05,
     &2.8939E-05/
      DATA ((KB(JS,JT,30, 5),JS=1,5),JT=1,5) /
     &3.7240E-07,2.8688E-05,3.9498E-05,4.1082E-05,1.8542E-05,4.0697E-07,
     &3.0662E-05,4.1832E-05,4.3139E-05,2.0037E-05,4.3518E-07,3.2657E-05,
     &4.4137E-05,4.5198E-05,2.1592E-05,4.5459E-07,3.4600E-05,4.6342E-05,
     &4.7030E-05,2.3099E-05,4.6674E-07,3.6468E-05,4.8427E-05,4.8752E-05,
     &2.4524E-05/
      DATA ((KB(JS,JT,31, 5),JS=1,5),JT=1,5) /
     &3.1167E-07,2.4328E-05,3.3365E-05,3.4577E-05,1.5775E-05,3.3880E-07,
     &2.6033E-05,3.5376E-05,3.6343E-05,1.7037E-05,3.6022E-07,2.7728E-05,
     &3.7306E-05,3.8025E-05,1.8334E-05,3.7443E-07,2.9381E-05,3.9153E-05,
     &3.9551E-05,1.9559E-05,3.8304E-07,3.0940E-05,4.0888E-05,4.1012E-05,
     &2.0735E-05/
      DATA ((KB(JS,JT,32, 5),JS=1,5),JT=1,5) /
     &2.6065E-07,2.0666E-05,2.8226E-05,2.9128E-05,1.3403E-05,2.8179E-07,
     &2.2130E-05,2.9934E-05,3.0642E-05,1.4495E-05,2.9791E-07,2.3572E-05,
     &3.1554E-05,3.2005E-05,1.5576E-05,3.0813E-07,2.4963E-05,3.3101E-05,
     &3.3278E-05,1.6582E-05,3.1412E-07,2.6261E-05,3.4510E-05,3.4497E-05,
     &1.7533E-05/
      DATA ((KB(JS,JT,33, 5),JS=1,5),JT=1,5) /
     &2.1768E-07,1.7581E-05,2.3903E-05,2.4558E-05,1.1405E-05,2.3409E-07,
     &1.8827E-05,2.5333E-05,2.5812E-05,1.2331E-05,2.4596E-07,2.0053E-05,
     &2.6696E-05,2.6942E-05,1.3200E-05,2.5338E-07,2.1211E-05,2.7978E-05,
     &2.8012E-05,1.4037E-05,2.5735E-07,2.2292E-05,2.9113E-05,2.9019E-05,
     &1.4789E-05/
      DATA ((KB(JS,JT,34, 5),JS=1,5),JT=1,5) /
     &1.8111E-07,1.4933E-05,2.0221E-05,2.0691E-05,9.6853E-06,1.9373E-07,
     &1.5993E-05,2.1413E-05,2.1708E-05,1.0459E-05,2.0262E-07,1.7025E-05,
     &2.2551E-05,2.2651E-05,1.1170E-05,2.0802E-07,1.7992E-05,2.3603E-05,
     &2.3540E-05,1.1847E-05,2.1068E-07,1.8892E-05,2.4522E-05,2.4370E-05,
     &1.2444E-05/
      DATA ((KB(JS,JT,35, 5),JS=1,5),JT=1,5) /
     &1.4940E-07,1.2604E-05,1.7001E-05,1.7339E-05,8.1630E-06,1.5934E-07,
     &1.3505E-05,1.8008E-05,1.8183E-05,8.7890E-06,1.6626E-07,1.4374E-05,
     &1.8963E-05,1.8976E-05,9.3838E-06,1.7040E-07,1.5187E-05,1.9824E-05,
     &1.9720E-05,9.9229E-06,1.7229E-07,1.5939E-05,2.0582E-05,2.0394E-05,
     &1.0412E-05/
      DATA ((KB(JS,JT,36, 5),JS=1,5),JT=1,5) /
     &1.2224E-07,1.0560E-05,1.4203E-05,1.4447E-05,6.8196E-06,1.3030E-07,
     &1.1326E-05,1.5055E-05,1.5156E-05,7.3321E-06,1.3590E-07,1.2062E-05,
     &1.5856E-05,1.5823E-05,7.8230E-06,1.3929E-07,1.2750E-05,1.6573E-05,
     &1.6449E-05,8.2632E-06,1.4081E-07,1.3384E-05,1.7208E-05,1.7006E-05,
     &8.6656E-06/
      DATA ((KB(JS,JT,37, 5),JS=1,5),JT=1,5) /
     &9.8979E-08,8.7500E-06,1.1755E-05,1.1943E-05,5.6269E-06,1.0583E-07,
     &9.4035E-06,1.2480E-05,1.2544E-05,6.0528E-06,1.1068E-07,1.0031E-05,
     &1.3161E-05,1.3110E-05,6.4604E-06,1.1365E-07,1.0619E-05,1.3767E-05,
     &1.3642E-05,6.8253E-06,1.1510E-07,1.1162E-05,1.4306E-05,1.4108E-05,
     &7.1615E-06/
      DATA ((KB(JS,JT,38, 5),JS=1,5),JT=1,5) /
     &8.0050E-08,7.2436E-06,9.7225E-06,9.8657E-06,4.6375E-06,8.5886E-08,
     &7.8006E-06,1.0338E-05,1.0378E-05,4.9919E-06,9.0108E-08,8.3355E-06,
     &1.0916E-05,1.0856E-05,5.3303E-06,9.2690E-08,8.8380E-06,1.1429E-05,
     &1.1306E-05,5.6349E-06,9.4046E-08,9.3019E-06,1.1885E-05,1.1696E-05,
     &5.9152E-06/
      DATA ((KB(JS,JT,39, 5),JS=1,5),JT=1,5) /
     &6.4720E-08,5.9955E-06,8.0389E-06,8.1488E-06,3.8192E-06,6.9663E-08,
     &6.4699E-06,8.5613E-06,8.5818E-06,4.1159E-06,7.3305E-08,6.9246E-06,
     &9.0506E-06,8.9861E-06,4.3968E-06,7.5588E-08,7.3530E-06,9.4857E-06,
     &9.3637E-06,4.6505E-06,7.6825E-08,7.7492E-06,9.8708E-06,9.6898E-06,
     &4.8841E-06/
      DATA ((KB(JS,JT,40, 5),JS=1,5),JT=1,5) /
     &5.1871E-08,4.9191E-06,6.5994E-06,6.6890E-06,3.1186E-06,5.6127E-08,
     &5.3227E-06,7.0435E-06,7.0578E-06,3.3678E-06,5.9395E-08,5.7124E-06,
     &7.4609E-06,7.4018E-06,3.6025E-06,6.1501E-08,6.0790E-06,7.8333E-06,
     &7.7210E-06,3.8164E-06,6.2710E-08,6.4194E-06,8.1613E-06,7.9980E-06,
     &4.0122E-06/
      DATA ((KB(JS,JT,41, 5),JS=1,5),JT=1,5) /
     &4.1471E-08,4.0276E-06,5.4076E-06,5.4815E-06,2.5402E-06,4.5127E-08,
     &4.3711E-06,5.7847E-06,5.7971E-06,2.7507E-06,4.8018E-08,4.7040E-06,
     &6.1407E-06,6.0883E-06,2.9479E-06,4.9983E-08,5.0177E-06,6.4595E-06,
     &6.3587E-06,3.1286E-06,5.1153E-08,5.3098E-06,6.7389E-06,6.5950E-06,
     &3.2928E-06/
      DATA ((KB(JS,JT,42, 5),JS=1,5),JT=1,5) /
     &3.3108E-08,3.2945E-06,4.4261E-06,4.4871E-06,2.0674E-06,3.6228E-08,
     &3.5861E-06,4.7462E-06,4.7571E-06,2.2452E-06,3.8776E-08,3.8701E-06,
     &5.0505E-06,5.0046E-06,2.4106E-06,4.0580E-08,4.1378E-06,5.3219E-06,
     &5.2323E-06,2.5622E-06,4.1689E-08,4.3881E-06,5.5607E-06,5.4356E-06,
     &2.7015E-06/
      DATA ((KB(JS,JT,43, 5),JS=1,5),JT=1,5) /
     &2.6243E-08,2.6780E-06,3.6021E-06,3.6578E-06,1.6722E-06,2.8903E-08,
     &2.9254E-06,3.8754E-06,3.8886E-06,1.8235E-06,3.1158E-08,3.1674E-06,
     &4.1363E-06,4.0998E-06,1.9628E-06,3.2828E-08,3.3966E-06,4.3687E-06,
     &4.2935E-06,2.0906E-06,3.3896E-08,3.6112E-06,4.5745E-06,4.4680E-06,
     &2.2088E-06/
      DATA ((KB(JS,JT,44, 5),JS=1,5),JT=1,5) /
     &2.0692E-08,2.1688E-06,2.9226E-06,2.9738E-06,1.3486E-06,2.2961E-08,
     &2.3776E-06,3.1556E-06,3.1699E-06,1.4759E-06,2.4934E-08,2.5834E-06,
     &3.3779E-06,3.3507E-06,1.5926E-06,2.6472E-08,2.7800E-06,3.5779E-06,
     &3.5162E-06,1.7017E-06,2.7504E-08,2.9637E-06,3.7558E-06,3.6666E-06,
     &1.8017E-06/
      DATA ((KB(JS,JT,45, 5),JS=1,5),JT=1,5) /
     &1.6269E-08,1.7537E-06,2.3672E-06,2.4133E-06,1.0856E-06,1.8194E-08,
     &1.9291E-06,2.5663E-06,2.5809E-06,1.1927E-06,1.9903E-08,2.1039E-06,
     &2.7552E-06,2.7360E-06,1.2909E-06,2.1293E-08,2.2721E-06,2.9270E-06,
     &2.8775E-06,1.3839E-06,2.2283E-08,2.4292E-06,3.0802E-06,3.0067E-06,
     &1.4686E-06/
      DATA ((KB(JS,JT,46, 5),JS=1,5),JT=1,5) /
     &1.2712E-08,1.4128E-06,1.9113E-06,1.9548E-06,8.7114E-07,1.4351E-08,
     &1.5596E-06,2.0802E-06,2.0949E-06,9.6118E-07,1.5815E-08,1.7076E-06,
     &2.2404E-06,2.2289E-06,1.0436E-06,1.7062E-08,1.8511E-06,2.3889E-06,
     &2.3492E-06,1.1225E-06,1.7993E-08,1.9855E-06,2.5206E-06,2.4609E-06,
     &1.1948E-06/
      DATA ((KB(JS,JT,47, 5),JS=1,5),JT=1,5) /
     &9.8364E-09,1.1306E-06,1.5353E-06,1.5746E-06,6.9554E-07,1.1226E-08,
     &1.2534E-06,1.6765E-06,1.6944E-06,7.6925E-07,1.2483E-08,1.3784E-06,
     &1.8130E-06,1.8087E-06,8.4036E-07,1.3587E-08,1.5007E-06,1.9418E-06,
     &1.9122E-06,9.0712E-07,1.4457E-08,1.6158E-06,2.0557E-06,2.0073E-06,
     &9.6847E-07/
      DATA ((KB(JS,JT,48, 5),JS=1,5),JT=1,5) /
     &7.5824E-09,9.0329E-07,1.2307E-06,1.2653E-06,5.5346E-07,8.7453E-09,
     &1.0050E-06,1.3490E-06,1.3676E-06,6.1470E-07,9.8194E-09,1.1101E-06,
     &1.4650E-06,1.4651E-06,6.7492E-07,1.0779E-08,1.2141E-06,1.5756E-06,
     &1.5544E-06,7.3163E-07,1.1579E-08,1.3125E-06,1.6743E-06,1.6359E-06,
     &7.8405E-07/
      DATA ((KB(JS,JT,49, 5),JS=1,5),JT=1,5) /
     &5.8219E-09,7.2015E-07,9.8379E-07,1.0143E-06,4.3933E-07,6.7817E-09,
     &8.0423E-07,1.0832E-06,1.1023E-06,4.9018E-07,7.6966E-09,8.9205E-07,
     &1.1819E-06,1.1846E-06,5.4131E-07,8.5224E-09,9.8005E-07,1.2760E-06,
     &1.2617E-06,5.8858E-07,9.2350E-09,1.0644E-06,1.3615E-06,1.3319E-06,
     &6.3358E-07/
      DATA ((KB(JS,JT,50, 5),JS=1,5),JT=1,5) /
     &4.4790E-09,5.7418E-07,7.8635E-07,8.1296E-07,3.4881E-07,5.2579E-09,
     &6.4388E-07,8.7056E-07,8.8896E-07,3.9135E-07,6.0279E-09,7.1722E-07,
     &9.5348E-07,9.5809E-07,4.3444E-07,6.7324E-09,7.9134E-07,1.0331E-06,
     &1.0243E-06,4.7391E-07,7.3551E-09,8.6330E-07,1.1073E-06,1.0842E-06,
     &5.1234E-07/
      DATA ((KB(JS,JT,51, 5),JS=1,5),JT=1,5) /
     &3.4450E-09,4.5753E-07,6.2814E-07,6.5158E-07,2.7625E-07,4.0690E-09,
     &5.1530E-07,6.9892E-07,7.1555E-07,3.1260E-07,4.7087E-09,5.7624E-07,
     &7.6840E-07,7.7477E-07,3.4804E-07,5.3086E-09,6.3843E-07,8.3580E-07,
     &8.3092E-07,3.8181E-07,5.8439E-09,6.9956E-07,8.9962E-07,8.8225E-07,
     &4.1412E-07/
      DATA ((KB(JS,JT,52, 5),JS=1,5),JT=1,5) /
     &2.6454E-09,3.6387E-07,5.0007E-07,5.2179E-07,2.1894E-07,3.1403E-09,
     &4.1173E-07,5.5997E-07,5.7479E-07,2.4870E-07,3.6655E-09,4.6211E-07,
     &6.1819E-07,6.2511E-07,2.7840E-07,4.1730E-09,5.1415E-07,6.7546E-07,
     &6.7307E-07,3.0695E-07,4.6311E-09,5.6582E-07,7.2973E-07,7.1697E-07,
     &3.3407E-07/
      DATA ((KB(JS,JT,53, 5),JS=1,5),JT=1,5) /
     &2.0275E-09,2.8873E-07,3.9749E-07,4.1647E-07,1.7355E-07,2.4190E-09,
     &3.2821E-07,4.4730E-07,4.6063E-07,1.9774E-07,2.8440E-09,3.6981E-07,
     &4.9677E-07,5.0411E-07,2.2218E-07,3.2690E-09,4.1315E-07,5.4488E-07,
     &5.4408E-07,2.4647E-07,3.6592E-09,4.5680E-07,5.9090E-07,5.8189E-07,
     &2.6902E-07/
      DATA ((KB(JS,JT,54, 5),JS=1,5),JT=1,5) /
     &1.5611E-09,2.2962E-07,3.1613E-07,3.3300E-07,1.3730E-07,1.8696E-09,
     &2.6187E-07,3.5802E-07,3.6954E-07,1.5701E-07,2.2100E-09,2.9641E-07,
     &3.9970E-07,4.0683E-07,1.7764E-07,2.5619E-09,3.3255E-07,4.4009E-07,
     &4.4063E-07,1.9808E-07,2.8928E-09,3.6908E-07,4.7892E-07,4.7270E-07,
     &2.1696E-07/
      DATA ((KB(JS,JT,55, 5),JS=1,5),JT=1,5) /
     &1.2041E-09,1.8259E-07,2.5108E-07,2.6608E-07,1.0842E-07,1.4466E-09,
     &2.0918E-07,2.8633E-07,2.9677E-07,1.2468E-07,1.7176E-09,2.3765E-07,
     &3.2139E-07,3.2799E-07,1.4213E-07,2.0058E-09,2.6766E-07,3.5523E-07,
     &3.5664E-07,1.5907E-07,2.2852E-09,2.9818E-07,3.8806E-07,3.8381E-07,
     &1.7512E-07/
      DATA ((KB(JS,JT,56, 5),JS=1,5),JT=1,5) /
     &9.2934E-10,1.4496E-07,1.9887E-07,2.1215E-07,8.5185E-08,1.1180E-09,
     &1.6668E-07,2.2841E-07,2.3799E-07,9.9172E-08,1.3333E-09,1.9024E-07,
     &2.5790E-07,2.6385E-07,1.1331E-07,1.5668E-09,2.1512E-07,2.8626E-07,
     &2.8820E-07,1.2758E-07,1.8000E-09,2.4055E-07,3.1405E-07,3.1134E-07,
     &1.4106E-07/
      DATA ((KB(JS,JT,57, 5),JS=1,5),JT=1,5) /
     &7.1747E-10,1.1491E-07,1.5760E-07,1.6907E-07,6.6762E-08,8.6318E-10,
     &1.3266E-07,1.8198E-07,1.9051E-07,7.8844E-08,1.0332E-09,1.5199E-07,
     &2.0646E-07,2.1185E-07,9.0317E-08,1.2205E-09,1.7255E-07,2.3049E-07,
     &2.3280E-07,1.0211E-07,1.4137E-09,1.9374E-07,2.5377E-07,2.5209E-07,
     &1.1347E-07/
      DATA ((KB(JS,JT,58, 5),JS=1,5),JT=1,5) /
     &5.5534E-10,9.1161E-08,1.2495E-07,1.3481E-07,5.2524E-08,6.6796E-10,
     &1.0564E-07,1.4490E-07,1.5246E-07,6.2491E-08,8.0208E-10,1.2142E-07,
     &1.6540E-07,1.7013E-07,7.1923E-08,9.5155E-10,1.3846E-07,1.8562E-07,
     &1.8803E-07,8.1760E-08,1.1100E-09,1.5608E-07,2.0513E-07,2.0425E-07,
     &9.1405E-08/
      DATA ((KB(JS,JT,59, 5),JS=1,5),JT=1,5) /
     &4.4483E-10,7.4201E-08,1.0175E-07,1.0986E-07,4.2626E-08,5.3478E-10,
     &8.6257E-08,1.1818E-07,1.2453E-07,5.0816E-08,6.4265E-10,9.9390E-08,
     &1.3535E-07,1.3928E-07,5.8658E-08,7.6369E-10,1.1360E-07,1.5224E-07,
     &1.5417E-07,6.6845E-08,8.9316E-10,1.2826E-07,1.6850E-07,1.6775E-07,
     &7.4841E-08/
      DATA ((KB(JS,JT,13, 6),JS=1,5),JT=1,5) /
     &1.5452E-04,1.7471E-03,2.2870E-03,2.2757E-03,1.1868E-03,1.7358E-04,
     &1.8337E-03,2.3752E-03,2.3549E-03,1.2492E-03,1.9043E-04,1.9070E-03,
     &2.4479E-03,2.4255E-03,1.3114E-03,2.0459E-04,1.9702E-03,2.5109E-03,
     &2.4905E-03,1.3717E-03,2.1621E-04,2.0266E-03,2.5653E-03,2.5512E-03,
     &1.4320E-03/
      DATA ((KB(JS,JT,14, 6),JS=1,5),JT=1,5) /
     &1.2793E-04,1.4662E-03,1.9141E-03,1.9032E-03,9.9404E-04,1.4335E-04,
     &1.5367E-03,1.9852E-03,1.9691E-03,1.0462E-03,1.5698E-04,1.5974E-03,
     &2.0454E-03,2.0285E-03,1.0986E-03,1.6837E-04,1.6505E-03,2.0982E-03,
     &2.0828E-03,1.1509E-03,1.7765E-04,1.6990E-03,2.1452E-03,2.1357E-03,
     &1.2020E-03/
      DATA ((KB(JS,JT,15, 6),JS=1,5),JT=1,5) /
     &1.0600E-04,1.2280E-03,1.5987E-03,1.5899E-03,8.3160E-04,1.1846E-04,
     &1.2858E-03,1.6570E-03,1.6438E-03,8.7641E-04,1.2947E-04,1.3362E-03,
     &1.7073E-03,1.6937E-03,9.2037E-04,1.3860E-04,1.3818E-03,1.7519E-03,
     &1.7401E-03,9.6514E-04,1.4605E-04,1.4231E-03,1.7922E-03,1.7849E-03,
     &1.0088E-03/
      DATA ((KB(JS,JT,16, 6),JS=1,5),JT=1,5) /
     &8.7844E-05,1.0268E-03,1.3337E-03,1.3258E-03,6.9471E-04,9.7921E-05,
     &1.0747E-03,1.3816E-03,1.3704E-03,7.3309E-04,1.0678E-04,1.1173E-03,
     &1.4240E-03,1.4122E-03,7.7126E-04,1.1410E-04,1.1561E-03,1.4619E-03,
     &1.4525E-03,8.0983E-04,1.2008E-04,1.1913E-03,1.4957E-03,1.4904E-03,
     &8.4685E-04/
      DATA ((KB(JS,JT,17, 6),JS=1,5),JT=1,5) /
     &7.2736E-05,8.5770E-04,1.1110E-03,1.1043E-03,5.7988E-04,8.0870E-05,
     &8.9737E-04,1.1508E-03,1.1412E-03,6.1310E-04,8.7984E-05,9.3334E-04,
     &1.1865E-03,1.1769E-03,6.4563E-04,9.3900E-05,9.6637E-04,1.2188E-03,
     &1.2115E-03,6.7946E-04,9.8669E-05,9.9682E-04,1.2477E-03,1.2444E-03,
     &7.1129E-04/
      DATA ((KB(JS,JT,18, 6),JS=1,5),JT=1,5) /
     &6.0196E-05,7.1585E-04,9.2484E-04,9.1885E-04,4.8428E-04,6.6759E-05,
     &7.4902E-04,9.5806E-04,9.5007E-04,5.1254E-04,7.2486E-05,7.7936E-04,
     &9.8828E-04,9.8036E-04,5.4118E-04,7.7210E-05,8.0757E-04,1.0157E-03,
     &1.0101E-03,5.6995E-04,8.1046E-05,8.3344E-04,1.0405E-03,1.0390E-03,
     &5.9762E-04/
      DATA ((KB(JS,JT,19, 6),JS=1,5),JT=1,5) /
     &4.9797E-05,5.9714E-04,7.6951E-04,7.6408E-04,4.0487E-04,5.5098E-05,
     &6.2505E-04,7.9728E-04,7.9071E-04,4.2904E-04,5.9690E-05,6.5071E-04,
     &8.2294E-04,8.1671E-04,4.5375E-04,6.3457E-05,6.7490E-04,8.4635E-04,
     &8.4245E-04,4.7833E-04,6.6538E-05,6.9683E-04,8.6805E-04,8.6812E-04,
     &5.0238E-04/
      DATA ((KB(JS,JT,20, 6),JS=1,5),JT=1,5) /
     &4.1277E-05,4.9854E-04,6.4043E-04,6.3582E-04,3.3885E-04,4.5557E-05,
     &5.2197E-04,6.6408E-04,6.5859E-04,3.5960E-04,4.9226E-05,5.4380E-04,
     &6.8582E-04,6.8111E-04,3.8108E-04,5.2238E-05,5.6442E-04,7.0598E-04,
     &7.0364E-04,4.0199E-04,5.4694E-05,5.8320E-04,7.2504E-04,7.2645E-04,
     &4.2282E-04/
      DATA ((KB(JS,JT,21, 6),JS=1,5),JT=1,5) /
     &3.4218E-05,4.1624E-04,5.3312E-04,5.2912E-04,2.8376E-04,3.7670E-05,
     &4.3597E-04,5.5316E-04,5.4893E-04,3.0161E-04,4.0602E-05,4.5467E-04,
     &5.7178E-04,5.6861E-04,3.2023E-04,4.3009E-05,4.7220E-04,5.8931E-04,
     &5.8850E-04,3.3805E-04,4.4968E-05,4.8850E-04,6.0624E-04,6.0867E-04,
     &3.5633E-04/
      DATA ((KB(JS,JT,22, 6),JS=1,5),JT=1,5) /
     &2.8554E-05,3.4872E-04,4.4519E-04,4.4203E-04,2.3865E-04,3.1312E-05,
     &3.6543E-04,4.6215E-04,4.5896E-04,2.5429E-04,3.3623E-05,3.8136E-04,
     &4.7808E-04,4.7625E-04,2.7020E-04,3.5518E-05,3.9638E-04,4.9352E-04,
     &4.9393E-04,2.8567E-04,3.7060E-05,4.1046E-04,5.0833E-04,5.1152E-04,
     &3.0169E-04/
      DATA ((KB(JS,JT,23, 6),JS=1,5),JT=1,5) /
     &2.3825E-05,2.9241E-04,3.7202E-04,3.6957E-04,2.0120E-04,2.6019E-05,
     &3.0664E-04,3.8650E-04,3.8433E-04,2.1484E-04,2.7840E-05,3.2027E-04,
     &4.0038E-04,3.9957E-04,2.2829E-04,2.9329E-05,3.3317E-04,4.1396E-04,
     &4.1498E-04,2.4169E-04,3.0542E-05,3.4547E-04,4.2681E-04,4.3048E-04,
     &2.5568E-04/
      DATA ((KB(JS,JT,24, 6),JS=1,5),JT=1,5) /
     &1.9879E-05,2.4552E-04,3.1135E-04,3.0936E-04,1.6986E-04,2.1617E-05,
     &2.5767E-04,3.2376E-04,3.2228E-04,1.8173E-04,2.3050E-05,2.6937E-04,
     &3.3590E-04,3.3579E-04,1.9320E-04,2.4217E-05,2.8054E-04,3.4772E-04,
     &3.4922E-04,2.0501E-04,2.5164E-05,2.9121E-04,3.5883E-04,3.6286E-04,
     &2.1708E-04/
      DATA ((KB(JS,JT,25, 6),JS=1,5),JT=1,5) /
     &1.6589E-05,2.0645E-04,2.6087E-04,2.5944E-04,1.4369E-04,1.7961E-05,
     &2.1688E-04,2.7162E-04,2.7083E-04,1.5386E-04,1.9083E-05,2.2697E-04,
     &2.8229E-04,2.8258E-04,1.6383E-04,1.9998E-05,2.3668E-04,2.9245E-04,
     &2.9438E-04,1.7418E-04,2.0737E-05,2.4589E-04,3.0216E-04,3.0647E-04,
     &1.8465E-04/
      DATA ((KB(JS,JT,26, 6),JS=1,5),JT=1,5) /
     &1.3858E-05,1.7402E-04,2.1906E-04,2.1804E-04,1.2205E-04,1.4930E-05,
     &1.8300E-04,2.2843E-04,2.2813E-04,1.3065E-04,1.5807E-05,1.9174E-04,
     &2.3770E-04,2.3830E-04,1.3933E-04,1.6522E-05,2.0010E-04,2.4640E-04,
     &2.4876E-04,1.4837E-04,1.7090E-05,2.0798E-04,2.5500E-04,2.5943E-04,
     &1.5748E-04/
      DATA ((KB(JS,JT,27, 6),JS=1,5),JT=1,5) /
     &1.1565E-05,1.4689E-04,1.8423E-04,1.8358E-04,1.0372E-04,1.2404E-05,
     &1.5466E-04,1.9242E-04,1.9242E-04,1.1104E-04,1.3088E-05,1.6225E-04,
     &2.0035E-04,2.0136E-04,1.1877E-04,1.3644E-05,1.6938E-04,2.0793E-04,
     &2.1054E-04,1.2658E-04,1.4079E-05,1.7614E-04,2.1553E-04,2.2004E-04,
     &1.3455E-04/
      DATA ((KB(JS,JT,28, 6),JS=1,5),JT=1,5) /
     &9.6429E-06,1.2422E-04,1.5518E-04,1.5486E-04,8.8240E-05,1.0297E-05,
     &1.3093E-04,1.6229E-04,1.6255E-04,9.4664E-05,1.0829E-05,1.3744E-04,
     &1.6911E-04,1.7043E-04,1.0137E-04,1.1263E-05,1.4355E-04,1.7577E-04,
     &1.7861E-04,1.0818E-04,1.1593E-05,1.4936E-04,1.8245E-04,1.8698E-04,
     &1.1517E-04/
      DATA ((KB(JS,JT,29, 6),JS=1,5),JT=1,5) /
     &8.0357E-06,1.0525E-04,1.3098E-04,1.3087E-04,7.5199E-05,8.5457E-06,
     &1.1106E-04,1.3709E-04,1.3756E-04,8.0877E-05,8.9585E-06,1.1659E-04,
     &1.4298E-04,1.4458E-04,8.6703E-05,9.2936E-06,1.2185E-04,1.4887E-04,
     &1.5184E-04,9.2679E-05,9.5413E-06,1.2685E-04,1.5476E-04,1.5926E-04,
     &9.8770E-05/
      DATA ((KB(JS,JT,30, 6),JS=1,5),JT=1,5) /
     &6.6891E-06,8.9326E-05,1.1070E-04,1.1075E-04,6.4254E-05,7.0855E-06,
     &9.4280E-05,1.1595E-04,1.1668E-04,6.9215E-05,7.4068E-06,9.9029E-05,
     &1.2112E-04,1.2290E-04,7.4278E-05,7.6634E-06,1.0356E-04,1.2631E-04,
     &1.2933E-04,7.9489E-05,7.8499E-06,1.0785E-04,1.3152E-04,1.3588E-04,
     &8.4762E-05/
      DATA ((KB(JS,JT,31, 6),JS=1,5),JT=1,5) /
     &5.5647E-06,7.5943E-05,9.3695E-05,9.3906E-05,5.5002E-05,5.8719E-06,
     &8.0167E-05,9.8229E-05,9.9204E-05,5.9329E-05,6.1212E-06,8.4249E-05,
     &1.0281E-04,1.0471E-04,6.3778E-05,6.3162E-06,8.8122E-05,1.0738E-04,
     &1.1041E-04,6.8318E-05,6.4553E-06,9.1835E-05,1.1204E-04,1.1614E-04,
     &7.2907E-05/
      DATA ((KB(JS,JT,32, 6),JS=1,5),JT=1,5) /
     &4.6246E-06,6.4633E-05,7.9398E-05,7.9831E-05,4.7190E-05,4.8628E-06,
     &6.8258E-05,8.3383E-05,8.4521E-05,5.0953E-05,5.0557E-06,7.1758E-05,
     &8.7418E-05,8.9417E-05,5.4823E-05,5.2035E-06,7.5099E-05,9.1481E-05,
     &9.4423E-05,5.8785E-05,5.3068E-06,7.8317E-05,9.5646E-05,9.9452E-05,
     &6.2766E-05/
      DATA ((KB(JS,JT,33, 6),JS=1,5),JT=1,5) /
     &3.8403E-06,5.5077E-05,6.7410E-05,6.8024E-05,4.0538E-05,4.0244E-06,
     &5.8199E-05,7.0924E-05,7.2180E-05,4.3839E-05,4.1730E-06,6.1206E-05,
     &7.4475E-05,7.6502E-05,4.7222E-05,4.2835E-06,6.4091E-05,7.8114E-05,
     &8.0883E-05,5.0652E-05,4.3604E-06,6.6898E-05,8.1798E-05,8.5293E-05,
     &5.4102E-05/
      DATA ((KB(JS,JT,34, 6),JS=1,5),JT=1,5) /
     &3.1801E-06,4.6888E-05,5.7233E-05,5.7945E-05,3.4781E-05,3.3244E-06,
     &4.9586E-05,6.0319E-05,6.1625E-05,3.7646E-05,3.4389E-06,5.2183E-05,
     &6.3465E-05,6.5422E-05,4.0606E-05,3.5228E-06,5.4696E-05,6.6697E-05,
     &6.9266E-05,4.3571E-05,3.5804E-06,5.7162E-05,6.9964E-05,7.3120E-05,
     &4.6562E-05/
      DATA ((KB(JS,JT,35, 6),JS=1,5),JT=1,5) /
     &2.6200E-06,3.9742E-05,4.8410E-05,4.9141E-05,2.9639E-05,2.7351E-06,
     &4.2075E-05,5.1122E-05,5.2382E-05,3.2146E-05,2.8253E-06,4.4325E-05,
     &5.3916E-05,5.5698E-05,3.4701E-05,2.8907E-06,4.6530E-05,5.6769E-05,
     &5.9068E-05,3.7280E-05,2.9354E-06,4.8707E-05,5.9649E-05,6.2461E-05,
     &3.9864E-05/
      DATA ((KB(JS,JT,36, 6),JS=1,5),JT=1,5) /
     &2.1469E-06,3.3498E-05,4.0744E-05,4.1427E-05,2.5045E-05,2.2407E-06,
     &3.5513E-05,4.3124E-05,4.4262E-05,2.7227E-05,2.3140E-06,3.7481E-05,
     &4.5588E-05,4.7157E-05,2.9433E-05,2.3673E-06,3.9419E-05,4.8109E-05,
     &5.0107E-05,3.1672E-05,2.4035E-06,4.1345E-05,5.0640E-05,5.3089E-05,
     &3.3911E-05/
      DATA ((KB(JS,JT,37, 6),JS=1,5),JT=1,5) /
     &1.7464E-06,2.7984E-05,3.4007E-05,3.4584E-05,2.0899E-05,1.8252E-06,
     &2.9737E-05,3.6088E-05,3.7051E-05,2.2785E-05,1.8877E-06,3.1460E-05,
     &3.8247E-05,3.9573E-05,2.4687E-05,1.9333E-06,3.3165E-05,4.0460E-05,
     &4.2146E-05,2.6626E-05,1.9647E-06,3.4869E-05,4.2691E-05,4.4765E-05,
     &2.8561E-05/
      DATA ((KB(JS,JT,38, 6),JS=1,5),JT=1,5) /
     &1.4198E-06,2.3364E-05,2.8367E-05,2.8854E-05,1.7422E-05,1.4862E-06,
     &2.4892E-05,3.0186E-05,3.0994E-05,1.9047E-05,1.5394E-06,2.6399E-05,
     &3.2076E-05,3.3192E-05,2.0688E-05,1.5786E-06,2.7898E-05,3.4020E-05,
     &3.5441E-05,2.2360E-05,1.6058E-06,2.9401E-05,3.5983E-05,3.7735E-05,
     &2.4033E-05/
      DATA ((KB(JS,JT,39, 6),JS=1,5),JT=1,5) /
     &1.1541E-06,1.9509E-05,2.3663E-05,2.4072E-05,1.4521E-05,1.2100E-06,
     &2.0837E-05,2.5252E-05,2.5929E-05,1.5915E-05,1.2551E-06,2.2155E-05,
     &2.6902E-05,2.7842E-05,1.7331E-05,1.2888E-06,2.3470E-05,2.8603E-05,
     &2.9806E-05,1.8773E-05,1.3123E-06,2.4794E-05,3.0331E-05,3.1815E-05,
     &2.0216E-05/
      DATA ((KB(JS,JT,40, 6),JS=1,5),JT=1,5) /
     &9.3244E-07,1.6171E-05,1.9599E-05,1.9918E-05,1.1977E-05,9.8059E-07,
     &1.7324E-05,2.0976E-05,2.1519E-05,1.3169E-05,1.0196E-06,1.8475E-05,
     &2.2411E-05,2.3178E-05,1.4387E-05,1.0496E-06,1.9626E-05,2.3897E-05,
     &2.4887E-05,1.5625E-05,1.0706E-06,2.0792E-05,2.5411E-05,2.6641E-05,
     &1.6871E-05/
      DATA ((KB(JS,JT,41, 6),JS=1,5),JT=1,5) /
     &7.5206E-07,1.3381E-05,1.6204E-05,1.6448E-05,9.8582E-06,7.9368E-07,
     &1.4380E-05,1.7395E-05,1.7824E-05,1.0873E-05,8.2742E-07,1.5382E-05,
     &1.8640E-05,1.9259E-05,1.1916E-05,8.5390E-07,1.6388E-05,1.9935E-05,
     &2.0745E-05,1.2979E-05,8.7281E-07,1.7412E-05,2.1261E-05,2.2271E-05,
     &1.4053E-05/
      DATA ((KB(JS,JT,42, 6),JS=1,5),JT=1,5) /
     &6.0591E-07,1.1061E-05,1.3385E-05,1.3568E-05,8.1045E-06,6.4182E-07,
     &1.1926E-05,1.4412E-05,1.4751E-05,8.9661E-06,6.7101E-07,1.2797E-05,
     &1.5489E-05,1.5987E-05,9.8578E-06,6.9427E-07,1.3675E-05,1.6616E-05,
     &1.7274E-05,1.0770E-05,7.1122E-07,1.4573E-05,1.7774E-05,1.8601E-05,
     &1.1690E-05/
      DATA ((KB(JS,JT,43, 6),JS=1,5),JT=1,5) /
     &4.8565E-07,9.0929E-06,1.0998E-05,1.1127E-05,6.6136E-06,5.1703E-07,
     &9.8401E-06,1.1878E-05,1.2136E-05,7.3431E-06,5.4246E-07,1.0594E-05,
     &1.2807E-05,1.3197E-05,8.1019E-06,5.6309E-07,1.1359E-05,1.3782E-05,
     &1.4306E-05,8.8812E-06,5.7854E-07,1.2144E-05,1.4791E-05,1.5456E-05,
     &9.6685E-06/
      DATA ((KB(JS,JT,44, 6),JS=1,5),JT=1,5) /
     &3.8777E-07,7.4478E-06,9.0062E-06,9.0921E-06,5.3709E-06,4.1522E-07,
     &8.0919E-06,9.7570E-06,9.9478E-06,5.9889E-06,4.3761E-07,8.7433E-06,
     &1.0555E-05,1.0856E-05,6.6332E-06,4.5584E-07,9.4063E-06,1.1395E-05,
     &1.1808E-05,7.2955E-06,4.6990E-07,1.0091E-05,1.2269E-05,1.2799E-05,
     &7.9696E-06/
      DATA ((KB(JS,JT,45, 6),JS=1,5),JT=1,5) /
     &3.0888E-07,6.0898E-06,7.3632E-06,7.4181E-06,4.3535E-06,3.3291E-07,
     &6.6440E-06,8.0023E-06,8.1416E-06,4.8741E-06,3.5255E-07,7.2052E-06,
     &8.6855E-06,8.9154E-06,5.4207E-06,3.6854E-07,7.7787E-06,9.4068E-06,
     &9.7308E-06,5.9833E-06,3.8125E-07,8.3745E-06,1.0163E-05,1.0583E-05,
     &6.5578E-06/
      DATA ((KB(JS,JT,46, 6),JS=1,5),JT=1,5) /
     &2.4494E-07,4.9598E-06,5.9987E-06,6.0289E-06,3.5123E-06,2.6595E-07,
     &5.4355E-06,6.5411E-06,6.6383E-06,3.9494E-06,2.8328E-07,5.9173E-06,
     &7.1233E-06,7.2943E-06,4.4113E-06,2.9735E-07,6.4123E-06,7.7406E-06,
     &7.9904E-06,4.8883E-06,3.0876E-07,6.9283E-06,8.3913E-06,8.7211E-06,
     &5.3766E-06/
      DATA ((KB(JS,JT,47, 6),JS=1,5),JT=1,5) /
     &1.9287E-07,4.0134E-06,4.8586E-06,4.8718E-06,2.8114E-06,2.1123E-07,
     &4.4208E-06,5.3178E-06,5.3794E-06,3.1781E-06,2.2658E-07,4.8332E-06,
     &5.8104E-06,5.9335E-06,3.5646E-06,2.3912E-07,5.2582E-06,6.3354E-06,
     &6.5230E-06,3.9676E-06,2.4931E-07,5.7025E-06,6.8920E-06,7.1458E-06,
     &4.3826E-06/
      DATA ((KB(JS,JT,48, 6),JS=1,5),JT=1,5) /
     &1.5132E-07,3.2395E-06,3.9269E-06,3.9289E-06,2.2458E-06,1.6716E-07,
     &3.5866E-06,4.3144E-06,4.3511E-06,2.5512E-06,1.8076E-07,3.9391E-06,
     &4.7294E-06,4.8161E-06,2.8746E-06,1.9194E-07,4.3030E-06,5.1748E-06,
     &5.3142E-06,3.2135E-06,2.0099E-07,4.6842E-06,5.6488E-06,5.8430E-06,
     &3.5644E-06/
      DATA ((KB(JS,JT,49, 6),JS=1,5),JT=1,5) /
     &1.1828E-07,2.6078E-06,3.1672E-06,3.1617E-06,1.7894E-06,1.3185E-07,
     &2.9029E-06,3.4929E-06,3.5125E-06,2.0423E-06,1.4378E-07,3.2030E-06,
     &3.8409E-06,3.9000E-06,2.3121E-06,1.5369E-07,3.5139E-06,4.2179E-06,
     &4.3198E-06,2.5971E-06,1.6176E-07,3.8391E-06,4.6198E-06,4.7667E-06,
     &2.8929E-06/
      DATA ((KB(JS,JT,50, 6),JS=1,5),JT=1,5) /
     &9.2362E-08,2.0997E-06,2.5556E-06,2.5471E-06,1.4267E-06,1.0390E-07,
     &2.3496E-06,2.8286E-06,2.8368E-06,1.6356E-06,1.1421E-07,2.6049E-06,
     &3.1213E-06,3.1606E-06,1.8609E-06,1.2297E-07,2.8694E-06,3.4392E-06,
     &3.5125E-06,2.0996E-06,1.3012E-07,3.1471E-06,3.7794E-06,3.8900E-06,
     &2.3486E-06/
      DATA ((KB(JS,JT,51, 6),JS=1,5),JT=1,5) /
     &7.2029E-08,1.6879E-06,2.0606E-06,2.0506E-06,1.1365E-06,8.1717E-08,
     &1.8994E-06,2.2886E-06,2.2902E-06,1.3081E-06,9.0547E-08,2.1162E-06,
     &2.5347E-06,2.5588E-06,1.4964E-06,9.8231E-08,2.3407E-06,2.8017E-06,
     &2.8537E-06,1.6958E-06,1.0454E-07,2.5770E-06,3.0891E-06,3.1719E-06,
     &1.9053E-06/
      DATA ((KB(JS,JT,52, 6),JS=1,5),JT=1,5) /
     &5.5994E-08,1.3535E-06,1.6583E-06,1.6483E-06,9.0215E-07,6.4065E-08,
     &1.5318E-06,1.8483E-06,1.8452E-06,1.0447E-06,7.1601E-08,1.7156E-06,
     &2.0541E-06,2.0679E-06,1.2005E-06,7.8265E-08,1.9055E-06,2.2786E-06,
     &2.3151E-06,1.3673E-06,8.3827E-08,2.1062E-06,2.5201E-06,2.5812E-06,
     &1.5426E-06/
      DATA ((KB(JS,JT,53, 6),JS=1,5),JT=1,5) /
     &4.3376E-08,1.0823E-06,1.3316E-06,1.3229E-06,7.1387E-07,5.0078E-08,
     &1.2320E-06,1.4898E-06,1.4843E-06,8.3196E-07,5.6440E-08,1.3873E-06,
     &1.6612E-06,1.6678E-06,9.6085E-07,6.2188E-08,1.5481E-06,1.8489E-06,
     &1.8736E-06,1.0995E-06,6.7072E-08,1.7179E-06,2.0520E-06,2.0964E-06,
     &1.2465E-06/
      DATA ((KB(JS,JT,54, 6),JS=1,5),JT=1,5) /
     &3.3662E-08,8.6685E-07,1.0712E-06,1.0638E-06,5.6675E-07,3.9188E-08,
     &9.9237E-07,1.2024E-06,1.1965E-06,6.6407E-07,4.4517E-08,1.1234E-06,
     &1.3453E-06,1.3477E-06,7.7015E-07,4.9410E-08,1.2591E-06,1.5022E-06,
     &1.5186E-06,8.8568E-07,5.3662E-08,1.4028E-06,1.6732E-06,1.7054E-06,
     &1.0088E-06/
      DATA ((KB(JS,JT,55, 6),JS=1,5),JT=1,5) /
     &2.6107E-08,6.9409E-07,8.6148E-07,8.5535E-07,4.4993E-07,3.0648E-08,
     &7.9874E-07,9.7050E-07,9.6432E-07,5.2987E-07,3.5070E-08,9.0919E-07,
     &1.0893E-06,1.0889E-06,6.1727E-07,3.9223E-08,1.0237E-06,1.2206E-06,
     &1.2308E-06,7.1345E-07,4.2897E-08,1.1450E-06,1.3641E-06,1.3878E-06,
     &8.1614E-07/
      DATA ((KB(JS,JT,56, 6),JS=1,5),JT=1,5) /
     &2.0183E-08,5.5461E-07,6.9187E-07,6.8686E-07,3.5634E-07,2.3906E-08,
     &6.4143E-07,7.8193E-07,7.7615E-07,4.2133E-07,2.7573E-08,7.3422E-07,
     &8.8059E-07,8.7848E-07,4.9387E-07,3.1066E-08,8.3083E-07,9.9001E-07,
     &9.9604E-07,5.7362E-07,3.4213E-08,9.3302E-07,1.1103E-06,1.1271E-06,
     &6.5906E-07/
      DATA ((KB(JS,JT,57, 6),JS=1,5),JT=1,5) /
     &1.5553E-08,4.4221E-07,5.5475E-07,5.5051E-07,2.8158E-07,1.8597E-08,
     &5.1387E-07,6.2883E-07,6.2381E-07,3.3432E-07,2.1627E-08,5.9165E-07,
     &7.1079E-07,7.0768E-07,3.9423E-07,2.4548E-08,6.7286E-07,8.0159E-07,
     &8.0451E-07,4.6009E-07,2.7223E-08,7.5870E-07,9.0196E-07,9.1372E-07,
     &5.3126E-07/
      DATA ((KB(JS,JT,58, 6),JS=1,5),JT=1,5) /
     &1.1989E-08,3.5271E-07,4.4504E-07,4.4164E-07,2.2247E-07,1.4473E-08,
     &4.1167E-07,5.0593E-07,5.0179E-07,2.6557E-07,1.6959E-08,4.7681E-07,
     &5.7389E-07,5.7055E-07,3.1488E-07,1.9386E-08,5.4503E-07,6.4933E-07,
     &6.5043E-07,3.6927E-07,2.1655E-08,6.1705E-07,7.3285E-07,7.4092E-07,
     &4.2823E-07/
      DATA ((KB(JS,JT,59, 6),JS=1,5),JT=1,5) /
     &9.5745E-09,2.8909E-07,3.6504E-07,3.6221E-07,1.8143E-07,1.1602E-08,
     &3.3869E-07,4.1625E-07,4.1267E-07,2.1754E-07,1.3639E-08,3.9363E-07,
     &4.7345E-07,4.7053E-07,2.5873E-07,1.5635E-08,4.5132E-07,5.3722E-07,
     &5.3779E-07,3.0436E-07,1.7515E-08,5.1255E-07,6.0804E-07,6.1445E-07,
     &3.5395E-07/
      DATA ((KB(JS,JT,13, 7),JS=1,5),JT=1,5) /
     &1.3818E-03,5.3095E-03,6.1744E-03,6.1409E-03,3.8201E-03,1.4927E-03,
     &5.4262E-03,6.3169E-03,6.3268E-03,3.9787E-03,1.5882E-03,5.5245E-03,
     &6.4575E-03,6.5042E-03,4.1285E-03,1.6683E-03,5.6028E-03,6.5859E-03,
     &6.6764E-03,4.2766E-03,1.7364E-03,5.6642E-03,6.6996E-03,6.8400E-03,
     &4.4196E-03/
      DATA ((KB(JS,JT,14, 7),JS=1,5),JT=1,5) /
     &1.1439E-03,4.4642E-03,5.2052E-03,5.1954E-03,3.2185E-03,1.2322E-03,
     &4.5612E-03,5.3295E-03,5.3554E-03,3.3544E-03,1.3082E-03,4.6425E-03,
     &5.4474E-03,5.5111E-03,3.4869E-03,1.3723E-03,4.7078E-03,5.5568E-03,
     &5.6605E-03,3.6178E-03,1.4273E-03,4.7614E-03,5.6536E-03,5.8004E-03,
     &3.7445E-03/
      DATA ((KB(JS,JT,15, 7),JS=1,5),JT=1,5) /
     &9.4600E-04,3.7452E-03,4.3786E-03,4.3839E-03,2.7064E-03,1.0166E-03,
     &3.8272E-03,4.4845E-03,4.5238E-03,2.8259E-03,1.0772E-03,3.8951E-03,
     &4.5852E-03,4.6569E-03,2.9424E-03,1.1287E-03,3.9508E-03,4.6776E-03,
     &4.7856E-03,3.0573E-03,1.1727E-03,3.9984E-03,4.7639E-03,4.9094E-03,
     &3.1707E-03/
      DATA ((KB(JS,JT,16, 7),JS=1,5),JT=1,5) /
     &7.8170E-04,3.1386E-03,3.6753E-03,3.6925E-03,2.2749E-03,8.3828E-04,
     &3.2067E-03,3.7655E-03,3.8108E-03,2.3791E-03,8.8677E-04,3.2636E-03,
     &3.8524E-03,3.9267E-03,2.4809E-03,9.2814E-04,3.3127E-03,3.9332E-03,
     &4.0389E-03,2.5819E-03,9.6342E-04,3.3561E-03,4.0123E-03,4.1493E-03,
     &2.6825E-03/
      DATA ((KB(JS,JT,17, 7),JS=1,5),JT=1,5) /
     &6.4513E-04,2.6258E-03,3.0792E-03,3.1027E-03,1.9109E-03,6.9065E-04,
     &2.6830E-03,3.1573E-03,3.2056E-03,2.0013E-03,7.2951E-04,2.7321E-03,
     &3.2326E-03,3.3061E-03,2.0905E-03,7.6279E-04,2.7759E-03,3.3057E-03,
     &3.4049E-03,2.1791E-03,7.9127E-04,2.8164E-03,3.3776E-03,3.5037E-03,
     &2.2680E-03/
      DATA ((KB(JS,JT,18, 7),JS=1,5),JT=1,5) /
     &5.3216E-04,2.1945E-03,2.5768E-03,2.6041E-03,1.6047E-03,5.6878E-04,
     &2.2431E-03,2.6453E-03,2.6934E-03,1.6829E-03,6.0002E-04,2.2864E-03,
     &2.7121E-03,2.7812E-03,1.7605E-03,6.2666E-04,2.3265E-03,2.7778E-03,
     &2.8689E-03,1.8389E-03,6.4956E-04,2.3645E-03,2.8436E-03,2.9587E-03,
     &1.9175E-03/
      DATA ((KB(JS,JT,19, 7),JS=1,5),JT=1,5) /
     &4.3878E-04,1.8328E-03,2.1555E-03,2.1844E-03,1.3470E-03,4.6832E-04,
     &1.8749E-03,2.2160E-03,2.2619E-03,1.4147E-03,4.9337E-04,1.9136E-03,
     &2.2752E-03,2.3395E-03,1.4834E-03,5.1483E-04,1.9509E-03,2.3344E-03,
     &2.4177E-03,1.5526E-03,5.3321E-04,1.9863E-03,2.3950E-03,2.4983E-03,
     &1.6228E-03/
      DATA ((KB(JS,JT,20, 7),JS=1,5),JT=1,5) /
     &3.6218E-04,1.5310E-03,1.8044E-03,1.8333E-03,1.1320E-03,3.8587E-04,
     &1.5681E-03,1.8573E-03,1.9010E-03,1.1911E-03,4.0599E-04,1.6034E-03,
     &1.9105E-03,1.9693E-03,1.2516E-03,4.2327E-04,1.6372E-03,1.9642E-03,
     &2.0400E-03,1.3133E-03,4.3800E-04,1.6702E-03,2.0196E-03,2.1120E-03,
     &1.3760E-03/
      DATA ((KB(JS,JT,21, 7),JS=1,5),JT=1,5) /
     &2.9894E-04,1.2794E-03,1.5109E-03,1.5392E-03,9.5196E-04,3.1795E-04,
     &1.3126E-03,1.5578E-03,1.5985E-03,1.0041E-03,3.3409E-04,1.3444E-03,
     &1.6054E-03,1.6590E-03,1.0575E-03,3.4798E-04,1.3752E-03,1.6542E-03,
     &1.7228E-03,1.1124E-03,3.5982E-04,1.4062E-03,1.7046E-03,1.7872E-03,
     &1.1688E-03/
      DATA ((KB(JS,JT,22, 7),JS=1,5),JT=1,5) /
     &2.4779E-04,1.0720E-03,1.2687E-03,1.2959E-03,8.0428E-04,2.6287E-04,
     &1.1012E-03,1.3104E-03,1.3483E-03,8.5046E-04,2.7570E-04,1.1300E-03,
     &1.3532E-03,1.4032E-03,8.9796E-04,2.8676E-04,1.1583E-03,1.3978E-03,
     &1.4602E-03,9.4722E-04,2.9612E-04,1.1873E-03,1.4439E-03,1.5185E-03,
     &9.9812E-04/
      DATA ((KB(JS,JT,23, 7),JS=1,5),JT=1,5) /
     &2.0536E-04,8.9901E-04,1.0666E-03,1.0925E-03,6.8077E-04,2.1732E-04,
     &9.2514E-04,1.1037E-03,1.1394E-03,7.2189E-04,2.2752E-04,9.5109E-04,
     &1.1426E-03,1.1888E-03,7.6437E-04,2.3632E-04,9.7728E-04,1.1832E-03,
     &1.2403E-03,8.0877E-04,2.4369E-04,1.0040E-03,1.2260E-03,1.2934E-03,
     &8.5489E-04/
      DATA ((KB(JS,JT,24, 7),JS=1,5),JT=1,5) /
     &1.7021E-04,7.5506E-04,8.9800E-04,9.2265E-04,5.7788E-04,1.7969E-04,
     &7.7853E-04,9.3149E-04,9.6497E-04,6.1443E-04,1.8778E-04,8.0207E-04,
     &9.6680E-04,1.0097E-03,6.5278E-04,1.9477E-04,8.2622E-04,1.0041E-03,
     &1.0564E-03,6.9293E-04,2.0055E-04,8.5104E-04,1.0439E-03,1.1053E-03,
     &7.3424E-04/
      DATA ((KB(JS,JT,25, 7),JS=1,5),JT=1,5) /
     &1.4110E-04,6.3531E-04,7.5746E-04,7.8109E-04,4.9195E-04,1.4860E-04,
     &6.5629E-04,7.8801E-04,8.1951E-04,5.2472E-04,1.5502E-04,6.7802E-04,
     &8.2018E-04,8.6005E-04,5.5929E-04,1.6054E-04,7.0023E-04,8.5487E-04,
     &9.0270E-04,5.9546E-04,1.6506E-04,7.2333E-04,8.9213E-04,9.4794E-04,
     &6.3296E-04/
      DATA ((KB(JS,JT,26, 7),JS=1,5),JT=1,5) /
     &1.1704E-04,5.3563E-04,6.4089E-04,6.6348E-04,4.2036E-04,1.2296E-04,
     &5.5482E-04,6.6859E-04,6.9842E-04,4.4986E-04,1.2804E-04,5.7460E-04,
     &6.9838E-04,7.3532E-04,4.8115E-04,1.3237E-04,5.9528E-04,7.3081E-04,
     &7.7472E-04,5.1371E-04,1.3587E-04,6.1708E-04,7.6562E-04,8.1649E-04,
     &5.4800E-04/
      DATA ((KB(JS,JT,27, 7),JS=1,5),JT=1,5) /
     &9.7037E-05,4.5263E-04,5.4353E-04,5.6528E-04,3.6031E-04,1.0171E-04,
     &4.7018E-04,5.6899E-04,5.9710E-04,3.8698E-04,1.0572E-04,4.8833E-04,
     &5.9675E-04,6.3096E-04,4.1505E-04,1.0911E-04,5.0767E-04,6.2713E-04,
     &6.6736E-04,4.4466E-04,1.1182E-04,5.2830E-04,6.5949E-04,7.0600E-04,
     &4.7625E-04/
      DATA ((KB(JS,JT,28, 7),JS=1,5),JT=1,5) /
     &8.0419E-05,3.8349E-04,4.6224E-04,4.8308E-04,3.0982E-04,8.4110E-05,
     &3.9943E-04,4.8584E-04,5.1214E-04,3.3386E-04,8.7283E-05,4.1636E-04,
     &5.1189E-04,5.4353E-04,3.5924E-04,8.9914E-05,4.3456E-04,5.4020E-04,
     &5.7698E-04,3.8635E-04,9.2003E-05,4.5406E-04,5.7030E-04,6.1286E-04,
     &4.1553E-04/
      DATA ((KB(JS,JT,29, 7),JS=1,5),JT=1,5) /
     &6.6637E-05,3.2580E-04,3.9453E-04,4.1439E-04,2.6738E-04,6.9552E-05,
     &3.4052E-04,4.1660E-04,4.4116E-04,2.8904E-04,7.2042E-05,3.5633E-04,
     &4.4102E-04,4.7005E-04,3.1218E-04,7.4082E-05,3.7351E-04,4.6731E-04,
     &5.0108E-04,3.3714E-04,7.5692E-05,3.9190E-04,4.9529E-04,5.3447E-04,
     &3.6421E-04/
      DATA ((KB(JS,JT,30, 7),JS=1,5),JT=1,5) /
     &5.5194E-05,2.7757E-04,3.3804E-04,3.5670E-04,2.3148E-04,5.7489E-05,
     &2.9130E-04,3.5876E-04,3.8143E-04,2.5115E-04,5.9445E-05,3.0619E-04,
     &3.8148E-04,4.0810E-04,2.7242E-04,6.1024E-05,3.2233E-04,4.0578E-04,
     &4.3698E-04,2.9552E-04,6.2251E-05,3.3969E-04,4.3185E-04,4.6830E-04,
     &3.2052E-04/
      DATA ((KB(JS,JT,31, 7),JS=1,5),JT=1,5) /
     &4.5701E-05,2.3736E-04,2.9086E-04,3.0834E-04,2.0114E-04,4.7516E-05,
     &2.5020E-04,3.1032E-04,3.3113E-04,2.1916E-04,4.9034E-05,2.6424E-04,
     &3.3131E-04,3.5593E-04,2.3874E-04,5.0247E-05,2.7943E-04,3.5395E-04,
     &3.8299E-04,2.6024E-04,5.1186E-05,2.9578E-04,3.7829E-04,4.1250E-04,
     &2.8341E-04/
      DATA ((KB(JS,JT,32, 7),JS=1,5),JT=1,5) /
     &3.7829E-05,2.0379E-04,2.5145E-04,2.6761E-04,1.7549E-04,3.9256E-05,
     &2.1585E-04,2.6951E-04,2.8871E-04,1.9207E-04,4.0434E-05,2.2904E-04,
     &2.8903E-04,3.1192E-04,2.1034E-04,4.1367E-05,2.4332E-04,3.1020E-04,
     &3.3744E-04,2.3024E-04,4.2072E-05,2.5873E-04,3.3309E-04,3.6527E-04,
     &2.5179E-04/
      DATA ((KB(JS,JT,33, 7),JS=1,5),JT=1,5) /
     &3.1302E-05,1.7572E-04,2.1830E-04,2.3321E-04,1.5375E-04,3.2419E-05,
     &1.8706E-04,2.3504E-04,2.5291E-04,1.6915E-04,3.3327E-05,1.9940E-04,
     &2.5328E-04,2.7479E-04,1.8617E-04,3.4039E-05,2.1283E-04,2.7315E-04,
     &2.9887E-04,2.0465E-04,3.4568E-05,2.2731E-04,2.9474E-04,3.2519E-04,
     &2.2485E-04/
      DATA ((KB(JS,JT,34, 7),JS=1,5),JT=1,5) /
     &2.5851E-05,1.5182E-04,1.8976E-04,2.0353E-04,1.3483E-04,2.6731E-05,
     &1.6241E-04,2.0531E-04,2.2199E-04,1.4918E-04,2.7437E-05,1.7395E-04,
     &2.2237E-04,2.4258E-04,1.6491E-04,2.7988E-05,1.8656E-04,2.4113E-04,
     &2.6529E-04,1.8217E-04,2.8384E-05,2.0017E-04,2.6144E-04,2.9020E-04,
     &2.0116E-04/
      DATA ((KB(JS,JT,35, 7),JS=1,5),JT=1,5) /
     &2.1271E-05,1.3078E-04,1.6426E-04,1.7685E-04,1.1756E-04,2.1975E-05,
     &1.4058E-04,1.7865E-04,1.9403E-04,1.3072E-04,2.2533E-05,1.5132E-04,
     &1.9456E-04,2.1323E-04,1.4523E-04,2.2966E-05,1.6307E-04,2.1206E-04,
     &2.3454E-04,1.6133E-04,2.3274E-05,1.7579E-04,2.3112E-04,2.5800E-04,
     &1.7911E-04/
      DATA ((KB(JS,JT,36, 7),JS=1,5),JT=1,5) /
     &1.7431E-05,1.1205E-04,1.4128E-04,1.5260E-04,1.0161E-04,1.8004E-05,
     &1.2103E-04,1.5448E-04,1.6840E-04,1.1356E-04,1.8458E-05,1.3095E-04,
     &1.6918E-04,1.8616E-04,1.2687E-04,1.8810E-05,1.4182E-04,1.8539E-04,
     &2.0596E-04,1.4179E-04,1.9059E-05,1.5363E-04,2.0317E-04,2.2788E-04,
     &1.5831E-04/
      DATA ((KB(JS,JT,37, 7),JS=1,5),JT=1,5) /
     &1.4204E-05,9.5010E-05,1.2008E-04,1.2996E-04,8.6482E-05,1.4685E-05,
     &1.0313E-04,1.3200E-04,1.4426E-04,9.7179E-05,1.5069E-05,1.1214E-04,
     &1.4536E-04,1.6042E-04,1.0922E-04,1.5369E-05,1.2211E-04,1.6020E-04,
     &1.7855E-04,1.2282E-04,1.5586E-05,1.3296E-04,1.7661E-04,1.9876E-04,
     &1.3797E-04/
      DATA ((KB(JS,JT,38, 7),JS=1,5),JT=1,5) /
     &1.1571E-05,8.0545E-05,1.0206E-04,1.1063E-04,7.3563E-05,1.1976E-05,
     &8.7875E-05,1.1281E-04,1.2357E-04,8.3149E-05,1.2301E-05,9.6063E-05,
     &1.2495E-04,1.3829E-04,9.4026E-05,1.2557E-05,1.0518E-04,1.3851E-04,
     &1.5487E-04,1.0642E-04,1.2744E-05,1.1515E-04,1.5364E-04,1.7352E-04,
     &1.2029E-04/
      DATA ((KB(JS,JT,39, 7),JS=1,5),JT=1,5) /
     &9.4254E-06,6.8333E-05,8.6798E-05,9.4247E-05,6.2604E-05,9.7657E-06,
     &7.4945E-05,9.6495E-05,1.0595E-04,7.1185E-05,1.0041E-05,8.2376E-05,
     &1.0752E-04,1.1934E-04,8.1022E-05,1.0258E-05,9.0687E-05,1.1992E-04,
     &1.3453E-04,9.2315E-05,1.0419E-05,9.9852E-05,1.3387E-04,1.5177E-04,
     &1.0504E-04/
      DATA ((KB(JS,JT,40, 7),JS=1,5),JT=1,5) /
     &7.6452E-06,5.7428E-05,7.3021E-05,7.9333E-05,5.2568E-05,7.9354E-06,
     &6.3315E-05,8.1650E-05,8.9752E-05,6.0144E-05,8.1739E-06,6.9961E-05,
     &9.1542E-05,1.0176E-04,6.8905E-05,8.3626E-06,7.7456E-05,1.0275E-04,
     &1.1552E-04,7.9059E-05,8.5064E-06,8.5795E-05,1.1542E-04,1.3128E-04,
     &9.0578E-05/
      DATA ((KB(JS,JT,41, 7),JS=1,5),JT=1,5) /
     &6.1953E-06,4.8163E-05,6.1287E-05,6.6616E-05,4.4011E-05,6.4418E-06,
     &5.3383E-05,6.8934E-05,7.5842E-05,5.0670E-05,6.6484E-06,5.9312E-05,
     &7.7785E-05,8.6580E-05,5.8448E-05,6.8134E-06,6.6054E-05,8.7876E-05,
     &9.8995E-05,6.7543E-05,6.9402E-06,7.3614E-05,9.9378E-05,1.1337E-04,
     &7.7942E-05/
      DATA ((KB(JS,JT,42, 7),JS=1,5),JT=1,5) /
     &5.0170E-06,4.0358E-05,5.1378E-05,5.5875E-05,3.6794E-05,5.2266E-06,
     &4.4971E-05,5.8141E-05,6.4024E-05,4.2639E-05,5.4046E-06,5.0250E-05,
     &6.6034E-05,7.3601E-05,4.9527E-05,5.5484E-06,5.6302E-05,7.5111E-05,
     &8.4788E-05,5.7654E-05,5.6600E-06,6.3153E-05,8.5551E-05,9.7898E-05,
     &6.7040E-05/
      DATA ((KB(JS,JT,43, 7),JS=1,5),JT=1,5) /
     &4.0498E-06,3.3563E-05,4.2716E-05,4.6433E-05,3.0447E-05,4.2291E-06,
     &3.7603E-05,4.8619E-05,5.3551E-05,3.5516E-05,4.3833E-06,4.2260E-05,
     &5.5585E-05,6.1999E-05,4.1549E-05,4.5099E-06,4.7650E-05,6.3668E-05,
     &7.1964E-05,4.8728E-05,4.6096E-06,5.3790E-05,7.3053E-05,8.3779E-05,
     &5.7105E-05/
      DATA ((KB(JS,JT,44, 7),JS=1,5),JT=1,5) /
     &3.2616E-06,2.7781E-05,3.5335E-05,3.8366E-05,2.5032E-05,3.4164E-06,
     &3.1296E-05,4.0444E-05,4.4531E-05,2.9399E-05,3.5491E-06,3.5375E-05,
     &4.6540E-05,5.1925E-05,3.4633E-05,3.6610E-06,4.0146E-05,5.3687E-05,
     &6.0738E-05,4.0935E-05,3.7500E-06,4.5618E-05,6.2061E-05,7.1298E-05,
     &4.8356E-05/
      DATA ((KB(JS,JT,45, 7),JS=1,5),JT=1,5) /
     &2.6238E-06,2.2952E-05,2.9162E-05,3.1630E-05,2.0522E-05,2.7571E-06,
     &2.5992E-05,3.3567E-05,3.6938E-05,2.4268E-05,2.8713E-06,2.9549E-05,
     &3.8881E-05,4.3383E-05,2.8792E-05,2.9693E-06,3.3760E-05,4.5177E-05,
     &5.1149E-05,3.4303E-05,3.0482E-06,3.8627E-05,5.2624E-05,6.0551E-05,
     &4.0857E-05/
      DATA ((KB(JS,JT,46, 7),JS=1,5),JT=1,5) /
     &2.1051E-06,1.8867E-05,2.3935E-05,2.5917E-05,1.6710E-05,2.2206E-06,
     &2.1480E-05,2.7705E-05,3.0449E-05,1.9893E-05,2.3191E-06,2.4557E-05,
     &3.2298E-05,3.6019E-05,2.3769E-05,2.4046E-06,2.8239E-05,3.7798E-05,
     &4.2807E-05,2.8545E-05,2.4746E-06,3.2543E-05,4.4374E-05,5.1109E-05,
     &3.4299E-05/
      DATA ((KB(JS,JT,47, 7),JS=1,5),JT=1,5) /
     &1.6817E-06,1.5386E-05,1.9464E-05,2.1024E-05,1.3455E-05,1.7822E-06,
     &1.7605E-05,2.2652E-05,2.4840E-05,1.6124E-05,1.8680E-06,2.0236E-05,
     &2.6567E-05,2.9585E-05,1.9401E-05,1.9423E-06,2.3413E-05,3.1317E-05,
     &3.5433E-05,2.3476E-05,2.0049E-06,2.7181E-05,3.7054E-05,4.2668E-05,
     &2.8466E-05/
      DATA ((KB(JS,JT,48, 7),JS=1,5),JT=1,5) /
     &1.3405E-06,1.2514E-05,1.5779E-05,1.6993E-05,1.0791E-05,1.4280E-06,
     &1.4385E-05,1.8460E-05,2.0187E-05,1.3017E-05,1.5026E-06,1.6623E-05,
     &2.1773E-05,2.4205E-05,1.5768E-05,1.5671E-06,1.9354E-05,2.5854E-05,
     &2.9218E-05,1.9227E-05,1.6224E-06,2.2629E-05,3.0833E-05,3.5479E-05,
     &2.3525E-05/
      DATA ((KB(JS,JT,49, 7),JS=1,5),JT=1,5) /
     &1.0664E-06,1.0149E-05,1.2751E-05,1.3684E-05,8.6188E-06,1.1418E-06,
     &1.1720E-05,1.4999E-05,1.6352E-05,1.0467E-05,1.2069E-06,1.3612E-05,
     &1.7780E-05,1.9716E-05,1.2759E-05,1.2630E-06,1.5945E-05,2.1262E-05,
     &2.3990E-05,1.5676E-05,1.3113E-06,1.8775E-05,2.5560E-05,2.9382E-05,
     &1.9352E-05/
      DATA ((KB(JS,JT,50, 7),JS=1,5),JT=1,5) /
     &8.4808E-07,8.2401E-06,1.0318E-05,1.1036E-05,6.8939E-06,9.1269E-07,
     &9.5513E-06,1.2189E-05,1.3247E-05,8.4209E-06,9.6928E-07,1.1160E-05,
     &1.4539E-05,1.6084E-05,1.0336E-05,1.0177E-06,1.3146E-05,1.7498E-05,
     &1.9711E-05,1.2790E-05,1.0595E-06,1.5592E-05,2.1207E-05,2.4356E-05,
     &1.5929E-05/
      DATA ((KB(JS,JT,51, 7),JS=1,5),JT=1,5) /
     &6.7378E-07,6.6826E-06,8.3381E-06,8.8828E-06,5.5052E-06,7.2873E-07,
     &7.7753E-06,9.8905E-06,1.0714E-05,6.7636E-06,7.7763E-07,9.1368E-06,
     &1.1866E-05,1.3091E-05,8.3559E-06,8.1953E-07,1.0824E-05,1.4378E-05,
     &1.6168E-05,1.0417E-05,8.5561E-07,1.2933E-05,1.7571E-05,2.0159E-05,
     &1.3087E-05/
      DATA ((KB(JS,JT,52, 7),JS=1,5),JT=1,5) /
     &5.3444E-07,5.4066E-06,6.7197E-06,7.1297E-06,4.3814E-06,5.8095E-07,
     &6.3124E-06,7.9989E-06,8.6346E-06,5.4122E-06,6.2282E-07,7.4561E-06,
     &9.6489E-06,1.0614E-05,6.7289E-06,6.5913E-07,8.8917E-06,1.1780E-05,
     &1.3220E-05,8.4497E-06,6.9032E-07,1.0691E-05,1.4504E-05,1.6615E-05,
     &1.0706E-05/
      DATA ((KB(JS,JT,53, 7),JS=1,5),JT=1,5) /
     &4.2309E-07,4.3635E-06,5.4017E-06,5.7047E-06,3.4733E-06,4.6223E-07,
     &5.1097E-06,6.4465E-06,6.9322E-06,4.3120E-06,4.9791E-07,6.0643E-06,
     &7.8166E-06,8.5690E-06,5.3948E-06,5.2942E-07,7.2726E-06,9.6042E-06,
     &1.0748E-05,6.8211E-06,5.5635E-07,8.8074E-06,1.1924E-05,1.3632E-05,
     &8.7176E-06/
      DATA ((KB(JS,JT,54, 7),JS=1,5),JT=1,5) /
     &3.3525E-07,3.5291E-06,4.3533E-06,4.5783E-06,2.7618E-06,3.6801E-07,
     &4.1464E-06,5.2098E-06,5.5821E-06,3.4468E-06,3.9830E-07,4.9442E-06,
     &6.3495E-06,6.9393E-06,4.3390E-06,4.2530E-07,5.9638E-06,7.8520E-06,
     &8.7652E-06,5.5238E-06,4.4850E-07,7.2711E-06,9.8256E-06,1.1213E-05,
     &7.1180E-06/
      DATA ((KB(JS,JT,55, 7),JS=1,5),JT=1,5) /
     &2.6561E-07,2.8535E-06,3.5091E-06,3.6747E-06,2.1953E-06,2.9299E-07,
     &3.3630E-06,4.2093E-06,4.4935E-06,2.7543E-06,3.1855E-07,4.0286E-06,
     &5.1555E-06,5.6160E-06,3.4885E-06,3.4149E-07,4.8884E-06,6.4166E-06,
     &7.1432E-06,4.4712E-06,3.6149E-07,6.0082E-06,8.1053E-06,9.2338E-06,
     &5.8114E-06/
      DATA ((KB(JS,JT,56, 7),JS=1,5),JT=1,5) /
     &2.1017E-07,2.3019E-06,2.8217E-06,2.9420E-06,1.7403E-06,2.3294E-07,
     &2.7215E-06,3.3922E-06,3.6070E-06,2.1943E-06,2.5436E-07,3.2732E-06,
     &4.1720E-06,4.5291E-06,2.7950E-06,2.7383E-07,3.9951E-06,5.2252E-06,
     &5.7990E-06,3.6054E-06,2.9106E-07,4.9429E-06,6.6518E-06,7.5613E-06,
     &4.7246E-06/
      DATA ((KB(JS,JT,57, 7),JS=1,5),JT=1,5) /
     &1.6608E-07,1.8531E-06,2.2639E-06,2.3504E-06,1.3760E-06,1.8488E-07,
     &2.1971E-06,2.7271E-06,2.8870E-06,1.7421E-06,2.0279E-07,2.6520E-06,
     &3.3659E-06,3.6392E-06,2.2316E-06,2.1931E-07,3.2543E-06,4.2391E-06,
     &4.6891E-06,2.8949E-06,2.3404E-07,4.0527E-06,5.4380E-06,6.1649E-06,
     &3.8234E-06/
      DATA ((KB(JS,JT,58, 7),JS=1,5),JT=1,5) /
     &1.3131E-07,1.4927E-06,1.8179E-06,1.8787E-06,1.0893E-06,1.4677E-07,
     &1.7748E-06,2.1946E-06,2.3122E-06,1.3839E-06,1.6171E-07,2.1494E-06,
     &2.7171E-06,2.9256E-06,1.7827E-06,1.7567E-07,2.6514E-06,3.4407E-06,
     &3.7923E-06,2.3269E-06,1.8816E-07,3.3237E-06,4.4466E-06,5.0280E-06,
     &3.0958E-06/
      DATA ((KB(JS,JT,59, 7),JS=1,5),JT=1,5) /
     &1.0599E-07,1.2374E-06,1.5060E-06,1.5543E-06,8.9750E-07,1.1868E-07,
     &1.4795E-06,1.8285E-06,1.9251E-06,1.1479E-06,1.3098E-07,1.8042E-06,
     &2.2807E-06,2.4552E-06,1.4897E-06,1.4252E-07,2.2439E-06,2.9152E-06,
     &3.2163E-06,1.9622E-06,1.5291E-07,2.8396E-06,3.8087E-06,4.3138E-06,
     &2.6387E-06/
      DATA ((KB(JS,JT,13, 8),JS=1,5),JT=1,5) /
     &8.3673E-03,1.7454E-02,2.0213E-02,2.0132E-02,1.3810E-02,8.5039E-03,
     &1.7824E-02,2.0684E-02,2.0616E-02,1.4219E-02,8.6129E-03,1.8196E-02,
     &2.1163E-02,2.1143E-02,1.4616E-02,8.6913E-03,1.8563E-02,2.1635E-02,
     &2.1674E-02,1.4991E-02,8.7301E-03,1.8916E-02,2.2103E-02,2.2198E-02,
     &1.5351E-02/
      DATA ((KB(JS,JT,14, 8),JS=1,5),JT=1,5) /
     &6.9346E-03,1.4952E-02,1.7380E-02,1.7342E-02,1.1803E-02,7.0328E-03,
     &1.5276E-02,1.7808E-02,1.7830E-02,1.2181E-02,7.1113E-03,1.5604E-02,
     &1.8240E-02,1.8321E-02,1.2544E-02,7.1580E-03,1.5937E-02,1.8667E-02,
     &1.8814E-02,1.2884E-02,7.1785E-03,1.6228E-02,1.9093E-02,1.9299E-02,
     &1.3230E-02/
      DATA ((KB(JS,JT,15, 8),JS=1,5),JT=1,5) /
     &5.7307E-03,1.2763E-02,1.4890E-02,1.4912E-02,1.0073E-02,5.8017E-03,
     &1.3052E-02,1.5278E-02,1.5370E-02,1.0417E-02,5.8533E-03,1.3347E-02,
     &1.5666E-02,1.5828E-02,1.0742E-02,5.8826E-03,1.3628E-02,1.6057E-02,
     &1.6289E-02,1.1066E-02,5.8933E-03,1.3873E-02,1.6444E-02,1.6739E-02,
     &1.1388E-02/
      DATA ((KB(JS,JT,16, 8),JS=1,5),JT=1,5) /
     &4.7247E-03,1.0863E-02,1.2723E-02,1.2788E-02,8.5822E-03,4.7755E-03,
     &1.1124E-02,1.3076E-02,1.3211E-02,8.8907E-03,4.8095E-03,1.1385E-02,
     &1.3431E-02,1.3641E-02,9.1903E-03,4.8283E-03,1.1622E-02,1.3790E-02,
     &1.4066E-02,9.4912E-03,4.8333E-03,1.1841E-02,1.4135E-02,1.4487E-02,
     &9.7938E-03/
      DATA ((KB(JS,JT,17, 8),JS=1,5),JT=1,5) /
     &3.8881E-03,9.2313E-03,1.0848E-02,1.0942E-02,7.3006E-03,3.9238E-03,
     &9.4601E-03,1.1171E-02,1.1333E-02,7.5792E-03,3.9468E-03,9.6874E-03,
     &1.1500E-02,1.1732E-02,7.8560E-03,3.9590E-03,9.8962E-03,1.1826E-02,
     &1.2129E-02,8.1376E-03,3.9612E-03,1.0094E-02,1.2144E-02,1.2521E-02,
     &8.4293E-03/
      DATA ((KB(JS,JT,18, 8),JS=1,5),JT=1,5) /
     &3.1953E-03,7.8309E-03,9.2361E-03,9.3523E-03,6.2048E-03,3.2208E-03,
     &8.0372E-03,9.5350E-03,9.7148E-03,6.4590E-03,3.2365E-03,8.2342E-03,
     &9.8382E-03,1.0082E-02,6.7154E-03,3.2447E-03,8.4229E-03,1.0138E-02,
     &1.0450E-02,6.9838E-03,3.2450E-03,8.6061E-03,1.0427E-02,1.0814E-02,
     &7.2626E-03/
      DATA ((KB(JS,JT,19, 8),JS=1,5),JT=1,5) /
     &2.6235E-03,6.6399E-03,7.8599E-03,7.9875E-03,5.2728E-03,2.6414E-03,
     &6.8231E-03,8.1351E-03,8.3230E-03,5.5070E-03,2.6530E-03,7.0004E-03,
     &8.4138E-03,8.6629E-03,5.7468E-03,2.6583E-03,7.1756E-03,8.6887E-03,
     &9.0029E-03,6.0006E-03,2.6573E-03,7.3457E-03,8.9549E-03,9.3422E-03,
     &6.2658E-03/
      DATA ((KB(JS,JT,20, 8),JS=1,5),JT=1,5) /
     &2.1528E-03,5.6300E-03,6.6928E-03,6.8275E-03,4.4887E-03,2.1659E-03,
     &5.7965E-03,6.9483E-03,7.1374E-03,4.7044E-03,2.1742E-03,5.9617E-03,
     &7.2036E-03,7.4503E-03,4.9314E-03,2.1777E-03,6.1251E-03,7.4562E-03,
     &7.7657E-03,5.1700E-03,2.1757E-03,6.2850E-03,7.7065E-03,8.0891E-03,
     &5.4225E-03/
      DATA ((KB(JS,JT,21, 8),JS=1,5),JT=1,5) /
     &1.7659E-03,4.7778E-03,5.7054E-03,5.8417E-03,3.8271E-03,1.7754E-03,
     &4.9299E-03,5.9393E-03,6.1257E-03,4.0264E-03,1.7817E-03,5.0836E-03,
     &6.1750E-03,6.4148E-03,4.2397E-03,1.7836E-03,5.2370E-03,6.4083E-03,
     &6.7125E-03,4.4647E-03,1.7811E-03,5.3876E-03,6.6480E-03,7.0201E-03,
     &4.7076E-03/
      DATA ((KB(JS,JT,22, 8),JS=1,5),JT=1,5) /
     &1.4486E-03,4.0679E-03,4.8826E-03,5.0205E-03,3.2805E-03,1.4554E-03,
     &4.2085E-03,5.0980E-03,5.2827E-03,3.4669E-03,1.4597E-03,4.3515E-03,
     &5.3153E-03,5.5535E-03,3.6674E-03,1.4606E-03,4.4957E-03,5.5353E-03,
     &5.8376E-03,3.8816E-03,1.4577E-03,4.6383E-03,5.7672E-03,6.1302E-03,
     &4.1156E-03/
      DATA ((KB(JS,JT,23, 8),JS=1,5),JT=1,5) /
     &1.1880E-03,3.4698E-03,4.1861E-03,4.3248E-03,2.8199E-03,1.1929E-03,
     &3.6010E-03,4.3862E-03,4.5689E-03,2.9956E-03,1.1958E-03,3.7344E-03,
     &4.5877E-03,4.8273E-03,3.1843E-03,1.1959E-03,3.8697E-03,4.8007E-03,
     &5.0965E-03,3.3903E-03,1.1929E-03,4.0068E-03,5.0232E-03,5.3791E-03,
     &3.6136E-03/
      DATA ((KB(JS,JT,24, 8),JS=1,5),JT=1,5) /
     &9.7406E-04,2.9675E-03,3.6006E-03,3.7379E-03,2.4344E-03,9.7756E-04,
     &3.0896E-03,3.7850E-03,3.9686E-03,2.5994E-03,9.7946E-04,3.2150E-03,
     &3.9775E-03,4.2135E-03,2.7776E-03,9.7899E-04,3.3430E-03,4.1825E-03,
     &4.4708E-03,2.9753E-03,9.7615E-04,3.4761E-03,4.3966E-03,4.7457E-03,
     &3.1900E-03/
      DATA ((KB(JS,JT,25, 8),JS=1,5),JT=1,5) /
     &7.9856E-04,2.5459E-03,3.1077E-03,3.2447E-03,2.1114E-03,8.0110E-04,
     &2.6605E-03,3.2805E-03,3.4640E-03,2.2664E-03,8.0222E-04,2.7778E-03,
     &3.4666E-03,3.6958E-03,2.4376E-03,8.0129E-04,2.9014E-03,3.6623E-03,
     &3.9444E-03,2.6269E-03,7.9857E-04,3.0302E-03,3.8698E-03,4.2126E-03,
     &2.8335E-03/
      DATA ((KB(JS,JT,26, 8),JS=1,5),JT=1,5) /
     &6.5460E-04,2.1933E-03,2.6944E-03,2.8334E-03,1.8417E-03,6.5639E-04,
     &2.3003E-03,2.8599E-03,3.0409E-03,1.9886E-03,6.5685E-04,2.4132E-03,
     &3.0384E-03,3.2639E-03,2.1545E-03,6.5577E-04,2.5323E-03,3.2275E-03,
     &3.5055E-03,2.3366E-03,6.5325E-04,2.6572E-03,3.4294E-03,3.7687E-03,
     &2.5365E-03/
      DATA ((KB(JS,JT,27, 8),JS=1,5),JT=1,5) /
     &5.3655E-04,1.8966E-03,2.3474E-03,2.4873E-03,1.6142E-03,5.3777E-04,
     &1.9979E-03,2.5069E-03,2.6849E-03,1.7570E-03,5.3783E-04,2.1070E-03,
     &2.6778E-03,2.9010E-03,1.9163E-03,5.3661E-04,2.2218E-03,2.8609E-03,
     &3.1373E-03,2.0925E-03,5.3426E-04,2.3437E-03,3.0591E-03,3.3953E-03,
     &2.2871E-03/
      DATA ((KB(JS,JT,28, 8),JS=1,5),JT=1,5) /
     &4.3973E-04,1.6467E-03,2.0564E-03,2.1950E-03,1.4243E-03,4.4046E-04,
     &1.7445E-03,2.2094E-03,2.3854E-03,1.5622E-03,4.4027E-04,1.8495E-03,
     &2.3737E-03,2.5954E-03,1.7160E-03,4.3902E-04,1.9607E-03,2.5527E-03,
     &2.8280E-03,1.8875E-03,4.3690E-04,2.0797E-03,2.7483E-03,3.0809E-03,
     &2.0783E-03/
      DATA ((KB(JS,JT,29, 8),JS=1,5),JT=1,5) /
     &3.6035E-04,1.4377E-03,1.8129E-03,1.9502E-03,1.2665E-03,3.6078E-04,
     &1.5322E-03,1.9593E-03,2.1346E-03,1.3993E-03,3.6035E-04,1.6333E-03,
     &2.1194E-03,2.3407E-03,1.5489E-03,3.5917E-04,1.7416E-03,2.2958E-03,
     &2.5693E-03,1.7169E-03,3.5722E-04,1.8583E-03,2.4893E-03,2.8199E-03,
     &1.9058E-03/
      DATA ((KB(JS,JT,30, 8),JS=1,5),JT=1,5) /
     &2.9522E-04,1.2625E-03,1.6073E-03,1.7444E-03,1.1337E-03,2.9544E-04,
     &1.3534E-03,1.7493E-03,1.9248E-03,1.2629E-03,2.9489E-04,1.4513E-03,
     &1.9064E-03,2.1281E-03,1.4093E-03,2.9377E-04,1.5575E-03,2.0813E-03,
     &2.3536E-03,1.5751E-03,2.9201E-04,1.6725E-03,2.2728E-03,2.6031E-03,
     &1.7633E-03/
      DATA ((KB(JS,JT,31, 8),JS=1,5),JT=1,5) /
     &2.4186E-04,1.1155E-03,1.4353E-03,1.5729E-03,1.0232E-03,2.4189E-04,
     &1.2032E-03,1.5739E-03,1.7508E-03,1.1498E-03,2.4130E-04,1.2988E-03,
     &1.7296E-03,1.9516E-03,1.2942E-03,2.4025E-04,1.4034E-03,1.9030E-03,
     &2.1764E-03,1.4594E-03,2.3866E-04,1.5170E-03,2.0940E-03,2.4270E-03,
     &1.6471E-03/
      DATA ((KB(JS,JT,32, 8),JS=1,5),JT=1,5) /
     &1.9811E-04,9.9188E-04,1.2914E-03,1.4311E-03,9.3157E-04,1.9799E-04,
     &1.0771E-03,1.4282E-03,1.6073E-03,1.0562E-03,1.9741E-04,1.1711E-03,
     &1.5828E-03,1.8068E-03,1.1999E-03,1.9645E-04,1.2746E-03,1.7559E-03,
     &2.0320E-03,1.3654E-03,1.9503E-04,1.3871E-03,1.9473E-03,2.2851E-03,
     &1.5533E-03/
      DATA ((KB(JS,JT,33, 8),JS=1,5),JT=1,5) /
     &1.6225E-04,8.8803E-04,1.1717E-03,1.3138E-03,8.5556E-04,1.6205E-04,
     &9.7174E-04,1.3077E-03,1.4890E-03,9.7930E-04,1.6148E-04,1.0648E-03,
     &1.4621E-03,1.6891E-03,1.1237E-03,1.6059E-04,1.1673E-03,1.6357E-03,
     &1.9165E-03,1.2896E-03,1.5934E-04,1.2795E-03,1.8288E-03,2.1736E-03,
     &1.4791E-03/
      DATA ((KB(JS,JT,34, 8),JS=1,5),JT=1,5) /
     &1.3286E-04,7.9835E-04,1.0683E-03,1.2117E-03,7.8908E-04,1.3261E-04,
     &8.8066E-04,1.2036E-03,1.3865E-03,9.1252E-04,1.3209E-04,9.7270E-04,
     &1.3580E-03,1.5871E-03,1.0570E-03,1.3130E-04,1.0748E-03,1.5318E-03,
     &1.8171E-03,1.2236E-03,1.3022E-04,1.1866E-03,1.7264E-03,2.0786E-03,
     &1.4148E-03/
      DATA ((KB(JS,JT,35, 8),JS=1,5),JT=1,5) /
     &1.0879E-04,7.1567E-04,9.7075E-04,1.1118E-03,7.2353E-04,1.0855E-04,
     &7.9625E-04,1.1041E-03,1.2845E-03,8.4540E-04,1.0811E-04,8.8686E-04,
     &1.2569E-03,1.4847E-03,9.8831E-04,1.0743E-04,9.8761E-04,1.4300E-03,
     &1.7157E-03,1.1541E-03,1.0650E-04,1.0987E-03,1.6251E-03,1.9799E-03,
     &1.3460E-03/
      DATA ((KB(JS,JT,36, 8),JS=1,5),JT=1,5) /
     &8.9091E-05,6.3773E-04,8.7525E-04,1.0106E-03,6.5643E-04,8.8892E-05,
     &7.1572E-04,1.0050E-03,1.1794E-03,7.7482E-04,8.8510E-05,8.0390E-04,
     &1.1544E-03,1.3768E-03,9.1437E-04,8.7951E-05,9.0253E-04,1.3255E-03,
     &1.6063E-03,1.0779E-03,8.7175E-05,1.0120E-03,1.5187E-03,1.8703E-03,
     &1.2677E-03/
      DATA ((KB(JS,JT,37, 8),JS=1,5),JT=1,5) /
     &7.2967E-05,5.6051E-04,7.7586E-04,9.0139E-04,5.8319E-04,7.2818E-05,
     &6.3459E-04,8.9962E-04,1.0627E-03,6.9545E-04,7.2523E-05,7.1909E-04,
     &1.0433E-03,1.2533E-03,8.2896E-04,7.2087E-05,8.1427E-04,1.2092E-03,
     &1.4766E-03,9.8671E-04,7.1486E-05,9.2093E-04,1.3977E-03,1.7355E-03,
     &1.1708E-03/
      DATA ((KB(JS,JT,38, 8),JS=1,5),JT=1,5) /
     &5.9765E-05,4.9320E-04,6.8844E-04,8.0478E-04,5.1849E-04,5.9660E-05,
     &5.6354E-04,8.0640E-04,9.5876E-04,6.2466E-04,5.9436E-05,6.4440E-04,
     &9.4454E-04,1.1426E-03,7.5236E-04,5.9102E-05,7.3631E-04,1.1052E-03,
     &1.3599E-03,9.0433E-04,5.8635E-05,8.4009E-04,1.2891E-03,1.6134E-03,
     &1.0829E-03/
      DATA ((KB(JS,JT,39, 8),JS=1,5),JT=1,5) /
     &4.8956E-05,4.3499E-04,6.1231E-04,7.2017E-04,4.6189E-04,4.8890E-05,
     &5.0181E-04,7.2478E-04,8.6730E-04,5.6244E-04,4.8717E-05,5.7923E-04,
     &8.5778E-04,1.0448E-03,6.8464E-04,4.8451E-05,6.6799E-04,1.0132E-03,
     &1.2563E-03,8.3112E-04,4.8085E-05,7.6898E-04,1.1928E-03,1.5047E-03,
     &1.0044E-03/
      DATA ((KB(JS,JT,40, 8),JS=1,5),JT=1,5) /
     &4.0107E-05,3.7860E-04,5.3596E-04,6.3302E-04,4.0350E-04,4.0068E-05,
     &4.4099E-04,6.4126E-04,7.7105E-04,4.9697E-04,3.9945E-05,5.1399E-04,
     &7.6694E-04,9.3934E-04,6.1166E-04,3.9752E-05,5.9851E-04,9.1528E-04,
     &1.1416E-03,7.5037E-04,3.9469E-05,6.9544E-04,1.0880E-03,1.3809E-03,
     &9.1593E-04/
      DATA ((KB(JS,JT,41, 8),JS=1,5),JT=1,5) /
     &3.2851E-05,3.2878E-04,4.6786E-04,5.5469E-04,3.5120E-04,3.2839E-05,
     &3.8683E-04,5.6607E-04,6.8394E-04,4.3769E-04,3.2749E-05,4.5542E-04,
     &6.8444E-04,8.4259E-04,5.4490E-04,3.2607E-05,5.3564E-04,8.2547E-04,
     &1.0352E-03,6.7585E-04,3.2395E-05,6.2841E-04,9.9133E-04,1.2652E-03,
     &8.3332E-04/
      DATA ((KB(JS,JT,42, 8),JS=1,5),JT=1,5) /
     &2.6906E-05,2.8534E-04,4.0805E-04,4.8535E-04,3.0526E-04,2.6908E-05,
     &3.3922E-04,4.9950E-04,6.0603E-04,3.8505E-04,2.6846E-05,4.0361E-04,
     &6.1076E-04,7.5564E-04,4.8524E-04,2.6739E-05,4.7953E-04,7.4454E-04,
     &9.3882E-04,6.0861E-04,2.6585E-05,5.6816E-04,9.0363E-04,1.1597E-03,
     &7.5829E-04/
      DATA ((KB(JS,JT,43, 8),JS=1,5),JT=1,5) /
     &2.2034E-05,2.4494E-04,3.5126E-04,4.1862E-04,2.6133E-04,2.2045E-05,
     &2.9428E-04,4.3526E-04,5.2960E-04,3.3379E-04,2.2009E-05,3.5394E-04,
     &5.3838E-04,6.6893E-04,4.2599E-04,2.1933E-05,4.2510E-04,6.6392E-04,
     &8.4090E-04,5.4061E-04,2.1820E-05,5.0878E-04,8.1474E-04,1.0503E-03,
     &6.8139E-04/
      DATA ((KB(JS,JT,44, 8),JS=1,5),JT=1,5) /
     &1.8042E-05,2.0878E-04,2.9988E-04,3.5782E-04,2.2160E-04,1.8058E-05,
     &2.5360E-04,3.7621E-04,4.5875E-04,2.8670E-04,1.8041E-05,3.0845E-04,
     &4.7123E-04,5.8727E-04,3.7070E-04,1.7989E-05,3.7459E-04,5.8804E-04,
     &7.4739E-04,4.7650E-04,1.7906E-05,4.5317E-04,7.3003E-04,9.4454E-04,
     &6.0768E-04/
      DATA ((KB(JS,JT,45, 8),JS=1,5),JT=1,5) /
     &1.4770E-05,1.7743E-04,2.5518E-04,3.0461E-04,1.8718E-04,1.4790E-05,
     &2.1794E-04,3.2424E-04,3.9603E-04,2.4534E-04,1.4785E-05,2.6822E-04,
     &4.1132E-04,5.1406E-04,3.2158E-04,1.4751E-05,3.2948E-04,5.1968E-04,
     &6.6288E-04,4.1889E-04,1.4692E-05,4.0309E-04,6.5298E-04,8.4795E-04,
     &5.4078E-04/
      DATA ((KB(JS,JT,46, 8),JS=1,5),JT=1,5) /
     &1.2091E-05,1.4956E-04,2.1507E-04,2.5664E-04,1.5641E-04,1.2112E-05,
     &1.8585E-04,2.7689E-04,3.3853E-04,2.0778E-04,1.2113E-05,2.3156E-04,
     &3.5597E-04,4.4575E-04,2.7619E-04,1.2094E-05,2.8789E-04,4.5576E-04,
     &5.8313E-04,3.6492E-04,1.2054E-05,3.5628E-04,5.7980E-04,7.5523E-04,
     &4.7721E-04/
      DATA ((KB(JS,JT,47, 8),JS=1,5),JT=1,5) /
     &9.8958E-06,1.2436E-04,1.7838E-04,2.1241E-04,1.2841E-04,9.9157E-06,
     &1.5633E-04,2.3279E-04,2.8443E-04,1.7291E-04,9.9224E-06,1.9724E-04,
     &3.0350E-04,3.8017E-04,2.3323E-04,9.9150E-06,2.4831E-04,3.9396E-04,
     &5.0488E-04,3.1274E-04,9.8881E-06,3.1110E-04,5.0788E-04,6.6304E-04,
     &4.1485E-04/
      DATA ((KB(JS,JT,48, 8),JS=1,5),JT=1,5) /
     &8.0981E-06,1.0284E-04,1.4701E-04,1.7457E-04,1.0464E-04,8.1170E-06,
     &1.3083E-04,1.9452E-04,2.3734E-04,1.4298E-04,8.1254E-06,1.6716E-04,
     &2.5727E-04,3.2230E-04,1.9565E-04,8.1253E-06,2.1328E-04,3.3887E-04,
     &4.3475E-04,2.6652E-04,8.1092E-06,2.7062E-04,4.4301E-04,5.7972E-04,
     &3.5887E-04/
      DATA ((KB(JS,JT,49, 8),JS=1,5),JT=1,5) /
     &6.6262E-06,8.4542E-05,1.2034E-04,1.4245E-04,8.4636E-05,6.6435E-06,
     &1.0903E-04,1.6168E-04,1.9686E-04,1.1740E-04,6.6527E-06,1.4092E-04,
     &2.1685E-04,2.7156E-04,1.6309E-04,6.6567E-06,1.8229E-04,2.8989E-04,
     &3.7214E-04,2.2572E-04,6.6489E-06,2.3443E-04,3.8461E-04,5.0418E-04,
     &3.0883E-04/
      DATA ((KB(JS,JT,50, 8),JS=1,5),JT=1,5) /
     &5.4202E-06,6.9608E-05,9.8680E-05,1.1646E-04,6.8510E-05,5.4374E-06,
     &9.0802E-05,1.3434E-04,1.6330E-04,9.6499E-05,5.4475E-06,1.1916E-04,
     &1.8327E-04,2.2932E-04,1.3620E-04,5.4521E-06,1.5608E-04,2.4845E-04,
     &3.1928E-04,1.9154E-04,5.4498E-06,2.0348E-04,3.3466E-04,4.3937E-04,
     &2.6626E-04/
      DATA ((KB(JS,JT,51, 8),JS=1,5),JT=1,5) /
     &4.4351E-06,5.7088E-05,8.0582E-05,9.4790E-05,5.5250E-05,4.4504E-06,
     &7.5435E-05,1.1131E-04,1.3503E-04,7.9024E-05,4.4599E-06,1.0037E-04,
     &1.5428E-04,1.9291E-04,1.1343E-04,4.4651E-06,1.3336E-04,2.1252E-04,
     &2.7335E-04,1.6218E-04,4.4653E-06,1.7640E-04,2.9075E-04,3.8229E-04,
     &2.2923E-04/
      DATA ((KB(JS,JT,52, 8),JS=1,5),JT=1,5) /
     &3.6290E-06,4.6565E-05,6.5364E-05,7.6598E-05,4.4240E-05,3.6420E-06,
     &6.2314E-05,9.1644E-05,1.1090E-04,6.4234E-05,3.6509E-06,8.4102E-05,
     &1.2910E-04,1.6125E-04,9.3833E-05,3.6555E-06,1.1362E-04,1.8115E-04,
     &2.3297E-04,1.3657E-04,3.6579E-06,1.5226E-04,2.5136E-04,3.3099E-04,
     &1.9621E-04/
      DATA ((KB(JS,JT,53, 8),JS=1,5),JT=1,5) /
     &2.9692E-06,3.7746E-05,5.2632E-05,6.1397E-05,3.5165E-05,2.9808E-06,
     &5.1149E-05,7.4879E-05,9.0335E-05,5.1807E-05,2.9880E-06,7.0028E-05,
     &1.0724E-04,1.3375E-04,7.7010E-05,2.9931E-06,9.6105E-05,1.5314E-04,
     &1.9689E-04,1.1417E-04,2.9959E-06,1.3074E-04,2.1612E-04,2.8492E-04,
     &1.6697E-04/
      DATA ((KB(JS,JT,54, 8),JS=1,5),JT=1,5) /
     &2.4296E-06,3.0698E-05,4.2544E-05,4.9406E-05,2.8072E-05,2.4393E-06,
     &4.2122E-05,6.1454E-05,7.3927E-05,4.1964E-05,2.4460E-06,5.8528E-05,
     &8.9500E-05,1.1146E-04,6.3503E-05,2.4507E-06,8.1611E-05,1.3009E-04,
     &1.6728E-04,9.5947E-05,2.4535E-06,1.1276E-04,1.8682E-04,2.4654E-04,
     &1.4286E-04/
      DATA ((KB(JS,JT,55, 8),JS=1,5),JT=1,5) /
     &1.9883E-06,2.4921E-05,3.4312E-05,3.9666E-05,2.2375E-05,1.9963E-06,
     &3.4641E-05,5.0344E-05,6.0381E-05,3.3942E-05,2.0020E-06,4.8868E-05,
     &7.4618E-05,9.2809E-05,5.2280E-05,2.0065E-06,6.9255E-05,1.1042E-04,
     &1.4203E-04,8.0566E-05,2.0089E-06,9.7527E-05,1.6182E-04,2.1373E-04,
     &1.2228E-04/
      DATA ((KB(JS,JT,56, 8),JS=1,5),JT=1,5) /
     &1.6268E-06,2.0122E-05,2.7506E-05,3.1629E-05,1.7718E-05,1.6337E-06,
     &2.8321E-05,4.0966E-05,4.8960E-05,2.7271E-05,1.6385E-06,4.0579E-05,
     &6.1828E-05,7.6747E-05,4.2739E-05,1.6424E-06,5.8490E-05,9.3220E-05,
     &1.1991E-04,6.7232E-05,1.6450E-06,8.3776E-05,1.3917E-04,1.8401E-04,
     &1.0406E-04/
      DATA ((KB(JS,JT,57, 8),JS=1,5),JT=1,5) /
     &1.3311E-06,1.6151E-05,2.1901E-05,2.5044E-05,1.3934E-05,1.3369E-06,
     &2.3005E-05,3.3083E-05,3.9377E-05,2.1751E-05,1.3411E-06,3.3501E-05,
     &5.0888E-05,6.3014E-05,3.4696E-05,1.3443E-06,4.9111E-05,7.8191E-05,
     &1.0051E-04,5.5711E-05,1.3467E-06,7.1586E-05,1.1902E-04,1.5744E-04,
     &8.8025E-05/
      DATA ((KB(JS,JT,58, 8),JS=1,5),JT=1,5) /
     &1.0892E-06,1.2962E-05,1.7443E-05,1.9825E-05,1.0955E-05,1.0942E-06,
     &1.8688E-05,2.6716E-05,3.1664E-05,1.7348E-05,1.0976E-06,2.7650E-05,
     &4.1864E-05,5.1716E-05,2.8159E-05,1.1004E-06,4.1251E-05,6.5630E-05,
     &8.4299E-05,4.6156E-05,1.1025E-06,6.1261E-05,1.0196E-04,1.3496E-04,
     &7.4536E-05/
      DATA ((KB(JS,JT,59, 8),JS=1,5),JT=1,5) /
     &8.9197E-07,1.1047E-05,1.4899E-05,1.6964E-05,9.2999E-06,8.9605E-07,
     &1.6215E-05,2.3291E-05,2.7686E-05,1.5019E-05,8.9875E-07,2.4462E-05,
     &3.7267E-05,4.6243E-05,2.4905E-05,9.0117E-07,3.7175E-05,5.9594E-05,
     &7.6969E-05,4.1672E-05,9.0310E-07,5.6115E-05,9.4187E-05,1.2528E-04,
     &6.8497E-05/
      DATA ((KB(JS,JT,13, 9),JS=1,5),JT=1,5) /
     &5.6714E-02,9.6228E-02,1.0961E-01,1.1078E-01,8.2822E-02,5.7828E-02,
     &9.7972E-02,1.1123E-01,1.1236E-01,8.4782E-02,5.9232E-02,9.9998E-02,
     &1.1329E-01,1.1400E-01,8.6728E-02,6.0790E-02,1.0219E-01,1.1568E-01,
     &1.1591E-01,8.8651E-02,6.2290E-02,1.0448E-01,1.1818E-01,1.1808E-01,
     &9.0606E-02/
      DATA ((KB(JS,JT,14, 9),JS=1,5),JT=1,5) /
     &4.8757E-02,8.5742E-02,9.7473E-02,9.8306E-02,7.3073E-02,4.9942E-02,
     &8.7692E-02,9.9489E-02,1.0004E-01,7.5064E-02,5.1318E-02,8.9856E-02,
     &1.0188E-01,1.0205E-01,7.7018E-02,5.2660E-02,9.2153E-02,1.0444E-01,
     &1.0434E-01,7.8996E-02,5.3901E-02,9.4584E-02,1.0712E-01,1.0687E-01,
     &8.1028E-02/
      DATA ((KB(JS,JT,15, 9),JS=1,5),JT=1,5) /
     &4.1752E-02,7.6198E-02,8.6593E-02,8.7037E-02,6.4464E-02,4.2945E-02,
     &7.8277E-02,8.8919E-02,8.9055E-02,6.6440E-02,4.4132E-02,8.0544E-02,
     &9.1468E-02,9.1397E-02,6.8401E-02,4.5260E-02,8.2968E-02,9.4189E-02,
     &9.3993E-02,7.0410E-02,4.6298E-02,8.5502E-02,9.7029E-02,9.6802E-02,
     &7.2466E-02/
      DATA ((KB(JS,JT,16, 9),JS=1,5),JT=1,5) /
     &3.5640E-02,6.7555E-02,7.6928E-02,7.7126E-02,5.6847E-02,3.6668E-02,
     &6.9730E-02,7.9394E-02,7.9411E-02,5.8796E-02,3.7665E-02,7.2105E-02,
     &8.2070E-02,8.1996E-02,6.0763E-02,3.8606E-02,7.4641E-02,8.4920E-02,
     &8.4810E-02,6.2792E-02,3.9473E-02,7.7118E-02,8.7904E-02,8.7777E-02,
     &6.4884E-02/
      DATA ((KB(JS,JT,17, 9),JS=1,5),JT=1,5) /
     &3.0249E-02,5.9768E-02,6.8325E-02,6.8492E-02,5.0101E-02,3.1103E-02,
     &6.2060E-02,7.0903E-02,7.0988E-02,5.2022E-02,3.1936E-02,6.4534E-02,
     &7.3696E-02,7.3735E-02,5.4005E-02,3.2730E-02,6.7029E-02,7.6655E-02,
     &7.6665E-02,5.6059E-02,3.3443E-02,6.9449E-02,7.9757E-02,7.9742E-02,
     &5.8173E-02/
      DATA ((KB(JS,JT,18, 9),JS=1,5),JT=1,5) /
     &2.5545E-02,5.2871E-02,6.0740E-02,6.0992E-02,4.4172E-02,2.6254E-02,
     &5.5233E-02,6.3406E-02,6.3637E-02,4.6086E-02,2.6956E-02,5.7692E-02,
     &6.6286E-02,6.6462E-02,4.8089E-02,2.7612E-02,6.0136E-02,6.9343E-02,
     &6.9465E-02,5.0154E-02,2.8200E-02,6.2534E-02,7.2542E-02,7.2608E-02,
     &5.2275E-02/
      DATA ((KB(JS,JT,19, 9),JS=1,5),JT=1,5) /
     &2.1487E-02,4.6786E-02,5.4092E-02,5.4451E-02,3.8986E-02,2.2086E-02,
     &4.9151E-02,5.6837E-02,5.7167E-02,4.0916E-02,2.2671E-02,5.1565E-02,
     &5.9787E-02,6.0059E-02,4.2916E-02,2.3212E-02,5.3966E-02,6.2913E-02,
     &6.3134E-02,4.4993E-02,2.3674E-02,5.6335E-02,6.6121E-02,6.6362E-02,
     &4.7140E-02/
      DATA ((KB(JS,JT,20, 9),JS=1,5),JT=1,5) /
     &1.8039E-02,4.1493E-02,4.8348E-02,4.8783E-02,3.4522E-02,1.8543E-02,
     &4.3801E-02,5.1155E-02,5.1541E-02,3.6457E-02,1.9027E-02,4.6166E-02,
     &5.4164E-02,5.4503E-02,3.8468E-02,1.9452E-02,4.8538E-02,5.7292E-02,
     &5.7654E-02,4.0551E-02,1.9805E-02,5.0879E-02,6.0490E-02,6.0969E-02,
     &4.2726E-02/
      DATA ((KB(JS,JT,21, 9),JS=1,5),JT=1,5) /
     &1.5116E-02,3.6867E-02,4.3373E-02,4.3860E-02,3.0692E-02,1.5537E-02,
     &3.9121E-02,4.6234E-02,4.6663E-02,3.2616E-02,1.5924E-02,4.1438E-02,
     &4.9238E-02,4.9692E-02,3.4628E-02,1.6258E-02,4.3774E-02,5.2361E-02,
     &5.2910E-02,3.6736E-02,1.6525E-02,4.6101E-02,5.5542E-02,5.6309E-02,
     &3.8934E-02/
      DATA ((KB(JS,JT,22, 9),JS=1,5),JT=1,5) /
     &1.2675E-02,3.2993E-02,3.9256E-02,3.9779E-02,2.7529E-02,1.3009E-02,
     &3.5201E-02,4.2138E-02,4.2658E-02,2.9453E-02,1.3317E-02,3.7474E-02,
     &4.5144E-02,4.5756E-02,3.1474E-02,1.3574E-02,3.9784E-02,4.8260E-02,
     &4.9049E-02,3.3608E-02,1.3778E-02,4.2099E-02,5.1448E-02,5.2529E-02,
     &3.5844E-02/
      DATA ((KB(JS,JT,23, 9),JS=1,5),JT=1,5) /
     &1.0608E-02,2.9677E-02,3.5736E-02,3.6323E-02,2.4847E-02,1.0880E-02,
     &3.1843E-02,3.8613E-02,3.9274E-02,2.6772E-02,1.1120E-02,3.4081E-02,
     &4.1634E-02,4.2440E-02,2.8816E-02,1.1313E-02,3.6372E-02,4.4754E-02,
     &4.5808E-02,3.0978E-02,1.1474E-02,3.8689E-02,4.7973E-02,4.9367E-02,
     &3.3255E-02/
      DATA ((KB(JS,JT,24, 9),JS=1,5),JT=1,5) /
     &8.8685E-03,2.6862E-02,3.2736E-02,3.3437E-02,2.2600E-02,9.0884E-03,
     &2.8994E-02,3.5625E-02,3.6451E-02,2.4532E-02,9.2759E-03,3.1210E-02,
     &3.8663E-02,3.9696E-02,2.6600E-02,9.4299E-03,3.3488E-02,4.1810E-02,
     &4.3137E-02,2.8795E-02,9.5655E-03,3.5810E-02,4.5067E-02,4.6765E-02,
     &3.1119E-02/
      DATA ((KB(JS,JT,25, 9),JS=1,5),JT=1,5) /
     &7.4112E-03,2.4493E-02,3.0220E-02,3.1056E-02,2.0732E-02,7.5852E-03,
     &2.6600E-02,3.3130E-02,3.4139E-02,2.2685E-02,7.7307E-03,2.8805E-02,
     &3.6194E-02,3.7461E-02,2.4778E-02,7.8603E-03,3.1085E-02,3.9384E-02,
     &4.0978E-02,2.7016E-02,7.9718E-03,3.3416E-02,4.2696E-02,4.4682E-02,
     &2.9393E-02/
      DATA ((KB(JS,JT,26, 9),JS=1,5),JT=1,5) /
     &6.1902E-03,2.2538E-02,2.8170E-02,2.9154E-02,1.9220E-02,6.3276E-03,
     &2.4632E-02,3.1111E-02,3.2321E-02,2.1200E-02,6.4499E-03,2.6835E-02,
     &3.4213E-02,3.5713E-02,2.3332E-02,6.5597E-03,2.9126E-02,3.7461E-02,
     &3.9319E-02,2.5615E-02,6.6551E-03,3.1472E-02,4.0844E-02,4.3117E-02,
     &2.8057E-02/
      DATA ((KB(JS,JT,27, 9),JS=1,5),JT=1,5) /
     &5.1713E-03,2.0911E-02,2.6500E-02,2.7639E-02,1.7995E-02,5.2848E-03,
     &2.3004E-02,2.9475E-02,3.0887E-02,2.0007E-02,5.3879E-03,2.5219E-02,
     &3.2635E-02,3.4364E-02,2.2181E-02,5.4763E-03,2.7525E-02,3.5956E-02,
     &3.8064E-02,2.4520E-02,5.5573E-03,2.9889E-02,3.9426E-02,4.1977E-02,
     &2.7035E-02/
      DATA ((KB(JS,JT,28, 9),JS=1,5),JT=1,5) /
     &4.3195E-03,1.9576E-02,2.5160E-02,2.6468E-02,1.7016E-02,4.4139E-03,
     &2.1680E-02,2.8188E-02,2.9800E-02,1.9070E-02,4.4969E-03,2.3912E-02,
     &3.1420E-02,3.3375E-02,2.1294E-02,4.5726E-03,2.6235E-02,3.4830E-02,
     &3.7186E-02,2.3695E-02,4.6426E-03,2.8627E-02,3.8395E-02,4.1222E-02,
     &2.6282E-02/
      DATA ((KB(JS,JT,29, 9),JS=1,5),JT=1,5) /
     &3.6095E-03,1.8508E-02,2.4142E-02,2.5625E-02,1.6268E-02,3.6856E-03,
     &2.0634E-02,2.7243E-02,2.9053E-02,1.8372E-02,3.7545E-03,2.2890E-02,
     &3.0565E-02,3.2742E-02,2.0653E-02,3.8219E-03,2.5246E-02,3.4070E-02,
     &3.6676E-02,2.3125E-02,3.8805E-03,2.7676E-02,3.7739E-02,4.0837E-02,
     &2.5787E-02/
      DATA ((KB(JS,JT,30, 9),JS=1,5),JT=1,5) /
     &3.0149E-03,1.7668E-02,2.3401E-02,2.5061E-02,1.5717E-02,3.0780E-03,
     &1.9823E-02,2.6594E-02,2.8602E-02,1.7873E-02,3.1391E-03,2.2111E-02,
     &3.0012E-02,3.2409E-02,2.0220E-02,3.1952E-03,2.4511E-02,3.3620E-02,
     &3.6467E-02,2.2768E-02,3.2462E-03,2.6992E-02,3.7393E-02,4.0756E-02,
     &2.5513E-02/
      DATA ((KB(JS,JT,31, 9),JS=1,5),JT=1,5) /
     &2.5190E-03,1.7039E-02,2.2932E-02,2.4769E-02,1.5346E-02,2.5729E-03,
     &1.9232E-02,2.6227E-02,2.8432E-02,1.7564E-02,2.6259E-03,2.1567E-02,
     &2.9750E-02,3.2369E-02,1.9984E-02,2.6746E-03,2.4020E-02,3.3463E-02,
     &3.6549E-02,2.2614E-02,2.7170E-03,2.6556E-02,3.7338E-02,4.0957E-02,
     &2.5451E-02/
      DATA ((KB(JS,JT,32, 9),JS=1,5),JT=1,5) /
     &2.1057E-03,1.6597E-02,2.2710E-02,2.4723E-02,1.5137E-02,2.1537E-03,
     &1.8840E-02,2.6112E-02,2.8512E-02,1.7424E-02,2.1983E-03,2.1233E-02,
     &2.9743E-02,3.2575E-02,1.9926E-02,2.2397E-03,2.3745E-02,3.3557E-02,
     &3.6873E-02,2.2643E-02,2.2779E-03,2.6339E-02,3.7525E-02,4.1395E-02,
     &2.5571E-02/
      DATA ((KB(JS,JT,33, 9),JS=1,5),JT=1,5) /
     &1.7621E-03,1.6326E-02,2.2706E-02,2.4894E-02,1.5071E-02,1.8037E-03,
     &1.8626E-02,2.6218E-02,2.8807E-02,1.7434E-02,1.8413E-03,2.1083E-02,
     &2.9952E-02,3.2989E-02,2.0023E-02,1.8774E-03,2.3655E-02,3.3863E-02,
     &3.7400E-02,2.2833E-02,1.9114E-03,2.6308E-02,3.7916E-02,4.2025E-02,
     &2.5847E-02/
      DATA ((KB(JS,JT,34, 9),JS=1,5),JT=1,5) /
     &1.4751E-03,1.6125E-02,2.2769E-02,2.5117E-02,1.5050E-02,1.5101E-03,
     &1.8488E-02,2.6381E-02,2.9139E-02,1.7489E-02,1.5432E-03,2.1005E-02,
     &3.0205E-02,3.3424E-02,2.0158E-02,1.5747E-03,2.3633E-02,3.4198E-02,
     &3.7931E-02,2.3050E-02,1.6051E-03,2.6339E-02,3.8321E-02,4.2642E-02,
     &2.6140E-02/
      DATA ((KB(JS,JT,35, 9),JS=1,5),JT=1,5) /
     &1.2323E-03,1.5834E-02,2.2646E-02,2.5106E-02,1.4908E-02,1.2626E-03,
     &1.8245E-02,2.6331E-02,2.9206E-02,1.7403E-02,1.2919E-03,2.0808E-02,
     &3.0221E-02,3.3562E-02,2.0132E-02,1.3197E-03,2.3481E-02,3.4270E-02,
     &3.8136E-02,2.3081E-02,1.3470E-03,2.6228E-02,3.8442E-02,4.2907E-02,
     &2.6222E-02/
      DATA ((KB(JS,JT,36, 9),JS=1,5),JT=1,5) /
     &1.0273E-03,1.5393E-02,2.2247E-02,2.4766E-02,1.4589E-02,1.0537E-03,
     &1.7833E-02,2.5974E-02,2.8911E-02,1.7115E-02,1.0795E-03,2.0426E-02,
     &2.9904E-02,3.3307E-02,1.9875E-02,1.1043E-03,2.3131E-02,3.3989E-02,
     &3.7917E-02,2.2855E-02,1.1288E-03,2.5909E-02,3.8197E-02,4.2722E-02,
     &2.6026E-02/
      DATA ((KB(JS,JT,37, 9),JS=1,5),JT=1,5) /
     &8.5383E-04,1.4679E-02,2.1388E-02,2.3897E-02,1.3970E-02,8.7682E-04,
     &1.7120E-02,2.5115E-02,2.8039E-02,1.6489E-02,8.9996E-04,1.9721E-02,
     &2.9054E-02,3.2436E-02,1.9242E-02,9.2246E-04,2.2439E-02,3.3150E-02,
     &3.7047E-02,2.2217E-02,9.4506E-04,2.5234E-02,3.7369E-02,4.1852E-02,
     &2.5386E-02/
      DATA ((KB(JS,JT,38, 9),JS=1,5),JT=1,5) /
     &7.0953E-04,1.4014E-02,2.0566E-02,2.3058E-02,1.3383E-02,7.3008E-04,
     &1.6455E-02,2.4289E-02,2.7191E-02,1.5892E-02,7.5050E-04,1.9058E-02,
     &2.8230E-02,3.1581E-02,1.8633E-02,7.7107E-04,2.1784E-02,3.2331E-02,
     &3.6184E-02,2.1597E-02,7.9117E-04,2.4590E-02,3.6557E-02,4.0986E-02,
     &2.4760E-02/
      DATA ((KB(JS,JT,39, 9),JS=1,5),JT=1,5) /
     &5.8982E-04,1.3410E-02,1.9807E-02,2.2275E-02,1.2843E-02,6.0777E-04,
     &1.5847E-02,2.3520E-02,2.6395E-02,1.5340E-02,6.2607E-04,1.8449E-02,
     &2.7458E-02,3.0773E-02,1.8067E-02,6.4471E-04,2.1179E-02,3.1559E-02,
     &3.5367E-02,2.1018E-02,6.6285E-04,2.3994E-02,3.5788E-02,4.0160E-02,
     &2.4170E-02/
      DATA ((KB(JS,JT,40, 9),JS=1,5),JT=1,5) /
     &4.8914E-04,1.2617E-02,1.8733E-02,2.1131E-02,1.2100E-02,5.0499E-04,
     &1.5028E-02,2.2406E-02,2.5206E-02,1.4559E-02,5.2119E-04,1.7611E-02,
     &2.6314E-02,2.9544E-02,1.7245E-02,5.3770E-04,2.0330E-02,3.0397E-02,
     &3.4103E-02,2.0159E-02,5.5398E-04,2.3142E-02,3.4616E-02,3.8867E-02,
     &2.3278E-02/
      DATA ((KB(JS,JT,41, 9),JS=1,5),JT=1,5) /
     &4.0532E-04,1.1840E-02,1.7661E-02,1.9981E-02,1.1365E-02,4.1916E-04,
     &1.4219E-02,2.1285E-02,2.4002E-02,1.3782E-02,4.3354E-04,1.6775E-02,
     &2.5154E-02,2.8292E-02,1.6423E-02,4.4807E-04,1.9478E-02,2.9214E-02,
     &3.2812E-02,1.9291E-02,4.6282E-04,2.2283E-02,3.3415E-02,3.7538E-02,
     &2.2373E-02/
      DATA ((KB(JS,JT,42, 9),JS=1,5),JT=1,5) /
     &3.3573E-04,1.1104E-02,1.6634E-02,1.8873E-02,1.0664E-02,3.4776E-04,
     &1.3446E-02,2.0201E-02,2.2835E-02,1.3037E-02,3.6046E-04,1.5973E-02,
     &2.4027E-02,2.7071E-02,1.5631E-02,3.7344E-04,1.8654E-02,2.8057E-02,
     &3.1550E-02,1.8451E-02,3.8663E-04,2.1448E-02,3.2235E-02,3.6231E-02,
     &2.1492E-02/
      DATA ((KB(JS,JT,43, 9),JS=1,5),JT=1,5) /
     &2.7733E-04,1.0283E-02,1.5460E-02,1.7597E-02,9.8707E-03,2.8779E-04,
     &1.2571E-02,1.8947E-02,2.1473E-02,1.2183E-02,2.9891E-04,1.5054E-02,
     &2.2712E-02,2.5638E-02,1.4718E-02,3.1033E-04,1.7702E-02,2.6696E-02,
     &3.0055E-02,1.7477E-02,3.2200E-04,2.0476E-02,3.0841E-02,3.4682E-02,
     &2.0459E-02/
      DATA ((KB(JS,JT,44, 9),JS=1,5),JT=1,5) /
     &2.2878E-04,9.4499E-03,1.4251E-02,1.6276E-02,9.0607E-03,2.3775E-04,
     &1.1673E-02,1.7646E-02,2.0049E-02,1.1303E-02,2.4747E-04,1.4106E-02,
     &2.1336E-02,2.4135E-02,1.3772E-02,2.5755E-04,1.6710E-02,2.5261E-02,
     &2.8479E-02,1.6464E-02,2.6798E-04,1.9454E-02,2.9363E-02,3.3046E-02,
     &1.9378E-02/
      DATA ((KB(JS,JT,45, 9),JS=1,5),JT=1,5) /
     &1.8849E-04,8.6584E-03,1.3096E-02,1.5007E-02,8.2904E-03,1.9636E-04,
     &1.0814E-02,1.6390E-02,1.8672E-02,1.0458E-02,2.0470E-04,1.3189E-02,
     &1.9995E-02,2.2671E-02,1.2861E-02,2.1344E-04,1.5746E-02,2.3854E-02,
     &2.6936E-02,1.5483E-02,2.2266E-04,1.8454E-02,2.7912E-02,3.1439E-02,
     &1.8328E-02/
      DATA ((KB(JS,JT,46, 9),JS=1,5),JT=1,5) /
     &1.5507E-04,7.8632E-03,1.1928E-02,1.3712E-02,7.5164E-03,1.6179E-04,
     &9.9413E-03,1.5104E-02,1.7260E-02,9.5985E-03,1.6890E-04,1.2249E-02,
     &1.8612E-02,2.1154E-02,1.1927E-02,1.7659E-04,1.4751E-02,2.2394E-02,
     &2.5333E-02,1.4476E-02,1.8474E-04,1.7415E-02,2.6393E-02,2.9761E-02,
     &1.7246E-02/
      DATA ((KB(JS,JT,47, 9),JS=1,5),JT=1,5) /
     &1.2726E-04,7.0304E-03,1.0696E-02,1.2336E-02,6.7029E-03,1.3291E-04,
     &9.0171E-03,1.3730E-02,1.5745E-02,8.6863E-03,1.3906E-04,1.1243E-02,
     &1.7120E-02,1.9510E-02,1.0925E-02,1.4561E-04,1.3678E-02,2.0805E-02,
     &2.3588E-02,1.3392E-02,1.5268E-04,1.6286E-02,2.4728E-02,2.7924E-02,
     &1.6077E-02/
      DATA ((KB(JS,JT,48, 9),JS=1,5),JT=1,5) /
     &1.0430E-04,6.2479E-03,9.5325E-03,1.1029E-02,5.9380E-03,1.0909E-04,
     &8.1380E-03,1.2419E-02,1.4291E-02,7.8205E-03,1.1429E-04,1.0277E-02,
     &1.5680E-02,1.7922E-02,9.9641E-03,1.1996E-04,1.2637E-02,1.9259E-02,
     &2.1888E-02,1.2347E-02,1.2611E-04,1.5183E-02,2.3095E-02,2.6125E-02,
     &1.4947E-02/
      DATA ((KB(JS,JT,49, 9),JS=1,5),JT=1,5) /
     &8.5361E-05,5.5178E-03,8.4413E-03,9.7939E-03,5.2224E-03,8.9682E-05,
     &7.3124E-03,1.1182E-02,1.2906E-02,7.0024E-03,9.3818E-05,9.3518E-03,
     &1.4295E-02,1.6393E-02,9.0454E-03,9.8731E-05,1.1631E-02,1.7758E-02,
     &2.0234E-02,1.1339E-02,1.0398E-04,1.4111E-02,2.1502E-02,2.4370E-02,
     &1.3856E-02/
      DATA ((KB(JS,JT,50, 9),JS=1,5),JT=1,5) /
     &7.0068E-05,4.8843E-03,7.4862E-03,8.7029E-03,4.5961E-03,7.3528E-05,
     &6.5706E-03,1.0074E-02,1.1661E-02,6.2737E-03,7.7377E-05,8.5288E-03,
     &1.3057E-02,1.5019E-02,8.2236E-03,8.1195E-05,1.0720E-02,1.6396E-02,
     &1.8728E-02,1.0428E-02,8.5703E-05,1.3133E-02,2.0042E-02,2.2765E-02,
     &1.2867E-02/
      DATA ((KB(JS,JT,51, 9),JS=1,5),JT=1,5) /
     &5.7383E-05,4.3058E-03,6.6126E-03,7.7023E-03,4.0299E-03,6.0290E-05,
     &5.8916E-03,9.0543E-03,1.0509E-02,5.6057E-03,6.3513E-05,7.7586E-03,
     &1.1901E-02,1.3729E-02,7.4620E-03,6.6727E-05,9.8672E-03,1.5116E-02,
     &1.7314E-02,9.5779E-03,7.0598E-05,1.2209E-02,1.8661E-02,2.1244E-02,
     &1.1938E-02/
      DATA ((KB(JS,JT,52, 9),JS=1,5),JT=1,5) /
     &4.6933E-05,3.7683E-03,5.7987E-03,6.7684E-03,3.5066E-03,4.9374E-05,
     &5.2554E-03,8.0944E-03,9.4163E-03,4.9785E-03,5.2069E-05,7.0251E-03,
     &1.0799E-02,1.2493E-02,6.7384E-03,5.5066E-05,9.0579E-03,1.3892E-02,
     &1.5957E-02,8.7644E-03,5.8094E-05,1.1314E-02,1.7321E-02,1.9762E-02,
     &1.1039E-02/
      DATA ((KB(JS,JT,53, 9),JS=1,5),JT=1,5) /
     &3.8369E-05,3.2705E-03,5.0428E-03,5.8997E-03,3.0250E-03,4.0389E-05,
     &4.6579E-03,7.1882E-03,8.3794E-03,4.3908E-03,4.2656E-05,6.3275E-03,
     &9.7486E-03,1.1308E-02,6.0500E-03,4.5173E-05,8.2714E-03,1.2706E-02,
     &1.4639E-02,7.9824E-03,4.7733E-05,1.0447E-02,1.6018E-02,1.8320E-02,
     &1.0170E-02/
      DATA ((KB(JS,JT,54, 9),JS=1,5),JT=1,5) /
     &3.1373E-05,2.8489E-03,4.4023E-03,5.1602E-03,2.6198E-03,3.3072E-05,
     &4.1448E-03,6.4072E-03,7.4821E-03,3.8868E-03,3.4962E-05,5.7219E-03,
     &8.8331E-03,1.0271E-02,5.4518E-03,3.7073E-05,7.5801E-03,1.1663E-02,
     &1.3472E-02,7.2975E-03,3.9224E-05,9.6795E-03,1.4861E-02,1.7039E-02,
     &9.4030E-03/
      DATA ((KB(JS,JT,55, 9),JS=1,5),JT=1,5) /
     &2.5649E-05,2.4774E-03,3.8358E-03,4.5027E-03,2.2635E-03,2.7065E-05,
     &3.6831E-03,5.7040E-03,6.6733E-03,3.4361E-03,2.8649E-05,5.1728E-03,
     &8.0003E-03,9.3199E-03,4.9087E-03,3.0419E-05,6.9443E-03,1.0704E-02,
     &1.2395E-02,6.6688E-03,3.2478E-05,8.9781E-03,1.3794E-02,1.5856E-02,
     &8.6947E-03/
      DATA ((KB(JS,JT,56, 9),JS=1,5),JT=1,5) /
     &2.0960E-05,2.1374E-03,3.3161E-03,3.8972E-03,1.9394E-03,2.2130E-05,
     &3.2530E-03,5.0471E-03,5.9166E-03,3.0185E-03,2.3455E-05,4.6545E-03,
     &7.2105E-03,8.4156E-03,4.3975E-03,2.4958E-05,6.3377E-03,9.7876E-03,
     &1.1360E-02,6.0688E-03,2.6672E-05,8.2933E-03,1.2759E-02,1.4704E-02,
     &8.0123E-03/
      DATA ((KB(JS,JT,57, 9),JS=1,5),JT=1,5) /
     &1.7108E-05,1.8275E-03,2.8407E-03,3.3429E-03,1.6463E-03,1.8082E-05,
     &2.8535E-03,4.4360E-03,5.2097E-03,2.6326E-03,1.9184E-05,4.1668E-03,
     &6.4646E-03,7.5572E-03,3.9170E-03,2.0446E-05,5.7610E-03,8.9128E-03,
     &1.0368E-02,5.4979E-03,2.1854E-05,7.6342E-03,1.1762E-02,1.3588E-02,
     &7.3577E-03/
      DATA ((KB(JS,JT,58, 9),JS=1,5),JT=1,5) /
     &1.3963E-05,1.5602E-03,2.4292E-03,2.8638E-03,1.3965E-03,1.4773E-05,
     &2.5031E-03,3.8984E-03,4.5849E-03,2.2957E-03,1.5698E-05,3.7311E-03,
     &5.7975E-03,6.7885E-03,3.4899E-03,1.6731E-05,5.2413E-03,8.1221E-03,
     &9.4657E-03,4.9831E-03,1.7926E-05,7.0329E-03,1.0852E-02,1.2566E-02,
     &6.7622E-03/
      DATA ((KB(JS,JT,59, 9),JS=1,5),JT=1,5) /
     &1.1515E-05,1.4557E-03,2.2712E-03,2.6808E-03,1.3001E-03,1.2194E-05,
     &2.3665E-03,3.6913E-03,4.3444E-03,2.1654E-03,1.2975E-05,3.5608E-03,
     &5.5385E-03,6.4911E-03,3.3241E-03,1.3854E-05,5.0382E-03,7.8142E-03,
     &9.1137E-03,4.7825E-03,1.4890E-05,6.7966E-03,1.0497E-02,1.2166E-02,
     &6.5291E-03/
      DATA ((KB(JS,JT,13,10),JS=1,5),JT=1,5) /
     &2.3136E-01,3.5590E-01,4.1705E-01,4.2838E-01,3.4405E-01,2.3570E-01,
     &3.5573E-01,4.1855E-01,4.3318E-01,3.4979E-01,2.3997E-01,3.5949E-01,
     &4.2029E-01,4.3813E-01,3.5426E-01,2.4492E-01,3.6590E-01,4.2350E-01,
     &4.4177E-01,3.5947E-01,2.5202E-01,3.7242E-01,4.2924E-01,4.4467E-01,
     &3.6481E-01/
      DATA ((KB(JS,JT,14,10),JS=1,5),JT=1,5) /
     &2.0433E-01,3.2280E-01,3.8114E-01,3.9530E-01,3.0987E-01,2.0812E-01,
     &3.2580E-01,3.8400E-01,4.0099E-01,3.1521E-01,2.1260E-01,3.3207E-01,
     &3.8794E-01,4.0573E-01,3.2135E-01,2.1971E-01,3.3857E-01,3.9426E-01,
     &4.0959E-01,3.2811E-01,2.2862E-01,3.4522E-01,4.0235E-01,4.1376E-01,
     &3.3439E-01/
      DATA ((KB(JS,JT,15,10),JS=1,5),JT=1,5) /
     &1.7974E-01,2.9385E-01,3.4710E-01,3.6214E-01,2.7698E-01,1.8361E-01,
     &2.9985E-01,3.5176E-01,3.6835E-01,2.8361E-01,1.9011E-01,3.0650E-01,
     &3.5844E-01,3.7336E-01,2.9140E-01,1.9870E-01,3.1340E-01,3.6676E-01,
     &3.7856E-01,2.9913E-01,2.0713E-01,3.2067E-01,3.7517E-01,3.8452E-01,
     &3.0673E-01/
      DATA ((KB(JS,JT,16,10),JS=1,5),JT=1,5) /
     &1.5768E-01,2.6909E-01,3.1566E-01,3.2905E-01,2.4795E-01,1.6341E-01,
     &2.7579E-01,3.2257E-01,3.3542E-01,2.5593E-01,1.7143E-01,2.8283E-01,
     &3.3152E-01,3.4164E-01,2.6468E-01,1.7943E-01,2.9026E-01,3.4054E-01,
     &3.4897E-01,2.7328E-01,1.8690E-01,2.9935E-01,3.4954E-01,3.5767E-01,
     &2.8225E-01/
      DATA ((KB(JS,JT,17,10),JS=1,5),JT=1,5) /
     &1.3875E-01,2.4652E-01,2.8696E-01,2.9693E-01,2.2321E-01,1.4611E-01,
     &2.5366E-01,2.9630E-01,3.0411E-01,2.3216E-01,1.5377E-01,2.6122E-01,
     &3.0597E-01,3.1229E-01,2.4127E-01,1.6099E-01,2.7029E-01,3.1565E-01,
     &3.2218E-01,2.5077E-01,1.6791E-01,2.8100E-01,3.2533E-01,3.3316E-01,
     &2.6091E-01/
      DATA ((KB(JS,JT,18,10),JS=1,5),JT=1,5) /
     &1.2258E-01,2.2568E-01,2.6154E-01,2.6746E-01,2.0208E-01,1.2972E-01,
     &2.3340E-01,2.7183E-01,2.7607E-01,2.1144E-01,1.3673E-01,2.4228E-01,
     &2.8202E-01,2.8661E-01,2.2093E-01,1.4352E-01,2.5285E-01,2.9256E-01,
     &2.9859E-01,2.3121E-01,1.4999E-01,2.6447E-01,3.0340E-01,3.1163E-01,
     &2.4203E-01/
      DATA ((KB(JS,JT,19,10),JS=1,5),JT=1,5) /
     &1.0785E-01,2.0667E-01,2.3879E-01,2.4194E-01,1.8368E-01,1.1429E-01,
     &2.1546E-01,2.4926E-01,2.5235E-01,1.9325E-01,1.2064E-01,2.2577E-01,
     &2.6022E-01,2.6472E-01,2.0338E-01,1.2700E-01,2.3751E-01,2.7175E-01,
     &2.7823E-01,2.1416E-01,1.3335E-01,2.4924E-01,2.8423E-01,2.9239E-01,
     &2.2548E-01/
      DATA ((KB(JS,JT,20,10),JS=1,5),JT=1,5) /
     &9.4314E-02,1.8969E-01,2.1843E-01,2.2089E-01,1.6767E-01,1.0011E-01,
     &2.0009E-01,2.2938E-01,2.3290E-01,1.7759E-01,1.0602E-01,2.1171E-01,
     &2.4114E-01,2.4650E-01,1.8815E-01,1.1212E-01,2.2366E-01,2.5410E-01,
     &2.6076E-01,1.9951E-01,1.1820E-01,2.3566E-01,2.6816E-01,2.7572E-01,
     &2.1140E-01/
      DATA ((KB(JS,JT,21,10),JS=1,5),JT=1,5) /
     &8.2096E-02,1.7498E-01,2.0057E-01,2.0349E-01,1.5368E-01,8.7376E-02,
     &1.8671E-01,2.1217E-01,2.1678E-01,1.6394E-01,9.2996E-02,1.9901E-01,
     &2.2527E-01,2.3088E-01,1.7505E-01,9.8752E-02,2.1131E-01,2.3942E-01,
     &2.4575E-01,1.8685E-01,1.0451E-01,2.2356E-01,2.5490E-01,2.6152E-01,
     &1.9924E-01/
      DATA ((KB(JS,JT,22,10),JS=1,5),JT=1,5) /
     &7.1578E-02,1.6309E-01,1.8609E-01,1.9018E-01,1.4217E-01,7.6626E-02,
     &1.7564E-01,1.9884E-01,2.0398E-01,1.5291E-01,8.1885E-02,1.8840E-01,
     &2.1309E-01,2.1858E-01,1.6461E-01,8.7223E-02,2.0113E-01,2.2859E-01,
     &2.3430E-01,1.7688E-01,9.2500E-02,2.1374E-01,2.4532E-01,2.5104E-01,
     &1.8976E-01/
      DATA ((KB(JS,JT,23,10),JS=1,5),JT=1,5) /
     &6.2506E-02,1.5298E-01,1.7442E-01,1.7913E-01,1.3258E-01,6.7194E-02,
     &1.6597E-01,1.8829E-01,1.9340E-01,1.4391E-01,7.2099E-02,1.7922E-01,
     &2.0360E-01,2.0869E-01,1.5600E-01,7.7023E-02,1.9243E-01,2.2032E-01,
     &2.2532E-01,1.6873E-01,8.1629E-02,2.0537E-01,2.3792E-01,2.4291E-01,
     &1.8203E-01/
      DATA ((KB(JS,JT,24,10),JS=1,5),JT=1,5) /
     &5.4705E-02,1.4435E-01,1.6539E-01,1.7004E-01,1.2479E-01,5.9055E-02,
     &1.5781E-01,1.8024E-01,1.8505E-01,1.3663E-01,6.3456E-02,1.7157E-01,
     &1.9662E-01,2.0113E-01,1.4915E-01,6.7778E-02,1.8520E-01,2.1409E-01,
     &2.1860E-01,1.6222E-01,7.1741E-02,1.9852E-01,2.3252E-01,2.3726E-01,
     &1.7594E-01/
      DATA ((KB(JS,JT,25,10),JS=1,5),JT=1,5) /
     &4.7972E-02,1.3725E-01,1.5860E-01,1.6297E-01,1.1866E-01,5.1893E-02,
     &1.5121E-01,1.7443E-01,1.7877E-01,1.3085E-01,5.5832E-02,1.6535E-01,
     &1.9157E-01,1.9578E-01,1.4380E-01,5.9570E-02,1.7943E-01,2.0993E-01,
     &2.1423E-01,1.5728E-01,6.2996E-02,1.9323E-01,2.2909E-01,2.3401E-01,
     &1.7147E-01/
      DATA ((KB(JS,JT,26,10),JS=1,5),JT=1,5) /
     &4.2166E-02,1.3173E-01,1.5395E-01,1.5801E-01,1.1401E-01,4.5660E-02,
     &1.4616E-01,1.7062E-01,1.7468E-01,1.2664E-01,4.9079E-02,1.6071E-01,
     &1.8859E-01,1.9278E-01,1.4002E-01,5.2306E-02,1.7521E-01,2.0782E-01,
     &2.1223E-01,1.5402E-01,5.5285E-02,1.8955E-01,2.2765E-01,2.3299E-01,
     &1.6864E-01/
      DATA ((KB(JS,JT,27,10),JS=1,5),JT=1,5) /
     &3.7040E-02,1.2755E-01,1.5088E-01,1.5474E-01,1.1059E-01,4.0121E-02,
     &1.4241E-01,1.6845E-01,1.7243E-01,1.2369E-01,4.3101E-02,1.5742E-01,
     &1.8726E-01,1.9156E-01,1.3753E-01,4.5931E-02,1.7241E-01,2.0722E-01,
     &2.1200E-01,1.5204E-01,4.8598E-02,1.8733E-01,2.2772E-01,2.3361E-01,
     &1.6711E-01/
      DATA ((KB(JS,JT,28,10),JS=1,5),JT=1,5) /
     &3.2582E-02,1.2457E-01,1.4931E-01,1.5310E-01,1.0829E-01,3.5269E-02,
     &1.3987E-01,1.6776E-01,1.7185E-01,1.2185E-01,3.7905E-02,1.5538E-01,
     &1.8740E-01,1.9192E-01,1.3621E-01,4.0411E-02,1.7101E-01,2.0797E-01,
     &2.1319E-01,1.5122E-01,4.2843E-02,1.8643E-01,2.2906E-01,2.3551E-01,
     &1.6683E-01/
      DATA ((KB(JS,JT,29,10),JS=1,5),JT=1,5) /
     &2.8694E-02,1.2285E-01,1.4922E-01,1.5309E-01,1.0715E-01,3.1078E-02,
     &1.3867E-01,1.6851E-01,1.7281E-01,1.2115E-01,3.3398E-02,1.5475E-01,
     &1.8886E-01,1.9373E-01,1.3609E-01,3.5655E-02,1.7087E-01,2.1002E-01,
     &2.1569E-01,1.5161E-01,3.7934E-02,1.8672E-01,2.3156E-01,2.3855E-01,
     &1.6767E-01/
      DATA ((KB(JS,JT,30,10),JS=1,5),JT=1,5) /
     &2.5318E-02,1.2223E-01,1.5038E-01,1.5442E-01,1.0692E-01,2.7416E-02,
     &1.3863E-01,1.7040E-01,1.7493E-01,1.2146E-01,2.9487E-02,1.5524E-01,
     &1.9136E-01,1.9656E-01,1.3693E-01,3.1585E-02,1.7178E-01,2.1298E-01,
     &2.1911E-01,1.5294E-01,3.3743E-02,1.8794E-01,2.3489E-01,2.4234E-01,
     &1.6937E-01/
      DATA ((KB(JS,JT,31,10),JS=1,5),JT=1,5) /
     &2.2384E-02,1.2276E-01,1.5268E-01,1.5694E-01,1.0764E-01,2.4241E-02,
     &1.3972E-01,1.7333E-01,1.7809E-01,1.2275E-01,2.6155E-02,1.5678E-01,
     &1.9481E-01,2.0028E-01,1.3870E-01,2.8119E-02,1.7362E-01,2.1675E-01,
     &2.2330E-01,1.5510E-01,3.0218E-02,1.9000E-01,2.3891E-01,2.4680E-01,
     &1.7182E-01/
      DATA ((KB(JS,JT,32,10),JS=1,5),JT=1,5) /
     &1.9818E-02,1.2431E-01,1.5590E-01,1.6037E-01,1.0919E-01,2.1499E-02,
     &1.4174E-01,1.7710E-01,1.8207E-01,1.2484E-01,2.3289E-02,1.5910E-01,
     &1.9892E-01,2.0468E-01,1.4116E-01,2.5197E-02,1.7612E-01,2.2110E-01,
     &2.2808E-01,1.5787E-01,2.7257E-02,1.9267E-01,2.4341E-01,2.5172E-01,
     &1.7483E-01/
      DATA ((KB(JS,JT,33,10),JS=1,5),JT=1,5) /
     &1.7588E-02,1.2670E-01,1.5984E-01,1.6448E-01,1.1147E-01,1.9157E-02,
     &1.4450E-01,1.8143E-01,1.8665E-01,1.2758E-01,2.0859E-02,1.6204E-01,
     &2.0353E-01,2.0957E-01,1.4421E-01,2.2735E-02,1.7915E-01,2.2585E-01,
     &2.3324E-01,1.6113E-01,2.4799E-02,1.9574E-01,2.4826E-01,2.5697E-01,
     &1.7829E-01/
      DATA ((KB(JS,JT,34,10),JS=1,5),JT=1,5) /
     &1.5617E-02,1.2913E-01,1.6354E-01,1.6830E-01,1.1378E-01,1.7096E-02,
     &1.4716E-01,1.8538E-01,1.9084E-01,1.3021E-01,1.8753E-02,1.6482E-01,
     &2.0769E-01,2.1402E-01,1.4705E-01,2.0625E-02,1.8194E-01,2.3012E-01,
     &2.3784E-01,1.6411E-01,2.2709E-02,1.9848E-01,2.5256E-01,2.6160E-01,
     &1.8143E-01/
      DATA ((KB(JS,JT,35,10),JS=1,5),JT=1,5) /
     &1.3789E-02,1.3026E-01,1.6543E-01,1.7032E-01,1.1490E-01,1.5216E-02,
     &1.4846E-01,1.8743E-01,1.9307E-01,1.3153E-01,1.6842E-02,1.6621E-01,
     &2.0987E-01,2.1641E-01,1.4851E-01,1.8686E-02,1.8333E-01,2.3239E-01,
     &2.4032E-01,1.6565E-01,2.0799E-02,1.9983E-01,2.5487E-01,2.6409E-01,
     &1.8307E-01/
      DATA ((KB(JS,JT,36,10),JS=1,5),JT=1,5) /
     &1.2099E-02,1.2969E-01,1.6517E-01,1.7011E-01,1.1448E-01,1.3456E-02,
     &1.4803E-01,1.8723E-01,1.9293E-01,1.3120E-01,1.5032E-02,1.6587E-01,
     &2.0973E-01,2.1635E-01,1.4826E-01,1.6854E-02,1.8305E-01,2.3232E-01,
     &2.4032E-01,1.6546E-01,1.8993E-02,1.9959E-01,2.5485E-01,2.6414E-01,
     &1.8292E-01/
      DATA ((KB(JS,JT,37,10),JS=1,5),JT=1,5) /
     &1.0461E-02,1.2652E-01,1.6173E-01,1.6663E-01,1.1173E-01,1.1729E-02,
     &1.4498E-01,1.8379E-01,1.8940E-01,1.2844E-01,1.3230E-02,1.6298E-01,
     &2.0628E-01,2.1278E-01,1.4553E-01,1.5005E-02,1.8033E-01,2.2891E-01,
     &2.3679E-01,1.6275E-01,1.7126E-02,1.9699E-01,2.5151E-01,2.6065E-01,
     &1.8019E-01/
      DATA ((KB(JS,JT,38,10),JS=1,5),JT=1,5) /
     &9.0496E-03,1.2333E-01,1.5823E-01,1.6307E-01,1.0897E-01,1.0227E-02,
     &1.4188E-01,1.8026E-01,1.8578E-01,1.2565E-01,1.1665E-02,1.6002E-01,
     &2.0273E-01,2.0911E-01,1.4274E-01,1.3392E-02,1.7754E-01,2.2537E-01,
     &2.3309E-01,1.5996E-01,1.5506E-02,1.9433E-01,2.4804E-01,2.5702E-01,
     &1.7741E-01/
      DATA ((KB(JS,JT,39,10),JS=1,5),JT=1,5) /
     &7.8338E-03,1.2027E-01,1.5482E-01,1.5961E-01,1.0632E-01,8.9378E-03,
     &1.3888E-01,1.7682E-01,1.8224E-01,1.2295E-01,1.0310E-02,1.5714E-01,
     &1.9926E-01,2.0553E-01,1.4003E-01,1.2002E-02,1.7480E-01,2.2192E-01,
     &2.2947E-01,1.5725E-01,1.4105E-02,1.9172E-01,2.4464E-01,2.5344E-01,
     &1.7470E-01/
      DATA ((KB(JS,JT,40,10),JS=1,5),JT=1,5) /
     &6.6914E-03,1.1542E-01,1.4925E-01,1.5395E-01,1.0210E-01,7.7047E-03,
     &1.3403E-01,1.7118E-01,1.7643E-01,1.1860E-01,8.9835E-03,1.5246E-01,
     &1.9353E-01,1.9961E-01,1.3564E-01,1.0606E-02,1.7030E-01,2.1619E-01,
     &2.2340E-01,1.5283E-01,1.2648E-02,1.8743E-01,2.3893E-01,2.4746E-01,
     &1.7023E-01/
      DATA ((KB(JS,JT,41,10),JS=1,5),JT=1,5) /
     &5.7043E-03,1.1041E-01,1.4350E-01,1.4812E-01,9.7770E-02,6.6329E-03,
     &1.2897E-01,1.6532E-01,1.7041E-01,1.1409E-01,7.8105E-03,1.4755E-01,
     &1.8757E-01,1.9344E-01,1.3104E-01,9.3536E-03,1.6558E-01,2.1020E-01,
     &2.1707E-01,1.4824E-01,1.1328E-02,1.8290E-01,2.3295E-01,2.4119E-01,
     &1.6557E-01/
      DATA ((KB(JS,JT,42,10),JS=1,5),JT=1,5) /
     &4.8607E-03,1.0547E-01,1.3783E-01,1.4238E-01,9.3542E-02,5.6953E-03,
     &1.2396E-01,1.5948E-01,1.6442E-01,1.0965E-01,6.7857E-03,1.4262E-01,
     &1.8165E-01,1.8732E-01,1.2648E-01,8.2516E-03,1.6083E-01,2.0424E-01,
     &2.1080E-01,1.4367E-01,1.0149E-02,1.7836E-01,2.2696E-01,2.3490E-01,
     &1.6095E-01/
      DATA ((KB(JS,JT,43,10),JS=1,5),JT=1,5) /
     &4.0934E-03,9.9600E-02,1.3106E-01,1.3554E-01,8.8531E-02,4.8473E-03,
     &1.1796E-01,1.5249E-01,1.5728E-01,1.0438E-01,5.8407E-03,1.3665E-01,
     &1.7453E-01,1.7995E-01,1.2102E-01,7.1922E-03,1.5505E-01,1.9702E-01,
     &2.0328E-01,1.3817E-01,8.9819E-03,1.7282E-01,2.1974E-01,2.2722E-01,
     &1.5541E-01/
      DATA ((KB(JS,JT,44,10),JS=1,5),JT=1,5) /
     &3.4279E-03,9.3376E-02,1.2386E-01,1.2828E-01,8.3256E-02,4.0981E-03,
     &1.1153E-01,1.4501E-01,1.4969E-01,9.8786E-02,4.9801E-03,1.3017E-01,
     &1.6691E-01,1.7209E-01,1.1523E-01,6.2140E-03,1.4877E-01,1.8924E-01,
     &1.9525E-01,1.3223E-01,7.8865E-03,1.6678E-01,2.1196E-01,2.1896E-01,
     &1.4947E-01/
      DATA ((KB(JS,JT,45,10),JS=1,5),JT=1,5) /
     &2.8724E-03,8.7295E-02,1.1671E-01,1.2114E-01,7.8089E-02,3.4468E-03,
     &1.0517E-01,1.3765E-01,1.4225E-01,9.3322E-02,4.2450E-03,1.2371E-01,
     &1.5937E-01,1.6431E-01,1.0950E-01,5.3608E-03,1.4242E-01,1.8156E-01,
     &1.8727E-01,1.2633E-01,6.9069E-03,1.6067E-01,2.0420E-01,2.1079E-01,
     &1.4356E-01/
      DATA ((KB(JS,JT,46,10),JS=1,5),JT=1,5) /
     &2.3836E-03,8.1023E-02,1.0917E-01,1.1375E-01,7.2722E-02,2.8929E-03,
     &9.8528E-02,1.2997E-01,1.3446E-01,8.7653E-02,3.5850E-03,1.1690E-01,
     &1.5139E-01,1.5617E-01,1.0350E-01,4.5850E-03,1.3564E-01,1.7345E-01,
     &1.7887E-01,1.2014E-01,5.9899E-03,1.5409E-01,1.9595E-01,2.0220E-01,
     &1.3729E-01/
      DATA ((KB(JS,JT,47,10),JS=1,5),JT=1,5) /
     &1.9470E-03,7.4238E-02,1.0082E-01,1.0569E-01,6.6936E-02,2.3890E-03,
     &9.1244E-02,1.2148E-01,1.2591E-01,8.1479E-02,2.9827E-03,1.0934E-01,
     &1.4258E-01,1.4724E-01,9.6940E-02,3.8583E-03,1.2800E-01,1.6447E-01,
     &1.6958E-01,1.1333E-01,5.1142E-03,1.4666E-01,1.8678E-01,1.9270E-01,
     &1.3028E-01/
      DATA ((KB(JS,JT,48,10),JS=1,5),JT=1,5) /
     &1.5861E-03,6.7739E-02,9.2637E-02,9.7854E-02,6.1349E-02,1.9649E-03,
     &8.4157E-02,1.1305E-01,1.1755E-01,7.5432E-02,2.4852E-03,1.0189E-01,
     &1.3395E-01,1.3849E-01,9.0556E-02,3.2371E-03,1.2039E-01,1.5554E-01,
     &1.6041E-01,1.0658E-01,4.3439E-03,1.3914E-01,1.7770E-01,1.8327E-01,
     &1.2334E-01/
      DATA ((KB(JS,JT,49,10),JS=1,5),JT=1,5) /
     &1.2857E-03,6.1441E-02,8.4638E-02,9.0184E-02,5.5928E-02,1.6127E-03,
     &7.7337E-02,1.0472E-01,1.0945E-01,6.9577E-02,2.0537E-03,9.4575E-02,
     &1.2545E-01,1.2989E-01,8.4331E-02,2.6910E-03,1.1284E-01,1.4670E-01,
     &1.5143E-01,9.9981E-02,3.6640E-03,1.3156E-01,1.6870E-01,1.7395E-01,
     &1.1651E-01/
      DATA ((KB(JS,JT,50,10),JS=1,5),JT=1,5) /
     &1.0457E-03,5.5773E-02,7.7388E-02,8.3215E-02,5.1035E-02,1.3145E-03,
     &7.1139E-02,9.6987E-02,1.0202E-01,6.4279E-02,1.7051E-03,8.7902E-02,
     &1.1756E-01,1.2199E-01,7.8626E-02,2.2648E-03,1.0582E-01,1.3854E-01,
     &1.4317E-01,9.3933E-02,3.1061E-03,1.2442E-01,1.6033E-01,1.6532E-01,
     &1.1017E-01/
      DATA ((KB(JS,JT,51,10),JS=1,5),JT=1,5) /
     &8.4549E-04,5.0472E-02,7.0528E-02,7.6615E-02,4.6420E-02,1.0690E-03,
     &6.5329E-02,8.9631E-02,9.4967E-02,5.9271E-02,1.4006E-03,8.1572E-02,
     &1.0994E-01,1.1450E-01,7.3207E-02,1.8893E-03,9.9123E-02,1.3077E-01,
     &1.3529E-01,8.8203E-02,2.6211E-03,1.1756E-01,1.5226E-01,1.5707E-01,
     &1.0410E-01/
      DATA ((KB(JS,JT,52,10),JS=1,5),JT=1,5) /
     &6.7948E-04,4.5452E-02,6.3925E-02,7.0191E-02,4.1984E-02,8.6532E-04,
     &5.9697E-02,8.2454E-02,8.8085E-02,5.4427E-02,1.1431E-03,7.5434E-02,
     &1.0239E-01,1.0721E-01,6.7964E-02,1.5771E-03,9.2585E-02,1.2313E-01,
     &1.2757E-01,8.2618E-02,2.2169E-03,1.1074E-01,1.4429E-01,1.4899E-01,
     &9.8166E-02/
      DATA ((KB(JS,JT,53,10),JS=1,5),JT=1,5) /
     &5.4404E-04,4.0689E-02,5.7565E-02,6.3870E-02,3.7709E-02,6.9516E-04,
     &5.4249E-02,7.5469E-02,8.1366E-02,4.9728E-02,9.2495E-04,6.9505E-02,
     &9.4951E-02,1.0007E-01,6.2880E-02,1.2935E-03,8.6139E-02,1.1548E-01,
     &1.1993E-01,7.7126E-02,1.8603E-03,1.0397E-01,1.3641E-01,1.4102E-01,
     &9.2352E-02/
      DATA ((KB(JS,JT,54,10),JS=1,5),JT=1,5) /
     &4.3618E-04,3.6557E-02,5.1984E-02,5.8236E-02,3.3960E-02,5.6166E-04,
     &4.9456E-02,6.9241E-02,7.5371E-02,4.5540E-02,7.5035E-04,6.4217E-02,
     &8.8252E-02,9.3648E-02,5.8325E-02,1.0628E-03,8.0385E-02,1.0853E-01,
     &1.1313E-01,7.2201E-02,1.5600E-03,9.7867E-02,1.2933E-01,1.3384E-01,
     &8.7138E-02/
      DATA ((KB(JS,JT,55,10),JS=1,5),JT=1,5) /
     &3.4930E-04,3.2793E-02,4.6881E-02,5.2981E-02,3.0517E-02,4.5330E-04,
     &4.5087E-02,6.3469E-02,6.9744E-02,4.1669E-02,6.1016E-04,5.9300E-02,
     &8.1969E-02,8.7622E-02,5.4097E-02,8.7186E-04,7.5017E-02,1.0190E-01,
     &1.0674E-01,6.7613E-02,1.3255E-03,9.2144E-02,1.2263E-01,1.2707E-01,
     &8.2251E-02/
      DATA ((KB(JS,JT,56,10),JS=1,5),JT=1,5) /
     &2.7869E-04,2.9255E-02,4.2021E-02,4.7895E-02,2.7250E-02,3.6450E-04,
     &4.0920E-02,5.7903E-02,6.4209E-02,3.7931E-02,4.9136E-04,5.4534E-02,
     &7.5862E-02,8.1747E-02,4.9990E-02,7.1172E-04,6.9828E-02,9.5390E-02,
     &1.0049E-01,6.3168E-02,1.1017E-03,8.6502E-02,1.1594E-01,1.2039E-01,
     &7.7442E-02/
      DATA ((KB(JS,JT,57,10),JS=1,5),JT=1,5) /
     &2.2107E-04,2.5925E-02,3.7436E-02,4.2992E-02,2.4134E-02,2.9170E-04,
     &3.6963E-02,5.2553E-02,5.8819E-02,3.4341E-02,3.9477E-04,4.9943E-02,
     &6.9900E-02,7.6011E-02,4.5979E-02,5.7598E-04,6.4771E-02,8.8986E-02,
     &9.4351E-02,5.8814E-02,9.0995E-04,8.0998E-02,1.0929E-01,1.1387E-01,
     &7.2731E-02/
      DATA ((KB(JS,JT,58,10),JS=1,5),JT=1,5) /
     &1.7561E-04,2.2952E-02,3.3334E-02,3.8531E-02,2.1328E-02,2.3328E-04,
     &3.3378E-02,4.7700E-02,5.3835E-02,3.1067E-02,3.1697E-04,4.5784E-02,
     &6.4416E-02,7.0683E-02,4.2303E-02,4.6537E-04,6.0108E-02,8.3029E-02,
     &8.8636E-02,5.4797E-02,7.4786E-04,7.5908E-02,1.0302E-01,1.0782E-01,
     &6.8377E-02/
      DATA ((KB(JS,JT,59,10),JS=1,5),JT=1,5) /
     &1.4648E-04,2.1806E-02,3.1752E-02,3.6796E-02,2.0240E-02,1.9618E-04,
     &3.1995E-02,4.5805E-02,5.1875E-02,2.9797E-02,2.7063E-04,4.4166E-02,
     &6.2268E-02,6.8564E-02,4.0859E-02,4.0629E-04,5.8271E-02,8.0681E-02,
     &8.6380E-02,5.3223E-02,6.7143E-04,7.3904E-02,1.0053E-01,1.0542E-01,
     &6.6665E-02/
      DATA ((KB(JS,JT,13,11),JS=1,5),JT=1,5) /
     &4.3607E-01,6.2808E-01,7.1724E-01,7.3315E-01,6.0101E-01,4.3332E-01,
     &6.2604E-01,7.1980E-01,7.4002E-01,6.1186E-01,4.3924E-01,6.2431E-01,
     &7.2116E-01,7.4635E-01,6.2343E-01,4.4984E-01,6.2482E-01,7.2168E-01,
     &7.5298E-01,6.3261E-01,4.6047E-01,6.3112E-01,7.2222E-01,7.5987E-01,
     &6.4021E-01/
      DATA ((KB(JS,JT,14,11),JS=1,5),JT=1,5) /
     &3.8105E-01,5.7533E-01,6.7001E-01,6.8808E-01,5.5899E-01,3.8509E-01,
     &5.7518E-01,6.7285E-01,6.9660E-01,5.7227E-01,3.9449E-01,5.7649E-01,
     &6.7532E-01,7.0510E-01,5.8361E-01,4.0382E-01,5.8297E-01,6.7784E-01,
     &7.1417E-01,5.9305E-01,4.1367E-01,5.9430E-01,6.8136E-01,7.2200E-01,
     &6.0202E-01/
      DATA ((KB(JS,JT,15,11),JS=1,5),JT=1,5) /
     &3.3634E-01,5.2577E-01,6.2172E-01,6.4383E-01,5.1752E-01,3.4434E-01,
     &5.2795E-01,6.2601E-01,6.5389E-01,5.3138E-01,3.5278E-01,5.3440E-01,
     &6.3064E-01,6.6483E-01,5.4288E-01,3.6194E-01,5.4564E-01,6.3643E-01,
     &6.7473E-01,5.5371E-01,3.7392E-01,5.5836E-01,6.4562E-01,6.8317E-01,
     &5.6497E-01/
      DATA ((KB(JS,JT,16,11),JS=1,5),JT=1,5) /
     &2.9938E-01,4.8063E-01,5.7442E-01,6.0090E-01,4.7563E-01,3.0677E-01,
     &4.8684E-01,5.8100E-01,6.1362E-01,4.9008E-01,3.1495E-01,4.9797E-01,
     &5.8852E-01,6.2578E-01,5.0309E-01,3.2635E-01,5.1101E-01,5.9933E-01,
     &6.3613E-01,5.1641E-01,3.4098E-01,5.2383E-01,6.1318E-01,6.4534E-01,
     &5.2976E-01/
      DATA ((KB(JS,JT,17,11),JS=1,5),JT=1,5) /
     &2.6573E-01,4.4123E-01,5.3003E-01,5.6054E-01,4.3533E-01,2.7295E-01,
     &4.5155E-01,5.3872E-01,5.7479E-01,4.5023E-01,2.8334E-01,4.6499E-01,
     &5.5060E-01,5.8775E-01,4.6535E-01,2.9718E-01,4.7854E-01,5.6610E-01,
     &5.9925E-01,4.8105E-01,3.1347E-01,4.9215E-01,5.8364E-01,6.1031E-01,
     &4.9645E-01/
      DATA ((KB(JS,JT,18,11),JS=1,5),JT=1,5) /
     &2.3548E-01,4.0722E-01,4.8899E-01,5.2175E-01,3.9754E-01,2.4465E-01,
     &4.2091E-01,5.0155E-01,5.3754E-01,4.1400E-01,2.5717E-01,4.3494E-01,
     &5.1756E-01,5.5168E-01,4.3132E-01,2.7241E-01,4.4915E-01,5.3619E-01,
     &5.6524E-01,4.4875E-01,2.8792E-01,4.6398E-01,5.5551E-01,5.7930E-01,
     &4.6590E-01/
      DATA ((KB(JS,JT,19,11),JS=1,5),JT=1,5) /
     &2.0944E-01,3.7826E-01,4.5234E-01,4.8406E-01,3.6392E-01,2.2089E-01,
     &3.9288E-01,4.6903E-01,5.0178E-01,3.8211E-01,2.3514E-01,4.0761E-01,
     &4.8827E-01,5.1821E-01,4.0103E-01,2.4973E-01,4.2303E-01,5.0894E-01,
     &5.3472E-01,4.2003E-01,2.6400E-01,4.4033E-01,5.2950E-01,5.5236E-01,
     &4.3892E-01/
      DATA ((KB(JS,JT,20,11),JS=1,5),JT=1,5) /
     &1.8773E-01,3.5288E-01,4.2094E-01,4.4918E-01,3.3536E-01,2.0090E-01,
     &3.6792E-01,4.4069E-01,4.6887E-01,3.5493E-01,2.1482E-01,3.8362E-01,
     &4.6266E-01,4.8831E-01,3.7530E-01,2.2865E-01,4.0117E-01,4.8452E-01,
     &5.0881E-01,3.9557E-01,2.4234E-01,4.2087E-01,5.0657E-01,5.3012E-01,
     &4.1595E-01/
      DATA ((KB(JS,JT,21,11),JS=1,5),JT=1,5) /
     &1.6913E-01,3.3019E-01,3.9388E-01,4.1795E-01,3.1127E-01,1.8253E-01,
     &3.4600E-01,4.1645E-01,4.3947E-01,3.3210E-01,1.9592E-01,3.6350E-01,
     &4.3977E-01,4.6279E-01,3.5347E-01,2.0921E-01,3.8317E-01,4.6337E-01,
     &4.8719E-01,3.7483E-01,2.2258E-01,4.0476E-01,4.8708E-01,5.1206E-01,
     &3.9691E-01/
      DATA ((KB(JS,JT,22,11),JS=1,5),JT=1,5) /
     &1.5329E-01,3.1121E-01,3.7219E-01,3.9211E-01,2.9266E-01,1.6615E-01,
     &3.2878E-01,3.9682E-01,4.1672E-01,3.1445E-01,1.7924E-01,3.4835E-01,
     &4.2167E-01,4.4342E-01,3.3660E-01,1.9225E-01,3.6990E-01,4.4699E-01,
     &4.7133E-01,3.5944E-01,2.0541E-01,3.9323E-01,4.7271E-01,4.9943E-01,
     &3.8308E-01/
      DATA ((KB(JS,JT,23,11),JS=1,5),JT=1,5) /
     &1.3887E-01,2.9534E-01,3.5451E-01,3.7144E-01,2.7763E-01,1.5131E-01,
     &3.1502E-01,3.8068E-01,3.9927E-01,3.0013E-01,1.6398E-01,3.3651E-01,
     &4.0726E-01,4.2913E-01,3.2331E-01,1.7699E-01,3.5967E-01,4.3436E-01,
     &4.5990E-01,3.4758E-01,1.9026E-01,3.8467E-01,4.6223E-01,4.9074E-01,
     &3.7282E-01/
      DATA ((KB(JS,JT,24,11),JS=1,5),JT=1,5) /
     &1.2585E-01,2.8281E-01,3.4015E-01,3.5619E-01,2.6580E-01,1.3791E-01,
     &3.0436E-01,3.6812E-01,3.8675E-01,2.8903E-01,1.5049E-01,3.2769E-01,
     &3.9648E-01,4.1925E-01,3.1342E-01,1.6367E-01,3.5256E-01,4.2575E-01,
     &4.5270E-01,3.3923E-01,1.7705E-01,3.7855E-01,4.5558E-01,4.8562E-01,
     &3.6598E-01/
      DATA ((KB(JS,JT,25,11),JS=1,5),JT=1,5) /
     &1.1440E-01,2.7340E-01,3.2939E-01,3.4570E-01,2.5676E-01,1.2619E-01,
     &2.9667E-01,3.5918E-01,3.7882E-01,2.8103E-01,1.3880E-01,3.2182E-01,
     &3.8965E-01,4.1370E-01,3.0678E-01,1.5209E-01,3.4806E-01,4.2076E-01,
     &4.4907E-01,3.3404E-01,1.6564E-01,3.7478E-01,4.5238E-01,4.8364E-01,
     &3.6209E-01/
      DATA ((KB(JS,JT,26,11),JS=1,5),JT=1,5) /
     &1.0459E-01,2.6698E-01,3.2246E-01,3.3976E-01,2.5076E-01,1.1626E-01,
     &2.9209E-01,3.5422E-01,3.7512E-01,2.7618E-01,1.2895E-01,3.1885E-01,
     &3.8669E-01,4.1203E-01,3.0332E-01,1.4230E-01,3.4607E-01,4.1933E-01,
     &4.4889E-01,3.3190E-01,1.5605E-01,3.7346E-01,4.5243E-01,4.8462E-01,
     &3.6103E-01/
      DATA ((KB(JS,JT,27,11),JS=1,5),JT=1,5) /
     &9.6118E-02,2.6319E-01,3.1888E-01,3.3748E-01,2.4718E-01,1.0777E-01,
     &2.9006E-01,3.5247E-01,3.7471E-01,2.7379E-01,1.2054E-01,3.1789E-01,
     &3.8657E-01,4.1315E-01,3.0239E-01,1.3403E-01,3.4597E-01,4.2050E-01,
     &4.5108E-01,3.3196E-01,1.4803E-01,3.7409E-01,4.5469E-01,4.8753E-01,
     &3.6202E-01/
      DATA ((KB(JS,JT,28,11),JS=1,5),JT=1,5) /
     &8.8934E-02,2.6189E-01,3.1824E-01,3.3815E-01,2.4575E-01,1.0066E-01,
     &2.9004E-01,3.5339E-01,3.7699E-01,2.7368E-01,1.1346E-01,3.1878E-01,
     &3.8868E-01,4.1646E-01,3.0334E-01,1.2719E-01,3.4746E-01,4.2368E-01,
     &4.5510E-01,3.3384E-01,1.4149E-01,3.7622E-01,4.5856E-01,4.9189E-01,
     &3.6458E-01/
      DATA ((KB(JS,JT,29,11),JS=1,5),JT=1,5) /
     &8.2953E-02,2.6276E-01,3.2032E-01,3.4153E-01,2.4649E-01,9.4812E-02,
     &2.9186E-01,3.5678E-01,3.8153E-01,2.7563E-01,1.0778E-01,3.2138E-01,
     &3.9278E-01,4.2163E-01,3.0623E-01,1.2182E-01,3.5053E-01,4.2853E-01,
     &4.6064E-01,3.3743E-01,1.3655E-01,3.7990E-01,4.6387E-01,4.9754E-01,
     &3.6866E-01/
      DATA ((KB(JS,JT,30,11),JS=1,5),JT=1,5) /
     &7.8111E-02,2.6530E-01,3.2451E-01,3.4680E-01,2.4893E-01,9.0075E-02,
     &2.9517E-01,3.6183E-01,3.8763E-01,2.7915E-01,1.0336E-01,3.2522E-01,
     &3.9838E-01,4.2809E-01,3.1046E-01,1.1787E-01,3.5483E-01,4.3455E-01,
     &4.6718E-01,3.4218E-01,1.3307E-01,3.8452E-01,4.7003E-01,5.0395E-01,
     &3.7368E-01/
      DATA ((KB(JS,JT,31,11),JS=1,5),JT=1,5) /
     &7.4235E-02,2.6927E-01,3.3033E-01,3.5368E-01,2.5294E-01,8.6475E-02,
     &2.9980E-01,3.6814E-01,3.9505E-01,2.8398E-01,1.0025E-01,3.3020E-01,
     &4.0500E-01,4.3563E-01,3.1586E-01,1.1530E-01,3.6008E-01,4.4151E-01,
     &4.7461E-01,3.4790E-01,1.3103E-01,3.8989E-01,4.7695E-01,5.1108E-01,
     &3.7953E-01/
      DATA ((KB(JS,JT,32,11),JS=1,5),JT=1,5) /
     &7.1362E-02,2.7445E-01,3.3748E-01,3.6171E-01,2.5820E-01,8.4060E-02,
     &3.0547E-01,3.7545E-01,4.0335E-01,2.8988E-01,9.8456E-02,3.3600E-01,
     &4.1253E-01,4.4393E-01,3.2217E-01,1.1408E-01,3.6612E-01,4.4914E-01,
     &4.8266E-01,3.5443E-01,1.3035E-01,3.9590E-01,4.8448E-01,5.1873E-01,
     &3.8602E-01/
      DATA ((KB(JS,JT,33,11),JS=1,5),JT=1,5) /
     &6.9437E-02,2.8056E-01,3.4548E-01,3.7055E-01,2.6439E-01,8.2778E-02,
     &3.1179E-01,3.8345E-01,4.1222E-01,2.9653E-01,9.7818E-02,3.4234E-01,
     &4.2058E-01,4.5271E-01,3.2902E-01,1.1406E-01,3.7264E-01,4.5719E-01,
     &4.9102E-01,3.6138E-01,1.3083E-01,4.0228E-01,4.9234E-01,5.2669E-01,
     &3.9293E-01/
      DATA ((KB(JS,JT,34,11),JS=1,5),JT=1,5) /
     &6.8001E-02,2.8611E-01,3.5258E-01,3.7843E-01,2.7007E-01,8.2015E-02,
     &3.1742E-01,3.9059E-01,4.2007E-01,3.0253E-01,9.7684E-02,3.4800E-01,
     &4.2777E-01,4.6038E-01,3.3518E-01,1.1453E-01,3.7836E-01,4.6423E-01,
     &4.9832E-01,3.6754E-01,1.3165E-01,4.0799E-01,4.9927E-01,5.3358E-01,
     &3.9902E-01/
      DATA ((KB(JS,JT,35,11),JS=1,5),JT=1,5) /
     &6.6173E-02,2.8901E-01,3.5634E-01,3.8261E-01,2.7305E-01,8.0679E-02,
     &3.2036E-01,3.9443E-01,4.2428E-01,3.0572E-01,9.6839E-02,3.5097E-01,
     &4.3164E-01,4.6448E-01,3.3845E-01,1.1412E-01,3.8139E-01,4.6804E-01,
     &5.0225E-01,3.7079E-01,1.3154E-01,4.1104E-01,5.0302E-01,5.3730E-01,
     &4.0230E-01/
      DATA ((KB(JS,JT,36,11),JS=1,5),JT=1,5) /
     &6.3512E-02,2.8876E-01,3.5615E-01,3.8246E-01,2.7277E-01,7.8322E-02,
     &3.2017E-01,3.9440E-01,4.2423E-01,3.0554E-01,9.4792E-02,3.5084E-01,
     &4.3169E-01,4.6451E-01,3.3835E-01,1.1239E-01,3.8129E-01,4.6814E-01,
     &5.0234E-01,3.7075E-01,1.3007E-01,4.1105E-01,5.0318E-01,5.3745E-01,
     &4.0235E-01/
      DATA ((KB(JS,JT,37,11),JS=1,5),JT=1,5) /
     &5.9276E-02,2.8388E-01,3.5018E-01,3.7605E-01,2.6777E-01,7.4070E-02,
     &3.1543E-01,3.8877E-01,4.1809E-01,3.0055E-01,9.0621E-02,3.4621E-01,
     &4.2622E-01,4.5870E-01,3.3345E-01,1.0838E-01,3.7677E-01,4.6291E-01,
     &4.9695E-01,3.6598E-01,1.2629E-01,4.0664E-01,4.9817E-01,5.3255E-01,
     &3.9771E-01/
      DATA ((KB(JS,JT,38,11),JS=1,5),JT=1,5) /
     &5.5352E-02,2.7885E-01,3.4399E-01,3.6943E-01,2.6263E-01,7.0099E-02,
     &3.1053E-01,3.8289E-01,4.1165E-01,2.9537E-01,8.6674E-02,3.4144E-01,
     &4.2052E-01,4.5261E-01,3.2834E-01,1.0451E-01,3.7207E-01,4.5745E-01,
     &4.9130E-01,3.6103E-01,1.2261E-01,4.0208E-01,4.9291E-01,5.2735E-01,
     &3.9288E-01/
      DATA ((KB(JS,JT,39,11),JS=1,5),JT=1,5) /
     &5.1830E-02,2.7388E-01,3.3795E-01,3.6294E-01,2.5765E-01,6.6473E-02,
     &3.0570E-01,3.7709E-01,4.0534E-01,2.9029E-01,8.3032E-02,3.3678E-01,
     &4.1490E-01,4.4656E-01,3.2332E-01,1.0089E-01,3.6746E-01,4.5203E-01,
     &4.8569E-01,3.5615E-01,1.1914E-01,3.9759E-01,4.8773E-01,5.2218E-01,
     &3.8813E-01/
      DATA ((KB(JS,JT,40,11),JS=1,5),JT=1,5) /
     &4.7273E-02,2.6566E-01,3.2789E-01,3.5219E-01,2.4948E-01,6.1538E-02,
     &2.9768E-01,3.6730E-01,3.9473E-01,2.8193E-01,7.7858E-02,3.2903E-01,
     &4.0551E-01,4.3635E-01,3.1499E-01,9.5580E-02,3.5975E-01,4.4288E-01,
     &4.7617E-01,3.4794E-01,1.1394E-01,3.9008E-01,4.7900E-01,5.1333E-01,
     &3.8020E-01/
      DATA ((KB(JS,JT,41,11),JS=1,5),JT=1,5) /
     &4.2888E-02,2.5708E-01,3.1732E-01,3.4096E-01,2.4098E-01,5.6697E-02,
     &2.8927E-01,3.5696E-01,3.8355E-01,2.7327E-01,7.2702E-02,3.2083E-01,
     &3.9561E-01,4.2555E-01,3.0626E-01,9.0227E-02,3.5164E-01,4.3315E-01,
     &4.6599E-01,3.3930E-01,1.0861E-01,3.8219E-01,4.6971E-01,5.0385E-01,
     &3.7183E-01/
      DATA ((KB(JS,JT,42,11),JS=1,5),JT=1,5) /
     &3.8819E-02,2.4850E-01,3.0677E-01,3.2968E-01,2.3256E-01,5.2147E-02,
     &2.8080E-01,3.4660E-01,3.7239E-01,2.6466E-01,6.7768E-02,3.1263E-01,
     &3.8564E-01,4.1466E-01,2.9758E-01,8.5041E-02,3.4356E-01,4.2336E-01,
     &4.5563E-01,3.3065E-01,1.0335E-01,3.7426E-01,4.6032E-01,4.9419E-01,
     &3.6339E-01/
      DATA ((KB(JS,JT,43,11),JS=1,5),JT=1,5) /
     &3.4406E-02,2.3801E-01,2.9406E-01,3.1601E-01,2.2240E-01,4.7048E-02,
     &2.7050E-01,3.3401E-01,3.5883E-01,2.5435E-01,6.2114E-02,3.0257E-01,
     &3.7337E-01,4.0135E-01,2.8701E-01,7.9018E-02,3.3381E-01,4.1146E-01,
     &4.4285E-01,3.2012E-01,9.7123E-02,3.6459E-01,4.4877E-01,4.8229E-01,
     &3.5311E-01/
      DATA ((KB(JS,JT,44,11),JS=1,5),JT=1,5) /
     &3.0068E-02,2.2661E-01,2.8047E-01,3.0141E-01,2.1157E-01,4.1934E-02,
     &2.5939E-01,3.2031E-01,3.4420E-01,2.4331E-01,5.6334E-02,2.9165E-01,
     &3.5997E-01,3.8686E-01,2.7569E-01,7.2738E-02,3.2319E-01,3.9860E-01,
     &4.2881E-01,3.0880E-01,9.0538E-02,3.5407E-01,4.3616E-01,4.6913E-01,
     &3.4187E-01/
      DATA ((KB(JS,JT,45,11),JS=1,5),JT=1,5) /
     &2.6090E-02,2.1511E-01,2.6705E-01,2.8701E-01,2.0089E-01,3.7182E-02,
     &2.4828E-01,3.0662E-01,3.2954E-01,2.3239E-01,5.0828E-02,2.8069E-01,
     &3.4649E-01,3.7235E-01,2.6452E-01,6.6683E-02,3.1254E-01,3.8562E-01,
     &4.1465E-01,2.9751E-01,8.4110E-02,3.4354E-01,4.2341E-01,4.5565E-01,
     &3.3061E-01/
      DATA ((KB(JS,JT,46,11),JS=1,5),JT=1,5) /
     &2.2282E-02,2.0276E-01,2.5300E-01,2.7194E-01,1.8966E-01,3.2494E-02,
     &2.3634E-01,2.9212E-01,3.1397E-01,2.2083E-01,4.5322E-02,2.6893E-01,
     &3.3209E-01,3.5685E-01,2.5276E-01,6.0492E-02,3.0105E-01,3.7160E-01,
     &3.9945E-01,2.8546E-01,7.7449E-02,3.3241E-01,4.0979E-01,4.4100E-01,
     &3.1859E-01/
      DATA ((KB(JS,JT,47,11),JS=1,5),JT=1,5) /
     &1.8534E-02,1.8898E-01,2.3758E-01,2.5552E-01,1.7724E-01,2.7732E-02,
     &2.2283E-01,2.7608E-01,2.9673E-01,2.0806E-01,3.9604E-02,2.5581E-01,
     &3.1589E-01,3.3953E-01,2.3975E-01,5.3911E-02,2.8814E-01,3.5568E-01,
     &3.8226E-01,2.7210E-01,7.0242E-02,3.1982E-01,3.9452E-01,4.2435E-01,
     &3.0521E-01/
      DATA ((KB(JS,JT,48,11),JS=1,5),JT=1,5) /
     &1.5230E-02,1.7512E-01,2.2238E-01,2.3953E-01,1.6496E-01,2.3424E-02,
     &2.0917E-01,2.6028E-01,2.7977E-01,1.9549E-01,3.4289E-02,2.4261E-01,
     &2.9967E-01,3.2213E-01,2.2686E-01,4.7677E-02,2.7510E-01,3.3967E-01,
     &3.6502E-01,2.5892E-01,6.3303E-02,3.0711E-01,3.7902E-01,4.0749E-01,
     &2.9180E-01/
      DATA ((KB(JS,JT,49,11),JS=1,5),JT=1,5) /
     &1.2348E-02,1.6145E-01,2.0748E-01,2.2396E-01,1.5290E-01,1.9656E-02,
     &1.9547E-01,2.4481E-01,2.6319E-01,1.8304E-01,2.9411E-02,2.2922E-01,
     &2.8358E-01,3.0484E-01,2.1403E-01,4.1852E-02,2.6199E-01,3.2356E-01,
     &3.4774E-01,2.4589E-01,5.6641E-02,2.9425E-01,3.6325E-01,3.9043E-01,
     &2.7839E-01/
      DATA ((KB(JS,JT,50,11),JS=1,5),JT=1,5) /
     &1.0059E-02,1.4901E-01,1.9385E-01,2.0977E-01,1.4182E-01,1.6439E-02,
     &1.8255E-01,2.3049E-01,2.4806E-01,1.7150E-01,2.5328E-02,2.1656E-01,
     &2.6875E-01,2.8888E-01,2.0219E-01,3.6730E-02,2.4971E-01,3.0839E-01,
     &3.3151E-01,2.3378E-01,5.0682E-02,2.8213E-01,3.4832E-01,3.7432E-01,
     &2.6599E-01/
      DATA ((KB(JS,JT,51,11),JS=1,5),JT=1,5) /
     &8.1000E-03,1.3718E-01,1.8086E-01,1.9633E-01,1.3125E-01,1.3663E-02,
     &1.7002E-01,2.1682E-01,2.3372E-01,1.6044E-01,2.1646E-02,2.0410E-01,
     &2.5452E-01,2.7362E-01,1.9085E-01,3.2117E-02,2.3766E-01,2.9370E-01,
     &3.1573E-01,2.2210E-01,4.5217E-02,2.7026E-01,3.3377E-01,3.5865E-01,
     &2.5409E-01/
      DATA ((KB(JS,JT,52,11),JS=1,5),JT=1,5) /
     &6.4392E-03,1.2568E-01,1.6814E-01,1.8321E-01,1.2091E-01,1.1223E-02,
     &1.5773E-01,2.0341E-01,2.1973E-01,1.4959E-01,1.8327E-02,1.9165E-01,
     &2.4057E-01,2.5870E-01,1.7960E-01,2.7978E-02,2.2553E-01,2.7924E-01,
     &3.0015E-01,2.1055E-01,4.0066E-02,2.5840E-01,3.1913E-01,3.4300E-01,
     &2.4233E-01/
      DATA ((KB(JS,JT,53,11),JS=1,5),JT=1,5) /
     &5.0582E-03,1.1452E-01,1.5565E-01,1.7040E-01,1.1082E-01,9.0986E-03,
     &1.4571E-01,1.9026E-01,2.0608E-01,1.3891E-01,1.5360E-02,1.7911E-01,
     &2.2674E-01,2.4415E-01,1.6845E-01,2.4079E-02,2.1320E-01,2.6488E-01,
     &2.8473E-01,1.9911E-01,3.5249E-02,2.4647E-01,3.0443E-01,3.2725E-01,
     &2.3061E-01/
      DATA ((KB(JS,JT,54,11),JS=1,5),JT=1,5) /
     &3.9947E-03,1.0467E-01,1.4438E-01,1.5895E-01,1.0183E-01,7.4123E-03,
     &1.3495E-01,1.7842E-01,1.9384E-01,1.2928E-01,1.2928E-02,1.6768E-01,
     &2.1428E-01,2.3108E-01,1.5838E-01,2.0817E-02,2.0178E-01,2.5191E-01,
     &2.7082E-01,1.8875E-01,3.1131E-02,2.3540E-01,2.9100E-01,3.1283E-01,
     &2.1994E-01/
      DATA ((KB(JS,JT,55,11),JS=1,5),JT=1,5) /
     &3.1444E-03,9.5645E-02,1.3357E-01,1.4821E-01,9.3456E-02,6.0192E-03,
     &1.2488E-01,1.6728E-01,1.8235E-01,1.2022E-01,1.0844E-02,1.5692E-01,
     &2.0255E-01,2.1884E-01,1.4887E-01,1.7966E-02,1.9085E-01,2.3968E-01,
     &2.5776E-01,1.7889E-01,2.7575E-02,2.2475E-01,2.7833E-01,2.9920E-01,
     &2.0981E-01/
      DATA ((KB(JS,JT,56,11),JS=1,5),JT=1,5) /
     &2.4408E-03,8.7042E-02,1.2294E-01,1.3774E-01,8.5384E-02,4.8425E-03,
     &1.1512E-01,1.5634E-01,1.7115E-01,1.1140E-01,9.0070E-03,1.4641E-01,
     &1.9103E-01,2.0689E-01,1.3953E-01,1.5384E-02,1.7987E-01,2.2757E-01,
     &2.4502E-01,1.6913E-01,2.4183E-02,2.1396E-01,2.6576E-01,2.8569E-01,
     &1.9980E-01/
      DATA ((KB(JS,JT,57,11),JS=1,5),JT=1,5) /
     &1.8661E-03,7.8869E-02,1.1259E-01,1.2744E-01,7.7594E-02,3.8393E-03,
     &1.0567E-01,1.4558E-01,1.6018E-01,1.0279E-01,7.3986E-03,1.3611E-01,
     &1.7972E-01,1.9518E-01,1.3032E-01,1.3057E-02,1.6895E-01,2.1565E-01,
     &2.3253E-01,1.5951E-01,2.1059E-02,2.0305E-01,2.5335E-01,2.7238E-01,
     &1.8989E-01/
      DATA ((KB(JS,JT,58,11),JS=1,5),JT=1,5) /
     &1.4289E-03,7.1481E-02,1.0314E-01,1.1789E-01,7.0461E-02,3.0447E-03,
     &9.7100E-02,1.3537E-01,1.5001E-01,9.4840E-02,6.0785E-03,1.2656E-01,
     &1.6917E-01,1.8428E-01,1.2173E-01,1.1073E-02,1.5875E-01,2.0453E-01,
     &2.2090E-01,1.5049E-01,1.8344E-02,1.9271E-01,2.4175E-01,2.5997E-01,
     &1.8056E-01/
      DATA ((KB(JS,JT,59,11),JS=1,5),JT=1,5) /
     &1.2466E-03,6.8608E-02,9.9449E-02,1.1409E-01,6.7679E-02,2.7400E-03,
     &9.3756E-02,1.3130E-01,1.4598E-01,9.1727E-02,5.5829E-03,1.2280E-01,
     &1.6498E-01,1.7997E-01,1.1835E-01,1.0327E-02,1.5471E-01,2.0012E-01,
     &2.1632E-01,1.4691E-01,1.7312E-02,1.8856E-01,2.3714E-01,2.5511E-01,
     &1.7685E-01/
      DATA ((KB(JS,JT,13,12),JS=1,5),JT=1,5) /
     &9.7672E-01,1.2351E+00,1.3467E+00,1.3355E+00,1.1350E+00,9.6517E-01,
     &1.2326E+00,1.3523E+00,1.3488E+00,1.1500E+00,9.5359E-01,1.2308E+00,
     &1.3576E+00,1.3588E+00,1.1629E+00,9.4644E-01,1.2294E+00,1.3618E+00,
     &1.3660E+00,1.1761E+00,9.4938E-01,1.2277E+00,1.3647E+00,1.3713E+00,
     &1.1895E+00/
      DATA ((KB(JS,JT,14,12),JS=1,5),JT=1,5) /
     &8.6287E-01,1.1528E+00,1.2800E+00,1.2931E+00,1.0793E+00,8.5328E-01,
     &1.1519E+00,1.2878E+00,1.3082E+00,1.0960E+00,8.4776E-01,1.1522E+00,
     &1.2944E+00,1.3193E+00,1.1122E+00,8.5264E-01,1.1532E+00,1.2995E+00,
     &1.3287E+00,1.1288E+00,8.6761E-01,1.1556E+00,1.3039E+00,1.3378E+00,
     &1.1458E+00/
      DATA ((KB(JS,JT,15,12),JS=1,5),JT=1,5) /
     &7.5595E-01,1.0736E+00,1.2146E+00,1.2437E+00,1.0230E+00,7.5063E-01,
     &1.0744E+00,1.2248E+00,1.2603E+00,1.0430E+00,7.5594E-01,1.0769E+00,
     &1.2334E+00,1.2743E+00,1.0635E+00,7.7107E-01,1.0807E+00,1.2402E+00,
     &1.2881E+00,1.0841E+00,7.9469E-01,1.0902E+00,1.2461E+00,1.3012E+00,
     &1.1031E+00/
      DATA ((KB(JS,JT,16,12),JS=1,5),JT=1,5) /
     &6.6063E-01,9.9640E-01,1.1502E+00,1.1902E+00,9.6912E-01,6.6454E-01,
     &1.0001E+00,1.1634E+00,1.2095E+00,9.9257E-01,6.7895E-01,1.0049E+00,
     &1.1739E+00,1.2282E+00,1.0170E+00,7.0145E-01,1.0153E+00,1.1833E+00,
     &1.2469E+00,1.0404E+00,7.2525E-01,1.0330E+00,1.1925E+00,1.2646E+00,
     &1.0610E+00/
      DATA ((KB(JS,JT,17,12),JS=1,5),JT=1,5) /
     &5.8214E-01,9.2297E-01,1.0896E+00,1.1346E+00,9.1647E-01,5.9400E-01,
     &9.2929E-01,1.1045E+00,1.1590E+00,9.4550E-01,6.1460E-01,9.4000E-01,
     &1.1172E+00,1.1832E+00,9.7371E-01,6.3691E-01,9.5830E-01,1.1303E+00,
     &1.2071E+00,9.9891E-01,6.6003E-01,9.8295E-01,1.1440E+00,1.2298E+00,
     &1.0215E+00/
      DATA ((KB(JS,JT,18,12),JS=1,5),JT=1,5) /
     &5.1831E-01,8.5586E-01,1.0313E+00,1.0823E+00,8.6734E-01,5.3638E-01,
     &8.6645E-01,1.0487E+00,1.1114E+00,9.0071E-01,5.5679E-01,8.8410E-01,
     &1.0657E+00,1.1407E+00,9.3149E-01,5.7819E-01,9.0902E-01,1.0831E+00,
     &1.1693E+00,9.5937E-01,6.0387E-01,9.4010E-01,1.1032E+00,1.1966E+00,
     &9.8550E-01/
      DATA ((KB(JS,JT,19,12),JS=1,5),JT=1,5) /
     &4.6547E-01,7.9533E-01,9.7579E-01,1.0353E+00,8.2208E-01,4.8441E-01,
     &8.1281E-01,9.9768E-01,1.0690E+00,8.5858E-01,5.0438E-01,8.3723E-01,
     &1.0197E+00,1.1027E+00,8.9202E-01,5.2861E-01,8.6772E-01,1.0433E+00,
     &1.1355E+00,9.2298E-01,5.5711E-01,9.0301E-01,1.0701E+00,1.1672E+00,
     &9.5266E-01/
      DATA ((KB(JS,JT,20,12),JS=1,5),JT=1,5) /
     &4.1965E-01,7.4319E-01,9.2508E-01,9.9412E-01,7.8089E-01,4.3802E-01,
     &7.6766E-01,9.5235E-01,1.0327E+00,8.2017E-01,4.6025E-01,7.9818E-01,
     &9.8022E-01,1.0706E+00,8.5677E-01,4.8727E-01,8.3370E-01,1.0109E+00,
     &1.1072E+00,8.9127E-01,5.1863E-01,8.7091E-01,1.0440E+00,1.1423E+00,
     &9.2433E-01/
      DATA ((KB(JS,JT,21,12),JS=1,5),JT=1,5) /
     &3.7915E-01,6.9998E-01,8.8069E-01,9.5835E-01,7.4387E-01,3.9885E-01,
     &7.2965E-01,9.1291E-01,1.0022E+00,7.8645E-01,4.2350E-01,7.6561E-01,
     &9.4765E-01,1.0443E+00,8.2639E-01,4.5298E-01,8.0432E-01,9.8473E-01,
     &1.0842E+00,8.6477E-01,4.8674E-01,8.4344E-01,1.0236E+00,1.1221E+00,
     &9.0082E-01/
      DATA ((KB(JS,JT,22,12),JS=1,5),JT=1,5) /
     &3.4554E-01,6.6631E-01,8.4565E-01,9.3193E-01,7.1462E-01,3.6807E-01,
     &7.0096E-01,8.8353E-01,9.8021E-01,7.6038E-01,3.9520E-01,7.4099E-01,
     &9.2460E-01,1.0260E+00,8.0381E-01,4.2700E-01,7.8213E-01,9.6750E-01,
     &1.0688E+00,8.4544E-01,4.6306E-01,8.2357E-01,1.0116E+00,1.1089E+00,
     &8.8444E-01/
      DATA ((KB(JS,JT,23,12),JS=1,5),JT=1,5) /
     &3.1790E-01,6.4007E-01,8.1825E-01,9.1240E-01,6.9117E-01,3.4313E-01,
     &6.7943E-01,8.6200E-01,9.6400E-01,7.4026E-01,3.7292E-01,7.2179E-01,
     &9.0853E-01,1.0128E+00,7.8692E-01,4.0683E-01,7.6528E-01,9.5638E-01,
     &1.0584E+00,8.3132E-01,4.4434E-01,8.0906E-01,1.0049E+00,1.1007E+00,
     &8.7324E-01/
      DATA ((KB(JS,JT,24,12),JS=1,5),JT=1,5) /
     &2.9587E-01,6.2091E-01,7.9898E-01,8.9859E-01,6.7383E-01,3.2356E-01,
     &6.6370E-01,8.4800E-01,9.5354E-01,7.2591E-01,3.5587E-01,7.0805E-01,
     &8.9882E-01,1.0049E+00,7.7551E-01,3.9090E-01,7.5345E-01,9.5073E-01,
     &1.0524E+00,8.2233E-01,4.2938E-01,8.0019E-01,1.0026E+00,1.0965E+00,
     &8.6634E-01/
      DATA ((KB(JS,JT,25,12),JS=1,5),JT=1,5) /
     &2.7857E-01,6.0799E-01,7.8705E-01,8.9081E-01,6.6256E-01,3.0889E-01,
     &6.5303E-01,8.4032E-01,9.4841E-01,7.1733E-01,3.4245E-01,6.9924E-01,
     &8.9488E-01,1.0015E+00,7.6917E-01,3.7871E-01,7.4693E-01,9.5015E-01,
     &1.0506E+00,8.1807E-01,4.1833E-01,7.9644E-01,1.0044E+00,1.0958E+00,
     &8.6374E-01/
      DATA ((KB(JS,JT,26,12),JS=1,5),JT=1,5) /
     &2.6580E-01,6.0063E-01,7.8228E-01,8.8879E-01,6.5720E-01,2.9790E-01,
     &6.4759E-01,8.3895E-01,9.4821E-01,7.1439E-01,3.3261E-01,6.9574E-01,
     &8.9642E-01,1.0025E+00,7.6782E-01,3.7054E-01,7.4591E-01,9.5396E-01,
     &1.0524E+00,8.1818E-01,4.1158E-01,7.9751E-01,1.0099E+00,1.0981E+00,
     &8.6507E-01/
      DATA ((KB(JS,JT,27,12),JS=1,5),JT=1,5) /
     &2.5628E-01,5.9727E-01,7.8261E-01,8.9115E-01,6.5648E-01,2.8973E-01,
     &6.4617E-01,8.4187E-01,9.5137E-01,7.1531E-01,3.2602E-01,6.9640E-01,
     &9.0149E-01,1.0062E+00,7.6992E-01,3.6566E-01,7.4858E-01,9.6067E-01,
     &1.0565E+00,8.2130E-01,4.0839E-01,8.0160E-01,1.0174E+00,1.1025E+00,
     &8.6892E-01/
      DATA ((KB(JS,JT,28,12),JS=1,5),JT=1,5) /
     &2.4931E-01,5.9767E-01,7.8703E-01,8.9664E-01,6.5970E-01,2.8438E-01,
     &6.4828E-01,8.4808E-01,9.5711E-01,7.1948E-01,3.2259E-01,7.0046E-01,
     &9.0930E-01,1.0123E+00,7.7494E-01,3.6394E-01,7.5423E-01,9.6943E-01,
     &1.0625E+00,8.2683E-01,4.0857E-01,8.0828E-01,1.0265E+00,1.1085E+00,
     &8.7457E-01/
      DATA ((KB(JS,JT,29,12),JS=1,5),JT=1,5) /
     &2.4529E-01,6.0153E-01,7.9470E-01,9.0469E-01,6.6635E-01,2.8215E-01,
     &6.5374E-01,8.5707E-01,9.6518E-01,7.2659E-01,3.2237E-01,7.0744E-01,
     &9.1955E-01,1.0202E+00,7.8233E-01,3.6548E-01,7.6246E-01,9.8006E-01,
     &1.0704E+00,8.3435E-01,4.1179E-01,8.1715E-01,1.0368E+00,1.1160E+00,
     &8.8198E-01/
      DATA ((KB(JS,JT,30,12),JS=1,5),JT=1,5) /
     &2.4386E-01,6.0816E-01,8.0473E-01,9.1460E-01,6.7543E-01,2.8279E-01,
     &6.6165E-01,8.6804E-01,9.7470E-01,7.3566E-01,3.2483E-01,7.1650E-01,
     &9.3115E-01,1.0292E+00,7.9124E-01,3.6954E-01,7.7208E-01,9.9158E-01,
     &1.0790E+00,8.4299E-01,4.1749E-01,8.2738E-01,1.0478E+00,1.1245E+00,
     &8.9039E-01/
      DATA ((KB(JS,JT,31,12),JS=1,5),JT=1,5) /
     &2.4525E-01,6.1702E-01,8.1682E-01,9.2621E-01,6.8640E-01,2.8616E-01,
     &6.7142E-01,8.8072E-01,9.8550E-01,7.4643E-01,3.2989E-01,7.2710E-01,
     &9.4409E-01,1.0393E+00,8.0152E-01,3.7609E-01,7.8314E-01,1.0041E+00,
     &1.0886E+00,8.5269E-01,4.2530E-01,8.3896E-01,1.0596E+00,1.1338E+00,
     &8.9957E-01/
      DATA ((KB(JS,JT,32,12),JS=1,5),JT=1,5) /
     &2.4917E-01,6.2738E-01,8.3018E-01,9.3886E-01,6.9870E-01,2.9180E-01,
     &6.8257E-01,8.9466E-01,9.9723E-01,7.5819E-01,3.3695E-01,7.3898E-01,
     &9.5783E-01,1.0503E+00,8.1270E-01,3.8441E-01,7.9527E-01,1.0172E+00,
     &1.0987E+00,8.6313E-01,4.3473E-01,8.5145E-01,1.0718E+00,1.1436E+00,
     &9.0933E-01/
      DATA ((KB(JS,JT,33,12),JS=1,5),JT=1,5) /
     &2.5524E-01,6.3888E-01,8.4456E-01,9.5208E-01,7.1177E-01,2.9923E-01,
     &6.9477E-01,9.0943E-01,1.0094E+00,7.7043E-01,3.4555E-01,7.5166E-01,
     &9.7211E-01,1.0616E+00,8.2442E-01,3.9409E-01,8.0804E-01,1.0306E+00,
     &1.1094E+00,8.7396E-01,4.4532E-01,8.6454E-01,1.0842E+00,1.1536E+00,
     &9.1947E-01/
      DATA ((KB(JS,JT,34,12),JS=1,5),JT=1,5) /
     &2.6139E-01,6.4937E-01,8.5738E-01,9.6358E-01,7.2330E-01,3.0644E-01,
     &7.0578E-01,9.2238E-01,1.0200E+00,7.8117E-01,3.5368E-01,7.6284E-01,
     &9.8445E-01,1.0715E+00,8.3457E-01,4.0294E-01,8.1944E-01,1.0421E+00,
     &1.1185E+00,8.8331E-01,4.5497E-01,8.7610E-01,1.0949E+00,1.1623E+00,
     &9.2821E-01/
      DATA ((KB(JS,JT,35,12),JS=1,5),JT=1,5) /
     &2.6429E-01,6.5495E-01,8.6437E-01,9.6967E-01,7.2944E-01,3.1003E-01,
     &7.1171E-01,9.2940E-01,1.0257E+00,7.8687E-01,3.5779E-01,7.6892E-01,
     &9.9113E-01,1.0767E+00,8.3993E-01,4.0757E-01,8.2572E-01,1.0483E+00,
     &1.1235E+00,8.8834E-01,4.6005E-01,8.8243E-01,1.1007E+00,1.1671E+00,
     &9.3291E-01/
      DATA ((KB(JS,JT,36,12),JS=1,5),JT=1,5) /
     &2.6301E-01,6.5478E-01,8.6458E-01,9.6965E-01,7.2937E-01,3.0906E-01,
     &7.1167E-01,9.2967E-01,1.0257E+00,7.8687E-01,3.5709E-01,7.6907E-01,
     &9.9151E-01,1.0769E+00,8.4005E-01,4.0702E-01,8.2602E-01,1.0488E+00,
     &1.1238E+00,8.8850E-01,4.5966E-01,8.8282E-01,1.1012E+00,1.1674E+00,
     &9.3315E-01/
      DATA ((KB(JS,JT,37,12),JS=1,5),JT=1,5) /
     &2.5532E-01,6.4621E-01,8.5496E-01,9.6073E-01,7.2018E-01,3.0133E-01,
     &7.0315E-01,9.2046E-01,1.0178E+00,7.7861E-01,3.4928E-01,7.6070E-01,
     &9.8300E-01,1.0697E+00,8.3253E-01,3.9901E-01,8.1782E-01,1.0410E+00,
     &1.1173E+00,8.8173E-01,4.5136E-01,8.7470E-01,1.0942E+00,1.1614E+00,
     &9.2694E-01/
      DATA ((KB(JS,JT,38,12),JS=1,5),JT=1,5) /
     &2.4761E-01,6.3742E-01,8.4491E-01,9.5139E-01,7.1066E-01,2.9353E-01,
     &6.9428E-01,9.1068E-01,1.0095E+00,7.6992E-01,3.4135E-01,7.5196E-01,
     &9.7396E-01,1.0621E+00,8.2461E-01,3.9084E-01,8.0925E-01,1.0327E+00,
     &1.1104E+00,8.7459E-01,4.4289E-01,8.6617E-01,1.0866E+00,1.1550E+00,
     &9.2038E-01/
      DATA ((KB(JS,JT,39,12),JS=1,5),JT=1,5) /
     &2.4017E-01,6.2886E-01,8.3503E-01,9.4210E-01,7.0124E-01,2.8601E-01,
     &6.8569E-01,9.0106E-01,1.0011E+00,7.6142E-01,3.3368E-01,7.4335E-01,
     &9.6490E-01,1.0546E+00,8.1673E-01,3.8296E-01,8.0081E-01,1.0243E+00,
     &1.1035E+00,8.6747E-01,4.3465E-01,8.5778E-01,1.0791E+00,1.1488E+00,
     &9.1385E-01/
      DATA ((KB(JS,JT,40,12),JS=1,5),JT=1,5) /
     &2.2833E-01,6.1463E-01,8.1821E-01,9.2620E-01,6.8530E-01,2.7395E-01,
     &6.7134E-01,8.8467E-01,9.8686E-01,7.4688E-01,3.2124E-01,7.2890E-01,
     &9.4943E-01,1.0418E+00,8.0324E-01,3.7015E-01,7.8652E-01,1.0100E+00,
     &1.0918E+00,8.5523E-01,4.2126E-01,8.4372E-01,1.0660E+00,1.1379E+00,
     &9.0264E-01/
      DATA ((KB(JS,JT,41,12),JS=1,5),JT=1,5) /
     &2.1612E-01,5.9971E-01,8.0041E-01,9.0904E-01,6.6824E-01,2.6150E-01,
     &6.5630E-01,8.6743E-01,9.7155E-01,7.3120E-01,3.0837E-01,7.1376E-01,
     &9.3288E-01,1.0279E+00,7.8880E-01,3.5698E-01,7.7150E-01,9.9473E-01,
     &1.0791E+00,8.4209E-01,4.0745E-01,8.2887E-01,1.0519E+00,1.1261E+00,
     &8.9062E-01/
      DATA ((KB(JS,JT,42,12),JS=1,5),JT=1,5) /
     &2.0417E-01,5.8472E-01,7.8237E-01,8.9154E-01,6.5066E-01,2.4921E-01,
     &6.4136E-01,8.5007E-01,9.5580E-01,7.1510E-01,2.9566E-01,6.9861E-01,
     &9.1611E-01,1.0137E+00,7.7414E-01,3.4395E-01,7.5651E-01,9.7922E-01,
     &1.0662E+00,8.2865E-01,3.9383E-01,8.1397E-01,1.0376E+00,1.1142E+00,
     &8.7842E-01/
      DATA ((KB(JS,JT,43,12),JS=1,5),JT=1,5) /
     &1.8997E-01,5.6647E-01,7.6032E-01,8.6976E-01,6.2901E-01,2.3447E-01,
     &6.2342E-01,8.2892E-01,9.3617E-01,6.9524E-01,2.8050E-01,6.8037E-01,
     &8.9544E-01,9.9597E-01,7.5607E-01,3.2830E-01,7.3817E-01,9.5981E-01,
     &1.0502E+00,8.1194E-01,3.7763E-01,7.9580E-01,1.0196E+00,1.0995E+00,
     &8.6317E-01/
      DATA ((KB(JS,JT,44,12),JS=1,5),JT=1,5) /
     &1.7494E-01,5.4678E-01,7.3637E-01,8.4544E-01,6.0542E-01,2.1877E-01,
     &6.0406E-01,8.0575E-01,9.1415E-01,6.7322E-01,2.6445E-01,6.6075E-01,
     &8.7287E-01,9.7625E-01,7.3598E-01,3.1161E-01,7.1841E-01,9.3827E-01,
     &1.0322E+00,7.9326E-01,3.6052E-01,7.7622E-01,9.9972E-01,1.0831E+00,
     &8.4620E-01/
      DATA ((KB(JS,JT,45,12),JS=1,5),JT=1,5) /
     &1.6016E-01,5.2729E-01,7.1224E-01,8.2038E-01,5.8172E-01,2.0336E-01,
     &5.8455E-01,7.8227E-01,8.9144E-01,6.5050E-01,2.4861E-01,6.4128E-01,
     &8.5023E-01,9.5584E-01,7.1509E-01,2.9518E-01,6.9870E-01,9.1640E-01,
     &1.0138E+00,7.7417E-01,3.4361E-01,7.5661E-01,9.7947E-01,1.0663E+00,
     &8.2874E-01/
      DATA ((KB(JS,JT,46,12),JS=1,5),JT=1,5) /
     &1.4495E-01,5.0668E-01,6.8614E-01,7.9268E-01,5.5619E-01,1.8729E-01,
     &5.6366E-01,7.5707E-01,8.6650E-01,6.2580E-01,2.3189E-01,6.2077E-01,
     &8.2600E-01,9.3336E-01,6.9232E-01,2.7798E-01,6.7784E-01,8.9269E-01,
     &9.9345E-01,7.5352E-01,3.2583E-01,7.3560E-01,9.5715E-01,1.0480E+00,
     &8.0957E-01/
      DATA ((KB(JS,JT,47,12),JS=1,5),JT=1,5) /
     &1.2858E-01,4.8369E-01,6.5638E-01,7.6017E-01,5.2730E-01,1.6969E-01,
     &5.4041E-01,7.2859E-01,8.3745E-01,5.9783E-01,2.1344E-01,5.9783E-01,
     &7.9837E-01,9.0704E-01,6.6606E-01,2.5910E-01,6.5455E-01,8.6586E-01,
     &9.6989E-01,7.2949E-01,3.0618E-01,7.1222E-01,9.3155E-01,1.0265E+00,
     &7.8728E-01/
      DATA ((KB(JS,JT,48,12),JS=1,5),JT=1,5) /
     &1.1298E-01,4.6082E-01,6.2642E-01,7.2640E-01,4.9809E-01,1.5246E-01,
     &5.1740E-01,6.9983E-01,8.0735E-01,5.6961E-01,1.9539E-01,5.7459E-01,
     &7.7041E-01,8.7978E-01,6.3885E-01,2.4045E-01,6.3157E-01,8.3892E-01,
     &9.4534E-01,7.0441E-01,2.8683E-01,6.8881E-01,9.0534E-01,1.0043E+00,
     &7.6449E-01/
      DATA ((KB(JS,JT,49,12),JS=1,5),JT=1,5) /
     &9.8247E-02,4.3787E-01,5.9630E-01,6.9142E-01,4.6886E-01,1.3602E-01,
     &4.9453E-01,6.7051E-01,7.7567E-01,5.4098E-01,1.7773E-01,5.5136E-01,
     &7.4221E-01,8.5142E-01,6.1109E-01,2.2196E-01,6.0876E-01,8.1162E-01,
     &9.1969E-01,6.7863E-01,2.6789E-01,6.6564E-01,8.7866E-01,9.8128E-01,
     &7.4108E-01/
      DATA ((KB(JS,JT,50,12),JS=1,5),JT=1,5) /
     &8.5448E-02,4.1621E-01,5.6763E-01,6.5757E-01,4.4117E-01,1.2109E-01,
     &4.7310E-01,6.4247E-01,7.4462E-01,5.1379E-01,1.6156E-01,5.2985E-01,
     &7.1554E-01,8.2373E-01,5.8488E-01,2.0488E-01,5.8711E-01,7.8559E-01,
     &8.9468E-01,6.5362E-01,2.5037E-01,6.4398E-01,8.5353E-01,9.5880E-01,
     &7.1804E-01/
      DATA ((KB(JS,JT,51,12),JS=1,5),JT=1,5) /
     &7.3759E-02,3.9485E-01,5.3977E-01,6.2407E-01,4.1437E-01,1.0727E-01,
     &4.5237E-01,6.1531E-01,7.1353E-01,4.8727E-01,1.4620E-01,5.0899E-01,
     &6.8916E-01,7.9586E-01,5.5909E-01,1.8867E-01,5.6597E-01,7.6009E-01,
     &8.6950E-01,6.2868E-01,2.3351E-01,6.2321E-01,8.2900E-01,9.3613E-01,
     &6.9507E-01/
      DATA ((KB(JS,JT,52,12),JS=1,5),JT=1,5) /
     &6.2975E-02,3.7352E-01,5.1168E-01,5.9007E-01,3.8790E-01,9.4238E-02,
     &4.3155E-01,5.8786E-01,6.8153E-01,4.6072E-01,1.3138E-01,4.8824E-01,
     &6.6233E-01,7.6673E-01,5.3305E-01,1.7291E-01,5.4507E-01,7.3444E-01,
     &8.4335E-01,6.0343E-01,2.1681E-01,6.0245E-01,8.0402E-01,9.1249E-01,
     &6.7147E-01/
      DATA ((KB(JS,JT,53,12),JS=1,5),JT=1,5) /
     &5.3060E-02,3.5230E-01,4.8353E-01,5.5561E-01,3.6178E-01,8.1984E-02,
     &4.1041E-01,5.6005E-01,6.4855E-01,4.3393E-01,1.1713E-01,4.6754E-01,
     &6.3518E-01,7.3640E-01,5.0665E-01,1.5723E-01,5.2417E-01,7.0847E-01,
     &8.1636E-01,5.7800E-01,2.0038E-01,5.8144E-01,7.7877E-01,8.8807E-01,
     &6.4700E-01/
      DATA ((KB(JS,JT,54,12),JS=1,5),JT=1,5) /
     &4.4825E-02,3.3285E-01,4.5764E-01,5.2392E-01,3.3821E-01,7.1480E-02,
     &3.9083E-01,5.3456E-01,6.1778E-01,4.0943E-01,1.0463E-01,4.4857E-01,
     &6.1031E-01,7.0773E-01,4.8234E-01,1.4329E-01,5.0511E-01,6.8427E-01,
     &7.9060E-01,5.5433E-01,1.8561E-01,5.6209E-01,7.5543E-01,8.6487E-01,
     &6.2409E-01/
      DATA ((KB(JS,JT,55,12),JS=1,5),JT=1,5) /
     &3.7713E-02,3.1417E-01,4.3292E-01,4.9354E-01,3.1617E-01,6.2120E-02,
     &3.7210E-01,5.0985E-01,5.8786E-01,3.8623E-01,9.3283E-02,4.3021E-01,
     &5.8608E-01,6.7950E-01,4.5902E-01,1.3035E-01,4.8690E-01,6.6064E-01,
     &7.6487E-01,5.3142E-01,1.7183E-01,5.4374E-01,7.3284E-01,8.4168E-01,
     &6.0189E-01/
      DATA ((KB(JS,JT,56,12),JS=1,5),JT=1,5) /
     &3.1364E-02,2.9533E-01,4.0826E-01,4.6346E-01,2.9456E-01,5.3447E-02,
     &3.5352E-01,4.8522E-01,5.5771E-01,3.6336E-01,8.2579E-02,4.1171E-01,
     &5.6173E-01,6.5061E-01,4.3556E-01,1.1788E-01,4.6877E-01,6.3683E-01,
     &7.3828E-01,5.0830E-01,1.5810E-01,5.2547E-01,7.1011E-01,8.1806E-01,
     &5.7961E-01/
      DATA ((KB(JS,JT,57,12),JS=1,5),JT=1,5) /
     &2.5728E-02,2.7641E-01,3.8366E-01,4.3364E-01,2.7324E-01,4.5538E-02,
     &3.3495E-01,4.6047E-01,5.2741E-01,3.4078E-01,7.2492E-02,3.9302E-01,
     &5.3741E-01,6.2128E-01,4.1216E-01,1.0590E-01,4.5065E-01,6.1311E-01,
     &7.1103E-01,4.8510E-01,1.4476E-01,5.0725E-01,6.8700E-01,7.9354E-01,
     &5.5702E-01/
      DATA ((KB(JS,JT,58,12),JS=1,5),JT=1,5) /
     &2.1034E-02,2.5862E-01,3.6035E-01,4.0559E-01,2.5327E-01,3.8718E-02,
     &3.1732E-01,4.3714E-01,4.9876E-01,3.1992E-01,6.3552E-02,3.7529E-01,
     &5.1407E-01,5.9305E-01,3.9018E-01,9.5105E-02,4.3334E-01,5.9030E-01,
     &6.8443E-01,4.6307E-01,1.3248E-01,4.9002E-01,6.6471E-01,7.6934E-01,
     &5.3538E-01/
      DATA ((KB(JS,JT,59,12),JS=1,5),JT=1,5) /
     &1.9312E-02,2.5156E-01,3.5103E-01,3.9450E-01,2.4538E-01,3.6163E-02,
     &3.1020E-01,4.2773E-01,4.8723E-01,3.1163E-01,6.0143E-02,3.6820E-01,
     &5.0471E-01,5.8164E-01,3.8146E-01,9.0924E-02,4.2637E-01,5.8105E-01,
     &6.7358E-01,4.5417E-01,1.2765E-01,4.8313E-01,6.5572E-01,7.5941E-01,
     &5.2665E-01/
      DATA ((KB(JS,JT,13,13),JS=1,5),JT=1,5) /
     &2.5702E+00,2.7735E+00,2.8760E+00,2.5966E+00,2.3968E+00,2.5597E+00,
     &2.7776E+00,2.8903E+00,2.6158E+00,2.4224E+00,2.5494E+00,2.7801E+00,
     &2.9040E+00,2.6351E+00,2.4494E+00,2.5338E+00,2.7802E+00,2.9182E+00,
     &2.6543E+00,2.4747E+00,2.5177E+00,2.7760E+00,2.9320E+00,2.6728E+00,
     &2.4963E+00/
      DATA ((KB(JS,JT,14,13),JS=1,5),JT=1,5) /
     &2.3659E+00,2.6936E+00,2.8410E+00,2.6130E+00,2.3363E+00,2.3577E+00,
     &2.7024E+00,2.8615E+00,2.6344E+00,2.3684E+00,2.3468E+00,2.7102E+00,
     &2.8819E+00,2.6565E+00,2.4004E+00,2.3350E+00,2.7153E+00,2.9051E+00,
     &2.6785E+00,2.4267E+00,2.3244E+00,2.7141E+00,2.9262E+00,2.6967E+00,
     &2.4480E+00/
      DATA ((KB(JS,JT,15,13),JS=1,5),JT=1,5) /
     &2.1606E+00,2.5927E+00,2.7805E+00,2.6146E+00,2.2773E+00,2.1537E+00,
     &2.6084E+00,2.8087E+00,2.6417E+00,2.3162E+00,2.1448E+00,2.6237E+00,
     &2.8408E+00,2.6683E+00,2.3515E+00,2.1380E+00,2.6327E+00,2.8720E+00,
     &2.6931E+00,2.3792E+00,2.1347E+00,2.6387E+00,2.9018E+00,2.7159E+00,
     &2.4036E+00/
      DATA ((KB(JS,JT,16,13),JS=1,5),JT=1,5) /
     &1.9588E+00,2.4824E+00,2.7086E+00,2.6036E+00,2.2170E+00,1.9544E+00,
     &2.5053E+00,2.7466E+00,2.6370E+00,2.2638E+00,1.9508E+00,2.5256E+00,
     &2.7882E+00,2.6694E+00,2.3023E+00,1.9522E+00,2.5422E+00,2.8288E+00,
     &2.6997E+00,2.3338E+00,1.9669E+00,2.5568E+00,2.8660E+00,2.7268E+00,
     &2.3639E+00/
      DATA ((KB(JS,JT,17,13),JS=1,5),JT=1,5) /
     &1.7683E+00,2.3717E+00,2.6296E+00,2.5828E+00,2.1586E+00,1.7670E+00,
     &2.4002E+00,2.6798E+00,2.6243E+00,2.2104E+00,1.7705E+00,2.4261E+00,
     &2.7313E+00,2.6643E+00,2.2525E+00,1.7889E+00,2.4495E+00,2.7802E+00,
     &2.7001E+00,2.2912E+00,1.8206E+00,2.4734E+00,2.8261E+00,2.7304E+00,
     &2.3278E+00/
      DATA ((KB(JS,JT,18,13),JS=1,5),JT=1,5) /
     &1.5903E+00,2.2606E+00,2.5530E+00,2.5561E+00,2.1033E+00,1.5961E+00,
     &2.2974E+00,2.6139E+00,2.6069E+00,2.1585E+00,1.6151E+00,2.3303E+00,
     &2.6738E+00,2.6546E+00,2.2069E+00,1.6495E+00,2.3625E+00,2.7316E+00,
     &2.6970E+00,2.2532E+00,1.6970E+00,2.3957E+00,2.7859E+00,2.7320E+00,
     &2.2970E+00/
      DATA ((KB(JS,JT,19,13),JS=1,5),JT=1,5) /
     &1.4257E+00,2.1563E+00,2.4826E+00,2.5271E+00,2.0500E+00,1.4448E+00,
     &2.1999E+00,2.5521E+00,2.5882E+00,2.1113E+00,1.4809E+00,2.2420E+00,
     &2.6202E+00,2.6436E+00,2.1676E+00,1.5301E+00,2.2839E+00,2.6861E+00,
     &2.6918E+00,2.2215E+00,1.5917E+00,2.3278E+00,2.7486E+00,2.7324E+00,
     &2.2720E+00/
      DATA ((KB(JS,JT,20,13),JS=1,5),JT=1,5) /
     &1.2800E+00,2.0626E+00,2.4230E+00,2.5008E+00,2.0040E+00,1.3152E+00,
     &2.1132E+00,2.4996E+00,2.5711E+00,2.0725E+00,1.3653E+00,2.1643E+00,
     &2.5750E+00,2.6341E+00,2.1362E+00,1.4290E+00,2.2166E+00,2.6493E+00,
     &2.6871E+00,2.1969E+00,1.5047E+00,2.2739E+00,2.7186E+00,2.7332E+00,
     &2.2536E+00/
      DATA ((KB(JS,JT,21,13),JS=1,5),JT=1,5) /
     &1.1565E+00,1.9804E+00,2.3723E+00,2.4790E+00,1.9652E+00,1.2043E+00,
     &2.0401E+00,2.4563E+00,2.5572E+00,2.0406E+00,1.2682E+00,2.0995E+00,
     &2.5386E+00,2.6265E+00,2.1117E+00,1.3446E+00,2.1634E+00,2.6197E+00,
     &2.6846E+00,2.1783E+00,1.4328E+00,2.2322E+00,2.6943E+00,2.7351E+00,
     &2.2400E+00/
      DATA ((KB(JS,JT,22,13),JS=1,5),JT=1,5) /
     &1.0567E+00,1.9161E+00,2.3380E+00,2.4675E+00,1.9394E+00,1.1171E+00,
     &1.9843E+00,2.4279E+00,2.5525E+00,2.0217E+00,1.1926E+00,2.0529E+00,
     &2.5167E+00,2.6264E+00,2.0987E+00,1.2819E+00,2.1280E+00,2.6028E+00,
     &2.6881E+00,2.1696E+00,1.3818E+00,2.2069E+00,2.6807E+00,2.7417E+00,
     &2.2350E+00/
      DATA ((KB(JS,JT,23,13),JS=1,5),JT=1,5) /
     &9.7722E-01,1.8665E+00,2.3140E+00,2.4623E+00,1.9226E+00,1.0487E+00,
     &1.9424E+00,2.4103E+00,2.5530E+00,2.0109E+00,1.1351E+00,2.0216E+00,
     &2.5035E+00,2.6294E+00,2.0926E+00,1.2356E+00,2.1056E+00,2.5931E+00,
     &2.6937E+00,2.1670E+00,1.3470E+00,2.1926E+00,2.6734E+00,2.7495E+00,
     &2.2345E+00/
      DATA ((KB(JS,JT,24,13),JS=1,5),JT=1,5) /
     &9.1609E-01,1.8302E+00,2.3004E+00,2.4641E+00,1.9149E+00,9.9757E-01,
     &1.9150E+00,2.4014E+00,2.5579E+00,2.0076E+00,1.0945E+00,2.0031E+00,
     &2.4987E+00,2.6360E+00,2.0926E+00,1.2058E+00,2.0942E+00,2.5896E+00,
     &2.7020E+00,2.1691E+00,1.3269E+00,2.1869E+00,2.6718E+00,2.7594E+00,
     &2.2381E+00/
      DATA ((KB(JS,JT,25,13),JS=1,5),JT=1,5) /
     &8.7183E-01,1.8068E+00,2.2964E+00,2.4719E+00,1.9153E+00,9.6269E-01,
     &1.9004E+00,2.4012E+00,2.5669E+00,2.0109E+00,1.0701E+00,1.9953E+00,
     &2.4998E+00,2.6458E+00,2.0980E+00,1.1910E+00,2.0919E+00,2.5913E+00,
     &2.7126E+00,2.1754E+00,1.3188E+00,2.1891E+00,2.6749E+00,2.7711E+00,
     &2.2449E+00/
      DATA ((KB(JS,JT,26,13),JS=1,5),JT=1,5) /
     &8.4313E-01,1.7965E+00,2.3011E+00,2.4858E+00,1.9238E+00,9.4434E-01,
     &1.8970E+00,2.4073E+00,2.5798E+00,2.0205E+00,1.0612E+00,1.9972E+00,
     &2.5069E+00,2.6589E+00,2.1080E+00,1.1887E+00,2.0979E+00,2.5988E+00,
     &2.7257E+00,2.1853E+00,1.3225E+00,2.1985E+00,2.6831E+00,2.7841E+00,
     &2.2550E+00/
      DATA ((KB(JS,JT,27,13),JS=1,5),JT=1,5) /
     &8.2783E-01,1.7960E+00,2.3110E+00,2.5019E+00,1.9363E+00,9.3873E-01,
     &1.9014E+00,2.4182E+00,2.5950E+00,2.0338E+00,1.0628E+00,2.0052E+00,
     &2.5176E+00,2.6735E+00,2.1206E+00,1.1961E+00,2.1092E+00,2.6097E+00,
     &2.7398E+00,2.1974E+00,1.3342E+00,2.2123E+00,2.6944E+00,2.7973E+00,
     &2.2665E+00/
      DATA ((KB(JS,JT,28,13),JS=1,5),JT=1,5) /
     &8.2452E-01,1.8027E+00,2.3247E+00,2.5200E+00,1.9523E+00,9.4277E-01,
     &1.9121E+00,2.4323E+00,2.6114E+00,2.0494E+00,1.0725E+00,2.0183E+00,
     &2.5313E+00,2.6888E+00,2.1352E+00,1.2107E+00,2.1244E+00,2.6233E+00,
     &2.7544E+00,2.2110E+00,1.3516E+00,2.2292E+00,2.7078E+00,2.8106E+00,
     &2.2794E+00/
      DATA ((KB(JS,JT,29,13),JS=1,5),JT=1,5) /
     &8.3075E-01,1.8160E+00,2.3425E+00,2.5401E+00,1.9712E+00,9.5513E-01,
     &1.9278E+00,2.4494E+00,2.6294E+00,2.0669E+00,1.0900E+00,2.0358E+00,
     &2.5478E+00,2.7053E+00,2.1513E+00,1.2315E+00,2.1431E+00,2.6391E+00,
     &2.7692E+00,2.2259E+00,1.3745E+00,2.2488E+00,2.7235E+00,2.8240E+00,
     &2.2934E+00/
      DATA ((KB(JS,JT,30,13),JS=1,5),JT=1,5) /
     &8.4416E-01,1.8336E+00,2.3624E+00,2.5609E+00,1.9916E+00,9.7368E-01,
     &1.9464E+00,2.4682E+00,2.6481E+00,2.0854E+00,1.1126E+00,2.0559E+00,
     &2.5658E+00,2.7219E+00,2.1680E+00,1.2564E+00,2.1643E+00,2.6566E+00,
     &2.7840E+00,2.2414E+00,1.4008E+00,2.2700E+00,2.7405E+00,2.8371E+00,
     &2.3076E+00/
      DATA ((KB(JS,JT,31,13),JS=1,5),JT=1,5) /
     &8.6384E-01,1.8548E+00,2.3844E+00,2.5824E+00,2.0133E+00,9.9753E-01,
     &1.9681E+00,2.4888E+00,2.6671E+00,2.1046E+00,1.1394E+00,2.0787E+00,
     &2.5856E+00,2.7387E+00,2.1855E+00,1.2850E+00,2.1876E+00,2.6758E+00,
     &2.7988E+00,2.2577E+00,1.4304E+00,2.2931E+00,2.7584E+00,2.8498E+00,
     &2.3225E+00/
      DATA ((KB(JS,JT,32,13),JS=1,5),JT=1,5) /
     &8.8808E-01,1.8788E+00,2.4078E+00,2.6044E+00,2.0359E+00,1.0254E+00,
     &1.9921E+00,2.5106E+00,2.6862E+00,2.1246E+00,1.1696E+00,2.1031E+00,
     &2.6064E+00,2.7554E+00,2.2034E+00,1.3164E+00,2.2122E+00,2.6955E+00,
     &2.8135E+00,2.2742E+00,1.4621E+00,2.3175E+00,2.7772E+00,2.8624E+00,
     &2.3376E+00/
      DATA ((KB(JS,JT,33,13),JS=1,5),JT=1,5) /
     &9.1576E-01,1.9044E+00,2.4318E+00,2.6262E+00,2.0585E+00,1.0563E+00,
     &2.0178E+00,2.5332E+00,2.7053E+00,2.1448E+00,1.2022E+00,2.1286E+00,
     &2.6280E+00,2.7719E+00,2.2216E+00,1.3498E+00,2.2379E+00,2.7158E+00,
     &2.8276E+00,2.2909E+00,1.4952E+00,2.3427E+00,2.7963E+00,2.8748E+00,
     &2.3524E+00/
      DATA ((KB(JS,JT,34,13),JS=1,5),JT=1,5) /
     &9.4113E-01,1.9270E+00,2.4527E+00,2.6448E+00,2.0775E+00,1.0840E+00,
     &2.0405E+00,2.5528E+00,2.7213E+00,2.1619E+00,1.2311E+00,2.1512E+00,
     &2.6466E+00,2.7855E+00,2.2370E+00,1.3793E+00,2.2602E+00,2.7333E+00,
     &2.8395E+00,2.3050E+00,1.5242E+00,2.3644E+00,2.8128E+00,2.8850E+00,
     &2.3650E+00/
      DATA ((KB(JS,JT,35,13),JS=1,5),JT=1,5) /
     &9.5467E-01,1.9391E+00,2.4637E+00,2.6549E+00,2.0879E+00,1.0989E+00,
     &2.0529E+00,2.5635E+00,2.7301E+00,2.1712E+00,1.2468E+00,2.1638E+00,
     &2.6569E+00,2.7931E+00,2.2456E+00,1.3953E+00,2.2726E+00,2.7430E+00,
     &2.8463E+00,2.3128E+00,1.5401E+00,2.3764E+00,2.8219E+00,2.8908E+00,
     &2.3721E+00/
      DATA ((KB(JS,JT,36,13),JS=1,5),JT=1,5) /
     &9.5401E-01,1.9393E+00,2.4641E+00,2.6563E+00,2.0890E+00,1.0986E+00,
     &2.0534E+00,2.5640E+00,2.7314E+00,2.1722E+00,1.2470E+00,2.1646E+00,
     &2.6577E+00,2.7946E+00,2.2466E+00,1.3959E+00,2.2738E+00,2.7440E+00,
     &2.8477E+00,2.3138E+00,1.5410E+00,2.3778E+00,2.8230E+00,2.8922E+00,
     &2.3732E+00/
      DATA ((KB(JS,JT,37,13),JS=1,5),JT=1,5) /
     &9.3269E-01,1.9221E+00,2.4490E+00,2.6452E+00,2.0765E+00,1.0767E+00,
     &2.0372E+00,2.5499E+00,2.7223E+00,2.1614E+00,1.2250E+00,2.1490E+00,
     &2.6449E+00,2.7873E+00,2.2369E+00,1.3744E+00,2.2588E+00,2.7324E+00,
     &2.8416E+00,2.3053E+00,1.5205E+00,2.3639E+00,2.8124E+00,2.8871E+00,
     &2.3656E+00/
      DATA ((KB(JS,JT,38,13),JS=1,5),JT=1,5) /
     &9.1080E-01,1.9040E+00,2.4332E+00,2.6332E+00,2.0631E+00,1.0540E+00,
     &2.0201E+00,2.5351E+00,2.7123E+00,2.1497E+00,1.2022E+00,2.1326E+00,
     &2.6310E+00,2.7790E+00,2.2264E+00,1.3520E+00,2.2432E+00,2.7202E+00,
     &2.8347E+00,2.2959E+00,1.4989E+00,2.3490E+00,2.8012E+00,2.8815E+00,
     &2.3575E+00/
      DATA ((KB(JS,JT,39,13),JS=1,5),JT=1,5) /
     &8.8956E-01,1.8861E+00,2.4173E+00,2.6207E+00,2.0495E+00,1.0319E+00,
     &2.0032E+00,2.5205E+00,2.7021E+00,2.1379E+00,1.1798E+00,2.1163E+00,
     &2.6173E+00,2.7704E+00,2.2159E+00,1.3298E+00,2.2272E+00,2.7078E+00,
     &2.8277E+00,2.2865E+00,1.4775E+00,2.3341E+00,2.7901E+00,2.8757E+00,
     &2.3493E+00/
      DATA ((KB(JS,JT,40,13),JS=1,5),JT=1,5) /
     &8.5494E-01,1.8558E+00,2.3904E+00,2.5985E+00,2.0255E+00,9.9514E-01,
     &1.9745E+00,2.4954E+00,2.6836E+00,2.1170E+00,1.1424E+00,2.0885E+00,
     &2.5938E+00,2.7547E+00,2.1975E+00,1.2924E+00,2.2001E+00,2.6861E+00,
     &2.8148E+00,2.2700E+00,1.4413E+00,2.3083E+00,2.7705E+00,2.8664E+00,
     &2.3349E+00/
      DATA ((KB(JS,JT,41,13),JS=1,5),JT=1,5) /
     &8.1957E-01,1.8237E+00,2.3613E+00,2.5741E+00,1.9997E+00,9.5728E-01,
     &1.9441E+00,2.4688E+00,2.6632E+00,2.0945E+00,1.1034E+00,2.0591E+00,
     &2.5687E+00,2.7378E+00,2.1777E+00,1.2530E+00,2.1714E+00,2.6630E+00,
     &2.8005E+00,2.2519E+00,1.4027E+00,2.2807E+00,2.7494E+00,2.8533E+00,
     &2.3190E+00/
      DATA ((KB(JS,JT,42,13),JS=1,5),JT=1,5) /
     &7.8503E-01,1.7918E+00,2.3317E+00,2.5487E+00,1.9734E+00,9.2016E-01,
     &1.9132E+00,2.4418E+00,2.6418E+00,2.0712E+00,1.0646E+00,2.0294E+00,
     &2.5432E+00,2.7200E+00,2.1575E+00,1.2137E+00,2.1426E+00,2.6392E+00,
     &2.7859E+00,2.2336E+00,1.3639E+00,2.2528E+00,2.7279E+00,2.8411E+00,
     &2.3026E+00/
      DATA ((KB(JS,JT,43,13),JS=1,5),JT=1,5) /
     &7.4423E-01,1.7527E+00,2.2949E+00,2.5159E+00,1.9403E+00,8.7589E-01,
     &1.8750E+00,2.4080E+00,2.6143E+00,2.0417E+00,1.0179E+00,1.9932E+00,
     &2.5118E+00,2.6972E+00,2.1315E+00,1.1661E+00,2.1073E+00,2.6096E+00,
     &2.7665E+00,2.2105E+00,1.3165E+00,2.2185E+00,2.7008E+00,2.8247E+00,
     &2.2817E+00/
      DATA ((KB(JS,JT,44,13),JS=1,5),JT=1,5) /
     &7.0183E-01,1.7101E+00,2.2539E+00,2.4783E+00,1.9029E+00,8.2940E-01,
     &1.8334E+00,2.3707E+00,2.5829E+00,2.0083E+00,9.6829E-01,1.9537E+00,
     &2.4774E+00,2.6707E+00,2.1022E+00,1.1151E+00,2.0687E+00,2.5770E+00,
     &2.7443E+00,2.1846E+00,1.2651E+00,2.1808E+00,2.6707E+00,2.8061E+00,
     &2.2584E+00/
      DATA ((KB(JS,JT,45,13),JS=1,5),JT=1,5) /
     &6.6118E-01,1.6676E+00,2.2119E+00,2.4384E+00,1.8634E+00,7.8445E-01,
     &1.7917E+00,2.3321E+00,2.5495E+00,1.9739E+00,9.1984E-01,1.9133E+00,
     &2.4421E+00,2.6427E+00,2.0718E+00,1.0646E+00,2.0301E+00,2.5439E+00,
     &2.7211E+00,2.1582E+00,1.2138E+00,2.1430E+00,2.6395E+00,2.7867E+00,
     &2.2343E+00/
      DATA ((KB(JS,JT,46,13),JS=1,5),JT=1,5) /
     &6.1933E-01,1.6221E+00,2.1659E+00,2.3935E+00,1.8196E+00,7.3807E-01,
     &1.7470E+00,2.2898E+00,2.5118E+00,1.9358E+00,8.6934E-01,1.8696E+00,
     &2.4034E+00,2.6109E+00,2.0379E+00,1.0113E+00,1.9884E+00,2.5076E+00,
     &2.6946E+00,2.1283E+00,1.1593E+00,2.1025E+00,2.6055E+00,2.7643E+00,
     &2.2076E+00/
      DATA ((KB(JS,JT,47,13),JS=1,5),JT=1,5) /
     &5.7374E-01,1.5709E+00,2.1131E+00,2.3400E+00,1.7680E+00,6.8838E-01,
     &1.6965E+00,2.2409E+00,2.4665E+00,1.8907E+00,8.1478E-01,1.8201E+00,
     &2.3589E+00,2.5731E+00,1.9980E+00,9.5278E-01,1.9412E+00,2.4665E+00,
     &2.6626E+00,2.0931E+00,1.0991E+00,2.0567E+00,2.5667E+00,2.7376E+00,
     &2.1769E+00/
      DATA ((KB(JS,JT,48,13),JS=1,5),JT=1,5) /
     &5.2946E-01,1.5198E+00,2.0592E+00,2.2834E+00,1.7136E+00,6.4089E-01,
     &1.6459E+00,2.1904E+00,2.4180E+00,1.8431E+00,7.6211E-01,1.7708E+00,
     &2.3126E+00,2.5324E+00,1.9565E+00,8.9568E-01,1.8928E+00,2.4241E+00,
     &2.6284E+00,2.0564E+00,1.0393E+00,2.0105E+00,2.5268E+00,2.7091E+00,
     &2.1445E+00/
      DATA ((KB(JS,JT,49,13),JS=1,5),JT=1,5) /
     &4.8708E-01,1.4681E+00,2.0029E+00,2.2232E+00,1.6566E+00,5.9510E-01,
     &1.5951E+00,2.1382E+00,2.3660E+00,1.7928E+00,7.1141E-01,1.7205E+00,
     &2.2646E+00,2.4889E+00,1.9130E+00,8.4034E-01,1.8437E+00,2.3804E+00,
     &2.5917E+00,2.0174E+00,9.8023E-01,1.9637E+00,2.4863E+00,2.6785E+00,
     &2.1102E+00/
      DATA ((KB(JS,JT,50,13),JS=1,5),JT=1,5) /
     &4.4946E-01,1.4198E+00,1.9480E+00,2.1639E+00,1.6005E+00,5.5308E-01,
     &1.5472E+00,2.0885E+00,2.3146E+00,1.7433E+00,6.6640E-01,1.6732E+00,
     &2.2179E+00,2.4447E+00,1.8693E+00,7.9021E-01,1.7975E+00,2.3380E+00,
     &2.5550E+00,1.9794E+00,9.2626E-01,1.9191E+00,2.4474E+00,2.6476E+00,
     &2.0768E+00/
      DATA ((KB(JS,JT,51,13),JS=1,5),JT=1,5) /
     &4.1452E-01,1.3727E+00,1.8922E+00,2.1038E+00,1.5428E+00,5.1362E-01,
     &1.5005E+00,2.0385E+00,2.2616E+00,1.6930E+00,6.2394E-01,1.6272E+00,
     &2.1714E+00,2.3993E+00,1.8251E+00,7.4304E-01,1.7523E+00,2.2953E+00,
     &2.5171E+00,1.9410E+00,8.7505E-01,1.8748E+00,2.4082E+00,2.6155E+00,
     &2.0426E+00/
      DATA ((KB(JS,JT,52,13),JS=1,5),JT=1,5) /
     &3.8121E-01,1.3250E+00,1.8350E+00,2.0413E+00,1.4822E+00,4.7581E-01,
     &1.4538E+00,1.9870E+00,2.2062E+00,1.6405E+00,5.8258E-01,1.5810E+00,
     &2.1239E+00,2.3514E+00,1.7789E+00,6.9813E-01,1.7065E+00,2.2509E+00,
     &2.4762E+00,1.9005E+00,8.2543E-01,1.8301E+00,2.3683E+00,2.5815E+00,
     &2.0067E+00/
      DATA ((KB(JS,JT,53,13),JS=1,5),JT=1,5) /
     &3.4902E-01,1.2769E+00,1.7751E+00,1.9762E+00,1.4178E+00,4.3953E-01,
     &1.4068E+00,1.9332E+00,2.1485E+00,1.5854E+00,5.4216E-01,1.5348E+00,
     &2.0756E+00,2.3010E+00,1.7302E+00,6.5469E-01,1.6608E+00,2.2054E+00,
     &2.4328E+00,1.8578E+00,7.7730E-01,1.7854E+00,2.3267E+00,2.5453E+00,
     &1.9695E+00/
      DATA ((KB(JS,JT,54,13),JS=1,5),JT=1,5) /
     &3.2058E-01,1.2324E+00,1.7175E+00,1.9140E+00,1.3553E+00,4.0795E-01,
     &1.3637E+00,1.8819E+00,2.0929E+00,1.5321E+00,5.0645E-01,1.4920E+00,
     &2.0295E+00,2.2518E+00,1.6837E+00,6.1609E-01,1.6187E+00,2.1628E+00,
     &2.3909E+00,1.8169E+00,7.3448E-01,1.7439E+00,2.2873E+00,2.5101E+00,
     &1.9340E+00/
      DATA ((KB(JS,JT,55,13),JS=1,5),JT=1,5) /
     &2.9443E-01,1.1892E+00,1.6600E+00,1.8513E+00,1.2929E+00,3.7883E-01,
     &1.3219E+00,1.8314E+00,2.0376E+00,1.4784E+00,4.7335E-01,1.4508E+00,
     &1.9839E+00,2.2027E+00,1.6372E+00,5.7989E-01,1.5780E+00,2.1210E+00,
     &2.3485E+00,1.7761E+00,6.9533E-01,1.7037E+00,2.2482E+00,2.4738E+00,
     &1.8980E+00/
      DATA ((KB(JS,JT,56,13),JS=1,5),JT=1,5) /
     &2.6936E-01,1.1459E+00,1.6007E+00,1.7863E+00,1.2289E+00,3.5065E-01,
     &1.2797E+00,1.7789E+00,1.9807E+00,1.4221E+00,4.4158E-01,1.4097E+00,
     &1.9368E+00,2.1523E+00,1.5891E+00,5.4448E-01,1.5375E+00,2.0786E+00,
     &2.3043E+00,1.7334E+00,6.5732E-01,1.6637E+00,2.2084E+00,2.4358E+00,
     &1.8606E+00/
      DATA ((KB(JS,JT,57,13),JS=1,5),JT=1,5) /
     &2.4515E-01,1.1022E+00,1.5388E+00,1.7186E+00,1.1645E+00,3.2341E-01,
     &1.2372E+00,1.7241E+00,1.9215E+00,1.3626E+00,4.1131E-01,1.3686E+00,
     &1.8879E+00,2.0994E+00,1.5383E+00,5.1026E-01,1.4967E+00,2.0347E+00,
     &2.2575E+00,1.6892E+00,6.2036E-01,1.6234E+00,2.1677E+00,2.3959E+00,
     &1.8217E+00/
      DATA ((KB(JS,JT,58,13),JS=1,5),JT=1,5) /
     &2.2298E-01,1.0601E+00,1.4788E+00,1.6521E+00,1.1024E+00,2.9857E-01,
     &1.1965E+00,1.6700E+00,1.8625E+00,1.3039E+00,3.8366E-01,1.3291E+00,
     &1.8404E+00,2.0474E+00,1.4880E+00,4.7882E-01,1.4579E+00,1.9918E+00,
     &2.2114E+00,1.6455E+00,5.8601E-01,1.5850E+00,2.1282E+00,2.3561E+00,
     &1.7833E+00/
      DATA ((KB(JS,JT,59,13),JS=1,5),JT=1,5) /
     &2.1427E-01,1.0429E+00,1.4544E+00,1.6247E+00,1.0771E+00,2.8885E-01,
     &1.1801E+00,1.6480E+00,1.8384E+00,1.2798E+00,3.7281E-01,1.3132E+00,
     &1.8209E+00,2.0260E+00,1.4670E+00,4.6652E-01,1.4422E+00,1.9743E+00,
     &2.1926E+00,1.6276E+00,5.7246E-01,1.5697E+00,2.1123E+00,2.3397E+00,
     &1.7674E+00/
      DATA ((KB(JS,JT,13,14),JS=1,5),JT=1,5) /
     &7.6467E+00,6.6870E+00,6.3502E+00,6.1468E+00,6.6906E+00,7.6514E+00,
     &6.6716E+00,6.3627E+00,6.1942E+00,6.7780E+00,7.6475E+00,6.6428E+00,
     &6.3628E+00,6.2371E+00,6.8460E+00,7.6415E+00,6.6083E+00,6.3514E+00,
     &6.2630E+00,6.9072E+00,7.6283E+00,6.5686E+00,6.3330E+00,6.2779E+00,
     &6.9614E+00/
      DATA ((KB(JS,JT,14,14),JS=1,5),JT=1,5) /
     &7.7958E+00,6.9779E+00,6.6658E+00,6.3591E+00,6.7479E+00,7.8014E+00,
     &6.9599E+00,6.6792E+00,6.4167E+00,6.8357E+00,7.8100E+00,6.9314E+00,
     &6.6809E+00,6.4627E+00,6.9109E+00,7.8098E+00,6.8950E+00,6.6685E+00,
     &6.4923E+00,6.9838E+00,7.7999E+00,6.8585E+00,6.6494E+00,6.5137E+00,
     &7.0531E+00/
      DATA ((KB(JS,JT,15,14),JS=1,5),JT=1,5) /
     &7.8397E+00,7.2065E+00,6.9626E+00,6.5521E+00,6.7717E+00,7.8630E+00,
     &7.1900E+00,6.9770E+00,6.6166E+00,6.8639E+00,7.8829E+00,7.1661E+00,
     &6.9761E+00,6.6643E+00,6.9508E+00,7.8961E+00,7.1374E+00,6.9668E+00,
     &6.6987E+00,7.0374E+00,7.8984E+00,7.1026E+00,6.9440E+00,6.7207E+00,
     &7.1207E+00/
      DATA ((KB(JS,JT,16,14),JS=1,5),JT=1,5) /
     &7.7976E+00,7.3768E+00,7.2331E+00,6.7309E+00,6.7735E+00,7.8456E+00,
     &7.3704E+00,7.2485E+00,6.7988E+00,6.8801E+00,7.8840E+00,7.3590E+00,
     &7.2505E+00,6.8482E+00,6.9801E+00,7.9146E+00,7.3379E+00,7.2385E+00,
     &6.8847E+00,7.0795E+00,7.9322E+00,7.3060E+00,7.2179E+00,6.9099E+00,
     &7.1779E+00/
      DATA ((KB(JS,JT,17,14),JS=1,5),JT=1,5) /
     &7.6851E+00,7.4978E+00,7.4681E+00,6.8923E+00,6.7646E+00,7.7622E+00,
     &7.5112E+00,7.4909E+00,6.9618E+00,6.8880E+00,7.8293E+00,7.5089E+00,
     &7.4964E+00,7.0134E+00,7.0063E+00,7.8832E+00,7.5014E+00,7.4883E+00,
     &7.0540E+00,7.1204E+00,7.9237E+00,7.4752E+00,7.4629E+00,7.0833E+00,
     &7.2311E+00/
      DATA ((KB(JS,JT,18,14),JS=1,5),JT=1,5) /
     &7.5343E+00,7.5844E+00,7.6679E+00,7.0369E+00,6.7530E+00,7.6372E+00,
     &7.6127E+00,7.6999E+00,7.1100E+00,6.8939E+00,7.7344E+00,7.6293E+00,
     &7.7123E+00,7.1649E+00,7.0305E+00,7.8168E+00,7.6302E+00,7.7077E+00,
     &7.2057E+00,7.1594E+00,7.8848E+00,7.6120E+00,7.6799E+00,7.2369E+00,
     &7.2819E+00/
      DATA ((KB(JS,JT,19,14),JS=1,5),JT=1,5) /
     &7.3642E+00,7.6427E+00,7.8392E+00,7.1673E+00,6.7426E+00,7.5027E+00,
     &7.6890E+00,7.8792E+00,7.2411E+00,6.9029E+00,7.6261E+00,7.7218E+00,
     &7.8995E+00,7.2995E+00,7.0551E+00,7.7358E+00,7.7317E+00,7.8972E+00,
     &7.3431E+00,7.1976E+00,7.8306E+00,7.7206E+00,7.8669E+00,7.3734E+00,
     &7.3288E+00/
      DATA ((KB(JS,JT,20,14),JS=1,5),JT=1,5) /
     &7.1989E+00,7.6856E+00,7.9830E+00,7.2835E+00,6.7408E+00,7.3691E+00,
     &7.7492E+00,8.0344E+00,7.3623E+00,6.9200E+00,7.5204E+00,7.7952E+00,
     &8.0604E+00,7.4206E+00,7.0842E+00,7.6560E+00,7.8150E+00,8.0567E+00,
     &7.4651E+00,7.2381E+00,7.7736E+00,7.8108E+00,8.0255E+00,7.4944E+00,
     &7.3772E+00/
      DATA ((KB(JS,JT,21,14),JS=1,5),JT=1,5) /
     &7.0426E+00,7.7166E+00,8.1049E+00,7.3883E+00,6.7480E+00,7.2474E+00,
     &7.7946E+00,8.1668E+00,7.4708E+00,6.9410E+00,7.4271E+00,7.8518E+00,
     &8.1976E+00,7.5283E+00,7.1153E+00,7.5881E+00,7.8806E+00,8.1926E+00,
     &7.5722E+00,7.2765E+00,7.7244E+00,7.8840E+00,8.1605E+00,7.6005E+00,
     &7.4219E+00/
      DATA ((KB(JS,JT,22,14),JS=1,5),JT=1,5) /
     &6.9208E+00,7.7467E+00,8.2134E+00,7.4892E+00,6.7760E+00,7.1527E+00,
     &7.8380E+00,8.2825E+00,7.5703E+00,6.9788E+00,7.3591E+00,7.9026E+00,
     &8.3138E+00,7.6265E+00,7.1614E+00,7.5412E+00,7.9369E+00,8.3052E+00,
     &7.6676E+00,7.3269E+00,7.6931E+00,7.9423E+00,8.2705E+00,7.6932E+00,
     &7.4734E+00/
      DATA ((KB(JS,JT,23,14),JS=1,5),JT=1,5) /
     &6.8264E+00,7.7768E+00,8.3085E+00,7.5813E+00,6.8129E+00,7.0814E+00,
     &7.8791E+00,8.3807E+00,7.6573E+00,7.0223E+00,7.3108E+00,7.9473E+00,
     &8.4103E+00,7.7115E+00,7.2087E+00,7.5083E+00,7.9850E+00,8.3989E+00,
     &7.7500E+00,7.3762E+00,7.6738E+00,7.9912E+00,8.3608E+00,7.7715E+00,
     &7.5218E+00/
      DATA ((KB(JS,JT,24,14),JS=1,5),JT=1,5) /
     &6.7597E+00,7.8092E+00,8.3929E+00,7.6639E+00,6.8571E+00,7.0359E+00,
     &7.9159E+00,8.4653E+00,7.7347E+00,7.0700E+00,7.2818E+00,7.9869E+00,
     &8.4905E+00,7.7860E+00,7.2578E+00,7.4908E+00,8.0269E+00,8.4765E+00,
     &7.8202E+00,7.4248E+00,7.6673E+00,8.0324E+00,8.4337E+00,7.8375E+00,
     &7.5690E+00/
      DATA ((KB(JS,JT,25,14),JS=1,5),JT=1,5) /
     &6.7209E+00,7.8436E+00,8.4676E+00,7.7356E+00,6.9066E+00,7.0147E+00,
     &7.9506E+00,8.5366E+00,7.8027E+00,7.1216E+00,7.2710E+00,8.0222E+00,
     &8.5567E+00,7.8495E+00,7.3079E+00,7.4891E+00,8.0627E+00,8.5388E+00,
     &7.8803E+00,7.4736E+00,7.6763E+00,8.0663E+00,8.4908E+00,7.8920E+00,
     &7.6152E+00/
      DATA ((KB(JS,JT,26,14),JS=1,5),JT=1,5) /
     &6.7117E+00,7.8809E+00,8.5346E+00,7.7996E+00,6.9621E+00,7.0163E+00,
     &7.9848E+00,8.5977E+00,7.8624E+00,7.1766E+00,7.2800E+00,8.0555E+00,
     &8.6111E+00,7.9043E+00,7.3612E+00,7.5048E+00,8.0927E+00,8.5874E+00,
     &7.9312E+00,7.5235E+00,7.6969E+00,8.0929E+00,8.5318E+00,7.9367E+00,
     &7.6615E+00/
      DATA ((KB(JS,JT,27,14),JS=1,5),JT=1,5) /
     &6.7222E+00,7.9165E+00,8.5935E+00,7.8553E+00,7.0208E+00,7.0339E+00,
     &8.0174E+00,8.6486E+00,7.9134E+00,7.2318E+00,7.3021E+00,8.0859E+00,
     &8.6549E+00,7.9502E+00,7.4127E+00,7.5298E+00,8.1175E+00,8.6239E+00,
     &7.9721E+00,7.5702E+00,7.7246E+00,8.1143E+00,8.5613E+00,7.9734E+00,
     &7.7047E+00/
      DATA ((KB(JS,JT,28,14),JS=1,5),JT=1,5) /
     &6.7490E+00,7.9508E+00,8.6448E+00,7.9039E+00,7.0793E+00,7.0641E+00,
     &8.0481E+00,8.6903E+00,7.9567E+00,7.2853E+00,7.3339E+00,8.1119E+00,
     &8.6890E+00,7.9886E+00,7.4622E+00,7.5625E+00,8.1383E+00,8.6502E+00,
     &8.0049E+00,7.6145E+00,7.7567E+00,8.1304E+00,8.5806E+00,8.0023E+00,
     &7.7455E+00/
      DATA ((KB(JS,JT,29,14),JS=1,5),JT=1,5) /
     &6.7914E+00,7.9845E+00,8.6886E+00,7.9462E+00,7.1386E+00,7.1068E+00,
     &8.0770E+00,8.7239E+00,7.9933E+00,7.3389E+00,7.3751E+00,8.1344E+00,
     &8.7144E+00,8.0208E+00,7.5104E+00,7.6020E+00,8.1550E+00,8.6676E+00,
     &8.0316E+00,7.6575E+00,7.7937E+00,8.1425E+00,8.5914E+00,8.0248E+00,
     &7.7840E+00/
      DATA ((KB(JS,JT,30,14),JS=1,5),JT=1,5) /
     &6.8445E+00,8.0166E+00,8.7256E+00,7.9827E+00,7.1970E+00,7.1563E+00,
     &8.1037E+00,8.7505E+00,8.0234E+00,7.3900E+00,7.4214E+00,8.1535E+00,
     &8.7321E+00,8.0469E+00,7.5564E+00,7.6455E+00,8.1683E+00,8.6770E+00,
     &8.0524E+00,7.6986E+00,7.8317E+00,8.1499E+00,8.5949E+00,8.0416E+00,
     &7.8203E+00/
      DATA ((KB(JS,JT,31,14),JS=1,5),JT=1,5) /
     &6.9054E+00,8.0478E+00,8.7566E+00,8.0136E+00,7.2537E+00,7.2125E+00,
     &8.1281E+00,8.7710E+00,8.0494E+00,7.4404E+00,7.4718E+00,8.1700E+00,
     &8.7427E+00,8.0677E+00,7.6003E+00,7.6912E+00,8.1779E+00,8.6791E+00,
     &8.0682E+00,7.7384E+00,7.8715E+00,8.1532E+00,8.5914E+00,8.0538E+00,
     &7.8547E+00/
      DATA ((KB(JS,JT,32,14),JS=1,5),JT=1,5) /
     &6.9718E+00,8.0767E+00,8.7812E+00,8.0405E+00,7.3093E+00,7.2714E+00,
     &8.1493E+00,8.7845E+00,8.0705E+00,7.4889E+00,7.5255E+00,8.1843E+00,
     &8.7476E+00,8.0843E+00,7.6427E+00,7.7373E+00,8.1836E+00,8.6757E+00,
     &8.0798E+00,7.7759E+00,7.9115E+00,8.1523E+00,8.5821E+00,8.0611E+00,
     &7.8870E+00/
      DATA ((KB(JS,JT,33,14),JS=1,5),JT=1,5) /
     &7.0424E+00,8.1041E+00,8.8003E+00,8.0631E+00,7.3621E+00,7.3332E+00,
     &8.1674E+00,8.7934E+00,8.0887E+00,7.5359E+00,7.5797E+00,8.1949E+00,
     &8.7467E+00,8.0962E+00,7.6832E+00,7.7832E+00,8.1860E+00,8.6679E+00,
     &8.0880E+00,7.8112E+00,7.9514E+00,8.1480E+00,8.5688E+00,8.0650E+00,
     &7.9176E+00/
      DATA ((KB(JS,JT,34,14),JS=1,5),JT=1,5) /
     &7.1032E+00,8.1256E+00,8.8135E+00,8.0801E+00,7.4073E+00,7.3864E+00,
     &8.1812E+00,8.7981E+00,8.1025E+00,7.5752E+00,7.6257E+00,8.2022E+00,
     &8.7428E+00,8.1055E+00,7.7177E+00,7.8229E+00,8.1866E+00,8.6595E+00,
     &8.0934E+00,7.8409E+00,7.9841E+00,8.1428E+00,8.5553E+00,8.0663E+00,
     &7.9427E+00/
      DATA ((KB(JS,JT,35,14),JS=1,5),JT=1,5) /
     &7.1357E+00,8.1386E+00,8.8238E+00,8.0923E+00,7.4328E+00,7.4155E+00,
     &8.1901E+00,8.8028E+00,8.1125E+00,7.5980E+00,7.6506E+00,8.2068E+00,
     &8.7428E+00,8.1128E+00,7.7381E+00,7.8446E+00,8.1876E+00,8.6563E+00,
     &8.0980E+00,7.8583E+00,8.0022E+00,8.1408E+00,8.5492E+00,8.0683E+00,
     &7.9574E+00/
      DATA ((KB(JS,JT,36,14),JS=1,5),JT=1,5) /
     &7.1358E+00,8.1426E+00,8.8312E+00,8.0996E+00,7.4385E+00,7.4168E+00,
     &8.1942E+00,8.8101E+00,8.1195E+00,7.6033E+00,7.6530E+00,8.2111E+00,
     &8.7491E+00,8.1189E+00,7.7431E+00,7.8475E+00,8.1916E+00,8.6625E+00,
     &8.1041E+00,7.8633E+00,8.0053E+00,8.1444E+00,8.5549E+00,8.0739E+00,
     &7.9624E+00/
      DATA ((KB(JS,JT,37,14),JS=1,5),JT=1,5) /
     &7.0898E+00,8.1353E+00,8.8375E+00,8.1022E+00,7.4173E+00,7.3792E+00,
     &8.1923E+00,8.8220E+00,8.1236E+00,7.5852E+00,7.6229E+00,8.2146E+00,
     &8.7658E+00,8.1255E+00,7.7281E+00,7.8232E+00,8.1996E+00,8.6818E+00,
     &8.1120E+00,7.8508E+00,7.9866E+00,8.1554E+00,8.5764E+00,8.0843E+00,
     &7.9525E+00/
      DATA ((KB(JS,JT,38,14),JS=1,5),JT=1,5) /
     &7.0419E+00,8.1271E+00,8.8418E+00,8.1031E+00,7.3933E+00,7.3389E+00,
     &8.1889E+00,8.8323E+00,8.1261E+00,7.5648E+00,7.5899E+00,8.2161E+00,
     &8.7808E+00,8.1301E+00,7.7105E+00,7.7971E+00,8.2068E+00,8.7000E+00,
     &8.1195E+00,7.8368E+00,7.9663E+00,8.1665E+00,8.5976E+00,8.0935E+00,
     &7.9412E+00/
      DATA ((KB(JS,JT,39,14),JS=1,5),JT=1,5) /
     &6.9923E+00,8.1165E+00,8.8435E+00,8.1024E+00,7.3685E+00,7.2982E+00,
     &8.1845E+00,8.8409E+00,8.1277E+00,7.5441E+00,7.5563E+00,8.2164E+00,
     &8.7952E+00,8.1347E+00,7.6928E+00,7.7695E+00,8.2122E+00,8.7165E+00,
     &8.1250E+00,7.8216E+00,7.9452E+00,8.1762E+00,8.6172E+00,8.1015E+00,
     &7.9291E+00/
      DATA ((KB(JS,JT,40,14),JS=1,5),JT=1,5) /
     &6.9080E+00,8.0958E+00,8.8413E+00,8.0965E+00,7.3229E+00,7.2277E+00,
     &8.1734E+00,8.8495E+00,8.1259E+00,7.5046E+00,7.4967E+00,8.2131E+00,
     &8.8131E+00,8.1381E+00,7.6600E+00,7.7214E+00,8.2184E+00,8.7413E+00,
     &8.1320E+00,7.7938E+00,7.9055E+00,8.1894E+00,8.6471E+00,8.1094E+00,
     &7.9066E+00/
      DATA ((KB(JS,JT,41,14),JS=1,5),JT=1,5) /
     &6.8155E+00,8.0708E+00,8.8352E+00,8.0885E+00,7.2719E+00,7.1495E+00,
     &8.1585E+00,8.8545E+00,8.1224E+00,7.4618E+00,7.4308E+00,8.2074E+00,
     &8.8291E+00,8.1392E+00,7.6238E+00,7.6675E+00,8.2222E+00,8.7650E+00,
     &8.1374E+00,7.7629E+00,7.8621E+00,8.2014E+00,8.6761E+00,8.1197E+00,
     &7.8805E+00/
      DATA ((KB(JS,JT,42,14),JS=1,5),JT=1,5) /
     &6.7210E+00,8.0436E+00,8.8257E+00,8.0787E+00,7.2181E+00,7.0672E+00,
     &8.1413E+00,8.8562E+00,8.1177E+00,7.4171E+00,7.3618E+00,8.1993E+00,
     &8.8420E+00,8.1387E+00,7.5853E+00,7.6110E+00,8.2240E+00,8.7872E+00,
     &8.1416E+00,7.7301E+00,7.8157E+00,8.2114E+00,8.7034E+00,8.1275E+00,
     &7.8533E+00/
      DATA ((KB(JS,JT,43,14),JS=1,5),JT=1,5) /
     &6.6012E+00,8.0077E+00,8.8083E+00,8.0639E+00,7.1482E+00,6.9627E+00,
     &8.1158E+00,8.8532E+00,8.1101E+00,7.3596E+00,7.2743E+00,8.1862E+00,
     &8.8533E+00,8.1352E+00,7.5360E+00,7.5376E+00,8.2203E+00,8.8101E+00,
     &8.1444E+00,7.6876E+00,7.7560E+00,8.2200E+00,8.7338E+00,8.1353E+00,
     &7.8176E+00/
      DATA ((KB(JS,JT,44,14),JS=1,5),JT=1,5) /
     &6.4654E+00,7.9624E+00,8.7841E+00,8.0450E+00,7.0696E+00,6.8452E+00,
     &8.0842E+00,8.8456E+00,8.0985E+00,7.2931E+00,7.1736E+00,8.1668E+00,
     &8.8594E+00,8.1294E+00,7.4799E+00,7.4536E+00,8.2135E+00,8.8309E+00,
     &8.1455E+00,7.6398E+00,7.6864E+00,8.2252E+00,8.7641E+00,8.1417E+00,
     &7.7771E+00/
      DATA ((KB(JS,JT,45,14),JS=1,5),JT=1,5) /
     &6.3246E+00,7.9121E+00,8.7529E+00,8.0227E+00,6.9872E+00,6.7215E+00,
     &8.0478E+00,8.8314E+00,8.0840E+00,7.2219E+00,7.0680E+00,8.1447E+00,
     &8.8609E+00,8.1218E+00,7.4205E+00,7.3633E+00,8.2020E+00,8.8464E+00,
     &8.1437E+00,7.5896E+00,7.6123E+00,8.2264E+00,8.7913E+00,8.1458E+00,
     &7.7333E+00/
      DATA ((KB(JS,JT,46,14),JS=1,5),JT=1,5) /
     &6.1677E+00,7.8522E+00,8.7120E+00,7.9958E+00,6.8962E+00,6.5843E+00,
     &8.0056E+00,8.8106E+00,8.0659E+00,7.1413E+00,6.9482E+00,8.1147E+00,
     &8.8565E+00,8.1122E+00,7.3539E+00,7.2620E+00,8.1857E+00,8.8581E+00,
     &8.1382E+00,7.5320E+00,7.5285E+00,8.2222E+00,8.8171E+00,8.1482E+00,
     &7.6841E+00/
      DATA ((KB(JS,JT,47,14),JS=1,5),JT=1,5) /
     &5.9872E+00,7.7759E+00,8.6581E+00,7.9599E+00,6.7904E+00,6.4227E+00,
     &7.9505E+00,8.7794E+00,8.0417E+00,7.0463E+00,6.8067E+00,8.0750E+00,
     &8.8445E+00,8.0966E+00,7.2732E+00,7.1415E+00,8.1619E+00,8.8634E+00,
     &8.1302E+00,7.4640E+00,7.4259E+00,8.2118E+00,8.8390E+00,8.1478E+00,
     &7.6260E+00/
      DATA ((KB(JS,JT,48,14),JS=1,5),JT=1,5) /
     &5.7999E+00,7.6897E+00,8.5924E+00,7.9165E+00,6.6812E+00,6.2523E+00,
     &7.8878E+00,8.7384E+00,8.0135E+00,6.9471E+00,6.6581E+00,8.0303E+00,
     &8.8250E+00,8.0783E+00,7.1862E+00,7.0120E+00,8.1321E+00,8.8616E+00,
     &8.1203E+00,7.3915E+00,7.3167E+00,8.1963E+00,8.8550E+00,8.1433E+00,
     &7.5640E+00/
      DATA ((KB(JS,JT,49,14),JS=1,5),JT=1,5) /
     &5.6056E+00,7.5967E+00,8.5186E+00,7.8664E+00,6.5684E+00,6.0725E+00,
     &7.8139E+00,8.6868E+00,7.9799E+00,6.8428E+00,6.5005E+00,7.9789E+00,
     &8.7970E+00,8.0551E+00,7.0936E+00,6.8750E+00,8.0955E+00,8.8532E+00,
     &8.1069E+00,7.3141E+00,7.2008E+00,8.1753E+00,8.8640E+00,8.1362E+00,
     &7.4980E+00/
      DATA ((KB(JS,JT,50,14),JS=1,5),JT=1,5) /
     &5.4125E+00,7.4991E+00,8.4401E+00,7.8123E+00,6.4595E+00,5.9003E+00,
     &7.7375E+00,8.6301E+00,7.9423E+00,6.7420E+00,6.3429E+00,7.9215E+00,
     &8.7619E+00,8.0304E+00,7.0024E+00,6.7393E+00,8.0557E+00,8.8380E+00,
     &8.0904E+00,7.2354E+00,7.0838E+00,8.1507E+00,8.8659E+00,8.1277E+00,
     &7.4327E+00/
      DATA ((KB(JS,JT,51,14),JS=1,5),JT=1,5) /
     &5.2191E+00,7.3982E+00,8.3585E+00,7.7548E+00,6.3504E+00,5.7281E+00,
     &7.6566E+00,8.5673E+00,7.9002E+00,6.6408E+00,6.1850E+00,7.8612E+00,
     &8.7206E+00,8.0029E+00,6.9102E+00,6.6013E+00,8.0131E+00,8.8169E+00,
     &8.0719E+00,7.1542E+00,6.9630E+00,8.1207E+00,8.8611E+00,8.1171E+00,
     &7.3645E+00/
      DATA ((KB(JS,JT,52,14),JS=1,5),JT=1,5) /
     &5.0203E+00,7.2853E+00,8.2659E+00,7.6900E+00,6.2362E+00,5.5489E+00,
     &7.5692E+00,8.4974E+00,7.8525E+00,6.5380E+00,6.0223E+00,7.7933E+00,
     &8.6726E+00,7.9710E+00,6.8148E+00,6.4533E+00,7.9619E+00,8.7883E+00,
     &8.0495E+00,7.0682E+00,6.8363E+00,8.0853E+00,8.8509E+00,8.1034E+00,
     &7.2926E+00/
      DATA ((KB(JS,JT,53,14),JS=1,5),JT=1,5) /
     &4.8171E+00,7.1626E+00,8.1646E+00,7.6188E+00,6.1179E+00,5.3620E+00,
     &7.4745E+00,8.4206E+00,7.7982E+00,6.4310E+00,5.8544E+00,7.7168E+00,
     &8.6150E+00,7.9329E+00,6.7166E+00,6.3007E+00,7.9064E+00,8.7527E+00,
     &8.0244E+00,6.9787E+00,6.7036E+00,8.0457E+00,8.8348E+00,8.0870E+00,
     &7.2150E+00/
      DATA ((KB(JS,JT,54,14),JS=1,5),JT=1,5) /
     &4.6268E+00,7.0415E+00,8.0643E+00,7.5453E+00,6.0051E+00,5.1834E+00,
     &7.3793E+00,8.3436E+00,7.7439E+00,6.3304E+00,5.6952E+00,7.6416E+00,
     &8.5557E+00,7.8930E+00,6.6233E+00,6.1555E+00,7.8501E+00,8.7136E+00,
     &7.9986E+00,6.8935E+00,6.5754E+00,8.0055E+00,8.8139E+00,8.0689E+00,
     &7.1391E+00/
      DATA ((KB(JS,JT,55,14),JS=1,5),JT=1,5) /
     &4.4418E+00,6.9152E+00,7.9589E+00,7.4683E+00,5.8909E+00,5.0082E+00,
     &7.2786E+00,8.2608E+00,7.6866E+00,6.2296E+00,5.5372E+00,7.5641E+00,
     &8.4935E+00,7.8502E+00,6.5324E+00,6.0119E+00,7.7891E+00,8.6705E+00,
     &7.9700E+00,6.8094E+00,6.4443E+00,7.9596E+00,8.7874E+00,8.0489E+00,
     &7.0636E+00/
      DATA ((KB(JS,JT,56,14),JS=1,5),JT=1,5) /
     &4.2552E+00,6.7816E+00,7.8463E+00,7.3861E+00,5.7693E+00,4.8302E+00,
     &7.1710E+00,8.1721E+00,7.6241E+00,6.1259E+00,5.3736E+00,7.4812E+00,
     &8.4261E+00,7.8026E+00,6.4389E+00,5.8648E+00,7.7223E+00,8.6198E+00,
     &7.9361E+00,6.7232E+00,6.3103E+00,7.9105E+00,8.7564E+00,8.0271E+00,
     &6.9853E+00/
      DATA ((KB(JS,JT,57,14),JS=1,5),JT=1,5) /
     &4.0639E+00,6.6394E+00,7.7238E+00,7.2954E+00,5.6390E+00,4.6488E+00,
     &7.0563E+00,8.0768E+00,7.5544E+00,6.0187E+00,5.2035E+00,7.3909E+00,
     &8.3529E+00,7.7510E+00,6.3425E+00,5.7137E+00,7.6510E+00,8.5638E+00,
     &7.8985E+00,6.6342E+00,6.1722E+00,7.8574E+00,8.7192E+00,8.0023E+00,
     &6.9038E+00/
      DATA ((KB(JS,JT,58,14),JS=1,5),JT=1,5) /
     &3.8805E+00,6.4976E+00,7.5961E+00,7.2010E+00,5.5107E+00,4.4745E+00,
     &6.9383E+00,7.9787E+00,7.4825E+00,5.9115E+00,5.0386E+00,7.2976E+00,
     &8.2763E+00,7.6973E+00,6.2480E+00,5.5648E+00,7.5780E+00,8.5055E+00,
     &7.8586E+00,6.5486E+00,6.0366E+00,7.8002E+00,8.6790E+00,7.9756E+00,
     &6.8245E+00/
      DATA ((KB(JS,JT,59,14),JS=1,5),JT=1,5) /
     &3.8057E+00,6.4388E+00,7.5416E+00,7.1615E+00,5.4582E+00,4.4044E+00,
     &6.8893E+00,7.9374E+00,7.4528E+00,5.8671E+00,4.9711E+00,7.2574E+00,
     &8.2432E+00,7.6750E+00,6.2091E+00,5.5038E+00,7.5476E+00,8.4809E+00,
     &7.8415E+00,6.5137E+00,5.9820E+00,7.7764E+00,8.6612E+00,7.9636E+00,
     &6.7922E+00/
      DATA ((KB(JS,JT,13,15),JS=1,5),JT=1,5) /
     &2.1583E+01,1.6708E+01,1.5578E+01,1.6324E+01,2.1499E+01,2.1596E+01,
     &1.6646E+01,1.5448E+01,1.6116E+01,2.1237E+01,2.1561E+01,1.6562E+01,
     &1.5303E+01,1.5881E+01,2.0975E+01,2.1482E+01,1.6444E+01,1.5131E+01,
     &1.5663E+01,2.0709E+01,2.1360E+01,1.6308E+01,1.4933E+01,1.5443E+01,
     &2.0449E+01/
      DATA ((KB(JS,JT,14,15),JS=1,5),JT=1,5) /
     &2.3286E+01,1.8105E+01,1.7022E+01,1.7494E+01,2.2811E+01,2.3268E+01,
     &1.8001E+01,1.6845E+01,1.7259E+01,2.2563E+01,2.3185E+01,1.7865E+01,
     &1.6645E+01,1.7010E+01,2.2295E+01,2.3065E+01,1.7707E+01,1.6417E+01,
     &1.6757E+01,2.2015E+01,2.2894E+01,1.7515E+01,1.6163E+01,1.6504E+01,
     &2.1733E+01/
      DATA ((KB(JS,JT,15,15),JS=1,5),JT=1,5) /
     &2.4991E+01,1.9505E+01,1.8411E+01,1.8638E+01,2.4057E+01,2.4920E+01,
     &1.9349E+01,1.8180E+01,1.8374E+01,2.3810E+01,2.4797E+01,1.9155E+01,
     &1.7917E+01,1.8103E+01,2.3536E+01,2.4619E+01,1.8942E+01,1.7624E+01,
     &1.7814E+01,2.3238E+01,2.4389E+01,1.8694E+01,1.7313E+01,1.7524E+01,
     &2.2925E+01/
      DATA ((KB(JS,JT,16,15),JS=1,5),JT=1,5) /
     &2.6656E+01,2.0879E+01,1.9716E+01,1.9730E+01,2.5227E+01,2.6523E+01,
     &2.0660E+01,1.9424E+01,1.9442E+01,2.4961E+01,2.6348E+01,2.0405E+01,
     &1.9093E+01,1.9135E+01,2.4671E+01,2.6107E+01,2.0124E+01,1.8741E+01,
     &1.8812E+01,2.4357E+01,2.5816E+01,1.9816E+01,1.8364E+01,1.8476E+01,
     &2.4001E+01/
      DATA ((KB(JS,JT,17,15),JS=1,5),JT=1,5) /
     &2.8242E+01,2.2184E+01,2.0936E+01,2.0769E+01,2.6307E+01,2.8053E+01,
     &2.1895E+01,2.0570E+01,2.0444E+01,2.6016E+01,2.7803E+01,2.1584E+01,
     &2.0174E+01,2.0096E+01,2.5702E+01,2.7499E+01,2.1233E+01,1.9753E+01,
     &1.9726E+01,2.5351E+01,2.7139E+01,2.0859E+01,1.9319E+01,1.9342E+01,
     &2.4955E+01/
      DATA ((KB(JS,JT,18,15),JS=1,5),JT=1,5) /
     &2.9720E+01,2.3411E+01,2.2065E+01,2.1731E+01,2.7280E+01,2.9480E+01,
     &2.3053E+01,2.1624E+01,2.1360E+01,2.6972E+01,2.9159E+01,2.2667E+01,
     &2.1156E+01,2.0967E+01,2.6625E+01,2.8776E+01,2.2248E+01,2.0663E+01,
     &2.0553E+01,2.6229E+01,2.8340E+01,2.1810E+01,2.0170E+01,2.0119E+01,
     &2.5790E+01/
      DATA ((KB(JS,JT,19,15),JS=1,5),JT=1,5) /
     &3.1079E+01,2.4533E+01,2.3084E+01,2.2601E+01,2.8156E+01,3.0766E+01,
     &2.4108E+01,2.2572E+01,2.2185E+01,2.7815E+01,3.0376E+01,2.3641E+01,
     &2.2030E+01,2.1741E+01,2.7429E+01,2.9923E+01,2.3160E+01,2.1471E+01,
     &2.1280E+01,2.6992E+01,2.9415E+01,2.2660E+01,2.0920E+01,2.0797E+01,
     &2.6511E+01/
      DATA ((KB(JS,JT,20,15),JS=1,5),JT=1,5) /
     &3.2290E+01,2.5527E+01,2.3984E+01,2.3373E+01,2.8918E+01,3.1907E+01,
     &2.5035E+01,2.3397E+01,2.2899E+01,2.8537E+01,3.1450E+01,2.4496E+01,
     &2.2784E+01,2.2408E+01,2.8112E+01,3.0926E+01,2.3946E+01,2.2166E+01,
     &2.1898E+01,2.7628E+01,3.0351E+01,2.3384E+01,2.1559E+01,2.1369E+01,
     &2.7109E+01/
      DATA ((KB(JS,JT,21,15),JS=1,5),JT=1,5) /
     &3.3354E+01,2.6397E+01,2.4768E+01,2.4040E+01,2.9575E+01,3.2901E+01,
     &2.5842E+01,2.4107E+01,2.3511E+01,2.9153E+01,3.2374E+01,2.5240E+01,
     &2.3426E+01,2.2972E+01,2.8686E+01,3.1781E+01,2.4624E+01,2.2754E+01,
     &2.2416E+01,2.8162E+01,3.1147E+01,2.4003E+01,2.2095E+01,2.1845E+01,
     &2.7608E+01/
      DATA ((KB(JS,JT,22,15),JS=1,5),JT=1,5) /
     &3.4245E+01,2.7109E+01,2.5388E+01,2.4566E+01,3.0099E+01,3.3719E+01,
     &2.6481E+01,2.4655E+01,2.3987E+01,2.9635E+01,3.3121E+01,2.5821E+01,
     &2.3916E+01,2.3403E+01,2.9124E+01,3.2461E+01,2.5147E+01,2.3196E+01,
     &2.2805E+01,2.8562E+01,3.1774E+01,2.4482E+01,2.2495E+01,2.2197E+01,
     &2.7979E+01/
      DATA ((KB(JS,JT,23,15),JS=1,5),JT=1,5) /
     &3.4979E+01,2.7686E+01,2.5885E+01,2.4985E+01,3.0523E+01,3.4390E+01,
     &2.6989E+01,2.5088E+01,2.4366E+01,3.0015E+01,3.3724E+01,2.6279E+01,
     &2.4300E+01,2.3742E+01,2.9464E+01,3.3013E+01,2.5562E+01,2.3538E+01,
     &2.3108E+01,2.8875E+01,3.2269E+01,2.4853E+01,2.2796E+01,2.2467E+01,
     &2.8265E+01/
      DATA ((KB(JS,JT,24,15),JS=1,5),JT=1,5) /
     &3.5573E+01,2.8136E+01,2.6264E+01,2.5305E+01,3.0849E+01,3.4922E+01,
     &2.7387E+01,2.5413E+01,2.4653E+01,3.0308E+01,3.4200E+01,2.6632E+01,
     &2.4587E+01,2.3994E+01,2.9723E+01,3.3439E+01,2.5872E+01,2.3787E+01,
     &2.3329E+01,2.9105E+01,3.2647E+01,2.5128E+01,2.3014E+01,2.2661E+01,
     &2.8477E+01/
      DATA ((KB(JS,JT,25,15),JS=1,5),JT=1,5) /
     &3.6033E+01,2.8469E+01,2.6533E+01,2.5539E+01,3.1091E+01,3.5324E+01,
     &2.7679E+01,2.5640E+01,2.4852E+01,3.0512E+01,3.4555E+01,2.6887E+01,
     &2.4782E+01,2.4167E+01,2.9902E+01,3.3752E+01,2.6092E+01,2.3953E+01,
     &2.3474E+01,2.9262E+01,3.2915E+01,2.5319E+01,2.3155E+01,2.2787E+01,
     &2.8617E+01/
      DATA ((KB(JS,JT,26,15),JS=1,5),JT=1,5) /
     &3.6371E+01,2.8696E+01,2.6697E+01,2.5688E+01,3.1254E+01,3.5607E+01,
     &2.7872E+01,2.5775E+01,2.4975E+01,3.0642E+01,3.4798E+01,2.7047E+01,
     &2.4890E+01,2.4264E+01,3.0007E+01,3.3956E+01,2.6227E+01,2.4040E+01,
     &2.3549E+01,2.9351E+01,3.3076E+01,2.5425E+01,2.3222E+01,2.2845E+01,
     &2.8688E+01/
      DATA ((KB(JS,JT,27,15),JS=1,5),JT=1,5) /
     &3.6605E+01,2.8839E+01,2.6780E+01,2.5770E+01,3.1349E+01,3.5796E+01,
     &2.7987E+01,2.5836E+01,2.5037E+01,3.0713E+01,3.4952E+01,2.7136E+01,
     &2.4934E+01,2.4306E+01,3.0059E+01,3.4075E+01,2.6294E+01,2.4068E+01,
     &2.3575E+01,2.9392E+01,3.3166E+01,2.5473E+01,2.3238E+01,2.2856E+01,
     &2.8711E+01/
      DATA ((KB(JS,JT,28,15),JS=1,5),JT=1,5) /
     &3.6758E+01,2.8917E+01,2.6804E+01,2.5803E+01,3.1396E+01,3.5910E+01,
     &2.8037E+01,2.5842E+01,2.5051E+01,3.0739E+01,3.5033E+01,2.7165E+01,
     &2.4925E+01,2.4304E+01,3.0070E+01,3.4125E+01,2.6307E+01,2.4049E+01,
     &2.3563E+01,2.9393E+01,3.3188E+01,2.5468E+01,2.3210E+01,2.2829E+01,
     &2.8695E+01/
      DATA ((KB(JS,JT,29,15),JS=1,5),JT=1,5) /
     &3.6829E+01,2.8926E+01,2.6766E+01,2.5785E+01,3.1393E+01,3.5949E+01,
     &2.8025E+01,2.5792E+01,2.5019E+01,3.0723E+01,3.5045E+01,2.7141E+01,
     &2.4868E+01,2.4260E+01,3.0042E+01,3.4114E+01,2.6272E+01,2.3986E+01,
     &2.3509E+01,2.9353E+01,3.3154E+01,2.5419E+01,2.3142E+01,2.2765E+01,
     &2.8643E+01/
      DATA ((KB(JS,JT,30,15),JS=1,5),JT=1,5) /
     &3.6836E+01,2.8884E+01,2.6681E+01,2.5729E+01,3.1353E+01,3.5935E+01,
     &2.7972E+01,2.5704E+01,2.4955E+01,3.0675E+01,3.5002E+01,2.7075E+01,
     &2.4775E+01,2.4184E+01,2.9984E+01,3.4050E+01,2.6196E+01,2.3891E+01,
     &2.3427E+01,2.9283E+01,3.3076E+01,2.5337E+01,2.3046E+01,2.2676E+01,
     &2.8566E+01/
      DATA ((KB(JS,JT,31,15),JS=1,5),JT=1,5) /
     &3.6791E+01,2.8797E+01,2.6557E+01,2.5640E+01,3.1284E+01,3.5869E+01,
     &2.7877E+01,2.5582E+01,2.4857E+01,3.0596E+01,3.4914E+01,2.6971E+01,
     &2.4653E+01,2.4083E+01,2.9901E+01,3.3941E+01,2.6084E+01,2.3767E+01,
     &2.3319E+01,2.9185E+01,3.2958E+01,2.5224E+01,2.2924E+01,2.2563E+01,
     &2.8464E+01/
      DATA ((KB(JS,JT,32,15),JS=1,5),JT=1,5) /
     &3.6704E+01,2.8676E+01,2.6402E+01,2.5521E+01,3.1186E+01,3.5759E+01,
     &2.7748E+01,2.5429E+01,2.4734E+01,3.0492E+01,3.4789E+01,2.6839E+01,
     &2.4504E+01,2.3956E+01,2.9792E+01,3.3799E+01,2.5947E+01,2.3622E+01,
     &2.3189E+01,2.9067E+01,3.2807E+01,2.5086E+01,2.2780E+01,2.2431E+01,
     &2.8343E+01/
      DATA ((KB(JS,JT,33,15),JS=1,5),JT=1,5) /
     &3.6581E+01,2.8529E+01,2.6229E+01,2.5386E+01,3.1076E+01,3.5618E+01,
     &2.7597E+01,2.5258E+01,2.4592E+01,3.0373E+01,3.4634E+01,2.6685E+01,
     &2.4337E+01,2.3815E+01,2.9666E+01,3.3632E+01,2.5791E+01,2.3459E+01,
     &2.3042E+01,2.8931E+01,3.2632E+01,2.4931E+01,2.2622E+01,2.2288E+01,
     &2.8210E+01/
      DATA ((KB(JS,JT,34,15),JS=1,5),JT=1,5) /
     &3.6458E+01,2.8392E+01,2.6072E+01,2.5264E+01,3.0972E+01,3.5483E+01,
     &2.7459E+01,2.5106E+01,2.4467E+01,3.0265E+01,3.4486E+01,2.6542E+01,
     &2.4189E+01,2.3688E+01,2.9550E+01,3.3480E+01,2.5653E+01,2.3315E+01,
     &2.2913E+01,2.8811E+01,3.2478E+01,2.4793E+01,2.2484E+01,2.2163E+01,
     &2.8094E+01/
      DATA ((KB(JS,JT,35,15),JS=1,5),JT=1,5) /
     &3.6414E+01,2.8334E+01,2.5999E+01,2.5206E+01,3.0923E+01,3.5425E+01,
     &2.7395E+01,2.5033E+01,2.4406E+01,3.0215E+01,3.4420E+01,2.6476E+01,
     &2.4117E+01,2.3624E+01,2.9493E+01,3.3407E+01,2.5585E+01,2.3243E+01,
     &2.2849E+01,2.8753E+01,3.2403E+01,2.4726E+01,2.2415E+01,2.2101E+01,
     &2.8034E+01/
      DATA ((KB(JS,JT,36,15),JS=1,5),JT=1,5) /
     &3.6456E+01,2.8365E+01,2.6023E+01,2.5227E+01,3.0947E+01,3.5465E+01,
     &2.7424E+01,2.5054E+01,2.4425E+01,3.0235E+01,3.4451E+01,2.6498E+01,
     &2.4134E+01,2.3640E+01,2.9510E+01,3.3436E+01,2.5606E+01,2.3259E+01,
     &2.2862E+01,2.8768E+01,3.2427E+01,2.4743E+01,2.2427E+01,2.2112E+01,
     &2.8048E+01/
      DATA ((KB(JS,JT,37,15),JS=1,5),JT=1,5) /
     &3.6638E+01,2.8533E+01,2.6191E+01,2.5363E+01,3.1069E+01,3.5645E+01,
     &2.7585E+01,2.5212E+01,2.4557E+01,3.0356E+01,3.4632E+01,2.6655E+01,
     &2.4283E+01,2.3768E+01,2.9633E+01,3.3611E+01,2.5753E+01,2.3398E+01,
     &2.2987E+01,2.8889E+01,3.2597E+01,2.4885E+01,2.2559E+01,2.2230E+01,
     &2.8165E+01/
      DATA ((KB(JS,JT,38,15),JS=1,5),JT=1,5) /
     &3.6818E+01,2.8702E+01,2.6363E+01,2.5503E+01,3.1194E+01,3.5825E+01,
     &2.7749E+01,2.5373E+01,2.4692E+01,3.0479E+01,3.4809E+01,2.6811E+01,
     &2.4434E+01,2.3900E+01,2.9757E+01,3.3789E+01,2.5904E+01,2.3543E+01,
     &2.3114E+01,2.9012E+01,3.2767E+01,2.5028E+01,2.2694E+01,2.2351E+01,
     &2.8285E+01/
      DATA ((KB(JS,JT,39,15),JS=1,5),JT=1,5) /
     &3.6989E+01,2.8865E+01,2.6530E+01,2.5636E+01,3.1312E+01,3.5999E+01,
     &2.7907E+01,2.5529E+01,2.4823E+01,3.0597E+01,3.4983E+01,2.6966E+01,
     &2.4583E+01,2.4027E+01,2.9878E+01,3.3957E+01,2.6048E+01,2.3683E+01,
     &2.3240E+01,2.9134E+01,3.2935E+01,2.5169E+01,2.2826E+01,2.2468E+01,
     &2.8398E+01/
      DATA ((KB(JS,JT,40,15),JS=1,5),JT=1,5) /
     &3.7254E+01,2.9125E+01,2.6800E+01,2.5853E+01,3.1502E+01,3.6269E+01,
     &2.8159E+01,2.5786E+01,2.5036E+01,3.0787E+01,3.5253E+01,2.7211E+01,
     &2.4825E+01,2.4233E+01,3.0069E+01,3.4229E+01,2.6287E+01,2.3913E+01,
     &2.3442E+01,2.9327E+01,3.3202E+01,2.5396E+01,2.3042E+01,2.2665E+01,
     &2.8587E+01/
      DATA ((KB(JS,JT,41,15),JS=1,5),JT=1,5) /
     &3.7526E+01,2.9396E+01,2.7087E+01,2.6081E+01,3.1701E+01,3.6546E+01,
     &2.8422E+01,2.6056E+01,2.5257E+01,3.0982E+01,3.5534E+01,2.7467E+01,
     &2.5079E+01,2.4448E+01,3.0265E+01,3.4510E+01,2.6534E+01,2.4153E+01,
     &2.3654E+01,2.9528E+01,3.3481E+01,2.5633E+01,2.3271E+01,2.2872E+01,
     &2.8783E+01/
      DATA ((KB(JS,JT,42,15),JS=1,5),JT=1,5) /
     &3.7791E+01,2.9665E+01,2.7375E+01,2.6306E+01,3.1897E+01,3.6818E+01,
     &2.8682E+01,2.6328E+01,2.5479E+01,3.1179E+01,3.5814E+01,2.7725E+01,
     &2.5336E+01,2.4663E+01,3.0459E+01,3.4792E+01,2.6784E+01,2.4397E+01,
     &2.3867E+01,2.9730E+01,3.3761E+01,2.5873E+01,2.3504E+01,2.3079E+01,
     &2.8983E+01/
      DATA ((KB(JS,JT,43,15),JS=1,5),JT=1,5) /
     &3.8102E+01,2.9987E+01,2.7726E+01,2.6579E+01,3.2132E+01,3.7142E+01,
     &2.9000E+01,2.6660E+01,2.5743E+01,3.1410E+01,3.6146E+01,2.8034E+01,
     &2.5651E+01,2.4927E+01,3.0694E+01,3.5125E+01,2.7087E+01,2.4694E+01,
     &2.4121E+01,2.9968E+01,3.4093E+01,2.6161E+01,2.3786E+01,2.3330E+01,
     &2.9223E+01/
      DATA ((KB(JS,JT,44,15),JS=1,5),JT=1,5) /
     &3.8433E+01,3.0339E+01,2.8106E+01,2.6874E+01,3.2381E+01,3.7485E+01,
     &2.9344E+01,2.7023E+01,2.6033E+01,3.1664E+01,3.6497E+01,2.8368E+01,
     &2.5996E+01,2.5211E+01,3.0945E+01,3.5483E+01,2.7414E+01,2.5019E+01,
     &2.4397E+01,3.0221E+01,3.4454E+01,2.6480E+01,2.4095E+01,2.3603E+01,
     &2.9482E+01/
      DATA ((KB(JS,JT,45,15),JS=1,5),JT=1,5) /
     &3.8755E+01,3.0690E+01,2.8491E+01,2.7169E+01,3.2624E+01,3.7819E+01,
     &2.9686E+01,2.7393E+01,2.6324E+01,3.1916E+01,3.6842E+01,2.8700E+01,
     &2.6343E+01,2.5494E+01,3.1195E+01,3.5840E+01,2.7743E+01,2.5350E+01,
     &2.4674E+01,3.0470E+01,3.4814E+01,2.6800E+01,2.4408E+01,2.3874E+01,
     &2.9739E+01/
      DATA ((KB(JS,JT,46,15),JS=1,5),JT=1,5) /
     &3.9090E+01,3.1065E+01,2.8908E+01,2.7486E+01,3.2877E+01,3.8170E+01,
     &3.0050E+01,2.7790E+01,2.6631E+01,3.2180E+01,3.7208E+01,2.9060E+01,
     &2.6719E+01,2.5793E+01,3.1457E+01,3.6211E+01,2.8091E+01,2.5705E+01,
     &2.4972E+01,3.0735E+01,3.5190E+01,2.7143E+01,2.4746E+01,2.4165E+01,
     &3.0011E+01/
      DATA ((KB(JS,JT,47,15),JS=1,5),JT=1,5) /
     &3.9451E+01,3.1490E+01,2.9378E+01,2.7842E+01,3.3145E+01,3.8554E+01,
     &3.0463E+01,2.8238E+01,2.6977E+01,3.2470E+01,3.7608E+01,2.9464E+01,
     &2.7149E+01,2.6134E+01,3.1753E+01,3.6624E+01,2.8485E+01,2.6114E+01,
     &2.5307E+01,3.1030E+01,3.5612E+01,2.7529E+01,2.5131E+01,2.4491E+01,
     &3.0307E+01/
      DATA ((KB(JS,JT,48,15),JS=1,5),JT=1,5) /
     &3.9789E+01,3.1912E+01,2.9855E+01,2.8207E+01,3.3402E+01,3.8929E+01,
     &3.0877E+01,2.8697E+01,2.7328E+01,3.2755E+01,3.8000E+01,2.9868E+01,
     &2.7588E+01,2.6477E+01,3.2050E+01,3.7030E+01,2.8879E+01,2.6527E+01,
     &2.5639E+01,3.1322E+01,3.6027E+01,2.7916E+01,2.5523E+01,2.4819E+01,
     &3.0601E+01/
      DATA ((KB(JS,JT,49,15),JS=1,5),JT=1,5) /
     &4.0116E+01,3.2336E+01,3.0332E+01,2.8574E+01,3.3637E+01,3.9295E+01,
     &3.1299E+01,2.9164E+01,2.7682E+01,3.3028E+01,3.8385E+01,3.0275E+01,
     &2.8033E+01,2.6821E+01,3.2341E+01,3.7432E+01,2.9281E+01,2.6949E+01,
     &2.5975E+01,3.1615E+01,3.6440E+01,2.8306E+01,2.5923E+01,2.5151E+01,
     &3.0893E+01/
      DATA ((KB(JS,JT,50,15),JS=1,5),JT=1,5) /
     &4.0414E+01,3.2736E+01,3.0783E+01,2.8924E+01,3.3845E+01,3.9619E+01,
     &3.1694E+01,2.9608E+01,2.8020E+01,3.3276E+01,3.8737E+01,3.0661E+01,
     &2.8456E+01,2.7146E+01,3.2609E+01,3.7800E+01,2.9658E+01,2.7356E+01,
     &2.6296E+01,3.1894E+01,3.6822E+01,2.8673E+01,2.6306E+01,2.5463E+01,
     &3.1168E+01/
      DATA ((KB(JS,JT,51,15),JS=1,5),JT=1,5) /
     &4.0689E+01,3.3123E+01,3.1211E+01,2.9252E+01,3.4023E+01,3.9919E+01,
     &3.2076E+01,3.0039E+01,2.8350E+01,3.3499E+01,3.9075E+01,3.1039E+01,
     &2.8875E+01,2.7462E+01,3.2860E+01,3.8151E+01,3.0023E+01,2.7755E+01,
     &2.6605E+01,3.2160E+01,3.7189E+01,2.9033E+01,2.6685E+01,2.5765E+01,
     &3.1432E+01/
      DATA ((KB(JS,JT,52,15),JS=1,5),JT=1,5) /
     &4.0936E+01,3.3510E+01,3.1640E+01,2.9576E+01,3.4183E+01,4.0210E+01,
     &3.2459E+01,3.0471E+01,2.8683E+01,3.3706E+01,3.9397E+01,3.1418E+01,
     &2.9296E+01,2.7784E+01,3.3107E+01,3.8495E+01,3.0394E+01,2.8160E+01,
     &2.6919E+01,3.2422E+01,3.7548E+01,2.9397E+01,2.7070E+01,2.6070E+01,
     &3.1697E+01/
      DATA ((KB(JS,JT,53,15),JS=1,5),JT=1,5) /
     &4.1161E+01,3.3900E+01,3.2075E+01,2.9895E+01,3.4325E+01,4.0494E+01,
     &3.2844E+01,3.0901E+01,2.9015E+01,3.3898E+01,3.9709E+01,3.1802E+01,
     &2.9726E+01,2.8110E+01,3.3339E+01,3.8833E+01,3.0766E+01,2.8570E+01,
     &2.7234E+01,3.2680E+01,3.7902E+01,2.9761E+01,2.7465E+01,2.6380E+01,
     &3.1966E+01/
      DATA ((KB(JS,JT,54,15),JS=1,5),JT=1,5) /
     &4.1350E+01,3.4259E+01,3.2468E+01,3.0182E+01,3.4433E+01,4.0740E+01,
     &3.3197E+01,3.1292E+01,2.9316E+01,3.4057E+01,3.9978E+01,3.2149E+01,
     &3.0122E+01,2.8414E+01,3.3542E+01,3.9139E+01,3.1111E+01,2.8955E+01,
     &2.7524E+01,3.2911E+01,3.8222E+01,3.0095E+01,2.7832E+01,2.6664E+01,
     &3.2209E+01/
      DATA ((KB(JS,JT,55,15),JS=1,5),JT=1,5) /
     &4.1508E+01,3.4608E+01,3.2849E+01,3.0454E+01,3.4522E+01,4.0955E+01,
     &3.3539E+01,3.1671E+01,2.9598E+01,3.4194E+01,4.0232E+01,3.2485E+01,
     &3.0501E+01,2.8707E+01,3.3722E+01,3.9425E+01,3.1448E+01,2.9326E+01,
     &2.7805E+01,3.3122E+01,3.8521E+01,3.0419E+01,2.8187E+01,2.6941E+01,
     &3.2441E+01/
      DATA ((KB(JS,JT,56,15),JS=1,5),JT=1,5) /
     &4.1645E+01,3.4957E+01,3.3233E+01,3.0720E+01,3.4599E+01,4.1152E+01,
     &3.3880E+01,3.2050E+01,2.9874E+01,3.4316E+01,4.0482E+01,3.2823E+01,
     &3.0877E+01,2.8999E+01,3.3890E+01,3.9696E+01,3.1783E+01,2.9704E+01,
     &2.8093E+01,3.3329E+01,3.8819E+01,3.0747E+01,2.8547E+01,2.7216E+01,
     &3.2666E+01/
      DATA ((KB(JS,JT,57,15),JS=1,5),JT=1,5) /
     &4.1772E+01,3.5313E+01,3.3621E+01,3.0980E+01,3.4653E+01,4.1335E+01,
     &3.4223E+01,3.2428E+01,3.0152E+01,3.4423E+01,4.0717E+01,3.3158E+01,
     &3.1249E+01,2.9283E+01,3.4041E+01,3.9952E+01,3.2113E+01,3.0080E+01,
     &2.8382E+01,3.3523E+01,3.9110E+01,3.1075E+01,2.8913E+01,2.7492E+01,
     &3.2886E+01/
      DATA ((KB(JS,JT,58,15),JS=1,5),JT=1,5) /
     &4.1872E+01,3.5648E+01,3.3990E+01,3.1215E+01,3.4668E+01,4.1486E+01,
     &3.4551E+01,3.2786E+01,3.0408E+01,3.4507E+01,4.0923E+01,3.3481E+01,
     &3.1606E+01,2.9553E+01,3.4175E+01,4.0193E+01,3.2431E+01,3.0438E+01,
     &2.8657E+01,3.3692E+01,3.9381E+01,3.1393E+01,2.9263E+01,2.7758E+01,
     &3.3088E+01/
      DATA ((KB(JS,JT,59,15),JS=1,5),JT=1,5) /
     &4.1905E+01,3.5780E+01,3.4140E+01,3.1306E+01,3.4668E+01,4.1541E+01,
     &3.4683E+01,3.2931E+01,3.0509E+01,3.4539E+01,4.1000E+01,3.3610E+01,
     &3.1751E+01,2.9658E+01,3.4225E+01,4.0289E+01,3.2559E+01,3.0582E+01,
     &2.8769E+01,3.3760E+01,3.9484E+01,3.1518E+01,2.9405E+01,2.7867E+01,
     &3.3169E+01/
      DATA ((KB(JS,JT,13,16),JS=1,5),JT=1,5) /
     &4.4218E+01,3.3168E+01,2.7605E+01,4.0761E+01,5.4348E+01,4.3915E+01,
     &3.2941E+01,2.6738E+01,3.9342E+01,5.2457E+01,4.3491E+01,3.2624E+01,
     &2.5861E+01,3.8022E+01,5.0696E+01,4.2952E+01,3.2220E+01,2.5010E+01,
     &3.6713E+01,4.8951E+01,4.2305E+01,3.1735E+01,2.4184E+01,3.5417E+01,
     &4.7222E+01/
      DATA ((KB(JS,JT,14,16),JS=1,5),JT=1,5) /
     &5.0640E+01,3.7984E+01,3.1138E+01,4.5571E+01,6.0761E+01,5.0072E+01,
     &3.7558E+01,3.0053E+01,4.3809E+01,5.8413E+01,4.9384E+01,3.7043E+01,
     &2.8981E+01,4.2162E+01,5.6216E+01,4.8531E+01,3.6404E+01,2.7924E+01,
     &4.0555E+01,5.4074E+01,4.7588E+01,3.5696E+01,2.6896E+01,3.8961E+01,
     &5.1948E+01/
      DATA ((KB(JS,JT,15,16),JS=1,5),JT=1,5) /
     &5.7280E+01,4.2964E+01,3.4740E+01,5.0323E+01,6.7098E+01,5.6367E+01,
     &4.2280E+01,3.3407E+01,4.8191E+01,6.4255E+01,5.5318E+01,4.1493E+01,
     &3.2092E+01,4.6141E+01,6.1520E+01,5.4108E+01,4.0586E+01,3.0808E+01,
     &4.4198E+01,5.8930E+01,5.2826E+01,3.9625E+01,2.9570E+01,4.2303E+01,
     &5.6404E+01/
      DATA ((KB(JS,JT,16,16),JS=1,5),JT=1,5) /
     &6.3967E+01,4.7979E+01,3.8312E+01,5.4909E+01,7.3213E+01,6.2626E+01,
     &4.6973E+01,3.6695E+01,5.2345E+01,6.9794E+01,6.1112E+01,4.5838E+01,
     &3.5123E+01,4.9904E+01,6.6539E+01,5.9503E+01,4.4632E+01,3.3592E+01,
     &4.7568E+01,6.3425E+01,5.7855E+01,4.3396E+01,3.2125E+01,4.5372E+01,
     &6.0497E+01/
      DATA ((KB(JS,JT,17,16),JS=1,5),JT=1,5) /
     &7.0540E+01,5.2908E+01,4.1791E+01,5.9184E+01,7.8912E+01,6.8668E+01,
     &5.1504E+01,3.9850E+01,5.6189E+01,7.4919E+01,6.6662E+01,5.0000E+01,
     &3.7983E+01,5.3339E+01,7.1119E+01,6.4633E+01,4.8479E+01,3.6199E+01,
     &5.0655E+01,6.7541E+01,6.2569E+01,4.6932E+01,3.4500E+01,4.8144E+01,
     &6.4192E+01/
      DATA ((KB(JS,JT,18,16),JS=1,5),JT=1,5) /
     &7.6762E+01,5.7574E+01,4.5062E+01,6.3079E+01,8.4105E+01,7.4320E+01,
     &5.5743E+01,4.2789E+01,5.9653E+01,7.9537E+01,7.1820E+01,5.3869E+01,
     &4.0630E+01,5.6414E+01,7.5219E+01,6.9367E+01,5.2029E+01,3.8584E+01,
     &5.3391E+01,7.1188E+01,6.6895E+01,5.0176E+01,3.6663E+01,5.0596E+01,
     &6.7461E+01/
      DATA ((KB(JS,JT,19,16),JS=1,5),JT=1,5) /
     &8.2534E+01,6.1903E+01,4.8066E+01,6.6533E+01,8.8711E+01,7.9500E+01,
     &5.9627E+01,4.5463E+01,6.2698E+01,8.3597E+01,7.6531E+01,5.7402E+01,
     &4.3003E+01,5.9107E+01,7.8810E+01,7.3621E+01,5.5219E+01,4.0714E+01,
     &5.5776E+01,7.4368E+01,7.0758E+01,5.3072E+01,3.8580E+01,5.2720E+01,
     &7.0294E+01/
      DATA ((KB(JS,JT,20,16),JS=1,5),JT=1,5) /
     &8.7685E+01,6.5766E+01,5.0694E+01,6.9445E+01,9.2594E+01,8.4090E+01,
     &6.3070E+01,4.7778E+01,6.5259E+01,8.7012E+01,8.0661E+01,6.0499E+01,
     &4.5053E+01,6.1350E+01,8.1800E+01,7.7340E+01,5.8008E+01,4.2537E+01,
     &5.7756E+01,7.7009E+01,7.4079E+01,5.5564E+01,4.0201E+01,5.4475E+01,
     &7.2633E+01/
      DATA ((KB(JS,JT,21,16),JS=1,5),JT=1,5) /
     &9.2165E+01,6.9126E+01,5.2960E+01,7.1872E+01,9.5829E+01,8.8084E+01,
     &6.6065E+01,4.9750E+01,6.7363E+01,8.9818E+01,8.4210E+01,6.3159E+01,
     &4.6796E+01,6.3194E+01,8.4259E+01,8.0508E+01,6.0384E+01,4.4071E+01,
     &5.9388E+01,7.9185E+01,7.6889E+01,5.7670E+01,4.1555E+01,5.5904E+01,
     &7.4538E+01/
      DATA ((KB(JS,JT,22,16),JS=1,5),JT=1,5) /
     &9.5696E+01,7.1774E+01,5.4631E+01,7.3526E+01,9.8034E+01,9.1190E+01,
     &6.8395E+01,5.1188E+01,6.8768E+01,9.1690E+01,8.6939E+01,6.5206E+01,
     &4.8040E+01,6.4409E+01,8.5879E+01,8.2890E+01,6.2171E+01,4.5151E+01,
     &6.0441E+01,8.0589E+01,7.8983E+01,5.9241E+01,4.2494E+01,5.6811E+01,
     &7.5748E+01/
      DATA ((KB(JS,JT,23,16),JS=1,5),JT=1,5) /
     &9.8505E+01,7.3881E+01,5.5897E+01,7.4690E+01,9.9587E+01,9.3651E+01,
     &7.0240E+01,5.2277E+01,6.9755E+01,9.3007E+01,8.9065E+01,6.6801E+01,
     &4.8963E+01,6.5256E+01,8.7008E+01,8.4725E+01,6.3546E+01,4.5949E+01,
     &6.1155E+01,8.1540E+01,8.0582E+01,6.0440E+01,4.3182E+01,5.7417E+01,
     &7.6556E+01/
      DATA ((KB(JS,JT,24,16),JS=1,5),JT=1,5) /
     &1.0064E+02,7.5484E+01,5.6783E+01,7.5422E+01,1.0056E+02,9.5486E+01,
     &7.1616E+01,5.3021E+01,7.0355E+01,9.3807E+01,9.0630E+01,6.7975E+01,
     &4.9592E+01,6.5751E+01,8.7668E+01,8.6059E+01,6.4548E+01,4.6483E+01,
     &6.1565E+01,8.2086E+01,8.1718E+01,6.1292E+01,4.3631E+01,5.7753E+01,
     &7.7003E+01/
      DATA ((KB(JS,JT,25,16),JS=1,5),JT=1,5) /
     &1.0215E+02,7.6618E+01,5.7324E+01,7.5759E+01,1.0101E+02,9.6743E+01,
     &7.2560E+01,5.3446E+01,7.0607E+01,9.4143E+01,9.1681E+01,6.8763E+01,
     &4.9955E+01,6.5940E+01,8.7921E+01,8.6919E+01,6.5192E+01,4.6773E+01,
     &6.1703E+01,8.2270E+01,8.2440E+01,6.1834E+01,4.3873E+01,5.7842E+01,
     &7.7123E+01/
      DATA ((KB(JS,JT,26,16),JS=1,5),JT=1,5) /
     &1.0303E+02,7.7274E+01,5.7519E+01,7.5701E+01,1.0093E+02,9.7444E+01,
     &7.3085E+01,5.3575E+01,7.0525E+01,9.4033E+01,9.2222E+01,6.9170E+01,
     &5.0048E+01,6.5828E+01,8.7771E+01,8.7336E+01,6.5505E+01,4.6824E+01,
     &6.1566E+01,8.2088E+01,8.2771E+01,6.2082E+01,4.3909E+01,5.7710E+01,
     &7.6947E+01/
      DATA ((KB(JS,JT,27,16),JS=1,5),JT=1,5) /
     &1.0345E+02,7.7590E+01,5.7467E+01,7.5392E+01,1.0052E+02,9.7739E+01,
     &7.3306E+01,5.3511E+01,7.0214E+01,9.3619E+01,9.2406E+01,6.9307E+01,
     &4.9956E+01,6.5525E+01,8.7366E+01,8.7439E+01,6.5583E+01,4.6715E+01,
     &6.1255E+01,8.1674E+01,8.2826E+01,6.2123E+01,4.3807E+01,5.7432E+01,
     &7.6576E+01/
      DATA ((KB(JS,JT,28,16),JS=1,5),JT=1,5) /
     &1.0350E+02,7.7625E+01,5.7222E+01,7.4881E+01,9.9841E+01,9.7691E+01,
     &7.3271E+01,5.3275E+01,6.9730E+01,9.2974E+01,9.2289E+01,6.9219E+01,
     &4.9719E+01,6.5057E+01,8.6743E+01,8.7284E+01,6.5466E+01,4.6485E+01,
     &6.0817E+01,8.1090E+01,8.2640E+01,6.1984E+01,4.3588E+01,5.7042E+01,
     &7.6055E+01/
      DATA ((KB(JS,JT,29,16),JS=1,5),JT=1,5) /
     &1.0319E+02,7.7394E+01,5.6799E+01,7.4179E+01,9.8906E+01,9.7340E+01,
     &7.3008E+01,5.2885E+01,6.9064E+01,9.2086E+01,9.1909E+01,6.8935E+01,
     &4.9342E+01,6.4439E+01,8.5918E+01,8.6890E+01,6.5171E+01,4.6144E+01,
     &6.0253E+01,8.0337E+01,8.2249E+01,6.1690E+01,4.3266E+01,5.6539E+01,
     &7.5385E+01/
      DATA ((KB(JS,JT,30,16),JS=1,5),JT=1,5) /
     &1.0264E+02,7.6981E+01,5.6267E+01,7.3352E+01,9.7803E+01,9.6761E+01,
     &7.2573E+01,5.2390E+01,6.8302E+01,9.1070E+01,9.1349E+01,6.8515E+01,
     &4.8877E+01,6.3734E+01,8.4978E+01,8.6346E+01,6.4763E+01,4.5722E+01,
     &5.9615E+01,7.9487E+01,8.1701E+01,6.1280E+01,4.2874E+01,5.5973E+01,
     &7.4631E+01/
      DATA ((KB(JS,JT,31,16),JS=1,5),JT=1,5) /
     &1.0185E+02,7.6389E+01,5.5624E+01,7.2410E+01,9.6547E+01,9.5999E+01,
     &7.2002E+01,5.1796E+01,6.7443E+01,8.9924E+01,9.0614E+01,6.7963E+01,
     &4.8327E+01,6.2938E+01,8.3917E+01,8.5645E+01,6.4237E+01,4.5228E+01,
     &5.8906E+01,7.8542E+01,8.1007E+01,6.0759E+01,4.2414E+01,5.5328E+01,
     &7.3771E+01/
      DATA ((KB(JS,JT,32,16),JS=1,5),JT=1,5) /
     &1.0089E+02,7.5672E+01,5.4904E+01,7.1387E+01,9.5183E+01,9.5077E+01,
     &7.1310E+01,5.1129E+01,6.6501E+01,8.8668E+01,8.9743E+01,6.7310E+01,
     &4.7720E+01,6.2089E+01,8.2785E+01,8.4830E+01,6.3626E+01,4.4676E+01,
     &5.8147E+01,7.7529E+01,8.0208E+01,6.0160E+01,4.1909E+01,5.4638E+01,
     &7.2851E+01/
      DATA ((KB(JS,JT,33,16),JS=1,5),JT=1,5) /
     &9.9806E+01,7.4857E+01,5.4124E+01,7.0307E+01,9.3742E+01,9.4060E+01,
     &7.0548E+01,5.0418E+01,6.5525E+01,8.7366E+01,8.8780E+01,6.6588E+01,
     &4.7080E+01,6.1195E+01,8.1594E+01,8.3926E+01,6.2948E+01,4.4091E+01,
     &5.7369E+01,7.6493E+01,7.9342E+01,5.9511E+01,4.1372E+01,5.3910E+01,
     &7.1880E+01/
      DATA ((KB(JS,JT,34,16),JS=1,5),JT=1,5) /
     &9.8842E+01,7.4134E+01,5.3446E+01,6.9373E+01,9.2498E+01,9.3169E+01,
     &6.9879E+01,4.9796E+01,6.4672E+01,8.6229E+01,8.7940E+01,6.5958E+01,
     &4.6525E+01,6.0437E+01,8.0583E+01,8.3124E+01,6.2347E+01,4.3581E+01,
     &5.6689E+01,7.5585E+01,7.8566E+01,5.8929E+01,4.0900E+01,5.3287E+01,
     &7.1049E+01/
      DATA ((KB(JS,JT,35,16),JS=1,5),JT=1,5) /
     &9.8383E+01,7.3790E+01,5.3104E+01,6.8893E+01,9.1857E+01,9.2731E+01,
     &6.9551E+01,4.9484E+01,6.4233E+01,8.5643E+01,8.7537E+01,6.5656E+01,
     &4.6247E+01,6.0050E+01,8.0067E+01,8.2730E+01,6.2051E+01,4.3325E+01,
     &5.6336E+01,7.5115E+01,7.8184E+01,5.8642E+01,4.0664E+01,5.2959E+01,
     &7.0611E+01/
      DATA ((KB(JS,JT,36,16),JS=1,5),JT=1,5) /
     &9.8510E+01,7.3885E+01,5.3153E+01,6.8921E+01,9.1895E+01,9.2845E+01,
     &6.9637E+01,4.9525E+01,6.4248E+01,8.5664E+01,8.7626E+01,6.5723E+01,
     &4.6281E+01,6.0067E+01,8.0090E+01,8.2805E+01,6.2108E+01,4.3352E+01,
     &5.6351E+01,7.5135E+01,7.8246E+01,5.8689E+01,4.0687E+01,5.2970E+01,
     &7.0627E+01/
      DATA ((KB(JS,JT,37,16),JS=1,5),JT=1,5) /
     &9.9499E+01,7.4626E+01,5.3765E+01,6.9681E+01,9.2907E+01,9.3737E+01,
     &7.0305E+01,5.0072E+01,6.4938E+01,8.6584E+01,8.8443E+01,6.6336E+01,
     &4.6765E+01,6.0669E+01,8.0892E+01,8.3569E+01,6.2680E+01,4.3792E+01,
     &5.6887E+01,7.5849E+01,7.8959E+01,5.9223E+01,4.1087E+01,5.3464E+01,
     &7.1286E+01/
      DATA ((KB(JS,JT,38,16),JS=1,5),JT=1,5) /
     &1.0053E+02,7.5401E+01,5.4401E+01,7.0469E+01,9.3958E+01,9.4665E+01,
     &7.1001E+01,5.0643E+01,6.5651E+01,8.7535E+01,8.9287E+01,6.6968E+01,
     &4.7272E+01,6.1298E+01,8.1730E+01,8.4354E+01,6.3269E+01,4.4250E+01,
     &5.7455E+01,7.6607E+01,7.9688E+01,5.9770E+01,4.1502E+01,5.3978E+01,
     &7.1970E+01/
      DATA ((KB(JS,JT,39,16),JS=1,5),JT=1,5) /
     &1.0152E+02,7.6145E+01,5.5030E+01,7.1266E+01,9.5022E+01,9.5574E+01,
     &7.1683E+01,5.1208E+01,6.6359E+01,8.8479E+01,9.0127E+01,6.7598E+01,
     &4.7776E+01,6.1934E+01,8.2579E+01,8.5122E+01,6.3845E+01,4.4704E+01,
     &5.8015E+01,7.7353E+01,8.0410E+01,6.0311E+01,4.1916E+01,5.4486E+01,
     &7.2649E+01/
      DATA ((KB(JS,JT,40,16),JS=1,5),JT=1,5) /
     &1.0316E+02,7.7371E+01,5.6077E+01,7.2600E+01,9.6800E+01,9.7060E+01,
     &7.2797E+01,5.2149E+01,6.7558E+01,9.0077E+01,9.1509E+01,6.8635E+01,
     &4.8618E+01,6.3010E+01,8.4013E+01,8.6384E+01,6.4791E+01,4.5460E+01,
     &5.8959E+01,7.8612E+01,8.1600E+01,6.1204E+01,4.2605E+01,5.5349E+01,
     &7.3798E+01/
      DATA ((KB(JS,JT,41,16),JS=1,5),JT=1,5) /
     &1.0490E+02,7.8677E+01,5.7202E+01,7.4030E+01,9.8707E+01,9.8655E+01,
     &7.3994E+01,5.3155E+01,6.8836E+01,9.1782E+01,9.2964E+01,6.9726E+01,
     &4.9517E+01,6.4156E+01,8.5541E+01,8.7720E+01,6.5793E+01,4.6275E+01,
     &5.9984E+01,7.9978E+01,8.2858E+01,6.2147E+01,4.3340E+01,5.6275E+01,
     &7.5033E+01/
      DATA ((KB(JS,JT,42,16),JS=1,5),JT=1,5) /
     &1.0666E+02,7.9997E+01,5.8340E+01,7.5485E+01,1.0065E+02,1.0028E+02,
     &7.5211E+01,5.4189E+01,7.0153E+01,9.3537E+01,9.4432E+01,7.0827E+01,
     &5.0443E+01,6.5340E+01,8.7121E+01,8.9075E+01,6.6809E+01,4.7102E+01,
     &6.1032E+01,8.1376E+01,8.4125E+01,6.3097E+01,4.4086E+01,5.7211E+01,
     &7.6281E+01/
      DATA ((KB(JS,JT,43,16),JS=1,5),JT=1,5) /
     &1.0883E+02,8.1624E+01,5.9771E+01,7.7309E+01,1.0308E+02,1.0228E+02,
     &7.6711E+01,5.5476E+01,7.1797E+01,9.5729E+01,9.6257E+01,7.2196E+01,
     &5.1599E+01,6.6824E+01,8.9098E+01,9.0745E+01,6.8062E+01,4.8126E+01,
     &6.2350E+01,8.3134E+01,8.5682E+01,6.4265E+01,4.5017E+01,5.8380E+01,
     &7.7840E+01/
      DATA ((KB(JS,JT,44,16),JS=1,5),JT=1,5) /
     &1.1122E+02,8.3416E+01,6.1378E+01,7.9350E+01,1.0580E+02,1.0448E+02,
     &7.8362E+01,5.6905E+01,7.3629E+01,9.8171E+01,9.8280E+01,7.3712E+01,
     &5.2886E+01,6.8474E+01,9.1299E+01,9.2614E+01,6.9464E+01,4.9277E+01,
     &6.3819E+01,8.5092E+01,8.7390E+01,6.5546E+01,4.6054E+01,5.9688E+01,
     &7.9585E+01/
      DATA ((KB(JS,JT,45,16),JS=1,5),JT=1,5) /
     &1.1367E+02,8.5251E+01,6.3043E+01,8.1458E+01,1.0861E+02,1.0674E+02,
     &8.0056E+01,5.8377E+01,7.5516E+01,1.0069E+02,1.0036E+02,7.5271E+01,
     &5.4217E+01,7.0172E+01,9.3562E+01,9.4507E+01,7.0883E+01,5.0472E+01,
     &6.5352E+01,8.7137E+01,8.9124E+01,6.6846E+01,4.7119E+01,6.1044E+01,
     &8.1393E+01/
      DATA ((KB(JS,JT,46,16),JS=1,5),JT=1,5) /
     &1.1634E+02,8.7256E+01,6.4886E+01,8.3772E+01,1.1170E+02,1.0921E+02,
     &8.1909E+01,6.0009E+01,7.7600E+01,1.0347E+02,1.0262E+02,7.6969E+01,
     &5.5682E+01,7.2046E+01,9.6062E+01,9.6578E+01,7.2436E+01,5.1790E+01,
     &6.7050E+01,8.9399E+01,9.1036E+01,6.8280E+01,4.8293E+01,6.2556E+01,
     &8.3408E+01/
      DATA ((KB(JS,JT,47,16),JS=1,5),JT=1,5) /
     &1.1944E+02,8.9580E+01,6.7039E+01,8.6470E+01,1.1529E+02,1.1203E+02,
     &8.4025E+01,6.1916E+01,8.0032E+01,1.0671E+02,1.0523E+02,7.8928E+01,
     &5.7378E+01,7.4229E+01,9.8972E+01,9.8975E+01,7.4234E+01,5.3317E+01,
     &6.9003E+01,9.2005E+01,9.3247E+01,6.9938E+01,4.9666E+01,6.4309E+01,
     &8.5745E+01/
      DATA ((KB(JS,JT,48,16),JS=1,5),JT=1,5) /
     &1.2267E+02,9.2006E+01,6.9290E+01,8.9280E+01,1.1904E+02,1.1495E+02,
     &8.6215E+01,6.3917E+01,8.2556E+01,1.1008E+02,1.0793E+02,8.0951E+01,
     &5.9146E+01,7.6493E+01,1.0199E+02,1.0147E+02,7.6101E+01,5.4918E+01,
     &7.1050E+01,9.4733E+01,9.5498E+01,7.1626E+01,5.1095E+01,6.6155E+01,
     &8.8207E+01/
      DATA ((KB(JS,JT,49,16),JS=1,5),JT=1,5) /
     &1.2603E+02,9.4521E+01,7.1680E+01,9.2236E+01,1.2298E+02,1.1801E+02,
     &8.8509E+01,6.6027E+01,8.5192E+01,1.1359E+02,1.1070E+02,8.3029E+01,
     &6.1003E+01,7.8868E+01,1.0516E+02,1.0402E+02,7.8016E+01,5.6578E+01,
     &7.3185E+01,9.7580E+01,9.7847E+01,7.3387E+01,5.2593E+01,6.8075E+01,
     &9.0767E+01/
      DATA ((KB(JS,JT,50,16),JS=1,5),JT=1,5) /
     &1.2933E+02,9.6996E+01,7.4078E+01,9.5132E+01,1.2684E+02,1.2097E+02,
     &9.0726E+01,6.8085E+01,8.7768E+01,1.1702E+02,1.1343E+02,8.5073E+01,
     &6.2849E+01,8.1185E+01,1.0825E+02,1.0650E+02,7.9879E+01,5.8193E+01,
     &7.5257E+01,1.0034E+02,1.0012E+02,7.5094E+01,5.4050E+01,6.9940E+01,
     &9.3253E+01/
      DATA ((KB(JS,JT,51,16),JS=1,5),JT=1,5) /
     &1.3262E+02,9.9463E+01,7.6537E+01,9.8089E+01,1.3079E+02,1.2396E+02,
     &9.2972E+01,7.0180E+01,9.0371E+01,1.2049E+02,1.1611E+02,8.7085E+01,
     &6.4700E+01,8.3525E+01,1.1137E+02,1.0897E+02,8.1728E+01,5.9829E+01,
     &7.7356E+01,1.0314E+02,1.0241E+02,7.6807E+01,5.5526E+01,7.1828E+01,
     &9.5771E+01/
      DATA ((KB(JS,JT,52,16),JS=1,5),JT=1,5) /
     &1.3607E+02,1.0205E+02,7.9117E+01,1.0117E+02,1.3489E+02,1.2703E+02,
     &9.5276E+01,7.2382E+01,9.3082E+01,1.2411E+02,1.1888E+02,8.9162E+01,
     &6.6631E+01,8.5943E+01,1.1459E+02,1.1155E+02,8.3666E+01,6.1557E+01,
     &7.9542E+01,1.0606E+02,1.0475E+02,7.8563E+01,5.7053E+01,7.3794E+01,
     &9.8392E+01/
      DATA ((KB(JS,JT,53,16),JS=1,5),JT=1,5) /
     &1.3969E+02,1.0477E+02,8.1852E+01,1.0445E+02,1.3926E+02,1.3021E+02,
     &9.7660E+01,7.4731E+01,9.5923E+01,1.2790E+02,1.2178E+02,9.1333E+01,
     &6.8644E+01,8.8461E+01,1.1795E+02,1.1417E+02,8.5628E+01,6.3346E+01,
     &8.1812E+01,1.0908E+02,1.0716E+02,8.0376E+01,5.8630E+01,7.5816E+01,
     &1.0109E+02/
      DATA ((KB(JS,JT,54,16),JS=1,5),JT=1,5) /
     &1.4312E+02,1.0734E+02,8.4505E+01,1.0757E+02,1.4343E+02,1.3326E+02,
     &9.9943E+01,7.7008E+01,9.8653E+01,1.3154E+02,1.2453E+02,9.3400E+01,
     &7.0583E+01,9.0867E+01,1.2116E+02,1.1663E+02,8.7472E+01,6.5055E+01,
     &8.3971E+01,1.1196E+02,1.0944E+02,8.2085E+01,6.0143E+01,7.7761E+01,
     &1.0368E+02/
      DATA ((KB(JS,JT,55,16),JS=1,5),JT=1,5) /
     &1.4652E+02,1.0989E+02,8.7185E+01,1.1072E+02,1.4762E+02,1.3631E+02,
     &1.0223E+02,7.9292E+01,1.0139E+02,1.3518E+02,1.2725E+02,9.5436E+01,
     &7.2534E+01,9.3260E+01,1.2435E+02,1.1908E+02,8.9315E+01,6.6761E+01,
     &8.6100E+01,1.1480E+02,1.1172E+02,8.3789E+01,6.1666E+01,7.9683E+01,
     &1.0624E+02/
      DATA ((KB(JS,JT,56,16),JS=1,5),JT=1,5) /
     &1.5005E+02,1.1254E+02,8.9964E+01,1.1399E+02,1.5199E+02,1.3946E+02,
     &1.0459E+02,8.1673E+01,1.0424E+02,1.3899E+02,1.3002E+02,9.7512E+01,
     &7.4583E+01,9.5730E+01,1.2764E+02,1.2160E+02,9.1205E+01,6.8519E+01,
     &8.8312E+01,1.1775E+02,1.1401E+02,8.5509E+01,6.3233E+01,8.1665E+01,
     &1.0889E+02/
      DATA ((KB(JS,JT,57,16),JS=1,5),JT=1,5) /
     &1.5367E+02,1.1525E+02,9.2893E+01,1.1745E+02,1.5659E+02,1.4273E+02,
     &1.0705E+02,8.4201E+01,1.0722E+02,1.4296E+02,1.3291E+02,9.9681E+01,
     &7.6750E+01,9.8336E+01,1.3111E+02,1.2423E+02,9.3171E+01,7.0357E+01,
     &9.0589E+01,1.2079E+02,1.1636E+02,8.7269E+01,6.4859E+01,8.3719E+01,
     &1.1162E+02/
      DATA ((KB(JS,JT,58,16),JS=1,5),JT=1,5) /
     &1.5720E+02,1.1790E+02,9.5809E+01,1.2090E+02,1.6121E+02,1.4594E+02,
     &1.0946E+02,8.6713E+01,1.1017E+02,1.4690E+02,1.3577E+02,1.0183E+02,
     &7.8898E+01,1.0090E+02,1.3454E+02,1.2678E+02,9.5087E+01,7.2188E+01,
     &9.2844E+01,1.2379E+02,1.1865E+02,8.8989E+01,6.6460E+01,8.5728E+01,
     &1.1430E+02/
      DATA ((KB(JS,JT,59,16),JS=1,5),JT=1,5) /
     &1.5867E+02,1.1900E+02,9.7023E+01,1.2235E+02,1.6313E+02,1.4725E+02,
     &1.1044E+02,8.7747E+01,1.1139E+02,1.4852E+02,1.3696E+02,1.0272E+02,
     &7.9780E+01,1.0196E+02,1.3595E+02,1.2782E+02,9.5865E+01,7.2946E+01,
     &9.3765E+01,1.2502E+02,1.1961E+02,8.9706E+01,6.7116E+01,8.6544E+01,
     &1.1539E+02/

      DATA FORREF /
     &     1.10008E-07, 6.30912E-07, 3.63159E-06, 6.16892E-06,
     &     4.29709E-06, 7.89174E-06, 2.17416E-05, 6.39393E-05,
     &     4.36283E-05, 5.26247E-05, 1.16341E-04, 2.05616E-04,
     &     2.15627E-04, 2.34522E-04, 2.80497E-04, 8.38668E-04,
     &     5.29283E-04, 6.20848E-04, 9.35561E-04, 1.71252E-03,
     &     2.12267E-03, 2.18564E-03, 2.22227E-03, 1.99650E-03,
     &     2.91120E-03, 2.81168E-03, 2.59543E-03, 2.10159E-03,
     &     3.16249E-03, 3.10695E-03, 2.79501E-03, 2.08076E-03,
     &     3.54993E-03, 3.36989E-03, 2.98930E-03, 1.80424E-03,
     &     3.97729E-03, 3.67409E-03, 3.28982E-03, 1.77807E-03,
     &     4.08831E-03, 3.98792E-03, 3.52727E-03, 1.92470E-03,
     &     4.33926E-03, 4.20667E-03, 3.83894E-03, 2.20836E-03,
     &     4.36397E-03, 4.33769E-03, 4.25752E-03, 2.37343E-03,
     &     4.40525E-03, 4.49018E-03, 4.51881E-03, 2.69169E-03,
     &     4.91350E-03, 4.81760E-03, 4.75799E-03, 3.62666E-03,
     &     5.61641E-03, 5.24553E-03, 5.12473E-03, 4.93802E-03/

C     The array SELFREF contains the coefficient of the water vapor
C     self-continuum (including the energy term).  The first index
C     refers to temperature in 7.2 degree increments.  For instance,
C     JT = 1 refers to a temperature of 245.6, JT = 2 refers to 252.8,
C     etc.  The second index runs over the g-channel (1 to 16).
      DATA (SELFREF(JT, 1),JT=1,10)  /
     & 1.15887E-04, 9.26537E-05, 7.40783E-05, 5.92270E-05, 4.73530E-05,
     & 3.78596E-05, 3.02694E-05, 2.42010E-05, 1.93491E-05, 1.54700E-05/
      DATA (SELFREF(JT, 2),JT=1,10)  /
     & 4.59557E-04, 3.81962E-04, 3.17469E-04, 2.63866E-04, 2.19313E-04,
     & 1.82283E-04, 1.51505E-04, 1.25924E-04, 1.04662E-04, 8.69904E-05/
      DATA (SELFREF(JT, 3),JT=1,10)  /
     & 1.66821E-03, 1.51103E-03, 1.36866E-03, 1.23970E-03, 1.12290E-03,
     & 1.01710E-03, 9.21266E-04, 8.34463E-04, 7.55839E-04, 6.84623E-04/
      DATA (SELFREF(JT, 4),JT=1,10)  /
     & 4.60175E-03, 4.21372E-03, 3.85842E-03, 3.53307E-03, 3.23516E-03,
     & 2.96236E-03, 2.71257E-03, 2.48385E-03, 2.27440E-03, 2.08262E-03/
      DATA (SELFREF(JT, 5),JT=1,10)  /
     & 1.01589E-02, 9.24742E-03, 8.41772E-03, 7.66247E-03, 6.97497E-03,
     & 6.34917E-03, 5.77951E-03, 5.26096E-03, 4.78893E-03, 4.35926E-03/
      DATA (SELFREF(JT, 6),JT=1,10)  /
     & 3.28043E-02, 3.00853E-02, 2.75917E-02, 2.53048E-02, 2.32075E-02,
     & 2.12839E-02, 1.95198E-02, 1.79020E-02, 1.64182E-02, 1.50574E-02/
      DATA (SELFREF(JT, 7),JT=1,10)  /
     & 4.05936E-02, 3.76032E-02, 3.48331E-02, 3.22671E-02, 2.98901E-02,
     & 2.76883E-02, 2.56486E-02, 2.37591E-02, 2.20089E-02, 2.03876E-02/
      DATA (SELFREF(JT, 8),JT=1,10)  /
     & 4.48362E-02, 4.13811E-02, 3.81923E-02, 3.52492E-02, 3.25329E-02,
     & 3.00259E-02, 2.77121E-02, 2.55766E-02, 2.36056E-02, 2.17866E-02/
      DATA (SELFREF(JT, 9),JT=1,10)  /
     & 4.79741E-02, 4.45389E-02, 4.13497E-02, 3.83889E-02, 3.56400E-02,
     & 3.30880E-02, 3.07188E-02, 2.85191E-02, 2.64770E-02, 2.45812E-02/
      DATA (SELFREF(JT,10),JT=1,10)  /
     & 5.19308E-02, 4.84130E-02, 4.51335E-02, 4.20761E-02, 3.92259E-02,
     & 3.65687E-02, 3.40916E-02, 3.17822E-02, 2.96293E-02, 2.76222E-02/
      DATA (SELFREF(JT,11),JT=1,10)  /
     & 5.72039E-02, 5.27780E-02, 4.86945E-02, 4.49270E-02, 4.14510E-02,
     & 3.82439E-02, 3.52849E-02, 3.25549E-02, 3.00361E-02, 2.77122E-02/
      DATA (SELFREF(JT,12),JT=1,10)  /
     & 6.01046E-02, 5.54411E-02, 5.11395E-02, 4.71716E-02, 4.35116E-02,
     & 4.01356E-02, 3.70215E-02, 3.41490E-02, 3.14994E-02, 2.90554E-02/
      DATA (SELFREF(JT,13),JT=1,10)  /
     & 6.16595E-02, 5.67145E-02, 5.21662E-02, 4.79826E-02, 4.41346E-02,
     & 4.05951E-02, 3.73395E-02, 3.43450E-02, 3.15906E-02, 2.90571E-02/
      DATA (SELFREF(JT,14),JT=1,10)  /
     & 6.47916E-02, 5.92493E-02, 5.41811E-02, 4.95465E-02, 4.53083E-02,
     & 4.14326E-02, 3.78885E-02, 3.46475E-02, 3.16837E-02, 2.89735E-02/
      DATA (SELFREF(JT,15),JT=1,10)  /
     & 6.94231E-02, 6.37703E-02, 5.85777E-02, 5.38079E-02, 4.94265E-02,
     & 4.54019E-02, 4.17050E-02, 3.83091E-02, 3.51897E-02, 3.23244E-02/
      DATA (SELFREF(JT,16),JT=1,10)  /
     & 7.61764E-02, 7.01815E-02, 6.46584E-02, 5.95700E-02, 5.48820E-02,
     & 5.05629E-02, 4.65838E-02, 4.29178E-02, 3.95403E-02, 3.64286E-02/

