C     path:      $Source: /storm/rc1/cvsroot/rc/rrtm_sw/src/k_gB28.f,v $
C     author:    $Author: jdelamer $
C     revision:  $Revision: 2.3 $
C     created:   $Date: 2004/04/15 18:50:57 $
C
C  --------------------------------------------------------------------------
C |                                                                          |
C |  Copyright 2002, 2003, Atmospheric & Environmental Research, Inc. (AER). |
C |  This software may be used, copied, or redistributed as long as it is    |
C |  not sold and this copyright notice is reproduced on each copy made.     |
C |  This model is provided as is without any express or implied warranties. |
C |                       (http://www.rtweb.aer.com/)                        |
C |                                                                          |
C  --------------------------------------------------------------------------

      PARAMETER (MG = 16)
      REAL KA(9,5,13,MG),KB(5,5,13:59,MG)

      COMMON /CVRSN28/ HNAMKG28,HVRKG28
      COMMON /K28/ KA ,KB

      CHARACTER*18 HNAMKG28,HVRKG28

      DATA HNAMKG28 / '        k_gb28.f:' /
      DATA HVRKG28 /'$Revision: 2.3 $'/

C     The array KA contains absorption coefs for each of the 16 g-intervals
C     for a range of pressure levels > ~100mb, temperatures, and ratios
C     of water vapor to CO2.  The first index in the array, JS, runs
C     from 1 to 10, and corresponds to different water vapor to CO2 ratios,
C     as expressed through the binary species parameter eta, defined as
C     eta = h2o/(h20 + (rat) * co2), where rat is the ratio of the integrated
C     line strength in the band of co2 to that of h2o.  For instance,
C     JS=1 refers to dry air (eta = 0), JS = 10 corresponds to eta = 1.0.
C     The 2nd index in the array, JT, which runs from 1 to 5, corresponds 
C     to different temperatures.  More specifically, JT = 3 means that the 
C     data are for the reference temperature TREF for this  pressure 
C     level, JT = 2 refers to the temperature
C     TREF-15, JT = 1 is for TREF-30, JT = 4 is for TREF+15, and JT = 5
C     is for TREF+30.  The third index, JP, runs from 1 to 13 and refers
C     to the reference pressure level (e.g. JP = 1 is for a
C     pressure of 1053.63 mb).  The fourth index, IG, goes from 1 to 16,
C     and tells us which g-interval the absorption coefficients are for.
      DATA ((KA(JS,JT, 1, 1),JS=1,9),JT=1,5) /
     &4.6447E+01,1.8001E+02,3.1338E+02,4.4652E+02,5.4636E+02,5.4173E+02,
     &4.5707E+02,2.7363E+02,3.5000E+01,4.5270E+01,1.7886E+02,3.1225E+02,
     &4.4541E+02,5.4177E+02,5.3436E+02,4.4932E+02,2.6748E+02,3.5000E+01,
     &4.4214E+01,1.7776E+02,3.1115E+02,4.4427E+02,5.3733E+02,5.2756E+02,
     &4.4224E+02,2.6195E+02,3.5000E+01,4.3259E+01,1.7673E+02,3.1005E+02,
     &4.4305E+02,5.3298E+02,5.2129E+02,4.3574E+02,2.5696E+02,3.5000E+01,
     &4.2393E+01,1.7575E+02,3.0896E+02,4.4173E+02,5.2883E+02,5.1548E+02,
     &4.2976E+02,2.5242E+02,3.5000E+01/
      DATA ((KA(JS,JT, 2, 1),JS=1,9),JT=1,5) /
     &4.2908E+01,1.7695E+02,3.1077E+02,4.4434E+02,5.3161E+02,5.1895E+02,
     &4.3332E+02,2.5512E+02,3.5000E+01,4.1899E+01,1.7596E+02,3.0980E+02,
     &4.4336E+02,5.2686E+02,5.1213E+02,4.2632E+02,2.4984E+02,3.5000E+01,
     &4.0995E+01,1.7502E+02,3.0884E+02,4.4232E+02,5.2230E+02,5.0592E+02,
     &4.1995E+02,2.4511E+02,3.5000E+01,4.0181E+01,1.7412E+02,3.0788E+02,
     &4.4119E+02,5.1785E+02,5.0025E+02,4.1414E+02,2.4085E+02,3.5000E+01,
     &3.9443E+01,1.7326E+02,3.0691E+02,4.3992E+02,5.1364E+02,4.9503E+02,
     &4.0882E+02,2.3699E+02,3.5000E+01/
      DATA ((KA(JS,JT, 3, 1),JS=1,9),JT=1,5) /
     &4.0126E+01,1.7457E+02,3.0876E+02,4.4248E+02,5.1755E+02,4.9986E+02,
     &4.1375E+02,2.4056E+02,3.5000E+01,3.9240E+01,1.7370E+02,3.0792E+02,
     &4.4146E+02,5.1254E+02,4.9358E+02,4.0735E+02,2.3593E+02,3.5000E+01,
     &3.8450E+01,1.7288E+02,3.0708E+02,4.4031E+02,5.0793E+02,4.8786E+02,
     &4.0155E+02,2.3179E+02,3.5000E+01,3.7740E+01,1.7210E+02,3.0624E+02,
     &4.3908E+02,5.0368E+02,4.8264E+02,3.9629E+02,2.2808E+02,3.5000E+01,
     &3.7099E+01,1.7134E+02,3.0539E+02,4.3781E+02,4.9975E+02,4.7787E+02,
     &3.9149E+02,2.2473E+02,3.5000E+01/
      DATA ((KA(JS,JT, 4, 1),JS=1,9),JT=1,5) /
     &3.7818E+01,1.7258E+02,3.0708E+02,4.3967E+02,5.0412E+02,4.8321E+02,
     &3.9687E+02,2.2848E+02,3.5000E+01,3.7034E+01,1.7183E+02,3.0636E+02,
     &4.3833E+02,4.9935E+02,4.7738E+02,3.9100E+02,2.2439E+02,3.5000E+01,
     &3.6338E+01,1.7111E+02,3.0564E+02,4.3700E+02,4.9496E+02,4.7212E+02,
     &3.8572E+02,2.2075E+02,3.5000E+01,3.5716E+01,1.7043E+02,3.0491E+02,
     &4.3569E+02,4.9094E+02,4.6732E+02,3.8094E+02,2.1749E+02,3.5000E+01,
     &3.5156E+01,1.6977E+02,3.0416E+02,4.3437E+02,4.8726E+02,4.6294E+02,
     &3.7660E+02,2.1456E+02,3.5000E+01/
      DATA ((KA(JS,JT, 5, 1),JS=1,9),JT=1,5) /
     &3.5857E+01,1.7089E+02,3.0563E+02,4.3619E+02,4.9186E+02,4.6841E+02,
     &3.8202E+02,2.1822E+02,3.5000E+01,3.5163E+01,1.7023E+02,3.0502E+02,
     &4.3478E+02,4.8731E+02,4.6300E+02,3.7666E+02,2.1460E+02,3.5000E+01,
     &3.4550E+01,1.6961E+02,3.0441E+02,4.3332E+02,4.8321E+02,4.5813E+02,
     &3.7186E+02,2.1139E+02,3.5000E+01,3.4004E+01,1.6902E+02,3.0378E+02,
     &4.3194E+02,4.7950E+02,4.5375E+02,3.6755E+02,2.0853E+02,3.5000E+01,
     &3.3514E+01,1.6844E+02,3.0312E+02,4.3058E+02,4.7611E+02,4.4977E+02,
     &3.6365E+02,2.0597E+02,3.5000E+01/
      DATA ((KA(JS,JT, 6, 1),JS=1,9),JT=1,5) /
     &3.4212E+01,1.6946E+02,3.0440E+02,4.3247E+02,4.8092E+02,4.5542E+02,
     &3.6920E+02,2.0962E+02,3.5000E+01,3.3595E+01,1.6889E+02,3.0389E+02,
     &4.3093E+02,4.7667E+02,4.5043E+02,3.6430E+02,2.0639E+02,3.5000E+01,
     &3.3052E+01,1.6835E+02,3.0337E+02,4.2946E+02,4.7287E+02,4.4599E+02,
     &3.5993E+02,2.0355E+02,3.5000E+01,3.2571E+01,1.6784E+02,3.0283E+02,
     &4.2807E+02,4.6947E+02,4.4201E+02,3.5602E+02,2.0103E+02,3.5000E+01,
     &3.2141E+01,1.6733E+02,3.0227E+02,4.2674E+02,4.6640E+02,4.3842E+02,
     &3.5250E+02,1.9879E+02,3.5000E+01/
      DATA ((KA(JS,JT, 7, 1),JS=1,9),JT=1,5) /
     &3.2812E+01,1.6823E+02,3.0334E+02,4.2859E+02,4.7118E+02,4.4401E+02,
     &3.5799E+02,2.0230E+02,3.5000E+01,3.2263E+01,1.6774E+02,3.0291E+02,
     &4.2708E+02,4.6727E+02,4.3944E+02,3.5350E+02,1.9942E+02,3.5000E+01,
     &3.1782E+01,1.6728E+02,3.0248E+02,4.2558E+02,4.6381E+02,4.3539E+02,
     &3.4954E+02,1.9691E+02,3.5000E+01,3.1357E+01,1.6683E+02,3.0203E+02,
     &4.2413E+02,4.6069E+02,4.3177E+02,3.4599E+02,1.9468E+02,3.5000E+01,
     &3.0980E+01,1.6640E+02,3.0154E+02,4.2276E+02,4.5787E+02,4.2852E+02,
     &3.4280E+02,1.9271E+02,3.5000E+01/
      DATA ((KA(JS,JT, 8, 1),JS=1,9),JT=1,5) /
     &3.1614E+01,1.6716E+02,3.0239E+02,4.2473E+02,4.6259E+02,4.3397E+02,
     &3.4814E+02,1.9603E+02,3.5000E+01,3.1125E+01,1.6674E+02,3.0206E+02,
     &4.2311E+02,4.5896E+02,4.2978E+02,3.4403E+02,1.9347E+02,3.5000E+01,
     &3.0699E+01,1.6635E+02,3.0170E+02,4.2163E+02,4.5573E+02,4.2608E+02,
     &3.4039E+02,1.9124E+02,3.5000E+01,3.0325E+01,1.6597E+02,3.0133E+02,
     &4.2027E+02,4.5286E+02,4.2281E+02,3.3716E+02,1.8928E+02,3.5000E+01,
     &2.9993E+01,1.6559E+02,3.0092E+02,4.1901E+02,4.5030E+02,4.1988E+02,
     &3.3427E+02,1.8755E+02,3.5000E+01/
      DATA ((KA(JS,JT, 9, 1),JS=1,9),JT=1,5) /
     &3.0594E+01,1.6624E+02,3.0156E+02,4.2087E+02,4.5493E+02,4.2517E+02,
     &3.3949E+02,1.9069E+02,3.5000E+01,3.0158E+01,1.6589E+02,3.0131E+02,
     &4.1937E+02,4.5157E+02,4.2134E+02,3.3570E+02,1.8841E+02,3.5000E+01,
     &2.9780E+01,1.6556E+02,3.0103E+02,4.1800E+02,4.4864E+02,4.1799E+02,
     &3.3239E+02,1.8643E+02,3.5000E+01,2.9450E+01,1.6523E+02,3.0072E+02,
     &4.1674E+02,4.4606E+02,4.1504E+02,3.2946E+02,1.8471E+02,3.5000E+01,
     &2.9159E+01,1.6491E+02,3.0039E+02,4.1557E+02,4.4377E+02,4.1242E+02,
     &3.2686E+02,1.8318E+02,3.5000E+01/
      DATA ((KA(JS,JT,10, 1),JS=1,9),JT=1,5) /
     &2.9691E+01,1.6541E+02,3.0081E+02,4.1722E+02,4.4795E+02,4.1720E+02,
     &3.3160E+02,1.8597E+02,3.5000E+01,2.9307E+01,1.6512E+02,3.0063E+02,
     &4.1581E+02,4.4493E+02,4.1375E+02,3.2818E+02,1.8396E+02,3.5000E+01,
     &2.8975E+01,1.6485E+02,3.0042E+02,4.1454E+02,4.4231E+02,4.1076E+02,
     &3.2520E+02,1.8222E+02,3.5000E+01,2.8687E+01,1.6458E+02,3.0018E+02,
     &4.1340E+02,4.4002E+02,4.0814E+02,3.2259E+02,1.8071E+02,3.5000E+01,
     &2.8434E+01,1.6431E+02,2.9989E+02,4.1235E+02,4.3799E+02,4.0583E+02,
     &3.2028E+02,1.7939E+02,3.5000E+01/
      DATA ((KA(JS,JT,11, 1),JS=1,9),JT=1,5) /
     &2.8760E+01,1.6459E+02,3.0010E+02,4.1321E+02,4.4060E+02,4.0880E+02,
     &3.2325E+02,1.8109E+02,3.5000E+01,2.8444E+01,1.6436E+02,2.9997E+02,
     &4.1200E+02,4.3807E+02,4.0592E+02,3.2038E+02,1.7944E+02,3.5000E+01,
     &2.8173E+01,1.6414E+02,2.9981E+02,4.1092E+02,4.3587E+02,4.0342E+02,
     &3.1788E+02,1.7802E+02,3.5000E+01,2.7937E+01,1.6392E+02,2.9960E+02,
     &4.0994E+02,4.3395E+02,4.0124E+02,3.1570E+02,1.7679E+02,3.5000E+01,
     &2.7730E+01,1.6369E+02,2.9936E+02,4.0905E+02,4.3224E+02,3.9931E+02,
     &3.1377E+02,1.7571E+02,3.5000E+01/
      DATA ((KA(JS,JT,12, 1),JS=1,9),JT=1,5) /
     &2.7995E+01,1.6391E+02,2.9951E+02,4.0970E+02,4.3443E+02,4.0178E+02,
     &3.1624E+02,1.7709E+02,3.5000E+01,2.7737E+01,1.6374E+02,2.9943E+02,
     &4.0869E+02,4.3230E+02,3.9938E+02,3.1384E+02,1.7574E+02,3.5000E+01,
     &2.7515E+01,1.6356E+02,2.9930E+02,4.0779E+02,4.3046E+02,3.9730E+02,
     &3.1176E+02,1.7458E+02,3.5000E+01,2.7322E+01,1.6338E+02,2.9913E+02,
     &4.0697E+02,4.2883E+02,3.9548E+02,3.0994E+02,1.7357E+02,3.5000E+01,
     &2.7152E+01,1.6318E+02,2.9892E+02,4.0622E+02,4.2740E+02,3.9387E+02,
     &3.0834E+02,1.7268E+02,3.5000E+01/
      DATA ((KA(JS,JT,13, 1),JS=1,9),JT=1,5) /
     &2.7369E+01,1.6336E+02,2.9903E+02,4.0671E+02,4.2924E+02,3.9593E+02,
     &3.1039E+02,1.7382E+02,3.5000E+01,2.7158E+01,1.6323E+02,2.9898E+02,
     &4.0587E+02,4.2745E+02,3.9393E+02,3.0840E+02,1.7271E+02,3.5000E+01,
     &2.6976E+01,1.6309E+02,2.9889E+02,4.0513E+02,4.2590E+02,3.9221E+02,
     &3.0667E+02,1.7176E+02,3.5000E+01,2.6818E+01,1.6293E+02,2.9875E+02,
     &4.0445E+02,4.2455E+02,3.9070E+02,3.0516E+02,1.7093E+02,3.5000E+01,
     &2.6679E+01,1.6276E+02,2.9855E+02,4.0381E+02,4.2335E+02,3.8937E+02,
     &3.0384E+02,1.7021E+02,3.5000E+01/
      DATA ((KA(JS,JT, 1, 2),JS=1,9),JT=1,5) /
     &1.7271E+02,2.7646E+02,3.8039E+02,4.8420E+02,5.6932E+02,5.7534E+02,
     &4.7873E+02,2.8147E+02,7.1840E+01,1.6834E+02,2.7246E+02,3.7678E+02,
     &4.8091E+02,5.6471E+02,5.6734E+02,4.7005E+02,2.7593E+02,7.1840E+01,
     &1.6441E+02,2.6883E+02,3.7341E+02,4.7777E+02,5.6037E+02,5.6003E+02,
     &4.6210E+02,2.7096E+02,7.1840E+01,1.6086E+02,2.6548E+02,3.7025E+02,
     &4.7479E+02,5.5629E+02,5.5327E+02,4.5481E+02,2.6647E+02,7.1840E+01,
     &1.5764E+02,2.6237E+02,3.6725E+02,4.7195E+02,5.5235E+02,5.4701E+02,
     &4.4810E+02,2.6239E+02,7.1840E+01/
      DATA ((KA(JS,JT, 2, 2),JS=1,9),JT=1,5) /
     &1.5955E+02,2.6500E+02,3.7067E+02,4.7595E+02,5.5480E+02,5.5074E+02,
     &4.5210E+02,2.6482E+02,7.1840E+01,1.5580E+02,2.6157E+02,3.6756E+02,
     &4.7303E+02,5.5028E+02,5.4339E+02,4.4423E+02,2.6007E+02,7.1840E+01,
     &1.5244E+02,2.5844E+02,3.6465E+02,4.7023E+02,5.4619E+02,5.3664E+02,
     &4.3708E+02,2.5581E+02,7.1840E+01,1.4941E+02,2.5556E+02,3.6191E+02,
     &4.6753E+02,5.4253E+02,5.3041E+02,4.3052E+02,2.5198E+02,7.1840E+01,
     &1.4667E+02,2.5289E+02,3.5930E+02,4.6494E+02,5.3908E+02,5.2470E+02,
     &4.2448E+02,2.4851E+02,7.1840E+01/
      DATA ((KA(JS,JT, 3, 2),JS=1,9),JT=1,5) /
     &1.4921E+02,2.5601E+02,3.6308E+02,4.6872E+02,5.4234E+02,5.2999E+02,
     &4.3007E+02,2.5172E+02,7.1840E+01,1.4591E+02,2.5301E+02,3.6036E+02,
     &4.6599E+02,5.3834E+02,5.2313E+02,4.2280E+02,2.4755E+02,7.1840E+01,
     &1.4297E+02,2.5028E+02,3.5782E+02,4.6350E+02,5.3459E+02,5.1696E+02,
     &4.1619E+02,2.4383E+02,7.1840E+01,1.4033E+02,2.4777E+02,3.5542E+02,
     &4.6116E+02,5.3100E+02,5.1122E+02,4.1016E+02,2.4049E+02,7.1840E+01,
     &1.3795E+02,2.4544E+02,3.5313E+02,4.5882E+02,5.2751E+02,5.0591E+02,
     &4.0463E+02,2.3747E+02,7.1840E+01/
      DATA ((KA(JS,JT, 4, 2),JS=1,9),JT=1,5) /
     &1.4062E+02,2.4856E+02,3.5678E+02,4.6260E+02,5.3137E+02,5.1186E+02,
     &4.1082E+02,2.4086E+02,7.1840E+01,1.3771E+02,2.4592E+02,3.5440E+02,
     &4.6020E+02,5.2732E+02,5.0537E+02,4.0407E+02,2.3717E+02,7.1840E+01,
     &1.3512E+02,2.4353E+02,3.5219E+02,4.5796E+02,5.2348E+02,4.9954E+02,
     &3.9798E+02,2.3389E+02,7.1840E+01,1.3281E+02,2.4133E+02,3.5008E+02,
     &4.5583E+02,5.1985E+02,4.9431E+02,3.9246E+02,2.3096E+02,7.1840E+01,
     &1.3073E+02,2.3928E+02,3.4807E+02,4.5378E+02,5.1643E+02,4.8957E+02,
     &3.8745E+02,2.2833E+02,7.1840E+01/
      DATA ((KA(JS,JT, 5, 2),JS=1,9),JT=1,5) /
     &1.3333E+02,2.4222E+02,3.5141E+02,4.5702E+02,5.2057E+02,4.9550E+02,
     &3.9372E+02,2.3163E+02,7.1840E+01,1.3075E+02,2.3990E+02,3.4934E+02,
     &4.5476E+02,5.1651E+02,4.8963E+02,3.8752E+02,2.2836E+02,7.1840E+01,
     &1.2847E+02,2.3780E+02,3.4741E+02,4.5266E+02,5.1271E+02,4.8438E+02,
     &3.8196E+02,2.2548E+02,7.1840E+01,1.2644E+02,2.3588E+02,3.4557E+02,
     &4.5066E+02,5.0911E+02,4.7962E+02,3.7696E+02,2.2291E+02,7.1840E+01,
     &1.2462E+02,2.3409E+02,3.4381E+02,4.4874E+02,5.0570E+02,4.7526E+02,
     &3.7245E+02,2.2060E+02,7.1840E+01/
      DATA ((KA(JS,JT, 6, 2),JS=1,9),JT=1,5) /
     &1.2722E+02,2.3690E+02,3.4688E+02,4.5177E+02,5.1032E+02,4.8144E+02,
     &3.7887E+02,2.2389E+02,7.1840E+01,1.2492E+02,2.3485E+02,3.4508E+02,
     &4.4967E+02,5.0620E+02,4.7598E+02,3.7319E+02,2.2098E+02,7.1840E+01,
     &1.2290E+02,2.3301E+02,3.4340E+02,4.4769E+02,5.0242E+02,4.7108E+02,
     &3.6815E+02,2.1843E+02,7.1840E+01,1.2111E+02,2.3132E+02,3.4180E+02,
     &4.4582E+02,4.9894E+02,4.6668E+02,3.6363E+02,2.1616E+02,7.1840E+01,
     &1.1952E+02,2.2976E+02,3.4026E+02,4.4407E+02,4.9574E+02,4.6270E+02,
     &3.5956E+02,2.1414E+02,7.1840E+01/
      DATA ((KA(JS,JT, 7, 2),JS=1,9),JT=1,5) /
     &1.2201E+02,2.3235E+02,3.4300E+02,4.4700E+02,5.0054E+02,4.6889E+02,
     &3.6590E+02,2.1730E+02,7.1840E+01,1.1997E+02,2.3055E+02,3.4145E+02,
     &4.4492E+02,4.9657E+02,4.6383E+02,3.6071E+02,2.1471E+02,7.1840E+01,
     &1.1818E+02,2.2894E+02,3.3999E+02,4.4309E+02,4.9292E+02,4.5934E+02,
     &3.5613E+02,2.1245E+02,7.1840E+01,1.1660E+02,2.2746E+02,3.3859E+02,
     &4.4146E+02,4.8959E+02,4.5533E+02,3.5208E+02,2.1045E+02,7.1840E+01,
     &1.1520E+02,2.2609E+02,3.3724E+02,4.3996E+02,4.8657E+02,4.5175E+02,
     &3.4847E+02,2.0867E+02,7.1840E+01/
      DATA ((KA(JS,JT, 8, 2),JS=1,9),JT=1,5) /
     &1.1756E+02,2.2844E+02,3.3965E+02,4.4261E+02,4.9147E+02,4.5776E+02,
     &3.5454E+02,2.1166E+02,7.1840E+01,1.1574E+02,2.2687E+02,3.3830E+02,
     &4.4082E+02,4.8767E+02,4.5313E+02,3.4986E+02,2.0936E+02,7.1840E+01,
     &1.1415E+02,2.2546E+02,3.3704E+02,4.3915E+02,4.8429E+02,4.4908E+02,
     &3.4579E+02,2.0735E+02,7.1840E+01,1.1276E+02,2.2417E+02,3.3584E+02,
     &4.3758E+02,4.8126E+02,4.4549E+02,3.4220E+02,2.0559E+02,7.1840E+01,
     &1.1153E+02,2.2298E+02,3.3466E+02,4.3617E+02,4.7855E+02,4.4228E+02,
     &3.3902E+02,2.0403E+02,7.1840E+01/
      DATA ((KA(JS,JT, 9, 2),JS=1,9),JT=1,5) /
     &1.1376E+02,2.2510E+02,3.3674E+02,4.3882E+02,4.8336E+02,4.4807E+02,
     &3.4479E+02,2.0686E+02,7.1840E+01,1.1214E+02,2.2372E+02,3.3559E+02,
     &4.3706E+02,4.7989E+02,4.4388E+02,3.4060E+02,2.0480E+02,7.1840E+01,
     &1.1074E+02,2.2250E+02,3.3451E+02,4.3547E+02,4.7679E+02,4.4020E+02,
     &3.3697E+02,2.0303E+02,7.1840E+01,1.0951E+02,2.2138E+02,3.3348E+02,
     &4.3404E+02,4.7404E+02,4.3694E+02,3.3379E+02,2.0147E+02,7.1840E+01,
     &1.0843E+02,2.2034E+02,3.3246E+02,4.3277E+02,4.7159E+02,4.3405E+02,
     &3.3096E+02,2.0010E+02,7.1840E+01/
      DATA ((KA(JS,JT,10, 2),JS=1,9),JT=1,5) /
     &1.1041E+02,2.2214E+02,3.3414E+02,4.3517E+02,4.7604E+02,4.3932E+02,
     &3.3611E+02,2.0261E+02,7.1840E+01,1.0898E+02,2.2095E+02,3.3317E+02,
     &4.3358E+02,4.7283E+02,4.3552E+02,3.3239E+02,2.0080E+02,7.1840E+01,
     &1.0774E+02,2.1989E+02,3.3226E+02,4.3213E+02,4.7002E+02,4.3222E+02,
     &3.2917E+02,1.9924E+02,7.1840E+01,1.0667E+02,2.1893E+02,3.3139E+02,
     &4.3083E+02,4.6753E+02,4.2932E+02,3.2634E+02,1.9788E+02,7.1840E+01,
     &1.0573E+02,2.1803E+02,3.3053E+02,4.2965E+02,4.6532E+02,4.2677E+02,
     &3.2386E+02,1.9669E+02,7.1840E+01/
      DATA ((KA(JS,JT,11, 2),JS=1,9),JT=1,5) /
     &1.0694E+02,2.1911E+02,3.3152E+02,4.3127E+02,4.6816E+02,4.3005E+02,
     &3.2706E+02,1.9822E+02,7.1840E+01,1.0577E+02,2.1815E+02,3.3074E+02,
     &4.2984E+02,4.6541E+02,4.2687E+02,3.2396E+02,1.9674E+02,7.1840E+01,
     &1.0476E+02,2.1728E+02,3.3000E+02,4.2855E+02,4.6301E+02,4.2411E+02,
     &3.2130E+02,1.9546E+02,7.1840E+01,1.0388E+02,2.1649E+02,3.2928E+02,
     &4.2741E+02,4.6089E+02,4.2169E+02,3.1897E+02,1.9435E+02,7.1840E+01,
     &1.0311E+02,2.1575E+02,3.2855E+02,4.2639E+02,4.5902E+02,4.1954E+02,
     &3.1692E+02,1.9338E+02,7.1840E+01/
      DATA ((KA(JS,JT,12, 2),JS=1,9),JT=1,5) /
     &1.0410E+02,2.1663E+02,3.2937E+02,4.2778E+02,4.6141E+02,4.2229E+02,
     &3.1955E+02,1.9463E+02,7.1840E+01,1.0314E+02,2.1585E+02,3.2875E+02,
     &4.2654E+02,4.5909E+02,4.1961E+02,3.1700E+02,1.9341E+02,7.1840E+01,
     &1.0231E+02,2.1515E+02,3.2815E+02,4.2544E+02,4.5707E+02,4.1729E+02,
     &3.1480E+02,1.9236E+02,7.1840E+01,1.0159E+02,2.1449E+02,3.2754E+02,
     &4.2445E+02,4.5532E+02,4.1526E+02,3.1288E+02,1.9145E+02,7.1840E+01,
     &1.0096E+02,2.1387E+02,3.2692E+02,4.2356E+02,4.5377E+02,4.1347E+02,
     &3.1119E+02,1.9066E+02,7.1840E+01/
      DATA ((KA(JS,JT,13, 2),JS=1,9),JT=1,5) /
     &1.0177E+02,2.1460E+02,3.2761E+02,4.2475E+02,4.5575E+02,4.1576E+02,
     &3.1335E+02,1.9168E+02,7.1840E+01,1.0099E+02,2.1397E+02,3.2712E+02,
     &4.2368E+02,4.5383E+02,4.1353E+02,3.1125E+02,1.9068E+02,7.1840E+01,
     &1.0031E+02,2.1340E+02,3.2663E+02,4.2272E+02,4.5216E+02,4.1160E+02,
     &3.0943E+02,1.8983E+02,7.1840E+01,9.9720E+01,2.1286E+02,3.2612E+02,
     &4.2187E+02,4.5071E+02,4.0991E+02,3.0785E+02,1.8908E+02,7.1840E+01,
     &9.9204E+01,2.1233E+02,3.2558E+02,4.2112E+02,4.4942E+02,4.0842E+02,
     &3.0646E+02,1.8843E+02,7.1840E+01/
      DATA ((KA(JS,JT, 1, 3),JS=1,9),JT=1,5) /
     &4.4909E+02,4.7445E+02,4.9981E+02,5.2556E+02,5.9352E+02,6.3011E+02,
     &5.0440E+02,3.1793E+02,1.7829E+02,4.3771E+02,4.6449E+02,4.9128E+02,
     &5.1852E+02,5.8982E+02,6.2155E+02,4.9364E+02,3.1383E+02,1.7829E+02,
     &4.2749E+02,4.5555E+02,4.8362E+02,5.1220E+02,5.8623E+02,6.1324E+02,
     &4.8379E+02,3.1014E+02,1.7829E+02,4.1826E+02,4.4748E+02,4.7670E+02,
     &5.0650E+02,5.8281E+02,6.0555E+02,4.7483E+02,3.0681E+02,1.7829E+02,
     &4.0989E+02,4.4015E+02,4.7042E+02,5.0132E+02,5.7944E+02,5.9846E+02,
     &4.6657E+02,3.0379E+02,1.7829E+02/
      DATA ((KA(JS,JT, 2, 3),JS=1,9),JT=1,5) /
     &4.1487E+02,4.4451E+02,4.7415E+02,5.0447E+02,5.8410E+02,6.0269E+02,
     &4.7150E+02,3.0559E+02,1.7829E+02,4.0511E+02,4.3597E+02,4.6683E+02,
     &4.9854E+02,5.8056E+02,5.9434E+02,4.6181E+02,3.0207E+02,1.7829E+02,
     &3.9637E+02,4.2832E+02,4.6028E+02,4.9326E+02,5.7701E+02,5.8648E+02,
     &4.5298E+02,2.9892E+02,1.7829E+02,3.8850E+02,4.2143E+02,4.5437E+02,
     &4.8855E+02,5.7350E+02,5.7914E+02,4.4500E+02,2.9608E+02,1.7829E+02,
     &3.8136E+02,4.1519E+02,4.4902E+02,4.8433E+02,5.7004E+02,5.7245E+02,
     &4.3774E+02,2.9351E+02,1.7829E+02/
      DATA ((KA(JS,JT, 3, 3),JS=1,9),JT=1,5) /
     &3.8797E+02,4.2097E+02,4.5397E+02,4.8897E+02,5.7508E+02,5.7865E+02,
     &4.4446E+02,2.9589E+02,1.7829E+02,3.7940E+02,4.1348E+02,4.4755E+02,
     &4.8416E+02,5.7138E+02,5.7059E+02,4.3573E+02,2.9280E+02,1.7829E+02,
     &3.7176E+02,4.0679E+02,4.4182E+02,4.7985E+02,5.6781E+02,5.6324E+02,
     &4.2791E+02,2.9005E+02,1.7829E+02,3.6490E+02,4.0078E+02,4.3667E+02,
     &4.7599E+02,5.6436E+02,5.5656E+02,4.2088E+02,2.8757E+02,1.7829E+02,
     &3.5870E+02,3.9536E+02,4.3202E+02,4.7253E+02,5.6109E+02,5.5041E+02,
     &4.1448E+02,2.8534E+02,1.7829E+02/
      DATA ((KA(JS,JT, 4, 3),JS=1,9),JT=1,5) /
     &3.6565E+02,4.0144E+02,4.3723E+02,4.7759E+02,5.6581E+02,5.5729E+02,
     &4.2164E+02,2.8784E+02,1.7829E+02,3.5808E+02,3.9482E+02,4.3155E+02,
     &4.7386E+02,5.6215E+02,5.4978E+02,4.1381E+02,2.8511E+02,1.7829E+02,
     &3.5135E+02,3.8893E+02,4.2651E+02,4.7052E+02,5.5875E+02,5.4295E+02,
     &4.0683E+02,2.8269E+02,1.7829E+02,3.4533E+02,3.8366E+02,4.2199E+02,
     &4.6746E+02,5.5555E+02,5.3669E+02,4.0055E+02,2.8052E+02,1.7829E+02,
     &3.3991E+02,3.7892E+02,4.1793E+02,4.6467E+02,5.5244E+02,5.3093E+02,
     &3.9488E+02,2.7856E+02,1.7829E+02/
      DATA ((KA(JS,JT, 5, 3),JS=1,9),JT=1,5) /
     &3.4669E+02,3.8485E+02,4.2301E+02,4.6943E+02,5.5667E+02,5.3812E+02,
     &4.0197E+02,2.8101E+02,1.7829E+02,3.3999E+02,3.7899E+02,4.1799E+02,
     &4.6662E+02,5.5311E+02,5.3101E+02,3.9496E+02,2.7859E+02,1.7829E+02,
     &3.3406E+02,3.7380E+02,4.1354E+02,4.6416E+02,5.4976E+02,5.2459E+02,
     &3.8873E+02,2.7645E+02,1.7829E+02,3.2878E+02,3.6918E+02,4.0958E+02,
     &4.6185E+02,5.4671E+02,5.1881E+02,3.8326E+02,2.7455E+02,1.7829E+02,
     &3.2404E+02,3.6503E+02,4.0603E+02,4.5969E+02,5.4395E+02,5.1356E+02,
     &3.7844E+02,2.7284E+02,1.7829E+02/
      DATA ((KA(JS,JT, 6, 3),JS=1,9),JT=1,5) /
     &3.3079E+02,3.7094E+02,4.1109E+02,4.6395E+02,5.4790E+02,5.2101E+02,
     &3.8534E+02,2.7527E+02,1.7829E+02,3.2482E+02,3.6572E+02,4.0662E+02,
     &4.6188E+02,5.4448E+02,5.1443E+02,3.7923E+02,2.7312E+02,1.7829E+02,
     &3.1958E+02,3.6113E+02,4.0268E+02,4.5998E+02,5.4143E+02,5.0857E+02,
     &3.7397E+02,2.7123E+02,1.7829E+02,3.1492E+02,3.5705E+02,3.9919E+02,
     &4.5816E+02,5.3866E+02,5.0335E+02,3.6939E+02,2.6955E+02,1.7829E+02,
     &3.1076E+02,3.5342E+02,3.9607E+02,4.5638E+02,5.3611E+02,4.9868E+02,
     &3.6537E+02,2.6805E+02,1.7829E+02/
      DATA ((KA(JS,JT, 7, 3),JS=1,9),JT=1,5) /
     &3.1725E+02,3.5910E+02,4.0094E+02,4.5992E+02,5.3978E+02,5.0597E+02,
     &3.7168E+02,2.7039E+02,1.7829E+02,3.1194E+02,3.5445E+02,3.9695E+02,
     &4.5835E+02,5.3664E+02,5.0000E+02,3.6650E+02,2.6848E+02,1.7829E+02,
     &3.0729E+02,3.5038E+02,3.9347E+02,4.5686E+02,5.3383E+02,4.9465E+02,
     &3.6205E+02,2.6680E+02,1.7829E+02,3.0318E+02,3.4679E+02,3.9040E+02,
     &4.5536E+02,5.3125E+02,4.8979E+02,3.5818E+02,2.6532E+02,1.7829E+02,
     &2.9953E+02,3.4359E+02,3.8767E+02,4.5383E+02,5.2882E+02,4.8543E+02,
     &3.5479E+02,2.6401E+02,1.7829E+02/
      DATA ((KA(JS,JT, 8, 3),JS=1,9),JT=1,5) /
     &3.0567E+02,3.4896E+02,3.9226E+02,4.5673E+02,5.3243E+02,4.9274E+02,
     &3.6052E+02,2.6622E+02,1.7829E+02,3.0094E+02,3.4482E+02,3.8872E+02,
     &4.5541E+02,5.2945E+02,4.8711E+02,3.5609E+02,2.6451E+02,1.7829E+02,
     &2.9682E+02,3.4122E+02,3.8564E+02,4.5413E+02,5.2674E+02,4.8217E+02,
     &3.5231E+02,2.6303E+02,1.7829E+02,2.9320E+02,3.3805E+02,3.8294E+02,
     &4.5285E+02,5.2426E+02,4.7779E+02,3.4904E+02,2.6172E+02,1.7829E+02,
     &2.9000E+02,3.3525E+02,3.8055E+02,4.5152E+02,5.2191E+02,4.7388E+02,
     &3.4618E+02,2.6057E+02,1.7829E+02/
      DATA ((KA(JS,JT, 9, 3),JS=1,9),JT=1,5) /
     &2.9581E+02,3.4033E+02,3.8489E+02,4.5387E+02,5.2555E+02,4.8095E+02,
     &3.5139E+02,2.6266E+02,1.7829E+02,2.9159E+02,3.3664E+02,3.8173E+02,
     &4.5277E+02,5.2268E+02,4.7582E+02,3.4759E+02,2.6114E+02,1.7829E+02,
     &2.8794E+02,3.3344E+02,3.7901E+02,4.5167E+02,5.2008E+02,4.7135E+02,
     &3.4436E+02,2.5982E+02,1.7829E+02,2.8475E+02,3.3065E+02,3.7663E+02,
     &4.5055E+02,5.1765E+02,4.6738E+02,3.4157E+02,2.5867E+02,1.7829E+02,
     &2.8193E+02,3.2819E+02,3.7453E+02,4.4937E+02,5.1538E+02,4.6382E+02,
     &3.3916E+02,2.5766E+02,1.7829E+02/
      DATA ((KA(JS,JT,10, 3),JS=1,9),JT=1,5) /
     &2.8708E+02,3.3269E+02,3.7836E+02,4.5121E+02,5.1885E+02,4.7029E+02,
     &3.4361E+02,2.5951E+02,1.7829E+02,2.8336E+02,3.2944E+02,3.7559E+02,
     &4.5027E+02,5.1611E+02,4.6563E+02,3.4037E+02,2.5817E+02,1.7829E+02,
     &2.8016E+02,3.2664E+02,3.7320E+02,4.4932E+02,5.1361E+02,4.6153E+02,
     &3.3765E+02,2.5702E+02,1.7829E+02,2.7737E+02,3.2420E+02,3.7112E+02,
     &4.4835E+02,5.1133E+02,4.5793E+02,3.3532E+02,2.5601E+02,1.7829E+02,
     &2.7492E+02,3.2206E+02,3.6930E+02,4.4735E+02,5.0922E+02,4.5473E+02,
     &3.3330E+02,2.5513E+02,1.7829E+02/
      DATA ((KA(JS,JT,11, 3),JS=1,9),JT=1,5) /
     &2.7807E+02,3.2481E+02,3.7164E+02,4.4842E+02,5.1141E+02,4.5884E+02,
     &3.3590E+02,2.5627E+02,1.7829E+02,2.7502E+02,3.2214E+02,3.6937E+02,
     &4.4764E+02,5.0894E+02,4.5486E+02,3.3338E+02,2.5517E+02,1.7829E+02,
     &2.7240E+02,3.1985E+02,3.6742E+02,4.4685E+02,5.0671E+02,4.5139E+02,
     &3.3123E+02,2.5422E+02,1.7829E+02,2.7012E+02,3.1785E+02,3.6572E+02,
     &4.4602E+02,5.0464E+02,4.4836E+02,3.2939E+02,2.5340E+02,1.7829E+02,
     &2.6811E+02,3.1610E+02,3.6422E+02,4.4514E+02,5.0273E+02,4.4569E+02,
     &3.2779E+02,2.5268E+02,1.7829E+02/
      DATA ((KA(JS,JT,12, 3),JS=1,9),JT=1,5) /
     &2.7068E+02,3.1834E+02,3.6613E+02,4.4605E+02,5.0476E+02,4.4911E+02,
     &3.2983E+02,2.5360E+02,1.7829E+02,2.6818E+02,3.1616E+02,3.6428E+02,
     &4.4539E+02,5.0255E+02,4.4579E+02,3.2784E+02,2.5270E+02,1.7829E+02,
     &2.6603E+02,3.1428E+02,3.6268E+02,4.4471E+02,5.0054E+02,4.4293E+02,
     &3.2614E+02,2.5193E+02,1.7829E+02,2.6417E+02,3.1264E+02,3.6129E+02,
     &4.4399E+02,4.9874E+02,4.4043E+02,3.2468E+02,2.5125E+02,1.7829E+02,
     &2.6252E+02,3.1121E+02,3.6005E+02,4.4322E+02,4.9710E+02,4.3824E+02,
     &3.2341E+02,2.5066E+02,1.7829E+02/
      DATA ((KA(JS,JT,13, 3),JS=1,9),JT=1,5) /
     &2.6463E+02,3.1305E+02,3.6163E+02,4.4400E+02,4.9889E+02,4.4105E+02,
     &3.2504E+02,2.5142E+02,1.7829E+02,2.6258E+02,3.1126E+02,3.6010E+02,
     &4.4348E+02,4.9698E+02,4.3831E+02,3.2345E+02,2.5068E+02,1.7829E+02,
     &2.6082E+02,3.0972E+02,3.5880E+02,4.4291E+02,4.9519E+02,4.3595E+02,
     &3.2210E+02,2.5005E+02,1.7829E+02,2.5929E+02,3.0838E+02,3.5766E+02,
     &4.4229E+02,4.9360E+02,4.3388E+02,3.2093E+02,2.4950E+02,1.7829E+02,
     &2.5795E+02,3.0721E+02,3.5666E+02,4.4160E+02,4.9217E+02,4.3204E+02,
     &3.1991E+02,2.4901E+02,1.7829E+02/
      DATA ((KA(JS,JT, 1, 4),JS=1,9),JT=1,5) /
     &8.6913E+02,8.0389E+02,7.3864E+02,6.7339E+02,6.2239E+02,6.7741E+02,
     &5.1596E+02,4.3641E+02,3.8437E+02,8.4711E+02,7.8462E+02,7.2212E+02,
     &6.5963E+02,6.1530E+02,6.6963E+02,5.0564E+02,4.3387E+02,3.8437E+02,
     &8.2734E+02,7.6731E+02,7.0729E+02,6.4727E+02,6.0932E+02,6.6251E+02,
     &4.9688E+02,4.3160E+02,3.8437E+02,8.0948E+02,7.5169E+02,6.9390E+02,
     &6.3611E+02,6.0420E+02,6.5531E+02,4.8930E+02,4.2954E+02,3.8437E+02,
     &7.9327E+02,7.3751E+02,6.8174E+02,6.2598E+02,5.9980E+02,6.4776E+02,
     &4.8275E+02,4.2767E+02,3.8437E+02/
      DATA ((KA(JS,JT, 2, 4),JS=1,9),JT=1,5) /
     &8.0291E+02,7.4594E+02,6.8897E+02,6.3200E+02,6.0547E+02,6.5273E+02,
     &4.8660E+02,4.2878E+02,3.8437E+02,7.8403E+02,7.2942E+02,6.7481E+02,
     &6.2020E+02,6.0133E+02,6.4384E+02,4.7915E+02,4.2661E+02,3.8437E+02,
     &7.6711E+02,7.1462E+02,6.6212E+02,6.0962E+02,5.9788E+02,6.3506E+02,
     &4.7284E+02,4.2466E+02,3.8437E+02,7.5187E+02,7.0128E+02,6.5069E+02,
     &6.0010E+02,5.9472E+02,6.2679E+02,4.6742E+02,4.2291E+02,3.8437E+02,
     &7.3807E+02,6.8920E+02,6.4034E+02,5.9147E+02,5.9165E+02,6.1864E+02,
     &4.6272E+02,4.2132E+02,3.8437E+02/
      DATA ((KA(JS,JT, 3, 4),JS=1,9),JT=1,5) /
     &7.5084E+02,7.0038E+02,6.4992E+02,5.9946E+02,5.9732E+02,6.2621E+02,
     &4.6707E+02,4.2279E+02,3.8437E+02,7.3427E+02,6.8588E+02,6.3749E+02,
     &5.8910E+02,5.9435E+02,6.1627E+02,4.6147E+02,4.2088E+02,3.8437E+02,
     &7.1948E+02,6.7294E+02,6.2640E+02,5.7986E+02,5.9145E+02,6.0690E+02,
     &4.5675E+02,4.1918E+02,3.8437E+02,7.0620E+02,6.6132E+02,6.1644E+02,
     &5.7156E+02,5.8863E+02,5.9842E+02,4.5269E+02,4.1765E+02,3.8437E+02,
     &6.9421E+02,6.5083E+02,6.0744E+02,5.6406E+02,5.8580E+02,5.9032E+02,
     &4.4923E+02,4.1627E+02,3.8437E+02/
      DATA ((KA(JS,JT, 4, 4),JS=1,9),JT=1,5) /
     &7.0765E+02,6.6259E+02,6.1753E+02,5.7246E+02,5.9114E+02,5.9936E+02,
     &4.5313E+02,4.1781E+02,3.8437E+02,6.9300E+02,6.4977E+02,6.0654E+02,
     &5.6330E+02,5.8834E+02,5.8949E+02,4.4892E+02,4.1613E+02,3.8437E+02,
     &6.7997E+02,6.3837E+02,5.9677E+02,5.5516E+02,5.8563E+02,5.8057E+02,
     &4.4538E+02,4.1463E+02,3.8437E+02,6.6833E+02,6.2818E+02,5.8803E+02,
     &5.4788E+02,5.8292E+02,5.7257E+02,4.4238E+02,4.1329E+02,3.8437E+02,
     &6.5784E+02,6.1901E+02,5.8017E+02,5.4133E+02,5.8031E+02,5.6522E+02,
     &4.3982E+02,4.1208E+02,3.8437E+02/
      DATA ((KA(JS,JT, 5, 4),JS=1,9),JT=1,5) /
     &6.7096E+02,6.3048E+02,5.9001E+02,5.4953E+02,5.8521E+02,5.7438E+02,
     &4.4304E+02,4.1359E+02,3.8437E+02,6.5799E+02,6.1913E+02,5.8028E+02,
     &5.4142E+02,5.8256E+02,5.6532E+02,4.3984E+02,4.1210E+02,3.8437E+02,
     &6.4651E+02,6.0909E+02,5.7167E+02,5.3427E+02,5.7997E+02,5.5705E+02,
     &4.3718E+02,4.1077E+02,3.8437E+02,6.3629E+02,6.0015E+02,5.6401E+02,
     &5.2793E+02,5.7742E+02,5.4959E+02,4.3482E+02,4.0960E+02,3.8437E+02,
     &6.2713E+02,5.9213E+02,5.5713E+02,5.2227E+02,5.7480E+02,5.4282E+02,
     &4.3271E+02,4.0854E+02,3.8437E+02/
      DATA ((KA(JS,JT, 6, 4),JS=1,9),JT=1,5) /
     &6.4019E+02,6.0356E+02,5.6693E+02,5.3034E+02,5.7955E+02,5.5244E+02,
     &4.3572E+02,4.1005E+02,3.8437E+02,6.2864E+02,5.9346E+02,5.5827E+02,
     &5.2321E+02,5.7700E+02,5.4395E+02,4.3306E+02,4.0872E+02,3.8437E+02,
     &6.1849E+02,5.8457E+02,5.5065E+02,5.1703E+02,5.7439E+02,5.3634E+02,
     &4.3072E+02,4.0755E+02,3.8437E+02,6.0948E+02,5.7669E+02,5.4390E+02,
     &5.1158E+02,5.7170E+02,5.2946E+02,4.2865E+02,4.0651E+02,3.8437E+02,
     &6.0143E+02,5.6965E+02,5.3786E+02,5.0675E+02,5.6897E+02,5.2321E+02,
     &4.2679E+02,4.0558E+02,3.8437E+02/
      DATA ((KA(JS,JT, 7, 4),JS=1,9),JT=1,5) /
     &6.1399E+02,5.8064E+02,5.4728E+02,5.1440E+02,5.7380E+02,5.3292E+02,
     &4.2969E+02,4.0703E+02,3.8437E+02,6.0371E+02,5.7164E+02,5.3957E+02,
     &5.0828E+02,5.7103E+02,5.2498E+02,4.2732E+02,4.0585E+02,3.8437E+02,
     &5.9471E+02,5.6376E+02,5.3282E+02,5.0302E+02,5.6836E+02,5.1802E+02,
     &4.2525E+02,4.0481E+02,3.8437E+02,5.8676E+02,5.5681E+02,5.2686E+02,
     &4.9842E+02,5.6580E+02,5.1197E+02,4.2342E+02,4.0389E+02,3.8437E+02,
     &5.7970E+02,5.5063E+02,5.2156E+02,4.9437E+02,5.6333E+02,5.0656E+02,
     &4.2179E+02,4.0308E+02,3.8437E+02/
      DATA ((KA(JS,JT, 8, 4),JS=1,9),JT=1,5) /
     &5.9158E+02,5.6102E+02,5.3047E+02,5.0136E+02,5.6762E+02,5.1564E+02,
     &4.2452E+02,4.0445E+02,3.8437E+02,5.8242E+02,5.5301E+02,5.2360E+02,
     &4.9623E+02,5.6499E+02,5.0866E+02,4.2242E+02,4.0339E+02,3.8437E+02,
     &5.7445E+02,5.4604E+02,5.1762E+02,4.9188E+02,5.6245E+02,5.0238E+02,
     &4.2058E+02,4.0248E+02,3.8437E+02,5.6745E+02,5.3991E+02,5.1237E+02,
     &4.8811E+02,5.5998E+02,4.9675E+02,4.1897E+02,4.0167E+02,3.8437E+02,
     &5.6125E+02,5.3448E+02,5.0772E+02,4.8477E+02,5.5757E+02,4.9178E+02,
     &4.1754E+02,4.0096E+02,3.8437E+02/
      DATA ((KA(JS,JT, 9, 4),JS=1,9),JT=1,5) /
     &5.7249E+02,5.4432E+02,5.1615E+02,4.9103E+02,5.6159E+02,5.0080E+02,
     &4.2013E+02,4.0225E+02,3.8437E+02,5.6432E+02,5.3718E+02,5.1003E+02,
     &4.8678E+02,5.5899E+02,4.9424E+02,4.1825E+02,4.0131E+02,3.8437E+02,
     &5.5726E+02,5.3099E+02,5.0473E+02,4.8321E+02,5.5650E+02,4.8858E+02,
     &4.1662E+02,4.0050E+02,3.8437E+02,5.5108E+02,5.2559E+02,5.0010E+02,
     &4.8011E+02,5.5416E+02,4.8367E+02,4.1520E+02,3.9978E+02,3.8437E+02,
     &5.4564E+02,5.2083E+02,4.9601E+02,4.7737E+02,5.5194E+02,4.7938E+02,
     &4.1394E+02,3.9916E+02,3.8437E+02/
      DATA ((KA(JS,JT,10, 4),JS=1,9),JT=1,5) /
     &5.5559E+02,5.2954E+02,5.0348E+02,4.8256E+02,5.5544E+02,4.8725E+02,
     &4.1624E+02,4.0030E+02,3.8437E+02,5.4839E+02,5.2324E+02,4.9808E+02,
     &4.7910E+02,5.5295E+02,4.8155E+02,4.1458E+02,3.9948E+02,3.8437E+02,
     &5.4220E+02,5.1781E+02,4.9343E+02,4.7621E+02,5.5067E+02,4.7667E+02,
     &4.1315E+02,3.9876E+02,3.8437E+02,5.3680E+02,5.1310E+02,4.8939E+02,
     &4.7371E+02,5.4855E+02,4.7238E+02,4.1191E+02,3.9814E+02,3.8437E+02,
     &5.3207E+02,5.0895E+02,4.8584E+02,4.7148E+02,5.4655E+02,4.6857E+02,
     &4.1082E+02,3.9760E+02,3.8437E+02/
      DATA ((KA(JS,JT,11, 4),JS=1,9),JT=1,5) /
     &5.3816E+02,5.1428E+02,4.9041E+02,4.7455E+02,5.4857E+02,4.7346E+02,
     &4.1222E+02,3.9830E+02,3.8437E+02,5.3226E+02,5.0912E+02,4.8598E+02,
     &4.7200E+02,5.4640E+02,4.6874E+02,4.1086E+02,3.9762E+02,3.8437E+02,
     &5.2718E+02,5.0468E+02,4.8217E+02,4.6982E+02,5.4436E+02,4.6486E+02,
     &4.0969E+02,3.9703E+02,3.8437E+02,5.2277E+02,5.0081E+02,4.7886E+02,
     &4.6790E+02,5.4248E+02,4.6109E+02,4.0868E+02,3.9652E+02,3.8437E+02,
     &5.1889E+02,4.9742E+02,4.7595E+02,4.6618E+02,5.4076E+02,4.5793E+02,
     &4.0778E+02,3.9608E+02,3.8437E+02/
      DATA ((KA(JS,JT,12, 4),JS=1,9),JT=1,5) /
     &5.2385E+02,5.0177E+02,4.7968E+02,4.6863E+02,5.4244E+02,4.6202E+02,
     &4.0893E+02,3.9665E+02,3.8437E+02,5.1902E+02,4.9754E+02,4.7606E+02,
     &4.6673E+02,5.4050E+02,4.5805E+02,4.0782E+02,3.9609E+02,3.8437E+02,
     &5.1487E+02,4.9390E+02,4.7294E+02,4.6509E+02,5.3868E+02,4.5465E+02,
     &4.0686E+02,3.9561E+02,3.8437E+02,5.1125E+02,4.9074E+02,4.7022E+02,
     &4.6362E+02,5.3703E+02,4.5171E+02,4.0602E+02,3.9520E+02,3.8437E+02,
     &5.0807E+02,4.8796E+02,4.6784E+02,4.6227E+02,5.3558E+02,4.4916E+02,
     &4.0529E+02,3.9483E+02,3.8437E+02/
      DATA ((KA(JS,JT,13, 4),JS=1,9),JT=1,5) /
     &5.1214E+02,4.9152E+02,4.7089E+02,4.6425E+02,5.3698E+02,4.5243E+02,
     &4.0623E+02,3.9530E+02,3.8437E+02,5.0819E+02,4.8806E+02,4.6793E+02,
     &4.6281E+02,5.3522E+02,4.4925E+02,4.0532E+02,3.9485E+02,3.8437E+02,
     &5.0478E+02,4.8508E+02,4.6537E+02,4.6157E+02,5.3378E+02,4.4654E+02,
     &4.0453E+02,3.9445E+02,3.8437E+02,5.0182E+02,4.8249E+02,4.6315E+02,
     &4.6044E+02,5.3251E+02,4.4422E+02,4.0385E+02,3.9411E+02,3.8437E+02,
     &4.9922E+02,4.8021E+02,4.6120E+02,4.5936E+02,5.3137E+02,4.4221E+02,
     &4.0325E+02,3.9381E+02,3.8437E+02/
      DATA ((KA(JS,JT, 1, 5),JS=1,9),JT=1,5) /
     &1.3243E+03,1.1799E+03,1.0354E+03,8.9093E+02,7.4647E+02,7.1044E+02,
     &6.1021E+02,6.4069E+02,6.7118E+02,1.2908E+03,1.1505E+03,1.0102E+03,
     &8.6996E+02,7.2969E+02,7.0292E+02,6.0750E+02,6.3934E+02,6.7118E+02,
     &1.2606E+03,1.1241E+03,9.8763E+02,8.5113E+02,7.1463E+02,6.9451E+02,
     &6.0507E+02,6.3812E+02,6.7118E+02,1.2334E+03,1.1003E+03,9.6722E+02,
     &8.3412E+02,7.0102E+02,6.8564E+02,6.0287E+02,6.3703E+02,6.7118E+02,
     &1.2087E+03,1.0787E+03,9.4870E+02,8.1869E+02,6.8867E+02,6.7724E+02,
     &6.0088E+02,6.3603E+02,6.7118E+02/
      DATA ((KA(JS,JT, 2, 5),JS=1,9),JT=1,5) /
     &1.2234E+03,1.0916E+03,9.5972E+02,8.2787E+02,6.9602E+02,6.8345E+02,
     &6.0207E+02,6.3662E+02,6.7118E+02,1.1946E+03,1.0664E+03,9.3814E+02,
     &8.0988E+02,6.8163E+02,6.7225E+02,5.9975E+02,6.3546E+02,6.7118E+02,
     &1.1689E+03,1.0438E+03,9.1881E+02,7.9377E+02,6.6882E+02,6.6165E+02,
     &5.9767E+02,6.3442E+02,6.7118E+02,1.1456E+03,1.0235E+03,9.0139E+02,
     &7.7926E+02,6.5759E+02,6.5058E+02,5.9579E+02,6.3348E+02,6.7118E+02,
     &1.1246E+03,1.0051E+03,8.8561E+02,7.6611E+02,6.4778E+02,6.4016E+02,
     &5.9410E+02,6.3264E+02,6.7118E+02/
      DATA ((KA(JS,JT, 3, 5),JS=1,9),JT=1,5) /
     &1.1441E+03,1.0221E+03,9.0021E+02,7.7828E+02,6.5728E+02,6.4981E+02,
     &5.9567E+02,6.3342E+02,6.7118E+02,1.1188E+03,1.0001E+03,8.8128E+02,
     &7.6250E+02,6.4582E+02,6.3739E+02,5.9363E+02,6.3240E+02,6.7118E+02,
     &1.0963E+03,9.8033E+02,8.6437E+02,7.4841E+02,6.3611E+02,6.2581E+02,
     &5.9181E+02,6.3149E+02,6.7118E+02,1.0761E+03,9.6263E+02,8.4920E+02,
     &7.3577E+02,6.2780E+02,6.1513E+02,5.9018E+02,6.3068E+02,6.7118E+02,
     &1.0578E+03,9.4664E+02,8.3549E+02,7.2435E+02,6.2066E+02,6.0588E+02,
     &5.8871E+02,6.2994E+02,6.7118E+02/
      DATA ((KA(JS,JT, 4, 5),JS=1,9),JT=1,5) /
     &1.0783E+03,9.6456E+02,8.5086E+02,7.3715E+02,6.2971E+02,6.1628E+02,
     &5.9036E+02,6.3077E+02,6.7118E+02,1.0559E+03,9.4502E+02,8.3411E+02,
     &7.2319E+02,6.2145E+02,6.0490E+02,5.8856E+02,6.2987E+02,6.7118E+02,
     &1.0361E+03,9.2766E+02,8.1923E+02,7.1079E+02,6.1457E+02,5.9452E+02,
     &5.8696E+02,6.2907E+02,6.7118E+02,1.0183E+03,9.1213E+02,8.0591E+02,
     &6.9970E+02,6.0876E+02,5.8559E+02,5.8552E+02,6.2835E+02,6.7118E+02,
     &1.0024E+03,8.9816E+02,7.9394E+02,6.8972E+02,6.0374E+02,5.7800E+02,
     &5.8424E+02,6.2771E+02,6.7118E+02/
      DATA ((KA(JS,JT, 5, 5),JS=1,9),JT=1,5) /
     &1.0224E+03,9.1564E+02,8.0892E+02,7.0221E+02,6.1144E+02,5.8757E+02,
     &5.8585E+02,6.2851E+02,6.7118E+02,1.0026E+03,8.9835E+02,7.9410E+02,
     &6.8985E+02,6.0588E+02,5.7810E+02,5.8425E+02,6.2772E+02,6.7118E+02,
     &9.8511E+02,8.8305E+02,7.8099E+02,6.7893E+02,6.0138E+02,5.7034E+02,
     &5.8284E+02,6.2701E+02,6.7118E+02,9.6954E+02,8.6942E+02,7.6931E+02,
     &6.6919E+02,5.9759E+02,5.6378E+02,5.8159E+02,6.2638E+02,6.7118E+02,
     &9.5557E+02,8.5720E+02,7.5883E+02,6.6046E+02,5.9436E+02,5.5823E+02,
     &5.8046E+02,6.2582E+02,6.7118E+02/
      DATA ((KA(JS,JT, 6, 5),JS=1,9),JT=1,5) /
     &9.7547E+02,8.7461E+02,7.7376E+02,6.7290E+02,6.0045E+02,5.6624E+02,
     &5.8207E+02,6.2662E+02,6.7118E+02,9.5788E+02,8.5922E+02,7.6057E+02,
     &6.6191E+02,5.9710E+02,5.5912E+02,5.8065E+02,6.2591E+02,6.7118E+02,
     &9.4241E+02,8.4568E+02,7.4896E+02,6.5223E+02,5.9434E+02,5.5328E+02,
     &5.7940E+02,6.2529E+02,6.7118E+02,9.2868E+02,8.3367E+02,7.3866E+02,
     &6.4365E+02,5.9182E+02,5.4839E+02,5.7829E+02,6.2473E+02,6.7118E+02,
     &9.1642E+02,8.2295E+02,7.2947E+02,6.3599E+02,5.8948E+02,5.4428E+02,
     &5.7730E+02,6.2424E+02,6.7118E+02/
      DATA ((KA(JS,JT, 7, 5),JS=1,9),JT=1,5) /
     &9.3556E+02,8.3969E+02,7.4382E+02,6.4795E+02,5.9420E+02,5.5081E+02,
     &5.7885E+02,6.2501E+02,6.7118E+02,9.1989E+02,8.2598E+02,7.3207E+02,
     &6.3816E+02,5.9179E+02,5.4542E+02,5.7758E+02,6.2438E+02,6.7118E+02,
     &9.0618E+02,8.1398E+02,7.2179E+02,6.2959E+02,5.8955E+02,5.4102E+02,
     &5.7648E+02,6.2383E+02,6.7118E+02,8.9407E+02,8.0339E+02,7.1271E+02,
     &6.2202E+02,5.8737E+02,5.3729E+02,5.7550E+02,6.2334E+02,6.7118E+02,
     &8.8331E+02,7.9397E+02,7.0463E+02,6.1530E+02,5.8524E+02,5.3413E+02,
     &5.7463E+02,6.2290E+02,6.7118E+02/
      DATA ((KA(JS,JT, 8, 5),JS=1,9),JT=1,5) /
     &9.0140E+02,8.0981E+02,7.1821E+02,6.2661E+02,5.8941E+02,5.3953E+02,
     &5.7609E+02,6.2363E+02,6.7118E+02,8.8745E+02,7.9760E+02,7.0774E+02,
     &6.1789E+02,5.8727E+02,5.3533E+02,5.7497E+02,6.2307E+02,6.7118E+02,
     &8.7531E+02,7.8697E+02,6.9863E+02,6.1030E+02,5.8522E+02,5.3203E+02,
     &5.7399E+02,6.2258E+02,6.7118E+02,8.6464E+02,7.7763E+02,6.9063E+02,
     &6.0363E+02,5.8317E+02,5.2938E+02,5.7313E+02,6.2215E+02,6.7118E+02,
     &8.5519E+02,7.6937E+02,6.8354E+02,5.9772E+02,5.8120E+02,5.2712E+02,
     &5.7236E+02,6.2177E+02,6.7118E+02/
      DATA ((KA(JS,JT, 9, 5),JS=1,9),JT=1,5) /
     &8.7232E+02,7.8435E+02,6.9639E+02,6.0843E+02,5.8508E+02,5.3128E+02,
     &5.7375E+02,6.2246E+02,6.7118E+02,8.5988E+02,7.7347E+02,6.8706E+02,
     &6.0065E+02,5.8302E+02,5.2823E+02,5.7274E+02,6.2196E+02,6.7118E+02,
     &8.4911E+02,7.6405E+02,6.7898E+02,5.9392E+02,5.8102E+02,5.2572E+02,
     &5.7187E+02,6.2153E+02,6.7118E+02,8.3970E+02,7.5581E+02,6.7193E+02,
     &5.8804E+02,5.7906E+02,5.2364E+02,5.7111E+02,6.2115E+02,6.7118E+02,
     &8.3140E+02,7.4855E+02,6.6571E+02,5.8286E+02,5.7713E+02,5.2190E+02,
     &5.7045E+02,6.2081E+02,6.7118E+02/
      DATA ((KA(JS,JT,10, 5),JS=1,9),JT=1,5) /
     &8.4657E+02,7.6183E+02,6.7708E+02,5.9234E+02,5.8061E+02,5.2515E+02,
     &5.7167E+02,6.2142E+02,6.7118E+02,8.3560E+02,7.5223E+02,6.6886E+02,
     &5.8548E+02,5.7865E+02,5.2276E+02,5.7078E+02,6.2098E+02,6.7118E+02,
     &8.2616E+02,7.4397E+02,6.6177E+02,5.7958E+02,5.7663E+02,5.2085E+02,
     &5.7002E+02,6.2060E+02,6.7118E+02,8.1794E+02,7.3678E+02,6.5561E+02,
     &5.7444E+02,5.7466E+02,5.1933E+02,5.6936E+02,6.2027E+02,6.7118E+02,
     &8.1073E+02,7.3047E+02,6.5020E+02,5.6994E+02,5.7276E+02,5.1811E+02,
     &5.6878E+02,6.1998E+02,6.7118E+02/
      DATA ((KA(JS,JT,11, 5),JS=1,9),JT=1,5) /
     &8.2001E+02,7.3859E+02,6.5716E+02,5.7574E+02,5.7531E+02,5.1970E+02,
     &5.6953E+02,6.2035E+02,6.7118E+02,8.1102E+02,7.3072E+02,6.5042E+02,
     &5.7012E+02,5.7326E+02,5.1814E+02,5.6880E+02,6.1999E+02,6.7118E+02,
     &8.0328E+02,7.2395E+02,6.4462E+02,5.6528E+02,5.7135E+02,5.1670E+02,
     &5.6818E+02,6.1968E+02,6.7118E+02,7.9655E+02,7.1806E+02,6.3957E+02,
     &5.6108E+02,5.6956E+02,5.1595E+02,5.6763E+02,6.1941E+02,6.7118E+02,
     &7.9064E+02,7.1289E+02,6.3514E+02,5.5738E+02,5.6781E+02,5.1517E+02,
     &5.6716E+02,6.1917E+02,6.7118E+02/
      DATA ((KA(JS,JT,12, 5),JS=1,9),JT=1,5) /
     &7.9821E+02,7.1951E+02,6.4081E+02,5.6211E+02,5.7002E+02,5.1613E+02,
     &5.6777E+02,6.1947E+02,6.7118E+02,7.9085E+02,7.1307E+02,6.3529E+02,
     &5.5751E+02,5.6813E+02,5.1519E+02,5.6717E+02,6.1918E+02,6.7118E+02,
     &7.8452E+02,7.0753E+02,6.3054E+02,5.5355E+02,5.6648E+02,5.1441E+02,
     &5.6666E+02,6.1892E+02,6.7118E+02,7.7901E+02,7.0271E+02,6.2641E+02,
     &5.5011E+02,5.6489E+02,5.1374E+02,5.6622E+02,6.1870E+02,6.7118E+02,
     &7.7417E+02,6.9847E+02,6.2278E+02,5.4708E+02,5.6325E+02,5.1315E+02,
     &5.6583E+02,6.1850E+02,6.7118E+02/
      DATA ((KA(JS,JT,13, 5),JS=1,9),JT=1,5) /
     &7.8036E+02,7.0389E+02,6.2743E+02,5.5096E+02,5.6495E+02,5.1390E+02,
     &5.6633E+02,6.1875E+02,6.7118E+02,7.7434E+02,6.9862E+02,6.2291E+02,
     &5.4719E+02,5.6343E+02,5.1318E+02,5.6584E+02,6.1851E+02,6.7118E+02,
     &7.6915E+02,6.9408E+02,6.1902E+02,5.4395E+02,5.6189E+02,5.1255E+02,
     &5.6542E+02,6.1830E+02,6.7118E+02,7.6464E+02,6.9014E+02,6.1563E+02,
     &5.4113E+02,5.6027E+02,5.1200E+02,5.6506E+02,6.1812E+02,6.7118E+02,
     &7.6068E+02,6.8667E+02,6.1266E+02,5.3865E+02,5.5865E+02,5.1152E+02,
     &5.6474E+02,6.1796E+02,6.7118E+02/
      DATA ((KA(JS,JT, 1, 6),JS=1,9),JT=1,5) /
     &1.6832E+03,1.4832E+03,1.2833E+03,1.0834E+03,8.8343E+02,7.3047E+02,
     &7.5923E+02,8.5568E+02,9.4989E+02,1.6405E+03,1.4459E+03,1.2513E+03,
     &1.0567E+03,8.6211E+02,7.2257E+02,7.5791E+02,8.5457E+02,9.4915E+02,
     &1.6022E+03,1.4124E+03,1.2226E+03,1.0328E+03,8.4296E+02,7.1182E+02,
     &7.5643E+02,8.5315E+02,9.4805E+02,1.5677E+03,1.3822E+03,1.1967E+03,
     &1.0112E+03,8.2566E+02,7.0003E+02,7.5475E+02,8.5145E+02,9.4659E+02,
     &1.5363E+03,1.3547E+03,1.1731E+03,9.9155E+02,8.0997E+02,6.8802E+02,
     &7.5277E+02,8.4941E+02,9.4478E+02/
      DATA ((KA(JS,JT, 2, 6),JS=1,9),JT=1,5) /
     &1.5549E+03,1.3710E+03,1.1871E+03,1.0032E+03,8.1930E+02,6.9644E+02,
     &7.5599E+02,8.5402E+02,9.5009E+02,1.5184E+03,1.3390E+03,1.1597E+03,
     &9.8036E+02,8.0102E+02,6.8214E+02,7.5486E+02,8.5308E+02,9.4950E+02,
     &1.4856E+03,1.3104E+03,1.1351E+03,9.5988E+02,7.8464E+02,6.7032E+02,
     &7.5359E+02,8.5186E+02,9.4855E+02,1.4561E+03,1.2845E+03,1.1130E+03,
     &9.4143E+02,7.6988E+02,6.6240E+02,7.5215E+02,8.5037E+02,9.4724E+02,
     &1.4294E+03,1.2611E+03,1.0929E+03,9.2472E+02,7.5651E+02,6.5660E+02,
     &7.5042E+02,8.4857E+02,9.4557E+02/
      DATA ((KA(JS,JT, 3, 6),JS=1,9),JT=1,5) /
     &1.4541E+03,1.2828E+03,1.1115E+03,9.4019E+02,7.6889E+02,6.6226E+02,
     &7.5340E+02,8.5268E+02,9.5029E+02,1.4220E+03,1.2547E+03,1.0874E+03,
     &9.2013E+02,7.5284E+02,6.5611E+02,7.5249E+02,8.5200E+02,9.4990E+02,
     &1.3934E+03,1.2297E+03,1.0659E+03,9.0223E+02,7.3852E+02,6.5222E+02,
     &7.5143E+02,8.5101E+02,9.4916E+02,1.3676E+03,1.2071E+03,1.0467E+03,
     &8.8615E+02,7.2566E+02,6.4945E+02,7.5024E+02,8.4977E+02,9.4807E+02,
     &1.3444E+03,1.1868E+03,1.0292E+03,8.7164E+02,7.1405E+02,6.4733E+02,
     &7.4880E+02,8.4822E+02,9.4662E+02/
      DATA ((KA(JS,JT, 4, 6),JS=1,9),JT=1,5) /
     &1.3705E+03,1.2096E+03,1.0488E+03,8.8791E+02,7.2707E+02,6.4976E+02,
     &7.5119E+02,8.5151E+02,9.5037E+02,1.3421E+03,1.1848E+03,1.0275E+03,
     &8.7017E+02,7.1287E+02,6.4785E+02,7.5047E+02,8.5104E+02,9.5019E+02,
     &1.3169E+03,1.1627E+03,1.0086E+03,8.5441E+02,7.0026E+02,6.4696E+02,
     &7.4964E+02,8.5031E+02,9.4968E+02,1.2943E+03,1.1430E+03,9.9164E+02,
     &8.4031E+02,6.8898E+02,6.4601E+02,7.4865E+02,8.4930E+02,9.4882E+02,
     &1.2740E+03,1.1252E+03,9.7642E+02,8.2763E+02,6.7884E+02,6.4496E+02,
     &7.4747E+02,8.4802E+02,9.4760E+02/
      DATA ((KA(JS,JT, 5, 6),JS=1,9),JT=1,5) /
     &1.2994E+03,1.1474E+03,9.9546E+02,8.4350E+02,6.9153E+02,6.4599E+02,
     &7.4922E+02,8.5040E+02,9.5032E+02,1.2743E+03,1.1254E+03,9.7662E+02,
     &8.2780E+02,6.7897E+02,6.4529E+02,7.4869E+02,8.5015E+02,9.5034E+02,
     &1.2521E+03,1.1060E+03,9.5996E+02,8.1391E+02,6.6786E+02,6.4458E+02,
     &7.4805E+02,8.4965E+02,9.5004E+02,1.2323E+03,1.0887E+03,9.4511E+02,
     &8.0154E+02,6.5797E+02,6.4380E+02,7.4727E+02,8.4886E+02,9.4940E+02,
     &1.2145E+03,1.0732E+03,9.3180E+02,7.9045E+02,6.4909E+02,6.4294E+02,
     &7.4629E+02,8.4781E+02,9.4841E+02/
      DATA ((KA(JS,JT, 6, 6),JS=1,9),JT=1,5) /
     &1.2398E+03,1.0953E+03,9.5077E+02,8.0625E+02,6.6174E+02,6.4362E+02,
     &7.4747E+02,8.4935E+02,9.5014E+02,1.2174E+03,1.0757E+03,9.3400E+02,
     &7.9228E+02,6.5056E+02,6.4308E+02,7.4712E+02,8.4932E+02,9.5036E+02,
     &1.1978E+03,1.0585E+03,9.1925E+02,7.7999E+02,6.4087E+02,6.4253E+02,
     &7.4666E+02,8.4902E+02,9.5027E+02,1.1803E+03,1.0432E+03,9.0616E+02,
     &7.6908E+02,6.3262E+02,6.4192E+02,7.4606E+02,8.4847E+02,9.4985E+02,
     &1.1647E+03,1.0296E+03,8.9448E+02,7.5935E+02,6.2549E+02,6.4122E+02,
     &7.4529E+02,8.4763E+02,9.4909E+02/
      DATA ((KA(JS,JT, 7, 6),JS=1,9),JT=1,5) /
     &1.1891E+03,1.0509E+03,9.1272E+02,7.7455E+02,6.3693E+02,6.4154E+02,
     &7.4584E+02,8.4830E+02,9.4975E+02,1.1692E+03,1.0335E+03,8.9779E+02,
     &7.6210E+02,6.2795E+02,6.4115E+02,7.4575E+02,8.4848E+02,9.5025E+02,
     &1.1517E+03,1.0182E+03,8.8471E+02,7.5121E+02,6.2051E+02,6.4074E+02,
     &7.4542E+02,8.4840E+02,9.5037E+02,1.1363E+03,1.0048E+03,8.7317E+02,
     &7.4159E+02,6.1432E+02,6.4028E+02,7.4499E+02,8.4806E+02,9.5015E+02,
     &1.1227E+03,9.9279E+02,8.6291E+02,7.3304E+02,6.0908E+02,6.3974E+02,
     &7.4440E+02,8.4744E+02,9.4961E+02/
      DATA ((KA(JS,JT, 8, 6),JS=1,9),JT=1,5) /
     &1.1457E+03,1.0129E+03,8.8017E+02,7.4742E+02,6.1848E+02,6.3968E+02,
     &7.4433E+02,8.4725E+02,9.4927E+02,1.1279E+03,9.9740E+02,8.6687E+02,
     &7.3633E+02,6.1183E+02,6.3944E+02,7.4439E+02,8.4765E+02,9.4999E+02,
     &1.1125E+03,9.8389E+02,8.5529E+02,7.2668E+02,6.0652E+02,6.3917E+02,
     &7.4428E+02,8.4777E+02,9.5034E+02,1.0989E+03,9.7202E+02,8.4512E+02,
     &7.1821E+02,6.0224E+02,6.3885E+02,7.4401E+02,8.4763E+02,9.5032E+02,
     &1.0869E+03,9.6152E+02,8.3611E+02,7.1070E+02,5.9867E+02,6.3844E+02,
     &7.4359E+02,8.4721E+02,9.4997E+02/
      DATA ((KA(JS,JT, 9, 6),JS=1,9),JT=1,5) /
     &1.1087E+03,9.8057E+02,8.5244E+02,7.2431E+02,6.0583E+02,6.3802E+02,
     &7.4290E+02,8.4619E+02,9.4868E+02,1.0929E+03,9.6673E+02,8.4058E+02,
     &7.1443E+02,6.0128E+02,6.3792E+02,7.4318E+02,8.4681E+02,9.4962E+02,
     &1.0792E+03,9.5475E+02,8.3031E+02,7.0587E+02,5.9784E+02,6.3778E+02,
     &7.4323E+02,8.4713E+02,9.5019E+02,1.0672E+03,9.4429E+02,8.2134E+02,
     &6.9840E+02,5.9517E+02,6.3759E+02,7.4313E+02,8.4718E+02,9.5037E+02,
     &1.0567E+03,9.3506E+02,8.1344E+02,6.9181E+02,5.9278E+02,6.3730E+02,
     &7.4285E+02,8.4695E+02,9.5021E+02/
      DATA ((KA(JS,JT,10, 6),JS=1,9),JT=1,5) /
     &1.0760E+03,9.5193E+02,8.2790E+02,7.0386E+02,5.9768E+02,6.3651E+02,
     &7.4157E+02,8.4519E+02,9.4809E+02,1.0620E+03,9.3974E+02,8.1744E+02,
     &6.9515E+02,5.9477E+02,6.3656E+02,7.4203E+02,8.4600E+02,9.4921E+02,
     &1.0500E+03,9.2923E+02,8.0844E+02,6.8764E+02,5.9242E+02,6.3654E+02,
     &7.4226E+02,8.4650E+02,9.4996E+02,1.0396E+03,9.2010E+02,8.0061E+02,
     &6.8112E+02,5.9042E+02,6.3645E+02,7.4230E+02,8.4672E+02,9.5033E+02,
     &1.0304E+03,9.1207E+02,7.9373E+02,6.7539E+02,5.8849E+02,6.3628E+02,
     &7.4216E+02,8.4665E+02,9.5033E+02/
      DATA ((KA(JS,JT,11, 6),JS=1,9),JT=1,5) /
     &1.0422E+03,9.2239E+02,8.0258E+02,6.8276E+02,5.9118E+02,6.3525E+02,
     &7.4065E+02,8.4470E+02,9.4808E+02,1.0308E+03,9.1240E+02,7.9401E+02,
     &6.7562E+02,5.8920E+02,6.3540E+02,7.4118E+02,8.4554E+02,9.4920E+02,
     &1.0210E+03,9.0379E+02,7.8663E+02,6.6947E+02,5.8737E+02,6.3545E+02,
     &7.4147E+02,8.4609E+02,9.4995E+02,1.0124E+03,8.9631E+02,7.8022E+02,
     &6.6413E+02,5.8569E+02,6.3543E+02,7.4156E+02,8.4634E+02,9.5033E+02,
     &1.0049E+03,8.8974E+02,7.7458E+02,6.5943E+02,5.8398E+02,6.3532E+02,
     &7.4146E+02,8.4628E+02,9.5033E+02/
      DATA ((KA(JS,JT,12, 6),JS=1,9),JT=1,5) /
     &1.0145E+03,8.9815E+02,7.8180E+02,6.6544E+02,5.8616E+02,6.3421E+02,
     &7.3990E+02,8.4430E+02,9.4808E+02,1.0052E+03,8.8997E+02,7.7478E+02,
     &6.5960E+02,5.8451E+02,6.3444E+02,7.4048E+02,8.4518E+02,9.4921E+02,
     &9.9710E+02,8.8292E+02,7.6874E+02,6.5457E+02,5.8265E+02,6.3457E+02,
     &7.4082E+02,8.4574E+02,9.4995E+02,9.9010E+02,8.7679E+02,7.6349E+02,
     &6.5019E+02,5.8054E+02,6.3460E+02,7.4095E+02,8.4600E+02,9.5033E+02,
     &9.8395E+02,8.7141E+02,7.5888E+02,6.4634E+02,5.7844E+02,6.3453E+02,
     &7.4089E+02,8.4598E+02,9.5033E+02/
      DATA ((KA(JS,JT,13, 6),JS=1,9),JT=1,5) /
     &9.9182E+02,8.7830E+02,7.6478E+02,6.5127E+02,5.8122E+02,6.3336E+02,
     &7.3928E+02,8.4397E+02,9.4808E+02,9.8416E+02,8.7160E+02,7.5904E+02,
     &6.4648E+02,5.7888E+02,6.3366E+02,7.3991E+02,8.4487E+02,9.4921E+02,
     &9.7757E+02,8.6583E+02,7.5410E+02,6.4236E+02,5.7650E+02,6.3384E+02,
     &7.4029E+02,8.4546E+02,9.4996E+02,9.7184E+02,8.6082E+02,7.4980E+02,
     &6.3878E+02,5.7428E+02,6.3391E+02,7.4045E+02,8.4574E+02,9.5033E+02,
     &9.6680E+02,8.5641E+02,7.4602E+02,6.3563E+02,5.7218E+02,6.3388E+02,
     &7.4043E+02,8.4574E+02,9.5033E+02/
      DATA ((KA(JS,JT, 1, 7),JS=1,9),JT=1,5) /
     &1.8845E+03,1.6548E+03,1.4251E+03,1.1953E+03,9.6557E+02,7.4301E+02,
     &8.2697E+02,9.4964E+02,1.0740E+03,1.8367E+03,1.6130E+03,1.3892E+03,
     &1.1655E+03,9.4169E+02,7.3101E+02,8.2533E+02,9.4833E+02,1.0730E+03,
     &1.7938E+03,1.5755E+03,1.3571E+03,1.1387E+03,9.2025E+02,7.1894E+02,
     &8.2353E+02,9.4679E+02,1.0715E+03,1.7551E+03,1.5416E+03,1.3280E+03,
     &1.1145E+03,9.0089E+02,7.0691E+02,8.2149E+02,9.4487E+02,1.0696E+03,
     &1.7200E+03,1.5108E+03,1.3017E+03,1.0925E+03,8.8332E+02,6.9946E+02,
     &8.1920E+02,9.4260E+02,1.0672E+03/
      DATA ((KA(JS,JT, 2, 7),JS=1,9),JT=1,5) /
     &1.7409E+03,1.5291E+03,1.3174E+03,1.1056E+03,8.9377E+02,7.0556E+02,
     &8.2545E+02,9.4918E+02,1.0743E+03,1.6999E+03,1.4933E+03,1.2867E+03,
     &1.0800E+03,8.7329E+02,7.0177E+02,8.2404E+02,9.4806E+02,1.0734E+03,
     &1.6632E+03,1.4612E+03,1.2591E+03,1.0571E+03,8.5495E+02,6.9985E+02,
     &8.2245E+02,9.4668E+02,1.0721E+03,1.6302E+03,1.4323E+03,1.2344E+03,
     &1.0364E+03,8.3842E+02,6.9778E+02,8.2061E+02,9.4495E+02,1.0705E+03,
     &1.6003E+03,1.4061E+03,1.2119E+03,1.0177E+03,8.2345E+02,6.9549E+02,
     &8.1853E+02,9.4286E+02,1.0683E+03/
      DATA ((KA(JS,JT, 3, 7),JS=1,9),JT=1,5) /
     &1.6280E+03,1.4303E+03,1.2327E+03,1.0350E+03,8.3731E+02,7.0164E+02,
     &8.2440E+02,9.4900E+02,1.0748E+03,1.5920E+03,1.3989E+03,1.2057E+03,
     &1.0126E+03,8.1934E+02,7.0016E+02,8.2323E+02,9.4804E+02,1.0740E+03,
     &1.5600E+03,1.3708E+03,1.1817E+03,9.9252E+02,8.0330E+02,6.9850E+02,
     &8.2187E+02,9.4688E+02,1.0730E+03,1.5312E+03,1.3457E+03,1.1601E+03,
     &9.7452E+02,7.8890E+02,6.9669E+02,8.2029E+02,9.4542E+02,1.0716E+03,
     &1.5052E+03,1.3229E+03,1.1406E+03,9.5827E+02,7.7590E+02,6.9468E+02,
     &8.1844E+02,9.4358E+02,1.0697E+03/
      DATA ((KA(JS,JT, 4, 7),JS=1,9),JT=1,5) /
     &1.5343E+03,1.3484E+03,1.1625E+03,9.7650E+02,7.9047E+02,7.0005E+02,
     &8.2352E+02,9.4883E+02,1.0751E+03,1.5026E+03,1.3206E+03,1.1386E+03,
     &9.5663E+02,7.7458E+02,6.9884E+02,8.2260E+02,9.4808E+02,1.0745E+03,
     &1.4743E+03,1.2959E+03,1.1175E+03,9.3898E+02,7.6046E+02,6.9743E+02,
     &8.2145E+02,9.4711E+02,1.0737E+03,1.4491E+03,1.2738E+03,1.0985E+03,
     &9.2319E+02,7.4783E+02,6.9586E+02,8.2010E+02,9.4588E+02,1.0725E+03,
     &1.4263E+03,1.2539E+03,1.0815E+03,9.0900E+02,7.3646E+02,6.9412E+02,
     &8.1852E+02,9.4430E+02,1.0710E+03/
      DATA ((KA(JS,JT, 5, 7),JS=1,9),JT=1,5) /
     &1.4548E+03,1.2788E+03,1.1028E+03,9.2676E+02,7.5068E+02,6.9862E+02,
     &8.2271E+02,9.4860E+02,1.0753E+03,1.4266E+03,1.2542E+03,1.0817E+03,
     &9.0918E+02,7.3662E+02,6.9765E+02,8.2202E+02,9.4804E+02,1.0749E+03,
     &1.4018E+03,1.2324E+03,1.0630E+03,8.9363E+02,7.2418E+02,6.9649E+02,
     &8.2110E+02,9.4729E+02,1.0743E+03,1.3796E+03,1.2130E+03,1.0464E+03,
     &8.7978E+02,7.1309E+02,6.9515E+02,8.1992E+02,9.4623E+02,1.0733E+03,
     &1.3597E+03,1.1956E+03,1.0315E+03,8.6737E+02,7.0315E+02,6.9363E+02,
     &8.1858E+02,9.4492E+02,1.0720E+03/
      DATA ((KA(JS,JT, 6, 7),JS=1,9),JT=1,5) /
     &1.3881E+03,1.2204E+03,1.0528E+03,8.8506E+02,7.1732E+02,6.9732E+02,
     &8.2195E+02,9.4833E+02,1.0753E+03,1.3630E+03,1.1985E+03,1.0340E+03,
     &8.6942E+02,7.0480E+02,6.9661E+02,8.2150E+02,9.4796E+02,1.0752E+03,
     &1.3410E+03,1.1792E+03,1.0175E+03,8.5565E+02,6.9378E+02,6.9568E+02,
     &8.2079E+02,9.4739E+02,1.0747E+03,1.3215E+03,1.1622E+03,1.0028E+03,
     &8.4344E+02,6.8401E+02,6.9456E+02,8.1984E+02,9.4655E+02,1.0740E+03,
     &1.3040E+03,1.1469E+03,9.8973E+02,8.3254E+02,6.7529E+02,6.9326E+02,
     &8.1868E+02,9.4544E+02,1.0729E+03/
      DATA ((KA(JS,JT, 7, 7),JS=1,9),JT=1,5) /
     &1.3313E+03,1.1707E+03,1.0101E+03,8.4956E+02,6.8891E+02,6.9611E+02,
     &8.2122E+02,9.4800E+02,1.0754E+03,1.3090E+03,1.1512E+03,9.9343E+02,
     &8.3562E+02,6.7776E+02,6.9564E+02,8.2091E+02,9.4785E+02,1.0753E+03,
     &1.2894E+03,1.1341E+03,9.7879E+02,8.2342E+02,6.6800E+02,6.9494E+02,
     &8.2048E+02,9.4742E+02,1.0750E+03,1.2722E+03,1.1191E+03,9.6587E+02,
     &8.1266E+02,6.5938E+02,6.9403E+02,8.1973E+02,9.4677E+02,1.0745E+03,
     &1.2569E+03,1.1057E+03,9.5438E+02,8.0308E+02,6.5172E+02,6.9293E+02,
     &8.1874E+02,9.4587E+02,1.0736E+03/
      DATA ((KA(JS,JT, 8, 7),JS=1,9),JT=1,5) /
     &1.2827E+03,1.1282E+03,9.7371E+02,8.1918E+02,6.6460E+02,6.9497E+02,
     &8.2050E+02,9.4762E+02,1.0753E+03,1.2628E+03,1.1108E+03,9.5881E+02,
     &8.0678E+02,6.5467E+02,6.9473E+02,8.2044E+02,9.4765E+02,1.0754E+03,
     &1.2455E+03,1.0957E+03,9.4585E+02,7.9597E+02,6.4602E+02,6.9425E+02,
     &8.2014E+02,9.4746E+02,1.0752E+03,1.2303E+03,1.0824E+03,9.3446E+02,
     &7.8648E+02,6.3843E+02,6.9354E+02,8.1959E+02,9.4691E+02,1.0748E+03,
     &1.2169E+03,1.0706E+03,9.2437E+02,7.7807E+02,6.3171E+02,6.9262E+02,
     &8.1878E+02,9.4618E+02,1.0741E+03/
      DATA ((KA(JS,JT, 9, 7),JS=1,9),JT=1,5) /
     &1.2413E+03,1.0920E+03,9.4266E+02,7.9331E+02,6.4390E+02,6.9387E+02,
     &8.1977E+02,9.4713E+02,1.0750E+03,1.2236E+03,1.0765E+03,9.2938E+02,
     &7.8225E+02,6.3504E+02,6.9385E+02,8.1989E+02,9.4741E+02,1.0753E+03,
     &1.2082E+03,1.0631E+03,9.1789E+02,7.7267E+02,6.2738E+02,6.9359E+02,
     &8.1979E+02,9.4732E+02,1.0754E+03,1.1949E+03,1.0514E+03,9.0785E+02,
     &7.6430E+02,6.2068E+02,6.9307E+02,8.1942E+02,9.4698E+02,1.0751E+03,
     &1.1831E+03,1.0410E+03,8.9899E+02,7.5692E+02,6.1500E+02,6.9235E+02,
     &8.1879E+02,9.4641E+02,1.0746E+03/
      DATA ((KA(JS,JT,10, 7),JS=1,9),JT=1,5) /
     &1.2046E+03,1.0599E+03,9.1518E+02,7.7041E+02,6.2557E+02,6.9285E+02,
     &8.1909E+02,9.4663E+02,1.0746E+03,1.1890E+03,1.0463E+03,9.0347E+02,
     &7.6066E+02,6.1799E+02,6.9301E+02,8.1937E+02,9.4709E+02,1.0752E+03,
     &1.1756E+03,1.0345E+03,8.9339E+02,7.5225E+02,6.1189E+02,6.9293E+02,
     &8.1942E+02,9.4719E+02,1.0754E+03,1.1639E+03,1.0243E+03,8.8463E+02,
     &7.4495E+02,6.0683E+02,6.9260E+02,8.1922E+02,9.4698E+02,1.0753E+03,
     &1.1536E+03,1.0153E+03,8.7693E+02,7.3853E+02,6.0268E+02,6.9203E+02,
     &8.1871E+02,9.4653E+02,1.0749E+03/
      DATA ((KA(JS,JT,11, 7),JS=1,9),JT=1,5) /
     &1.1668E+03,1.0268E+03,8.8684E+02,7.4678E+02,6.0837E+02,6.9208E+02,
     &8.1864E+02,9.4642E+02,1.0746E+03,1.1540E+03,1.0157E+03,8.7724E+02,
     &7.3879E+02,6.0335E+02,6.9229E+02,8.1896E+02,9.4691E+02,1.0752E+03,
     &1.1430E+03,1.0060E+03,8.6898E+02,7.3191E+02,5.9939E+02,6.9226E+02,
     &8.1904E+02,9.4700E+02,1.0754E+03,1.1335E+03,9.9764E+02,8.6180E+02,
     &7.2592E+02,5.9585E+02,6.9198E+02,8.1884E+02,9.4679E+02,1.0753E+03,
     &1.1251E+03,9.9028E+02,8.5549E+02,7.2067E+02,5.9286E+02,6.9146E+02,
     &8.1839E+02,9.4639E+02,1.0749E+03/
      DATA ((KA(JS,JT,12, 7),JS=1,9),JT=1,5) /
     &1.1358E+03,9.9970E+02,8.6357E+02,7.2739E+02,5.9707E+02,6.9145E+02,
     &8.1829E+02,9.4626E+02,1.0746E+03,1.1253E+03,9.9054E+02,8.5571E+02,
     &7.2085E+02,5.9339E+02,6.9172E+02,8.1863E+02,9.4675E+02,1.0752E+03,
     &1.1163E+03,9.8265E+02,8.4895E+02,7.1521E+02,5.9030E+02,6.9172E+02,
     &8.1873E+02,9.4686E+02,1.0754E+03,1.1085E+03,9.7579E+02,8.4307E+02,
     &7.1031E+02,5.8782E+02,6.9148E+02,8.1855E+02,9.4672E+02,1.0753E+03,
     &1.1016E+03,9.6977E+02,8.3790E+02,7.0601E+02,5.8538E+02,6.9099E+02,
     &8.1812E+02,9.4628E+02,1.0749E+03/
      DATA ((KA(JS,JT,13, 7),JS=1,9),JT=1,5) /
     &1.1104E+03,9.7748E+02,8.4452E+02,7.1152E+02,5.8852E+02,6.9093E+02,
     &8.1799E+02,9.4612E+02,1.0746E+03,1.1018E+03,9.6998E+02,8.3809E+02,
     &7.0616E+02,5.8570E+02,6.9123E+02,8.1841E+02,9.4664E+02,1.0752E+03,
     &1.0945E+03,9.6352E+02,8.3255E+02,7.0155E+02,5.8307E+02,6.9128E+02,
     &8.1849E+02,9.4675E+02,1.0754E+03,1.0880E+03,9.5790E+02,8.2774E+02,
     &6.9753E+02,5.8045E+02,6.9107E+02,8.1832E+02,9.4657E+02,1.0753E+03,
     &1.0824E+03,9.5297E+02,8.2351E+02,6.9401E+02,5.7806E+02,6.9061E+02,
     &8.1788E+02,9.4614E+02,1.0749E+03/
      DATA ((KA(JS,JT, 1, 8),JS=1,9),JT=1,5) /
     &1.9433E+03,1.7047E+03,1.4661E+03,1.2275E+03,9.8902E+02,7.5120E+02,
     &8.5754E+02,9.8845E+02,1.1206E+03,1.8941E+03,1.6616E+03,1.4292E+03,
     &1.1968E+03,9.6439E+02,7.3548E+02,8.5594E+02,9.8707E+02,1.1193E+03,
     &1.8499E+03,1.6229E+03,1.3960E+03,1.1691E+03,9.4229E+02,7.2448E+02,
     &8.5413E+02,9.8549E+02,1.1177E+03,1.8099E+03,1.5880E+03,1.3661E+03,
     &1.1442E+03,9.2233E+02,7.2225E+02,8.5214E+02,9.8373E+02,1.1158E+03,
     &1.7737E+03,1.5563E+03,1.3389E+03,1.1215E+03,9.0421E+02,7.2001E+02,
     &8.5005E+02,9.8175E+02,1.1138E+03/
      DATA ((KA(JS,JT, 2, 8),JS=1,9),JT=1,5) /
     &1.7953E+03,1.5751E+03,1.3551E+03,1.1350E+03,9.1499E+02,7.2569E+02,
     &8.5649E+02,9.8821E+02,1.1210E+03,1.7530E+03,1.5382E+03,1.3234E+03,
     &1.1086E+03,8.9388E+02,7.2424E+02,8.5509E+02,9.8698E+02,1.1198E+03,
     &1.7152E+03,1.5051E+03,1.2950E+03,1.0850E+03,8.7497E+02,7.2267E+02,
     &8.5348E+02,9.8553E+02,1.1184E+03,1.6811E+03,1.4753E+03,1.2695E+03,
     &1.0637E+03,8.5793E+02,7.2084E+02,8.5163E+02,9.8389E+02,1.1166E+03,
     &1.6502E+03,1.4483E+03,1.2463E+03,1.0444E+03,8.4250E+02,7.1877E+02,
     &8.4969E+02,9.8204E+02,1.1147E+03/
      DATA ((KA(JS,JT, 3, 8),JS=1,9),JT=1,5) /
     &1.6788E+03,1.4733E+03,1.2678E+03,1.0623E+03,8.5679E+02,7.2434E+02,
     &8.5588E+02,9.8822E+02,1.1216E+03,1.6418E+03,1.4409E+03,1.2400E+03,
     &1.0391E+03,8.3827E+02,7.2306E+02,8.5466E+02,9.8716E+02,1.1206E+03,
     &1.6087E+03,1.4119E+03,1.2152E+03,1.0184E+03,8.2172E+02,7.2165E+02,
     &8.5327E+02,9.8590E+02,1.1193E+03,1.5790E+03,1.3859E+03,1.1929E+03,
     &9.9988E+02,8.0688E+02,7.2007E+02,8.5161E+02,9.8438E+02,1.1177E+03,
     &1.5522E+03,1.3625E+03,1.1728E+03,9.8311E+02,7.9349E+02,7.1824E+02,
     &8.4982E+02,9.8270E+02,1.1159E+03/
      DATA ((KA(JS,JT, 4, 8),JS=1,9),JT=1,5) /
     &1.5823E+03,1.3888E+03,1.1953E+03,1.0019E+03,8.0851E+02,7.2326E+02,
     &8.5540E+02,9.8823E+02,1.1221E+03,1.5495E+03,1.3601E+03,1.1708E+03,
     &9.8142E+02,7.9213E+02,7.2214E+02,8.5436E+02,9.8737E+02,1.1213E+03,
     &1.5204E+03,1.3346E+03,1.1489E+03,9.6322E+02,7.7758E+02,7.2091E+02,
     &8.5317E+02,9.8628E+02,1.1202E+03,1.4943E+03,1.3118E+03,1.1294E+03,
     &9.4694E+02,7.6455E+02,7.1952E+02,8.5175E+02,9.8496E+02,1.1188E+03,
     &1.4709E+03,1.2913E+03,1.1118E+03,9.3229E+02,7.5284E+02,7.1792E+02,
     &8.5010E+02,9.8342E+02,1.1171E+03/
      DATA ((KA(JS,JT, 5, 8),JS=1,9),JT=1,5) /
     &1.5002E+03,1.3170E+03,1.1338E+03,9.5063E+02,7.6749E+02,7.2234E+02,
     &8.5495E+02,9.8821E+02,1.1224E+03,1.4712E+03,1.2916E+03,1.1120E+03,
     &9.3250E+02,7.5300E+02,7.2139E+02,8.5409E+02,9.8753E+02,1.1218E+03,
     &1.4456E+03,1.2692E+03,1.0928E+03,9.1647E+02,7.4017E+02,7.2031E+02,
     &8.5307E+02,9.8657E+02,1.1209E+03,1.4227E+03,1.2492E+03,1.0757E+03,
     &9.0219E+02,7.2875E+02,7.1909E+02,8.5186E+02,9.8546E+02,1.1197E+03,
     &1.4022E+03,1.2312E+03,1.0603E+03,8.8937E+02,7.1851E+02,7.1769E+02,
     &8.5037E+02,9.8406E+02,1.1182E+03/
      DATA ((KA(JS,JT, 6, 8),JS=1,9),JT=1,5) /
     &1.4314E+03,1.2568E+03,1.0822E+03,9.0763E+02,7.3310E+02,7.2155E+02,
     &8.5452E+02,9.8813E+02,1.1226E+03,1.4056E+03,1.2342E+03,1.0628E+03,
     &8.9150E+02,7.2020E+02,7.2077E+02,8.5386E+02,9.8765E+02,1.1222E+03,
     &1.3829E+03,1.2143E+03,1.0458E+03,8.7730E+02,7.0887E+02,7.1986E+02,
     &8.5300E+02,9.8688E+02,1.1215E+03,1.3627E+03,1.1967E+03,1.0307E+03,
     &8.6473E+02,6.9880E+02,7.1879E+02,8.5197E+02,9.8590E+02,1.1205E+03,
     &1.3448E+03,1.1810E+03,1.0172E+03,8.5348E+02,6.8979E+02,7.1757E+02,
     &8.5073E+02,9.8469E+02,1.1192E+03/
      DATA ((KA(JS,JT, 7, 8),JS=1,9),JT=1,5) /
     &1.3728E+03,1.2055E+03,1.0383E+03,8.7102E+02,7.0382E+02,7.2081E+02,
     &8.5410E+02,9.8799E+02,1.1227E+03,1.3499E+03,1.1854E+03,1.0210E+03,
     &8.5666E+02,6.9233E+02,7.2022E+02,8.5362E+02,9.8768E+02,1.1225E+03,
     &1.3297E+03,1.1678E+03,1.0059E+03,8.4408E+02,6.8228E+02,7.1945E+02,
     &8.5293E+02,9.8711E+02,1.1220E+03,1.3120E+03,1.1523E+03,9.9261E+02,
     &8.3298E+02,6.7339E+02,7.1854E+02,8.5205E+02,9.8632E+02,1.1212E+03,
     &1.2962E+03,1.1384E+03,9.8077E+02,8.2312E+02,6.6550E+02,7.1746E+02,
     &8.5098E+02,9.8523E+02,1.1200E+03/
      DATA ((KA(JS,JT, 8, 8),JS=1,9),JT=1,5) /
     &1.3227E+03,1.1617E+03,1.0007E+03,8.3971E+02,6.7877E+02,7.2007E+02,
     &8.5366E+02,9.8779E+02,1.1227E+03,1.3022E+03,1.1438E+03,9.8533E+02,
     &8.2690E+02,6.6854E+02,7.1969E+02,8.5334E+02,9.8763E+02,1.1227E+03,
     &1.2844E+03,1.1282E+03,9.7196E+02,8.1577E+02,6.5963E+02,7.1908E+02,
     &8.5283E+02,9.8717E+02,1.1223E+03,1.2688E+03,1.1145E+03,9.6023E+02,
     &8.0599E+02,6.5182E+02,7.1830E+02,8.5210E+02,9.8659E+02,1.1217E+03,
     &1.2549E+03,1.1024E+03,9.4982E+02,7.9733E+02,6.4488E+02,7.1736E+02,
     &8.5118E+02,9.8569E+02,1.1208E+03/
      DATA ((KA(JS,JT, 9, 8),JS=1,9),JT=1,5) /
     &1.2800E+03,1.1244E+03,9.6868E+02,8.1302E+02,6.5744E+02,7.1936E+02,
     &8.5323E+02,9.8761E+02,1.1226E+03,1.2618E+03,1.1084E+03,9.5498E+02,
     &8.0161E+02,6.4832E+02,7.1916E+02,8.5306E+02,9.8751E+02,1.1227E+03,
     &1.2460E+03,1.0945E+03,9.4313E+02,7.9175E+02,6.4042E+02,7.1874E+02,
     &8.5269E+02,9.8731E+02,1.1226E+03,1.2322E+03,1.0825E+03,9.3277E+02,
     &7.8311E+02,6.3351E+02,7.1809E+02,8.5213E+02,9.8681E+02,1.1221E+03,
     &1.2200E+03,1.0718E+03,9.2365E+02,7.7552E+02,6.2743E+02,7.1728E+02,
     &8.5134E+02,9.8607E+02,1.1214E+03/
      DATA ((KA(JS,JT,10, 8),JS=1,9),JT=1,5) /
     &1.2423E+03,1.0913E+03,9.4034E+02,7.8942E+02,6.3856E+02,7.1867E+02,
     &8.5279E+02,9.8738E+02,1.1225E+03,1.2262E+03,1.0772E+03,9.2827E+02,
     &7.7936E+02,6.3052E+02,7.1863E+02,8.5274E+02,9.8738E+02,1.1227E+03,
     &1.2123E+03,1.0651E+03,9.1788E+02,7.7071E+02,6.2359E+02,7.1835E+02,
     &8.5251E+02,9.8725E+02,1.1227E+03,1.2002E+03,1.0545E+03,9.0884E+02,
     &7.6317E+02,6.1756E+02,7.1785E+02,8.5203E+02,9.8691E+02,1.1224E+03,
     &1.1897E+03,1.0453E+03,9.0090E+02,7.5655E+02,6.1227E+02,7.1716E+02,
     &8.5141E+02,9.8631E+02,1.1218E+03/
      DATA ((KA(JS,JT,11, 8),JS=1,9),JT=1,5) /
     &1.2033E+03,1.0572E+03,9.1110E+02,7.6506E+02,6.1908E+02,7.1809E+02,
     &8.5242E+02,9.8721E+02,1.1225E+03,1.1901E+03,1.0456E+03,9.0123E+02,
     &7.5682E+02,6.1248E+02,7.1809E+02,8.5240E+02,9.8723E+02,1.1226E+03,
     &1.1788E+03,1.0357E+03,8.9271E+02,7.4972E+02,6.0692E+02,7.1785E+02,
     &8.5217E+02,9.8712E+02,1.1227E+03,1.1689E+03,1.0271E+03,8.8529E+02,
     &7.4355E+02,6.0253E+02,7.1738E+02,8.5177E+02,9.8681E+02,1.1224E+03,
     &1.1602E+03,1.0195E+03,8.7880E+02,7.3813E+02,5.9855E+02,7.1672E+02,
     &8.5114E+02,9.8618E+02,1.1218E+03/
      DATA ((KA(JS,JT,12, 8),JS=1,9),JT=1,5) /
     &1.1713E+03,1.0292E+03,8.8712E+02,7.4507E+02,6.0379E+02,7.1766E+02,
     &8.5212E+02,9.8706E+02,1.1225E+03,1.1605E+03,1.0197E+03,8.7902E+02,
     &7.3833E+02,5.9891E+02,7.1764E+02,8.5212E+02,9.8710E+02,1.1227E+03,
     &1.1512E+03,1.0116E+03,8.7205E+02,7.3251E+02,5.9502E+02,7.1744E+02,
     &8.5192E+02,9.8700E+02,1.1227E+03,1.1431E+03,1.0045E+03,8.6598E+02,
     &7.2746E+02,5.9151E+02,7.1699E+02,8.5153E+02,9.8663E+02,1.1224E+03,
     &1.1360E+03,9.9832E+02,8.6067E+02,7.2302E+02,5.8868E+02,7.1636E+02,
     &8.5092E+02,9.8606E+02,1.1218E+03/
      DATA ((KA(JS,JT,13, 8),JS=1,9),JT=1,5) /
     &1.1451E+03,1.0063E+03,8.6748E+02,7.2871E+02,5.9258E+02,7.1726E+02,
     &8.5187E+02,9.8696E+02,1.1225E+03,1.1363E+03,9.9855E+02,8.6085E+02,
     &7.2320E+02,5.8896E+02,7.1729E+02,8.5183E+02,9.8699E+02,1.1227E+03,
     &1.1287E+03,9.9189E+02,8.5515E+02,7.1842E+02,5.8585E+02,7.1710E+02,
     &8.5169E+02,9.8691E+02,1.1227E+03,1.1220E+03,9.8609E+02,8.5017E+02,
     &7.1429E+02,5.8380E+02,7.1668E+02,8.5133E+02,9.8660E+02,1.1224E+03,
     &1.1162E+03,9.8101E+02,8.4582E+02,7.1065E+02,5.8234E+02,7.1606E+02,
     &8.5074E+02,9.8601E+02,1.1218E+03/
      DATA ((KA(JS,JT, 1, 9),JS=1,9),JT=1,5) /
     &1.9571E+03,1.7167E+03,1.4761E+03,1.2357E+03,9.9528E+02,7.5488E+02,
     &8.7315E+02,1.0086E+03,1.1441E+03,1.9076E+03,1.6733E+03,1.4390E+03,
     &1.2047E+03,9.7044E+02,7.3841E+02,8.7146E+02,1.0070E+03,1.1425E+03,
     &1.8630E+03,1.6343E+03,1.4056E+03,1.1769E+03,9.4822E+02,7.3460E+02,
     &8.6967E+02,1.0052E+03,1.1407E+03,1.8229E+03,1.5991E+03,1.3754E+03,
     &1.1517E+03,9.2811E+02,7.3269E+02,8.6788E+02,1.0033E+03,1.1387E+03,
     &1.7864E+03,1.5672E+03,1.3481E+03,1.1289E+03,9.0984E+02,7.3091E+02,
     &8.6616E+02,1.0016E+03,1.1368E+03/
      DATA ((KA(JS,JT, 2, 9),JS=1,9),JT=1,5) /
     &1.8080E+03,1.5862E+03,1.3643E+03,1.1425E+03,9.2072E+02,7.3694E+02,
     &8.7246E+02,1.0086E+03,1.1448E+03,1.7655E+03,1.5491E+03,1.3324E+03,
     &1.1159E+03,8.9943E+02,7.3525E+02,8.7092E+02,1.0070E+03,1.1432E+03,
     &1.7274E+03,1.5157E+03,1.3039E+03,1.0921E+03,8.8039E+02,7.3343E+02,
     &8.6922E+02,1.0053E+03,1.1415E+03,1.6931E+03,1.4856E+03,1.2781E+03,
     &1.0706E+03,8.6326E+02,7.3166E+02,8.6752E+02,1.0036E+03,1.1395E+03,
     &1.6621E+03,1.4584E+03,1.2549E+03,1.0512E+03,8.4768E+02,7.3000E+02,
     &8.6583E+02,1.0018E+03,1.1376E+03/
      DATA ((KA(JS,JT, 3, 9),JS=1,9),JT=1,5) /
     &1.6908E+03,1.4837E+03,1.2764E+03,1.0692E+03,8.6209E+02,7.3591E+02,
     &8.7213E+02,1.0088E+03,1.1456E+03,1.6535E+03,1.4509E+03,1.2484E+03,
     &1.0459E+03,8.4339E+02,7.3450E+02,8.7080E+02,1.0075E+03,1.1442E+03,
     &1.6202E+03,1.4218E+03,1.2234E+03,1.0251E+03,8.2680E+02,7.3291E+02,
     &8.6926E+02,1.0059E+03,1.1426E+03,1.5902E+03,1.3956E+03,1.2011E+03,
     &1.0064E+03,8.1183E+02,7.3120E+02,8.6761E+02,1.0042E+03,1.1407E+03,
     &1.5632E+03,1.3720E+03,1.1808E+03,9.8952E+02,7.9832E+02,7.2957E+02,
     &8.6594E+02,1.0024E+03,1.1387E+03/
      DATA ((KA(JS,JT, 4, 9),JS=1,9),JT=1,5) /
     &1.5935E+03,1.3985E+03,1.2035E+03,1.0084E+03,8.1344E+02,7.3513E+02,
     &8.7195E+02,1.0092E+03,1.1463E+03,1.5605E+03,1.3697E+03,1.1787E+03,
     &9.8782E+02,7.9694E+02,7.3394E+02,8.7080E+02,1.0079E+03,1.1451E+03,
     &1.5313E+03,1.3439E+03,1.1567E+03,9.6950E+02,7.8229E+02,7.3257E+02,
     &8.6942E+02,1.0065E+03,1.1436E+03,1.5050E+03,1.3210E+03,1.1371E+03,
     &9.5308E+02,7.6922E+02,7.3104E+02,8.6787E+02,1.0049E+03,1.1419E+03,
     &1.4814E+03,1.3003E+03,1.1193E+03,9.3833E+02,7.5745E+02,7.2946E+02,
     &8.6622E+02,1.0032E+03,1.1400E+03/
      DATA ((KA(JS,JT, 5, 9),JS=1,9),JT=1,5) /
     &1.5109E+03,1.3262E+03,1.1415E+03,9.5685E+02,7.7217E+02,7.3443E+02,
     &8.7177E+02,1.0094E+03,1.1470E+03,1.4817E+03,1.3007E+03,1.1196E+03,
     &9.3852E+02,7.5755E+02,7.3343E+02,8.7078E+02,1.0083E+03,1.1459E+03,
     &1.4559E+03,1.2780E+03,1.1003E+03,9.2240E+02,7.4463E+02,7.3229E+02,
     &8.6958E+02,1.0071E+03,1.1446E+03,1.4329E+03,1.2579E+03,1.0829E+03,
     &9.0802E+02,7.3310E+02,7.3095E+02,8.6817E+02,1.0056E+03,1.1430E+03,
     &1.4122E+03,1.2398E+03,1.0675E+03,8.9511E+02,7.2281E+02,7.2946E+02,
     &8.6664E+02,1.0039E+03,1.1412E+03/
      DATA ((KA(JS,JT, 6, 9),JS=1,9),JT=1,5) /
     &1.4417E+03,1.2655E+03,1.0896E+03,9.1348E+02,7.3747E+02,7.3386E+02,
     &8.7165E+02,1.0096E+03,1.1475E+03,1.4156E+03,1.2429E+03,1.0700E+03,
     &8.9725E+02,7.2457E+02,7.3304E+02,8.7078E+02,1.0087E+03,1.1466E+03,
     &1.3928E+03,1.2228E+03,1.0529E+03,8.8300E+02,7.1308E+02,7.3207E+02,
     &8.6977E+02,1.0076E+03,1.1455E+03,1.3725E+03,1.2051E+03,1.0377E+03,
     &8.7029E+02,7.0290E+02,7.3093E+02,8.6853E+02,1.0063E+03,1.1441E+03,
     &1.3544E+03,1.1892E+03,1.0241E+03,8.5897E+02,6.9390E+02,7.2961E+02,
     &8.6706E+02,1.0048E+03,1.1424E+03/
      DATA ((KA(JS,JT, 7, 9),JS=1,9),JT=1,5) /
     &1.3826E+03,1.2140E+03,1.0453E+03,8.7664E+02,7.0803E+02,7.3339E+02,
     &8.7155E+02,1.0098E+03,1.1480E+03,1.3594E+03,1.1937E+03,1.0279E+03,
     &8.6216E+02,6.9645E+02,7.3269E+02,8.7079E+02,1.0090E+03,1.1472E+03,
     &1.3392E+03,1.1759E+03,1.0127E+03,8.4953E+02,6.8632E+02,7.3188E+02,
     &8.6990E+02,1.0081E+03,1.1462E+03,1.3213E+03,1.1603E+03,9.9928E+02,
     &8.3829E+02,6.7737E+02,7.3090E+02,8.6884E+02,1.0069E+03,1.1450E+03,
     &1.3054E+03,1.1464E+03,9.8739E+02,8.2837E+02,6.6946E+02,7.2975E+02,
     &8.6756E+02,1.0055E+03,1.1435E+03/
      DATA ((KA(JS,JT, 8, 9),JS=1,9),JT=1,5) /
     &1.3322E+03,1.1698E+03,1.0074E+03,8.4511E+02,6.8280E+02,7.3302E+02,
     &8.7145E+02,1.0099E+03,1.1483E+03,1.3116E+03,1.1517E+03,9.9199E+02,
     &8.3221E+02,6.7250E+02,7.3244E+02,8.7079E+02,1.0093E+03,1.1477E+03,
     &1.2937E+03,1.1360E+03,9.7848E+02,8.2097E+02,6.6349E+02,7.3170E+02,
     &8.7002E+02,1.0085E+03,1.1469E+03,1.2778E+03,1.1223E+03,9.6666E+02,
     &8.1113E+02,6.5562E+02,7.3087E+02,8.6909E+02,1.0075E+03,1.1458E+03,
     &1.2639E+03,1.1101E+03,9.5620E+02,8.0244E+02,6.4865E+02,7.2985E+02,
     &8.6796E+02,1.0062E+03,1.1444E+03/
      DATA ((KA(JS,JT, 9, 9),JS=1,9),JT=1,5) /
     &1.2892E+03,1.1322E+03,9.7520E+02,8.1821E+02,6.6134E+02,7.3274E+02,
     &8.7135E+02,1.0099E+03,1.1485E+03,1.2708E+03,1.1161E+03,9.6140E+02,
     &8.0674E+02,6.5213E+02,7.3213E+02,8.7079E+02,1.0095E+03,1.1481E+03,
     &1.2548E+03,1.1022E+03,9.4949E+02,7.9681E+02,6.4421E+02,7.3152E+02,
     &8.7011E+02,1.0088E+03,1.1474E+03,1.2410E+03,1.0900E+03,9.3905E+02,
     &7.8808E+02,6.3726E+02,7.3083E+02,8.6928E+02,1.0079E+03,1.1464E+03,
     &1.2287E+03,1.0793E+03,9.2981E+02,7.8042E+02,6.3106E+02,7.2995E+02,
     &8.6831E+02,1.0068E+03,1.1452E+03/
      DATA ((KA(JS,JT,10, 9),JS=1,9),JT=1,5) /
     &1.2511E+03,1.0989E+03,9.4665E+02,7.9449E+02,6.4227E+02,7.3248E+02,
     &8.7121E+02,1.0099E+03,1.1487E+03,1.2350E+03,1.0848E+03,9.3449E+02,
     &7.8435E+02,6.3416E+02,7.3188E+02,8.7073E+02,1.0095E+03,1.1483E+03,
     &1.2209E+03,1.0725E+03,9.2407E+02,7.7565E+02,6.2724E+02,7.3132E+02,
     &8.7012E+02,1.0091E+03,1.1477E+03,1.2088E+03,1.0618E+03,9.1493E+02,
     &7.6801E+02,6.2113E+02,7.3072E+02,8.6943E+02,1.0082E+03,1.1469E+03,
     &1.1981E+03,1.0526E+03,9.0691E+02,7.6134E+02,6.1583E+02,7.2997E+02,
     &8.6853E+02,1.0072E+03,1.1458E+03/
      DATA ((KA(JS,JT,11, 9),JS=1,9),JT=1,5) /
     &1.2119E+03,1.0646E+03,9.1723E+02,7.6995E+02,6.2265E+02,7.3201E+02,
     &8.7093E+02,1.0098E+03,1.1487E+03,1.1986E+03,1.0529E+03,9.0727E+02,
     &7.6161E+02,6.1603E+02,7.3147E+02,8.7046E+02,1.0094E+03,1.1483E+03,
     &1.1871E+03,1.0429E+03,8.9865E+02,7.5449E+02,6.1031E+02,7.3094E+02,
     &8.6988E+02,1.0088E+03,1.1477E+03,1.1772E+03,1.0342E+03,8.9122E+02,
     &7.4824E+02,6.0537E+02,7.3035E+02,8.6918E+02,1.0081E+03,1.1469E+03,
     &1.1684E+03,1.0265E+03,8.8467E+02,7.4278E+02,6.0127E+02,7.2963E+02,
     &8.6831E+02,1.0071E+03,1.1458E+03/
      DATA ((KA(JS,JT,12, 9),JS=1,9),JT=1,5) /
     &1.1796E+03,1.0363E+03,8.9308E+02,7.4980E+02,6.0664E+02,7.3158E+02,
     &8.7066E+02,1.0097E+03,1.1487E+03,1.1688E+03,1.0268E+03,8.8492E+02,
     &7.4297E+02,6.0173E+02,7.3111E+02,8.7023E+02,1.0093E+03,1.1483E+03,
     &1.1594E+03,1.0186E+03,8.7787E+02,7.3715E+02,5.9711E+02,7.3061E+02,
     &8.6968E+02,1.0088E+03,1.1478E+03,1.1512E+03,1.0115E+03,8.7180E+02,
     &7.3203E+02,5.9373E+02,7.3004E+02,8.6900E+02,1.0080E+03,1.1469E+03,
     &1.1441E+03,1.0053E+03,8.6640E+02,7.2756E+02,5.9149E+02,7.2934E+02,
     &8.6813E+02,1.0070E+03,1.1458E+03/
      DATA ((KA(JS,JT,13, 9),JS=1,9),JT=1,5) /
     &1.1533E+03,1.0132E+03,8.7330E+02,7.3334E+02,5.9476E+02,7.3130E+02,
     &8.7046E+02,1.0096E+03,1.1487E+03,1.1444E+03,1.0055E+03,8.6659E+02,
     &7.2770E+02,5.9240E+02,7.3084E+02,8.7005E+02,1.0092E+03,1.1483E+03,
     &1.1367E+03,9.9882E+02,8.6084E+02,7.2297E+02,5.9186E+02,7.3036E+02,
     &8.6950E+02,1.0087E+03,1.1478E+03,1.1300E+03,9.9294E+02,8.5585E+02,
     &7.1880E+02,5.9143E+02,7.2979E+02,8.6883E+02,1.0079E+03,1.1469E+03,
     &1.1242E+03,9.8788E+02,8.5146E+02,7.1512E+02,5.9082E+02,7.2910E+02,
     &8.6797E+02,1.0069E+03,1.1459E+03/
      DATA ((KA(JS,JT, 1,10),JS=1,9),JT=1,5) /
     &1.9609E+03,1.7196E+03,1.4787E+03,1.2373E+03,9.9636E+02,7.5577E+02,
     &8.8158E+02,1.0175E+03,1.1538E+03,1.9102E+03,1.6765E+03,1.4403E+03,
     &1.2063E+03,9.7232E+02,7.4406E+02,8.7986E+02,1.0152E+03,1.1513E+03,
     &1.8658E+03,1.6364E+03,1.4075E+03,1.1783E+03,9.4916E+02,7.4249E+02,
     &8.7815E+02,1.0135E+03,1.1491E+03,1.8250E+03,1.6014E+03,1.3778E+03,
     &1.1533E+03,9.2945E+02,7.4050E+02,8.7640E+02,1.0114E+03,1.1477E+03,
     &1.7888E+03,1.5692E+03,1.3504E+03,1.1313E+03,9.1134E+02,7.3837E+02,
     &8.7432E+02,1.0096E+03,1.1467E+03/
      DATA ((KA(JS,JT, 2,10),JS=1,9),JT=1,5) /
     &1.8108E+03,1.5879E+03,1.3673E+03,1.1437E+03,9.2213E+02,7.4428E+02,
     &8.8077E+02,1.0175E+03,1.1547E+03,1.7684E+03,1.5508E+03,1.3352E+03,
     &1.1178E+03,9.0099E+02,7.4265E+02,8.7920E+02,1.0158E+03,1.1521E+03,
     &1.7293E+03,1.5183E+03,1.3063E+03,1.0931E+03,8.8199E+02,7.4117E+02,
     &8.7755E+02,1.0136E+03,1.1500E+03,1.6960E+03,1.4887E+03,1.2799E+03,
     &1.0727E+03,8.6433E+02,7.3957E+02,8.7577E+02,1.0116E+03,1.1482E+03,
     &1.6637E+03,1.4607E+03,1.2562E+03,1.0527E+03,8.4877E+02,7.3748E+02,
     &8.7409E+02,1.0096E+03,1.1470E+03/
      DATA ((KA(JS,JT, 3,10),JS=1,9),JT=1,5) /
     &1.6939E+03,1.4847E+03,1.2786E+03,1.0705E+03,8.6372E+02,7.4343E+02,
     &8.8064E+02,1.0178E+03,1.1559E+03,1.6557E+03,1.4542E+03,1.2503E+03,
     &1.0478E+03,8.4533E+02,7.4182E+02,8.7906E+02,1.0163E+03,1.1537E+03,
     &1.6218E+03,1.4239E+03,1.2249E+03,1.0266E+03,8.2819E+02,7.4031E+02,
     &8.7730E+02,1.0137E+03,1.1513E+03,1.5929E+03,1.3992E+03,1.2027E+03,
     &1.0077E+03,8.1299E+02,7.3896E+02,8.7590E+02,1.0123E+03,1.1493E+03,
     &1.5654E+03,1.3740E+03,1.1824E+03,9.9136E+02,7.9933E+02,7.3740E+02,
     &8.7406E+02,1.0104E+03,1.1477E+03/
      DATA ((KA(JS,JT, 4,10),JS=1,9),JT=1,5) /
     &1.5959E+03,1.4010E+03,1.2054E+03,1.0100E+03,8.1522E+02,7.4271E+02,
     &8.8040E+02,1.0180E+03,1.1570E+03,1.5637E+03,1.3710E+03,1.1804E+03,
     &9.8920E+02,7.9803E+02,7.4139E+02,8.7903E+02,1.0168E+03,1.1552E+03,
     &1.5330E+03,1.3459E+03,1.1594E+03,9.7120E+02,7.8314E+02,7.4000E+02,
     &8.7753E+02,1.0151E+03,1.1528E+03,1.5077E+03,1.3229E+03,1.1386E+03,
     &9.5486E+02,7.7029E+02,7.3854E+02,8.7600E+02,1.0131E+03,1.1506E+03,
     &1.4835E+03,1.3025E+03,1.1209E+03,9.4000E+02,7.5786E+02,7.3717E+02,
     &8.7438E+02,1.0111E+03,1.1486E+03/
      DATA ((KA(JS,JT, 5,10),JS=1,9),JT=1,5) /
     &1.5126E+03,1.3285E+03,1.1431E+03,9.5745E+02,7.7284E+02,7.4220E+02,
     &8.8024E+02,1.0187E+03,1.1578E+03,1.4829E+03,1.3024E+03,1.1209E+03,
     &9.4020E+02,7.5863E+02,7.4099E+02,8.7909E+02,1.0174E+03,1.1564E+03,
     &1.4582E+03,1.2806E+03,1.1014E+03,9.2377E+02,7.4596E+02,7.3960E+02,
     &8.7772E+02,1.0159E+03,1.1544E+03,1.4345E+03,1.2594E+03,1.0847E+03,
     &9.0887E+02,7.3410E+02,7.3828E+02,8.7622E+02,1.0139E+03,1.1518E+03,
     &1.4140E+03,1.2418E+03,1.0683E+03,8.9661E+02,7.2364E+02,7.3696E+02,
     &8.7469E+02,1.0119E+03,1.1501E+03/
      DATA ((KA(JS,JT, 6,10),JS=1,9),JT=1,5) /
     &1.4435E+03,1.2676E+03,1.0914E+03,9.1493E+02,7.3889E+02,7.4179E+02,
     &8.8024E+02,1.0190E+03,1.1586E+03,1.4184E+03,1.2443E+03,1.0722E+03,
     &8.9834E+02,7.2535E+02,7.4069E+02,8.7922E+02,1.0178E+03,1.1574E+03,
     &1.3949E+03,1.2245E+03,1.0548E+03,8.8411E+02,7.1441E+02,7.3951E+02,
     &8.7792E+02,1.0164E+03,1.1554E+03,1.3745E+03,1.2070E+03,1.0388E+03,
     &8.7157E+02,7.0381E+02,7.3817E+02,8.7654E+02,1.0150E+03,1.1533E+03,
     &1.3558E+03,1.1909E+03,1.0253E+03,8.6039E+02,6.9505E+02,7.3669E+02,
     &8.7508E+02,1.0128E+03,1.1510E+03/
      DATA ((KA(JS,JT, 7,10),JS=1,9),JT=1,5) /
     &1.3849E+03,1.2154E+03,1.0465E+03,8.7809E+02,7.0922E+02,7.4150E+02,
     &8.8017E+02,1.0197E+03,1.1599E+03,1.3622E+03,1.1954E+03,1.0296E+03,
     &8.6328E+02,6.9750E+02,7.4031E+02,8.7926E+02,1.0184E+03,1.1581E+03,
     &1.3407E+03,1.1775E+03,1.0144E+03,8.5098E+02,6.8710E+02,7.3933E+02,
     &8.7824E+02,1.0171E+03,1.1568E+03,1.3234E+03,1.1620E+03,1.0006E+03,
     &8.3940E+02,6.7808E+02,7.3818E+02,8.7693E+02,1.0157E+03,1.1549E+03,
     &1.3077E+03,1.1481E+03,9.8850E+02,8.2952E+02,6.6976E+02,7.3685E+02,
     &8.7533E+02,1.0140E+03,1.1525E+03/
      DATA ((KA(JS,JT, 8,10),JS=1,9),JT=1,5) /
     &1.3336E+03,1.1711E+03,1.0088E+03,8.4626E+02,6.8382E+02,7.4131E+02,
     &8.8025E+02,1.0205E+03,1.1609E+03,1.3133E+03,1.1535E+03,9.9382E+02,
     &8.3328E+02,6.7355E+02,7.3954E+02,8.7931E+02,1.0187E+03,1.1591E+03,
     &1.2952E+03,1.1377E+03,9.7980E+02,8.2257E+02,6.6450E+02,7.3910E+02,
     &8.7831E+02,1.0177E+03,1.1576E+03,1.2798E+03,1.1238E+03,9.6848E+02,
     &8.1189E+02,6.5672E+02,7.3820E+02,8.7729E+02,1.0162E+03,1.1560E+03,
     &1.2652E+03,1.1115E+03,9.5739E+02,8.0373E+02,6.4938E+02,7.3712E+02,
     &8.7584E+02,1.0149E+03,1.1541E+03/
      DATA ((KA(JS,JT, 9,10),JS=1,9),JT=1,5) /
     &1.2921E+03,1.1338E+03,9.7649E+02,8.1965E+02,6.6193E+02,7.4117E+02,
     &8.8056E+02,1.0212E+03,1.1621E+03,1.2725E+03,1.1175E+03,9.6294E+02,
     &8.0792E+02,6.5314E+02,7.4018E+02,8.7944E+02,1.0196E+03,1.1602E+03,
     &1.2569E+03,1.1032E+03,9.5038E+02,7.9825E+02,6.4471E+02,7.3910E+02,
     &8.7852E+02,1.0181E+03,1.1585E+03,1.2428E+03,1.0914E+03,9.4028E+02,
     &7.8940E+02,6.3769E+02,7.3816E+02,8.7758E+02,1.0170E+03,1.1569E+03,
     &1.2310E+03,1.0815E+03,9.3149E+02,7.8151E+02,6.3218E+02,7.3726E+02,
     &8.7637E+02,1.0156E+03,1.1553E+03/
      DATA ((KA(JS,JT,10,10),JS=1,9),JT=1,5) /
     &1.2531E+03,1.1009E+03,9.4808E+02,7.9569E+02,6.4353E+02,7.4092E+02,
     &8.8101E+02,1.0222E+03,1.1631E+03,1.2357E+03,1.0861E+03,9.3599E+02,
     &7.8490E+02,6.3564E+02,7.4008E+02,8.7961E+02,1.0203E+03,1.1613E+03,
     &1.2227E+03,1.0738E+03,9.2501E+02,7.7680E+02,6.2842E+02,7.3914E+02,
     &8.7860E+02,1.0179E+03,1.1592E+03,1.2109E+03,1.0632E+03,9.1605E+02,
     &7.6920E+02,6.2177E+02,7.3819E+02,8.7758E+02,1.0174E+03,1.1577E+03,
     &1.1998E+03,1.0537E+03,9.0813E+02,7.6232E+02,6.1616E+02,7.3732E+02,
     &8.7676E+02,1.0162E+03,1.1563E+03/
      DATA ((KA(JS,JT,11,10),JS=1,9),JT=1,5) /
     &1.2137E+03,1.0654E+03,9.1884E+02,7.7105E+02,6.2358E+02,7.4042E+02,
     &8.8057E+02,1.0221E+03,1.1630E+03,1.1999E+03,1.0545E+03,9.0854E+02,
     &7.6253E+02,6.1715E+02,7.3961E+02,8.7932E+02,1.0201E+03,1.1611E+03,
     &1.1890E+03,1.0445E+03,9.0019E+02,7.5537E+02,6.1109E+02,7.3864E+02,
     &8.7832E+02,1.0186E+03,1.1592E+03,1.1789E+03,1.0359E+03,8.9280E+02,
     &7.4928E+02,6.0622E+02,7.3779E+02,8.7747E+02,1.0172E+03,1.1577E+03,
     &1.1709E+03,1.0287E+03,8.8607E+02,7.4401E+02,6.0247E+02,7.3688E+02,
     &8.7644E+02,1.0160E+03,1.1563E+03/
      DATA ((KA(JS,JT,12,10),JS=1,9),JT=1,5) /
     &1.1820E+03,1.0383E+03,8.9456E+02,7.5081E+02,6.0714E+02,7.4001E+02,
     &8.8049E+02,1.0220E+03,1.1631E+03,1.1713E+03,1.0290E+03,8.8623E+02,
     &7.4407E+02,6.0058E+02,7.3921E+02,8.7901E+02,1.0201E+03,1.1611E+03,
     &1.1605E+03,1.0200E+03,8.7951E+02,7.3788E+02,5.9769E+02,7.3835E+02,
     &8.7808E+02,1.0182E+03,1.1591E+03,1.1533E+03,1.0132E+03,8.7284E+02,
     &7.3305E+02,5.9795E+02,7.3753E+02,8.7718E+02,1.0171E+03,1.1577E+03,
     &1.1467E+03,1.0071E+03,8.6739E+02,7.2890E+02,5.9711E+02,7.3664E+02,
     &8.7623E+02,1.0159E+03,1.1563E+03/
      DATA ((KA(JS,JT,13,10),JS=1,9),JT=1,5) /
     &1.1553E+03,1.0149E+03,8.7419E+02,7.3470E+02,5.9975E+02,7.3968E+02,
     &8.8029E+02,1.0219E+03,1.1630E+03,1.1455E+03,1.0072E+03,8.6782E+02,
     &7.2873E+02,5.9921E+02,7.3889E+02,8.7889E+02,1.0200E+03,1.1611E+03,
     &1.1380E+03,1.0000E+03,8.6190E+02,7.2452E+02,5.9831E+02,7.3799E+02,
     &8.7789E+02,1.0182E+03,1.1592E+03,1.1318E+03,9.9472E+02,8.5697E+02,
     &7.1950E+02,5.9744E+02,7.3726E+02,8.7708E+02,1.0170E+03,1.1577E+03,
     &1.1253E+03,9.8825E+02,8.5273E+02,7.1635E+02,5.9683E+02,7.3639E+02,
     &8.7606E+02,1.0160E+03,1.1562E+03/
      DATA ((KA(JS,JT, 1,11),JS=1,9),JT=1,5) /
     &1.9598E+03,1.7186E+03,1.4777E+03,1.2380E+03,9.9729E+02,7.5567E+02,
     &8.8469E+02,1.0202E+03,1.1560E+03,1.9102E+03,1.6743E+03,1.4414E+03,
     &1.2066E+03,9.7117E+02,7.4679E+02,8.8252E+02,1.0178E+03,1.1544E+03,
     &1.8656E+03,1.6383E+03,1.4073E+03,1.1791E+03,9.4951E+02,7.4505E+02,
     &8.8029E+02,1.0159E+03,1.1530E+03,1.8261E+03,1.6025E+03,1.3782E+03,
     &1.1540E+03,9.2917E+02,7.4299E+02,8.7816E+02,1.0141E+03,1.1522E+03,
     &1.7888E+03,1.5710E+03,1.3500E+03,1.1298E+03,9.1140E+02,7.4109E+02,
     &8.7588E+02,1.0122E+03,1.1510E+03/
      DATA ((KA(JS,JT, 2,11),JS=1,9),JT=1,5) /
     &1.8117E+03,1.5887E+03,1.3651E+03,1.1459E+03,9.2177E+02,7.4731E+02,
     &8.8412E+02,1.0203E+03,1.1568E+03,1.7673E+03,1.5512E+03,1.3335E+03,
     &1.1174E+03,9.0028E+02,7.4546E+02,8.8203E+02,1.0179E+03,1.1551E+03,
     &1.7317E+03,1.5193E+03,1.3050E+03,1.0955E+03,8.8112E+02,7.4378E+02,
     &8.7978E+02,1.0161E+03,1.1535E+03,1.6956E+03,1.4873E+03,1.2805E+03,
     &1.0729E+03,8.6470E+02,7.4189E+02,8.7768E+02,1.0142E+03,1.1524E+03,
     &1.6657E+03,1.4596E+03,1.2568E+03,1.0531E+03,8.4904E+02,7.3979E+02,
     &8.7528E+02,1.0122E+03,1.1511E+03/
      DATA ((KA(JS,JT, 3,11),JS=1,9),JT=1,5) /
     &1.6927E+03,1.4859E+03,1.2782E+03,1.0724E+03,8.6335E+02,7.4646E+02,
     &8.8392E+02,1.0211E+03,1.1579E+03,1.6581E+03,1.4524E+03,1.2540E+03,
     &1.0466E+03,8.4448E+02,7.4471E+02,8.8205E+02,1.0189E+03,1.1562E+03,
     &1.6261E+03,1.4229E+03,1.2269E+03,1.0264E+03,8.2790E+02,7.4305E+02,
     &8.7988E+02,1.0167E+03,1.1544E+03,1.5929E+03,1.3986E+03,1.2038E+03,
     &1.0084E+03,8.1266E+02,7.4160E+02,8.7767E+02,1.0148E+03,1.1530E+03,
     &1.5661E+03,1.3746E+03,1.1837E+03,9.9103E+02,7.9967E+02,7.3929E+02,
     &8.7586E+02,1.0132E+03,1.1521E+03/
      DATA ((KA(JS,JT, 4,11),JS=1,9),JT=1,5) /
     &1.5973E+03,1.4004E+03,1.2065E+03,1.0106E+03,8.1385E+02,7.4599E+02,
     &8.8404E+02,1.0218E+03,1.1590E+03,1.5637E+03,1.3722E+03,1.1812E+03,
     &9.8900E+02,7.9856E+02,7.4428E+02,8.8217E+02,1.0197E+03,1.1572E+03,
     &1.5340E+03,1.3469E+03,1.1576E+03,9.7012E+02,7.8412E+02,7.4257E+02,
     &8.8022E+02,1.0176E+03,1.1556E+03,1.5085E+03,1.3226E+03,1.1393E+03,
     &9.5486E+02,7.6980E+02,7.4114E+02,8.7815E+02,1.0155E+03,1.1538E+03,
     &1.4836E+03,1.3020E+03,1.1212E+03,9.3957E+02,7.5824E+02,7.3939E+02,
     &8.7630E+02,1.0138E+03,1.1526E+03/
      DATA ((KA(JS,JT, 5,11),JS=1,9),JT=1,5) /
     &1.5143E+03,1.3286E+03,1.1431E+03,9.5847E+02,7.7403E+02,7.4572E+02,
     &8.8418E+02,1.0223E+03,1.1603E+03,1.4842E+03,1.3025E+03,1.1230E+03,
     &9.4028E+02,7.5881E+02,7.4405E+02,8.8254E+02,1.0205E+03,1.1584E+03,
     &1.4577E+03,1.2799E+03,1.1020E+03,9.2340E+02,7.4531E+02,7.4244E+02,
     &8.8060E+02,1.0185E+03,1.1566E+03,1.4365E+03,1.2603E+03,1.0859E+03,
     &9.0939E+02,7.3467E+02,7.4090E+02,8.7865E+02,1.0164E+03,1.1549E+03,
     &1.4147E+03,1.2422E+03,1.0695E+03,8.9657E+02,7.2409E+02,7.3938E+02,
     &8.7659E+02,1.0145E+03,1.1530E+03/
      DATA ((KA(JS,JT, 6,11),JS=1,9),JT=1,5) /
     &1.4426E+03,1.2686E+03,1.0911E+03,9.1528E+02,7.3914E+02,7.4563E+02,
     &8.8436E+02,1.0228E+03,1.1615E+03,1.4171E+03,1.2457E+03,1.0728E+03,
     &8.9861E+02,7.2517E+02,7.4402E+02,8.8280E+02,1.0215E+03,1.1596E+03,
     &1.3943E+03,1.2252E+03,1.0539E+03,8.8362E+02,7.1333E+02,7.4243E+02,
     &8.8117E+02,1.0194E+03,1.1577E+03,1.3749E+03,1.2056E+03,1.0405E+03,
     &8.7188E+02,7.0449E+02,7.4089E+02,8.7923E+02,1.0173E+03,1.1560E+03,
     &1.3580E+03,1.1907E+03,1.0258E+03,8.5998E+02,6.9473E+02,7.3937E+02,
     &8.7727E+02,1.0154E+03,1.1543E+03/
      DATA ((KA(JS,JT, 7,11),JS=1,9),JT=1,5) /
     &1.3844E+03,1.2166E+03,1.0469E+03,8.7815E+02,7.0873E+02,7.4560E+02,
     &8.8449E+02,1.0233E+03,1.1626E+03,1.3610E+03,1.1962E+03,1.0291E+03,
     &8.6318E+02,6.9730E+02,7.4409E+02,8.8322E+02,1.0221E+03,1.1608E+03,
     &1.3413E+03,1.1786E+03,1.0145E+03,8.5031E+02,6.8760E+02,7.4253E+02,
     &8.8154E+02,1.0203E+03,1.1589E+03,1.3235E+03,1.1630E+03,1.0007E+03,
     &8.4004E+02,6.7864E+02,7.4101E+02,8.7982E+02,1.0185E+03,1.1572E+03,
     &1.3063E+03,1.1482E+03,9.8932E+02,8.2998E+02,6.7037E+02,7.3955E+02,
     &8.7796E+02,1.0167E+03,1.1554E+03/
      DATA ((KA(JS,JT, 8,11),JS=1,9),JT=1,5) /
     &1.3361E+03,1.1714E+03,1.0092E+03,8.4627E+02,6.8340E+02,7.4540E+02,
     &8.8457E+02,1.0236E+03,1.1638E+03,1.3143E+03,1.1537E+03,9.9295E+02,
     &8.3355E+02,6.7330E+02,7.4420E+02,8.8339E+02,1.0225E+03,1.1619E+03,
     &1.2952E+03,1.1377E+03,9.8075E+02,8.2213E+02,6.6496E+02,7.4271E+02,
     &8.8199E+02,1.0211E+03,1.1601E+03,1.2808E+03,1.1242E+03,9.6858E+02,
     &8.1350E+02,6.5663E+02,7.4121E+02,8.8037E+02,1.0192E+03,1.1582E+03,
     &1.2664E+03,1.1113E+03,9.5757E+02,8.0317E+02,6.4978E+02,7.3975E+02,
     &8.7862E+02,1.0173E+03,1.1564E+03/
      DATA ((KA(JS,JT, 9,11),JS=1,9),JT=1,5) /
     &1.2911E+03,1.1331E+03,9.7754E+02,8.1972E+02,6.6210E+02,7.4501E+02,
     &8.8462E+02,1.0244E+03,1.1652E+03,1.2743E+03,1.1193E+03,9.6288E+02,
     &8.0865E+02,6.5325E+02,7.4437E+02,8.8360E+02,1.0230E+03,1.1629E+03,
     &1.2573E+03,1.1051E+03,9.5155E+02,7.9729E+02,6.4451E+02,7.4294E+02,
     &8.8237E+02,1.0218E+03,1.1610E+03,1.2441E+03,1.0920E+03,9.4089E+02,
     &7.8911E+02,6.3797E+02,7.4148E+02,8.8091E+02,1.0202E+03,1.1593E+03,
     &1.2297E+03,1.0813E+03,9.3127E+02,7.8127E+02,6.3265E+02,7.4003E+02,
     &8.7926E+02,1.0184E+03,1.1573E+03/
      DATA ((KA(JS,JT,10,11),JS=1,9),JT=1,5) /
     &1.2530E+03,1.1001E+03,9.4821E+02,7.9486E+02,6.4277E+02,7.4454E+02,
     &8.8447E+02,1.0249E+03,1.1664E+03,1.2387E+03,1.0865E+03,9.3685E+02,
     &7.8643E+02,6.3425E+02,7.4423E+02,8.8371E+02,1.0234E+03,1.1637E+03,
     &1.2243E+03,1.0744E+03,9.2585E+02,7.7676E+02,6.2740E+02,7.4307E+02,
     &8.8260E+02,1.0221E+03,1.1620E+03,1.2107E+03,1.0640E+03,9.1623E+02,
     &7.6957E+02,6.2235E+02,7.4168E+02,8.8129E+02,1.0208E+03,1.1602E+03,
     &1.2010E+03,1.0536E+03,9.0891E+02,7.6248E+02,6.1761E+02,7.4025E+02,
     &8.7965E+02,1.0191E+03,1.1583E+03/
      DATA ((KA(JS,JT,11,11),JS=1,9),JT=1,5) /
     &1.2140E+03,1.0672E+03,9.1852E+02,7.7048E+02,6.2320E+02,7.4401E+02,
     &8.8413E+02,1.0249E+03,1.1664E+03,1.2007E+03,1.0549E+03,9.0904E+02,
     &7.6333E+02,6.1635E+02,7.4367E+02,8.8337E+02,1.0233E+03,1.1639E+03,
     &1.1891E+03,1.0458E+03,9.0055E+02,7.5543E+02,6.1123E+02,7.4262E+02,
     &8.8229E+02,1.0219E+03,1.1620E+03,1.1794E+03,1.0371E+03,8.9190E+02,
     &7.4912E+02,6.0572E+02,7.4128E+02,8.8110E+02,1.0207E+03,1.1602E+03,
     &1.1697E+03,1.0285E+03,8.8631E+02,7.4374E+02,6.0062E+02,7.3987E+02,
     &8.7958E+02,1.0191E+03,1.1583E+03/
      DATA ((KA(JS,JT,12,11),JS=1,9),JT=1,5) /
     &1.1829E+03,1.0373E+03,8.9433E+02,7.5107E+02,6.0775E+02,7.4357E+02,
     &8.8385E+02,1.0247E+03,1.1664E+03,1.1707E+03,1.0276E+03,8.8712E+02,
     &7.4426E+02,6.0163E+02,7.4327E+02,8.8309E+02,1.0231E+03,1.1639E+03,
     &1.1629E+03,1.0211E+03,8.8018E+02,7.3831E+02,6.0184E+02,7.4224E+02,
     &8.8203E+02,1.0219E+03,1.1620E+03,1.1538E+03,1.0126E+03,8.7253E+02,
     &7.3377E+02,6.0080E+02,7.4101E+02,8.8067E+02,1.0205E+03,1.1602E+03,
     &1.1449E+03,1.0062E+03,8.6764E+02,7.2842E+02,5.9975E+02,7.3955E+02,
     &8.7926E+02,1.0190E+03,1.1583E+03/
      DATA ((KA(JS,JT,13,11),JS=1,9),JT=1,5) /
     &1.1561E+03,1.0152E+03,8.7509E+02,7.3383E+02,6.0253E+02,7.4321E+02,
     &8.8362E+02,1.0246E+03,1.1664E+03,1.1468E+03,1.0069E+03,8.6783E+02,
     &7.2921E+02,6.0211E+02,7.4294E+02,8.8286E+02,1.0230E+03,1.1639E+03,
     &1.1390E+03,1.0001E+03,8.6301E+02,7.2323E+02,6.0140E+02,7.4194E+02,
     &8.8181E+02,1.0218E+03,1.1621E+03,1.1313E+03,9.9361E+02,8.5706E+02,
     &7.2032E+02,6.0042E+02,7.4065E+02,8.8048E+02,1.0204E+03,1.1602E+03,
     &1.1266E+03,9.9042E+02,8.5257E+02,7.1548E+02,5.9931E+02,7.3930E+02,
     &8.7908E+02,1.0187E+03,1.1583E+03/
      DATA ((KA(JS,JT, 1,12),JS=1,9),JT=1,5) /
     &1.9596E+03,1.7200E+03,1.4802E+03,1.2370E+03,9.9641E+02,7.5556E+02,
     &8.8658E+02,1.0236E+03,1.1622E+03,1.9107E+03,1.6797E+03,1.4463E+03,
     &1.2083E+03,9.7440E+02,7.4935E+02,8.8455E+02,1.0223E+03,1.1611E+03,
     &1.8687E+03,1.6368E+03,1.4091E+03,1.1809E+03,9.5100E+02,7.4626E+02,
     &8.8278E+02,1.0214E+03,1.1600E+03,1.8274E+03,1.5998E+03,1.3805E+03,
     &1.1544E+03,9.2955E+02,7.4432E+02,8.8029E+02,1.0193E+03,1.1572E+03,
     &1.7908E+03,1.5685E+03,1.3492E+03,1.1303E+03,9.1228E+02,7.4183E+02,
     &8.7814E+02,1.0165E+03,1.1551E+03/
      DATA ((KA(JS,JT, 2,12),JS=1,9),JT=1,5) /
     &1.8091E+03,1.5890E+03,1.3701E+03,1.1447E+03,9.2240E+02,7.5031E+02,
     &8.8580E+02,1.0236E+03,1.1628E+03,1.7702E+03,1.5507E+03,1.3346E+03,
     &1.1179E+03,9.0072E+02,7.4790E+02,8.8384E+02,1.0222E+03,1.1616E+03,
     &1.7282E+03,1.5159E+03,1.3066E+03,1.0967E+03,8.8274E+02,7.4530E+02,
     &8.8241E+02,1.0213E+03,1.1606E+03,1.6964E+03,1.4887E+03,1.2816E+03,
     &1.0711E+03,8.6387E+02,7.4308E+02,8.8064E+02,1.0199E+03,1.1593E+03,
     &1.6664E+03,1.4634E+03,1.2570E+03,1.0541E+03,8.4878E+02,7.4105E+02,
     &8.7802E+02,1.0170E+03,1.1559E+03/
      DATA ((KA(JS,JT, 3,12),JS=1,9),JT=1,5) /
     &1.6969E+03,1.4893E+03,1.2806E+03,1.0686E+03,8.6200E+02,7.4953E+02,
     &8.8586E+02,1.0239E+03,1.1637E+03,1.6530E+03,1.4535E+03,1.2505E+03,
     &1.0502E+03,8.4485E+02,7.4734E+02,8.8380E+02,1.0224E+03,1.1623E+03,
     &1.6258E+03,1.4316E+03,1.2308E+03,1.0274E+03,8.2737E+02,7.4498E+02,
     &8.8220E+02,1.0214E+03,1.1612E+03,1.5947E+03,1.3987E+03,1.2036E+03,
     &1.0100E+03,8.1398E+02,7.4250E+02,8.8073E+02,1.0203E+03,1.1601E+03,
     &1.5659E+03,1.3745E+03,1.1827E+03,9.9357E+02,7.9945E+02,7.4072E+02,
     &8.7844E+02,1.0192E+03,1.1574E+03/
      DATA ((KA(JS,JT, 4,12),JS=1,9),JT=1,5) /
     &1.5993E+03,1.4029E+03,1.2034E+03,1.0105E+03,8.1494E+02,7.4898E+02,
     &8.8604E+02,1.0246E+03,1.1648E+03,1.5603E+03,1.3717E+03,1.1803E+03,
     &9.9158E+02,7.9797E+02,7.4702E+02,8.8413E+02,1.0230E+03,1.1631E+03,
     &1.5363E+03,1.3460E+03,1.1581E+03,9.7158E+02,7.8286E+02,7.4488E+02,
     &8.8249E+02,1.0215E+03,1.1618E+03,1.5069E+03,1.3248E+03,1.1397E+03,
     &9.5515E+02,7.7185E+02,7.4259E+02,8.8086E+02,1.0207E+03,1.1608E+03,
     &1.4842E+03,1.3030E+03,1.1201E+03,9.4205E+02,7.5928E+02,7.4072E+02,
     &8.7912E+02,1.0193E+03,1.1593E+03/
      DATA ((KA(JS,JT, 5,12),JS=1,9),JT=1,5) /
     &1.5161E+03,1.3293E+03,1.1434E+03,9.6071E+02,7.7366E+02,7.4856E+02,
     &8.8634E+02,1.0256E+03,1.1660E+03,1.4862E+03,1.3039E+03,1.1202E+03,
     &9.3927E+02,7.5808E+02,7.4678E+02,8.8432E+02,1.0237E+03,1.1641E+03,
     &1.4569E+03,1.2812E+03,1.1040E+03,9.2477E+02,7.4608E+02,7.4483E+02,
     &8.8267E+02,1.0221E+03,1.1626E+03,1.4370E+03,1.2601E+03,1.0866E+03,
     &9.1322E+02,7.3546E+02,7.4282E+02,8.8106E+02,1.0210E+03,1.1614E+03,
     &1.4157E+03,1.2432E+03,1.0692E+03,8.9766E+02,7.2371E+02,7.4075E+02,
     &8.7977E+02,1.0201E+03,1.1604E+03/
      DATA ((KA(JS,JT, 6,12),JS=1,9),JT=1,5) /
     &1.4446E+03,1.2668E+03,1.0902E+03,9.1458E+02,7.3853E+02,7.4800E+02,
     &8.8683E+02,1.0267E+03,1.1674E+03,1.4180E+03,1.2442E+03,1.0729E+03,
     &9.0054E+02,7.2712E+02,7.4664E+02,8.8490E+02,1.0243E+03,1.1653E+03,
     &1.3970E+03,1.2338E+03,1.0562E+03,8.8644E+02,7.1466E+02,7.4490E+02,
     &8.8299E+02,1.0228E+03,1.1635E+03,1.3772E+03,1.2092E+03,1.0403E+03,
     &8.7191E+02,7.0566E+02,7.4297E+02,8.8145E+02,1.0214E+03,1.1622E+03,
     &1.3536E+03,1.1933E+03,1.0279E+03,8.5985E+02,6.9532E+02,7.4091E+02,
     &8.8002E+02,1.0207E+03,1.1611E+03/
      DATA ((KA(JS,JT, 7,12),JS=1,9),JT=1,5) /
     &1.3872E+03,1.2173E+03,1.0473E+03,8.7779E+02,7.0929E+02,7.4753E+02,
     &8.8739E+02,1.0279E+03,1.1686E+03,1.3614E+03,1.1960E+03,1.0302E+03,
     &8.6342E+02,6.9779E+02,7.4649E+02,8.8535E+02,1.0254E+03,1.1666E+03,
     &1.3423E+03,1.1779E+03,1.0152E+03,8.5120E+02,6.8669E+02,7.4500E+02,
     &8.8364E+02,1.0236E+03,1.1646E+03,1.3222E+03,1.1614E+03,1.0027E+03,
     &8.4138E+02,6.7980E+02,7.4324E+02,8.8194E+02,1.0219E+03,1.1628E+03,
     &1.3077E+03,1.1487E+03,9.8870E+02,8.2923E+02,6.7117E+02,7.4131E+02,
     &8.8052E+02,1.0200E+03,1.1617E+03/
      DATA ((KA(JS,JT, 8,12),JS=1,9),JT=1,5) /
     &1.3318E+03,1.1751E+03,1.0116E+03,8.4760E+02,6.8552E+02,7.4755E+02,
     &8.8764E+02,1.0284E+03,1.1697E+03,1.3123E+03,1.1533E+03,9.9316E+02,
     &8.3364E+02,6.7452E+02,7.4634E+02,8.8623E+02,1.0267E+03,1.1679E+03,
     &1.2963E+03,1.1395E+03,9.8036E+02,8.2206E+02,6.6378E+02,7.4528E+02,
     &8.8422E+02,1.0245E+03,1.1657E+03,1.2799E+03,1.1235E+03,9.6838E+02,
     &8.1175E+02,6.5688E+02,7.4350E+02,8.8249E+02,1.0227E+03,1.1639E+03,
     &1.2649E+03,1.1128E+03,9.5762E+02,8.0323E+02,6.4917E+02,7.4172E+02,
     &8.8089E+02,1.0213E+03,1.1624E+03/
      DATA ((KA(JS,JT, 9,12),JS=1,9),JT=1,5) /
     &1.2892E+03,1.1353E+03,9.7529E+02,8.1997E+02,6.6439E+02,7.4689E+02,
     &8.8774E+02,1.0288E+03,1.1703E+03,1.2710E+03,1.1179E+03,9.6230E+02,
     &8.0757E+02,6.5174E+02,7.4606E+02,8.8671E+02,1.0277E+03,1.1691E+03,
     &1.2556E+03,1.1026E+03,9.5506E+02,7.9904E+02,6.4512E+02,7.4525E+02,
     &8.8489E+02,1.0254E+03,1.1669E+03,1.2434E+03,1.0930E+03,9.4625E+02,
     &7.9326E+02,6.3956E+02,7.4375E+02,8.8308E+02,1.0236E+03,1.1649E+03,
     &1.2362E+03,1.0807E+03,9.3519E+02,7.8318E+02,6.3176E+02,7.4222E+02,
     &8.8144E+02,1.0218E+03,1.1632E+03/
      DATA ((KA(JS,JT,10,12),JS=1,9),JT=1,5) /
     &1.2560E+03,1.1008E+03,9.4819E+02,7.9713E+02,6.4289E+02,7.4662E+02,
     &8.8790E+02,1.0293E+03,1.1710E+03,1.2370E+03,1.0868E+03,9.3614E+02,
     &7.8750E+02,6.3591E+02,7.4589E+02,8.8689E+02,1.0281E+03,1.1697E+03,
     &1.2228E+03,1.0745E+03,9.2565E+02,7.7586E+02,6.3013E+02,7.4525E+02,
     &8.8546E+02,1.0265E+03,1.1680E+03,1.2130E+03,1.0629E+03,9.1805E+02,
     &7.7218E+02,6.2214E+02,7.4398E+02,8.8360E+02,1.0243E+03,1.1659E+03,
     &1.1990E+03,1.0561E+03,9.0990E+02,7.6234E+02,6.1782E+02,7.4238E+02,
     &8.8192E+02,1.0225E+03,1.1640E+03/
      DATA ((KA(JS,JT,11,12),JS=1,9),JT=1,5) /
     &1.2160E+03,1.0660E+03,9.1756E+02,7.7092E+02,6.2410E+02,7.4614E+02,
     &8.8758E+02,1.0288E+03,1.1712E+03,1.2001E+03,1.0573E+03,9.0897E+02,
     &7.6187E+02,6.1778E+02,7.4563E+02,8.8659E+02,1.0280E+03,1.1697E+03,
     &1.1883E+03,1.0436E+03,8.9901E+02,7.5711E+02,6.1087E+02,7.4468E+02,
     &8.8519E+02,1.0264E+03,1.1680E+03,1.1791E+03,1.0338E+03,8.9462E+02,
     &7.4974E+02,6.0740E+02,7.4372E+02,8.8322E+02,1.0242E+03,1.1659E+03,
     &1.1736E+03,1.0284E+03,8.8610E+02,7.4386E+02,6.0256E+02,7.4204E+02,
     &8.8156E+02,1.0223E+03,1.1640E+03/
      DATA ((KA(JS,JT,12,12),JS=1,9),JT=1,5) /
     &1.1783E+03,1.0408E+03,8.9462E+02,7.5034E+02,6.0838E+02,7.4575E+02,
     &8.8732E+02,1.0288E+03,1.1710E+03,1.1693E+03,1.0333E+03,8.8486E+02,
     &7.4467E+02,6.0420E+02,7.4514E+02,8.8635E+02,1.0279E+03,1.1697E+03,
     &1.1597E+03,1.0197E+03,8.7845E+02,7.3901E+02,6.0371E+02,7.4440E+02,
     &8.8495E+02,1.0263E+03,1.1680E+03,1.1554E+03,1.0154E+03,8.7390E+02,
     &7.3209E+02,6.0310E+02,7.4343E+02,8.8312E+02,1.0241E+03,1.1659E+03,
     &1.1463E+03,1.0081E+03,8.6768E+02,7.3113E+02,6.0226E+02,7.4178E+02,
     &8.8148E+02,1.0222E+03,1.1640E+03/
      DATA ((KA(JS,JT,13,12),JS=1,9),JT=1,5) /
     &1.1576E+03,1.0172E+03,8.7697E+02,7.3496E+02,6.0442E+02,7.4542E+02,
     &8.8710E+02,1.0287E+03,1.1710E+03,1.1489E+03,1.0121E+03,8.6787E+02,
     &7.3038E+02,6.0369E+02,7.4483E+02,8.8615E+02,1.0278E+03,1.1697E+03,
     &1.1408E+03,1.0003E+03,8.6069E+02,7.2468E+02,6.0332E+02,7.4398E+02,
     &8.8477E+02,1.0262E+03,1.1679E+03,1.1353E+03,9.9812E+02,8.5805E+02,
     &7.2010E+02,6.0276E+02,7.4301E+02,8.8294E+02,1.0240E+03,1.1659E+03,
     &1.1276E+03,9.9093E+02,8.5424E+02,7.1851E+02,6.0186E+02,7.4137E+02,
     &8.8131E+02,1.0223E+03,1.1640E+03/
      DATA ((KA(JS,JT, 1,13),JS=1,9),JT=1,5) /
     &1.9698E+03,1.7183E+03,1.4812E+03,1.2476E+03,1.0057E+03,7.6142E+02,
     &8.9076E+02,1.0305E+03,1.1701E+03,1.9138E+03,1.6790E+03,1.4471E+03,
     &1.2079E+03,9.7024E+02,7.4958E+02,8.8854E+02,1.0281E+03,1.1676E+03,
     &1.8656E+03,1.6362E+03,1.4072E+03,1.1764E+03,9.5368E+02,7.4756E+02,
     &8.8578E+02,1.0247E+03,1.1642E+03,1.8274E+03,1.6076E+03,1.3744E+03,
     &1.1522E+03,9.3101E+02,7.4489E+02,8.8368E+02,1.0224E+03,1.1624E+03,
     &1.8123E+03,1.5711E+03,1.3539E+03,1.1391E+03,9.1271E+02,7.4309E+02,
     &8.8194E+02,1.0210E+03,1.1601E+03/
      DATA ((KA(JS,JT, 2,13),JS=1,9),JT=1,5) /
     &1.8136E+03,1.6074E+03,1.3682E+03,1.1455E+03,9.2152E+02,7.5090E+02,
     &8.9044E+02,1.0309E+03,1.1711E+03,1.7663E+03,1.5639E+03,1.3412E+03,
     &1.1338E+03,9.0565E+02,7.4892E+02,8.8842E+02,1.0286E+03,1.1690E+03,
     &1.7473E+03,1.5168E+03,1.3179E+03,1.0933E+03,8.8564E+02,7.4657E+02,
     &8.8587E+02,1.0277E+03,1.1659E+03,1.6935E+03,1.4940E+03,1.2866E+03,
     &1.0771E+03,8.6513E+02,7.4388E+02,8.8292E+02,1.0226E+03,1.1621E+03,
     &1.6796E+03,1.4587E+03,1.2610E+03,1.0625E+03,8.5051E+02,7.4222E+02,
     &8.8187E+02,1.0215E+03,1.1614E+03/
      DATA ((KA(JS,JT, 3,13),JS=1,9),JT=1,5) /
     &1.6915E+03,1.4853E+03,1.2759E+03,1.0742E+03,8.7078E+02,7.5040E+02,
     &8.9056E+02,1.0314E+03,1.1723E+03,1.6685E+03,1.4695E+03,1.2569E+03,
     &1.0522E+03,8.4369E+02,7.4849E+02,8.8875E+02,1.0295E+03,1.1702E+03,
     &1.6315E+03,1.4234E+03,1.2207E+03,1.0278E+03,8.3542E+02,7.4665E+02,
     &8.8665E+02,1.0272E+03,1.1677E+03,1.5936E+03,1.3973E+03,1.1983E+03,
     &1.0068E+03,8.1253E+02,7.4392E+02,8.8383E+02,1.0241E+03,1.1643E+03,
     &1.5704E+03,1.3749E+03,1.1794E+03,9.9081E+02,7.9887E+02,7.4214E+02,
     &8.8216E+02,1.0204E+03,1.1625E+03/
      DATA ((KA(JS,JT, 4,13),JS=1,9),JT=1,5) /
     &1.6005E+03,1.4146E+03,1.2141E+03,1.0096E+03,8.1830E+02,7.4981E+02,
     &8.9073E+02,1.0323E+03,1.1736E+03,1.5697E+03,1.3709E+03,1.1792E+03,
     &9.8706E+02,8.0274E+02,7.4843E+02,8.8917E+02,1.0304E+03,1.1716E+03,
     &1.5342E+03,1.3528E+03,1.1633E+03,9.7494E+02,7.8298E+02,7.4655E+02,
     &8.8714E+02,1.0283E+03,1.1694E+03,1.5079E+03,1.3273E+03,1.1368E+03,
     &9.5326E+02,7.6898E+02,7.4477E+02,8.8522E+02,1.0258E+03,1.1666E+03,
     &1.4904E+03,1.3050E+03,1.1274E+03,9.4133E+02,7.5918E+02,7.4185E+02,
     &8.8236E+02,1.0229E+03,1.1634E+03/
      DATA ((KA(JS,JT, 5,13),JS=1,9),JT=1,5) /
     &1.5223E+03,1.3292E+03,1.1458E+03,9.6632E+02,7.7253E+02,7.4931E+02,
     &8.9080E+02,1.0327E+03,1.1744E+03,1.4887E+03,1.3100E+03,1.1308E+03,
     &9.5564E+02,7.6318E+02,7.4814E+02,8.8953E+02,1.0311E+03,1.1728E+03,
     &1.4666E+03,1.2805E+03,1.0990E+03,9.2585E+02,7.4527E+02,7.4662E+02,
     &8.8788E+02,1.0293E+03,1.1708E+03,1.4380E+03,1.2615E+03,1.0805E+03,
     &9.1192E+02,7.3306E+02,7.4471E+02,8.8594E+02,1.0272E+03,1.1684E+03,
     &1.4117E+03,1.2389E+03,1.0707E+03,8.9863E+02,7.2872E+02,7.4254E+02,
     &8.8356E+02,1.0243E+03,1.1652E+03/
      DATA ((KA(JS,JT, 6,13),JS=1,9),JT=1,5) /
     &1.4428E+03,1.2661E+03,1.0990E+03,9.1605E+02,7.4645E+02,7.4914E+02,
     &8.9068E+02,1.0327E+03,1.1747E+03,1.4277E+03,1.2454E+03,1.0670E+03,
     &9.0364E+02,7.2758E+02,7.4802E+02,8.8983E+02,1.0318E+03,1.1738E+03,
     &1.4072E+03,1.2244E+03,1.0539E+03,8.8576E+02,7.1342E+02,7.4674E+02,
     &8.8844E+02,1.0303E+03,1.1723E+03,1.3764E+03,1.2101E+03,1.0371E+03,
     &8.7173E+02,7.0565E+02,7.4519E+02,8.8672E+02,1.0284E+03,1.1700E+03,
     &1.3559E+03,1.1928E+03,1.0275E+03,8.7202E+02,6.9916E+02,7.4337E+02,
     &8.8468E+02,1.0257E+03,1.1677E+03/
      DATA ((KA(JS,JT, 7,13),JS=1,9),JT=1,5) /
     &1.3816E+03,1.2181E+03,1.0498E+03,8.7727E+02,7.0862E+02,7.4879E+02,
     &8.9032E+02,1.0324E+03,1.1748E+03,1.3746E+03,1.2007E+03,1.0368E+03,
     &8.6700E+02,6.9742E+02,7.4791E+02,8.8998E+02,1.0322E+03,1.1745E+03,
     &1.3471E+03,1.1822E+03,1.0118E+03,8.5187E+02,6.9076E+02,7.4684E+02,
     &8.8891E+02,1.0311E+03,1.1732E+03,1.3306E+03,1.1625E+03,1.0055E+03,
     &8.3687E+02,6.7946E+02,7.4564E+02,8.8741E+02,1.0294E+03,1.1714E+03,
     &1.3072E+03,1.1462E+03,9.8997E+02,8.2975E+02,6.7148E+02,7.4390E+02,
     &8.8544E+02,1.0275E+03,1.1691E+03/
      DATA ((KA(JS,JT, 8,13),JS=1,9),JT=1,5) /
     &1.3342E+03,1.1738E+03,1.0072E+03,8.4777E+02,6.8336E+02,7.4810E+02,
     &8.9032E+02,1.0328E+03,1.1753E+03,1.3170E+03,1.1565E+03,9.9551E+02,
     &8.3812E+02,6.7873E+02,7.4767E+02,8.8984E+02,1.0325E+03,1.1747E+03,
     &1.2961E+03,1.1348E+03,9.8531E+02,8.2142E+02,6.6767E+02,7.4660E+02,
     &8.8923E+02,1.0317E+03,1.1741E+03,1.2863E+03,1.1324E+03,9.6704E+02,
     &8.1553E+02,6.5703E+02,7.4590E+02,8.8815E+02,1.0305E+03,1.1725E+03,
     &1.2689E+03,1.1113E+03,9.6142E+02,8.1188E+02,6.5150E+02,7.4435E+02,
     &8.8637E+02,1.0284E+03,1.1705E+03/
      DATA ((KA(JS,JT, 9,13),JS=1,9),JT=1,5) /
     &1.2929E+03,1.1420E+03,9.7941E+02,8.2358E+02,6.6259E+02,7.4862E+02,
     &8.9046E+02,1.0332E+03,1.1761E+03,1.2739E+03,1.1222E+03,9.6918E+02,
     &8.1141E+02,6.5436E+02,7.4747E+02,8.8962E+02,1.0323E+03,1.1749E+03,
     &1.2674E+03,1.1070E+03,9.4554E+02,7.9811E+02,6.4989E+02,7.4671E+02,
     &8.8937E+02,1.0320E+03,1.1746E+03,1.2536E+03,1.0974E+03,9.3180E+02,
     &7.8881E+02,6.4048E+02,7.4596E+02,8.8846E+02,1.0310E+03,1.1735E+03,
     &1.2304E+03,1.0931E+03,9.2897E+02,7.8158E+02,6.3657E+02,7.4461E+02,
     &8.8706E+02,1.0294E+03,1.1717E+03/
      DATA ((KA(JS,JT,10,13),JS=1,9),JT=1,5) /
     &1.2516E+03,1.1039E+03,9.6641E+02,8.0204E+02,6.4728E+02,7.4871E+02,
     &8.9043E+02,1.0331E+03,1.1761E+03,1.2445E+03,1.0951E+03,9.4205E+02,
     &7.8296E+02,6.3684E+02,7.4738E+02,8.8974E+02,1.0326E+03,1.1754E+03,
     &1.2212E+03,1.0830E+03,9.2907E+02,7.8344E+02,6.2583E+02,7.4649E+02,
     &8.8924E+02,1.0320E+03,1.1747E+03,1.2116E+03,1.0675E+03,9.1424E+02,
     &7.6668E+02,6.2374E+02,7.4589E+02,8.8889E+02,1.0314E+03,1.1741E+03,
     &1.2052E+03,1.0532E+03,9.0488E+02,7.6246E+02,6.1399E+02,7.4500E+02,
     &8.8754E+02,1.0301E+03,1.1727E+03/
      DATA ((KA(JS,JT,11,13),JS=1,9),JT=1,5) /
     &1.2119E+03,1.0670E+03,9.2549E+02,7.7292E+02,6.2469E+02,7.4822E+02,
     &8.9015E+02,1.0331E+03,1.1759E+03,1.2040E+03,1.0529E+03,9.0947E+02,
     &7.6631E+02,6.1756E+02,7.4680E+02,8.8950E+02,1.0325E+03,1.1754E+03,
     &1.1932E+03,1.0470E+03,9.0374E+02,7.5316E+02,6.1137E+02,7.4625E+02,
     &8.8901E+02,1.0319E+03,1.1747E+03,1.1901E+03,1.0395E+03,8.9205E+02,
     &7.5483E+02,6.0707E+02,7.4529E+02,8.8868E+02,1.0313E+03,1.1742E+03,
     &1.1740E+03,1.0262E+03,8.8782E+02,7.4555E+02,6.0321E+02,7.4456E+02,
     &8.8735E+02,1.0302E+03,1.1727E+03/
      DATA ((KA(JS,JT,12,13),JS=1,9),JT=1,5) /
     &1.1952E+03,1.0387E+03,9.0464E+02,7.5031E+02,6.0579E+02,7.4809E+02,
     &8.8993E+02,1.0330E+03,1.1761E+03,1.1767E+03,1.0280E+03,8.9305E+02,
     &7.4295E+02,6.0520E+02,7.4658E+02,8.8930E+02,1.0324E+03,1.1754E+03,
     &1.1638E+03,1.0252E+03,8.8200E+02,7.4209E+02,6.0448E+02,7.4580E+02,
     &8.8883E+02,1.0318E+03,1.1747E+03,1.1608E+03,1.0182E+03,8.7717E+02,
     &7.3339E+02,6.0384E+02,7.4474E+02,8.8834E+02,1.0314E+03,1.1742E+03,
     &1.1455E+03,1.0085E+03,8.6868E+02,7.2782E+02,6.0261E+02,7.4417E+02,
     &8.8752E+02,1.0299E+03,1.1727E+03/
      DATA ((KA(JS,JT,13,13),JS=1,9),JT=1,5) /
     &1.1538E+03,1.0104E+03,8.7836E+02,7.4181E+02,6.0545E+02,7.4747E+02,
     &8.8975E+02,1.0329E+03,1.1763E+03,1.1412E+03,1.0013E+03,8.8484E+02,
     &7.3153E+02,6.0489E+02,7.4629E+02,8.8914E+02,1.0323E+03,1.1754E+03,
     &1.1370E+03,1.0022E+03,8.6246E+02,7.3215E+02,6.0419E+02,7.4569E+02,
     &8.8867E+02,1.0317E+03,1.1747E+03,1.1288E+03,9.9109E+02,8.6549E+02,
     &7.2280E+02,6.0356E+02,7.4480E+02,8.8820E+02,1.0312E+03,1.1742E+03,
     &1.1445E+03,9.9099E+02,8.5129E+02,7.1952E+02,6.0234E+02,7.4410E+02,
     &8.8705E+02,1.0299E+03,1.1727E+03/
      DATA ((KA(JS,JT, 1,14),JS=1,9),JT=1,5) /
     &2.0185E+03,1.8044E+03,1.4758E+03,1.3047E+03,1.0029E+03,7.7460E+02,
     &8.9226E+02,1.0322E+03,1.1721E+03,1.9173E+03,1.7154E+03,1.4467E+03,
     &1.2101E+03,9.9594E+02,7.5026E+02,8.8974E+02,1.0295E+03,1.1713E+03,
     &1.9468E+03,1.6851E+03,1.4136E+03,1.2474E+03,9.4959E+02,7.4773E+02,
     &8.8696E+02,1.0271E+03,1.1663E+03,1.8423E+03,1.6214E+03,1.3991E+03,
     &1.1633E+03,9.4698E+02,7.4507E+02,8.8457E+02,1.0239E+03,1.1632E+03,
     &1.7538E+03,1.6376E+03,1.3645E+03,1.1303E+03,9.8877E+02,7.4430E+02,
     &8.8372E+02,1.0232E+03,1.1626E+03/
      DATA ((KA(JS,JT, 2,14),JS=1,9),JT=1,5) /
     &1.8551E+03,1.6163E+03,1.3640E+03,1.2440E+03,9.7095E+02,7.5153E+02,
     &8.9202E+02,1.0323E+03,1.1731E+03,1.8136E+03,1.6209E+03,1.3887E+03,
     &1.1127E+03,9.0845E+02,7.4936E+02,8.8974E+02,1.0301E+03,1.1702E+03,
     &1.7918E+03,1.5931E+03,1.3282E+03,1.1266E+03,9.3052E+02,7.4732E+02,
     &8.8725E+02,1.0243E+03,1.1672E+03,1.7507E+03,1.4791E+03,1.2865E+03,
     &1.0818E+03,8.7901E+02,7.4478E+02,8.8467E+02,1.0246E+03,1.1645E+03,
     &1.6872E+03,1.4818E+03,1.2871E+03,1.0513E+03,8.8744E+02,7.4325E+02,
     &8.8337E+02,1.0230E+03,1.1625E+03/
      DATA ((KA(JS,JT, 3,14),JS=1,9),JT=1,5) /
     &1.6919E+03,1.5533E+03,1.3337E+03,1.0831E+03,8.6308E+02,7.5085E+02,
     &8.9217E+02,1.0333E+03,1.1744E+03,1.7034E+03,1.5495E+03,1.2643E+03,
     &1.1407E+03,8.4365E+02,7.4929E+02,8.9025E+02,1.0312E+03,1.1722E+03,
     &1.6844E+03,1.4282E+03,1.2585E+03,1.0790E+03,8.4114E+02,7.4691E+02,
     &8.8785E+02,1.0286E+03,1.1700E+03,1.6791E+03,1.4180E+03,1.2209E+03,
     &1.0441E+03,8.5899E+02,7.4519E+02,8.8544E+02,1.0259E+03,1.1667E+03,
     &1.6063E+03,1.3774E+03,1.2181E+03,1.0006E+03,8.2020E+02,7.4245E+02,
     &8.8287E+02,1.0231E+03,1.1633E+03/
      DATA ((KA(JS,JT, 4,14),JS=1,9),JT=1,5) /
     &1.5960E+03,1.3846E+03,1.2078E+03,1.0284E+03,8.1079E+02,7.5078E+02,
     &8.9233E+02,1.0336E+03,1.1751E+03,1.6237E+03,1.3919E+03,1.1906E+03,
     &1.0115E+03,8.3009E+02,7.4909E+02,8.9076E+02,1.0322E+03,1.1737E+03,
     &1.6136E+03,1.3698E+03,1.2046E+03,9.8839E+02,8.0997E+02,7.4745E+02,
     &8.8871E+02,1.0300E+03,1.1712E+03,1.5739E+03,1.3753E+03,1.1394E+03,
     &9.7871E+02,7.7029E+02,7.4770E+02,8.8627E+02,1.0279E+03,1.1682E+03,
     &1.4863E+03,1.3334E+03,1.1445E+03,9.5775E+02,7.8998E+02,7.4317E+02,
     &8.8387E+02,1.0246E+03,1.1653E+03/
      DATA ((KA(JS,JT, 5,14),JS=1,9),JT=1,5) /
     &1.5101E+03,1.4006E+03,1.1513E+03,9.6783E+02,7.9581E+02,7.5045E+02,
     &8.9239E+02,1.0340E+03,1.1759E+03,1.5461E+03,1.3003E+03,1.1685E+03,
     &9.2112E+02,7.7517E+02,7.4927E+02,8.9114E+02,1.0330E+03,1.1749E+03,
     &1.4676E+03,1.2966E+03,1.1042E+03,9.3875E+02,7.9645E+02,7.4772E+02,
     &8.8943E+02,1.0311E+03,1.1729E+03,1.4571E+03,1.2955E+03,1.1734E+03,
     &8.9731E+02,7.6986E+02,7.4578E+02,8.8723E+02,1.0287E+03,1.1702E+03,
     &1.4311E+03,1.3054E+03,1.0738E+03,1.0079E+03,7.2704E+02,7.4437E+02,
     &8.8461E+02,1.0260E+03,1.1675E+03/
      DATA ((KA(JS,JT, 6,14),JS=1,9),JT=1,5) /
     &1.4715E+03,1.2798E+03,1.1182E+03,9.2160E+02,7.5379E+02,7.5023E+02,
     &8.9251E+02,1.0348E+03,1.1771E+03,1.4479E+03,1.2414E+03,1.1222E+03,
     &9.1289E+02,7.5013E+02,7.4921E+02,8.9141E+02,1.0336E+03,1.1758E+03,
     &1.4270E+03,1.2651E+03,1.0793E+03,9.1215E+02,7.4649E+02,7.4796E+02,
     &8.9005E+02,1.0321E+03,1.1739E+03,1.4058E+03,1.2702E+03,1.1005E+03,
     &9.3809E+02,6.9854E+02,7.4632E+02,8.8820E+02,1.0301E+03,1.1720E+03,
     &1.4048E+03,1.2100E+03,1.0413E+03,8.4934E+02,6.9794E+02,7.4429E+02,
     &8.8588E+02,1.0284E+03,1.1701E+03/
      DATA ((KA(JS,JT, 7,14),JS=1,9),JT=1,5) /
     &1.4325E+03,1.2413E+03,1.0595E+03,8.8906E+02,7.1717E+02,7.5037E+02,
     &8.9273E+02,1.0353E+03,1.1779E+03,1.3620E+03,1.2089E+03,1.0598E+03,
     &8.9550E+02,7.3134E+02,7.4911E+02,8.9161E+02,1.0341E+03,1.1766E+03,
     &1.3346E+03,1.2111E+03,1.0262E+03,8.4775E+02,6.8161E+02,7.4811E+02,
     &8.9050E+02,1.0329E+03,1.1753E+03,1.3132E+03,1.1998E+03,9.9757E+02,
     &8.6083E+02,7.0251E+02,7.4653E+02,8.8899E+02,1.0312E+03,1.1735E+03,
     &1.3232E+03,1.1634E+03,1.0230E+03,8.4353E+02,6.8339E+02,7.4500E+02,
     &8.8698E+02,1.0287E+03,1.1709E+03/
      DATA ((KA(JS,JT, 8,14),JS=1,9),JT=1,5) /
     &1.3366E+03,1.1630E+03,1.0188E+03,8.6405E+02,7.1800E+02,7.5008E+02,
     &8.9285E+02,1.0357E+03,1.1785E+03,1.3647E+03,1.1518E+03,1.0110E+03,
     &8.4719E+02,6.7819E+02,7.4911E+02,8.9187E+02,1.0343E+03,1.1777E+03,
     &1.3128E+03,1.1472E+03,9.9038E+02,8.2656E+02,6.6483E+02,7.4815E+02,
     &8.9080E+02,1.0335E+03,1.1761E+03,1.2817E+03,1.1127E+03,1.0092E+03,
     &8.2047E+02,6.5442E+02,7.4685E+02,8.8933E+02,1.0318E+03,1.1746E+03,
     &1.3162E+03,1.1356E+03,9.8305E+02,8.4668E+02,6.6544E+02,7.4558E+02,
     &8.8790E+02,1.0302E+03,1.1725E+03/
      DATA ((KA(JS,JT, 9,14),JS=1,9),JT=1,5) /
     &1.3174E+03,1.1399E+03,9.7696E+02,8.4117E+02,6.6145E+02,7.5011E+02,
     &8.9307E+02,1.0362E+03,1.1789E+03,1.3196E+03,1.1310E+03,9.9094E+02,
     &8.0674E+02,6.7265E+02,7.4915E+02,8.9213E+02,1.0351E+03,1.1781E+03,
     &1.2950E+03,1.0983E+03,1.0229E+03,8.6051E+02,6.6007E+02,7.4819E+02,
     &8.9107E+02,1.0339E+03,1.1768E+03,1.2605E+03,1.0785E+03,1.0061E+03,
     &7.9531E+02,6.3414E+02,7.4728E+02,8.9004E+02,1.0328E+03,1.1756E+03,
     &1.2553E+03,1.0628E+03,9.4908E+02,8.2074E+02,6.4983E+02,7.4606E+02,
     &8.8866E+02,1.0313E+03,1.1739E+03/
      DATA ((KA(JS,JT,10,14),JS=1,9),JT=1,5) /
     &1.3413E+03,1.1632E+03,1.0048E+03,8.0476E+02,6.5189E+02,7.5022E+02,
     &8.9354E+02,1.0369E+03,1.1806E+03,1.2838E+03,1.1017E+03,1.0173E+03,
     &8.5213E+02,6.4367E+02,7.4909E+02,8.9223E+02,1.0354E+03,1.1786E+03,
     &1.2657E+03,1.1229E+03,9.2134E+02,8.0214E+02,6.4195E+02,7.4870E+02,
     &8.9159E+02,1.0344E+03,1.1778E+03,1.2310E+03,1.0594E+03,9.2792E+02,
     &7.8251E+02,6.2401E+02,7.4734E+02,8.9003E+02,1.0332E+03,1.1762E+03,
     &1.2088E+03,1.0663E+03,9.2275E+02,7.7707E+02,6.4354E+02,7.4634E+02,
     &8.8914E+02,1.0320E+03,1.1748E+03/
      DATA ((KA(JS,JT,11,14),JS=1,9),JT=1,5) /
     &1.2205E+03,1.0982E+03,9.3349E+02,7.9899E+02,6.4961E+02,7.4981E+02,
     &8.9329E+02,1.0368E+03,1.1803E+03,1.2266E+03,1.0977E+03,9.0836E+02,
     &7.6723E+02,6.1851E+02,7.4871E+02,8.9199E+02,1.0353E+03,1.1786E+03,
     &1.1876E+03,1.0750E+03,9.2258E+02,7.6849E+02,6.1349E+02,7.4902E+02,
     &8.9163E+02,1.0343E+03,1.1775E+03,1.2363E+03,1.0327E+03,9.1965E+02,
     &7.4736E+02,6.0206E+02,7.4703E+02,8.8982E+02,1.0331E+03,1.1762E+03,
     &1.1827E+03,1.0266E+03,8.9018E+02,7.6668E+02,6.0360E+02,7.4604E+02,
     &8.8895E+02,1.0316E+03,1.1748E+03/
      DATA ((KA(JS,JT,12,14),JS=1,9),JT=1,5) /
     &1.1808E+03,1.0792E+03,8.8334E+02,7.6947E+02,6.0663E+02,7.4904E+02,
     &8.9307E+02,1.0367E+03,1.1803E+03,1.2120E+03,1.0402E+03,9.2096E+02,
     &7.8880E+02,6.0609E+02,7.4841E+02,8.9179E+02,1.0352E+03,1.1786E+03,
     &1.2016E+03,1.0899E+03,9.0018E+02,7.3017E+02,6.0527E+02,7.5028E+02,
     &8.9119E+02,1.0342E+03,1.1778E+03,1.1901E+03,1.0101E+03,8.8929E+02,
     &7.5342E+02,6.0426E+02,7.4677E+02,8.8991E+02,1.0327E+03,1.1762E+03,
     &1.2404E+03,1.0285E+03,8.7283E+02,7.7029E+02,6.0316E+02,7.4579E+02,
     &8.8852E+02,1.0318E+03,1.1748E+03/
      DATA ((KA(JS,JT,13,14),JS=1,9),JT=1,5) /
     &1.1819E+03,1.0465E+03,8.7588E+02,7.2550E+02,6.0649E+02,7.4922E+02,
     &8.9289E+02,1.0366E+03,1.1799E+03,1.1759E+03,1.0245E+03,8.6816E+02,
     &7.7411E+02,6.0565E+02,7.4816E+02,8.9163E+02,1.0351E+03,1.1786E+03,
     &1.1354E+03,1.0124E+03,9.6299E+02,7.2358E+02,6.0486E+02,7.4851E+02,
     &8.9156E+02,1.0341E+03,1.1778E+03,1.1811E+03,1.0736E+03,8.5638E+02,
     &7.4549E+02,6.0366E+02,7.4655E+02,8.8977E+02,1.0330E+03,1.1762E+03,
     &1.1332E+03,9.9282E+02,8.7259E+02,7.7082E+02,6.0280E+02,7.4559E+02,
     &8.8865E+02,1.0317E+03,1.1748E+03/
      DATA ((KA(JS,JT, 1,15),JS=1,9),JT=1,5) /
     &1.9847E+03,1.6615E+03,1.6299E+03,1.1466E+03,1.0123E+03,7.2871E+02,
     &8.9405E+02,1.0334E+03,1.1734E+03,1.8867E+03,1.6470E+03,1.4051E+03,
     &1.2848E+03,9.1870E+02,7.5104E+02,8.9013E+02,1.0307E+03,1.1650E+03,
     &1.7405E+03,1.6240E+03,1.4364E+03,1.0773E+03,1.0008E+03,7.4790E+02,
     &8.9023E+02,1.0382E+03,1.1720E+03,1.9099E+03,1.6930E+03,1.4454E+03,
     &1.2410E+03,9.5925E+02,7.4605E+02,8.8544E+02,1.0248E+03,1.1651E+03,
     &1.9738E+03,1.3892E+03,1.4377E+03,1.2129E+03,7.7083E+02,7.4496E+02,
     &8.8458E+02,1.0242E+03,1.1638E+03/
      DATA ((KA(JS,JT, 2,15),JS=1,9),JT=1,5) /
     &1.8788E+03,1.5414E+03,1.4391E+03,9.4831E+02,8.8384E+02,7.5320E+02,
     &8.9399E+02,1.0340E+03,1.1746E+03,1.6660E+03,1.4507E+03,1.2145E+03,
     &1.1753E+03,9.1977E+02,7.5003E+02,8.9113E+02,1.0308E+03,1.1712E+03,
     &1.5746E+03,1.4551E+03,1.3375E+03,1.0698E+03,7.6931E+02,7.4657E+02,
     &8.8729E+02,1.0267E+03,1.1695E+03,1.6772E+03,1.6415E+03,1.3391E+03,
     &1.0287E+03,8.8207E+02,7.4593E+02,8.8530E+02,1.0252E+03,1.1661E+03,
     &1.6581E+03,1.5452E+03,1.2479E+03,1.0067E+03,8.3698E+02,7.4419E+02,
     &8.8279E+02,1.0234E+03,1.1634E+03/
      DATA ((KA(JS,JT, 3,15),JS=1,9),JT=1,5) /
     &1.7888E+03,1.3395E+03,1.2224E+03,1.1479E+03,9.1734E+02,7.5291E+02,
     &8.9358E+02,1.0348E+03,1.1761E+03,1.6146E+03,1.1805E+03,1.2709E+03,
     &8.5911E+02,9.0210E+02,7.5028E+02,8.9203E+02,1.0324E+03,1.1734E+03,
     &1.4717E+03,1.5353E+03,1.2224E+03,9.6001E+02,7.7554E+02,7.4753E+02,
     &8.8823E+02,1.0297E+03,1.1678E+03,1.5479E+03,1.4535E+03,1.1756E+03,
     &9.9609E+02,7.1892E+02,7.4634E+02,8.8703E+02,1.0366E+03,1.1684E+03,
     &1.5155E+03,1.4515E+03,1.1733E+03,1.0638E+03,8.0510E+02,7.4461E+02,
     &8.8580E+02,1.0240E+03,1.1652E+03/
      DATA ((KA(JS,JT, 4,15),JS=1,9),JT=1,5) /
     &1.5848E+03,1.4083E+03,1.2006E+03,1.0439E+03,8.1336E+02,7.5201E+02,
     &8.9444E+02,1.0363E+03,1.1781E+03,1.3736E+03,1.3760E+03,1.2165E+03,
     &9.4289E+02,7.5006E+02,7.5167E+02,8.9210E+02,1.0337E+03,1.1753E+03,
     &1.4353E+03,1.3702E+03,1.0217E+03,1.0119E+03,7.2585E+02,7.4883E+02,
     &8.8956E+02,1.0325E+03,1.1731E+03,1.4295E+03,1.2548E+03,1.2198E+03,
     &9.6945E+02,8.4557E+02,7.3846E+02,8.8641E+02,1.0258E+03,1.1703E+03,
     &1.5742E+03,1.3268E+03,1.0395E+03,9.0301E+02,6.7604E+02,7.4473E+02,
     &8.8569E+02,1.0266E+03,1.1676E+03/
      DATA ((KA(JS,JT, 5,15),JS=1,9),JT=1,5) /
     &1.5038E+03,1.1787E+03,1.1191E+03,9.6573E+02,7.4364E+02,7.5161E+02,
     &8.9373E+02,1.0358E+03,1.1780E+03,1.2972E+03,1.4157E+03,1.0073E+03,
     &1.0120E+03,7.8829E+02,7.5051E+02,8.9254E+02,1.0346E+03,1.1785E+03,
     &1.5562E+03,1.2980E+03,1.1053E+03,9.6784E+02,6.8156E+02,7.4938E+02,
     &8.9063E+02,1.0325E+03,1.1743E+03,1.5203E+03,1.2953E+03,9.6757E+02,
     &9.5061E+02,6.8480E+02,7.4750E+02,8.8780E+02,1.0293E+03,1.1708E+03,
     &1.4730E+03,1.1456E+03,1.1151E+03,6.8408E+02,7.6176E+02,7.5307E+02,
     &8.9322E+02,1.0317E+03,1.1682E+03/
      DATA ((KA(JS,JT, 6,15),JS=1,9),JT=1,5) /
     &1.5240E+03,1.2794E+03,1.0826E+03,9.3131E+02,6.9525E+02,7.5122E+02,
     &8.9364E+02,1.0361E+03,1.1785E+03,1.3735E+03,1.2837E+03,1.0725E+03,
     &9.1616E+02,6.9548E+02,7.5041E+02,8.9279E+02,1.0360E+03,1.1776E+03,
     &1.4287E+03,1.1366E+03,1.0240E+03,8.7529E+02,7.0795E+02,7.5034E+02,
     &8.9142E+02,1.0337E+03,1.1759E+03,1.2768E+03,1.1078E+03,9.8805E+02,
     &7.6254E+02,7.7383E+02,7.4782E+02,8.8921E+02,1.0312E+03,1.1732E+03,
     &1.3045E+03,1.2087E+03,1.0585E+03,8.9185E+02,6.9378E+02,7.4461E+02,
     &8.8618E+02,1.0253E+03,1.1684E+03/
      DATA ((KA(JS,JT, 7,15),JS=1,9),JT=1,5) /
     &1.3068E+03,1.1778E+03,1.0485E+03,8.7245E+02,7.0237E+02,7.5029E+02,
     &8.9358E+02,1.0363E+03,1.1790E+03,1.3988E+03,1.1525E+03,9.8924E+02,
     &8.3779E+02,6.4617E+02,7.5022E+02,8.9357E+02,1.0355E+03,1.1782E+03,
     &1.4294E+03,1.1695E+03,1.0182E+03,9.1196E+02,6.9696E+02,7.4932E+02,
     &8.9330E+02,1.0353E+03,1.1780E+03,1.4082E+03,1.0640E+03,1.0540E+03,
     &7.9295E+02,6.2688E+02,7.4789E+02,8.9097E+02,1.0327E+03,1.1750E+03,
     &1.3514E+03,1.2038E+03,1.0012E+03,8.3544E+02,6.7927E+02,7.4629E+02,
     &8.8843E+02,1.0298E+03,1.1718E+03/
      DATA ((KA(JS,JT, 8,15),JS=1,9),JT=1,5) /
     &1.4761E+03,1.2412E+03,1.0429E+03,8.4370E+02,6.2388E+02,7.5133E+02,
     &8.9371E+02,1.0367E+03,1.1796E+03,1.2119E+03,1.1409E+03,1.0121E+03,
     &8.5755E+02,7.0976E+02,7.4998E+02,8.9216E+02,1.0357E+03,1.1786E+03,
     &1.2581E+03,1.1663E+03,1.0198E+03,8.8649E+02,6.9509E+02,7.4932E+02,
     &8.9355E+02,1.0350E+03,1.1787E+03,1.2478E+03,1.2066E+03,8.7201E+02,
     &8.4155E+02,7.0223E+02,7.4886E+02,8.9098E+02,1.0337E+03,1.1764E+03,
     &1.2322E+03,1.1048E+03,9.3070E+02,6.8296E+02,6.6022E+02,7.4776E+02,
     &8.8972E+02,1.0315E+03,1.1748E+03/
      DATA ((KA(JS,JT, 9,15),JS=1,9),JT=1,5) /
     &1.3164E+03,1.2093E+03,1.0729E+03,8.0022E+02,6.8605E+02,7.5075E+02,
     &8.9396E+02,1.0372E+03,1.1804E+03,1.2738E+03,1.1851E+03,8.8381E+02,
     &8.5846E+02,6.5813E+02,7.4985E+02,8.9295E+02,1.0369E+03,1.1792E+03,
     &1.2657E+03,1.2031E+03,7.9849E+02,6.4636E+02,6.0824E+02,7.4924E+02,
     &8.9227E+02,1.0353E+03,1.1783E+03,1.2866E+03,1.1531E+03,8.5958E+02,
     &7.6890E+02,6.6204E+02,7.4965E+02,8.9143E+02,1.0344E+03,1.1773E+03,
     &1.1604E+03,1.1730E+03,8.7009E+02,7.3148E+02,5.8106E+02,7.4723E+02,
     &8.8998E+02,1.0327E+03,1.1755E+03/
      DATA ((KA(JS,JT,10,15),JS=1,9),JT=1,5) /
     &1.1188E+03,9.9215E+02,7.3460E+02,8.3046E+02,6.8844E+02,7.5085E+02,
     &8.9429E+02,1.0377E+03,1.1803E+03,1.2059E+03,1.0804E+03,7.0761E+02,
     &6.5712E+02,6.6535E+02,7.4980E+02,8.9311E+02,1.0364E+03,1.1807E+03,
     &1.1817E+03,1.0195E+03,9.5365E+02,7.1601E+02,5.9959E+02,7.4791E+02,
     &8.9228E+02,1.0355E+03,1.1778E+03,1.1350E+03,1.1533E+03,9.1058E+02,
     &8.1845E+02,6.4874E+02,7.4908E+02,8.9233E+02,1.0356E+03,1.1779E+03,
     &1.2000E+03,1.0896E+03,9.3671E+02,8.1314E+02,6.0750E+02,7.4754E+02,
     &8.9053E+02,1.0335E+03,1.1765E+03/
      DATA ((KA(JS,JT,11,15),JS=1,9),JT=1,5) /
     &1.2887E+03,1.0795E+03,9.2507E+02,7.6020E+02,6.1621E+02,7.5046E+02,
     &8.9404E+02,1.0376E+03,1.1812E+03,1.1864E+03,9.9352E+02,9.6688E+02,
     &8.1999E+02,6.5449E+02,7.4944E+02,8.9287E+02,1.0363E+03,1.1797E+03,
     &1.1946E+03,1.0069E+03,9.1904E+02,8.1170E+02,6.5606E+02,7.4582E+02,
     &8.9066E+02,1.0354E+03,1.1787E+03,1.0269E+03,1.0463E+03,8.2697E+02,
     &8.1731E+02,6.1185E+02,7.4876E+02,8.9142E+02,1.0347E+03,1.1779E+03,
     &1.1483E+03,1.0490E+03,9.1718E+02,7.2295E+02,6.0510E+02,7.4783E+02,
     &8.9173E+02,1.0334E+03,1.1765E+03/
      DATA ((KA(JS,JT,12,15),JS=1,9),JT=1,5) /
     &1.2157E+03,9.4948E+02,8.9441E+02,7.6380E+02,6.0866E+02,7.5013E+02,
     &8.9382E+02,1.0375E+03,1.1812E+03,1.0470E+03,1.0059E+03,8.3704E+02,
     &7.0161E+02,6.0721E+02,7.4914E+02,8.9267E+02,1.0370E+03,1.1807E+03,
     &1.0541E+03,8.6865E+02,8.6614E+02,7.9420E+02,6.0576E+02,7.4144E+02,
     &8.9117E+02,1.0353E+03,1.1778E+03,1.1152E+03,1.0946E+03,9.1200E+02,
     &7.5719E+02,6.0459E+02,7.4791E+02,8.9124E+02,1.0346E+03,1.1788E+03,
     &1.0232E+03,9.7767E+02,9.5862E+02,6.2268E+02,6.0382E+02,7.4758E+02,
     &8.8947E+02,1.0333E+03,1.1765E+03/
      DATA ((KA(JS,JT,13,15),JS=1,9),JT=1,5) /
     &1.1027E+03,9.3786E+02,8.4040E+02,7.7686E+02,6.0858E+02,7.4987E+02,
     &8.9364E+02,1.0374E+03,1.1812E+03,1.0816E+03,1.0747E+03,8.8690E+02,
     &6.6213E+02,6.0670E+02,7.4889E+02,8.9251E+02,1.0369E+03,1.1797E+03,
     &1.1963E+03,9.8701E+02,6.9767E+02,7.3646E+02,6.0528E+02,7.4531E+02,
     &8.8962E+02,1.0352E+03,1.1778E+03,1.0530E+03,7.8530E+02,9.1477E+02,
     &7.1026E+02,6.0430E+02,7.4770E+02,8.9110E+02,1.0345E+03,1.1779E+03,
     &1.1409E+03,1.0574E+03,8.3207E+02,6.1034E+02,6.0355E+02,7.4679E+02,
     &8.9073E+02,1.0333E+03,1.1765E+03/
      DATA ((KA(JS,JT, 1,16),JS=1,9),JT=1,5) /
     &3.4848E+02,4.9670E+02,2.9569E+02,3.1627E+02,4.6514E+02,4.2834E+02,
     &8.8848E+02,1.0335E+03,1.1735E+03,1.8044E+03,8.7518E+02,1.1930E+03,
     &4.5580E+02,8.3690E+02,7.4631E+02,8.9022E+02,1.0242E+03,1.1632E+03,
     &1.1196E+03,7.3658E+02,1.0480E+03,5.3695E+02,3.9566E+02,7.4377E+02,
     &8.6775E+02,9.4144E+02,1.1277E+03,7.2013E+02,4.0040E+02,3.9030E+02,
     &3.1401E+02,3.1498E+02,7.4613E+02,8.8553E+02,1.0249E+03,1.1579E+03,
     &3.4789E+02,1.4911E+03,3.3003E+02,2.9522E+02,3.1385E+02,7.4516E+02,
     &8.8480E+02,1.0244E+03,1.1641E+03/
      DATA ((KA(JS,JT, 2,16),JS=1,9),JT=1,5) /
     &4.1247E+02,8.1197E+02,6.8322E+02,5.0855E+02,2.4076E+02,7.4851E+02,
     &8.8842E+02,1.0341E+03,1.1748E+03,1.6209E+03,5.6884E+02,9.4156E+02,
     &2.9182E+02,4.6039E+02,7.5011E+02,8.8557E+02,1.0309E+03,1.1714E+03,
     &1.1534E+03,5.1443E+02,2.3941E+02,4.4358E+02,5.8779E+02,7.4720E+02,
     &8.8237E+02,1.0275E+03,1.1547E+03,7.8193E+02,3.0585E+02,4.2670E+02,
     &1.0365E+03,4.3225E+02,7.4126E+02,8.8535E+02,1.0253E+03,1.1588E+03,
     &6.7509E+02,4.0574E+02,5.7252E+02,1.0353E+03,1.5564E+02,7.3954E+02,
     &8.8360E+02,1.0236E+03,1.1636E+03/
      DATA ((KA(JS,JT, 3,16),JS=1,9),JT=1,5) /
     &9.1257E+02,1.1144E+03,5.4685E+02,1.9037E+02,2.5900E+02,7.4823E+02,
     &8.9369E+02,1.0350E+03,1.1762E+03,6.7162E+02,1.0092E+03,4.0983E+02,
     &3.7826E+02,4.2702E+02,7.5035E+02,8.8647E+02,1.0325E+03,1.1736E+03,
     &9.4657E+02,2.6107E+02,4.3567E+02,4.1065E+02,7.0838E+02,7.4760E+02,
     &8.8832E+02,1.0233E+03,1.1698E+03,1.0618E+02,4.5040E+02,1.0291E+03,
     &3.0237E+02,5.7813E+02,7.3277E+02,8.7582E+02,9.5203E+02,1.1472E+03,
     &9.6551E+02,6.8706E+02,5.6500E+02,1.4865E+02,3.5532E+02,7.3527E+02,
     &8.6908E+02,1.0241E+03,1.1579E+03/
      DATA ((KA(JS,JT, 4,16),JS=1,9),JT=1,5) /
     &1.3211E+03,1.1050E+03,9.1067E+02,3.4788E+02,7.6485E+02,7.5213E+02,
     &8.8892E+02,1.0299E+03,1.1709E+03,1.5543E+03,9.2211E+02,7.2798E+02,
     &8.6839E+02,3.6802E+02,7.4223E+02,8.9219E+02,1.0338E+03,1.1754E+03,
     &5.3676E+02,4.6363E+02,1.0941E+03,1.9958E+02,6.8767E+02,7.4416E+02,
     &8.8965E+02,1.0195E+03,1.1658E+03,6.6992E+02,6.1007E+02,5.0612E+02,
     &3.4999E+02,1.9685E+02,7.4139E+02,8.8155E+02,1.0274E+03,1.1555E+03,
     &5.5226E+02,4.2689E+02,1.0712E+03,6.9959E+02,6.9105E+02,7.3534E+02,
     &8.7452E+02,1.0137E+03,1.1529E+03/
      DATA ((KA(JS,JT, 5,16),JS=1,9),JT=1,5) /
     &1.1854E+03,9.0025E+02,1.0734E+03,3.6732E+02,5.1551E+02,7.5181E+02,
     &8.9397E+02,1.0361E+03,1.1783E+03,1.3933E+03,2.3882E+02,7.1015E+02,
     &2.9765E+02,8.8507E+01,7.5060E+02,8.9266E+02,1.0347E+03,1.1637E+03,
     &3.0783E+02,7.2533E+02,9.9782E+02,2.2581E+02,2.1957E+02,7.4471E+02,
     &8.9072E+02,1.0326E+03,1.1744E+03,1.2756E+02,2.3797E+02,1.6871E+02,
     &6.0625E+02,3.5893E+02,7.3811E+02,8.8789E+02,1.0294E+03,1.1709E+03,
     &6.7577E+02,6.7606E+02,5.7612E+02,1.5439E+02,2.2922E+02,6.6526E+02,
     &8.2593E+02,9.8621E+02,1.1543E+03/
      DATA ((KA(JS,JT, 6,16),JS=1,9),JT=1,5) /
     &3.5294E+02,9.2951E+02,3.9404E+02,5.9466E+02,4.6365E+02,7.5155E+02,
     &8.9403E+02,1.0365E+03,1.1790E+03,8.3494E+02,9.1972E+02,8.3351E+01,
     &2.6459E+02,3.3053E+02,7.5056E+02,8.9298E+02,1.0296E+03,1.1778E+03,
     &7.7495E+01,6.7358E+02,7.1470E+02,2.8985E+02,1.2695E+02,7.4093E+02,
     &8.9153E+02,1.0338E+03,1.1761E+03,1.2524E+03,5.2300E+02,1.7321E+02,
     &3.1958E+02,1.5643E+02,7.4316E+02,8.8930E+02,1.0313E+03,1.1733E+03,
     &7.9880E+02,5.4259E+02,3.1909E+02,4.7791E+02,4.5938E+02,7.4468E+02,
     &8.8626E+02,1.0278E+03,1.1499E+03/
      DATA ((KA(JS,JT, 7,16),JS=1,9),JT=1,5) /
     &1.0078E+03,8.3081E+02,6.8047E+02,6.8284E+02,5.7904E+02,7.5128E+02,
     &8.9403E+02,1.0368E+03,1.1795E+03,6.7323E+02,1.0228E+03,4.9758E+02,
     &3.3578E+02,3.8746E+02,7.5047E+02,8.8822E+02,1.0359E+03,1.1786E+03,
     &6.0358E+02,4.1876E+02,7.4942E+02,3.8757E+02,6.1092E+02,7.4943E+02,
     &8.8213E+02,1.0289E+03,1.1707E+03,6.9109E+02,1.1040E+03,4.6705E+02,
     &7.4628E+02,4.7483E+02,7.4797E+02,8.8542E+02,1.0328E+03,1.1752E+03,
     &6.8277E+02,4.6564E+02,1.9228E+02,4.8854E+02,2.8304E+02,7.4163E+02,
     &8.8289E+02,1.0299E+03,1.1719E+03/
      DATA ((KA(JS,JT, 8,16),JS=1,9),JT=1,5) /
     &2.6685E+02,6.0532E+02,5.1009E+02,4.0907E+02,3.9126E+02,7.4682E+02,
     &8.9396E+02,1.0369E+03,1.1799E+03,9.4869E+02,1.1471E+03,4.4706E+02,
     &2.3151E+02,9.3532E+01,7.5035E+02,8.9331E+02,1.0363E+03,1.1727E+03,
     &1.1588E+03,7.4588E+02,2.8311E+02,2.7864E+02,3.2853E+02,7.4950E+02,
     &8.8246E+02,1.0352E+03,1.1716E+03,1.1874E+03,4.7456E+02,8.3368E+02,
     &3.1591E+02,3.0274E+02,7.4421E+02,8.9109E+02,1.0338E+03,1.1765E+03,
     &4.5710E+02,6.6086E+02,5.5863E+02,5.8037E+02,2.0569E+02,7.3836E+02,
     &8.8417E+02,1.0316E+03,1.1675E+03/
      DATA ((KA(JS,JT, 9,16),JS=1,9),JT=1,5) /
     &5.5233E+02,1.8269E+02,1.8991E+02,3.5964E+02,3.8998E+02,7.5089E+02,
     &8.9415E+02,1.0374E+03,1.1807E+03,3.1819E+02,1.4904E+02,7.9703E+02,
     &3.2317E+02,2.0679E+02,7.5021E+02,8.9337E+02,1.0308E+03,1.1797E+03,
     &1.6059E+02,3.7409E+02,6.2337E+02,6.2951E+02,4.7662E+02,7.4953E+02,
     &8.9262E+02,1.0357E+03,1.1788E+03,1.5191E+02,6.3681E+02,2.5601E+02,
     &6.5772E+02,3.8994E+02,7.4029E+02,8.9158E+02,1.0346E+03,1.1775E+03,
     &1.0392E+03,3.3629E+02,9.0538E+02,3.3435E+02,4.6694E+02,7.4731E+02,
     &8.9008E+02,1.0329E+03,1.1756E+03/
      DATA ((KA(JS,JT,10,16),JS=1,9),JT=1,5) /
     &4.3161E+02,5.3194E+02,8.2168E+02,1.1050E+02,3.2159E+01,7.5101E+02,
     &8.9450E+02,1.0380E+03,1.1815E+03,2.3362E+02,5.0697E+02,7.5913E+02,
     &3.7965E+02,1.5877E+02,7.5002E+02,8.9333E+02,1.0366E+03,1.1734E+03,
     &6.6577E+02,2.2676E+02,6.3752E+02,5.0488E+02,5.2339E+02,7.4947E+02,
     &8.8778E+02,1.0360E+03,1.1793E+03,1.2040E+03,3.7222E+02,7.1269E+02,
     &6.8368E+01,3.1445E+02,7.4453E+02,8.8691E+02,1.0293E+03,1.1782E+03,
     &8.5334E+02,5.0951E+02,4.3397E+02,1.1861E+02,1.5074E+02,7.4764E+02,
     &8.9065E+02,1.0337E+03,1.1767E+03/
      DATA ((KA(JS,JT,11,16),JS=1,9),JT=1,5) /
     &4.5853E+02,2.9024E+02,3.8275E+02,2.6130E+02,1.2124E+02,7.5062E+02,
     &8.9424E+02,1.0379E+03,1.1815E+03,6.6691E+02,5.5656E+02,3.9879E+02,
     &1.6526E+02,2.4675E+02,7.4965E+02,8.9309E+02,1.0365E+03,1.1800E+03,
     &1.0239E+03,6.0930E+02,2.2001E+02,1.0914E+02,2.2748E+02,7.4913E+02,
     &8.9251E+02,1.0359E+03,1.1793E+03,8.0567E+02,9.0344E+02,7.7356E+02,
     &1.2489E+02,5.5902E+02,7.4421E+02,8.9165E+02,1.0349E+03,1.1782E+03,
     &8.0619E+02,8.7963E+02,4.7254E+02,3.9261E+02,5.9752E+02,7.4319E+02,
     &8.8056E+02,1.0336E+03,1.1767E+03/
      DATA ((KA(JS,JT,12,16),JS=1,9),JT=1,5) /
     &5.4479E+02,7.3809E+02,7.4534E+02,3.0870E+02,6.0893E+02,7.5030E+02,
     &8.9402E+02,1.0378E+03,1.1815E+03,1.0600E+03,7.6559E+02,3.4957E+02,
     &1.8602E+02,6.0736E+02,7.4935E+02,8.9289E+02,1.0307E+03,1.1734E+03,
     &1.0515E+03,6.0079E+02,4.3472E+02,3.3220E+02,6.0582E+02,7.4885E+02,
     &8.9233E+02,1.0358E+03,1.1793E+03,3.2670E+02,2.3075E+02,1.3581E+02,
     &1.7106E+02,6.0474E+02,7.4811E+02,8.9148E+02,1.0348E+03,1.1717E+03,
     &2.0371E+02,6.8798E+02,9.1592E+01,6.0316E+02,6.0390E+02,7.4294E+02,
     &8.9029E+02,1.0335E+03,1.1767E+03/
      DATA ((KA(JS,JT,13,16),JS=1,9),JT=1,5) /
     &8.5988E+02,9.4717E+02,8.4544E+02,3.1415E+02,6.0500E+02,7.5003E+02,
     &8.9385E+02,1.0377E+03,1.1815E+03,1.0379E+03,1.1189E+02,2.0733E+02,
     &1.7410E+02,6.0685E+02,7.4910E+02,8.9272E+02,1.0306E+03,1.1800E+03,
     &7.0206E+02,7.7801E+02,1.1974E+02,3.4591E+02,6.0534E+02,7.4861E+02,
     &8.9217E+02,1.0357E+03,1.1793E+03,6.9165E+02,9.3369E+02,1.6190E+02,
     &1.6396E+02,6.0445E+02,7.4789E+02,8.9133E+02,1.0348E+03,1.1782E+03,
     &2.0016E+02,2.5832E+02,5.7797E+02,2.4270E+02,6.0363E+02,7.4689E+02,
     &8.8521E+02,1.0334E+03,1.1767E+03/

C     The array KB contains absorption coefs for each of the 16 g-intervals
C     for a range of pressure levels  < ~100mb, temperatures, and ratios
C     of H2O to CO2.  The first index in the array, JS, runs from 1 to 5, 
C     and corresponds to different H2O to CO2 ratios, as expressed through 
C     the binary species parameter eta, defined as eta = H2O/(H2O+RAT*CO2), 
C     where RAT is the ratio of the integrated line strength in the band 
C     of CO2 to that of H2O.  For instance, JS=1 refers to no H2O, 
C     JS = 2 corresponds to eta = 0.25, etc.  The second index, JT, which
C     runs from 1 to 5, corresponds to different temperatures.  More 
C     specifically, JT = 3 means that the data are for the corresponding 
C     reference temperature TREF for this  pressure level, JT = 2 refers 
C     to the TREF-15, JT = 1 is for TREF-30, JT = 4 is for TREF+15, and
C     JT = 5 is for TREF+30.  The third index, JP, runs from 13 to 59 and
C     refers to the corresponding pressure level in PREF (e.g. JP = 13 is
C     for a pressure of 95.5835 mb).  The fourth index, IG, goes from 1 to
C     16, and tells us which g-interval the absorption coefficients are for.
      DATA ((KB(JS,JT,13, 1),JS=1,5),JT=1,5) /
     &2.7369E+01,2.9903E+02,4.2924E+02,3.1039E+02,3.5000E+01,2.7158E+01,
     &2.9898E+02,4.2745E+02,3.0840E+02,3.5000E+01,2.6976E+01,2.9889E+02,
     &4.2590E+02,3.0668E+02,3.5000E+01,2.6818E+01,2.9875E+02,4.2455E+02,
     &3.0517E+02,3.5000E+01,2.6679E+01,2.9855E+02,4.2335E+02,3.0384E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,14, 1),JS=1,5),JT=1,5) /
     &2.6840E+01,2.9863E+02,4.2474E+02,3.0538E+02,3.5000E+01,2.6669E+01,
     &2.9862E+02,4.2327E+02,3.0375E+02,3.5000E+01,2.6522E+01,2.9854E+02,
     &4.2199E+02,3.0234E+02,3.5000E+01,2.6394E+01,2.9842E+02,4.2088E+02,
     &3.0111E+02,3.5000E+01,2.6282E+01,2.9824E+02,4.1990E+02,3.0002E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,15, 1),JS=1,5),JT=1,5) /
     &2.6408E+01,2.9831E+02,4.2100E+02,3.0124E+02,3.5000E+01,2.6271E+01,
     &2.9832E+02,4.1980E+02,2.9991E+02,3.5000E+01,2.6152E+01,2.9826E+02,
     &4.1876E+02,2.9877E+02,3.5000E+01,2.6049E+01,2.9814E+02,4.1785E+02,
     &2.9776E+02,3.5000E+01,2.5958E+01,2.9797E+02,4.1705E+02,2.9688E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,16, 1),JS=1,5),JT=1,5) /
     &2.6057E+01,2.9806E+02,4.1793E+02,2.9784E+02,3.5000E+01,2.5946E+01,
     &2.9807E+02,4.1695E+02,2.9676E+02,3.5000E+01,2.5851E+01,2.9803E+02,
     &4.1610E+02,2.9583E+02,3.5000E+01,2.5767E+01,2.9792E+02,4.1536E+02,
     &2.9502E+02,3.5000E+01,2.5694E+01,2.9776E+02,4.1470E+02,2.9430E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,17, 1),JS=1,5),JT=1,5) /
     &2.5772E+01,2.9785E+02,4.1540E+02,2.9506E+02,3.5000E+01,2.5683E+01,
     &2.9787E+02,4.1460E+02,2.9419E+02,3.5000E+01,2.5606E+01,2.9784E+02,
     &4.1391E+02,2.9343E+02,3.5000E+01,2.5538E+01,2.9774E+02,4.1331E+02,
     &2.9277E+02,3.5000E+01,2.5479E+01,2.9758E+02,4.1278E+02,2.9219E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,18, 1),JS=1,5),JT=1,5) /
     &2.5541E+01,2.9768E+02,4.1334E+02,2.9280E+02,3.5000E+01,2.5469E+01,
     &2.9772E+02,4.1269E+02,2.9209E+02,3.5000E+01,2.5407E+01,2.9768E+02,
     &4.1213E+02,2.9147E+02,3.5000E+01,2.5353E+01,2.9758E+02,4.1163E+02,
     &2.9094E+02,3.5000E+01,2.5305E+01,2.9743E+02,4.1120E+02,2.9046E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,19, 1),JS=1,5),JT=1,5) /
     &2.5354E+01,2.9755E+02,4.1165E+02,2.9095E+02,3.5000E+01,2.5296E+01,
     &2.9758E+02,4.1112E+02,2.9037E+02,3.5000E+01,2.5245E+01,2.9755E+02,
     &4.1067E+02,2.8988E+02,3.5000E+01,2.5201E+01,2.9746E+02,4.1027E+02,
     &2.8944E+02,3.5000E+01,2.5163E+01,2.9730E+02,4.0991E+02,2.8905E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,20, 1),JS=1,5),JT=1,5) /
     &2.5201E+01,2.9744E+02,4.1026E+02,2.8943E+02,3.5000E+01,2.5154E+01,
     &2.9748E+02,4.0984E+02,2.8897E+02,3.5000E+01,2.5113E+01,2.9745E+02,
     &4.0947E+02,2.8856E+02,3.5000E+01,2.5078E+01,2.9735E+02,4.0914E+02,
     &2.8821E+02,3.5000E+01,2.5047E+01,2.9719E+02,4.0886E+02,2.8790E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,21, 1),JS=1,5),JT=1,5) /
     &2.5076E+01,2.9736E+02,4.0913E+02,2.8819E+02,3.5000E+01,2.5039E+01,
     &2.9739E+02,4.0879E+02,2.8782E+02,3.5000E+01,2.5006E+01,2.9736E+02,
     &4.0849E+02,2.8749E+02,3.5000E+01,2.4978E+01,2.9726E+02,4.0823E+02,
     &2.8722E+02,3.5000E+01,2.4952E+01,2.9710E+02,4.0800E+02,2.8695E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,22, 1),JS=1,5),JT=1,5) /
     &2.4973E+01,2.9729E+02,4.0819E+02,2.8717E+02,3.5000E+01,2.4944E+01,
     &2.9732E+02,4.0792E+02,2.8687E+02,3.5000E+01,2.4917E+01,2.9728E+02,
     &4.0768E+02,2.8661E+02,3.5000E+01,2.4895E+01,2.9717E+02,4.0747E+02,
     &2.8638E+02,3.5000E+01,2.4874E+01,2.9700E+02,4.0728E+02,2.8618E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,23, 1),JS=1,5),JT=1,5) /
     &2.4890E+01,2.9724E+02,4.0743E+02,2.8634E+02,3.5000E+01,2.4866E+01,
     &2.9726E+02,4.0721E+02,2.8610E+02,3.5000E+01,2.4846E+01,2.9721E+02,
     &4.0702E+02,2.8589E+02,3.5000E+01,2.4827E+01,2.9710E+02,4.0685E+02,
     &2.8571E+02,3.5000E+01,2.4811E+01,2.9692E+02,4.0671E+02,2.8554E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,24, 1),JS=1,5),JT=1,5) /
     &2.4823E+01,2.9721E+02,4.0681E+02,2.8566E+02,3.5000E+01,2.4804E+01,
     &2.9721E+02,4.0664E+02,2.8547E+02,3.5000E+01,2.4787E+01,2.9715E+02,
     &4.0649E+02,2.8530E+02,3.5000E+01,2.4773E+01,2.9703E+02,4.0635E+02,
     &2.8516E+02,3.5000E+01,2.4760E+01,2.9684E+02,4.0623E+02,2.8503E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,25, 1),JS=1,5),JT=1,5) /
     &2.4769E+01,2.9717E+02,4.0631E+02,2.8511E+02,3.5000E+01,2.4753E+01,
     &2.9717E+02,4.0618E+02,2.8496E+02,3.5000E+01,2.4740E+01,2.9710E+02,
     &4.0606E+02,2.8483E+02,3.5000E+01,2.4729E+01,2.9696E+02,4.0595E+02,
     &2.8472E+02,3.5000E+01,2.4718E+01,2.9676E+02,4.0585E+02,2.8462E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,26, 1),JS=1,5),JT=1,5) /
     &2.4724E+01,2.9715E+02,4.0591E+02,2.8467E+02,3.5000E+01,2.4712E+01,
     &2.9713E+02,4.0580E+02,2.8456E+02,3.5000E+01,2.4702E+01,2.9704E+02,
     &4.0570E+02,2.8445E+02,3.5000E+01,2.4693E+01,2.9689E+02,4.0562E+02,
     &2.8435E+02,3.5000E+01,2.4684E+01,2.9668E+02,4.0554E+02,2.8427E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,27, 1),JS=1,5),JT=1,5) /
     &2.4689E+01,2.9713E+02,4.0558E+02,2.8431E+02,3.5000E+01,2.4679E+01,
     &2.9709E+02,4.0550E+02,2.8422E+02,3.5000E+01,2.4671E+01,2.9699E+02,
     &4.0542E+02,2.8423E+02,3.5000E+01,2.4664E+01,2.9683E+02,4.0535E+02,
     &2.8405E+02,3.5000E+01,2.4657E+01,2.9660E+02,4.0529E+02,2.8399E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,28, 1),JS=1,5),JT=1,5) /
     &2.4660E+01,2.9710E+02,4.0532E+02,2.8404E+02,3.5000E+01,2.4653E+01,
     &2.9706E+02,4.0525E+02,2.8395E+02,3.5000E+01,2.4646E+01,2.9694E+02,
     &4.0519E+02,2.8389E+02,3.5000E+01,2.4640E+01,2.9676E+02,4.0514E+02,
     &2.8383E+02,3.5000E+01,2.4635E+01,2.9651E+02,4.0509E+02,2.8376E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,29, 1),JS=1,5),JT=1,5) /
     &2.4637E+01,2.9708E+02,4.0511E+02,2.8380E+02,3.5000E+01,2.4631E+01,
     &2.9702E+02,4.0505E+02,2.8374E+02,3.5000E+01,2.4626E+01,2.9689E+02,
     &4.0500E+02,2.8368E+02,3.5000E+01,2.4621E+01,2.9669E+02,4.0496E+02,
     &2.8364E+02,3.5000E+01,2.4617E+01,2.9643E+02,4.0492E+02,2.8359E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,30, 1),JS=1,5),JT=1,5) /
     &2.4619E+01,2.9706E+02,4.0494E+02,2.8360E+02,3.5000E+01,2.4614E+01,
     &2.9698E+02,4.0489E+02,2.8355E+02,3.5000E+01,2.4610E+01,2.9683E+02,
     &4.0485E+02,2.8351E+02,3.5000E+01,2.4606E+01,2.9662E+02,4.0482E+02,
     &2.8347E+02,3.5000E+01,2.4603E+01,2.9634E+02,4.0479E+02,2.8344E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,31, 1),JS=1,5),JT=1,5) /
     &2.4604E+01,2.9704E+02,4.0480E+02,2.8345E+02,3.5000E+01,2.4600E+01,
     &2.9694E+02,4.0477E+02,2.8341E+02,3.5000E+01,2.4597E+01,2.9678E+02,
     &4.0473E+02,2.8338E+02,3.5000E+01,2.4594E+01,2.9655E+02,4.0471E+02,
     &2.8336E+02,3.5000E+01,2.4591E+01,2.9625E+02,4.0468E+02,2.8332E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,32, 1),JS=1,5),JT=1,5) /
     &2.4592E+01,2.9701E+02,4.0469E+02,2.8333E+02,3.5000E+01,2.4589E+01,
     &2.9689E+02,4.0466E+02,2.8330E+02,3.5000E+01,2.4586E+01,2.9672E+02,
     &4.0464E+02,2.8328E+02,3.5000E+01,2.4584E+01,2.9647E+02,4.0461E+02,
     &2.8324E+02,3.5000E+01,2.4582E+01,2.9615E+02,4.0459E+02,2.8325E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,33, 1),JS=1,5),JT=1,5) /
     &2.4582E+01,2.9698E+02,4.0460E+02,2.8323E+02,3.5000E+01,2.4580E+01,
     &2.9685E+02,4.0458E+02,2.8321E+02,3.5000E+01,2.4578E+01,2.9665E+02,
     &4.0456E+02,2.8318E+02,3.5000E+01,2.4576E+01,2.9639E+02,4.0454E+02,
     &2.8317E+02,3.5000E+01,2.4574E+01,2.9605E+02,4.0452E+02,2.8315E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,34, 1),JS=1,5),JT=1,5) /
     &2.4574E+01,2.9695E+02,4.0453E+02,2.8315E+02,3.5000E+01,2.4572E+01,
     &2.9680E+02,4.0451E+02,2.8313E+02,3.5000E+01,2.4571E+01,2.9659E+02,
     &4.0449E+02,2.8312E+02,3.5000E+01,2.4569E+01,2.9631E+02,4.0448E+02,
     &2.8310E+02,3.5000E+01,2.4568E+01,2.9596E+02,4.0447E+02,2.8308E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,35, 1),JS=1,5),JT=1,5) /
     &2.4568E+01,2.9693E+02,4.0447E+02,2.8309E+02,3.5000E+01,2.4567E+01,
     &2.9678E+02,4.0446E+02,2.8308E+02,3.5000E+01,2.4565E+01,2.9656E+02,
     &4.0444E+02,2.8306E+02,3.5000E+01,2.4564E+01,2.9627E+02,4.0443E+02,
     &2.8305E+02,3.5000E+01,2.4563E+01,2.9590E+02,4.0442E+02,2.8304E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,36, 1),JS=1,5),JT=1,5) /
     &2.4563E+01,2.9692E+02,4.0443E+02,2.8305E+02,3.5000E+01,2.4562E+01,
     &2.9677E+02,4.0442E+02,2.8304E+02,3.5000E+01,2.4561E+01,2.9655E+02,
     &4.0440E+02,2.8301E+02,3.5000E+01,2.4560E+01,2.9626E+02,4.0440E+02,
     &2.8302E+02,3.5000E+01,2.4559E+01,2.9589E+02,4.0439E+02,2.8301E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,37, 1),JS=1,5),JT=1,5) /
     &2.4560E+01,2.9693E+02,4.0439E+02,2.8301E+02,3.5000E+01,2.4559E+01,
     &2.9679E+02,4.0438E+02,2.8299E+02,3.5000E+01,2.4558E+01,2.9658E+02,
     &4.0437E+02,2.8299E+02,3.5000E+01,2.4557E+01,2.9630E+02,4.0437E+02,
     &2.8297E+02,3.5000E+01,2.4556E+01,2.9594E+02,4.0436E+02,2.8297E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,38, 1),JS=1,5),JT=1,5) /
     &2.4557E+01,2.9695E+02,4.0436E+02,2.8297E+02,3.5000E+01,2.4556E+01,
     &2.9681E+02,4.0436E+02,2.8296E+02,3.5000E+01,2.4555E+01,2.9661E+02,
     &4.0435E+02,2.8297E+02,3.5000E+01,2.4554E+01,2.9634E+02,4.0434E+02,
     &2.8296E+02,3.5000E+01,2.4554E+01,2.9599E+02,4.0434E+02,2.8294E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,39, 1),JS=1,5),JT=1,5) /
     &2.4554E+01,2.9696E+02,4.0434E+02,2.8295E+02,3.5000E+01,2.4553E+01,
     &2.9683E+02,4.0433E+02,2.8294E+02,3.5000E+01,2.4553E+01,2.9664E+02,
     &4.0433E+02,2.8293E+02,3.5000E+01,2.4552E+01,2.9638E+02,4.0432E+02,
     &2.8292E+02,3.5000E+01,2.4552E+01,2.9604E+02,4.0432E+02,2.8292E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,40, 1),JS=1,5),JT=1,5) /
     &2.4552E+01,2.9698E+02,4.0432E+02,2.8292E+02,3.5000E+01,2.4551E+01,
     &2.9687E+02,4.0432E+02,2.8293E+02,3.5000E+01,2.4551E+01,2.9669E+02,
     &4.0431E+02,2.8292E+02,3.5000E+01,2.4550E+01,2.9645E+02,4.0431E+02,
     &2.8291E+02,3.5000E+01,2.4550E+01,2.9613E+02,4.0430E+02,2.8291E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,41, 1),JS=1,5),JT=1,5) /
     &2.4550E+01,2.9699E+02,4.0431E+02,2.8290E+02,3.5000E+01,2.4550E+01,
     &2.9690E+02,4.0430E+02,2.8291E+02,3.5000E+01,2.4549E+01,2.9674E+02,
     &4.0430E+02,2.8289E+02,3.5000E+01,2.4549E+01,2.9651E+02,4.0429E+02,
     &2.8290E+02,3.5000E+01,2.4549E+01,2.9622E+02,4.0429E+02,2.8289E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,42, 1),JS=1,5),JT=1,5) /
     &2.4549E+01,2.9700E+02,4.0429E+02,2.8289E+02,3.5000E+01,2.4549E+01,
     &2.9693E+02,4.0429E+02,2.8289E+02,3.5000E+01,2.4548E+01,2.9679E+02,
     &4.0429E+02,2.8289E+02,3.5000E+01,2.4548E+01,2.9658E+02,4.0428E+02,
     &2.8289E+02,3.5000E+01,2.4547E+01,2.9630E+02,4.0428E+02,2.8288E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,43, 1),JS=1,5),JT=1,5) /
     &2.4548E+01,2.9701E+02,4.0428E+02,2.8288E+02,3.5000E+01,2.4547E+01,
     &2.9696E+02,4.0428E+02,2.8288E+02,3.5000E+01,2.4547E+01,2.9684E+02,
     &4.0428E+02,2.8288E+02,3.5000E+01,2.4547E+01,2.9665E+02,4.0427E+02,
     &2.8288E+02,3.5000E+01,2.4547E+01,2.9639E+02,4.0427E+02,2.8288E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,44, 1),JS=1,5),JT=1,5) /
     &2.4547E+01,2.9702E+02,4.0427E+02,2.8287E+02,3.5000E+01,2.4547E+01,
     &2.9698E+02,4.0427E+02,2.8287E+02,3.5000E+01,2.4546E+01,2.9688E+02,
     &4.0427E+02,2.8287E+02,3.5000E+01,2.4546E+01,2.9672E+02,4.0427E+02,
     &2.8287E+02,3.5000E+01,2.4546E+01,2.9649E+02,4.0426E+02,2.8286E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,45, 1),JS=1,5),JT=1,5) /
     &2.4546E+01,2.9701E+02,4.0427E+02,2.8287E+02,3.5000E+01,2.4546E+01,
     &2.9700E+02,4.0426E+02,2.8287E+02,3.5000E+01,2.4546E+01,2.9692E+02,
     &4.0426E+02,2.8286E+02,3.5000E+01,2.4545E+01,2.9678E+02,4.0426E+02,
     &2.8286E+02,3.5000E+01,2.4545E+01,2.9657E+02,4.0426E+02,2.8286E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,46, 1),JS=1,5),JT=1,5) /
     &2.4545E+01,2.9699E+02,4.0426E+02,2.8287E+02,3.5000E+01,2.4545E+01,
     &2.9701E+02,4.0426E+02,2.8285E+02,3.5000E+01,2.4545E+01,2.9696E+02,
     &4.0426E+02,2.8286E+02,3.5000E+01,2.4545E+01,2.9684E+02,4.0425E+02,
     &2.8285E+02,3.5000E+01,2.4545E+01,2.9665E+02,4.0425E+02,2.8285E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,47, 1),JS=1,5),JT=1,5) /
     &2.4545E+01,2.9696E+02,4.0425E+02,2.8285E+02,3.5000E+01,2.4545E+01,
     &2.9701E+02,4.0425E+02,2.8286E+02,3.5000E+01,2.4544E+01,2.9699E+02,
     &4.0425E+02,2.8285E+02,3.5000E+01,2.4544E+01,2.9690E+02,4.0425E+02,
     &2.8285E+02,3.5000E+01,2.4544E+01,2.9674E+02,4.0425E+02,2.8286E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,48, 1),JS=1,5),JT=1,5) /
     &2.4544E+01,2.9691E+02,4.0425E+02,2.8286E+02,3.5000E+01,2.4544E+01,
     &2.9700E+02,4.0425E+02,2.8285E+02,3.5000E+01,2.4544E+01,2.9701E+02,
     &4.0425E+02,2.8284E+02,3.5000E+01,2.4544E+01,2.9694E+02,4.0425E+02,
     &2.8285E+02,3.5000E+01,2.4544E+01,2.9681E+02,4.0425E+02,2.8284E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,49, 1),JS=1,5),JT=1,5) /
     &2.4544E+01,2.9685E+02,4.0425E+02,2.8284E+02,3.5000E+01,2.4544E+01,
     &2.9698E+02,4.0425E+02,2.8284E+02,3.5000E+01,2.4544E+01,2.9701E+02,
     &4.0424E+02,2.8284E+02,3.5000E+01,2.4544E+01,2.9697E+02,4.0424E+02,
     &2.8285E+02,3.5000E+01,2.4544E+01,2.9687E+02,4.0424E+02,2.8284E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,50, 1),JS=1,5),JT=1,5) /
     &2.4544E+01,2.9678E+02,4.0424E+02,2.8284E+02,3.5000E+01,2.4544E+01,
     &2.9694E+02,4.0424E+02,2.8284E+02,3.5000E+01,2.4543E+01,2.9701E+02,
     &4.0424E+02,2.8284E+02,3.5000E+01,2.4543E+01,2.9700E+02,4.0424E+02,
     &2.8284E+02,3.5000E+01,2.4543E+01,2.9692E+02,4.0424E+02,2.8284E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,51, 1),JS=1,5),JT=1,5) /
     &2.4543E+01,2.9670E+02,4.0424E+02,2.8284E+02,3.5000E+01,2.4543E+01,
     &2.9689E+02,4.0424E+02,2.8284E+02,3.5000E+01,2.4543E+01,2.9699E+02,
     &4.0424E+02,2.8284E+02,3.5000E+01,2.4543E+01,2.9701E+02,4.0424E+02,
     &2.8284E+02,3.5000E+01,2.4543E+01,2.9695E+02,4.0424E+02,2.8284E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,52, 1),JS=1,5),JT=1,5) /
     &2.4543E+01,2.9660E+02,4.0424E+02,2.8283E+02,3.5000E+01,2.4543E+01,
     &2.9684E+02,4.0424E+02,2.8283E+02,3.5000E+01,2.4543E+01,2.9697E+02,
     &4.0424E+02,2.8283E+02,3.5000E+01,2.4543E+01,2.9701E+02,4.0424E+02,
     &2.8283E+02,3.5000E+01,2.4543E+01,2.9698E+02,4.0424E+02,2.8283E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,53, 1),JS=1,5),JT=1,5) /
     &2.4543E+01,2.9648E+02,4.0424E+02,2.8283E+02,3.5000E+01,2.4543E+01,
     &2.9676E+02,4.0424E+02,2.8283E+02,3.5000E+01,2.4543E+01,2.9693E+02,
     &4.0424E+02,2.8284E+02,3.5000E+01,2.4543E+01,2.9701E+02,4.0424E+02,
     &2.8283E+02,3.5000E+01,2.4543E+01,2.9700E+02,4.0424E+02,2.8284E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,54, 1),JS=1,5),JT=1,5) /
     &2.4543E+01,2.9635E+02,4.0424E+02,2.8283E+02,3.5000E+01,2.4543E+01,
     &2.9668E+02,4.0424E+02,2.8284E+02,3.5000E+01,2.4543E+01,2.9688E+02,
     &4.0424E+02,2.8283E+02,3.5000E+01,2.4543E+01,2.9699E+02,4.0423E+02,
     &2.8283E+02,3.5000E+01,2.4543E+01,2.9701E+02,4.0423E+02,2.8285E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,55, 1),JS=1,5),JT=1,5) /
     &2.4543E+01,2.9622E+02,4.0424E+02,2.8285E+02,3.5000E+01,2.4543E+01,
     &2.9659E+02,4.0423E+02,2.8283E+02,3.5000E+01,2.4543E+01,2.9683E+02,
     &4.0423E+02,2.8284E+02,3.5000E+01,2.4543E+01,2.9696E+02,4.0423E+02,
     &2.8283E+02,3.5000E+01,2.4543E+01,2.9701E+02,4.0423E+02,2.8283E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,56, 1),JS=1,5),JT=1,5) /
     &2.4543E+01,2.9607E+02,4.0423E+02,2.8283E+02,3.5000E+01,2.4543E+01,
     &2.9649E+02,4.0423E+02,2.8283E+02,3.5000E+01,2.4543E+01,2.9676E+02,
     &4.0423E+02,2.8283E+02,3.5000E+01,2.4542E+01,2.9693E+02,4.0423E+02,
     &2.8282E+02,3.5000E+01,2.4542E+01,2.9700E+02,4.0423E+02,2.8283E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,57, 1),JS=1,5),JT=1,5) /
     &2.4543E+01,2.9591E+02,4.0423E+02,2.8283E+02,3.5000E+01,2.4542E+01,
     &2.9637E+02,4.0423E+02,2.8283E+02,3.5000E+01,2.4542E+01,2.9669E+02,
     &4.0423E+02,2.8283E+02,3.5000E+01,2.4542E+01,2.9689E+02,4.0423E+02,
     &2.8283E+02,3.5000E+01,2.4542E+01,2.9699E+02,4.0423E+02,2.8283E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,58, 1),JS=1,5),JT=1,5) /
     &2.4542E+01,2.9574E+02,4.0423E+02,2.8282E+02,3.5000E+01,2.4542E+01,
     &2.9624E+02,4.0423E+02,2.8282E+02,3.5000E+01,2.4542E+01,2.9660E+02,
     &4.0423E+02,2.8283E+02,3.5000E+01,2.4542E+01,2.9684E+02,4.0423E+02,
     &2.8284E+02,3.5000E+01,2.4542E+01,2.9697E+02,4.0423E+02,2.8282E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,59, 1),JS=1,5),JT=1,5) /
     &2.4542E+01,2.9566E+02,4.0423E+02,2.8283E+02,3.5000E+01,2.4542E+01,
     &2.9619E+02,4.0423E+02,2.8282E+02,3.5000E+01,2.4542E+01,2.9657E+02,
     &4.0423E+02,2.8283E+02,3.5000E+01,2.4542E+01,2.9682E+02,4.0423E+02,
     &2.8283E+02,3.5000E+01,2.4542E+01,2.9696E+02,4.0423E+02,2.8283E+02,
     &3.5000E+01/
      DATA ((KB(JS,JT,13, 2),JS=1,5),JT=1,5) /
     &1.0177E+02,3.2761E+02,4.5575E+02,3.1335E+02,7.1839E+01,1.0099E+02,
     &3.2713E+02,4.5383E+02,3.1125E+02,7.1839E+01,1.0031E+02,3.2663E+02,
     &4.5216E+02,3.0943E+02,7.1839E+01,9.9721E+01,3.2612E+02,4.5071E+02,
     &3.0785E+02,7.1839E+01,9.9204E+01,3.2558E+02,4.4942E+02,3.0646E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,14, 2),JS=1,5),JT=1,5) /
     &9.9803E+01,3.2613E+02,4.5091E+02,3.0807E+02,7.1839E+01,9.9169E+01,
     &3.2574E+02,4.4934E+02,3.0636E+02,7.1839E+01,9.8622E+01,3.2534E+02,
     &4.4797E+02,3.0489E+02,7.1839E+01,9.8146E+01,3.2491E+02,4.4677E+02,
     &3.0362E+02,7.1839E+01,9.7728E+01,3.2444E+02,4.4571E+02,3.0248E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,15, 2),JS=1,5),JT=1,5) /
     &9.8198E+01,3.2493E+02,4.4690E+02,3.0375E+02,7.1839E+01,9.7687E+01,
     &3.2462E+02,4.4560E+02,3.0237E+02,7.1839E+01,9.7245E+01,3.2429E+02,
     &4.4448E+02,3.0119E+02,7.1839E+01,9.6861E+01,3.2392E+02,4.4350E+02,
     &3.0014E+02,7.1839E+01,9.6523E+01,3.2350E+02,4.4263E+02,2.9923E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,16, 2),JS=1,5),JT=1,5) /
     &9.6892E+01,3.2395E+02,4.4358E+02,3.0023E+02,7.1839E+01,9.6480E+01,
     &3.2371E+02,4.4252E+02,2.9912E+02,7.1839E+01,9.6125E+01,3.2343E+02,
     &4.4161E+02,2.9817E+02,7.1839E+01,9.5814E+01,3.2311E+02,4.4081E+02,
     &2.9733E+02,7.1839E+01,9.5541E+01,3.2273E+02,4.4010E+02,2.9661E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,17, 2),JS=1,5),JT=1,5) /
     &9.5833E+01,3.2316E+02,4.4086E+02,2.9737E+02,7.1839E+01,9.5501E+01,
     &3.2297E+02,4.4000E+02,2.9648E+02,7.1839E+01,9.5214E+01,3.2274E+02,
     &4.3925E+02,2.9569E+02,7.1839E+01,9.4964E+01,3.2245E+02,4.3860E+02,
     &2.9502E+02,7.1839E+01,9.4743E+01,3.2210E+02,4.3803E+02,2.9442E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,18, 2),JS=1,5),JT=1,5) /
     &9.4974E+01,3.2251E+02,4.3863E+02,2.9504E+02,7.1839E+01,9.4707E+01,
     &3.2236E+02,4.3793E+02,2.9432E+02,7.1839E+01,9.4475E+01,3.2217E+02,
     &4.3733E+02,2.9369E+02,7.1839E+01,9.4272E+01,3.2191E+02,4.3680E+02,
     &2.9315E+02,7.1839E+01,9.4094E+01,3.2158E+02,4.3633E+02,2.9267E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,19, 2),JS=1,5),JT=1,5) /
     &9.4277E+01,3.2199E+02,4.3681E+02,2.9316E+02,7.1839E+01,9.4061E+01,
     &3.2187E+02,4.3624E+02,2.9258E+02,7.1839E+01,9.3874E+01,3.2170E+02,
     &4.3575E+02,2.9207E+02,7.1839E+01,9.3711E+01,3.2146E+02,4.3532E+02,
     &2.9164E+02,7.1839E+01,9.3566E+01,3.2115E+02,4.3494E+02,2.9125E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,20, 2),JS=1,5),JT=1,5) /
     &9.3708E+01,3.2157E+02,4.3531E+02,2.9163E+02,7.1839E+01,9.3534E+01,
     &3.2147E+02,4.3485E+02,2.9117E+02,7.1839E+01,9.3383E+01,3.2132E+02,
     &4.3445E+02,2.9076E+02,7.1839E+01,9.3251E+01,3.2109E+02,4.3411E+02,
     &2.9041E+02,7.1839E+01,9.3135E+01,3.2079E+02,4.3380E+02,2.9010E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,21, 2),JS=1,5),JT=1,5) /
     &9.3246E+01,3.2122E+02,4.3409E+02,2.9040E+02,7.1839E+01,9.3106E+01,
     &3.2114E+02,4.3372E+02,2.9003E+02,7.1839E+01,9.2985E+01,3.2100E+02,
     &4.3340E+02,2.8970E+02,7.1839E+01,9.2878E+01,3.2079E+02,4.3311E+02,
     &2.8941E+02,7.1839E+01,9.2784E+01,3.2049E+02,4.3286E+02,2.8917E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,22, 2),JS=1,5),JT=1,5) /
     &9.2863E+01,3.2094E+02,4.3307E+02,2.8938E+02,7.1839E+01,9.2751E+01,
     &3.2087E+02,4.3278E+02,2.8908E+02,7.1839E+01,9.2655E+01,3.2073E+02,
     &4.3252E+02,2.8882E+02,7.1839E+01,9.2569E+01,3.2051E+02,4.3229E+02,
     &2.8860E+02,7.1839E+01,9.2494E+01,3.2022E+02,4.3209E+02,2.8840E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,23, 2),JS=1,5),JT=1,5) /
     &9.2553E+01,3.2072E+02,4.3225E+02,2.8855E+02,7.1839E+01,9.2465E+01,
     &3.2064E+02,4.3201E+02,2.8832E+02,7.1839E+01,9.2387E+01,3.2050E+02,
     &4.3180E+02,2.8811E+02,7.1839E+01,9.2319E+01,3.2029E+02,4.3162E+02,
     &2.8793E+02,7.1839E+01,9.2259E+01,3.1998E+02,4.3146E+02,2.8778E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,24, 2),JS=1,5),JT=1,5) /
     &9.2303E+01,3.2053E+02,4.3158E+02,2.8789E+02,7.1839E+01,9.2233E+01,
     &3.2046E+02,4.3139E+02,2.8770E+02,7.1839E+01,9.2171E+01,3.2031E+02,
     &4.3122E+02,2.8754E+02,7.1839E+01,9.2117E+01,3.2009E+02,4.3108E+02,
     &2.8740E+02,7.1839E+01,9.2068E+01,3.1978E+02,4.3095E+02,2.8727E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,25, 2),JS=1,5),JT=1,5) /
     &9.2101E+01,3.2038E+02,4.3103E+02,2.8736E+02,7.1839E+01,9.2045E+01,
     &3.2030E+02,4.3088E+02,2.8721E+02,7.1839E+01,9.1996E+01,3.2015E+02,
     &4.3075E+02,2.8708E+02,7.1839E+01,9.1952E+01,3.1991E+02,4.3064E+02,
     &2.8696E+02,7.1839E+01,9.1914E+01,3.1959E+02,4.3053E+02,2.8684E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,26, 2),JS=1,5),JT=1,5) /
     &9.1937E+01,3.2025E+02,4.3059E+02,2.8693E+02,7.1839E+01,9.1892E+01,
     &3.2016E+02,4.3047E+02,2.8680E+02,7.1839E+01,9.1853E+01,3.2000E+02,
     &4.3037E+02,2.8670E+02,7.1839E+01,9.1819E+01,3.1975E+02,4.3028E+02,
     &2.8661E+02,7.1839E+01,9.1788E+01,3.1942E+02,4.3019E+02,2.8653E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,27, 2),JS=1,5),JT=1,5) /
     &9.1805E+01,3.2015E+02,4.3024E+02,2.8658E+02,7.1839E+01,9.1770E+01,
     &3.2005E+02,4.3014E+02,2.8648E+02,7.1839E+01,9.1738E+01,3.1986E+02,
     &4.3006E+02,2.8630E+02,7.1839E+01,9.1711E+01,3.1960E+02,4.2998E+02,
     &2.8633E+02,7.1839E+01,9.1687E+01,3.1925E+02,4.2992E+02,2.8626E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,28, 2),JS=1,5),JT=1,5) /
     &9.1698E+01,3.2005E+02,4.2995E+02,2.8628E+02,7.1839E+01,9.1670E+01,
     &3.1994E+02,4.2987E+02,2.8622E+02,7.1839E+01,9.1646E+01,3.1974E+02,
     &4.2981E+02,2.8615E+02,7.1839E+01,9.1624E+01,3.1946E+02,4.2975E+02,
     &2.8609E+02,7.1839E+01,9.1604E+01,3.1910E+02,4.2970E+02,2.8605E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,29, 2),JS=1,5),JT=1,5) /
     &9.1613E+01,3.1997E+02,4.2972E+02,2.8605E+02,7.1839E+01,9.1591E+01,
     &3.1984E+02,4.2966E+02,2.8600E+02,7.1839E+01,9.1571E+01,3.1963E+02,
     &4.2960E+02,2.8595E+02,7.1839E+01,9.1554E+01,3.1933E+02,4.2956E+02,
     &2.8590E+02,7.1839E+01,9.1538E+01,3.1895E+02,4.2952E+02,2.8586E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,30, 2),JS=1,5),JT=1,5) /
     &9.1544E+01,3.1990E+02,4.2953E+02,2.8589E+02,7.1839E+01,9.1526E+01,
     &3.1975E+02,4.2948E+02,2.8584E+02,7.1839E+01,9.1511E+01,3.1952E+02,
     &4.2944E+02,2.8580E+02,7.1839E+01,9.1497E+01,3.1920E+02,4.2940E+02,
     &2.8577E+02,7.1839E+01,9.1484E+01,3.1880E+02,4.2937E+02,2.8573E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,31, 2),JS=1,5),JT=1,5) /
     &9.1488E+01,3.1983E+02,4.2938E+02,2.8574E+02,7.1839E+01,9.1474E+01,
     &3.1966E+02,4.2934E+02,2.8571E+02,7.1839E+01,9.1462E+01,3.1941E+02,
     &4.2931E+02,2.8567E+02,7.1839E+01,9.1451E+01,3.1908E+02,4.2928E+02,
     &2.8564E+02,7.1839E+01,9.1441E+01,3.1866E+02,4.2925E+02,2.8562E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,32, 2),JS=1,5),JT=1,5) /
     &9.1443E+01,3.1976E+02,4.2926E+02,2.8562E+02,7.1839E+01,9.1432E+01,
     &3.1958E+02,4.2923E+02,2.8559E+02,7.1839E+01,9.1423E+01,3.1930E+02,
     &4.2920E+02,2.8557E+02,7.1839E+01,9.1414E+01,3.1895E+02,4.2918E+02,
     &2.8555E+02,7.1839E+01,9.1406E+01,3.1851E+02,4.2916E+02,2.8551E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,33, 2),JS=1,5),JT=1,5) /
     &9.1407E+01,3.1970E+02,4.2916E+02,2.8553E+02,7.1839E+01,9.1399E+01,
     &3.1949E+02,4.2914E+02,2.8551E+02,7.1839E+01,9.1391E+01,3.1920E+02,
     &4.2912E+02,2.8549E+02,7.1839E+01,9.1384E+01,3.1882E+02,4.2910E+02,
     &2.8547E+02,7.1839E+01,9.1378E+01,3.1837E+02,4.2908E+02,2.8546E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,34, 2),JS=1,5),JT=1,5) /
     &9.1379E+01,3.1964E+02,4.2908E+02,2.8546E+02,7.1839E+01,9.1372E+01,
     &3.1941E+02,4.2906E+02,2.8544E+02,7.1839E+01,9.1365E+01,3.1910E+02,
     &4.2905E+02,2.8542E+02,7.1839E+01,9.1360E+01,3.1871E+02,4.2903E+02,
     &2.8541E+02,7.1839E+01,9.1355E+01,3.1824E+02,4.2902E+02,2.8540E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,35, 2),JS=1,5),JT=1,5) /
     &9.1356E+01,3.1960E+02,4.2902E+02,2.8539E+02,7.1839E+01,9.1350E+01,
     &3.1936E+02,4.2901E+02,2.8538E+02,7.1839E+01,9.1345E+01,3.1904E+02,
     &4.2899E+02,2.8537E+02,7.1839E+01,9.1341E+01,3.1863E+02,4.2898E+02,
     &2.8535E+02,7.1839E+01,9.1337E+01,3.1816E+02,4.2897E+02,2.8535E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,36, 2),JS=1,5),JT=1,5) /
     &9.1338E+01,3.1958E+02,4.2897E+02,2.8535E+02,7.1839E+01,9.1334E+01,
     &3.1934E+02,4.2896E+02,2.8533E+02,7.1839E+01,9.1330E+01,3.1902E+02,
     &4.2895E+02,2.8533E+02,7.1839E+01,9.1326E+01,3.1862E+02,4.2894E+02,
     &2.8530E+02,7.1839E+01,9.1323E+01,3.1814E+02,4.2893E+02,2.8530E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,37, 2),JS=1,5),JT=1,5) /
     &9.1324E+01,3.1959E+02,4.2894E+02,2.8531E+02,7.1839E+01,9.1320E+01,
     &3.1937E+02,4.2893E+02,2.8530E+02,7.1839E+01,9.1317E+01,3.1906E+02,
     &4.2892E+02,2.8529E+02,7.1839E+01,9.1314E+01,3.1866E+02,4.2891E+02,
     &2.8529E+02,7.1839E+01,9.1311E+01,3.1819E+02,4.2890E+02,2.8527E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,38, 2),JS=1,5),JT=1,5) /
     &9.1313E+01,3.1961E+02,4.2890E+02,2.8528E+02,7.1839E+01,9.1310E+01,
     &3.1939E+02,4.2890E+02,2.8528E+02,7.1839E+01,9.1307E+01,3.1910E+02,
     &4.2889E+02,2.8526E+02,7.1839E+01,9.1304E+01,3.1871E+02,4.2888E+02,
     &2.8525E+02,7.1839E+01,9.1302E+01,3.1826E+02,4.2888E+02,2.8525E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,39, 2),JS=1,5),JT=1,5) /
     &9.1303E+01,3.1962E+02,4.2888E+02,2.8525E+02,7.1839E+01,9.1301E+01,
     &3.1942E+02,4.2887E+02,2.8525E+02,7.1839E+01,9.1298E+01,3.1914E+02,
     &4.2886E+02,2.8525E+02,7.1839E+01,9.1296E+01,3.1877E+02,4.2886E+02,
     &2.8524E+02,7.1839E+01,9.1294E+01,3.1832E+02,4.2885E+02,2.8523E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,40, 2),JS=1,5),JT=1,5) /
     &9.1296E+01,3.1965E+02,4.2886E+02,2.8524E+02,7.1839E+01,9.1293E+01,
     &3.1947E+02,4.2885E+02,2.8522E+02,7.1839E+01,9.1292E+01,3.1921E+02,
     &4.2885E+02,2.8522E+02,7.1839E+01,9.1290E+01,3.1886E+02,4.2884E+02,
     &2.8522E+02,7.1839E+01,9.1288E+01,3.1843E+02,4.2884E+02,2.8521E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,41, 2),JS=1,5),JT=1,5) /
     &9.1289E+01,3.1968E+02,4.2884E+02,2.8523E+02,7.1839E+01,9.1288E+01,
     &3.1952E+02,4.2884E+02,2.8521E+02,7.1839E+01,9.1286E+01,3.1928E+02,
     &4.2883E+02,2.8522E+02,7.1839E+01,9.1284E+01,3.1895E+02,4.2883E+02,
     &2.8521E+02,7.1839E+01,9.1283E+01,3.1854E+02,4.2882E+02,2.8521E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,42, 2),JS=1,5),JT=1,5) /
     &9.1284E+01,3.1970E+02,4.2883E+02,2.8521E+02,7.1839E+01,9.1283E+01,
     &3.1957E+02,4.2882E+02,2.8521E+02,7.1839E+01,9.1281E+01,3.1934E+02,
     &4.2882E+02,2.8520E+02,7.1839E+01,9.1280E+01,3.1904E+02,4.2882E+02,
     &2.8519E+02,7.1839E+01,9.1279E+01,3.1865E+02,4.2881E+02,2.8520E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,43, 2),JS=1,5),JT=1,5) /
     &9.1280E+01,3.1972E+02,4.2882E+02,2.8520E+02,7.1839E+01,9.1279E+01,
     &3.1961E+02,4.2881E+02,2.8520E+02,7.1839E+01,9.1277E+01,3.1942E+02,
     &4.2881E+02,2.8519E+02,7.1839E+01,9.1276E+01,3.1914E+02,4.2881E+02,
     &2.8518E+02,7.1839E+01,9.1275E+01,3.1878E+02,4.2880E+02,2.8518E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,44, 2),JS=1,5),JT=1,5) /
     &9.1276E+01,3.1974E+02,4.2881E+02,2.8519E+02,7.1839E+01,9.1275E+01,
     &3.1966E+02,4.2880E+02,2.8519E+02,7.1839E+01,9.1274E+01,3.1949E+02,
     &4.2880E+02,2.8518E+02,7.1839E+01,9.1273E+01,3.1924E+02,4.2880E+02,
     &2.8518E+02,7.1839E+01,9.1273E+01,3.1890E+02,4.2880E+02,2.8518E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,45, 2),JS=1,5),JT=1,5) /
     &9.1274E+01,3.1974E+02,4.2880E+02,2.8518E+02,7.1839E+01,9.1273E+01,
     &3.1969E+02,4.2880E+02,2.8517E+02,7.1839E+01,9.1272E+01,3.1955E+02,
     &4.2879E+02,2.8518E+02,7.1839E+01,9.1271E+01,3.1933E+02,4.2879E+02,
     &2.8517E+02,7.1839E+01,9.1270E+01,3.1903E+02,4.2879E+02,2.8517E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,46, 2),JS=1,5),JT=1,5) /
     &9.1271E+01,3.1974E+02,4.2879E+02,2.8516E+02,7.1839E+01,9.1270E+01,
     &3.1972E+02,4.2879E+02,2.8517E+02,7.1839E+01,9.1270E+01,3.1961E+02,
     &4.2879E+02,2.8517E+02,7.1839E+01,9.1269E+01,3.1942E+02,4.2879E+02,
     &2.8517E+02,7.1839E+01,9.1268E+01,3.1914E+02,4.2878E+02,2.8516E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,47, 2),JS=1,5),JT=1,5) /
     &9.1269E+01,3.1973E+02,4.2879E+02,2.8517E+02,7.1839E+01,9.1268E+01,
     &3.1974E+02,4.2878E+02,2.8516E+02,7.1839E+01,9.1268E+01,3.1966E+02,
     &4.2878E+02,2.8516E+02,7.1839E+01,9.1267E+01,3.1951E+02,4.2878E+02,
     &2.8516E+02,7.1839E+01,9.1267E+01,3.1926E+02,4.2878E+02,2.8515E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,48, 2),JS=1,5),JT=1,5) /
     &9.1267E+01,3.1970E+02,4.2878E+02,2.8516E+02,7.1839E+01,9.1267E+01,
     &3.1974E+02,4.2878E+02,2.8516E+02,7.1839E+01,9.1266E+01,3.1970E+02,
     &4.2878E+02,2.8517E+02,7.1839E+01,9.1266E+01,3.1958E+02,4.2878E+02,
     &2.8515E+02,7.1839E+01,9.1265E+01,3.1937E+02,4.2878E+02,2.8516E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,49, 2),JS=1,5),JT=1,5) /
     &9.1266E+01,3.1966E+02,4.2878E+02,2.8516E+02,7.1839E+01,9.1265E+01,
     &3.1973E+02,4.2878E+02,2.8516E+02,7.1839E+01,9.1265E+01,3.1973E+02,
     &4.2877E+02,2.8516E+02,7.1839E+01,9.1265E+01,3.1964E+02,4.2878E+02,
     &2.8515E+02,7.1839E+01,9.1264E+01,3.1946E+02,4.2877E+02,2.8515E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,50, 2),JS=1,5),JT=1,5) /
     &9.1265E+01,3.1962E+02,4.2877E+02,2.8516E+02,7.1839E+01,9.1264E+01,
     &3.1972E+02,4.2877E+02,2.8515E+02,7.1839E+01,9.1264E+01,3.1974E+02,
     &4.2877E+02,2.8515E+02,7.1839E+01,9.1264E+01,3.1968E+02,4.2877E+02,
     &2.8515E+02,7.1839E+01,9.1263E+01,3.1954E+02,4.2877E+02,2.8515E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,51, 2),JS=1,5),JT=1,5) /
     &9.1264E+01,3.1958E+02,4.2877E+02,2.8515E+02,7.1839E+01,9.1263E+01,
     &3.1969E+02,4.2877E+02,2.8515E+02,7.1839E+01,9.1263E+01,3.1974E+02,
     &4.2877E+02,2.8515E+02,7.1839E+01,9.1263E+01,3.1971E+02,4.2877E+02,
     &2.8515E+02,7.1839E+01,9.1262E+01,3.1960E+02,4.2877E+02,2.8515E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,52, 2),JS=1,5),JT=1,5) /
     &9.1263E+01,3.1953E+02,4.2877E+02,2.8515E+02,7.1839E+01,9.1263E+01,
     &3.1965E+02,4.2877E+02,2.8515E+02,7.1839E+01,9.1262E+01,3.1973E+02,
     &4.2877E+02,2.8515E+02,7.1839E+01,9.1262E+01,3.1973E+02,4.2877E+02,
     &2.8515E+02,7.1839E+01,9.1262E+01,3.1965E+02,4.2877E+02,2.8515E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,53, 2),JS=1,5),JT=1,5) /
     &9.1262E+01,3.1948E+02,4.2877E+02,2.8515E+02,7.1839E+01,9.1262E+01,
     &3.1961E+02,4.2877E+02,2.8515E+02,7.1839E+01,9.1262E+01,3.1971E+02,
     &4.2877E+02,2.8515E+02,7.1839E+01,9.1261E+01,3.1974E+02,4.2876E+02,
     &2.8515E+02,7.1839E+01,9.1261E+01,3.1969E+02,4.2876E+02,2.8514E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,54, 2),JS=1,5),JT=1,5) /
     &9.1262E+01,3.1942E+02,4.2877E+02,2.8515E+02,7.1839E+01,9.1261E+01,
     &3.1957E+02,4.2877E+02,2.8514E+02,7.1839E+01,9.1261E+01,3.1968E+02,
     &4.2876E+02,2.8515E+02,7.1839E+01,9.1261E+01,3.1973E+02,4.2876E+02,
     &2.8515E+02,7.1839E+01,9.1261E+01,3.1971E+02,4.2876E+02,2.8513E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,55, 2),JS=1,5),JT=1,5) /
     &9.1261E+01,3.1937E+02,4.2876E+02,2.8513E+02,7.1839E+01,9.1261E+01,
     &3.1953E+02,4.2876E+02,2.8515E+02,7.1839E+01,9.1261E+01,3.1965E+02,
     &4.2876E+02,2.8513E+02,7.1839E+01,9.1261E+01,3.1973E+02,4.2876E+02,
     &2.8514E+02,7.1839E+01,9.1260E+01,3.1973E+02,4.2876E+02,2.8515E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,56, 2),JS=1,5),JT=1,5) /
     &9.1261E+01,3.1932E+02,4.2876E+02,2.8514E+02,7.1839E+01,9.1260E+01,
     &3.1947E+02,4.2876E+02,2.8515E+02,7.1839E+01,9.1260E+01,3.1961E+02,
     &4.2876E+02,2.8515E+02,7.1839E+01,9.1260E+01,3.1971E+02,4.2876E+02,
     &2.8515E+02,7.1839E+01,9.1260E+01,3.1974E+02,4.2876E+02,2.8515E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,57, 2),JS=1,5),JT=1,5) /
     &9.1260E+01,3.1927E+02,4.2876E+02,2.8514E+02,7.1839E+01,9.1260E+01,
     &3.1943E+02,4.2876E+02,2.8514E+02,7.1839E+01,9.1260E+01,3.1957E+02,
     &4.2876E+02,2.8515E+02,7.1839E+01,9.1260E+01,3.1968E+02,4.2876E+02,
     &2.8514E+02,7.1839E+01,9.1260E+01,3.1974E+02,4.2876E+02,2.8514E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,58, 2),JS=1,5),JT=1,5) /
     &9.1260E+01,3.1922E+02,4.2876E+02,2.8515E+02,7.1839E+01,9.1260E+01,
     &3.1938E+02,4.2876E+02,2.8515E+02,7.1839E+01,9.1260E+01,3.1953E+02,
     &4.2876E+02,2.8514E+02,7.1839E+01,9.1260E+01,3.1965E+02,4.2876E+02,
     &2.8513E+02,7.1839E+01,9.1260E+01,3.1973E+02,4.2876E+02,2.8515E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,59, 2),JS=1,5),JT=1,5) /
     &9.1260E+01,3.1920E+02,4.2876E+02,2.8514E+02,7.1839E+01,9.1260E+01,
     &3.1936E+02,4.2876E+02,2.8515E+02,7.1839E+01,9.1259E+01,3.1952E+02,
     &4.2876E+02,2.8515E+02,7.1839E+01,9.1259E+01,3.1964E+02,4.2876E+02,
     &2.8514E+02,7.1839E+01,9.1259E+01,3.1972E+02,4.2876E+02,2.8514E+02,
     &7.1839E+01/
      DATA ((KB(JS,JT,13, 3),JS=1,5),JT=1,5) /
     &2.6463E+02,3.6163E+02,4.9889E+02,3.2504E+02,1.7829E+02,2.6258E+02,
     &3.6010E+02,4.9695E+02,3.2345E+02,1.7829E+02,2.6083E+02,3.5879E+02,
     &4.9519E+02,3.2209E+02,1.7829E+02,2.5930E+02,3.5766E+02,4.9360E+02,
     &3.2093E+02,1.7829E+02,2.5795E+02,3.5666E+02,4.9217E+02,3.1991E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,14, 3),JS=1,5),JT=1,5) /
     &2.5951E+02,3.5782E+02,4.9358E+02,3.2109E+02,1.7829E+02,2.5786E+02,
     &3.5659E+02,4.9191E+02,3.1984E+02,1.7829E+02,2.5644E+02,3.5554E+02,
     &4.9043E+02,3.1877E+02,1.7829E+02,2.5520E+02,3.5461E+02,4.8912E+02,
     &3.1784E+02,1.7829E+02,2.5411E+02,3.5381E+02,4.8795E+02,3.1704E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,15, 3),JS=1,5),JT=1,5) /
     &2.5534E+02,3.5471E+02,4.8908E+02,3.1794E+02,1.7829E+02,2.5401E+02,
     &3.5373E+02,4.8771E+02,3.1695E+02,1.7829E+02,2.5286E+02,3.5287E+02,
     &4.8651E+02,3.1610E+02,1.7829E+02,2.5186E+02,3.5213E+02,4.8543E+02,
     &3.1537E+02,1.7829E+02,2.5098E+02,3.5147E+02,4.8447E+02,3.1472E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,16, 3),JS=1,5),JT=1,5) /
     &2.5194E+02,3.5219E+02,4.8538E+02,3.1543E+02,1.7829E+02,2.5087E+02,
     &3.5140E+02,4.8427E+02,3.1463E+02,1.7829E+02,2.4994E+02,3.5071E+02,
     &4.8328E+02,3.1395E+02,1.7829E+02,2.4914E+02,3.5011E+02,4.8239E+02,
     &3.1337E+02,1.7829E+02,2.4843E+02,3.4958E+02,4.8159E+02,3.1282E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,17, 3),JS=1,5),JT=1,5) /
     &2.4919E+02,3.5014E+02,4.8236E+02,3.1341E+02,1.7829E+02,2.4832E+02,
     &3.4950E+02,4.8145E+02,3.1278E+02,1.7829E+02,2.4758E+02,3.4895E+02,
     &4.8063E+02,3.1225E+02,1.7829E+02,2.4693E+02,3.4847E+02,4.7989E+02,
     &3.1178E+02,1.7829E+02,2.4635E+02,3.4804E+02,4.7924E+02,3.1137E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,18, 3),JS=1,5),JT=1,5) /
     &2.4695E+02,3.4848E+02,4.7988E+02,3.1180E+02,1.7829E+02,2.4626E+02,
     &3.4797E+02,4.7913E+02,3.1130E+02,1.7829E+02,2.4565E+02,3.4752E+02,
     &4.7845E+02,3.1086E+02,1.7829E+02,2.4513E+02,3.4713E+02,4.7784E+02,
     &3.1048E+02,1.7829E+02,2.4466E+02,3.4679E+02,4.7731E+02,3.1015E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,19, 3),JS=1,5),JT=1,5) /
     &2.4514E+02,3.4714E+02,4.7784E+02,3.1049E+02,1.7829E+02,2.4458E+02,
     &3.4672E+02,4.7721E+02,3.1009E+02,1.7829E+02,2.4409E+02,3.4636E+02,
     &4.7665E+02,3.0974E+02,1.7829E+02,2.4367E+02,3.4605E+02,4.7616E+02,
     &3.0943E+02,1.7829E+02,2.4329E+02,3.4577E+02,4.7573E+02,3.0916E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,20, 3),JS=1,5),JT=1,5) /
     &2.4366E+02,3.4604E+02,4.7615E+02,3.0943E+02,1.7829E+02,2.4321E+02,
     &3.4571E+02,4.7563E+02,3.0910E+02,1.7829E+02,2.4282E+02,3.4542E+02,
     &4.7518E+02,3.0882E+02,1.7829E+02,2.4247E+02,3.4516E+02,4.7478E+02,
     &3.0857E+02,1.7829E+02,2.4217E+02,3.4494E+02,4.7443E+02,3.0835E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,21, 3),JS=1,5),JT=1,5) /
     &2.4246E+02,3.4515E+02,4.7476E+02,3.0856E+02,1.7829E+02,2.4210E+02,
     &3.4488E+02,4.7434E+02,3.0830E+02,1.7829E+02,2.4178E+02,3.4465E+02,
     &4.7397E+02,3.0807E+02,1.7829E+02,2.4150E+02,3.4444E+02,4.7364E+02,
     &3.0787E+02,1.7829E+02,2.4126E+02,3.4426E+02,4.7341E+02,3.0769E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,22, 3),JS=1,5),JT=1,5) /
     &2.4146E+02,3.4441E+02,4.7360E+02,3.0784E+02,1.7829E+02,2.4117E+02,
     &3.4420E+02,4.7327E+02,3.0763E+02,1.7829E+02,2.4092E+02,3.4401E+02,
     &4.7296E+02,3.0745E+02,1.7829E+02,2.4070E+02,3.4385E+02,4.7270E+02,
     &3.0729E+02,1.7829E+02,2.4050E+02,3.4370E+02,4.7246E+02,3.0715E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,23, 3),JS=1,5),JT=1,5) /
     &2.4066E+02,3.4382E+02,4.7265E+02,3.0726E+02,1.7829E+02,2.4043E+02,
     &3.4365E+02,4.7237E+02,3.0709E+02,1.7829E+02,2.4023E+02,3.4350E+02,
     &4.7213E+02,3.0695E+02,1.7829E+02,2.4005E+02,3.4336E+02,4.7191E+02,
     &3.0682E+02,1.7829E+02,2.3989E+02,3.4325E+02,4.7173E+02,3.0671E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,24, 3),JS=1,5),JT=1,5) /
     &2.4001E+02,3.4333E+02,4.7187E+02,3.0679E+02,1.7829E+02,2.3982E+02,
     &3.4320E+02,4.7164E+02,3.0666E+02,1.7829E+02,2.3966E+02,3.4308E+02,
     &4.7145E+02,3.0654E+02,1.7829E+02,2.3952E+02,3.4297E+02,4.7128E+02,
     &3.0644E+02,1.7829E+02,2.3940E+02,3.4288E+02,4.7113E+02,3.0635E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,25, 3),JS=1,5),JT=1,5) /
     &2.3948E+02,3.4294E+02,4.7124E+02,3.0641E+02,1.7829E+02,2.3934E+02,
     &3.4284E+02,4.7105E+02,3.0631E+02,1.7829E+02,2.3921E+02,3.4274E+02,
     &4.7089E+02,3.0622E+02,1.7829E+02,2.3910E+02,3.4266E+02,4.7075E+02,
     &3.0613E+02,1.7829E+02,2.3900E+02,3.4258E+02,4.7063E+02,3.0606E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,26, 3),JS=1,5),JT=1,5) /
     &2.3906E+02,3.4263E+02,4.7070E+02,3.0610E+02,1.7829E+02,2.3894E+02,
     &3.4254E+02,4.7056E+02,3.0602E+02,1.7829E+02,2.3884E+02,3.4247E+02,
     &4.7044E+02,3.0595E+02,1.7829E+02,2.3875E+02,3.4240E+02,4.7033E+02,
     &3.0588E+02,1.7829E+02,2.3867E+02,3.4234E+02,4.7023E+02,3.0583E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,27, 3),JS=1,5),JT=1,5) /
     &2.3871E+02,3.4237E+02,4.7028E+02,3.0586E+02,1.7829E+02,2.3862E+02,
     &3.4230E+02,4.7017E+02,3.0579E+02,1.7829E+02,2.3854E+02,3.4225E+02,
     &4.7007E+02,3.0573E+02,1.7829E+02,2.3847E+02,3.4219E+02,4.6998E+02,
     &3.0568E+02,1.7829E+02,2.3840E+02,3.4214E+02,4.6990E+02,3.0564E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,28, 3),JS=1,5),JT=1,5) /
     &2.3844E+02,3.4217E+02,4.6994E+02,3.0566E+02,1.7829E+02,2.3836E+02,
     &3.4211E+02,4.6985E+02,3.0561E+02,1.7829E+02,2.3830E+02,3.4207E+02,
     &4.6977E+02,3.0556E+02,1.7829E+02,2.3824E+02,3.4202E+02,4.6970E+02,
     &3.0552E+02,1.7829E+02,2.3819E+02,3.4198E+02,4.6964E+02,3.0548E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,29, 3),JS=1,5),JT=1,5) /
     &2.3821E+02,3.4200E+02,4.6966E+02,3.0550E+02,1.7829E+02,2.3815E+02,
     &3.4196E+02,4.6959E+02,3.0546E+02,1.7829E+02,2.3810E+02,3.4192E+02,
     &4.6953E+02,3.0542E+02,1.7829E+02,2.3806E+02,3.4189E+02,4.6948E+02,
     &3.0539E+02,1.7829E+02,2.3802E+02,3.4185E+02,4.6942E+02,3.0536E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,30, 3),JS=1,5),JT=1,5) /
     &2.3803E+02,3.4187E+02,4.6944E+02,3.0537E+02,1.7829E+02,2.3799E+02,
     &3.4184E+02,4.6939E+02,3.0533E+02,1.7829E+02,2.3795E+02,3.4180E+02,
     &4.6934E+02,3.0531E+02,1.7829E+02,2.3791E+02,3.4178E+02,4.6929E+02,
     &3.0528E+02,1.7829E+02,2.3788E+02,3.4175E+02,4.6925E+02,3.0526E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,31, 3),JS=1,5),JT=1,5) /
     &2.3789E+02,3.4176E+02,4.6926E+02,3.0526E+02,1.7829E+02,2.3785E+02,
     &3.4173E+02,4.6922E+02,3.0524E+02,1.7829E+02,2.3782E+02,3.4171E+02,
     &4.6918E+02,3.0521E+02,1.7829E+02,2.3779E+02,3.4169E+02,4.6914E+02,
     &3.0519E+02,1.7829E+02,2.3777E+02,3.4167E+02,4.6911E+02,3.0518E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,32, 3),JS=1,5),JT=1,5) /
     &2.3777E+02,3.4168E+02,4.6912E+02,3.0518E+02,1.7829E+02,2.3774E+02,
     &3.4166E+02,4.6908E+02,3.0516E+02,1.7829E+02,2.3772E+02,3.4163E+02,
     &4.6905E+02,3.0514E+02,1.7829E+02,2.3770E+02,3.4162E+02,4.6902E+02,
     &3.0512E+02,1.7829E+02,2.3767E+02,3.4160E+02,4.6900E+02,3.0511E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,33, 3),JS=1,5),JT=1,5) /
     &2.3768E+02,3.4161E+02,4.6900E+02,3.0511E+02,1.7829E+02,2.3766E+02,
     &3.4159E+02,4.6897E+02,3.0510E+02,1.7829E+02,2.3764E+02,3.4157E+02,
     &4.6895E+02,3.0508E+02,1.7829E+02,2.3762E+02,3.4156E+02,4.6893E+02,
     &3.0507E+02,1.7829E+02,2.3760E+02,3.4154E+02,4.6891E+02,3.0506E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,34, 3),JS=1,5),JT=1,5) /
     &2.3760E+02,3.4155E+02,4.6891E+02,3.0506E+02,1.7829E+02,2.3759E+02,
     &3.4154E+02,4.6889E+02,3.0505E+02,1.7829E+02,2.3757E+02,3.4152E+02,
     &4.6887E+02,3.0503E+02,1.7829E+02,2.3756E+02,3.4151E+02,4.6885E+02,
     &3.0502E+02,1.7829E+02,2.3754E+02,3.4150E+02,4.6883E+02,3.0501E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,35, 3),JS=1,5),JT=1,5) /
     &2.3755E+02,3.4151E+02,4.6884E+02,3.0502E+02,1.7829E+02,2.3753E+02,
     &3.4150E+02,4.6882E+02,3.0501E+02,1.7829E+02,2.3752E+02,3.4148E+02,
     &4.6880E+02,3.0500E+02,1.7829E+02,2.3751E+02,3.4147E+02,4.6879E+02,
     &3.0499E+02,1.7829E+02,2.3750E+02,3.4146E+02,4.6878E+02,3.0498E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,36, 3),JS=1,5),JT=1,5) /
     &2.3750E+02,3.4147E+02,4.6878E+02,3.0498E+02,1.7829E+02,2.3749E+02,
     &3.4146E+02,4.6877E+02,3.0497E+02,1.7829E+02,2.3748E+02,3.4145E+02,
     &4.6875E+02,3.0497E+02,1.7829E+02,2.3747E+02,3.4144E+02,4.6874E+02,
     &3.0496E+02,1.7829E+02,2.3746E+02,3.4144E+02,4.6873E+02,3.0495E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,37, 3),JS=1,5),JT=1,5) /
     &2.3746E+02,3.4145E+02,4.6874E+02,3.0496E+02,1.7829E+02,2.3745E+02,
     &3.4144E+02,4.6872E+02,3.0495E+02,1.7829E+02,2.3744E+02,3.4143E+02,
     &4.6871E+02,3.0494E+02,1.7829E+02,2.3744E+02,3.4142E+02,4.6870E+02,
     &3.0494E+02,1.7829E+02,2.3743E+02,3.4141E+02,4.6869E+02,3.0493E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,38, 3),JS=1,5),JT=1,5) /
     &2.3743E+02,3.4143E+02,4.6870E+02,3.0493E+02,1.7829E+02,2.3742E+02,
     &3.4142E+02,4.6869E+02,3.0493E+02,1.7829E+02,2.3742E+02,3.4141E+02,
     &4.6868E+02,3.0492E+02,1.7829E+02,2.3741E+02,3.4140E+02,4.6867E+02,
     &3.0492E+02,1.7829E+02,2.3740E+02,3.4140E+02,4.6866E+02,3.0491E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,39, 3),JS=1,5),JT=1,5) /
     &2.3741E+02,3.4141E+02,4.6867E+02,3.0492E+02,1.7829E+02,2.3740E+02,
     &3.4140E+02,4.6866E+02,3.0491E+02,1.7829E+02,2.3739E+02,3.4139E+02,
     &4.6865E+02,3.0491E+02,1.7829E+02,2.3739E+02,3.4139E+02,4.6865E+02,
     &3.0490E+02,1.7829E+02,2.3738E+02,3.4138E+02,4.6864E+02,3.0490E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,40, 3),JS=1,5),JT=1,5) /
     &2.3739E+02,3.4139E+02,4.6864E+02,3.0490E+02,1.7829E+02,2.3738E+02,
     &3.4139E+02,4.6864E+02,3.0490E+02,1.7829E+02,2.3738E+02,3.4138E+02,
     &4.6863E+02,3.0489E+02,1.7829E+02,2.3737E+02,3.4138E+02,4.6862E+02,
     &3.0489E+02,1.7829E+02,2.3737E+02,3.4137E+02,4.6862E+02,3.0489E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,41, 3),JS=1,5),JT=1,5) /
     &2.3737E+02,3.4138E+02,4.6862E+02,3.0489E+02,1.7829E+02,2.3737E+02,
     &3.4138E+02,4.6862E+02,3.0489E+02,1.7829E+02,2.3736E+02,3.4137E+02,
     &4.6861E+02,3.0488E+02,1.7829E+02,2.3736E+02,3.4137E+02,4.6861E+02,
     &3.0488E+02,1.7829E+02,2.3736E+02,3.4136E+02,4.6860E+02,3.0488E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,42, 3),JS=1,5),JT=1,5) /
     &2.3736E+02,3.4137E+02,4.6861E+02,3.0488E+02,1.7829E+02,2.3735E+02,
     &3.4137E+02,4.6860E+02,3.0488E+02,1.7829E+02,2.3735E+02,3.4136E+02,
     &4.6860E+02,3.0488E+02,1.7829E+02,2.3735E+02,3.4136E+02,4.6859E+02,
     &3.0487E+02,1.7829E+02,2.3734E+02,3.4135E+02,4.6859E+02,3.0487E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,43, 3),JS=1,5),JT=1,5) /
     &2.3735E+02,3.4136E+02,4.6859E+02,3.0487E+02,1.7829E+02,2.3734E+02,
     &3.4136E+02,4.6859E+02,3.0487E+02,1.7829E+02,2.3734E+02,3.4136E+02,
     &4.6858E+02,3.0487E+02,1.7829E+02,2.3734E+02,3.4135E+02,4.6858E+02,
     &3.0487E+02,1.7829E+02,2.3734E+02,3.4135E+02,4.6858E+02,3.0486E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,44, 3),JS=1,5),JT=1,5) /
     &2.3734E+02,3.4136E+02,4.6858E+02,3.0487E+02,1.7829E+02,2.3734E+02,
     &3.4135E+02,4.6858E+02,3.0486E+02,1.7829E+02,2.3733E+02,3.4135E+02,
     &4.6857E+02,3.0486E+02,1.7829E+02,2.3733E+02,3.4135E+02,4.6857E+02,
     &3.0486E+02,1.7829E+02,2.3733E+02,3.4134E+02,4.6857E+02,3.0486E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,45, 3),JS=1,5),JT=1,5) /
     &2.3733E+02,3.4135E+02,4.6857E+02,3.0486E+02,1.7829E+02,2.3733E+02,
     &3.4135E+02,4.6857E+02,3.0486E+02,1.7829E+02,2.3733E+02,3.4135E+02,
     &4.6857E+02,3.0486E+02,1.7829E+02,2.3732E+02,3.4134E+02,4.6856E+02,
     &3.0486E+02,1.7829E+02,2.3732E+02,3.4134E+02,4.6856E+02,3.0486E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,46, 3),JS=1,5),JT=1,5) /
     &2.3732E+02,3.4135E+02,4.6856E+02,3.0486E+02,1.7829E+02,2.3732E+02,
     &3.4134E+02,4.6856E+02,3.0486E+02,1.7829E+02,2.3732E+02,3.4134E+02,
     &4.6856E+02,3.0485E+02,1.7829E+02,2.3732E+02,3.4134E+02,4.6856E+02,
     &3.0485E+02,1.7829E+02,2.3732E+02,3.4134E+02,4.6856E+02,3.0485E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,47, 3),JS=1,5),JT=1,5) /
     &2.3732E+02,3.4135E+02,4.6856E+02,3.0485E+02,1.7829E+02,2.3732E+02,
     &3.4134E+02,4.6856E+02,3.0485E+02,1.7829E+02,2.3732E+02,3.4134E+02,
     &4.6855E+02,3.0485E+02,1.7829E+02,2.3731E+02,3.4134E+02,4.6855E+02,
     &3.0485E+02,1.7829E+02,2.3731E+02,3.4133E+02,4.6855E+02,3.0485E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,48, 3),JS=1,5),JT=1,5) /
     &2.3731E+02,3.4135E+02,4.6855E+02,3.0485E+02,1.7829E+02,2.3731E+02,
     &3.4134E+02,4.6855E+02,3.0485E+02,1.7829E+02,2.3731E+02,3.4134E+02,
     &4.6855E+02,3.0485E+02,1.7829E+02,2.3731E+02,3.4134E+02,4.6855E+02,
     &3.0485E+02,1.7829E+02,2.3731E+02,3.4133E+02,4.6855E+02,3.0485E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,49, 3),JS=1,5),JT=1,5) /
     &2.3731E+02,3.4135E+02,4.6855E+02,3.0485E+02,1.7829E+02,2.3731E+02,
     &3.4134E+02,4.6855E+02,3.0485E+02,1.7829E+02,2.3731E+02,3.4133E+02,
     &4.6854E+02,3.0485E+02,1.7829E+02,2.3731E+02,3.4133E+02,4.6854E+02,
     &3.0484E+02,1.7829E+02,2.3731E+02,3.4133E+02,4.6854E+02,3.0484E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,50, 3),JS=1,5),JT=1,5) /
     &2.3731E+02,3.4136E+02,4.6854E+02,3.0484E+02,1.7829E+02,2.3731E+02,
     &3.4134E+02,4.6854E+02,3.0484E+02,1.7829E+02,2.3731E+02,3.4133E+02,
     &4.6854E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4133E+02,4.6854E+02,
     &3.0484E+02,1.7829E+02,2.3730E+02,3.4133E+02,4.6854E+02,3.0484E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,51, 3),JS=1,5),JT=1,5) /
     &2.3731E+02,3.4136E+02,4.6854E+02,3.0484E+02,1.7829E+02,2.3730E+02,
     &3.4134E+02,4.6854E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4133E+02,
     &4.6854E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4133E+02,4.6854E+02,
     &3.0484E+02,1.7829E+02,2.3730E+02,3.4133E+02,4.6854E+02,3.0484E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,52, 3),JS=1,5),JT=1,5) /
     &2.3730E+02,3.4136E+02,4.6852E+02,3.0484E+02,1.7829E+02,2.3730E+02,
     &3.4135E+02,4.6854E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4133E+02,
     &4.6854E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4132E+02,4.6854E+02,
     &3.0484E+02,1.7829E+02,2.3730E+02,3.4133E+02,4.6853E+02,3.0484E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,53, 3),JS=1,5),JT=1,5) /
     &2.3730E+02,3.4137E+02,4.6851E+02,3.0484E+02,1.7829E+02,2.3730E+02,
     &3.4135E+02,4.6853E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4134E+02,
     &4.6853E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4133E+02,4.6853E+02,
     &3.0484E+02,1.7829E+02,2.3730E+02,3.4133E+02,4.6853E+02,3.0484E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,54, 3),JS=1,5),JT=1,5) /
     &2.3730E+02,3.4137E+02,4.6849E+02,3.0484E+02,1.7829E+02,2.3730E+02,
     &3.4136E+02,4.6852E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4134E+02,
     &4.6853E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4133E+02,4.6853E+02,
     &3.0484E+02,1.7829E+02,2.3730E+02,3.4132E+02,4.6853E+02,3.0484E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,55, 3),JS=1,5),JT=1,5) /
     &2.3730E+02,3.4138E+02,4.6847E+02,3.0484E+02,1.7829E+02,2.3730E+02,
     &3.4136E+02,4.6852E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4134E+02,
     &4.6853E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4133E+02,4.6853E+02,
     &3.0484E+02,1.7829E+02,2.3730E+02,3.4132E+02,4.6853E+02,3.0484E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,56, 3),JS=1,5),JT=1,5) /
     &2.3730E+02,3.4139E+02,4.6844E+02,3.0484E+02,1.7829E+02,2.3730E+02,
     &3.4137E+02,4.6850E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4135E+02,
     &4.6853E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4133E+02,4.6853E+02,
     &3.0484E+02,1.7829E+02,2.3730E+02,3.4133E+02,4.6853E+02,3.0484E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,57, 3),JS=1,5),JT=1,5) /
     &2.3730E+02,3.4140E+02,4.6840E+02,3.0484E+02,1.7829E+02,2.3730E+02,
     &3.4137E+02,4.6849E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4135E+02,
     &4.6852E+02,3.0484E+02,1.7829E+02,2.3730E+02,3.4134E+02,4.6853E+02,
     &3.0484E+02,1.7829E+02,2.3729E+02,3.4132E+02,4.6853E+02,3.0484E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,58, 3),JS=1,5),JT=1,5) /
     &2.3730E+02,3.4140E+02,4.6837E+02,3.0484E+02,1.7829E+02,2.3729E+02,
     &3.4138E+02,4.6847E+02,3.0484E+02,1.7829E+02,2.3729E+02,3.4136E+02,
     &4.6851E+02,3.0484E+02,1.7829E+02,2.3729E+02,3.4134E+02,4.6853E+02,
     &3.0484E+02,1.7829E+02,2.3729E+02,3.4133E+02,4.6853E+02,3.0483E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,59, 3),JS=1,5),JT=1,5) /
     &2.3729E+02,3.4141E+02,4.6835E+02,3.0484E+02,1.7829E+02,2.3729E+02,
     &3.4138E+02,4.6846E+02,3.0484E+02,1.7829E+02,2.3729E+02,3.4136E+02,
     &4.6851E+02,3.0483E+02,1.7829E+02,2.3729E+02,3.4134E+02,4.6853E+02,
     &3.0483E+02,1.7829E+02,2.3729E+02,3.4133E+02,4.6853E+02,3.0483E+02,
     &1.7829E+02/
      DATA ((KB(JS,JT,13, 4),JS=1,5),JT=1,5) /
     &5.1214E+02,4.7089E+02,5.3698E+02,4.0623E+02,3.8437E+02,5.0819E+02,
     &4.6793E+02,5.3525E+02,4.0532E+02,3.8437E+02,5.0478E+02,4.6537E+02,
     &5.3379E+02,4.0453E+02,3.8437E+02,5.0182E+02,4.6315E+02,5.3251E+02,
     &4.0385E+02,3.8437E+02,4.9922E+02,4.6120E+02,5.3137E+02,4.0325E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,14, 4),JS=1,5),JT=1,5) /
     &5.0224E+02,4.6346E+02,5.3224E+02,4.0395E+02,3.8437E+02,4.9905E+02,
     &4.6107E+02,5.3090E+02,4.0321E+02,3.8437E+02,4.9629E+02,4.5901E+02,
     &5.2974E+02,4.0258E+02,3.8437E+02,4.9390E+02,4.5721E+02,5.2871E+02,
     &4.0203E+02,3.8437E+02,4.9179E+02,4.5563E+02,5.2774E+02,4.0154E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,15, 4),JS=1,5),JT=1,5) /
     &4.9416E+02,4.5741E+02,5.2835E+02,4.0209E+02,3.8437E+02,4.9159E+02,
     &4.5548E+02,5.2725E+02,4.0149E+02,3.8437E+02,4.8937E+02,4.5381E+02,
     &5.2626E+02,4.0098E+02,3.8437E+02,4.8743E+02,4.5236E+02,5.2534E+02,
     &4.0054E+02,3.8437E+02,4.8573E+02,4.5108E+02,5.2448E+02,4.0015E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,16, 4),JS=1,5),JT=1,5) /
     &4.8759E+02,4.5248E+02,5.2492E+02,4.0057E+02,3.8437E+02,4.8552E+02,
     &4.5092E+02,5.2397E+02,4.0010E+02,3.8437E+02,4.8373E+02,4.4958E+02,
     &5.2310E+02,3.9968E+02,3.8437E+02,4.8216E+02,4.4841E+02,5.2232E+02,
     &3.9932E+02,3.8437E+02,4.8079E+02,4.4738E+02,5.2159E+02,3.9901E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,17, 4),JS=1,5),JT=1,5) /
     &4.8226E+02,4.4848E+02,5.2188E+02,3.9935E+02,3.8437E+02,4.8059E+02,
     &4.4723E+02,5.2110E+02,3.9896E+02,3.8437E+02,4.7915E+02,4.4615E+02,
     &5.2038E+02,3.9863E+02,3.8437E+02,4.7788E+02,4.4520E+02,5.1974E+02,
     &3.9834E+02,3.8437E+02,4.7677E+02,4.4437E+02,5.1913E+02,3.9808E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,18, 4),JS=1,5),JT=1,5) /
     &4.7794E+02,4.4524E+02,5.1928E+02,3.9835E+02,3.8437E+02,4.7659E+02,
     &4.4423E+02,5.1865E+02,3.9804E+02,3.8437E+02,4.7542E+02,4.4336E+02,
     &5.1808E+02,3.9777E+02,3.8437E+02,4.7441E+02,4.4259E+02,5.1755E+02,
     &3.9754E+02,3.8437E+02,4.7351E+02,4.4192E+02,5.1705E+02,3.9733E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,19, 4),JS=1,5),JT=1,5) /
     &4.7443E+02,4.4261E+02,5.1710E+02,3.9754E+02,3.8437E+02,4.7334E+02,
     &4.4179E+02,5.1660E+02,3.9729E+02,3.8437E+02,4.7240E+02,4.4109E+02,
     &5.1615E+02,3.9708E+02,3.8437E+02,4.7158E+02,4.4047E+02,5.1573E+02,
     &3.9689E+02,3.8437E+02,4.7085E+02,4.3993E+02,5.1533E+02,3.9672E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,20, 4),JS=1,5),JT=1,5) /
     &4.7156E+02,4.4046E+02,5.1527E+02,3.9688E+02,3.8437E+02,4.7069E+02,
     &4.3980E+02,5.1490E+02,3.9668E+02,3.8437E+02,4.6993E+02,4.3924E+02,
     &5.1455E+02,3.9651E+02,3.8437E+02,4.6927E+02,4.3874E+02,5.1422E+02,
     &3.9635E+02,3.8437E+02,4.6868E+02,4.3830E+02,5.1389E+02,3.9622E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,21, 4),JS=1,5),JT=1,5) /
     &4.6924E+02,4.3872E+02,5.1377E+02,3.9635E+02,3.8437E+02,4.6853E+02,
     &4.3819E+02,5.1350E+02,3.9619E+02,3.8437E+02,4.6792E+02,4.3773E+02,
     &5.1323E+02,3.9604E+02,3.8437E+02,4.6739E+02,4.3733E+02,5.1296E+02,
     &3.9592E+02,3.8437E+02,4.6692E+02,4.3697E+02,5.1263E+02,3.9581E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,22, 4),JS=1,5),JT=1,5) /
     &4.6731E+02,4.3727E+02,5.1254E+02,3.9590E+02,3.8437E+02,4.6675E+02,
     &4.3685E+02,5.1231E+02,3.9577E+02,3.8437E+02,4.6626E+02,4.3648E+02,
     &5.1212E+02,3.9566E+02,3.8437E+02,4.6584E+02,4.3616E+02,5.1190E+02,
     &3.9556E+02,3.8437E+02,4.6546E+02,4.3588E+02,5.1168E+02,3.9548E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,23, 4),JS=1,5),JT=1,5) /
     &4.6575E+02,4.3610E+02,5.1153E+02,3.9554E+02,3.8437E+02,4.6531E+02,
     &4.3577E+02,5.1138E+02,3.9544E+02,3.8437E+02,4.6492E+02,4.3548E+02,
     &5.1122E+02,3.9535E+02,3.8437E+02,4.6458E+02,4.3522E+02,5.1104E+02,
     &3.9527E+02,3.8437E+02,4.6427E+02,4.3499E+02,5.1086E+02,3.9520E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,24, 4),JS=1,5),JT=1,5) /
     &4.6450E+02,4.3516E+02,5.1071E+02,3.9525E+02,3.8437E+02,4.6414E+02,
     &4.3489E+02,5.1060E+02,3.9517E+02,3.8437E+02,4.6383E+02,4.3466E+02,
     &5.1047E+02,3.9510E+02,3.8437E+02,4.6356E+02,4.3445E+02,5.1033E+02,
     &3.9504E+02,3.8437E+02,4.6331E+02,4.3427E+02,5.1019E+02,3.9498E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,25, 4),JS=1,5),JT=1,5) /
     &4.6348E+02,4.3439E+02,5.1003E+02,3.9502E+02,3.8437E+02,4.6319E+02,
     &4.3418E+02,5.0997E+02,3.9496E+02,3.8437E+02,4.6295E+02,4.3400E+02,
     &5.0987E+02,3.9490E+02,3.8437E+02,4.6273E+02,4.3383E+02,5.0976E+02,
     &3.9485E+02,3.8437E+02,4.6254E+02,4.3369E+02,5.0965E+02,3.9480E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,26, 4),JS=1,5),JT=1,5) /
     &4.6265E+02,4.3378E+02,5.0951E+02,3.9483E+02,3.8437E+02,4.6243E+02,
     &4.3361E+02,5.0946E+02,3.9478E+02,3.8437E+02,4.6223E+02,4.3346E+02,
     &5.0938E+02,3.9473E+02,3.8437E+02,4.6206E+02,4.3333E+02,5.0930E+02,
     &3.9469E+02,3.8437E+02,4.6190E+02,4.3321E+02,5.0921E+02,3.9466E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,27, 4),JS=1,5),JT=1,5) /
     &4.6199E+02,4.3328E+02,5.0908E+02,3.9468E+02,3.8437E+02,4.6181E+02,
     &4.3314E+02,5.0904E+02,3.9464E+02,3.8437E+02,4.6165E+02,4.3303E+02,
     &5.0899E+02,3.9460E+02,3.8437E+02,4.6152E+02,4.3292E+02,5.0892E+02,
     &3.9457E+02,3.8437E+02,4.6139E+02,4.3283E+02,5.0885E+02,3.9454E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,28, 4),JS=1,5),JT=1,5) /
     &4.6145E+02,4.3288E+02,5.0873E+02,3.9455E+02,3.8437E+02,4.6131E+02,
     &4.3277E+02,5.0871E+02,3.9452E+02,3.8437E+02,4.6119E+02,4.3268E+02,
     &5.0867E+02,3.9449E+02,3.8437E+02,4.6108E+02,4.3259E+02,5.0862E+02,
     &3.9447E+02,3.8437E+02,4.6098E+02,4.3252E+02,5.0856E+02,3.9445E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,29, 4),JS=1,5),JT=1,5) /
     &4.6102E+02,4.3255E+02,5.0845E+02,3.9445E+02,3.8437E+02,4.6091E+02,
     &4.3247E+02,5.0844E+02,3.9443E+02,3.8437E+02,4.6081E+02,4.3239E+02,
     &5.0842E+02,3.9441E+02,3.8437E+02,4.6072E+02,4.3233E+02,5.0837E+02,
     &3.9439E+02,3.8437E+02,4.6064E+02,4.3227E+02,5.0832E+02,3.9437E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,30, 4),JS=1,5),JT=1,5) /
     &4.6067E+02,4.3229E+02,5.0823E+02,3.9437E+02,3.8437E+02,4.6058E+02,
     &4.3223E+02,5.0823E+02,3.9435E+02,3.8437E+02,4.6051E+02,4.3217E+02,
     &5.0821E+02,3.9434E+02,3.8437E+02,4.6044E+02,4.3211E+02,5.0818E+02,
     &3.9432E+02,3.8437E+02,4.6037E+02,4.3207E+02,5.0813E+02,3.9431E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,31, 4),JS=1,5),JT=1,5) /
     &4.6039E+02,4.3208E+02,5.0805E+02,3.9431E+02,3.8437E+02,4.6032E+02,
     &4.3203E+02,5.0805E+02,3.9429E+02,3.8437E+02,4.6026E+02,4.3198E+02,
     &5.0804E+02,3.9428E+02,3.8437E+02,4.6021E+02,4.3194E+02,5.0801E+02,
     &3.9427E+02,3.8437E+02,4.6016E+02,4.3190E+02,5.0797E+02,3.9426E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,32, 4),JS=1,5),JT=1,5) /
     &4.6017E+02,4.3191E+02,5.0790E+02,3.9426E+02,3.8437E+02,4.6011E+02,
     &4.3187E+02,5.0792E+02,3.9425E+02,3.8437E+02,4.6006E+02,4.3183E+02,
     &5.0791E+02,3.9423E+02,3.8437E+02,4.6002E+02,4.3180E+02,5.0788E+02,
     &3.9422E+02,3.8437E+02,4.5998E+02,4.3177E+02,5.0784E+02,3.9421E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,33, 4),JS=1,5),JT=1,5) /
     &4.5999E+02,4.3178E+02,5.0779E+02,3.9422E+02,3.8437E+02,4.5994E+02,
     &4.3174E+02,5.0781E+02,3.9421E+02,3.8437E+02,4.5990E+02,4.3171E+02,
     &5.0780E+02,3.9420E+02,3.8437E+02,4.5987E+02,4.3169E+02,5.0777E+02,
     &3.9419E+02,3.8437E+02,4.5984E+02,4.3166E+02,5.0773E+02,3.9418E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,34, 4),JS=1,5),JT=1,5) /
     &4.5984E+02,4.3167E+02,5.0770E+02,3.9418E+02,3.8437E+02,4.5981E+02,
     &4.3164E+02,5.0772E+02,3.9418E+02,3.8437E+02,4.5978E+02,4.3162E+02,
     &5.0771E+02,3.9417E+02,3.8437E+02,4.5975E+02,4.3160E+02,5.0768E+02,
     &3.9416E+02,3.8437E+02,4.5972E+02,4.3158E+02,5.0764E+02,3.9416E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,35, 4),JS=1,5),JT=1,5) /
     &4.5973E+02,4.3158E+02,5.0763E+02,3.9416E+02,3.8437E+02,4.5970E+02,
     &4.3156E+02,5.0764E+02,3.9415E+02,3.8437E+02,4.5968E+02,4.3154E+02,
     &5.0764E+02,3.9414E+02,3.8437E+02,4.5965E+02,4.3153E+02,5.0761E+02,
     &3.9414E+02,3.8437E+02,4.5963E+02,4.3151E+02,5.0757E+02,3.9413E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,36, 4),JS=1,5),JT=1,5) /
     &4.5964E+02,4.3152E+02,5.0757E+02,3.9414E+02,3.8437E+02,4.5962E+02,
     &4.3150E+02,5.0758E+02,3.9413E+02,3.8437E+02,4.5960E+02,4.3148E+02,
     &5.0758E+02,3.9413E+02,3.8437E+02,4.5958E+02,4.3147E+02,5.0756E+02,
     &3.9412E+02,3.8437E+02,4.5956E+02,4.3146E+02,5.0752E+02,3.9412E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,37, 4),JS=1,5),JT=1,5) /
     &4.5957E+02,4.3146E+02,5.0751E+02,3.9412E+02,3.8437E+02,4.5955E+02,
     &4.3145E+02,5.0753E+02,3.9412E+02,3.8437E+02,4.5953E+02,4.3144E+02,
     &5.0754E+02,3.9411E+02,3.8437E+02,4.5952E+02,4.3142E+02,5.0752E+02,
     &3.9411E+02,3.8437E+02,4.5950E+02,4.3141E+02,5.0748E+02,3.9411E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,38, 4),JS=1,5),JT=1,5) /
     &4.5951E+02,4.3142E+02,5.0746E+02,3.9411E+02,3.8437E+02,4.5950E+02,
     &4.3141E+02,5.0749E+02,3.9410E+02,3.8437E+02,4.5948E+02,4.3140E+02,
     &5.0750E+02,3.9410E+02,3.8437E+02,4.5947E+02,4.3139E+02,5.0749E+02,
     &3.9410E+02,3.8437E+02,4.5946E+02,4.3138E+02,5.0745E+02,3.9409E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,39, 4),JS=1,5),JT=1,5) /
     &4.5946E+02,4.3138E+02,5.0742E+02,3.9410E+02,3.8437E+02,4.5945E+02,
     &4.3137E+02,5.0746E+02,3.9409E+02,3.8437E+02,4.5944E+02,4.3137E+02,
     &5.0747E+02,3.9409E+02,3.8437E+02,4.5943E+02,4.3136E+02,5.0746E+02,
     &3.9409E+02,3.8437E+02,4.5942E+02,4.3135E+02,5.0743E+02,3.9409E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,40, 4),JS=1,5),JT=1,5) /
     &4.5943E+02,4.3136E+02,5.0738E+02,3.9409E+02,3.8437E+02,4.5941E+02,
     &4.3135E+02,5.0742E+02,3.9408E+02,3.8437E+02,4.5940E+02,4.3134E+02,
     &5.0744E+02,3.9408E+02,3.8437E+02,4.5940E+02,4.3133E+02,5.0744E+02,
     &3.9408E+02,3.8437E+02,4.5939E+02,4.3133E+02,5.0742E+02,3.9408E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,41, 4),JS=1,5),JT=1,5) /
     &4.5939E+02,4.3133E+02,5.0734E+02,3.9408E+02,3.8437E+02,4.5938E+02,
     &4.3133E+02,5.0739E+02,3.9408E+02,3.8437E+02,4.5938E+02,4.3132E+02,
     &5.0742E+02,3.9408E+02,3.8437E+02,4.5937E+02,4.3131E+02,5.0742E+02,
     &3.9407E+02,3.8437E+02,4.5936E+02,4.3131E+02,5.0741E+02,3.9407E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,42, 4),JS=1,5),JT=1,5) /
     &4.5937E+02,4.3131E+02,5.0731E+02,3.9407E+02,3.8437E+02,4.5936E+02,
     &4.3131E+02,5.0736E+02,3.9407E+02,3.8437E+02,4.5935E+02,4.3130E+02,
     &5.0739E+02,3.9407E+02,3.8437E+02,4.5935E+02,4.3130E+02,5.0741E+02,
     &3.9407E+02,3.8437E+02,4.5934E+02,4.3129E+02,5.0740E+02,3.9407E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,43, 4),JS=1,5),JT=1,5) /
     &4.5935E+02,4.3130E+02,5.0727E+02,3.9407E+02,3.8437E+02,4.5934E+02,
     &4.3129E+02,5.0733E+02,3.9407E+02,3.8437E+02,4.5933E+02,4.3129E+02,
     &5.0737E+02,3.9407E+02,3.8437E+02,4.5933E+02,4.3128E+02,5.0739E+02,
     &3.9406E+02,3.8437E+02,4.5932E+02,4.3128E+02,5.0739E+02,3.9406E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,44, 4),JS=1,5),JT=1,5) /
     &4.5933E+02,4.3128E+02,5.0723E+02,3.9406E+02,3.8437E+02,4.5932E+02,
     &4.3128E+02,5.0730E+02,3.9406E+02,3.8437E+02,4.5932E+02,4.3128E+02,
     &5.0735E+02,3.9406E+02,3.8437E+02,4.5931E+02,4.3127E+02,5.0737E+02,
     &3.9406E+02,3.8437E+02,4.5931E+02,4.3127E+02,5.0738E+02,3.9406E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,45, 4),JS=1,5),JT=1,5) /
     &4.5931E+02,4.3127E+02,5.0718E+02,3.9406E+02,3.8437E+02,4.5931E+02,
     &4.3127E+02,5.0727E+02,3.9406E+02,3.8437E+02,4.5930E+02,4.3127E+02,
     &5.0732E+02,3.9406E+02,3.8437E+02,4.5930E+02,4.3126E+02,5.0736E+02,
     &3.9406E+02,3.8437E+02,4.5930E+02,4.3126E+02,5.0737E+02,3.9406E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,46, 4),JS=1,5),JT=1,5) /
     &4.5930E+02,4.3126E+02,5.0714E+02,3.9406E+02,3.8437E+02,4.5930E+02,
     &4.3126E+02,5.0723E+02,3.9406E+02,3.8437E+02,4.5929E+02,4.3126E+02,
     &5.0730E+02,3.9406E+02,3.8437E+02,4.5929E+02,4.3125E+02,5.0734E+02,
     &3.9406E+02,3.8437E+02,4.5929E+02,4.3125E+02,5.0736E+02,3.9406E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,47, 4),JS=1,5),JT=1,5) /
     &4.5929E+02,4.3126E+02,5.0708E+02,3.9406E+02,3.8437E+02,4.5929E+02,
     &4.3125E+02,5.0719E+02,3.9406E+02,3.8437E+02,4.5928E+02,4.3125E+02,
     &5.0727E+02,3.9405E+02,3.8437E+02,4.5928E+02,4.3125E+02,5.0732E+02,
     &3.9405E+02,3.8437E+02,4.5928E+02,4.3125E+02,5.0735E+02,3.9405E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,48, 4),JS=1,5),JT=1,5) /
     &4.5928E+02,4.3125E+02,5.0701E+02,3.9405E+02,3.8437E+02,4.5928E+02,
     &4.3125E+02,5.0714E+02,3.9405E+02,3.8437E+02,4.5928E+02,4.3124E+02,
     &5.0723E+02,3.9405E+02,3.8437E+02,4.5927E+02,4.3124E+02,5.0729E+02,
     &3.9405E+02,3.8437E+02,4.5927E+02,4.3124E+02,5.0733E+02,3.9405E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,49, 4),JS=1,5),JT=1,5) /
     &4.5928E+02,4.3124E+02,5.0694E+02,3.9405E+02,3.8437E+02,4.5927E+02,
     &4.3124E+02,5.0709E+02,3.9405E+02,3.8437E+02,4.5927E+02,4.3124E+02,
     &5.0720E+02,3.9405E+02,3.8437E+02,4.5927E+02,4.3124E+02,5.0727E+02,
     &3.9405E+02,3.8437E+02,4.5927E+02,4.3124E+02,5.0732E+02,3.9405E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,50, 4),JS=1,5),JT=1,5) /
     &4.5927E+02,4.3124E+02,5.0686E+02,3.9405E+02,3.8437E+02,4.5927E+02,
     &4.3124E+02,5.0704E+02,3.9405E+02,3.8437E+02,4.5927E+02,4.3124E+02,
     &5.0716E+02,3.9405E+02,3.8437E+02,4.5926E+02,4.3123E+02,5.0724E+02,
     &3.9405E+02,3.8437E+02,4.5926E+02,4.3123E+02,5.0730E+02,3.9405E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,51, 4),JS=1,5),JT=1,5) /
     &4.5926E+02,4.3124E+02,5.0679E+02,3.9405E+02,3.8437E+02,4.5926E+02,
     &4.3123E+02,5.0697E+02,3.9405E+02,3.8437E+02,4.5926E+02,4.3123E+02,
     &5.0711E+02,3.9405E+02,3.8437E+02,4.5926E+02,4.3123E+02,5.0721E+02,
     &3.9405E+02,3.8437E+02,4.5926E+02,4.3123E+02,5.0728E+02,3.9405E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,52, 4),JS=1,5),JT=1,5) /
     &4.5926E+02,4.3123E+02,5.0671E+02,3.9405E+02,3.8437E+02,4.5926E+02,
     &4.3123E+02,5.0691E+02,3.9405E+02,3.8437E+02,4.5926E+02,4.3123E+02,
     &5.0707E+02,3.9405E+02,3.8437E+02,4.5926E+02,4.3123E+02,5.0718E+02,
     &3.9405E+02,3.8437E+02,4.5925E+02,4.3123E+02,5.0725E+02,3.9405E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,53, 4),JS=1,5),JT=1,5) /
     &4.5926E+02,4.3123E+02,5.0663E+02,3.9405E+02,3.8437E+02,4.5926E+02,
     &4.3123E+02,5.0684E+02,3.9405E+02,3.8437E+02,4.5925E+02,4.3123E+02,
     &5.0701E+02,3.9405E+02,3.8437E+02,4.5925E+02,4.3123E+02,5.0714E+02,
     &3.9405E+02,3.8437E+02,4.5925E+02,4.3123E+02,5.0722E+02,3.9405E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,54, 4),JS=1,5),JT=1,5) /
     &4.5925E+02,4.3123E+02,5.0655E+02,3.9405E+02,3.8437E+02,4.5925E+02,
     &4.3123E+02,5.0677E+02,3.9405E+02,3.8437E+02,4.5925E+02,4.3123E+02,
     &5.0696E+02,3.9405E+02,3.8437E+02,4.5925E+02,4.3122E+02,5.0710E+02,
     &3.9405E+02,3.8437E+02,4.5925E+02,4.3122E+02,5.0720E+02,3.9405E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,55, 4),JS=1,5),JT=1,5) /
     &4.5925E+02,4.3123E+02,5.0647E+02,3.9405E+02,3.8437E+02,4.5925E+02,
     &4.3122E+02,5.0670E+02,3.9405E+02,3.8437E+02,4.5925E+02,4.3122E+02,
     &5.0690E+02,3.9405E+02,3.8437E+02,4.5925E+02,4.3122E+02,5.0706E+02,
     &3.9405E+02,3.8437E+02,4.5925E+02,4.3122E+02,5.0717E+02,3.9405E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,56, 4),JS=1,5),JT=1,5) /
     &4.5925E+02,4.3122E+02,5.0640E+02,3.9405E+02,3.8437E+02,4.5925E+02,
     &4.3122E+02,5.0663E+02,3.9405E+02,3.8437E+02,4.5925E+02,4.3122E+02,
     &5.0683E+02,3.9405E+02,3.8437E+02,4.5925E+02,4.3122E+02,5.0701E+02,
     &3.9405E+02,3.8437E+02,4.5925E+02,4.3122E+02,5.0714E+02,3.9405E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,57, 4),JS=1,5),JT=1,5) /
     &4.5925E+02,4.3122E+02,5.0632E+02,3.9405E+02,3.8437E+02,4.5925E+02,
     &4.3122E+02,5.0656E+02,3.9405E+02,3.8437E+02,4.5925E+02,4.3122E+02,
     &5.0677E+02,3.9405E+02,3.8437E+02,4.5925E+02,4.3122E+02,5.0696E+02,
     &3.9405E+02,3.8437E+02,4.5924E+02,4.3122E+02,5.0710E+02,3.9405E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,58, 4),JS=1,5),JT=1,5) /
     &4.5925E+02,4.3122E+02,5.0624E+02,3.9405E+02,3.8437E+02,4.5925E+02,
     &4.3122E+02,5.0648E+02,3.9405E+02,3.8437E+02,4.5924E+02,4.3122E+02,
     &5.0671E+02,3.9405E+02,3.8437E+02,4.5924E+02,4.3122E+02,5.0690E+02,
     &3.9405E+02,3.8437E+02,4.5924E+02,4.3122E+02,5.0706E+02,3.9405E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,59, 4),JS=1,5),JT=1,5) /
     &4.5924E+02,4.3122E+02,5.0622E+02,3.9405E+02,3.8437E+02,4.5924E+02,
     &4.3122E+02,5.0645E+02,3.9405E+02,3.8437E+02,4.5924E+02,4.3122E+02,
     &5.0668E+02,3.9405E+02,3.8437E+02,4.5924E+02,4.3122E+02,5.0688E+02,
     &3.9405E+02,3.8437E+02,4.5924E+02,4.3122E+02,5.0704E+02,3.9405E+02,
     &3.8437E+02/
      DATA ((KB(JS,JT,13, 5),JS=1,5),JT=1,5) /
     &7.8037E+02,6.2743E+02,5.6495E+02,5.6633E+02,6.7117E+02,7.7434E+02,
     &6.2291E+02,5.6343E+02,5.6584E+02,6.7117E+02,7.6915E+02,6.1902E+02,
     &5.6189E+02,5.6542E+02,6.7117E+02,7.6464E+02,6.1563E+02,5.6027E+02,
     &5.6506E+02,6.7117E+02,7.6068E+02,6.1266E+02,5.5865E+02,5.6474E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,14, 5),JS=1,5),JT=1,5) /
     &7.6527E+02,6.1611E+02,5.6011E+02,5.6511E+02,6.7117E+02,7.6041E+02,
     &6.1246E+02,5.5859E+02,5.6472E+02,6.7117E+02,7.5622E+02,6.0932E+02,
     &5.5696E+02,5.6438E+02,6.7117E+02,7.5257E+02,6.0658E+02,5.5539E+02,
     &5.6408E+02,6.7117E+02,7.4936E+02,6.0417E+02,5.5391E+02,5.6383E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,15, 5),JS=1,5),JT=1,5) /
     &7.5296E+02,6.0688E+02,5.5521E+02,5.6412E+02,6.7117E+02,7.4904E+02,
     &6.0394E+02,5.5372E+02,5.6380E+02,6.7117E+02,7.4566E+02,6.0140E+02,
     &5.5235E+02,5.6353E+02,6.7117E+02,7.4271E+02,5.9919E+02,5.5103E+02,
     &5.6329E+02,6.7117E+02,7.4012E+02,5.9724E+02,5.4977E+02,5.6308E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,16, 5),JS=1,5),JT=1,5) /
     &7.4295E+02,5.9937E+02,5.5079E+02,5.6331E+02,6.7117E+02,7.3979E+02,
     &5.9700E+02,5.4953E+02,5.6305E+02,6.7117E+02,7.3707E+02,5.9495E+02,
     &5.4828E+02,5.6283E+02,6.7117E+02,7.3469E+02,5.9317E+02,5.4708E+02,
     &5.6264E+02,6.7117E+02,7.3259E+02,5.9160E+02,5.4600E+02,5.6247E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,17, 5),JS=1,5),JT=1,5) /
     &7.3483E+02,5.9328E+02,5.4695E+02,5.6265E+02,6.7117E+02,7.3229E+02,
     &5.9137E+02,5.4572E+02,5.6245E+02,6.7117E+02,7.3009E+02,5.8972E+02,
     &5.4462E+02,5.6227E+02,6.7117E+02,7.2817E+02,5.8828E+02,5.4366E+02,
     &5.6212E+02,6.7117E+02,7.2647E+02,5.8701E+02,5.4281E+02,5.6198E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,18, 5),JS=1,5),JT=1,5) /
     &7.2825E+02,5.8834E+02,5.4354E+02,5.6212E+02,6.7117E+02,7.2619E+02,
     &5.8680E+02,5.4253E+02,5.6196E+02,6.7117E+02,7.2442E+02,5.8547E+02,
     &5.4166E+02,5.6181E+02,6.7117E+02,7.2286E+02,5.8430E+02,5.4091E+02,
     &5.6169E+02,6.7117E+02,7.2150E+02,5.8328E+02,5.4024E+02,5.6158E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,19, 5),JS=1,5),JT=1,5) /
     &7.2290E+02,5.8433E+02,5.4075E+02,5.6169E+02,6.7117E+02,7.2124E+02,
     &5.8309E+02,5.3996E+02,5.6156E+02,6.7117E+02,7.1981E+02,5.8201E+02,
     &5.3928E+02,5.6144E+02,6.7117E+02,7.1856E+02,5.8107E+02,5.3868E+02,
     &5.6134E+02,6.7117E+02,7.1745E+02,5.8024E+02,5.3816E+02,5.6125E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,20, 5),JS=1,5),JT=1,5) /
     &7.1853E+02,5.8105E+02,5.3849E+02,5.6134E+02,6.7117E+02,7.1720E+02,
     &5.8006E+02,5.3788E+02,5.6123E+02,6.7117E+02,7.1605E+02,5.7919E+02,
     &5.3734E+02,5.6114E+02,6.7117E+02,7.1504E+02,5.7843E+02,5.3687E+02,
     &5.6106E+02,6.7117E+02,7.1414E+02,5.7776E+02,5.3643E+02,5.6098E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,21, 5),JS=1,5),JT=1,5) /
     &7.1499E+02,5.7840E+02,5.3667E+02,5.6105E+02,6.7117E+02,7.1392E+02,
     &5.7759E+02,5.3620E+02,5.6097E+02,6.7117E+02,7.1299E+02,5.7690E+02,
     &5.3578E+02,5.6089E+02,6.7117E+02,7.1217E+02,5.7628E+02,5.3541E+02,
     &5.6083E+02,6.7117E+02,7.1145E+02,5.7574E+02,5.3506E+02,5.6077E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,22, 5),JS=1,5),JT=1,5) /
     &7.1206E+02,5.7620E+02,5.3519E+02,5.6082E+02,6.7117E+02,7.1120E+02,
     &5.7555E+02,5.3482E+02,5.6075E+02,6.7117E+02,7.1046E+02,5.7500E+02,
     &5.3450E+02,5.6069E+02,6.7117E+02,7.0981E+02,5.7451E+02,5.3420E+02,
     &5.6064E+02,6.7117E+02,7.0923E+02,5.7408E+02,5.3390E+02,5.6059E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,23, 5),JS=1,5),JT=1,5) /
     &7.0968E+02,5.7442E+02,5.3396E+02,5.6063E+02,6.7117E+02,7.0900E+02,
     &5.7391E+02,5.3367E+02,5.6057E+02,6.7117E+02,7.0841E+02,5.7346E+02,
     &5.3341E+02,5.6052E+02,6.7117E+02,7.0789E+02,5.7307E+02,5.3316E+02,
     &5.6048E+02,6.7117E+02,7.0743E+02,5.7272E+02,5.3290E+02,5.6044E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,24, 5),JS=1,5),JT=1,5) /
     &7.0776E+02,5.7298E+02,5.3293E+02,5.6047E+02,6.7117E+02,7.0722E+02,
     &5.7257E+02,5.3269E+02,5.6043E+02,6.7117E+02,7.0675E+02,5.7222E+02,
     &5.3248E+02,5.6039E+02,6.7117E+02,7.0633E+02,5.7190E+02,5.3228E+02,
     &5.6036E+02,6.7117E+02,7.0596E+02,5.7163E+02,5.3207E+02,5.6033E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,25, 5),JS=1,5),JT=1,5) /
     &7.0621E+02,5.7181E+02,5.3206E+02,5.6035E+02,6.7117E+02,7.0578E+02,
     &5.7149E+02,5.3188E+02,5.6031E+02,6.7117E+02,7.0541E+02,5.7121E+02,
     &5.3172E+02,5.6028E+02,6.7117E+02,7.0507E+02,5.7096E+02,5.3156E+02,
     &5.6025E+02,6.7117E+02,7.0478E+02,5.7074E+02,5.3138E+02,5.6023E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,26, 5),JS=1,5),JT=1,5) /
     &7.0496E+02,5.7087E+02,5.3135E+02,5.6024E+02,6.7117E+02,7.0461E+02,
     &5.7061E+02,5.3122E+02,5.6022E+02,6.7117E+02,7.0432E+02,5.7039E+02,
     &5.3110E+02,5.6019E+02,6.7117E+02,7.0405E+02,5.7019E+02,5.3097E+02,
     &5.6017E+02,6.7117E+02,7.0382E+02,5.7001E+02,5.3082E+02,5.6015E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,27, 5),JS=1,5),JT=1,5) /
     &7.0394E+02,5.7011E+02,5.3077E+02,5.6016E+02,6.7117E+02,7.0367E+02,
     &5.6991E+02,5.3069E+02,5.6014E+02,6.7117E+02,7.0343E+02,5.6973E+02,
     &5.3060E+02,5.6012E+02,6.7117E+02,7.0322E+02,5.6957E+02,5.3049E+02,
     &5.6010E+02,6.7117E+02,7.0304E+02,5.6943E+02,5.3036E+02,5.6009E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,28, 5),JS=1,5),JT=1,5) /
     &7.0313E+02,5.6950E+02,5.3032E+02,5.6010E+02,6.7117E+02,7.0291E+02,
     &5.6934E+02,5.3026E+02,5.6008E+02,6.7117E+02,7.0272E+02,5.6920E+02,
     &5.3019E+02,5.6006E+02,6.7117E+02,7.0256E+02,5.6907E+02,5.3010E+02,
     &5.6005E+02,6.7117E+02,7.0241E+02,5.6896E+02,5.2998E+02,5.6004E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,29, 5),JS=1,5),JT=1,5) /
     &7.0247E+02,5.6901E+02,5.2995E+02,5.6004E+02,6.7117E+02,7.0230E+02,
     &5.6888E+02,5.2991E+02,5.6003E+02,6.7117E+02,7.0215E+02,5.6877E+02,
     &5.2985E+02,5.6002E+02,6.7117E+02,7.0202E+02,5.6867E+02,5.2978E+02,
     &5.6001E+02,6.7117E+02,7.0190E+02,5.6858E+02,5.2967E+02,5.6000E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,30, 5),JS=1,5),JT=1,5) /
     &7.0194E+02,5.6861E+02,5.2966E+02,5.6000E+02,6.7117E+02,7.0181E+02,
     &5.6851E+02,5.2963E+02,5.5999E+02,6.7117E+02,7.0169E+02,5.6842E+02,
     &5.2958E+02,5.5998E+02,6.7117E+02,7.0158E+02,5.6834E+02,5.2951E+02,
     &5.5997E+02,6.7117E+02,7.0149E+02,5.6827E+02,5.2941E+02,5.5996E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,31, 5),JS=1,5),JT=1,5) /
     &7.0151E+02,5.6829E+02,5.2942E+02,5.5997E+02,6.7117E+02,7.0141E+02,
     &5.6821E+02,5.2941E+02,5.5996E+02,6.7117E+02,7.0131E+02,5.6814E+02,
     &5.2936E+02,5.5995E+02,6.7117E+02,7.0123E+02,5.6807E+02,5.2930E+02,
     &5.5994E+02,6.7117E+02,7.0115E+02,5.6802E+02,5.2920E+02,5.5994E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,32, 5),JS=1,5),JT=1,5) /
     &7.0117E+02,5.6803E+02,5.2924E+02,5.5994E+02,6.7117E+02,7.0109E+02,
     &5.6797E+02,5.2922E+02,5.5993E+02,6.7117E+02,7.0101E+02,5.6791E+02,
     &5.2919E+02,5.5993E+02,6.7117E+02,7.0094E+02,5.6786E+02,5.2912E+02,
     &5.5992E+02,6.7117E+02,7.0088E+02,5.6782E+02,5.2902E+02,5.5992E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,33, 5),JS=1,5),JT=1,5) /
     &7.0090E+02,5.6782E+02,5.2908E+02,5.5992E+02,6.7117E+02,7.0083E+02,
     &5.6777E+02,5.2907E+02,5.5991E+02,6.7117E+02,7.0077E+02,5.6773E+02,
     &5.2904E+02,5.5991E+02,6.7117E+02,7.0072E+02,5.6769E+02,5.2897E+02,
     &5.5990E+02,6.7117E+02,7.0067E+02,5.6765E+02,5.2887E+02,5.5990E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,34, 5),JS=1,5),JT=1,5) /
     &7.0068E+02,5.6766E+02,5.2896E+02,5.5990E+02,6.7117E+02,7.0062E+02,
     &5.6762E+02,5.2895E+02,5.5989E+02,6.7117E+02,7.0057E+02,5.6758E+02,
     &5.2892E+02,5.5989E+02,6.7117E+02,7.0053E+02,5.6755E+02,5.2885E+02,
     &5.5989E+02,6.7117E+02,7.0049E+02,5.6752E+02,5.2874E+02,5.5988E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,35, 5),JS=1,5),JT=1,5) /
     &7.0050E+02,5.6753E+02,5.2886E+02,5.5988E+02,6.7117E+02,7.0046E+02,
     &5.6750E+02,5.2885E+02,5.5988E+02,6.7117E+02,7.0042E+02,5.6747E+02,
     &5.2883E+02,5.5988E+02,6.7117E+02,7.0039E+02,5.6744E+02,5.2876E+02,
     &5.5988E+02,6.7117E+02,7.0035E+02,5.6742E+02,5.2864E+02,5.5987E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,36, 5),JS=1,5),JT=1,5) /
     &7.0037E+02,5.6743E+02,5.2877E+02,5.5987E+02,6.7117E+02,7.0033E+02,
     &5.6740E+02,5.2878E+02,5.5987E+02,6.7117E+02,7.0030E+02,5.6738E+02,
     &5.2875E+02,5.5987E+02,6.7117E+02,7.0027E+02,5.6736E+02,5.2869E+02,
     &5.5987E+02,6.7117E+02,7.0025E+02,5.6734E+02,5.2857E+02,5.5986E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,37, 5),JS=1,5),JT=1,5) /
     &7.0026E+02,5.6735E+02,5.2870E+02,5.5986E+02,6.7117E+02,7.0023E+02,
     &5.6733E+02,5.2872E+02,5.5986E+02,6.7117E+02,7.0020E+02,5.6731E+02,
     &5.2870E+02,5.5986E+02,6.7117E+02,7.0018E+02,5.6729E+02,5.2864E+02,
     &5.5986E+02,6.7117E+02,7.0016E+02,5.6727E+02,5.2854E+02,5.5986E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,38, 5),JS=1,5),JT=1,5) /
     &7.0017E+02,5.6728E+02,5.2864E+02,5.5986E+02,6.7117E+02,7.0015E+02,
     &5.6726E+02,5.2866E+02,5.5986E+02,6.7117E+02,7.0012E+02,5.6725E+02,
     &5.2866E+02,5.5985E+02,6.7117E+02,7.0010E+02,5.6723E+02,5.2860E+02,
     &5.5985E+02,6.7117E+02,7.0009E+02,5.6722E+02,5.2852E+02,5.5985E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,39, 5),JS=1,5),JT=1,5) /
     &7.0010E+02,5.6723E+02,5.2860E+02,5.5985E+02,6.7117E+02,7.0008E+02,
     &5.6721E+02,5.2862E+02,5.5985E+02,6.7117E+02,7.0006E+02,5.6720E+02,
     &5.2861E+02,5.5985E+02,6.7117E+02,7.0004E+02,5.6719E+02,5.2858E+02,
     &5.5985E+02,6.7117E+02,7.0003E+02,5.6717E+02,5.2850E+02,5.5985E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,40, 5),JS=1,5),JT=1,5) /
     &7.0004E+02,5.6718E+02,5.2855E+02,5.5985E+02,6.7117E+02,7.0002E+02,
     &5.6717E+02,5.2858E+02,5.5985E+02,6.7117E+02,7.0001E+02,5.6716E+02,
     &5.2859E+02,5.5984E+02,6.7117E+02,6.9999E+02,5.6715E+02,5.2856E+02,
     &5.5984E+02,6.7117E+02,6.9998E+02,5.6714E+02,5.2849E+02,5.5984E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,41, 5),JS=1,5),JT=1,5) /
     &6.9999E+02,5.6715E+02,5.2850E+02,5.5984E+02,6.7117E+02,6.9998E+02,
     &5.6714E+02,5.2854E+02,5.5984E+02,6.7117E+02,6.9996E+02,5.6713E+02,
     &5.2856E+02,5.5984E+02,6.7117E+02,6.9995E+02,5.6712E+02,5.2854E+02,
     &5.5984E+02,6.7117E+02,6.9994E+02,5.6711E+02,5.2848E+02,5.5984E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,42, 5),JS=1,5),JT=1,5) /
     &6.9995E+02,5.6712E+02,5.2846E+02,5.5984E+02,6.7117E+02,6.9994E+02,
     &5.6711E+02,5.2851E+02,5.5984E+02,6.7117E+02,6.9993E+02,5.6710E+02,
     &5.2853E+02,5.5984E+02,6.7117E+02,6.9992E+02,5.6709E+02,5.2853E+02,
     &5.5984E+02,6.7117E+02,6.9991E+02,5.6709E+02,5.2848E+02,5.5984E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,43, 5),JS=1,5),JT=1,5) /
     &6.9992E+02,5.6709E+02,5.2843E+02,5.5984E+02,6.7117E+02,6.9991E+02,
     &5.6708E+02,5.2848E+02,5.5984E+02,6.7117E+02,6.9990E+02,5.6708E+02,
     &5.2851E+02,5.5984E+02,6.7117E+02,6.9989E+02,5.6707E+02,5.2851E+02,
     &5.5984E+02,6.7117E+02,6.9988E+02,5.6707E+02,5.2848E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,44, 5),JS=1,5),JT=1,5) /
     &6.9989E+02,5.6707E+02,5.2838E+02,5.5984E+02,6.7117E+02,6.9988E+02,
     &5.6707E+02,5.2844E+02,5.5983E+02,6.7117E+02,6.9988E+02,5.6706E+02,
     &5.2848E+02,5.5983E+02,6.7117E+02,6.9987E+02,5.6705E+02,5.2850E+02,
     &5.5983E+02,6.7117E+02,6.9986E+02,5.6705E+02,5.2849E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,45, 5),JS=1,5),JT=1,5) /
     &6.9987E+02,5.6706E+02,5.2834E+02,5.5983E+02,6.7117E+02,6.9986E+02,
     &5.6705E+02,5.2841E+02,5.5983E+02,6.7117E+02,6.9986E+02,5.6704E+02,
     &5.2846E+02,5.5983E+02,6.7117E+02,6.9985E+02,5.6704E+02,5.2848E+02,
     &5.5983E+02,6.7117E+02,6.9984E+02,5.6704E+02,5.2848E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,46, 5),JS=1,5),JT=1,5) /
     &6.9985E+02,5.6704E+02,5.2830E+02,5.5983E+02,6.7117E+02,6.9984E+02,
     &5.6704E+02,5.2837E+02,5.5983E+02,6.7117E+02,6.9984E+02,5.6703E+02,
     &5.2843E+02,5.5983E+02,6.7117E+02,6.9983E+02,5.6703E+02,5.2847E+02,
     &5.5983E+02,6.7117E+02,6.9983E+02,5.6703E+02,5.2848E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,47, 5),JS=1,5),JT=1,5) /
     &6.9984E+02,5.6703E+02,5.2826E+02,5.5983E+02,6.7117E+02,6.9983E+02,
     &5.6703E+02,5.2834E+02,5.5983E+02,6.7117E+02,6.9982E+02,5.6702E+02,
     &5.2840E+02,5.5983E+02,6.7117E+02,6.9982E+02,5.6702E+02,5.2845E+02,
     &5.5983E+02,6.7117E+02,6.9982E+02,5.6702E+02,5.2847E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,48, 5),JS=1,5),JT=1,5) /
     &6.9982E+02,5.6702E+02,5.2821E+02,5.5983E+02,6.7117E+02,6.9982E+02,
     &5.6702E+02,5.2830E+02,5.5983E+02,6.7117E+02,6.9981E+02,5.6701E+02,
     &5.2837E+02,5.5983E+02,6.7117E+02,6.9981E+02,5.6701E+02,5.2842E+02,
     &5.5983E+02,6.7117E+02,6.9981E+02,5.6701E+02,5.2845E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,49, 5),JS=1,5),JT=1,5) /
     &6.9981E+02,5.6701E+02,5.2817E+02,5.5983E+02,6.7117E+02,6.9981E+02,
     &5.6701E+02,5.2825E+02,5.5983E+02,6.7117E+02,6.9980E+02,5.6701E+02,
     &5.2833E+02,5.5983E+02,6.7117E+02,6.9980E+02,5.6700E+02,5.2840E+02,
     &5.5983E+02,6.7117E+02,6.9980E+02,5.6700E+02,5.2844E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,50, 5),JS=1,5),JT=1,5) /
     &6.9980E+02,5.6701E+02,5.2812E+02,5.5983E+02,6.7117E+02,6.9980E+02,
     &5.6700E+02,5.2821E+02,5.5983E+02,6.7117E+02,6.9980E+02,5.6700E+02,
     &5.2830E+02,5.5983E+02,6.7117E+02,6.9979E+02,5.6700E+02,5.2837E+02,
     &5.5983E+02,6.7117E+02,6.9979E+02,5.6700E+02,5.2842E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,51, 5),JS=1,5),JT=1,5) /
     &6.9979E+02,5.6700E+02,5.2807E+02,5.5983E+02,6.7117E+02,6.9979E+02,
     &5.6700E+02,5.2818E+02,5.5983E+02,6.7117E+02,6.9979E+02,5.6699E+02,
     &5.2827E+02,5.5983E+02,6.7117E+02,6.9979E+02,5.6699E+02,5.2834E+02,
     &5.5983E+02,6.7117E+02,6.9978E+02,5.6699E+02,5.2841E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,52, 5),JS=1,5),JT=1,5) /
     &6.9979E+02,5.6699E+02,5.2802E+02,5.5983E+02,6.7117E+02,6.9979E+02,
     &5.6699E+02,5.2814E+02,5.5983E+02,6.7117E+02,6.9978E+02,5.6699E+02,
     &5.2823E+02,5.5983E+02,6.7117E+02,6.9978E+02,5.6699E+02,5.2831E+02,
     &5.5983E+02,6.7117E+02,6.9978E+02,5.6699E+02,5.2838E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,53, 5),JS=1,5),JT=1,5) /
     &6.9978E+02,5.6699E+02,5.2798E+02,5.5983E+02,6.7117E+02,6.9978E+02,
     &5.6699E+02,5.2809E+02,5.5983E+02,6.7117E+02,6.9978E+02,5.6699E+02,
     &5.2820E+02,5.5983E+02,6.7117E+02,6.9978E+02,5.6699E+02,5.2828E+02,
     &5.5983E+02,6.7117E+02,6.9977E+02,5.6698E+02,5.2836E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,54, 5),JS=1,5),JT=1,5) /
     &6.9978E+02,5.6699E+02,5.2794E+02,5.5983E+02,6.7117E+02,6.9978E+02,
     &5.6699E+02,5.2804E+02,5.5983E+02,6.7117E+02,6.9977E+02,5.6698E+02,
     &5.2816E+02,5.5983E+02,6.7117E+02,6.9977E+02,5.6698E+02,5.2825E+02,
     &5.5983E+02,6.7117E+02,6.9977E+02,5.6698E+02,5.2833E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,55, 5),JS=1,5),JT=1,5) /
     &6.9977E+02,5.6698E+02,5.2790E+02,5.5983E+02,6.7117E+02,6.9977E+02,
     &5.6698E+02,5.2801E+02,5.5983E+02,6.7117E+02,6.9977E+02,5.6698E+02,
     &5.2812E+02,5.5983E+02,6.7117E+02,6.9977E+02,5.6698E+02,5.2822E+02,
     &5.5983E+02,6.7117E+02,6.9977E+02,5.6698E+02,5.2830E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,56, 5),JS=1,5),JT=1,5) /
     &6.9977E+02,5.6698E+02,5.2786E+02,5.5983E+02,6.7117E+02,6.9977E+02,
     &5.6698E+02,5.2797E+02,5.5983E+02,6.7117E+02,6.9977E+02,5.6698E+02,
     &5.2808E+02,5.5983E+02,6.7117E+02,6.9977E+02,5.6698E+02,5.2819E+02,
     &5.5983E+02,6.7117E+02,6.9977E+02,5.6698E+02,5.2827E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,57, 5),JS=1,5),JT=1,5) /
     &6.9977E+02,5.6698E+02,5.2781E+02,5.5983E+02,6.7117E+02,6.9977E+02,
     &5.6698E+02,5.2794E+02,5.5983E+02,6.7117E+02,6.9977E+02,5.6698E+02,
     &5.2805E+02,5.5983E+02,6.7117E+02,6.9976E+02,5.6698E+02,5.2815E+02,
     &5.5983E+02,6.7117E+02,6.9976E+02,5.6698E+02,5.2825E+02,5.5983E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,58, 5),JS=1,5),JT=1,5) /
     &6.9977E+02,5.6698E+02,5.2777E+02,5.5983E+02,6.7117E+02,6.9976E+02,
     &5.6698E+02,5.2790E+02,5.5983E+02,6.7117E+02,6.9976E+02,5.6698E+02,
     &5.2801E+02,5.5983E+02,6.7117E+02,6.9976E+02,5.6698E+02,5.2812E+02,
     &5.5982E+02,6.7117E+02,6.9976E+02,5.6697E+02,5.2822E+02,5.5982E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,59, 5),JS=1,5),JT=1,5) /
     &6.9976E+02,5.6698E+02,5.2775E+02,5.5983E+02,6.7117E+02,6.9976E+02,
     &5.6698E+02,5.2788E+02,5.5982E+02,6.7117E+02,6.9976E+02,5.6697E+02,
     &5.2801E+02,5.5982E+02,6.7117E+02,6.9976E+02,5.6697E+02,5.2811E+02,
     &5.5982E+02,6.7117E+02,6.9976E+02,5.6697E+02,5.2821E+02,5.5982E+02,
     &6.7117E+02/
      DATA ((KB(JS,JT,13, 6),JS=1,5),JT=1,5) /
     &9.9182E+02,7.6479E+02,5.8123E+02,7.3928E+02,9.4808E+02,9.8417E+02,
     &7.5904E+02,5.7888E+02,7.3991E+02,9.4920E+02,9.7757E+02,7.5410E+02,
     &5.7650E+02,7.4029E+02,9.4995E+02,9.7184E+02,7.4980E+02,5.7428E+02,
     &7.4046E+02,9.5033E+02,9.6680E+02,7.4602E+02,5.7217E+02,7.4043E+02,
     &9.5033E+02/
      DATA ((KB(JS,JT,14, 6),JS=1,5),JT=1,5) /
     &9.7264E+02,7.5040E+02,5.7482E+02,7.3884E+02,9.4820E+02,9.6646E+02,
     &7.4576E+02,5.7229E+02,7.3949E+02,9.4928E+02,9.6113E+02,7.4177E+02,
     &5.7016E+02,7.3988E+02,9.5000E+02,9.5649E+02,7.3829E+02,5.6822E+02,
     &7.4006E+02,9.5035E+02,9.5242E+02,7.3523E+02,5.6635E+02,7.4003E+02,
     &9.5032E+02/
      DATA ((KB(JS,JT,15, 6),JS=1,5),JT=1,5) /
     &9.5700E+02,7.3867E+02,5.6844E+02,7.3851E+02,9.4832E+02,9.5201E+02,
     &7.3493E+02,5.6632E+02,7.3916E+02,9.4937E+02,9.4772E+02,7.3170E+02,
     &5.6426E+02,7.3956E+02,9.5005E+02,9.4397E+02,7.2889E+02,5.6242E+02,
     &7.3973E+02,9.5035E+02,9.4067E+02,7.2642E+02,5.6076E+02,7.3970E+02,
     &9.5029E+02/
      DATA ((KB(JS,JT,16, 6),JS=1,5),JT=1,5) /
     &9.4427E+02,7.2912E+02,5.6257E+02,7.3826E+02,9.4846E+02,9.4026E+02,
     &7.2611E+02,5.6064E+02,7.3891E+02,9.4946E+02,9.3679E+02,7.2351E+02,
     &5.5906E+02,7.3929E+02,9.5011E+02,9.3377E+02,7.2124E+02,5.5770E+02,
     &7.3948E+02,9.5036E+02,9.3110E+02,7.1925E+02,5.5641E+02,7.3943E+02,
     &9.5027E+02/
      DATA ((KB(JS,JT,17, 6),JS=1,5),JT=1,5) /
     &9.3395E+02,7.2138E+02,5.5755E+02,7.3807E+02,9.4857E+02,9.3072E+02,
     &7.1896E+02,5.5622E+02,7.3871E+02,9.4955E+02,9.2792E+02,7.1686E+02,
     &5.5497E+02,7.3909E+02,9.5015E+02,9.2548E+02,7.1503E+02,5.5372E+02,
     &7.3925E+02,9.5038E+02,9.2333E+02,7.1341E+02,5.5252E+02,7.3921E+02,
     &9.5024E+02/
      DATA ((KB(JS,JT,18, 6),JS=1,5),JT=1,5) /
     &9.2558E+02,7.1510E+02,5.5360E+02,7.3792E+02,9.4869E+02,9.2297E+02,
     &7.1315E+02,5.5237E+02,7.3856E+02,9.4963E+02,9.2072E+02,7.1146E+02,
     &5.5114E+02,7.3892E+02,9.5019E+02,9.1874E+02,7.0998E+02,5.5001E+02,
     &7.3908E+02,9.5037E+02,9.1700E+02,7.0867E+02,5.4903E+02,7.3903E+02,
     &9.5021E+02/
      DATA ((KB(JS,JT,19, 6),JS=1,5),JT=1,5) /
     &9.1879E+02,7.1001E+02,5.5004E+02,7.3782E+02,9.4880E+02,9.1668E+02,
     &7.0843E+02,5.4889E+02,7.3844E+02,9.4970E+02,9.1486E+02,7.0706E+02,
     &5.4830E+02,7.3880E+02,9.5023E+02,9.1327E+02,7.0587E+02,5.4705E+02,
     &7.3894E+02,9.5037E+02,9.1186E+02,7.0481E+02,5.4615E+02,7.3887E+02,
     &9.5019E+02/
      DATA ((KB(JS,JT,20, 6),JS=1,5),JT=1,5) /
     &9.1324E+02,7.0585E+02,5.4718E+02,7.3776E+02,9.4893E+02,9.1155E+02,
     &7.0458E+02,5.4599E+02,7.3835E+02,9.4979E+02,9.1008E+02,7.0348E+02,
     &5.4519E+02,7.3870E+02,9.5026E+02,9.0879E+02,7.0251E+02,5.4450E+02,
     &7.3882E+02,9.5036E+02,9.0766E+02,7.0166E+02,5.4390E+02,7.3874E+02,
     &9.5013E+02/
      DATA ((KB(JS,JT,21, 6),JS=1,5),JT=1,5) /
     &9.0874E+02,7.0247E+02,5.4444E+02,7.3773E+02,9.4905E+02,9.0737E+02,
     &7.0145E+02,5.4370E+02,7.3831E+02,9.4986E+02,9.0619E+02,7.0056E+02,
     &5.4308E+02,7.3862E+02,9.5029E+02,9.0515E+02,6.9978E+02,5.4255E+02,
     &7.3872E+02,9.5035E+02,9.0424E+02,6.9910E+02,5.4208E+02,7.3862E+02,
     &9.5008E+02/
      DATA ((KB(JS,JT,22, 6),JS=1,5),JT=1,5) /
     &9.0500E+02,6.9967E+02,5.4240E+02,7.3776E+02,9.4923E+02,9.0392E+02,
     &6.9886E+02,5.4185E+02,7.3829E+02,9.4997E+02,9.0297E+02,6.9815E+02,
     &5.4138E+02,7.3857E+02,9.5033E+02,9.0215E+02,6.9753E+02,5.4099E+02,
     &7.3864E+02,9.5033E+02,9.0141E+02,6.9698E+02,5.4066E+02,7.3851E+02,
     &9.4999E+02/
      DATA ((KB(JS,JT,23, 6),JS=1,5),JT=1,5) /
     &9.0199E+02,6.9741E+02,5.4083E+02,7.3780E+02,9.4940E+02,9.0112E+02,
     &6.9676E+02,5.4044E+02,7.3828E+02,9.5007E+02,9.0037E+02,6.9620E+02,
     &5.4010E+02,7.3854E+02,9.5036E+02,8.9971E+02,6.9570E+02,5.3983E+02,
     &7.3858E+02,9.5029E+02,8.9912E+02,6.9526E+02,5.3959E+02,7.3840E+02,
     &9.4989E+02/
      DATA ((KB(JS,JT,24, 6),JS=1,5),JT=1,5) /
     &8.9955E+02,6.9558E+02,5.3965E+02,7.3787E+02,9.4957E+02,8.9886E+02,
     &6.9507E+02,5.3937E+02,7.3829E+02,9.5016E+02,8.9826E+02,6.9461E+02,
     &5.3914E+02,7.3851E+02,9.5038E+02,8.9773E+02,6.9422E+02,5.3895E+02,
     &7.3850E+02,9.5023E+02,8.9726E+02,6.9387E+02,5.3876E+02,7.3829E+02,
     &9.4977E+02/
      DATA ((KB(JS,JT,25, 6),JS=1,5),JT=1,5) /
     &8.9758E+02,6.9410E+02,5.3876E+02,7.3792E+02,9.4973E+02,8.9703E+02,
     &6.9369E+02,5.3857E+02,7.3831E+02,9.5024E+02,8.9655E+02,6.9333E+02,
     &5.3841E+02,7.3848E+02,9.5037E+02,8.9613E+02,6.9302E+02,5.3826E+02,
     &7.3843E+02,9.5016E+02,8.9576E+02,6.9273E+02,5.3811E+02,7.3818E+02,
     &9.4963E+02/
      DATA ((KB(JS,JT,26, 6),JS=1,5),JT=1,5) /
     &8.9598E+02,6.9290E+02,5.3808E+02,7.3799E+02,9.4987E+02,8.9555E+02,
     &6.9258E+02,5.3794E+02,7.3834E+02,9.5030E+02,8.9517E+02,6.9229E+02,
     &5.3782E+02,7.3845E+02,9.5035E+02,8.9483E+02,6.9204E+02,5.3770E+02,
     &7.3836E+02,9.5007E+02,8.9453E+02,6.9182E+02,5.3759E+02,7.3806E+02,
     &9.4946E+02/
      DATA ((KB(JS,JT,27, 6),JS=1,5),JT=1,5) /
     &8.9469E+02,6.9194E+02,5.3754E+02,7.3806E+02,9.5001E+02,8.9435E+02,
     &6.9168E+02,5.3744E+02,7.3835E+02,9.5034E+02,8.9405E+02,6.9145E+02,
     &5.3736E+02,7.3843E+02,9.5031E+02,8.9378E+02,6.9125E+02,5.3727E+02,
     &7.3828E+02,9.4995E+02,8.9354E+02,6.9107E+02,5.3717E+02,7.3792E+02,
     &9.4926E+02/
      DATA ((KB(JS,JT,28, 6),JS=1,5),JT=1,5) /
     &8.9366E+02,6.9116E+02,5.3711E+02,7.3814E+02,9.5012E+02,8.9338E+02,
     &6.9096E+02,5.3705E+02,7.3836E+02,9.5037E+02,8.9314E+02,6.9078E+02,
     &5.3699E+02,7.3838E+02,9.5026E+02,8.9293E+02,6.9062E+02,5.3692E+02,
     &7.3819E+02,9.4982E+02,8.9274E+02,6.9047E+02,5.3684E+02,7.3778E+02,
     &9.4904E+02/
      DATA ((KB(JS,JT,29, 6),JS=1,5),JT=1,5) /
     &8.9282E+02,6.9053E+02,5.3678E+02,7.3818E+02,9.5022E+02,8.9261E+02,
     &6.9037E+02,5.3674E+02,7.3837E+02,9.5037E+02,8.9241E+02,6.9023E+02,
     &5.3670E+02,7.3834E+02,9.5018E+02,8.9224E+02,6.9010E+02,5.3663E+02,
     &7.3810E+02,9.4966E+02,8.9209E+02,6.8999E+02,5.3656E+02,7.3762E+02,
     &9.4880E+02/
      DATA ((KB(JS,JT,30, 6),JS=1,5),JT=1,5) /
     &8.9215E+02,6.9003E+02,5.3652E+02,7.3823E+02,9.5029E+02,8.9198E+02,
     &6.8990E+02,5.3650E+02,7.3836E+02,9.5035E+02,8.9183E+02,6.8979E+02,
     &5.3646E+02,7.3828E+02,9.5008E+02,8.9169E+02,6.8969E+02,5.3641E+02,
     &7.3798E+02,9.4948E+02,8.9157E+02,6.8960E+02,5.3634E+02,7.3744E+02,
     &9.4852E+02/
      DATA ((KB(JS,JT,31, 6),JS=1,5),JT=1,5) /
     &8.9161E+02,6.8962E+02,5.3631E+02,7.3827E+02,9.5034E+02,8.9147E+02,
     &6.8952E+02,5.3629E+02,7.3835E+02,9.5031E+02,8.9135E+02,6.8943E+02,
     &5.3627E+02,7.3821E+02,9.4996E+02,8.9124E+02,6.8935E+02,5.3622E+02,
     &7.3786E+02,9.4927E+02,8.9115E+02,6.8928E+02,5.3615E+02,7.3725E+02,
     &9.4822E+02/
      DATA ((KB(JS,JT,32, 6),JS=1,5),JT=1,5) /
     &8.9117E+02,6.8930E+02,5.3614E+02,7.3830E+02,9.5037E+02,8.9106E+02,
     &6.8922E+02,5.3614E+02,7.3833E+02,9.5025E+02,8.9097E+02,6.8914E+02,
     &5.3611E+02,7.3813E+02,9.4981E+02,8.9088E+02,6.8908E+02,5.3608E+02,
     &7.3772E+02,9.4903E+02,8.9081E+02,6.8902E+02,5.3600E+02,7.3703E+02,
     &9.4789E+02/
      DATA ((KB(JS,JT,33, 6),JS=1,5),JT=1,5) /
     &8.9082E+02,6.8903E+02,5.3602E+02,7.3832E+02,9.5037E+02,8.9073E+02,
     &6.8897E+02,5.3601E+02,7.3829E+02,9.5017E+02,8.9066E+02,6.8891E+02,
     &5.3599E+02,7.3804E+02,9.4964E+02,8.9059E+02,6.8886E+02,5.3595E+02,
     &7.3756E+02,9.4877E+02,8.9053E+02,6.8882E+02,5.3586E+02,7.3678E+02,
     &9.4753E+02/
      DATA ((KB(JS,JT,34, 6),JS=1,5),JT=1,5) /
     &8.9054E+02,6.8882E+02,5.3592E+02,7.3832E+02,9.5035E+02,8.9047E+02,
     &6.8877E+02,5.3592E+02,7.3824E+02,9.5008E+02,8.9041E+02,6.8873E+02,
     &5.3589E+02,7.3795E+02,9.4947E+02,8.9036E+02,6.8869E+02,5.3584E+02,
     &7.3741E+02,9.4852E+02,8.9031E+02,6.8865E+02,5.3575E+02,7.3655E+02,
     &9.4719E+02/
      DATA ((KB(JS,JT,35, 6),JS=1,5),JT=1,5) /
     &8.9032E+02,6.8866E+02,5.3584E+02,7.3832E+02,9.5034E+02,8.9027E+02,
     &6.8862E+02,5.3584E+02,7.3821E+02,9.5002E+02,8.9022E+02,6.8858E+02,
     &5.3581E+02,7.3788E+02,9.4937E+02,8.9017E+02,6.8855E+02,5.3576E+02,
     &7.3731E+02,9.4836E+02,8.9013E+02,6.8852E+02,5.3567E+02,7.3640E+02,
     &9.4700E+02/
      DATA ((KB(JS,JT,36, 6),JS=1,5),JT=1,5) /
     &8.9015E+02,6.8853E+02,5.3577E+02,7.3831E+02,9.5033E+02,8.9010E+02,
     &6.8849E+02,5.3577E+02,7.3820E+02,9.5001E+02,8.9006E+02,6.8846E+02,
     &5.3575E+02,7.3787E+02,9.4935E+02,8.9003E+02,6.8844E+02,5.3570E+02,
     &7.3729E+02,9.4834E+02,8.8999E+02,6.8841E+02,5.3561E+02,7.3637E+02,
     &9.4696E+02/
      DATA ((KB(JS,JT,37, 6),JS=1,5),JT=1,5) /
     &8.9001E+02,6.8843E+02,5.3571E+02,7.3831E+02,9.5036E+02,8.8997E+02,
     &6.8840E+02,5.3572E+02,7.3823E+02,9.5007E+02,8.8994E+02,6.8837E+02,
     &5.3570E+02,7.3792E+02,9.4946E+02,8.8991E+02,6.8835E+02,5.3566E+02,
     &7.3738E+02,9.4849E+02,8.8988E+02,6.8833E+02,5.3557E+02,7.3651E+02,
     &9.4716E+02/
      DATA ((KB(JS,JT,38, 6),JS=1,5),JT=1,5) /
     &8.8990E+02,6.8834E+02,5.3566E+02,7.3830E+02,9.5036E+02,8.8987E+02,
     &6.8832E+02,5.3568E+02,7.3825E+02,9.5013E+02,8.8984E+02,6.8830E+02,
     &5.3566E+02,7.3798E+02,9.4957E+02,8.8982E+02,6.8828E+02,5.3563E+02,
     &7.3747E+02,9.4865E+02,8.8979E+02,6.8826E+02,5.3555E+02,7.3665E+02,
     &9.4737E+02/
      DATA ((KB(JS,JT,39, 6),JS=1,5),JT=1,5) /
     &8.8981E+02,6.8827E+02,5.3562E+02,7.3829E+02,9.5037E+02,8.8978E+02,
     &6.8825E+02,5.3564E+02,7.3826E+02,9.5018E+02,8.8976E+02,6.8824E+02,
     &5.3563E+02,7.3803E+02,9.4966E+02,8.8974E+02,6.8822E+02,5.3560E+02,
     &7.3755E+02,9.4880E+02,8.8972E+02,6.8821E+02,5.3553E+02,7.3679E+02,
     &9.4757E+02/
      DATA ((KB(JS,JT,40, 6),JS=1,5),JT=1,5) /
     &8.8973E+02,6.8822E+02,5.3558E+02,7.3826E+02,9.5037E+02,8.8971E+02,
     &6.8820E+02,5.3561E+02,7.3829E+02,9.5026E+02,8.8969E+02,6.8819E+02,
     &5.3561E+02,7.3810E+02,9.4982E+02,8.8967E+02,6.8817E+02,5.3559E+02,
     &7.3769E+02,9.4904E+02,8.8966E+02,6.8816E+02,5.3553E+02,7.3700E+02,
     &9.4790E+02/
      DATA ((KB(JS,JT,41, 6),JS=1,5),JT=1,5) /
     &8.8967E+02,6.8817E+02,5.3555E+02,7.3822E+02,9.5035E+02,8.8965E+02,
     &6.8816E+02,5.3558E+02,7.3830E+02,9.5031E+02,8.8964E+02,6.8815E+02,
     &5.3559E+02,7.3817E+02,9.4996E+02,8.8962E+02,6.8813E+02,5.3558E+02,
     &7.3782E+02,9.4927E+02,8.8961E+02,6.8812E+02,5.3553E+02,7.3722E+02,
     &9.4822E+02/
      DATA ((KB(JS,JT,42, 6),JS=1,5),JT=1,5) /
     &8.8962E+02,6.8813E+02,5.3551E+02,7.3816E+02,9.5029E+02,8.8960E+02,
     &6.8812E+02,5.3555E+02,7.3830E+02,9.5035E+02,8.8959E+02,6.8811E+02,
     &5.3557E+02,7.3822E+02,9.5008E+02,8.8958E+02,6.8810E+02,5.3556E+02,
     &7.3793E+02,9.4948E+02,8.8957E+02,6.8809E+02,5.3553E+02,7.3739E+02,
     &9.4853E+02/
      DATA ((KB(JS,JT,43, 6),JS=1,5),JT=1,5) /
     &8.8958E+02,6.8810E+02,5.3547E+02,7.3807E+02,9.5020E+02,8.8957E+02,
     &6.8809E+02,5.3552E+02,7.3828E+02,9.5037E+02,8.8955E+02,6.8808E+02,
     &5.3555E+02,7.3826E+02,9.5020E+02,8.8954E+02,6.8808E+02,5.3555E+02,
     &7.3804E+02,9.4970E+02,8.8953E+02,6.8807E+02,5.3553E+02,7.3758E+02,
     &9.4886E+02/
      DATA ((KB(JS,JT,44, 6),JS=1,5),JT=1,5) /
     &8.8954E+02,6.8808E+02,5.3544E+02,7.3795E+02,9.5005E+02,8.8953E+02,
     &6.8807E+02,5.3549E+02,7.3823E+02,9.5035E+02,8.8952E+02,6.8806E+02,
     &5.3553E+02,7.3829E+02,9.5030E+02,8.8951E+02,6.8805E+02,5.3554E+02,
     &7.3815E+02,9.4991E+02,8.8951E+02,6.8805E+02,5.3553E+02,7.3776E+02,
     &9.4919E+02/
      DATA ((KB(JS,JT,45, 6),JS=1,5),JT=1,5) /
     &8.8952E+02,6.8806E+02,5.3540E+02,7.3782E+02,9.4987E+02,8.8951E+02,
     &6.8805E+02,5.3547E+02,7.3816E+02,9.5030E+02,8.8950E+02,6.8804E+02,
     &5.3551E+02,7.3830E+02,9.5035E+02,8.8949E+02,6.8804E+02,5.3553E+02,
     &7.3821E+02,9.5008E+02,8.8948E+02,6.8803E+02,5.3553E+02,7.3792E+02,
     &9.4947E+02/
      DATA ((KB(JS,JT,46, 6),JS=1,5),JT=1,5) /
     &8.8949E+02,6.8804E+02,5.3537E+02,7.3763E+02,9.4962E+02,8.8948E+02,
     &6.8803E+02,5.3544E+02,7.3806E+02,9.5019E+02,8.8948E+02,6.8803E+02,
     &5.3549E+02,7.3827E+02,9.5037E+02,8.8947E+02,6.8802E+02,5.3552E+02,
     &7.3827E+02,9.5021E+02,8.8946E+02,6.8802E+02,5.3552E+02,7.3805E+02,
     &9.4973E+02/
      DATA ((KB(JS,JT,47, 6),JS=1,5),JT=1,5) /
     &8.8947E+02,6.8802E+02,5.3531E+02,7.3737E+02,9.4929E+02,8.8947E+02,
     &6.8802E+02,5.3539E+02,7.3792E+02,9.5000E+02,8.8946E+02,6.8801E+02,
     &5.3546E+02,7.3821E+02,9.5034E+02,8.8945E+02,6.8801E+02,5.3550E+02,
     &7.3829E+02,9.5032E+02,8.8945E+02,6.8800E+02,5.3551E+02,7.3816E+02,
     &9.4996E+02/
      DATA ((KB(JS,JT,48, 6),JS=1,5),JT=1,5) /
     &8.8946E+02,6.8801E+02,5.3528E+02,7.3708E+02,9.4889E+02,8.8945E+02,
     &6.8801E+02,5.3536E+02,7.3773E+02,9.4976E+02,8.8944E+02,6.8800E+02,
     &5.3543E+02,7.3812E+02,9.5025E+02,8.8944E+02,6.8800E+02,5.3548E+02,
     &7.3829E+02,9.5037E+02,8.8944E+02,6.8800E+02,5.3551E+02,7.3824E+02,
     &9.5014E+02/
      DATA ((KB(JS,JT,49, 6),JS=1,5),JT=1,5) /
     &8.8944E+02,6.8800E+02,5.3524E+02,7.3674E+02,9.4844E+02,8.8944E+02,
     &6.8800E+02,5.3533E+02,7.3750E+02,9.4945E+02,8.8943E+02,6.8799E+02,
     &5.3540E+02,7.3799E+02,9.5016E+02,8.8943E+02,6.8799E+02,5.3546E+02,
     &7.3825E+02,9.5036E+02,8.8942E+02,6.8799E+02,5.3549E+02,7.3828E+02,
     &9.5027E+02/
      DATA ((KB(JS,JT,50, 6),JS=1,5),JT=1,5) /
     &8.8943E+02,6.8799E+02,5.3521E+02,7.3638E+02,9.4796E+02,8.8943E+02,
     &6.8799E+02,5.3529E+02,7.3724E+02,9.4911E+02,8.8942E+02,6.8798E+02,
     &5.3537E+02,7.3783E+02,9.4990E+02,8.8942E+02,6.8798E+02,5.3544E+02,
     &7.3817E+02,9.5031E+02,8.8942E+02,6.8798E+02,5.3548E+02,7.3829E+02,
     &9.5034E+02/
      DATA ((KB(JS,JT,51, 6),JS=1,5),JT=1,5) /
     &8.8942E+02,6.8798E+02,5.3518E+02,7.3600E+02,9.4745E+02,8.8942E+02,
     &6.8798E+02,5.3525E+02,7.3696E+02,9.4873E+02,8.8941E+02,6.8798E+02,
     &5.3533E+02,7.3765E+02,9.4966E+02,8.8941E+02,6.8798E+02,5.3541E+02,
     &7.3807E+02,9.5020E+02,8.8941E+02,6.8797E+02,5.3546E+02,7.3827E+02,
     &9.5037E+02/
      DATA ((KB(JS,JT,52, 6),JS=1,5),JT=1,5) /
     &8.8941E+02,6.8798E+02,5.3513E+02,7.3556E+02,9.4688E+02,8.8941E+02,
     &6.8798E+02,5.3522E+02,7.3664E+02,9.4831E+02,8.8941E+02,6.8797E+02,
     &5.3531E+02,7.3743E+02,9.4936E+02,8.8940E+02,6.8797E+02,5.3538E+02,
     &7.3795E+02,9.5005E+02,8.8940E+02,6.8797E+02,5.3545E+02,7.3822E+02,
     &9.5036E+02/
      DATA ((KB(JS,JT,53, 6),JS=1,5),JT=1,5) /
     &8.8941E+02,6.8797E+02,5.3507E+02,7.3509E+02,9.4627E+02,8.8940E+02,
     &6.8797E+02,5.3519E+02,7.3629E+02,9.4784E+02,8.8940E+02,6.8797E+02,
     &5.3527E+02,7.3717E+02,9.4902E+02,8.8940E+02,6.8797E+02,5.3535E+02,
     &7.3779E+02,9.4984E+02,8.8940E+02,6.8797E+02,5.3542E+02,7.3815E+02,
     &9.5029E+02/
      DATA ((KB(JS,JT,54, 6),JS=1,5),JT=1,5) /
     &8.8940E+02,6.8797E+02,5.3502E+02,7.3463E+02,9.4566E+02,8.8940E+02,
     &6.8797E+02,5.3516E+02,7.3592E+02,9.4735E+02,8.8940E+02,6.8796E+02,
     &5.3524E+02,7.3691E+02,9.4866E+02,8.8939E+02,6.8796E+02,5.3533E+02,
     &7.3761E+02,9.4961E+02,8.8939E+02,6.8796E+02,5.3539E+02,7.3805E+02,
     &9.5018E+02/
      DATA ((KB(JS,JT,55, 6),JS=1,5),JT=1,5) /
     &8.8940E+02,6.8796E+02,5.3495E+02,7.3415E+02,9.4503E+02,8.8939E+02,
     &6.8796E+02,5.3513E+02,7.3554E+02,9.4685E+02,8.8939E+02,6.8796E+02,
     &5.3521E+02,7.3662E+02,9.4828E+02,8.8939E+02,6.8796E+02,5.3530E+02,
     &7.3742E+02,9.4934E+02,8.8939E+02,6.8796E+02,5.3537E+02,7.3794E+02,
     &9.5004E+02/
      DATA ((KB(JS,JT,56, 6),JS=1,5),JT=1,5) /
     &8.8939E+02,6.8796E+02,5.3489E+02,7.3364E+02,9.4437E+02,8.8939E+02,
     &6.8796E+02,5.3507E+02,7.3512E+02,9.4631E+02,8.8939E+02,6.8796E+02,
     &5.3519E+02,7.3631E+02,9.4787E+02,8.8939E+02,6.8796E+02,5.3527E+02,
     &7.3719E+02,9.4904E+02,8.8938E+02,6.8796E+02,5.3535E+02,7.3780E+02,
     &9.4987E+02/
      DATA ((KB(JS,JT,57, 6),JS=1,5),JT=1,5) /
     &8.8939E+02,6.8796E+02,5.3481E+02,7.3310E+02,9.4366E+02,8.8939E+02,
     &6.8796E+02,5.3502E+02,7.3469E+02,9.4573E+02,8.8938E+02,6.8796E+02,
     &5.3516E+02,7.3597E+02,9.4741E+02,8.8938E+02,6.8796E+02,5.3524E+02,
     &7.3694E+02,9.4871E+02,8.8938E+02,6.8795E+02,5.3532E+02,7.3764E+02,
     &9.4964E+02/
      DATA ((KB(JS,JT,58, 6),JS=1,5),JT=1,5) /
     &8.8938E+02,6.8796E+02,5.3474E+02,7.3255E+02,9.4296E+02,8.8938E+02,
     &6.8796E+02,5.3496E+02,7.3423E+02,9.4515E+02,8.8938E+02,6.8795E+02,
     &5.3512E+02,7.3561E+02,9.4695E+02,8.8938E+02,6.8795E+02,5.3522E+02,
     &7.3667E+02,9.4836E+02,8.8938E+02,6.8795E+02,5.3530E+02,7.3745E+02,
     &9.4939E+02/
      DATA ((KB(JS,JT,59, 6),JS=1,5),JT=1,5) /
     &8.8938E+02,6.8795E+02,5.3470E+02,7.3233E+02,9.4266E+02,8.8938E+02,
     &6.8795E+02,5.3494E+02,7.3405E+02,9.4490E+02,8.8938E+02,6.8795E+02,
     &5.3510E+02,7.3546E+02,9.4675E+02,8.8938E+02,6.8795E+02,5.3521E+02,
     &7.3657E+02,9.4820E+02,8.8938E+02,6.8795E+02,5.3529E+02,7.3737E+02,
     &9.4929E+02/
      DATA ((KB(JS,JT,13, 7),JS=1,5),JT=1,5) /
     &1.1104E+03,8.4453E+02,5.8852E+02,8.1799E+02,1.0746E+03,1.1019E+03,
     &8.3810E+02,5.8572E+02,8.1836E+02,1.0752E+03,1.0945E+03,8.3257E+02,
     &5.8306E+02,8.1848E+02,1.0754E+03,1.0881E+03,8.2775E+02,5.8047E+02,
     &8.1831E+02,1.0753E+03,1.0824E+03,8.2352E+02,5.7809E+02,8.1788E+02,
     &1.0749E+03/
      DATA ((KB(JS,JT,14, 7),JS=1,5),JT=1,5) /
     &1.0890E+03,8.2842E+02,5.8087E+02,8.1780E+02,1.0747E+03,1.0820E+03,
     &8.2323E+02,5.7803E+02,8.1816E+02,1.0753E+03,1.0761E+03,8.1875E+02,
     &5.7524E+02,8.1827E+02,1.0754E+03,1.0709E+03,8.1486E+02,5.7281E+02,
     &8.1809E+02,1.0752E+03,1.0663E+03,8.1144E+02,5.7087E+02,8.1766E+02,
     &1.0748E+03/
      DATA ((KB(JS,JT,15, 7),JS=1,5),JT=1,5) /
     &1.0714E+03,8.1529E+02,5.7324E+02,8.1765E+02,1.0748E+03,1.0659E+03,
     &8.1110E+02,5.7094E+02,8.1800E+02,1.0753E+03,1.0611E+03,8.0749E+02,
     &5.6926E+02,8.1809E+02,1.0754E+03,1.0569E+03,8.0434E+02,5.6791E+02,
     &8.1790E+02,1.0752E+03,1.0532E+03,8.0157E+02,5.6672E+02,8.1746E+02,
     &1.0748E+03/
      DATA ((KB(JS,JT,16, 7),JS=1,5),JT=1,5) /
     &1.0572E+03,8.0460E+02,5.6822E+02,8.1755E+02,1.0748E+03,1.0527E+03,
     &8.0122E+02,5.6701E+02,8.1788E+02,1.0753E+03,1.0488E+03,7.9831E+02,
     &5.6599E+02,8.1796E+02,1.0754E+03,1.0454E+03,7.9577E+02,5.6505E+02,
     &8.1773E+02,1.0752E+03,1.0425E+03,7.9354E+02,5.6418E+02,8.1728E+02,
     &1.0747E+03/
      DATA ((KB(JS,JT,17, 7),JS=1,5),JT=1,5) /
     &1.0456E+03,7.9593E+02,5.6540E+02,8.1747E+02,1.0749E+03,1.0420E+03,
     &7.9321E+02,5.6464E+02,8.1778E+02,1.0753E+03,1.0389E+03,7.9086E+02,
     &5.6406E+02,8.1783E+02,1.0754E+03,1.0362E+03,7.8881E+02,5.6355E+02,
     &8.1761E+02,1.0751E+03,1.0337E+03,7.8701E+02,5.6298E+02,8.1712E+02,
     &1.0746E+03/
      DATA ((KB(JS,JT,18, 7),JS=1,5),JT=1,5) /
     &1.0363E+03,7.8890E+02,5.6372E+02,8.1741E+02,1.0750E+03,1.0334E+03,
     &7.8671E+02,5.6351E+02,8.1771E+02,1.0753E+03,1.0308E+03,7.8481E+02,
     &5.6335E+02,8.1775E+02,1.0754E+03,1.0286E+03,7.8316E+02,5.6306E+02,
     &8.1749E+02,1.0751E+03,1.0267E+03,7.8170E+02,5.6253E+02,8.1698E+02,
     &1.0746E+03/
      DATA ((KB(JS,JT,19, 7),JS=1,5),JT=1,5) /
     &1.0287E+03,7.8319E+02,5.6306E+02,8.1737E+02,1.0751E+03,1.0263E+03,
     &7.8143E+02,5.6317E+02,8.1766E+02,1.0754E+03,1.0243E+03,7.7990E+02,
     &5.6256E+02,8.1764E+02,1.0753E+03,1.0225E+03,7.7856E+02,5.6270E+02,
     &8.1737E+02,1.0751E+03,1.0209E+03,7.7738E+02,5.6230E+02,8.1685E+02,
     &1.0745E+03/
      DATA ((KB(JS,JT,20, 7),JS=1,5),JT=1,5) /
     &1.0225E+03,7.7853E+02,5.6258E+02,8.1735E+02,1.0751E+03,1.0206E+03,
     &7.7711E+02,5.6304E+02,8.1761E+02,1.0754E+03,1.0189E+03,7.7589E+02,
     &5.6295E+02,8.1757E+02,1.0753E+03,1.0175E+03,7.7480E+02,5.6264E+02,
     &8.1728E+02,1.0750E+03,1.0162E+03,7.7385E+02,5.6211E+02,8.1672E+02,
     &1.0744E+03/
      DATA ((KB(JS,JT,21, 7),JS=1,5),JT=1,5) /
     &1.0174E+03,7.7475E+02,5.6279E+02,8.1734E+02,1.0752E+03,1.0159E+03,
     &7.7361E+02,5.6292E+02,8.1756E+02,1.0754E+03,1.0146E+03,7.7262E+02,
     &5.6281E+02,8.1751E+02,1.0753E+03,1.0134E+03,7.7175E+02,5.6248E+02,
     &8.1718E+02,1.0750E+03,1.0124E+03,7.7098E+02,5.6193E+02,8.1661E+02,
     &1.0743E+03/
      DATA ((KB(JS,JT,22, 7),JS=1,5),JT=1,5) /
     &1.0132E+03,7.7163E+02,5.6273E+02,8.1736E+02,1.0752E+03,1.0120E+03,
     &7.7071E+02,5.6281E+02,8.1753E+02,1.0754E+03,1.0110E+03,7.6992E+02,
     &5.6267E+02,8.1743E+02,1.0753E+03,1.0100E+03,7.6922E+02,5.6230E+02,
     &8.1706E+02,1.0749E+03,1.0092E+03,7.6860E+02,5.6172E+02,8.1643E+02,
     &1.0742E+03/
      DATA ((KB(JS,JT,23, 7),JS=1,5),JT=1,5) /
     &1.0099E+03,7.6909E+02,5.6267E+02,8.1738E+02,1.0753E+03,1.0089E+03,
     &7.6836E+02,5.6273E+02,8.1751E+02,1.0754E+03,1.0080E+03,7.6773E+02,
     &5.6254E+02,8.1734E+02,1.0752E+03,1.0073E+03,7.6717E+02,5.6214E+02,
     &8.1691E+02,1.0748E+03,1.0067E+03,7.6668E+02,5.6152E+02,8.1625E+02,
     &1.0740E+03/
      DATA ((KB(JS,JT,24, 7),JS=1,5),JT=1,5) /
     &1.0071E+03,7.6704E+02,5.6263E+02,8.1739E+02,1.0753E+03,1.0064E+03,
     &7.6647E+02,5.6264E+02,8.1747E+02,1.0754E+03,1.0057E+03,7.6596E+02,
     &5.6242E+02,8.1725E+02,1.0751E+03,1.0051E+03,7.6551E+02,5.6198E+02,
     &8.1678E+02,1.0746E+03,1.0046E+03,7.6512E+02,5.6132E+02,8.1606E+02,
     &1.0738E+03/
      DATA ((KB(JS,JT,25, 7),JS=1,5),JT=1,5) /
     &1.0049E+03,7.6538E+02,5.6260E+02,8.1741E+02,1.0754E+03,1.0043E+03,
     &7.6492E+02,5.6256E+02,8.1742E+02,1.0753E+03,1.0038E+03,7.6453E+02,
     &5.6229E+02,8.1717E+02,1.0750E+03,1.0033E+03,7.6417E+02,5.6181E+02,
     &8.1663E+02,1.0745E+03,1.0029E+03,7.6385E+02,5.6111E+02,8.1585E+02,
     &1.0736E+03/
      DATA ((KB(JS,JT,26, 7),JS=1,5),JT=1,5) /
     &1.0031E+03,7.6404E+02,5.6257E+02,8.1743E+02,1.0754E+03,1.0026E+03,
     &7.6368E+02,5.6248E+02,8.1736E+02,1.0753E+03,1.0022E+03,7.6336E+02,
     &5.6216E+02,8.1707E+02,1.0749E+03,1.0018E+03,7.6308E+02,5.6163E+02,
     &8.1645E+02,1.0743E+03,1.0015E+03,7.6282E+02,5.6088E+02,8.1561E+02,
     &1.0734E+03/
      DATA ((KB(JS,JT,27, 7),JS=1,5),JT=1,5) /
     &1.0017E+03,7.6296E+02,5.6253E+02,8.1743E+02,1.0754E+03,1.0013E+03,
     &7.6268E+02,5.6239E+02,8.1730E+02,1.0752E+03,1.0010E+03,7.6242E+02,
     &5.6202E+02,8.1696E+02,1.0748E+03,1.0007E+03,7.6220E+02,5.6144E+02,
     &8.1630E+02,1.0741E+03,1.0004E+03,7.6200E+02,5.6064E+02,8.1536E+02,
     &1.0731E+03/
      DATA ((KB(JS,JT,28, 7),JS=1,5),JT=1,5) /
     &1.0005E+03,7.6209E+02,5.6249E+02,8.1738E+02,1.0754E+03,1.0002E+03,
     &7.6186E+02,5.6229E+02,8.1724E+02,1.0752E+03,9.9995E+02,7.6166E+02,
     &5.6188E+02,8.1687E+02,1.0747E+03,9.9971E+02,7.6148E+02,5.6124E+02,
     &8.1607E+02,1.0739E+03,9.9950E+02,7.6132E+02,5.6040E+02,8.1510E+02,
     &1.0728E+03/
      DATA ((KB(JS,JT,29, 7),JS=1,5),JT=1,5) /
     &9.9960E+02,7.6139E+02,5.6244E+02,8.1739E+02,1.0753E+03,9.9935E+02,
     &7.6121E+02,5.6219E+02,8.1712E+02,1.0751E+03,9.9914E+02,7.6105E+02,
     &5.6172E+02,8.1663E+02,1.0745E+03,9.9895E+02,7.6091E+02,5.6103E+02,
     &8.1584E+02,1.0737E+03,9.9878E+02,7.6078E+02,5.6014E+02,8.1482E+02,
     &1.0725E+03/
      DATA ((KB(JS,JT,30, 7),JS=1,5),JT=1,5) /
     &9.9885E+02,7.6083E+02,5.6238E+02,8.1733E+02,1.0753E+03,9.9865E+02,
     &7.6069E+02,5.6207E+02,8.1703E+02,1.0750E+03,9.9848E+02,7.6055E+02,
     &5.6155E+02,8.1643E+02,1.0743E+03,9.9833E+02,7.6044E+02,5.6081E+02,
     &8.1561E+02,1.0734E+03,9.9819E+02,7.6034E+02,5.5986E+02,8.1451E+02,
     &1.0721E+03/
      DATA ((KB(JS,JT,31, 7),JS=1,5),JT=1,5) /
     &9.9824E+02,7.6037E+02,5.6231E+02,8.1727E+02,1.0752E+03,9.9808E+02,
     &7.6026E+02,5.6195E+02,8.1690E+02,1.0748E+03,9.9794E+02,7.6015E+02,
     &5.6137E+02,8.1625E+02,1.0741E+03,9.9782E+02,7.6006E+02,5.6058E+02,
     &8.1535E+02,1.0731E+03,9.9772E+02,7.5998E+02,5.5958E+02,8.1419E+02,
     &1.0717E+03/
      DATA ((KB(JS,JT,32, 7),JS=1,5),JT=1,5) /
     &9.9774E+02,7.6000E+02,5.6222E+02,8.1719E+02,1.0752E+03,9.9763E+02,
     &7.5991E+02,5.6181E+02,8.1675E+02,1.0747E+03,9.9752E+02,7.5984E+02,
     &5.6117E+02,8.1604E+02,1.0739E+03,9.9742E+02,7.5976E+02,5.6033E+02,
     &8.1507E+02,1.0728E+03,9.9733E+02,7.5970E+02,5.5927E+02,8.1384E+02,
     &1.0713E+03/
      DATA ((KB(JS,JT,33, 7),JS=1,5),JT=1,5) /
     &9.9735E+02,7.5971E+02,5.6212E+02,8.1709E+02,1.0751E+03,9.9725E+02,
     &7.5964E+02,5.6165E+02,8.1658E+02,1.0745E+03,9.9717E+02,7.5957E+02,
     &5.6096E+02,8.1581E+02,1.0736E+03,9.9709E+02,7.5952E+02,5.6006E+02,
     &8.1477E+02,1.0724E+03,9.9703E+02,7.5946E+02,5.5896E+02,8.1347E+02,
     &1.0709E+03/
      DATA ((KB(JS,JT,34, 7),JS=1,5),JT=1,5) /
     &9.9704E+02,7.5947E+02,5.6203E+02,8.1702E+02,1.0750E+03,9.9696E+02,
     &7.5942E+02,5.6151E+02,8.1642E+02,1.0743E+03,9.9689E+02,7.5937E+02,
     &5.6077E+02,8.1558E+02,1.0734E+03,9.9683E+02,7.5932E+02,5.5982E+02,
     &8.1449E+02,1.0721E+03,9.9678E+02,7.5928E+02,5.5868E+02,8.1314E+02,
     &1.0704E+03/
      DATA ((KB(JS,JT,35, 7),JS=1,5),JT=1,5) /
     &9.9679E+02,7.5929E+02,5.6197E+02,8.1693E+02,1.0749E+03,9.9673E+02,
     &7.5925E+02,5.6142E+02,8.1633E+02,1.0742E+03,9.9667E+02,7.5920E+02,
     &5.6065E+02,8.1545E+02,1.0733E+03,9.9663E+02,7.5916E+02,5.5968E+02,
     &8.1434E+02,1.0719E+03,9.9658E+02,7.5913E+02,5.5851E+02,8.1294E+02,
     &1.0702E+03/
      DATA ((KB(JS,JT,36, 7),JS=1,5),JT=1,5) /
     &9.9660E+02,7.5914E+02,5.6195E+02,8.1692E+02,1.0749E+03,9.9655E+02,
     &7.5911E+02,5.6140E+02,8.1631E+02,1.0742E+03,9.9650E+02,7.5907E+02,
     &5.6063E+02,8.1543E+02,1.0732E+03,9.9646E+02,7.5904E+02,5.5965E+02,
     &8.1430E+02,1.0719E+03,9.9642E+02,7.5901E+02,5.5848E+02,8.1290E+02,
     &1.0702E+03/
      DATA ((KB(JS,JT,37, 7),JS=1,5),JT=1,5) /
     &9.9645E+02,7.5903E+02,5.6200E+02,8.1697E+02,1.0749E+03,9.9640E+02,
     &7.5900E+02,5.6148E+02,8.1640E+02,1.0743E+03,9.9636E+02,7.5897E+02,
     &5.6074E+02,8.1556E+02,1.0734E+03,9.9633E+02,7.5894E+02,5.5979E+02,
     &8.1446E+02,1.0721E+03,9.9630E+02,7.5892E+02,5.5864E+02,8.1313E+02,
     &1.0704E+03/
      DATA ((KB(JS,JT,38, 7),JS=1,5),JT=1,5) /
     &9.9632E+02,7.5894E+02,5.6206E+02,8.1703E+02,1.0750E+03,9.9628E+02,
     &7.5891E+02,5.6157E+02,8.1650E+02,1.0744E+03,9.9625E+02,7.5889E+02,
     &5.6085E+02,8.1569E+02,1.0735E+03,9.9623E+02,7.5887E+02,5.5993E+02,
     &8.1464E+02,1.0723E+03,9.9620E+02,7.5885E+02,5.5881E+02,8.1331E+02,
     &1.0707E+03/
      DATA ((KB(JS,JT,39, 7),JS=1,5),JT=1,5) /
     &9.9622E+02,7.5886E+02,5.6210E+02,8.1708E+02,1.0751E+03,9.9619E+02,
     &7.5884E+02,5.6164E+02,8.1666E+02,1.0745E+03,9.9617E+02,7.5882E+02,
     &5.6096E+02,8.1582E+02,1.0737E+03,9.9614E+02,7.5880E+02,5.6007E+02,
     &8.1479E+02,1.0725E+03,9.9612E+02,7.5878E+02,5.5897E+02,8.1351E+02,
     &1.0709E+03/
      DATA ((KB(JS,JT,40, 7),JS=1,5),JT=1,5) /
     &9.9613E+02,7.5880E+02,5.6218E+02,8.1716E+02,1.0752E+03,9.9611E+02,
     &7.5878E+02,5.6177E+02,8.1672E+02,1.0747E+03,9.9609E+02,7.5876E+02,
     &5.6114E+02,8.1603E+02,1.0739E+03,9.9607E+02,7.5875E+02,5.6030E+02,
     &8.1506E+02,1.0728E+03,9.9605E+02,7.5874E+02,5.5925E+02,8.1383E+02,
     &1.0713E+03/
      DATA ((KB(JS,JT,41, 7),JS=1,5),JT=1,5) /
     &9.9606E+02,7.5874E+02,5.6225E+02,8.1724E+02,1.0752E+03,9.9604E+02,
     &7.5873E+02,5.6189E+02,8.1688E+02,1.0748E+03,9.9602E+02,7.5871E+02,
     &5.6132E+02,8.1623E+02,1.0741E+03,9.9601E+02,7.5870E+02,5.6053E+02,
     &8.1532E+02,1.0731E+03,9.9600E+02,7.5869E+02,5.5954E+02,8.1416E+02,
     &1.0717E+03/
      DATA ((KB(JS,JT,42, 7),JS=1,5),JT=1,5) /
     &9.9601E+02,7.5870E+02,5.6231E+02,8.1730E+02,1.0753E+03,9.9599E+02,
     &7.5869E+02,5.6200E+02,8.1698E+02,1.0750E+03,9.9597E+02,7.5868E+02,
     &5.6149E+02,8.1641E+02,1.0743E+03,9.9596E+02,7.5867E+02,5.6075E+02,
     &8.1559E+02,1.0734E+03,9.9595E+02,7.5866E+02,5.5981E+02,8.1449E+02,
     &1.0721E+03/
      DATA ((KB(JS,JT,43, 7),JS=1,5),JT=1,5) /
     &9.9596E+02,7.5867E+02,5.6235E+02,8.1734E+02,1.0754E+03,9.9595E+02,
     &7.5866E+02,5.6212E+02,8.1712E+02,1.0751E+03,9.9594E+02,7.5865E+02,
     &5.6167E+02,8.1662E+02,1.0746E+03,9.9592E+02,7.5864E+02,5.6100E+02,
     &8.1588E+02,1.0737E+03,9.9591E+02,7.5863E+02,5.6012E+02,8.1487E+02,
     &1.0726E+03/
      DATA ((KB(JS,JT,44, 7),JS=1,5),JT=1,5) /
     &9.9592E+02,7.5864E+02,5.6237E+02,8.1736E+02,1.0754E+03,9.9591E+02,
     &7.5863E+02,5.6222E+02,8.1722E+02,1.0752E+03,9.9591E+02,7.5862E+02,
     &5.6184E+02,8.1680E+02,1.0748E+03,9.9589E+02,7.5861E+02,5.6125E+02,
     &8.1614E+02,1.0741E+03,9.9588E+02,7.5861E+02,5.6044E+02,8.1523E+02,
     &1.0730E+03/
      DATA ((KB(JS,JT,45, 7),JS=1,5),JT=1,5) /
     &9.9589E+02,7.5861E+02,5.6237E+02,8.1733E+02,1.0754E+03,9.9588E+02,
     &7.5861E+02,5.6230E+02,8.1729E+02,1.0753E+03,9.9587E+02,7.5860E+02,
     &5.6199E+02,8.1699E+02,1.0750E+03,9.9586E+02,7.5859E+02,5.6147E+02,
     &8.1641E+02,1.0743E+03,9.9585E+02,7.5859E+02,5.6074E+02,8.1557E+02,
     &1.0734E+03/
      DATA ((KB(JS,JT,46, 7),JS=1,5),JT=1,5) /
     &9.9586E+02,7.5859E+02,5.6233E+02,8.1728E+02,1.0753E+03,9.9585E+02,
     &7.5859E+02,5.6235E+02,8.1734E+02,1.0754E+03,9.9585E+02,7.5858E+02,
     &5.6213E+02,8.1712E+02,1.0751E+03,9.9584E+02,7.5858E+02,5.6169E+02,
     &8.1663E+02,1.0746E+03,9.9583E+02,7.5858E+02,5.6103E+02,8.1590E+02,
     &1.0738E+03/
      DATA ((KB(JS,JT,47, 7),JS=1,5),JT=1,5) /
     &9.9585E+02,7.5858E+02,5.6226E+02,8.1718E+02,1.0753E+03,9.9583E+02,
     &7.5857E+02,5.6237E+02,8.1736E+02,1.0754E+03,9.9583E+02,7.5857E+02,
     &5.6224E+02,8.1723E+02,1.0752E+03,9.9582E+02,7.5856E+02,5.6189E+02,
     &8.1686E+02,1.0748E+03,9.9581E+02,7.5856E+02,5.6132E+02,8.1626E+02,
     &1.0741E+03/
      DATA ((KB(JS,JT,48, 7),JS=1,5),JT=1,5) /
     &9.9582E+02,7.5856E+02,5.6215E+02,8.1703E+02,1.0751E+03,9.9582E+02,
     &7.5856E+02,5.6235E+02,8.1732E+02,1.0754E+03,9.9581E+02,7.5855E+02,
     &5.6232E+02,8.1733E+02,1.0753E+03,9.9580E+02,7.5855E+02,5.6206E+02,
     &8.1704E+02,1.0750E+03,9.9580E+02,7.5855E+02,5.6157E+02,8.1651E+02,
     &1.0744E+03/
      DATA ((KB(JS,JT,49, 7),JS=1,5),JT=1,5) /
     &9.9581E+02,7.5855E+02,5.6199E+02,8.1684E+02,1.0748E+03,9.9580E+02,
     &7.5855E+02,5.6230E+02,8.1724E+02,1.0753E+03,9.9580E+02,7.5854E+02,
     &5.6236E+02,8.1736E+02,1.0753E+03,9.9579E+02,7.5854E+02,5.6219E+02,
     &8.1718E+02,1.0752E+03,9.9579E+02,7.5854E+02,5.6179E+02,8.1678E+02,
     &1.0747E+03/
      DATA ((KB(JS,JT,50, 7),JS=1,5),JT=1,5) /
     &9.9579E+02,7.5854E+02,5.6180E+02,8.1662E+02,1.0745E+03,9.9579E+02,
     &7.5854E+02,5.6221E+02,8.1713E+02,1.0752E+03,9.9579E+02,7.5854E+02,
     &5.6237E+02,8.1735E+02,1.0754E+03,9.9579E+02,7.5854E+02,5.6228E+02,
     &8.1728E+02,1.0753E+03,9.9578E+02,7.5853E+02,5.6197E+02,8.1695E+02,
     &1.0749E+03/
      DATA ((KB(JS,JT,51, 7),JS=1,5),JT=1,5) /
     &9.9578E+02,7.5853E+02,5.6158E+02,8.1637E+02,1.0741E+03,9.9578E+02,
     &7.5853E+02,5.6209E+02,8.1697E+02,1.0750E+03,9.9578E+02,7.5853E+02,
     &5.6234E+02,8.1729E+02,1.0753E+03,9.9578E+02,7.5853E+02,5.6234E+02,
     &8.1734E+02,1.0754E+03,9.9577E+02,7.5852E+02,5.6211E+02,8.1712E+02,
     &1.0751E+03/
      DATA ((KB(JS,JT,52, 7),JS=1,5),JT=1,5) /
     &9.9577E+02,7.5853E+02,5.6131E+02,8.1608E+02,1.0737E+03,9.9577E+02,
     &7.5852E+02,5.6194E+02,8.1678E+02,1.0748E+03,9.9577E+02,7.5852E+02,
     &5.6228E+02,8.1721E+02,1.0753E+03,9.9577E+02,7.5852E+02,5.6237E+02,
     &8.1738E+02,1.0754E+03,9.9576E+02,7.5852E+02,5.6222E+02,8.1722E+02,
     &1.0752E+03/
      DATA ((KB(JS,JT,53, 7),JS=1,5),JT=1,5) /
     &9.9577E+02,7.5852E+02,5.6102E+02,8.1574E+02,1.0731E+03,9.9576E+02,
     &7.5852E+02,5.6174E+02,8.1656E+02,1.0744E+03,9.9576E+02,7.5852E+02,
     &5.6218E+02,8.1709E+02,1.0752E+03,9.9576E+02,7.5851E+02,5.6236E+02,
     &8.1734E+02,1.0754E+03,9.9576E+02,7.5852E+02,5.6230E+02,8.1736E+02,
     &1.0753E+03/
      DATA ((KB(JS,JT,54, 7),JS=1,5),JT=1,5) /
     &9.9576E+02,7.5852E+02,5.6072E+02,8.1536E+02,1.0726E+03,9.9576E+02,
     &7.5851E+02,5.6153E+02,8.1633E+02,1.0740E+03,9.9575E+02,7.5851E+02,
     &5.6207E+02,8.1694E+02,1.0750E+03,9.9575E+02,7.5851E+02,5.6233E+02,
     &8.1728E+02,1.0753E+03,9.9576E+02,7.5851E+02,5.6235E+02,8.1734E+02,
     &1.0754E+03/
      DATA ((KB(JS,JT,55, 7),JS=1,5),JT=1,5) /
     &9.9575E+02,7.5851E+02,5.6039E+02,8.1495E+02,1.0720E+03,9.9575E+02,
     &7.5851E+02,5.6128E+02,8.1606E+02,1.0736E+03,9.9575E+02,7.5851E+02,
     &5.6193E+02,8.1677E+02,1.0747E+03,9.9575E+02,7.5851E+02,5.6227E+02,
     &8.1720E+02,1.0753E+03,9.9575E+02,7.5851E+02,5.6237E+02,8.1736E+02,
     &1.0754E+03/
      DATA ((KB(JS,JT,56, 7),JS=1,5),JT=1,5) /
     &9.9575E+02,7.5851E+02,5.6002E+02,8.1448E+02,1.0713E+03,9.9575E+02,
     &7.5851E+02,5.6104E+02,8.1576E+02,1.0732E+03,9.9575E+02,7.5851E+02,
     &5.6175E+02,8.1659E+02,1.0744E+03,9.9574E+02,7.5850E+02,5.6219E+02,
     &8.1709E+02,1.0752E+03,9.9574E+02,7.5850E+02,5.6236E+02,8.1734E+02,
     &1.0754E+03/
      DATA ((KB(JS,JT,57, 7),JS=1,5),JT=1,5) /
     &9.9575E+02,7.5851E+02,5.5963E+02,8.1395E+02,1.0705E+03,9.9574E+02,
     &7.5850E+02,5.6076E+02,8.1540E+02,1.0727E+03,9.9574E+02,7.5850E+02,
     &5.6157E+02,8.1635E+02,1.0741E+03,9.9574E+02,7.5850E+02,5.6208E+02,
     &8.1696E+02,1.0750E+03,9.9574E+02,7.5850E+02,5.6234E+02,8.1729E+02,
     &1.0754E+03/
      DATA ((KB(JS,JT,58, 7),JS=1,5),JT=1,5) /
     &9.9575E+02,7.5850E+02,5.5922E+02,8.1340E+02,1.0697E+03,9.9574E+02,
     &7.5850E+02,5.6044E+02,8.1503E+02,1.0721E+03,9.9574E+02,7.5851E+02,
     &5.6134E+02,8.1611E+02,1.0737E+03,9.9574E+02,7.5851E+02,5.6195E+02,
     &8.1681E+02,1.0748E+03,9.9574E+02,7.5850E+02,5.6228E+02,8.1722E+02,
     &1.0753E+03/
      DATA ((KB(JS,JT,59, 7),JS=1,5),JT=1,5) /
     &9.9575E+02,7.5850E+02,5.5905E+02,8.1317E+02,1.0694E+03,9.9574E+02,
     &7.5850E+02,5.6032E+02,8.1485E+02,1.0718E+03,9.9574E+02,7.5850E+02,
     &5.6125E+02,8.1601E+02,1.0735E+03,9.9574E+02,7.5850E+02,5.6189E+02,
     &8.1673E+02,1.0747E+03,9.9573E+02,7.5850E+02,5.6225E+02,8.1718E+02,
     &1.0753E+03/
      DATA ((KB(JS,JT,13, 8),JS=1,5),JT=1,5) /
     &1.1451E+03,8.6748E+02,5.9259E+02,8.5187E+02,1.1225E+03,1.1363E+03,
     &8.6085E+02,5.8896E+02,8.5188E+02,1.1226E+03,1.1286E+03,8.5515E+02,
     &5.8586E+02,8.5170E+02,1.1227E+03,1.1220E+03,8.5016E+02,5.8378E+02,
     &8.5132E+02,1.1224E+03,1.1162E+03,8.4582E+02,5.8229E+02,8.5074E+02,
     &1.1218E+03/
      DATA ((KB(JS,JT,14, 8),JS=1,5),JT=1,5) /
     &1.1230E+03,8.5087E+02,5.8392E+02,8.5168E+02,1.1225E+03,1.1158E+03,
     &8.4552E+02,5.8280E+02,8.5169E+02,1.1227E+03,1.1097E+03,8.4090E+02,
     &5.8233E+02,8.5151E+02,1.1227E+03,1.1043E+03,8.3689E+02,5.8194E+02,
     &8.5113E+02,1.1223E+03,1.0996E+03,8.3336E+02,5.8140E+02,8.5052E+02,
     &1.1217E+03/
      DATA ((KB(JS,JT,15, 8),JS=1,5),JT=1,5) /
     &1.1049E+03,8.3731E+02,5.8207E+02,8.5153E+02,1.1225E+03,1.0991E+03,
     &8.3301E+02,5.8217E+02,8.5153E+02,1.1227E+03,1.0942E+03,8.2928E+02,
     &5.8200E+02,8.5134E+02,1.1226E+03,1.0899E+03,8.2605E+02,5.8161E+02,
     &8.5094E+02,1.1223E+03,1.0860E+03,8.2320E+02,5.8108E+02,8.5034E+02,
     &1.1216E+03/
      DATA ((KB(JS,JT,16, 8),JS=1,5),JT=1,5) /
     &1.0902E+03,8.2630E+02,5.8181E+02,8.5141E+02,1.1225E+03,1.0856E+03,
     &8.2283E+02,5.8190E+02,8.5139E+02,1.1227E+03,1.0816E+03,8.1983E+02,
     &5.8172E+02,8.5119E+02,1.1226E+03,1.0781E+03,8.1721E+02,5.8133E+02,
     &8.5078E+02,1.1222E+03,1.0750E+03,8.1491E+02,5.8080E+02,8.5015E+02,
     &1.1215E+03/
      DATA ((KB(JS,JT,17, 8),JS=1,5),JT=1,5) /
     &1.0783E+03,8.1738E+02,5.8160E+02,8.5131E+02,1.1225E+03,1.0746E+03,
     &8.1457E+02,5.8168E+02,8.5129E+02,1.1227E+03,1.0713E+03,8.1215E+02,
     &5.8149E+02,8.5108E+02,1.1226E+03,1.0685E+03,8.1004E+02,5.8109E+02,
     &8.5064E+02,1.1222E+03,1.0660E+03,8.0818E+02,5.8056E+02,8.5000E+02,
     &1.1214E+03/
      DATA ((KB(JS,JT,18, 8),JS=1,5),JT=1,5) /
     &1.0686E+03,8.1013E+02,5.8144E+02,8.5124E+02,1.1225E+03,1.0656E+03,
     &8.0786E+02,5.8150E+02,8.5119E+02,1.1227E+03,1.0630E+03,8.0591E+02,
     &5.8129E+02,8.5095E+02,1.1226E+03,1.0607E+03,8.0419E+02,5.8089E+02,
     &8.5052E+02,1.1221E+03,1.0587E+03,8.0269E+02,5.8036E+02,8.4984E+02,
     &1.1213E+03/
      DATA ((KB(JS,JT,19, 8),JS=1,5),JT=1,5) /
     &1.0608E+03,8.0424E+02,5.8130E+02,8.5117E+02,1.1226E+03,1.0584E+03,
     &8.0242E+02,5.8135E+02,8.5109E+02,1.1227E+03,1.0562E+03,8.0084E+02,
     &5.8113E+02,8.5087E+02,1.1225E+03,1.0544E+03,7.9946E+02,5.8072E+02,
     &8.5040E+02,1.1220E+03,1.0528E+03,7.9825E+02,5.8019E+02,8.4971E+02,
     &1.1212E+03/
      DATA ((KB(JS,JT,20, 8),JS=1,5),JT=1,5) /
     &1.0544E+03,7.9943E+02,5.8120E+02,8.5111E+02,1.1226E+03,1.0524E+03,
     &7.9797E+02,5.8122E+02,8.5103E+02,1.1227E+03,1.0507E+03,7.9669E+02,
     &5.8098E+02,8.5078E+02,1.1225E+03,1.0492E+03,7.9558E+02,5.8056E+02,
     &8.5028E+02,1.1220E+03,1.0479E+03,7.9460E+02,5.8002E+02,8.4958E+02,
     &1.1211E+03/
      DATA ((KB(JS,JT,21, 8),JS=1,5),JT=1,5) /
     &1.0492E+03,7.9553E+02,5.8112E+02,8.5107E+02,1.1227E+03,1.0476E+03,
     &7.9436E+02,5.8112E+02,8.5096E+02,1.1227E+03,1.0462E+03,7.9334E+02,
     &5.8085E+02,8.5069E+02,1.1224E+03,1.0450E+03,7.9243E+02,5.8042E+02,
     &8.5021E+02,1.1219E+03,1.0440E+03,7.9165E+02,5.7987E+02,8.4945E+02,
     &1.1210E+03/
      DATA ((KB(JS,JT,22, 8),JS=1,5),JT=1,5) /
     &1.0449E+03,7.9230E+02,5.8106E+02,8.5103E+02,1.1226E+03,1.0436E+03,
     &7.9136E+02,5.8100E+02,8.5090E+02,1.1227E+03,1.0425E+03,7.9054E+02,
     &5.8071E+02,8.5058E+02,1.1224E+03,1.0416E+03,7.8983E+02,5.8026E+02,
     &8.5002E+02,1.1217E+03,1.0407E+03,7.8921E+02,5.7969E+02,8.4925E+02,
     &1.1208E+03/
      DATA ((KB(JS,JT,23, 8),JS=1,5),JT=1,5) /
     &1.0414E+03,7.8969E+02,5.8100E+02,8.5099E+02,1.1227E+03,1.0404E+03,
     &7.8894E+02,5.8090E+02,8.5083E+02,1.1226E+03,1.0395E+03,7.8829E+02,
     &5.8058E+02,8.5047E+02,1.1223E+03,1.0387E+03,7.8772E+02,5.8011E+02,
     &8.4989E+02,1.1216E+03,1.0381E+03,7.8721E+02,5.7952E+02,8.4905E+02,
     &1.1206E+03/
      DATA ((KB(JS,JT,24, 8),JS=1,5),JT=1,5) /
     &1.0386E+03,7.8759E+02,5.8095E+02,8.5095E+02,1.1227E+03,1.0378E+03,
     &7.8698E+02,5.8081E+02,8.5075E+02,1.1226E+03,1.0371E+03,7.8646E+02,
     &5.8046E+02,8.5035E+02,1.1222E+03,1.0365E+03,7.8601E+02,5.7995E+02,
     &8.4971E+02,1.1214E+03,1.0359E+03,7.8561E+02,5.7934E+02,8.4885E+02,
     &1.1203E+03/
      DATA ((KB(JS,JT,25, 8),JS=1,5),JT=1,5) /
     &1.0363E+03,7.8588E+02,5.8090E+02,8.5090E+02,1.1227E+03,1.0357E+03,
     &7.8541E+02,5.8070E+02,8.5067E+02,1.1225E+03,1.0351E+03,7.8498E+02,
     &5.8032E+02,8.5020E+02,1.1220E+03,1.0346E+03,7.8461E+02,5.7980E+02,
     &8.4953E+02,1.1212E+03,1.0342E+03,7.8430E+02,5.7916E+02,8.4863E+02,
     &1.1201E+03/
      DATA ((KB(JS,JT,26, 8),JS=1,5),JT=1,5) /
     &1.0345E+03,7.8450E+02,5.8084E+02,8.5084E+02,1.1227E+03,1.0339E+03,
     &7.8411E+02,5.8059E+02,8.5057E+02,1.1224E+03,1.0335E+03,7.8378E+02,
     &5.8018E+02,8.5004E+02,1.1219E+03,1.0331E+03,7.8349E+02,5.7964E+02,
     &8.4934E+02,1.1210E+03,1.0328E+03,7.8323E+02,5.7897E+02,8.4838E+02,
     &1.1198E+03/
      DATA ((KB(JS,JT,27, 8),JS=1,5),JT=1,5) /
     &1.0329E+03,7.8338E+02,5.8078E+02,8.5078E+02,1.1227E+03,1.0326E+03,
     &7.8307E+02,5.8048E+02,8.5045E+02,1.1223E+03,1.0322E+03,7.8282E+02,
     &5.8003E+02,8.4982E+02,1.1217E+03,1.0319E+03,7.8258E+02,5.7947E+02,
     &8.4907E+02,1.1207E+03,1.0316E+03,7.8237E+02,5.7877E+02,8.4811E+02,
     &1.1194E+03/
      DATA ((KB(JS,JT,28, 8),JS=1,5),JT=1,5) /
     &1.0318E+03,7.8248E+02,5.8069E+02,8.5072E+02,1.1226E+03,1.0314E+03,
     &7.8225E+02,5.8037E+02,8.5030E+02,1.1222E+03,1.0312E+03,7.8205E+02,
     &5.7989E+02,8.4960E+02,1.1215E+03,1.0309E+03,7.8185E+02,5.7929E+02,
     &8.4888E+02,1.1204E+03,1.0307E+03,7.8168E+02,5.7856E+02,8.4784E+02,
     &1.1191E+03/
      DATA ((KB(JS,JT,29, 8),JS=1,5),JT=1,5) /
     &1.0308E+03,7.8175E+02,5.8061E+02,8.5062E+02,1.1225E+03,1.0305E+03,
     &7.8157E+02,5.8024E+02,8.5019E+02,1.1221E+03,1.0303E+03,7.8140E+02,
     &5.7974E+02,8.4950E+02,1.1213E+03,1.0301E+03,7.8126E+02,5.7911E+02,
     &8.4863E+02,1.1201E+03,1.0300E+03,7.8112E+02,5.7834E+02,8.4752E+02,
     &1.1188E+03/
      DATA ((KB(JS,JT,30, 8),JS=1,5),JT=1,5) /
     &1.0300E+03,7.8117E+02,5.8052E+02,8.5055E+02,1.1224E+03,1.0298E+03,
     &7.8102E+02,5.8011E+02,8.5001E+02,1.1219E+03,1.0296E+03,7.8089E+02,
     &5.7958E+02,8.4932E+02,1.1210E+03,1.0295E+03,7.8077E+02,5.7892E+02,
     &8.4838E+02,1.1198E+03,1.0294E+03,7.8066E+02,5.7811E+02,8.4720E+02,
     &1.1184E+03/
      DATA ((KB(JS,JT,31, 8),JS=1,5),JT=1,5) /
     &1.0294E+03,7.8070E+02,5.8042E+02,8.5041E+02,1.1223E+03,1.0292E+03,
     &7.8058E+02,5.7998E+02,8.4985E+02,1.1217E+03,1.0291E+03,7.8049E+02,
     &5.7941E+02,8.4908E+02,1.1207E+03,1.0290E+03,7.8039E+02,5.7872E+02,
     &8.4808E+02,1.1195E+03,1.0289E+03,7.8030E+02,5.7786E+02,8.4686E+02,
     &1.1179E+03/
      DATA ((KB(JS,JT,32, 8),JS=1,5),JT=1,5) /
     &1.0289E+03,7.8033E+02,5.8031E+02,8.5030E+02,1.1222E+03,1.0288E+03,
     &7.8024E+02,5.7984E+02,8.4967E+02,1.1215E+03,1.0287E+03,7.8016E+02,
     &5.7924E+02,8.4884E+02,1.1204E+03,1.0286E+03,7.8009E+02,5.7851E+02,
     &8.4778E+02,1.1191E+03,1.0285E+03,7.8000E+02,5.7759E+02,8.4651E+02,
     &1.1175E+03/
      DATA ((KB(JS,JT,33, 8),JS=1,5),JT=1,5) /
     &1.0285E+03,7.8003E+02,5.8019E+02,8.5016E+02,1.1220E+03,1.0284E+03,
     &7.7995E+02,5.7968E+02,8.4947E+02,1.1212E+03,1.0283E+03,7.7988E+02,
     &5.7905E+02,8.4858E+02,1.1201E+03,1.0282E+03,7.7982E+02,5.7829E+02,
     &8.4747E+02,1.1187E+03,1.0282E+03,7.7978E+02,5.7730E+02,8.4615E+02,
     &1.1170E+03/
      DATA ((KB(JS,JT,34, 8),JS=1,5),JT=1,5) /
     &1.0282E+03,7.7978E+02,5.8008E+02,8.4998E+02,1.1219E+03,1.0281E+03,
     &7.7972E+02,5.7954E+02,8.4930E+02,1.1210E+03,1.0280E+03,7.7967E+02,
     &5.7889E+02,8.4836E+02,1.1198E+03,1.0280E+03,7.7962E+02,5.7808E+02,
     &8.4718E+02,1.1184E+03,1.0279E+03,7.7958E+02,5.7705E+02,8.4582E+02,
     &1.1166E+03/
      DATA ((KB(JS,JT,35, 8),JS=1,5),JT=1,5) /
     &1.0279E+03,7.7958E+02,5.8001E+02,8.4995E+02,1.1218E+03,1.0278E+03,
     &7.7953E+02,5.7946E+02,8.4916E+02,1.1209E+03,1.0278E+03,7.7951E+02,
     &5.7880E+02,8.4823E+02,1.1196E+03,1.0277E+03,7.7946E+02,5.7796E+02,
     &8.4701E+02,1.1181E+03,1.0277E+03,7.7943E+02,5.7689E+02,8.4563E+02,
     &1.1163E+03/
      DATA ((KB(JS,JT,36, 8),JS=1,5),JT=1,5) /
     &1.0277E+03,7.7944E+02,5.8000E+02,8.4992E+02,1.1218E+03,1.0277E+03,
     &7.7940E+02,5.7944E+02,8.4917E+02,1.1208E+03,1.0276E+03,7.7936E+02,
     &5.7877E+02,8.4819E+02,1.1196E+03,1.0276E+03,7.7933E+02,5.7793E+02,
     &8.4697E+02,1.1181E+03,1.0275E+03,7.7931E+02,5.7686E+02,8.4561E+02,
     &1.1162E+03/
      DATA ((KB(JS,JT,37, 8),JS=1,5),JT=1,5) /
     &1.0275E+03,7.7932E+02,5.8006E+02,8.5002E+02,1.1219E+03,1.0275E+03,
     &7.7929E+02,5.7952E+02,8.4927E+02,1.1210E+03,1.0275E+03,7.7926E+02,
     &5.7886E+02,8.4832E+02,1.1198E+03,1.0274E+03,7.7924E+02,5.7805E+02,
     &8.4715E+02,1.1183E+03,1.0274E+03,7.7921E+02,5.7701E+02,8.4575E+02,
     &1.1165E+03/
      DATA ((KB(JS,JT,38, 8),JS=1,5),JT=1,5) /
     &1.0274E+03,7.7922E+02,5.8012E+02,8.5009E+02,1.1220E+03,1.0274E+03,
     &7.7920E+02,5.7959E+02,8.4938E+02,1.1211E+03,1.0274E+03,7.7918E+02,
     &5.7896E+02,8.4848E+02,1.1200E+03,1.0273E+03,7.7915E+02,5.7818E+02,
     &8.4731E+02,1.1185E+03,1.0273E+03,7.7912E+02,5.7716E+02,8.4599E+02,
     &1.1168E+03/
      DATA ((KB(JS,JT,39, 8),JS=1,5),JT=1,5) /
     &1.0273E+03,7.7914E+02,5.8018E+02,8.5016E+02,1.1221E+03,1.0273E+03,
     &7.7912E+02,5.7968E+02,8.4939E+02,1.1213E+03,1.0273E+03,7.7911E+02,
     &5.7905E+02,8.4861E+02,1.1201E+03,1.0272E+03,7.7910E+02,5.7829E+02,
     &8.4750E+02,1.1187E+03,1.0272E+03,7.7907E+02,5.7732E+02,8.4617E+02,
     &1.1171E+03/
      DATA ((KB(JS,JT,40, 8),JS=1,5),JT=1,5) /
     &1.0272E+03,7.7908E+02,5.8028E+02,8.5029E+02,1.1222E+03,1.0272E+03,
     &7.7906E+02,5.7981E+02,8.4968E+02,1.1215E+03,1.0272E+03,7.7904E+02,
     &5.7922E+02,8.4885E+02,1.1204E+03,1.0272E+03,7.7904E+02,5.7849E+02,
     &8.4779E+02,1.1191E+03,1.0272E+03,7.7901E+02,5.7757E+02,8.4651E+02,
     &1.1176E+03/
      DATA ((KB(JS,JT,41, 8),JS=1,5),JT=1,5) /
     &1.0272E+03,7.7903E+02,5.8037E+02,8.5041E+02,1.1224E+03,1.0272E+03,
     &7.7902E+02,5.7994E+02,8.4983E+02,1.1217E+03,1.0271E+03,7.7900E+02,
     &5.7937E+02,8.4906E+02,1.1207E+03,1.0271E+03,7.7898E+02,5.7870E+02,
     &8.4808E+02,1.1195E+03,1.0271E+03,7.7898E+02,5.7782E+02,8.4685E+02,
     &1.1180E+03/
      DATA ((KB(JS,JT,42, 8),JS=1,5),JT=1,5) /
     &1.0271E+03,7.7900E+02,5.8046E+02,8.5051E+02,1.1225E+03,1.0271E+03,
     &7.7898E+02,5.8006E+02,8.5002E+02,1.1219E+03,1.0271E+03,7.7896E+02,
     &5.7953E+02,8.4930E+02,1.1210E+03,1.0271E+03,7.7895E+02,5.7888E+02,
     &8.4835E+02,1.1198E+03,1.0270E+03,7.7894E+02,5.7806E+02,8.4718E+02,
     &1.1184E+03/
      DATA ((KB(JS,JT,43, 8),JS=1,5),JT=1,5) /
     &1.0271E+03,7.7895E+02,5.8056E+02,8.5062E+02,1.1226E+03,1.0270E+03,
     &7.7895E+02,5.8020E+02,8.5017E+02,1.1221E+03,1.0270E+03,7.7892E+02,
     &5.7970E+02,8.4954E+02,1.1213E+03,1.0270E+03,7.7892E+02,5.7909E+02,
     &8.4866E+02,1.1202E+03,1.0270E+03,7.7891E+02,5.7834E+02,8.4756E+02,
     &1.1188E+03/
      DATA ((KB(JS,JT,44, 8),JS=1,5),JT=1,5) /
     &1.0270E+03,7.7892E+02,5.8064E+02,8.5071E+02,1.1226E+03,1.0270E+03,
     &7.7891E+02,5.8034E+02,8.5036E+02,1.1223E+03,1.0270E+03,7.7891E+02,
     &5.7988E+02,8.4979E+02,1.1216E+03,1.0270E+03,7.7890E+02,5.7931E+02,
     &8.4899E+02,1.1206E+03,1.0270E+03,7.7888E+02,5.7861E+02,8.4797E+02,
     &1.1193E+03/
      DATA ((KB(JS,JT,45, 8),JS=1,5),JT=1,5) /
     &1.0270E+03,7.7889E+02,5.8069E+02,8.5078E+02,1.1227E+03,1.0270E+03,
     &7.7888E+02,5.8047E+02,8.5051E+02,1.1224E+03,1.0270E+03,7.7888E+02,
     &5.8005E+02,8.4999E+02,1.1219E+03,1.0270E+03,7.7888E+02,5.7952E+02,
     &8.4927E+02,1.1210E+03,1.0269E+03,7.7886E+02,5.7890E+02,8.4837E+02,
     &1.1198E+03/
      DATA ((KB(JS,JT,46, 8),JS=1,5),JT=1,5) /
     &1.0270E+03,7.7887E+02,5.8072E+02,8.5082E+02,1.1227E+03,1.0270E+03,
     &7.7886E+02,5.8056E+02,8.5063E+02,1.1226E+03,1.0269E+03,7.7886E+02,
     &5.8022E+02,8.5021E+02,1.1221E+03,1.0270E+03,7.7885E+02,5.7972E+02,
     &8.4957E+02,1.1213E+03,1.0269E+03,7.7884E+02,5.7911E+02,8.4871E+02,
     &1.1203E+03/
      DATA ((KB(JS,JT,47, 8),JS=1,5),JT=1,5) /
     &1.0269E+03,7.7885E+02,5.8070E+02,8.5086E+02,1.1227E+03,1.0269E+03,
     &7.7886E+02,5.8066E+02,8.5073E+02,1.1227E+03,1.0269E+03,7.7885E+02,
     &5.8037E+02,8.5041E+02,1.1223E+03,1.0269E+03,7.7884E+02,5.7993E+02,
     &8.4985E+02,1.1217E+03,1.0269E+03,7.7883E+02,5.7937E+02,8.4903E+02,
     &1.1207E+03/
      DATA ((KB(JS,JT,48, 8),JS=1,5),JT=1,5) /
     &1.0269E+03,7.7884E+02,5.8064E+02,8.5086E+02,1.1226E+03,1.0269E+03,
     &7.7883E+02,5.8071E+02,8.5080E+02,1.1227E+03,1.0269E+03,7.7883E+02,
     &5.8051E+02,8.5055E+02,1.1225E+03,1.0269E+03,7.7883E+02,5.8013E+02,
     &8.5010E+02,1.1220E+03,1.0269E+03,7.7883E+02,5.7961E+02,8.4941E+02,
     &1.1212E+03/
      DATA ((KB(JS,JT,49, 8),JS=1,5),JT=1,5) /
     &1.0269E+03,7.7884E+02,5.8054E+02,8.5082E+02,1.1225E+03,1.0269E+03,
     &7.7882E+02,5.8072E+02,8.5085E+02,1.1227E+03,1.0269E+03,7.7883E+02,
     &5.8061E+02,8.5068E+02,1.1226E+03,1.0269E+03,7.7882E+02,5.8029E+02,
     &8.5032E+02,1.1222E+03,1.0269E+03,7.7881E+02,5.7983E+02,8.4969E+02,
     &1.1215E+03/
      DATA ((KB(JS,JT,50, 8),JS=1,5),JT=1,5) /
     &1.0269E+03,7.7883E+02,5.8042E+02,8.5074E+02,1.1224E+03,1.0269E+03,
     &7.7881E+02,5.8068E+02,8.5085E+02,1.1226E+03,1.0269E+03,7.7882E+02,
     &5.8069E+02,8.5077E+02,1.1227E+03,1.0269E+03,7.7880E+02,5.8043E+02,
     &8.5048E+02,1.1224E+03,1.0269E+03,7.7880E+02,5.8002E+02,8.4997E+02,
     &1.1218E+03/
      DATA ((KB(JS,JT,51, 8),JS=1,5),JT=1,5) /
     &1.0269E+03,7.7881E+02,5.8027E+02,8.5064E+02,1.1224E+03,1.0269E+03,
     &7.7882E+02,5.8061E+02,8.5085E+02,1.1226E+03,1.0269E+03,7.7880E+02,
     &5.8071E+02,8.5082E+02,1.1227E+03,1.0269E+03,7.7880E+02,5.8055E+02,
     &8.5061E+02,1.1226E+03,1.0269E+03,7.7881E+02,5.8020E+02,8.5015E+02,
     &1.1221E+03/
      DATA ((KB(JS,JT,52, 8),JS=1,5),JT=1,5) /
     &1.0269E+03,7.7880E+02,5.8011E+02,8.5051E+02,1.1222E+03,1.0269E+03,
     &7.7880E+02,5.8051E+02,8.5080E+02,1.1225E+03,1.0269E+03,7.7880E+02,
     &5.8071E+02,8.5085E+02,1.1227E+03,1.0268E+03,7.7879E+02,5.8064E+02,
     &8.5068E+02,1.1226E+03,1.0268E+03,7.7879E+02,5.8034E+02,8.5037E+02,
     &1.1223E+03/
      DATA ((KB(JS,JT,53, 8),JS=1,5),JT=1,5) /
     &1.0269E+03,7.7880E+02,5.7994E+02,8.5036E+02,1.1220E+03,1.0269E+03,
     &7.7879E+02,5.8038E+02,8.5072E+02,1.1224E+03,1.0268E+03,7.7879E+02,
     &5.8066E+02,8.5087E+02,1.1226E+03,1.0269E+03,7.7880E+02,5.8069E+02,
     &8.5078E+02,1.1227E+03,1.0268E+03,7.7878E+02,5.8047E+02,8.5044E+02,
     &1.1225E+03/
      DATA ((KB(JS,JT,54, 8),JS=1,5),JT=1,5) /
     &1.0268E+03,7.7879E+02,5.7977E+02,8.5022E+02,1.1219E+03,1.0269E+03,
     &7.7879E+02,5.8026E+02,8.5061E+02,1.1223E+03,1.0268E+03,7.7881E+02,
     &5.8060E+02,8.5084E+02,1.1226E+03,1.0268E+03,7.7879E+02,5.8072E+02,
     &8.5083E+02,1.1227E+03,1.0268E+03,7.7878E+02,5.8058E+02,8.5063E+02,
     &1.1226E+03/
      DATA ((KB(JS,JT,55, 8),JS=1,5),JT=1,5) /
     &1.0268E+03,7.7879E+02,5.7962E+02,8.5008E+02,1.1217E+03,1.0268E+03,
     &7.7878E+02,5.8011E+02,8.5050E+02,1.1222E+03,1.0268E+03,7.7879E+02,
     &5.8050E+02,8.5080E+02,1.1225E+03,1.0268E+03,7.7880E+02,5.8071E+02,
     &8.5085E+02,1.1226E+03,1.0268E+03,7.7878E+02,5.8064E+02,8.5072E+02,
     &1.1226E+03/
      DATA ((KB(JS,JT,56, 8),JS=1,5),JT=1,5) /
     &1.0268E+03,7.7878E+02,5.7945E+02,8.4993E+02,1.1216E+03,1.0268E+03,
     &7.7877E+02,5.7995E+02,8.5037E+02,1.1220E+03,1.0268E+03,7.7877E+02,
     &5.8039E+02,8.5071E+02,1.1224E+03,1.0268E+03,7.7878E+02,5.8067E+02,
     &8.5086E+02,1.1226E+03,1.0268E+03,7.7878E+02,5.8069E+02,8.5078E+02,
     &1.1227E+03/
      DATA ((KB(JS,JT,57, 8),JS=1,5),JT=1,5) /
     &1.0268E+03,7.7879E+02,5.7927E+02,8.4978E+02,1.1215E+03,1.0268E+03,
     &7.7878E+02,5.7979E+02,8.5024E+02,1.1219E+03,1.0268E+03,7.7878E+02,
     &5.8025E+02,8.5063E+02,1.1223E+03,1.0268E+03,7.7878E+02,5.8060E+02,
     &8.5084E+02,1.1226E+03,1.0268E+03,7.7878E+02,5.8071E+02,8.5083E+02,
     &1.1227E+03/
      DATA ((KB(JS,JT,58, 8),JS=1,5),JT=1,5) /
     &1.0268E+03,7.7878E+02,5.7911E+02,8.4962E+02,1.1212E+03,1.0268E+03,
     &7.7878E+02,5.7964E+02,8.5010E+02,1.1218E+03,1.0268E+03,7.7877E+02,
     &5.8013E+02,8.5053E+02,1.1222E+03,1.0268E+03,7.7877E+02,5.8052E+02,
     &8.5080E+02,1.1225E+03,1.0268E+03,7.7879E+02,5.8071E+02,8.5085E+02,
     &1.1227E+03/
      DATA ((KB(JS,JT,59, 8),JS=1,5),JT=1,5) /
     &1.0268E+03,7.7878E+02,5.7904E+02,8.4955E+02,1.1212E+03,1.0268E+03,
     &7.7877E+02,5.7958E+02,8.5006E+02,1.1217E+03,1.0268E+03,7.7877E+02,
     &5.8007E+02,8.5048E+02,1.1222E+03,1.0268E+03,7.7878E+02,5.8048E+02,
     &8.5078E+02,1.1225E+03,1.0268E+03,7.7877E+02,5.8070E+02,8.5086E+02,
     &1.1227E+03/
      DATA ((KB(JS,JT,13, 9),JS=1,5),JT=1,5) /
     &1.1533E+03,8.7327E+02,5.9473E+02,8.7046E+02,1.1487E+03,1.1444E+03,
     &8.6660E+02,5.9240E+02,8.7005E+02,1.1483E+03,1.1367E+03,8.6090E+02,
     &5.9185E+02,8.6950E+02,1.1478E+03,1.1301E+03,8.5587E+02,5.9143E+02,
     &8.6883E+02,1.1469E+03,1.1242E+03,8.5148E+02,5.9084E+02,8.6797E+02,
     &1.1458E+03/
      DATA ((KB(JS,JT,14, 9),JS=1,5),JT=1,5) /
     &1.1310E+03,8.5656E+02,5.9238E+02,8.7026E+02,1.1487E+03,1.1238E+03,
     &8.5118E+02,5.9190E+02,8.6988E+02,1.1483E+03,1.1176E+03,8.4654E+02,
     &5.9149E+02,8.6931E+02,1.1477E+03,1.1122E+03,8.4248E+02,5.9105E+02,
     &8.6863E+02,1.1468E+03,1.1074E+03,8.3890E+02,5.9046E+02,8.6777E+02,
     &1.1457E+03/
      DATA ((KB(JS,JT,15, 9),JS=1,5),JT=1,5) /
     &1.1128E+03,8.4292E+02,5.9202E+02,8.7009E+02,1.1486E+03,1.1070E+03,
     &8.3857E+02,5.9157E+02,8.6969E+02,1.1482E+03,1.1020E+03,8.3480E+02,
     &5.9118E+02,8.6913E+02,1.1476E+03,1.0976E+03,8.3151E+02,5.9076E+02,
     &8.6843E+02,1.1467E+03,1.0938E+03,8.2865E+02,5.9015E+02,8.6756E+02,
     &1.1457E+03/
      DATA ((KB(JS,JT,16, 9),JS=1,5),JT=1,5) /
     &1.0980E+03,8.3182E+02,5.9172E+02,8.6994E+02,1.1486E+03,1.0933E+03,
     &8.2831E+02,5.9129E+02,8.6966E+02,1.1482E+03,1.0893E+03,8.2527E+02,
     &5.9092E+02,8.6898E+02,1.1475E+03,1.0858E+03,8.2261E+02,5.9049E+02,
     &8.6826E+02,1.1466E+03,1.0827E+03,8.2037E+02,5.8989E+02,8.6738E+02,
     &1.1455E+03/
      DATA ((KB(JS,JT,17, 9),JS=1,5),JT=1,5) /
     &1.0860E+03,8.2280E+02,5.9147E+02,8.6983E+02,1.1485E+03,1.0822E+03,
     &8.1997E+02,5.9107E+02,8.6941E+02,1.1481E+03,1.0790E+03,8.1753E+02,
     &5.9070E+02,8.6883E+02,1.1474E+03,1.0761E+03,8.1539E+02,5.9027E+02,
     &8.6811E+02,1.1465E+03,1.0736E+03,8.1353E+02,5.8965E+02,8.6721E+02,
     &1.1454E+03/
      DATA ((KB(JS,JT,18, 9),JS=1,5),JT=1,5) /
     &1.0762E+03,8.1555E+02,5.9126E+02,8.6969E+02,1.1485E+03,1.0732E+03,
     &8.1322E+02,5.9088E+02,8.6928E+02,1.1481E+03,1.0706E+03,8.1128E+02,
     &5.9052E+02,8.6870E+02,1.1474E+03,1.0683E+03,8.0956E+02,5.9008E+02,
     &8.6800E+02,1.1464E+03,1.0663E+03,8.0808E+02,5.8945E+02,8.6705E+02,
     &1.1452E+03/
      DATA ((KB(JS,JT,19, 9),JS=1,5),JT=1,5) /
     &1.0684E+03,8.0963E+02,5.9108E+02,8.6962E+02,1.1485E+03,1.0659E+03,
     &8.0774E+02,5.9072E+02,8.6917E+02,1.1480E+03,1.0638E+03,8.0613E+02,
     &5.9038E+02,8.6858E+02,1.1473E+03,1.0619E+03,8.0481E+02,5.8991E+02,
     &8.6784E+02,1.1463E+03,1.0603E+03,8.0353E+02,5.8926E+02,8.6690E+02,
     &1.1451E+03/
      DATA ((KB(JS,JT,20, 9),JS=1,5),JT=1,5) /
     &1.0619E+03,8.0474E+02,5.9092E+02,8.6952E+02,1.1484E+03,1.0599E+03,
     &8.0326E+02,5.9057E+02,8.6907E+02,1.1479E+03,1.0582E+03,8.0198E+02,
     &5.9022E+02,8.6845E+02,1.1472E+03,1.0567E+03,8.0089E+02,5.8976E+02,
     &8.6771E+02,1.1462E+03,1.0554E+03,7.9986E+02,5.8910E+02,8.6674E+02,
     &1.1449E+03/
      DATA ((KB(JS,JT,21, 9),JS=1,5),JT=1,5) /
     &1.0567E+03,8.0080E+02,5.9079E+02,8.6945E+02,1.1483E+03,1.0550E+03,
     &7.9960E+02,5.9045E+02,8.6897E+02,1.1478E+03,1.0537E+03,7.9858E+02,
     &5.9010E+02,8.6836E+02,1.1471E+03,1.0525E+03,7.9770E+02,5.8962E+02,
     &8.6752E+02,1.1460E+03,1.0514E+03,7.9685E+02,5.8893E+02,8.6654E+02,
     &1.1447E+03/
      DATA ((KB(JS,JT,22, 9),JS=1,5),JT=1,5) /
     &1.0523E+03,7.9754E+02,5.9066E+02,8.6933E+02,1.1483E+03,1.0510E+03,
     &7.9661E+02,5.9033E+02,8.6884E+02,1.1477E+03,1.0500E+03,7.9577E+02,
     &5.8997E+02,8.6819E+02,1.1469E+03,1.0490E+03,7.9506E+02,5.8945E+02,
     &8.6737E+02,1.1458E+03,1.0482E+03,7.9443E+02,5.8872E+02,8.6635E+02,
     &1.1444E+03/
      DATA ((KB(JS,JT,23, 9),JS=1,5),JT=1,5) /
     &1.0488E+03,7.9491E+02,5.9053E+02,8.6922E+02,1.1482E+03,1.0478E+03,
     &7.9417E+02,5.9023E+02,8.6872E+02,1.1476E+03,1.0469E+03,7.9351E+02,
     &5.8983E+02,8.6802E+02,1.1467E+03,1.0461E+03,7.9293E+02,5.8929E+02,
     &8.6717E+02,1.1456E+03,1.0455E+03,7.9241E+02,5.8851E+02,8.6610E+02,
     &1.1442E+03/
      DATA ((KB(JS,JT,24, 9),JS=1,5),JT=1,5) /
     &1.0460E+03,7.9285E+02,5.9042E+02,8.6910E+02,1.1481E+03,1.0452E+03,
     &7.9220E+02,5.9009E+02,8.6856E+02,1.1474E+03,1.0445E+03,7.9170E+02,
     &5.8968E+02,8.6785E+02,1.1465E+03,1.0439E+03,7.9123E+02,5.8911E+02,
     &8.6698E+02,1.1453E+03,1.0433E+03,7.9086E+02,5.8830E+02,8.6584E+02,
     &1.1439E+03/
      DATA ((KB(JS,JT,25, 9),JS=1,5),JT=1,5) /
     &1.0438E+03,7.9109E+02,5.9032E+02,8.6899E+02,1.1480E+03,1.0430E+03,
     &7.9059E+02,5.8999E+02,8.6841E+02,1.1473E+03,1.0425E+03,7.9018E+02,
     &5.8955E+02,8.6768E+02,1.1463E+03,1.0420E+03,7.8985E+02,5.8893E+02,
     &8.6674E+02,1.1450E+03,1.0416E+03,7.8947E+02,5.8810E+02,8.6557E+02,
     &1.1436E+03/
      DATA ((KB(JS,JT,26, 9),JS=1,5),JT=1,5) /
     &1.0418E+03,7.8966E+02,5.9022E+02,8.6886E+02,1.1478E+03,1.0414E+03,
     &7.8932E+02,5.8989E+02,8.6824E+02,1.1471E+03,1.0409E+03,7.8898E+02,
     &5.8940E+02,8.6743E+02,1.1460E+03,1.0405E+03,7.8870E+02,5.8873E+02,
     &8.6647E+02,1.1447E+03,1.0401E+03,7.8842E+02,5.8782E+02,8.6527E+02,
     &1.1432E+03/
      DATA ((KB(JS,JT,27, 9),JS=1,5),JT=1,5) /
     &1.0403E+03,7.8855E+02,5.9012E+02,8.6872E+02,1.1477E+03,1.0399E+03,
     &7.8827E+02,5.8977E+02,8.6806E+02,1.1468E+03,1.0396E+03,7.8799E+02,
     &5.8924E+02,8.6723E+02,1.1458E+03,1.0392E+03,7.8776E+02,5.8850E+02,
     &8.6619E+02,1.1444E+03,1.0390E+03,7.8757E+02,5.8756E+02,8.6495E+02,
     &1.1428E+03/
      DATA ((KB(JS,JT,28, 9),JS=1,5),JT=1,5) /
     &1.0391E+03,7.8770E+02,5.9002E+02,8.6856E+02,1.1475E+03,1.0388E+03,
     &7.8747E+02,5.8964E+02,8.6790E+02,1.1466E+03,1.0385E+03,7.8719E+02,
     &5.8908E+02,8.6701E+02,1.1455E+03,1.0383E+03,7.8704E+02,5.8829E+02,
     &8.6590E+02,1.1440E+03,1.0381E+03,7.8687E+02,5.8729E+02,8.6461E+02,
     &1.1423E+03/
      DATA ((KB(JS,JT,29, 9),JS=1,5),JT=1,5) /
     &1.0382E+03,7.8694E+02,5.8994E+02,8.6841E+02,1.1473E+03,1.0379E+03,
     &7.8677E+02,5.8950E+02,8.6767E+02,1.1463E+03,1.0377E+03,7.8658E+02,
     &5.8888E+02,8.6674E+02,1.1451E+03,1.0375E+03,7.8645E+02,5.8805E+02,
     &8.6559E+02,1.1436E+03,1.0374E+03,7.8628E+02,5.8702E+02,8.6429E+02,
     &1.1419E+03/
      DATA ((KB(JS,JT,30, 9),JS=1,5),JT=1,5) /
     &1.0373E+03,7.8632E+02,5.8983E+02,8.6822E+02,1.1471E+03,1.0371E+03,
     &7.8619E+02,5.8935E+02,8.6746E+02,1.1460E+03,1.0370E+03,7.8613E+02,
     &5.8869E+02,8.6647E+02,1.1448E+03,1.0369E+03,7.8594E+02,5.8779E+02,
     &8.6529E+02,1.1432E+03,1.0367E+03,7.8585E+02,5.8673E+02,8.6393E+02,
     &1.1414E+03/
      DATA ((KB(JS,JT,31, 9),JS=1,5),JT=1,5) /
     &1.0367E+03,7.8588E+02,5.8971E+02,8.6804E+02,1.1468E+03,1.0365E+03,
     &7.8574E+02,5.8919E+02,8.6720E+02,1.1457E+03,1.0364E+03,7.8562E+02,
     &5.8847E+02,8.6618E+02,1.1443E+03,1.0363E+03,7.8557E+02,5.8752E+02,
     &8.6495E+02,1.1427E+03,1.0362E+03,7.8546E+02,5.8644E+02,8.6356E+02,
     &1.1409E+03/
      DATA ((KB(JS,JT,32, 9),JS=1,5),JT=1,5) /
     &1.0362E+03,7.8556E+02,5.8958E+02,8.6784E+02,1.1466E+03,1.0361E+03,
     &7.8539E+02,5.8901E+02,8.6697E+02,1.1454E+03,1.0360E+03,7.8539E+02,
     &5.8824E+02,8.6587E+02,1.1440E+03,1.0359E+03,7.8525E+02,5.8724E+02,
     &8.6459E+02,1.1423E+03,1.0358E+03,7.8516E+02,5.8615E+02,8.6318E+02,
     &1.1404E+03/
      DATA ((KB(JS,JT,33, 9),JS=1,5),JT=1,5) /
     &1.0358E+03,7.8520E+02,5.8945E+02,8.6763E+02,1.1463E+03,1.0357E+03,
     &7.8510E+02,5.8883E+02,8.6670E+02,1.1450E+03,1.0356E+03,7.8504E+02,
     &5.8799E+02,8.6554E+02,1.1435E+03,1.0356E+03,7.8500E+02,5.8695E+02,
     &8.6422E+02,1.1418E+03,1.0355E+03,7.8493E+02,5.8586E+02,8.6281E+02,
     &1.1399E+03/
      DATA ((KB(JS,JT,34, 9),JS=1,5),JT=1,5) /
     &1.0355E+03,7.8495E+02,5.8932E+02,8.6743E+02,1.1460E+03,1.0354E+03,
     &7.8487E+02,5.8865E+02,8.6644E+02,1.1447E+03,1.0354E+03,7.8485E+02,
     &5.8776E+02,8.6524E+02,1.1432E+03,1.0353E+03,7.8479E+02,5.8670E+02,
     &8.6390E+02,1.1414E+03,1.0352E+03,7.8474E+02,5.8560E+02,8.6249E+02,
     &1.1395E+03/
      DATA ((KB(JS,JT,35, 9),JS=1,5),JT=1,5) /
     &1.0352E+03,7.8478E+02,5.8924E+02,8.6731E+02,1.1459E+03,1.0352E+03,
     &7.8472E+02,5.8855E+02,8.6632E+02,1.1445E+03,1.0351E+03,7.8465E+02,
     &5.8761E+02,8.6508E+02,1.1430E+03,1.0350E+03,7.8465E+02,5.8655E+02,
     &8.6369E+02,1.1412E+03,1.0350E+03,7.8456E+02,5.8545E+02,8.6237E+02,
     &1.1393E+03/
      DATA ((KB(JS,JT,36, 9),JS=1,5),JT=1,5) /
     &1.0350E+03,7.8465E+02,5.8922E+02,8.6729E+02,1.1458E+03,1.0350E+03,
     &7.8456E+02,5.8852E+02,8.6627E+02,1.1445E+03,1.0350E+03,7.8452E+02,
     &5.8759E+02,8.6505E+02,1.1429E+03,1.0349E+03,7.8450E+02,5.8651E+02,
     &8.6369E+02,1.1411E+03,1.0348E+03,7.8444E+02,5.8544E+02,8.6227E+02,
     &1.1392E+03/
      DATA ((KB(JS,JT,37, 9),JS=1,5),JT=1,5) /
     &1.0349E+03,7.8446E+02,5.8930E+02,8.6738E+02,1.1460E+03,1.0348E+03,
     &7.8444E+02,5.8863E+02,8.6642E+02,1.1447E+03,1.0348E+03,7.8441E+02,
     &5.8773E+02,8.6522E+02,1.1432E+03,1.0348E+03,7.8439E+02,5.8667E+02,
     &8.6387E+02,1.1414E+03,1.0347E+03,7.8436E+02,5.8559E+02,8.6245E+02,
     &1.1394E+03/
      DATA ((KB(JS,JT,38, 9),JS=1,5),JT=1,5) /
     &1.0348E+03,7.8440E+02,5.8936E+02,8.6753E+02,1.1462E+03,1.0347E+03,
     &7.8434E+02,5.8873E+02,8.6658E+02,1.1449E+03,1.0347E+03,7.8432E+02,
     &5.8786E+02,8.6537E+02,1.1434E+03,1.0346E+03,7.8431E+02,5.8681E+02,
     &8.6407E+02,1.1416E+03,1.0347E+03,7.8428E+02,5.8573E+02,8.6265E+02,
     &1.1397E+03/
      DATA ((KB(JS,JT,39, 9),JS=1,5),JT=1,5) /
     &1.0347E+03,7.8431E+02,5.8943E+02,8.6764E+02,1.1463E+03,1.0346E+03,
     &7.8431E+02,5.8882E+02,8.6672E+02,1.1451E+03,1.0346E+03,7.8424E+02,
     &5.8800E+02,8.6557E+02,1.1436E+03,1.0346E+03,7.8421E+02,5.8697E+02,
     &8.6426E+02,1.1419E+03,1.0346E+03,7.8429E+02,5.8587E+02,8.6284E+02,
     &1.1400E+03/
      DATA ((KB(JS,JT,40, 9),JS=1,5),JT=1,5) /
     &1.0346E+03,7.8426E+02,5.8957E+02,8.6785E+02,1.1466E+03,1.0345E+03,
     &7.8427E+02,5.8899E+02,8.6697E+02,1.1454E+03,1.0345E+03,7.8422E+02,
     &5.8822E+02,8.6585E+02,1.1440E+03,1.0345E+03,7.8421E+02,5.8723E+02,
     &8.6460E+02,1.1423E+03,1.0344E+03,7.8416E+02,5.8614E+02,8.6319E+02,
     &1.1403E+03/
      DATA ((KB(JS,JT,41, 9),JS=1,5),JT=1,5) /
     &1.0345E+03,7.8421E+02,5.8967E+02,8.6804E+02,1.1468E+03,1.0345E+03,
     &7.8418E+02,5.8916E+02,8.6720E+02,1.1457E+03,1.0344E+03,7.8415E+02,
     &5.8844E+02,8.6618E+02,1.1444E+03,1.0344E+03,7.8413E+02,5.8748E+02,
     &8.6492E+02,1.1428E+03,1.0344E+03,7.8411E+02,5.8642E+02,8.6355E+02,
     &1.1409E+03/
      DATA ((KB(JS,JT,42, 9),JS=1,5),JT=1,5) /
     &1.0345E+03,7.8414E+02,5.8976E+02,8.6830E+02,1.1471E+03,1.0344E+03,
     &7.8417E+02,5.8930E+02,8.6744E+02,1.1460E+03,1.0344E+03,7.8411E+02,
     &5.8863E+02,8.6645E+02,1.1448E+03,1.0344E+03,7.8409E+02,5.8775E+02,
     &8.6525E+02,1.1432E+03,1.0344E+03,7.8408E+02,5.8670E+02,8.6391E+02,
     &1.1414E+03/
      DATA ((KB(JS,JT,43, 9),JS=1,5),JT=1,5) /
     &1.0344E+03,7.8410E+02,5.8987E+02,8.6842E+02,1.1473E+03,1.0344E+03,
     &7.8408E+02,5.8947E+02,8.6769E+02,1.1464E+03,1.0344E+03,7.8409E+02,
     &5.8887E+02,8.6678E+02,1.1452E+03,1.0344E+03,7.8410E+02,5.8806E+02,
     &8.6567E+02,1.1437E+03,1.0343E+03,7.8406E+02,5.8704E+02,8.6435E+02,
     &1.1420E+03/
      DATA ((KB(JS,JT,44, 9),JS=1,5),JT=1,5) /
     &1.0344E+03,7.8409E+02,5.8998E+02,8.6862E+02,1.1476E+03,1.0343E+03,
     &7.8407E+02,5.8962E+02,8.6796E+02,1.1467E+03,1.0343E+03,7.8406E+02,
     &5.8910E+02,8.6711E+02,1.1456E+03,1.0343E+03,7.8403E+02,5.8835E+02,
     &8.6607E+02,1.1442E+03,1.0343E+03,7.8403E+02,5.8738E+02,8.6483E+02,
     &1.1426E+03/
      DATA ((KB(JS,JT,45, 9),JS=1,5),JT=1,5) /
     &1.0343E+03,7.8404E+02,5.9009E+02,8.6881E+02,1.1478E+03,1.0343E+03,
     &7.8405E+02,5.8975E+02,8.6821E+02,1.1471E+03,1.0343E+03,7.8404E+02,
     &5.8930E+02,8.6741E+02,1.1460E+03,1.0342E+03,7.8400E+02,5.8862E+02,
     &8.6644E+02,1.1447E+03,1.0343E+03,7.8402E+02,5.8769E+02,8.6520E+02,
     &1.1432E+03/
      DATA ((KB(JS,JT,46, 9),JS=1,5),JT=1,5) /
     &1.0343E+03,7.8403E+02,5.9019E+02,8.6899E+02,1.1481E+03,1.0343E+03,
     &7.8403E+02,5.8989E+02,8.6845E+02,1.1474E+03,1.0343E+03,7.8403E+02,
     &5.8947E+02,8.6773E+02,1.1464E+03,1.0342E+03,7.8401E+02,5.8890E+02,
     &8.6681E+02,1.1452E+03,1.0343E+03,7.8405E+02,5.8808E+02,8.6568E+02,
     &1.1438E+03/
      DATA ((KB(JS,JT,47, 9),JS=1,5),JT=1,5) /
     &1.0343E+03,7.8401E+02,5.9032E+02,8.6917E+02,1.1483E+03,1.0342E+03,
     &7.8398E+02,5.9001E+02,8.6868E+02,1.1477E+03,1.0342E+03,7.8398E+02,
     &5.8967E+02,8.6807E+02,1.1468E+03,1.0343E+03,7.8397E+02,5.8916E+02,
     &8.6720E+02,1.1457E+03,1.0342E+03,7.8399E+02,5.8844E+02,8.6618E+02,
     &1.1444E+03/
      DATA ((KB(JS,JT,48, 9),JS=1,5),JT=1,5) /
     &1.0342E+03,7.8399E+02,5.9046E+02,8.6932E+02,1.1485E+03,1.0343E+03,
     &7.8398E+02,5.9013E+02,8.6890E+02,1.1480E+03,1.0342E+03,7.8402E+02,
     &5.8982E+02,8.6829E+02,1.1472E+03,1.0342E+03,7.8396E+02,5.8938E+02,
     &8.6756E+02,1.1462E+03,1.0342E+03,7.8400E+02,5.8875E+02,8.6661E+02,
     &1.1449E+03/
      DATA ((KB(JS,JT,49, 9),JS=1,5),JT=1,5) /
     &1.0343E+03,7.8402E+02,5.9060E+02,8.6945E+02,1.1486E+03,1.0342E+03,
     &7.8398E+02,5.9025E+02,8.6908E+02,1.1482E+03,1.0342E+03,7.8399E+02,
     &5.8995E+02,8.6856E+02,1.1475E+03,1.0342E+03,7.8399E+02,5.8958E+02,
     &8.6790E+02,1.1466E+03,1.0342E+03,7.8398E+02,5.8903E+02,8.6700E+02,
     &1.1455E+03/
      DATA ((KB(JS,JT,50, 9),JS=1,5),JT=1,5) /
     &1.0343E+03,7.8395E+02,5.9074E+02,8.6956E+02,1.1487E+03,1.0342E+03,
     &7.8399E+02,5.9038E+02,8.6924E+02,1.1483E+03,1.0342E+03,7.8394E+02,
     &5.9006E+02,8.6878E+02,1.1478E+03,1.0342E+03,7.8399E+02,5.8974E+02,
     &8.6817E+02,1.1470E+03,1.0342E+03,7.8395E+02,5.8927E+02,8.6736E+02,
     &1.1460E+03/
      DATA ((KB(JS,JT,51, 9),JS=1,5),JT=1,5) /
     &1.0342E+03,7.8399E+02,5.9088E+02,8.6965E+02,1.1488E+03,1.0342E+03,
     &7.8393E+02,5.9051E+02,8.6937E+02,1.1485E+03,1.0342E+03,7.8400E+02,
     &5.9018E+02,8.6897E+02,1.1480E+03,1.0342E+03,7.8396E+02,5.8987E+02,
     &8.6840E+02,1.1473E+03,1.0342E+03,7.8396E+02,5.8946E+02,8.6768E+02,
     &1.1464E+03/
      DATA ((KB(JS,JT,52, 9),JS=1,5),JT=1,5) /
     &1.0342E+03,7.8395E+02,5.9100E+02,8.6971E+02,1.1490E+03,1.0342E+03,
     &7.8394E+02,5.9064E+02,8.6949E+02,1.1486E+03,1.0342E+03,7.8395E+02,
     &5.9029E+02,8.6915E+02,1.1482E+03,1.0342E+03,7.8394E+02,5.8998E+02,
     &8.6864E+02,1.1476E+03,1.0342E+03,7.8395E+02,5.8963E+02,8.6796E+02,
     &1.1468E+03/
      DATA ((KB(JS,JT,53, 9),JS=1,5),JT=1,5) /
     &1.0342E+03,7.8397E+02,5.9111E+02,8.6975E+02,1.1490E+03,1.0342E+03,
     &7.8394E+02,5.9078E+02,8.6960E+02,1.1488E+03,1.0342E+03,7.8396E+02,
     &5.9041E+02,8.6926E+02,1.1484E+03,1.0341E+03,7.8393E+02,5.9010E+02,
     &8.6884E+02,1.1479E+03,1.0342E+03,7.8395E+02,5.8977E+02,8.6822E+02,
     &1.1471E+03/
      DATA ((KB(JS,JT,54, 9),JS=1,5),JT=1,5) /
     &1.0343E+03,7.8394E+02,5.9121E+02,8.6979E+02,1.1491E+03,1.0341E+03,
     &7.8399E+02,5.9088E+02,8.6966E+02,1.1489E+03,1.0341E+03,7.8394E+02,
     &5.9052E+02,8.6939E+02,1.1485E+03,1.0341E+03,7.8394E+02,5.9020E+02,
     &8.6900E+02,1.1481E+03,1.0342E+03,7.8395E+02,5.8987E+02,8.6845E+02,
     &1.1474E+03/
      DATA ((KB(JS,JT,55, 9),JS=1,5),JT=1,5) /
     &1.0342E+03,7.8396E+02,5.9130E+02,8.6983E+02,1.1491E+03,1.0341E+03,
     &7.8393E+02,5.9100E+02,8.6971E+02,1.1490E+03,1.0342E+03,7.8393E+02,
     &5.9065E+02,8.6949E+02,1.1486E+03,1.0342E+03,7.8395E+02,5.9029E+02,
     &8.6914E+02,1.1483E+03,1.0341E+03,7.8393E+02,5.9000E+02,8.6864E+02,
     &1.1477E+03/
      DATA ((KB(JS,JT,56, 9),JS=1,5),JT=1,5) /
     &1.0342E+03,7.8393E+02,5.9137E+02,8.6987E+02,1.1492E+03,1.0342E+03,
     &7.8395E+02,5.9111E+02,8.6975E+02,1.1490E+03,1.0342E+03,7.8392E+02,
     &5.9077E+02,8.6958E+02,1.1488E+03,1.0342E+03,7.8393E+02,5.9040E+02,
     &8.6926E+02,1.1484E+03,1.0341E+03,7.8393E+02,5.9009E+02,8.6883E+02,
     &1.1479E+03/
      DATA ((KB(JS,JT,57, 9),JS=1,5),JT=1,5) /
     &1.0342E+03,7.8396E+02,5.9143E+02,8.6993E+02,1.1492E+03,1.0342E+03,
     &7.8392E+02,5.9122E+02,8.6979E+02,1.1491E+03,1.0342E+03,7.8392E+02,
     &5.9089E+02,8.6966E+02,1.1489E+03,1.0341E+03,7.8395E+02,5.9052E+02,
     &8.6938E+02,1.1485E+03,1.0341E+03,7.8393E+02,5.9018E+02,8.6897E+02,
     &1.1481E+03/
      DATA ((KB(JS,JT,58, 9),JS=1,5),JT=1,5) /
     &1.0341E+03,7.8395E+02,5.9147E+02,8.6996E+02,1.1493E+03,1.0341E+03,
     &7.8397E+02,5.9129E+02,8.6982E+02,1.1491E+03,1.0341E+03,7.8393E+02,
     &5.9099E+02,8.6970E+02,1.1489E+03,1.0342E+03,7.8397E+02,5.9063E+02,
     &8.6948E+02,1.1486E+03,1.0342E+03,7.8390E+02,5.9028E+02,8.6913E+02,
     &1.1482E+03/
      DATA ((KB(JS,JT,59, 9),JS=1,5),JT=1,5) /
     &1.0342E+03,7.8393E+02,5.9148E+02,8.6998E+02,1.1494E+03,1.0342E+03,
     &7.8396E+02,5.9132E+02,8.6982E+02,1.1492E+03,1.0342E+03,7.8393E+02,
     &5.9103E+02,8.6972E+02,1.1490E+03,1.0341E+03,7.8394E+02,5.9067E+02,
     &8.6951E+02,1.1487E+03,1.0341E+03,7.8397E+02,5.9032E+02,8.6918E+02,
     &1.1483E+03/
      DATA ((KB(JS,JT,13,10),JS=1,5),JT=1,5) /
     &1.1544E+03,8.7486E+02,5.9975E+02,8.8029E+02,1.1631E+03,1.1458E+03,
     &8.6752E+02,5.9921E+02,8.7889E+02,1.1611E+03,1.1380E+03,8.6177E+02,
     &5.9836E+02,8.7789E+02,1.1592E+03,1.1310E+03,8.5697E+02,5.9745E+02,
     &8.7697E+02,1.1577E+03,1.1259E+03,8.5279E+02,5.9663E+02,8.7606E+02,
     &1.1564E+03/
      DATA ((KB(JS,JT,14,10),JS=1,5),JT=1,5) /
     &1.1329E+03,8.5757E+02,5.9935E+02,8.8000E+02,1.1630E+03,1.1257E+03,
     &8.5228E+02,5.9878E+02,8.7841E+02,1.1609E+03,1.1201E+03,8.4731E+02,
     &5.9797E+02,8.7766E+02,1.1591E+03,1.1140E+03,8.4389E+02,5.9731E+02,
     &8.7707E+02,1.1577E+03,1.1094E+03,8.4001E+02,5.9642E+02,8.7571E+02,
     &1.1561E+03/
      DATA ((KB(JS,JT,15,10),JS=1,5),JT=1,5) /
     &1.1142E+03,8.4370E+02,5.9900E+02,8.7973E+02,1.1627E+03,1.1097E+03,
     &8.4029E+02,5.9841E+02,8.7827E+02,1.1607E+03,1.1039E+03,8.3570E+02,
     &5.9763E+02,8.7745E+02,1.1587E+03,1.0995E+03,8.3295E+02,5.9685E+02,
     &8.7664E+02,1.1574E+03,1.0956E+03,8.2966E+02,5.9611E+02,8.7548E+02,
     &1.1555E+03/
      DATA ((KB(JS,JT,16,10),JS=1,5),JT=1,5) /
     &1.1006E+03,8.3290E+02,5.9871E+02,8.7947E+02,1.1625E+03,1.0967E+03,
     &8.2960E+02,5.9809E+02,8.7696E+02,1.1605E+03,1.0908E+03,8.2627E+02,
     &5.9735E+02,8.7716E+02,1.1587E+03,1.0878E+03,8.2496E+02,5.9665E+02,
     &8.7645E+02,1.1573E+03,1.0846E+03,8.2140E+02,5.9584E+02,8.7537E+02,
     &1.1556E+03/
      DATA ((KB(JS,JT,17,10),JS=1,5),JT=1,5) /
     &1.0872E+03,8.2399E+02,5.9847E+02,8.7912E+02,1.1623E+03,1.0836E+03,
     &8.2137E+02,5.9782E+02,8.7785E+02,1.1604E+03,1.0806E+03,8.1903E+02,
     &5.9710E+02,8.7700E+02,1.1586E+03,1.0781E+03,8.1649E+02,5.9641E+02,
     &8.7627E+02,1.1571E+03,1.0750E+03,8.1461E+02,5.9560E+02,8.7517E+02,
     &1.1554E+03/
      DATA ((KB(JS,JT,18,10),JS=1,5),JT=1,5) /
     &1.0783E+03,8.1627E+02,5.9826E+02,8.7902E+02,1.1620E+03,1.0752E+03,
     &8.1450E+02,5.9759E+02,8.7778E+02,1.1602E+03,1.0718E+03,8.1284E+02,
     &5.9689E+02,8.7707E+02,1.1584E+03,1.0695E+03,8.1051E+02,5.9620E+02,
     &8.7578E+02,1.1570E+03,1.0675E+03,8.0859E+02,5.9539E+02,8.7498E+02,
     &1.1554E+03/
      DATA ((KB(JS,JT,19,10),JS=1,5),JT=1,5) /
     &1.0693E+03,8.1014E+02,5.9808E+02,8.7871E+02,1.1618E+03,1.0674E+03,
     &8.0961E+02,5.9739E+02,8.7763E+02,1.1601E+03,1.0651E+03,8.0782E+02,
     &5.9664E+02,8.7683E+02,1.1582E+03,1.0639E+03,8.0562E+02,5.9610E+02,
     &8.7595E+02,1.1569E+03,1.0620E+03,8.0440E+02,5.9520E+02,8.7481E+02,
     &1.1551E+03/
      DATA ((KB(JS,JT,20,10),JS=1,5),JT=1,5) /
     &1.0633E+03,8.0580E+02,5.9791E+02,8.7862E+02,1.1616E+03,1.0619E+03,
     &8.0442E+02,5.9720E+02,8.7747E+02,1.1598E+03,1.0607E+03,8.0344E+02,
     &5.9654E+02,8.7680E+02,1.1581E+03,1.0584E+03,8.0182E+02,5.9585E+02,
     &8.7568E+02,1.1568E+03,1.0568E+03,8.0142E+02,5.9502E+02,8.7461E+02,
     &1.1549E+03/
      DATA ((KB(JS,JT,21,10),JS=1,5),JT=1,5) /
     &1.0577E+03,8.0247E+02,5.9775E+02,8.7831E+02,1.1614E+03,1.0572E+03,
     &8.0108E+02,5.9703E+02,8.7733E+02,1.1595E+03,1.0551E+03,7.9955E+02,
     &5.9639E+02,8.7689E+02,1.1579E+03,1.0548E+03,7.9914E+02,5.9569E+02,
     &8.7563E+02,1.1565E+03,1.0533E+03,7.9794E+02,5.9484E+02,8.7454E+02,
     &1.1546E+03/
      DATA ((KB(JS,JT,22,10),JS=1,5),JT=1,5) /
     &1.0544E+03,7.9901E+02,5.9755E+02,8.7816E+02,1.1610E+03,1.0524E+03,
     &7.9865E+02,5.9692E+02,8.7715E+02,1.1592E+03,1.0518E+03,7.9733E+02,
     &5.9621E+02,8.7638E+02,1.1576E+03,1.0503E+03,7.9602E+02,5.9549E+02,
     &8.7540E+02,1.1562E+03,1.0497E+03,7.9577E+02,5.9455E+02,8.7415E+02,
     &1.1542E+03/
      DATA ((KB(JS,JT,23,10),JS=1,5),JT=1,5) /
     &1.0504E+03,7.9618E+02,5.9736E+02,8.7790E+02,1.1608E+03,1.0488E+03,
     &7.9542E+02,5.9652E+02,8.7687E+02,1.1588E+03,1.0489E+03,7.9466E+02,
     &5.9603E+02,8.7619E+02,1.1574E+03,1.0477E+03,7.9399E+02,5.9528E+02,
     &8.7505E+02,1.1559E+03,1.0468E+03,7.9357E+02,5.9440E+02,8.7388E+02,
     &1.1537E+03/
      DATA ((KB(JS,JT,24,10),JS=1,5),JT=1,5) /
     &1.0475E+03,7.9355E+02,5.9716E+02,8.7766E+02,1.1603E+03,1.0471E+03,
     &7.9325E+02,5.9650E+02,8.7681E+02,1.1585E+03,1.0463E+03,7.9243E+02,
     &5.9586E+02,8.7587E+02,1.1571E+03,1.0454E+03,7.9206E+02,5.9508E+02,
     &8.7468E+02,1.1555E+03,1.0455E+03,7.9146E+02,5.9426E+02,8.7360E+02,
     &1.1532E+03/
      DATA ((KB(JS,JT,25,10),JS=1,5),JT=1,5) /
     &1.0443E+03,7.9222E+02,5.9698E+02,8.7742E+02,1.1598E+03,1.0446E+03,
     &7.9165E+02,5.9633E+02,8.7696E+02,1.1582E+03,1.0440E+03,7.9123E+02,
     &5.9567E+02,8.7565E+02,1.1568E+03,1.0433E+03,7.9106E+02,5.9487E+02,
     &8.7451E+02,1.1551E+03,1.0423E+03,7.9063E+02,5.9375E+02,8.7329E+02,
     &1.1525E+03/
      DATA ((KB(JS,JT,26,10),JS=1,5),JT=1,5) /
     &1.0431E+03,7.9112E+02,5.9671E+02,8.7720E+02,1.1595E+03,1.0430E+03,
     &7.9016E+02,5.9608E+02,8.7633E+02,1.1579E+03,1.0422E+03,7.8992E+02,
     &5.9547E+02,8.7551E+02,1.1565E+03,1.0418E+03,7.8943E+02,5.9456E+02,
     &8.7419E+02,1.1545E+03,1.0417E+03,7.8966E+02,5.9375E+02,8.7285E+02,
     &1.1523E+03/
      DATA ((KB(JS,JT,27,10),JS=1,5),JT=1,5) /
     &1.0421E+03,7.8970E+02,5.9653E+02,8.7700E+02,1.1589E+03,1.0419E+03,
     &7.8911E+02,5.9591E+02,8.7623E+02,1.1575E+03,1.0414E+03,7.8914E+02,
     &5.9527E+02,8.7524E+02,1.1555E+03,1.0412E+03,7.8891E+02,5.9440E+02,
     &8.7398E+02,1.1540E+03,1.0400E+03,7.8850E+02,5.9354E+02,8.7262E+02,
     &1.1516E+03/
      DATA ((KB(JS,JT,28,10),JS=1,5),JT=1,5) /
     &1.0402E+03,7.8860E+02,5.9644E+02,8.7682E+02,1.1586E+03,1.0405E+03,
     &7.8788E+02,5.9574E+02,8.7579E+02,1.1571E+03,1.0403E+03,7.8855E+02,
     &5.9498E+02,8.7473E+02,1.1552E+03,1.0397E+03,7.8826E+02,5.9417E+02,
     &8.7377E+02,1.1534E+03,1.0396E+03,7.8810E+02,5.9333E+02,8.7227E+02,
     &1.1511E+03/
      DATA ((KB(JS,JT,29,10),JS=1,5),JT=1,5) /
     &1.0391E+03,7.8797E+02,5.9612E+02,8.7685E+02,1.1584E+03,1.0393E+03,
     &7.8808E+02,5.9562E+02,8.7577E+02,1.1569E+03,1.0401E+03,7.8791E+02,
     &5.9476E+02,8.7463E+02,1.1550E+03,1.0388E+03,7.8727E+02,5.9387E+02,
     &8.7332E+02,1.1526E+03,1.0383E+03,7.8753E+02,5.9306E+02,8.7189E+02,
     &1.1504E+03/
      DATA ((KB(JS,JT,30,10),JS=1,5),JT=1,5) /
     &1.0398E+03,7.8748E+02,5.9603E+02,8.7643E+02,1.1579E+03,1.0387E+03,
     &7.8733E+02,5.9550E+02,8.7550E+02,1.1567E+03,1.0384E+03,7.8700E+02,
     &5.9460E+02,8.7431E+02,1.1543E+03,1.0381E+03,7.8738E+02,5.9372E+02,
     &8.7275E+02,1.1522E+03,1.0382E+03,7.8707E+02,5.9292E+02,8.7137E+02,
     &1.1500E+03/
      DATA ((KB(JS,JT,31,10),JS=1,5),JT=1,5) /
     &1.0388E+03,7.8740E+02,5.9593E+02,8.7621E+02,1.1575E+03,1.0385E+03,
     &7.8757E+02,5.9522E+02,8.7522E+02,1.1561E+03,1.0386E+03,7.8718E+02,
     &5.9436E+02,8.7397E+02,1.1540E+03,1.0377E+03,7.8650E+02,5.9350E+02,
     &8.7250E+02,1.1516E+03,1.0376E+03,7.8651E+02,5.9269E+02,8.7108E+02,
     &1.1495E+03/
      DATA ((KB(JS,JT,32,10),JS=1,5),JT=1,5) /
     &1.0383E+03,7.8682E+02,5.9576E+02,8.7597E+02,1.1572E+03,1.0383E+03,
     &7.8712E+02,5.9500E+02,8.7480E+02,1.1556E+03,1.0381E+03,7.8606E+02,
     &5.9405E+02,8.7362E+02,1.1534E+03,1.0372E+03,7.8628E+02,5.9329E+02,
     &8.7223E+02,1.1510E+03,1.0377E+03,7.8690E+02,5.9245E+02,8.7068E+02,
     &1.1490E+03/
      DATA ((KB(JS,JT,33,10),JS=1,5),JT=1,5) /
     &1.0380E+03,7.8593E+02,5.9549E+02,8.7572E+02,1.1567E+03,1.0375E+03,
     &7.8654E+02,5.9477E+02,8.7458E+02,1.1551E+03,1.0374E+03,7.8686E+02,
     &5.9389E+02,8.7337E+02,1.1527E+03,1.0366E+03,7.8593E+02,5.9308E+02,
     &8.7194E+02,1.1506E+03,1.0369E+03,7.8626E+02,5.9219E+02,8.7038E+02,
     &1.1486E+03/
      DATA ((KB(JS,JT,34,10),JS=1,5),JT=1,5) /
     &1.0373E+03,7.8657E+02,5.9539E+02,8.7559E+02,1.1565E+03,1.0370E+03,
     &7.8641E+02,5.9464E+02,8.7429E+02,1.1546E+03,1.0370E+03,7.8587E+02,
     &5.9369E+02,8.7295E+02,1.1522E+03,1.0371E+03,7.8562E+02,5.9289E+02,
     &8.7146E+02,1.1500E+03,1.0372E+03,7.8597E+02,5.9202E+02,8.6991E+02,
     &1.1482E+03/
      DATA ((KB(JS,JT,35,10),JS=1,5),JT=1,5) /
     &1.0364E+03,7.8559E+02,5.9529E+02,8.7523E+02,1.1563E+03,1.0362E+03,
     &7.8545E+02,5.9445E+02,8.7400E+02,1.1543E+03,1.0372E+03,7.8599E+02,
     &5.9365E+02,8.7265E+02,1.1519E+03,1.0370E+03,7.8527E+02,5.9278E+02,
     &8.7136E+02,1.1496E+03,1.0363E+03,7.8582E+02,5.9179E+02,8.6905E+02,
     &1.1477E+03/
      DATA ((KB(JS,JT,36,10),JS=1,5),JT=1,5) /
     &1.0368E+03,7.8515E+02,5.9520E+02,8.7532E+02,1.1563E+03,1.0358E+03,
     &7.8589E+02,5.9443E+02,8.7419E+02,1.1542E+03,1.0361E+03,7.8556E+02,
     &5.9355E+02,8.7273E+02,1.1517E+03,1.0361E+03,7.8543E+02,5.9275E+02,
     &8.7122E+02,1.1497E+03,1.0368E+03,7.8570E+02,5.9176E+02,8.6999E+02,
     &1.1477E+03/
      DATA ((KB(JS,JT,37,10),JS=1,5),JT=1,5) /
     &1.0363E+03,7.8591E+02,5.9537E+02,8.7546E+02,1.1565E+03,1.0360E+03,
     &7.8548E+02,5.9454E+02,8.7425E+02,1.1545E+03,1.0362E+03,7.8546E+02,
     &5.9366E+02,8.7291E+02,1.1521E+03,1.0364E+03,7.8543E+02,5.9286E+02,
     &8.7142E+02,1.1500E+03,1.0360E+03,7.8560E+02,5.9177E+02,8.6987E+02,
     &1.1482E+03/
      DATA ((KB(JS,JT,38,10),JS=1,5),JT=1,5) /
     &1.0362E+03,7.8542E+02,5.9547E+02,8.7560E+02,1.1567E+03,1.0357E+03,
     &7.8588E+02,5.9466E+02,8.7433E+02,1.1549E+03,1.0370E+03,7.8605E+02,
     &5.9385E+02,8.7310E+02,1.1524E+03,1.0362E+03,7.8574E+02,5.9297E+02,
     &8.7186E+02,1.1501E+03,1.0364E+03,7.8533E+02,5.9199E+02,8.7009E+02,
     &1.1482E+03/
      DATA ((KB(JS,JT,39,10),JS=1,5),JT=1,5) /
     &1.0359E+03,7.8514E+02,5.9557E+02,8.7574E+02,1.1567E+03,1.0371E+03,
     &7.8541E+02,5.9478E+02,8.7461E+02,1.1552E+03,1.0366E+03,7.8569E+02,
     &5.9382E+02,8.7329E+02,1.1528E+03,1.0359E+03,7.8528E+02,5.9308E+02,
     &8.7198E+02,1.1506E+03,1.0356E+03,7.8487E+02,5.9220E+02,8.7042E+02,
     &1.1486E+03/
      DATA ((KB(JS,JT,40,10),JS=1,5),JT=1,5) /
     &1.0357E+03,7.8518E+02,5.9566E+02,8.7586E+02,1.1569E+03,1.0357E+03,
     &7.8506E+02,5.9498E+02,8.7480E+02,1.1555E+03,1.0366E+03,7.8504E+02,
     &5.9396E+02,8.7362E+02,1.1534E+03,1.0363E+03,7.8503E+02,5.9319E+02,
     &8.7212E+02,1.1511E+03,1.0363E+03,7.8540E+02,5.9243E+02,8.7078E+02,
     &1.1490E+03/
      DATA ((KB(JS,JT,41,10),JS=1,5),JT=1,5) /
     &1.0363E+03,7.8503E+02,5.9590E+02,8.7608E+02,1.1576E+03,1.0356E+03,
     &7.8491E+02,5.9519E+02,8.7520E+02,1.1561E+03,1.0364E+03,7.8558E+02,
     &5.9433E+02,8.7384E+02,1.1540E+03,1.0357E+03,7.8518E+02,5.9354E+02,
     &8.7259E+02,1.1516E+03,1.0360E+03,7.8526E+02,5.9259E+02,8.7107E+02,
     &1.1495E+03/
      DATA ((KB(JS,JT,42,10),JS=1,5),JT=1,5) /
     &1.0360E+03,7.8488E+02,5.9605E+02,8.7553E+02,1.1576E+03,1.0363E+03,
     &7.8507E+02,5.9538E+02,8.7537E+02,1.1565E+03,1.0362E+03,7.8535E+02,
     &5.9456E+02,8.7429E+02,1.1545E+03,1.0361E+03,7.8514E+02,5.9368E+02,
     &8.7295E+02,1.1522E+03,1.0360E+03,7.8523E+02,5.9281E+02,8.7146E+02,
     &1.1502E+03/
      DATA ((KB(JS,JT,43,10),JS=1,5),JT=1,5) /
     &1.0359E+03,7.8504E+02,5.9624E+02,8.7675E+02,1.1584E+03,1.0355E+03,
     &7.8552E+02,5.9568E+02,8.7580E+02,1.1570E+03,1.0354E+03,7.8512E+02,
     &5.9483E+02,8.7469E+02,1.1553E+03,1.0354E+03,7.8569E+02,5.9395E+02,
     &8.7316E+02,1.1531E+03,1.0359E+03,7.8598E+02,5.9313E+02,8.7186E+02,
     &1.1507E+03/
      DATA ((KB(JS,JT,44,10),JS=1,5),JT=1,5) /
     &1.0359E+03,7.8521E+02,5.9645E+02,8.7700E+02,1.1590E+03,1.0361E+03,
     &7.8510E+02,5.9583E+02,8.7611E+02,1.1574E+03,1.0368E+03,7.8519E+02,
     &5.9511E+02,8.7509E+02,1.1561E+03,1.0360E+03,7.8508E+02,5.9424E+02,
     &8.7372E+02,1.1538E+03,1.0356E+03,7.8537E+02,5.9339E+02,8.7213E+02,
     &1.1514E+03/
      DATA ((KB(JS,JT,45,10),JS=1,5),JT=1,5) /
     &1.0357E+03,7.8557E+02,5.9666E+02,8.7715E+02,1.1597E+03,1.0356E+03,
     &7.8527E+02,5.9604E+02,8.7639E+02,1.1579E+03,1.0360E+03,7.8546E+02,
     &5.9537E+02,8.7547E+02,1.1565E+03,1.0361E+03,7.8506E+02,5.9454E+02,
     &8.7427E+02,1.1544E+03,1.0353E+03,7.8535E+02,5.9366E+02,8.7293E+02,
     &1.1520E+03/
      DATA ((KB(JS,JT,46,10),JS=1,5),JT=1,5) /
     &1.0358E+03,7.8506E+02,5.9691E+02,8.7749E+02,1.1602E+03,1.0353E+03,
     &7.8486E+02,5.9626E+02,8.7678E+02,1.1584E+03,1.0353E+03,7.8495E+02,
     &5.9563E+02,8.7572E+02,1.1570E+03,1.0363E+03,7.8534E+02,5.9478E+02,
     &8.7473E+02,1.1554E+03,1.0355E+03,7.8455E+02,5.9398E+02,8.7342E+02,
     &1.1530E+03/
      DATA ((KB(JS,JT,47,10),JS=1,5),JT=1,5) /
     &1.0357E+03,7.8544E+02,5.9719E+02,8.7795E+02,1.1609E+03,1.0355E+03,
     &7.8533E+02,5.9651E+02,8.7696E+02,1.1589E+03,1.0358E+03,7.8543E+02,
     &5.9590E+02,8.7576E+02,1.1576E+03,1.0351E+03,7.8562E+02,5.9519E+02,
     &8.7521E+02,1.1561E+03,1.0359E+03,7.8571E+02,5.9433E+02,8.7385E+02,
     &1.1540E+03/
      DATA ((KB(JS,JT,48,10),JS=1,5),JT=1,5) /
     &1.0363E+03,7.8513E+02,5.9744E+02,8.7846E+02,1.1618E+03,1.0360E+03,
     &7.8532E+02,5.9677E+02,8.7730E+02,1.1598E+03,1.0365E+03,7.8483E+02,
     &5.9614E+02,8.7707E+02,1.1581E+03,1.0355E+03,7.8521E+02,5.9549E+02,
     &8.7564E+02,1.1567E+03,1.0355E+03,7.8531E+02,5.9469E+02,8.7448E+02,
     &1.1550E+03/
      DATA ((KB(JS,JT,49,10),JS=1,5),JT=1,5) /
     &1.0351E+03,7.8492E+02,5.9768E+02,8.7902E+02,1.1625E+03,1.0355E+03,
     &7.8541E+02,5.9705E+02,8.7772E+02,1.1606E+03,1.0352E+03,7.8472E+02,
     &5.9639E+02,8.7682E+02,1.1587E+03,1.0356E+03,7.8511E+02,5.9577E+02,
     &8.7591E+02,1.1574E+03,1.0352E+03,7.8501E+02,5.9510E+02,8.7498E+02,
     &1.1558E+03/
      DATA ((KB(JS,JT,50,10),JS=1,5),JT=1,5) /
     &1.0361E+03,7.8540E+02,5.9770E+02,8.7956E+02,1.1633E+03,1.0357E+03,
     &7.8530E+02,5.9731E+02,8.7817E+02,1.1612E+03,1.0365E+03,7.8510E+02,
     &5.9662E+02,8.7710E+02,1.1596E+03,1.0365E+03,7.8510E+02,5.9601E+02,
     &8.7645E+02,1.1578E+03,1.0352E+03,7.8588E+02,5.9525E+02,8.7541E+02,
     &1.1564E+03/
      DATA ((KB(JS,JT,51,10),JS=1,5),JT=1,5) /
     &1.0356E+03,7.8490E+02,5.9781E+02,8.8010E+02,1.1639E+03,1.0356E+03,
     &7.8539E+02,5.9751E+02,8.7866E+02,1.1620E+03,1.0359E+03,7.8461E+02,
     &5.9687E+02,8.7744E+02,1.1601E+03,1.0352E+03,7.8519E+02,5.9623E+02,
     &8.7674E+02,1.1583E+03,1.0356E+03,7.8470E+02,5.9552E+02,8.7578E+02,
     &1.1569E+03/
      DATA ((KB(JS,JT,52,10),JS=1,5),JT=1,5) /
     &1.0352E+03,7.8509E+02,5.9800E+02,8.8094E+02,1.1643E+03,1.0355E+03,
     &7.8528E+02,5.9763E+02,8.7918E+02,1.1627E+03,1.0361E+03,7.8479E+02,
     &5.9712E+02,8.7762E+02,1.1608E+03,1.0358E+03,7.8528E+02,5.9645E+02,
     &8.7678E+02,1.1589E+03,1.0355E+03,7.8528E+02,5.9584E+02,8.7612E+02,
     &1.1573E+03/
      DATA ((KB(JS,JT,53,10),JS=1,5),JT=1,5) /
     &1.0357E+03,7.8528E+02,5.9832E+02,8.8148E+02,1.1650E+03,1.0357E+03,
     &7.8596E+02,5.9772E+02,8.7969E+02,1.1634E+03,1.0361E+03,7.8547E+02,
     &5.9737E+02,8.7830E+02,1.1614E+03,1.0362E+03,7.8537E+02,5.9668E+02,
     &8.7707E+02,1.1596E+03,1.0356E+03,7.8498E+02,5.9606E+02,8.7642E+02,
     &1.1578E+03/
      DATA ((KB(JS,JT,54,10),JS=1,5),JT=1,5) /
     &1.0351E+03,7.8567E+02,5.9851E+02,8.8199E+02,1.1656E+03,1.0366E+03,
     &7.8518E+02,5.9776E+02,8.8021E+02,1.1638E+03,1.0364E+03,7.8478E+02,
     &5.9753E+02,8.7875E+02,1.1621E+03,1.0356E+03,7.8498E+02,5.9692E+02,
     &8.7751E+02,1.1602E+03,1.0362E+03,7.8527E+02,5.9627E+02,8.7657E+02,
     &1.1584E+03/
      DATA ((KB(JS,JT,55,10),JS=1,5),JT=1,5) /
     &1.0355E+03,7.8488E+02,5.9876E+02,8.8250E+02,1.1663E+03,1.0362E+03,
     &7.8527E+02,5.9801E+02,8.8087E+02,1.1643E+03,1.0356E+03,7.8507E+02,
     &5.9764E+02,8.7920E+02,1.1628E+03,1.0353E+03,7.8488E+02,5.9714E+02,
     &8.7787E+02,1.1606E+03,1.0356E+03,7.8488E+02,5.9639E+02,8.7691E+02,
     &1.1585E+03/
      DATA ((KB(JS,JT,56,10),JS=1,5),JT=1,5) /
     &1.0353E+03,7.8537E+02,5.9904E+02,8.8318E+02,1.1672E+03,1.0354E+03,
     &7.8497E+02,5.9830E+02,8.8144E+02,1.1649E+03,1.0361E+03,7.8536E+02,
     &5.9771E+02,8.7966E+02,1.1634E+03,1.0357E+03,7.8497E+02,5.9736E+02,
     &8.7826E+02,1.1615E+03,1.0353E+03,7.8478E+02,5.9667E+02,8.7705E+02,
     &1.1595E+03/
      DATA ((KB(JS,JT,57,10),JS=1,5),JT=1,5) /
     &1.0358E+03,7.8458E+02,5.9927E+02,8.8350E+02,1.1679E+03,1.0352E+03,
     &7.8536E+02,5.9840E+02,8.8193E+02,1.1656E+03,1.0352E+03,7.8526E+02,
     &5.9782E+02,8.8003E+02,1.1638E+03,1.0358E+03,7.8497E+02,5.9751E+02,
     &8.7869E+02,1.1622E+03,1.0360E+03,7.8497E+02,5.9689E+02,8.7746E+02,
     &1.1601E+03/
      DATA ((KB(JS,JT,58,10),JS=1,5),JT=1,5) /
     &1.0358E+03,7.8468E+02,5.9969E+02,8.8402E+02,1.1685E+03,1.0357E+03,
     &7.8458E+02,5.9873E+02,8.8241E+02,1.1662E+03,1.0358E+03,7.8526E+02,
     &5.9797E+02,8.8085E+02,1.1642E+03,1.0356E+03,7.8487E+02,5.9762E+02,
     &8.7912E+02,1.1626E+03,1.0357E+03,7.8565E+02,5.9710E+02,8.7769E+02,
     &1.1608E+03/
      DATA ((KB(JS,JT,59,10),JS=1,5),JT=1,5) /
     &1.0360E+03,7.8507E+02,5.9979E+02,8.8416E+02,1.1687E+03,1.0357E+03,
     &7.8477E+02,5.9879E+02,8.8260E+02,1.1665E+03,1.0350E+03,7.8526E+02,
     &5.9804E+02,8.8100E+02,1.1644E+03,1.0357E+03,7.8467E+02,5.9773E+02,
     &8.7930E+02,1.1629E+03,1.0358E+03,7.8457E+02,5.9718E+02,8.7783E+02,
     &1.1609E+03/
      DATA ((KB(JS,JT,13,11),JS=1,5),JT=1,5) /
     &1.1563E+03,8.7491E+02,6.0253E+02,8.8362E+02,1.1664E+03,1.1454E+03,
     &8.6861E+02,6.0211E+02,8.8300E+02,1.1639E+03,1.1392E+03,8.6181E+02,
     &6.0140E+02,8.8181E+02,1.1620E+03,1.1315E+03,8.5680E+02,6.0042E+02,
     &8.8057E+02,1.1602E+03,1.1273E+03,8.5330E+02,5.9929E+02,8.7908E+02,
     &1.1581E+03/
      DATA ((KB(JS,JT,14,11),JS=1,5),JT=1,5) /
     &1.1333E+03,8.5776E+02,6.0215E+02,8.8338E+02,1.1660E+03,1.1256E+03,
     &8.5211E+02,6.0176E+02,8.8258E+02,1.1637E+03,1.1185E+03,8.4809E+02,
     &6.0101E+02,8.8154E+02,1.1618E+03,1.1137E+03,8.4328E+02,5.9992E+02,
     &8.7989E+02,1.1599E+03,1.1092E+03,8.3997E+02,5.9898E+02,8.7879E+02,
     &1.1581E+03/
      DATA ((KB(JS,JT,15,11),JS=1,5),JT=1,5) /
     &1.1149E+03,8.4435E+02,6.0192E+02,8.8317E+02,1.1660E+03,1.1071E+03,
     &8.3899E+02,6.0145E+02,8.8233E+02,1.1635E+03,1.1058E+03,8.3612E+02,
     &6.0066E+02,8.8128E+02,1.1617E+03,1.0996E+03,8.3410E+02,5.9965E+02,
     &8.8002E+02,1.1599E+03,1.0957E+03,8.3022E+02,5.9863E+02,8.7850E+02,
     &1.1578E+03/
      DATA ((KB(JS,JT,16,11),JS=1,5),JT=1,5) /
     &1.0993E+03,8.3361E+02,6.0157E+02,8.8298E+02,1.1657E+03,1.0933E+03,
     &8.2961E+02,6.0127E+02,8.8210E+02,1.1633E+03,1.0924E+03,8.2745E+02,
     &6.0035E+02,8.8104E+02,1.1615E+03,1.0885E+03,8.2319E+02,5.9934E+02,
     &8.7977E+02,1.1597E+03,1.0838E+03,8.2062E+02,5.9823E+02,8.7823E+02,
     &1.1577E+03/
      DATA ((KB(JS,JT,17,11),JS=1,5),JT=1,5) /
     &1.0881E+03,8.2385E+02,6.0135E+02,8.8282E+02,1.1656E+03,1.0840E+03,
     &8.2201E+02,6.0094E+02,8.8190E+02,1.1631E+03,1.0809E+03,8.1908E+02,
     &6.0007E+02,8.8083E+02,1.1613E+03,1.0772E+03,8.1792E+02,5.9907E+02,
     &8.7953E+02,1.1595E+03,1.0760E+03,8.1580E+02,5.9806E+02,8.7798E+02,
     &1.1575E+03/
      DATA ((KB(JS,JT,18,11),JS=1,5),JT=1,5) /
     &1.0780E+03,8.1679E+02,6.0116E+02,8.8267E+02,1.1653E+03,1.0749E+03,
     &8.1512E+02,6.0072E+02,8.8171E+02,1.1629E+03,1.0728E+03,8.1180E+02,
     &5.9983E+02,8.8050E+02,1.1611E+03,1.0707E+03,8.1081E+02,5.9883E+02,
     &8.7944E+02,1.1593E+03,1.0678E+03,8.0905E+02,5.9782E+02,8.7775E+02,
     &1.1574E+03/
      DATA ((KB(JS,JT,19,11),JS=1,5),JT=1,5) /
     &1.0696E+03,8.1122E+02,6.0101E+02,8.8252E+02,1.1649E+03,1.0692E+03,
     &8.0792E+02,6.0053E+02,8.8155E+02,1.1625E+03,1.0653E+03,8.0791E+02,
     &5.9962E+02,8.8058E+02,1.1609E+03,1.0635E+03,8.0651E+02,5.9853E+02,
     &8.7910E+02,1.1591E+03,1.0626E+03,8.0552E+02,5.9761E+02,8.7753E+02,
     &1.1572E+03/
      DATA ((KB(JS,JT,20,11),JS=1,5),JT=1,5) /
     &1.0638E+03,8.0613E+02,6.0096E+02,8.8236E+02,1.1646E+03,1.0623E+03,
     &8.0416E+02,6.0035E+02,8.8137E+02,1.1625E+03,1.0590E+03,8.0264E+02,
     &5.9950E+02,8.8013E+02,1.1607E+03,1.0603E+03,8.0308E+02,5.9841E+02,
     &8.7915E+02,1.1587E+03,1.0573E+03,8.0101E+02,5.9740E+02,8.7729E+02,
     &1.1568E+03/
      DATA ((KB(JS,JT,21,11),JS=1,5),JT=1,5) /
     &1.0580E+03,8.0255E+02,6.0075E+02,8.8233E+02,1.1643E+03,1.0580E+03,
     &8.0172E+02,6.0017E+02,8.8121E+02,1.1623E+03,1.0551E+03,8.0129E+02,
     &5.9922E+02,8.7954E+02,1.1605E+03,1.0544E+03,7.9894E+02,5.9822E+02,
     &8.7866E+02,1.1586E+03,1.0531E+03,7.9850E+02,5.9721E+02,8.7693E+02,
     &1.1568E+03/
      DATA ((KB(JS,JT,22,11),JS=1,5),JT=1,5) /
     &1.0535E+03,7.9809E+02,6.0064E+02,8.8198E+02,1.1639E+03,1.0534E+03,
     &7.9679E+02,5.9986E+02,8.8098E+02,1.1619E+03,1.0517E+03,7.9764E+02,
     &5.9897E+02,8.7993E+02,1.1602E+03,1.0510E+03,7.9739E+02,5.9797E+02,
     &8.7835E+02,1.1582E+03,1.0492E+03,7.9579E+02,5.9697E+02,8.7672E+02,
     &1.1565E+03/
      DATA ((KB(JS,JT,23,11),JS=1,5),JT=1,5) /
     &1.0516E+03,7.9606E+02,6.0095E+02,8.8176E+02,1.1633E+03,1.0497E+03,
     &7.9542E+02,5.9972E+02,8.8074E+02,1.1616E+03,1.0482E+03,7.9453E+02,
     &5.9873E+02,8.7952E+02,1.1598E+03,1.0486E+03,7.9431E+02,5.9782E+02,
     &8.7802E+02,1.1579E+03,1.0473E+03,7.9522E+02,5.9672E+02,8.7637E+02,
     &1.1562E+03/
      DATA ((KB(JS,JT,24,11),JS=1,5),JT=1,5) /
     &1.0467E+03,7.9476E+02,6.0034E+02,8.8154E+02,1.1630E+03,1.0461E+03,
     &7.9357E+02,5.9948E+02,8.8049E+02,1.1613E+03,1.0460E+03,7.9280E+02,
     &5.9849E+02,8.7921E+02,1.1596E+03,1.0457E+03,7.9222E+02,5.9749E+02,
     &8.7768E+02,1.1575E+03,1.0450E+03,7.9193E+02,5.9639E+02,8.7600E+02,
     &1.1558E+03/
      DATA ((KB(JS,JT,25,11),JS=1,5),JT=1,5) /
     &1.0463E+03,7.9209E+02,6.0015E+02,8.8131E+02,1.1626E+03,1.0455E+03,
     &7.9185E+02,5.9924E+02,8.7983E+02,1.1609E+03,1.0450E+03,7.9214E+02,
     &5.9824E+02,8.7889E+02,1.1590E+03,1.0445E+03,7.9118E+02,5.9725E+02,
     &8.7732E+02,1.1571E+03,1.0428E+03,7.9168E+02,5.9624E+02,8.7561E+02,
     &1.1555E+03/
      DATA ((KB(JS,JT,26,11),JS=1,5),JT=1,5) /
     &1.0437E+03,7.9093E+02,5.9993E+02,8.8106E+02,1.1624E+03,1.0430E+03,
     &7.9091E+02,5.9898E+02,8.7993E+02,1.1605E+03,1.0430E+03,7.9069E+02,
     &5.9808E+02,8.7852E+02,1.1586E+03,1.0425E+03,7.9087E+02,5.9699E+02,
     &8.7692E+02,1.1569E+03,1.0414E+03,7.8954E+02,5.9598E+02,8.7517E+02,
     &1.1547E+03/
      DATA ((KB(JS,JT,27,11),JS=1,5),JT=1,5) /
     &1.0423E+03,7.9028E+02,5.9970E+02,8.8080E+02,1.1616E+03,1.0415E+03,
     &7.8939E+02,5.9872E+02,8.7961E+02,1.1600E+03,1.0419E+03,7.8972E+02,
     &5.9773E+02,8.7814E+02,1.1581E+03,1.0405E+03,7.8901E+02,5.9673E+02,
     &8.7651E+02,1.1564E+03,1.0410E+03,7.8880E+02,5.9572E+02,8.7471E+02,
     &1.1546E+03/
      DATA ((KB(JS,JT,28,11),JS=1,5),JT=1,5) /
     &1.0411E+03,7.8831E+02,5.9945E+02,8.8052E+02,1.1614E+03,1.0402E+03,
     &7.8866E+02,5.9846E+02,8.7954E+02,1.1596E+03,1.0401E+03,7.8798E+02,
     &5.9747E+02,8.7776E+02,1.1577E+03,1.0407E+03,7.8779E+02,5.9647E+02,
     &8.7596E+02,1.1560E+03,1.0407E+03,7.8751E+02,5.9548E+02,8.7425E+02,
     &1.1542E+03/
      DATA ((KB(JS,JT,29,11),JS=1,5),JT=1,5) /
     &1.0408E+03,7.8876E+02,5.9920E+02,8.7983E+02,1.1608E+03,1.0408E+03,
     &7.8834E+02,5.9820E+02,8.7891E+02,1.1591E+03,1.0387E+03,7.8864E+02,
     &5.9721E+02,8.7735E+02,1.1572E+03,1.0384E+03,7.8778E+02,5.9621E+02,
     &8.7578E+02,1.1555E+03,1.0412E+03,7.8824E+02,5.9524E+02,8.7368E+02,
     &1.1538E+03/
      DATA ((KB(JS,JT,30,11),JS=1,5),JT=1,5) /
     &1.0383E+03,7.8758E+02,5.9894E+02,8.7992E+02,1.1605E+03,1.0390E+03,
     &7.8755E+02,5.9785E+02,8.7840E+02,1.1584E+03,1.0391E+03,7.8813E+02,
     &5.9695E+02,8.7693E+02,1.1568E+03,1.0384E+03,7.8683E+02,5.9594E+02,
     &8.7519E+02,1.1551E+03,1.0388E+03,7.8660E+02,5.9501E+02,8.7341E+02,
     &1.1534E+03/
      DATA ((KB(JS,JT,31,11),JS=1,5),JT=1,5) /
     &1.0376E+03,7.8640E+02,5.9867E+02,8.7959E+02,1.1601E+03,1.0381E+03,
     &7.8687E+02,5.9768E+02,8.7813E+02,1.1581E+03,1.0369E+03,7.8736E+02,
     &5.9668E+02,8.7650E+02,1.1564E+03,1.0380E+03,7.8738E+02,5.9577E+02,
     &8.7483E+02,1.1546E+03,1.0391E+03,7.8671E+02,5.9479E+02,8.7299E+02,
     &1.1532E+03/
      DATA ((KB(JS,JT,32,11),JS=1,5),JT=1,5) /
     &1.0371E+03,7.8531E+02,5.9840E+02,8.7936E+02,1.1596E+03,1.0383E+03,
     &7.8734E+02,5.9742E+02,8.7771E+02,1.1576E+03,1.0363E+03,7.8691E+02,
     &5.9641E+02,8.7605E+02,1.1559E+03,1.0373E+03,7.8648E+02,5.9543E+02,
     &8.7420E+02,1.1542E+03,1.0376E+03,7.8617E+02,5.9455E+02,8.7256E+02,
     &1.1529E+03/
      DATA ((KB(JS,JT,33,11),JS=1,5),JT=1,5) /
     &1.0366E+03,7.8725E+02,5.9814E+02,8.7885E+02,1.1591E+03,1.0366E+03,
     &7.8694E+02,5.9715E+02,8.7729E+02,1.1572E+03,1.0365E+03,7.8534E+02,
     &5.9614E+02,8.7545E+02,1.1555E+03,1.0377E+03,7.8705E+02,5.9518E+02,
     &8.7362E+02,1.1536E+03,1.0381E+03,7.8546E+02,5.9428E+02,8.7201E+02,
     &1.1526E+03/
      DATA ((KB(JS,JT,34,11),JS=1,5),JT=1,5) /
     &1.0370E+03,7.8547E+02,5.9791E+02,8.7837E+02,1.1586E+03,1.0369E+03,
     &7.8635E+02,5.9683E+02,8.7691E+02,1.1568E+03,1.0373E+03,7.8607E+02,
     &5.9591E+02,8.7516E+02,1.1551E+03,1.0371E+03,7.8696E+02,5.9498E+02,
     &8.7338E+02,1.1534E+03,1.0366E+03,7.8538E+02,5.9374E+02,8.7179E+02,
     &1.1524E+03/
      DATA ((KB(JS,JT,35,11),JS=1,5),JT=1,5) /
     &1.0371E+03,7.8681E+02,5.9778E+02,8.7830E+02,1.1583E+03,1.0367E+03,
     &7.8665E+02,5.9678E+02,8.7669E+02,1.1566E+03,1.0363E+03,7.8613E+02,
     &5.9569E+02,8.7491E+02,1.1549E+03,1.0364E+03,7.8668E+02,5.9487E+02,
     &8.7304E+02,1.1533E+03,1.0370E+03,7.8641E+02,5.9363E+02,8.7159E+02,
     &1.1523E+03/
      DATA ((KB(JS,JT,36,11),JS=1,5),JT=1,5) /
     &1.0366E+03,7.8595E+02,5.9775E+02,8.7827E+02,1.1583E+03,1.0367E+03,
     &7.8568E+02,5.9676E+02,8.7652E+02,1.1565E+03,1.0363E+03,7.8600E+02,
     &5.9575E+02,8.7487E+02,1.1548E+03,1.0370E+03,7.8596E+02,5.9503E+02,
     &8.7314E+02,1.1533E+03,1.0356E+03,7.8546E+02,5.9359E+02,8.7116E+02,
     &1.1523E+03/
      DATA ((KB(JS,JT,37,11),JS=1,5),JT=1,5) /
     &1.0367E+03,7.8524E+02,5.9788E+02,8.7847E+02,1.1586E+03,1.0373E+03,
     &7.8580E+02,5.9689E+02,8.7687E+02,1.1567E+03,1.0369E+03,7.8554E+02,
     &5.9588E+02,8.7512E+02,1.1550E+03,1.0372E+03,7.8551E+02,5.9495E+02,
     &8.7335E+02,1.1534E+03,1.0364E+03,7.8631E+02,5.9378E+02,8.7175E+02,
     &1.1524E+03/
      DATA ((KB(JS,JT,38,11),JS=1,5),JT=1,5) /
     &1.0372E+03,7.8574E+02,5.9801E+02,8.7867E+02,1.1588E+03,1.0364E+03,
     &7.8476E+02,5.9702E+02,8.7710E+02,1.1570E+03,1.0351E+03,7.8521E+02,
     &5.9593E+02,8.7537E+02,1.1553E+03,1.0362E+03,7.8507E+02,5.9507E+02,
     &8.7344E+02,1.1536E+03,1.0371E+03,7.8635E+02,5.9400E+02,8.7197E+02,
     &1.1525E+03/
      DATA ((KB(JS,JT,39,11),JS=1,5),JT=1,5) /
     &1.0359E+03,7.8601E+02,5.9815E+02,8.7888E+02,1.1591E+03,1.0375E+03,
     &7.8669E+02,5.9716E+02,8.7732E+02,1.1572E+03,1.0350E+03,7.8597E+02,
     &5.9615E+02,8.7562E+02,1.1555E+03,1.0366E+03,7.8524E+02,5.9519E+02,
     &8.7365E+02,1.1538E+03,1.0373E+03,7.8605E+02,5.9422E+02,8.7205E+02,
     &1.1526E+03/
      DATA ((KB(JS,JT,40,11),JS=1,5),JT=1,5) /
     &1.0361E+03,7.8559E+02,5.9838E+02,8.7949E+02,1.1596E+03,1.0364E+03,
     &7.8533E+02,5.9740E+02,8.7771E+02,1.1576E+03,1.0357E+03,7.8567E+02,
     &5.9640E+02,8.7605E+02,1.1559E+03,1.0354E+03,7.8518E+02,5.9541E+02,
     &8.7434E+02,1.1542E+03,1.0361E+03,7.8553E+02,5.9453E+02,8.7244E+02,
     &1.1529E+03/
      DATA ((KB(JS,JT,41,11),JS=1,5),JT=1,5) /
     &1.0352E+03,7.8554E+02,5.9863E+02,8.7958E+02,1.1601E+03,1.0361E+03,
     &7.8611E+02,5.9765E+02,8.7811E+02,1.1581E+03,1.0357E+03,7.8586E+02,
     &5.9665E+02,8.7648E+02,1.1564E+03,1.0369E+03,7.8632E+02,5.9556E+02,
     &8.7469E+02,1.1547E+03,1.0372E+03,7.8631E+02,5.9476E+02,8.7298E+02,
     &1.1532E+03/
      DATA ((KB(JS,JT,42,11),JS=1,5),JT=1,5) /
     &1.0352E+03,7.8620E+02,5.9889E+02,8.7990E+02,1.1605E+03,1.0362E+03,
     &7.8666E+02,5.9790E+02,8.7851E+02,1.1586E+03,1.0358E+03,7.8476E+02,
     &5.9691E+02,8.7691E+02,1.1568E+03,1.0367E+03,7.8534E+02,5.9590E+02,
     &8.7517E+02,1.1551E+03,1.0374E+03,7.8497E+02,5.9497E+02,8.7339E+02,
     &1.1533E+03/
      DATA ((KB(JS,JT,43,11),JS=1,5),JT=1,5) /
     &1.0357E+03,7.8569E+02,5.9919E+02,8.8014E+02,1.1611E+03,1.0384E+03,
     &7.8603E+02,5.9811E+02,8.7910E+02,1.1592E+03,1.0376E+03,7.8685E+02,
     &5.9731E+02,8.7742E+02,1.1573E+03,1.0368E+03,7.8484E+02,5.9612E+02,
     &8.7573E+02,1.1555E+03,1.0371E+03,7.8612E+02,5.9525E+02,8.7389E+02,
     &1.1539E+03/
      DATA ((KB(JS,JT,44,11),JS=1,5),JT=1,5) /
     &1.0362E+03,7.8531E+02,5.9952E+02,8.8052E+02,1.1615E+03,1.0357E+03,
     &7.8506E+02,5.9854E+02,8.7945E+02,1.1599E+03,1.0347E+03,7.8494E+02,
     &5.9755E+02,8.7796E+02,1.1576E+03,1.0360E+03,7.8599E+02,5.9655E+02,
     &8.7632E+02,1.1562E+03,1.0364E+03,7.8610E+02,5.9556E+02,8.7451E+02,
     &1.1545E+03/
      DATA ((KB(JS,JT,45,11),JS=1,5),JT=1,5) /
     &1.0355E+03,7.8552E+02,5.9982E+02,8.8100E+02,1.1621E+03,1.0357E+03,
     &7.8527E+02,5.9887E+02,8.7975E+02,1.1605E+03,1.0358E+03,7.8432E+02,
     &5.9788E+02,8.7848E+02,1.1586E+03,1.0358E+03,7.8597E+02,5.9689E+02,
     &8.7689E+02,1.1568E+03,1.0353E+03,7.8525E+02,5.9589E+02,8.7514E+02,
     &1.1551E+03/
      DATA ((KB(JS,JT,46,11),JS=1,5),JT=1,5) /
     &1.0358E+03,7.8503E+02,6.0010E+02,8.8136E+02,1.1629E+03,1.0366E+03,
     &7.8667E+02,5.9923E+02,8.8004E+02,1.1611E+03,1.0372E+03,7.8560E+02,
     &5.9824E+02,8.7915E+02,1.1593E+03,1.0348E+03,7.8513E+02,5.9725E+02,
     &8.7748E+02,1.1574E+03,1.0372E+03,7.8595E+02,5.9625E+02,8.7592E+02,
     &1.1557E+03/
      DATA ((KB(JS,JT,47,11),JS=1,5),JT=1,5) /
     &1.0352E+03,7.8466E+02,6.0059E+02,8.8175E+02,1.1637E+03,1.0362E+03,
     &7.8477E+02,5.9970E+02,8.8075E+02,1.1618E+03,1.0362E+03,7.8559E+02,
     &5.9863E+02,8.7958E+02,1.1601E+03,1.0356E+03,7.8476E+02,5.9765E+02,
     &8.7812E+02,1.1581E+03,1.0361E+03,7.8428E+02,5.9665E+02,8.7649E+02,
     &1.1564E+03/
      DATA ((KB(JS,JT,48,11),JS=1,5),JT=1,5) /
     &1.0354E+03,7.8500E+02,6.0042E+02,8.8214E+02,1.1645E+03,1.0348E+03,
     &7.8582E+02,5.9995E+02,8.8117E+02,1.1625E+03,1.0353E+03,7.8569E+02,
     &5.9903E+02,8.7942E+02,1.1608E+03,1.0359E+03,7.8569E+02,5.9804E+02,
     &8.7873E+02,1.1589E+03,1.0354E+03,7.8509E+02,5.9705E+02,8.7716E+02,
     &1.1570E+03/
      DATA ((KB(JS,JT,49,11),JS=1,5),JT=1,5) /
     &1.0362E+03,7.8463E+02,6.0042E+02,8.8242E+02,1.1657E+03,1.0367E+03,
     &7.8580E+02,6.0023E+02,8.8156E+02,1.1633E+03,1.0373E+03,7.8533E+02,
     &5.9942E+02,8.8054E+02,1.1615E+03,1.0373E+03,7.8462E+02,5.9844E+02,
     &8.7918E+02,1.1595E+03,1.0370E+03,7.8532E+02,5.9736E+02,8.7781E+02,
     &1.1578E+03/
      DATA ((KB(JS,JT,50,11),JS=1,5),JT=1,5) /
     &1.0356E+03,7.8474E+02,6.0056E+02,8.8267E+02,1.1666E+03,1.0370E+03,
     &7.8497E+02,6.0046E+02,8.8192E+02,1.1642E+03,1.0348E+03,7.8508E+02,
     &5.9977E+02,8.8094E+02,1.1634E+03,1.0352E+03,7.8473E+02,5.9881E+02,
     &8.7954E+02,1.1604E+03,1.0360E+03,7.8437E+02,5.9782E+02,8.7840E+02,
     &1.1585E+03/
      DATA ((KB(JS,JT,51,11),JS=1,5),JT=1,5) /
     &1.0365E+03,7.8532E+02,6.0054E+02,8.8306E+02,1.1674E+03,1.0360E+03,
     &7.8555E+02,6.0046E+02,8.8226E+02,1.1651E+03,1.0359E+03,7.8508E+02,
     &6.0006E+02,8.8131E+02,1.1628E+03,1.0359E+03,7.8554E+02,5.9917E+02,
     &8.8011E+02,1.1610E+03,1.0363E+03,7.8507E+02,5.9818E+02,8.7894E+02,
     &1.1592E+03/
      DATA ((KB(JS,JT,52,11),JS=1,5),JT=1,5) /
     &1.0357E+03,7.8531E+02,6.0048E+02,8.8333E+02,1.1687E+03,1.0368E+03,
     &7.8554E+02,6.0053E+02,8.8249E+02,1.1660E+03,1.0362E+03,7.8601E+02,
     &6.0037E+02,8.8166E+02,1.1635E+03,1.0354E+03,7.8507E+02,5.9952E+02,
     &8.8066E+02,1.1617E+03,1.0363E+03,7.8565E+02,5.9854E+02,8.7959E+02,
     &1.1599E+03/
      DATA ((KB(JS,JT,53,11),JS=1,5),JT=1,5) /
     &1.0366E+03,7.8460E+02,6.0030E+02,8.8415E+02,1.1699E+03,1.0366E+03,
     &7.8400E+02,6.0056E+02,8.8262E+02,1.1668E+03,1.0358E+03,7.8459E+02,
     &6.0039E+02,8.8202E+02,1.1644E+03,1.0348E+03,7.8471E+02,5.9985E+02,
     &8.8104E+02,1.1623E+03,1.0366E+03,7.8577E+02,5.9891E+02,8.7992E+02,
     &1.1606E+03/
      DATA ((KB(JS,JT,54,11),JS=1,5),JT=1,5) /
     &1.0355E+03,7.8471E+02,6.0033E+02,8.8501E+02,1.1708E+03,1.0360E+03,
     &7.8494E+02,6.0053E+02,8.8313E+02,1.1678E+03,1.0360E+03,7.8671E+02,
     &6.0047E+02,8.8230E+02,1.1652E+03,1.0355E+03,7.8588E+02,6.0010E+02,
     &8.8137E+02,1.1629E+03,1.0357E+03,7.8517E+02,5.9924E+02,8.8032E+02,
     &1.1612E+03/
      DATA ((KB(JS,JT,55,11),JS=1,5),JT=1,5) /
     &1.0357E+03,7.8506E+02,6.0035E+02,8.8567E+02,1.1714E+03,1.0357E+03,
     &7.8518E+02,6.0047E+02,8.8349E+02,1.1688E+03,1.0361E+03,7.8517E+02,
     &6.0053E+02,8.8250E+02,1.1660E+03,1.0357E+03,7.8529E+02,6.0029E+02,
     &8.8168E+02,1.1636E+03,1.0360E+03,7.8529E+02,5.9954E+02,8.8068E+02,
     &1.1617E+03/
      DATA ((KB(JS,JT,56,11),JS=1,5),JT=1,5) /
     &1.0361E+03,7.8494E+02,6.0049E+02,8.8607E+02,1.1718E+03,1.0360E+03,
     &7.8482E+02,6.0030E+02,8.8410E+02,1.1698E+03,1.0354E+03,7.8493E+02,
     &6.0056E+02,8.8273E+02,1.1667E+03,1.0357E+03,7.8552E+02,6.0038E+02,
     &8.8199E+02,1.1645E+03,1.0357E+03,7.8517E+02,5.9983E+02,8.8101E+02,
     &1.1624E+03/
      DATA ((KB(JS,JT,57,11),JS=1,5),JT=1,5) /
     &1.0357E+03,7.8588E+02,6.0099E+02,8.8686E+02,1.1725E+03,1.0366E+03,
     &7.8458E+02,6.0033E+02,8.8491E+02,1.1707E+03,1.0366E+03,7.8481E+02,
     &6.0053E+02,8.8335E+02,1.1676E+03,1.0358E+03,7.8611E+02,6.0046E+02,
     &8.8227E+02,1.1650E+03,1.0355E+03,7.8599E+02,6.0008E+02,8.8133E+02,
     &1.1630E+03/
      DATA ((KB(JS,JT,58,11),JS=1,5),JT=1,5) /
     &1.0363E+03,7.8576E+02,6.0143E+02,8.8764E+02,1.1733E+03,1.0354E+03,
     &7.8611E+02,6.0042E+02,8.8557E+02,1.1713E+03,1.0363E+03,7.8576E+02,
     &6.0048E+02,8.8329E+02,1.1686E+03,1.0364E+03,7.8505E+02,6.0052E+02,
     &8.8247E+02,1.1659E+03,1.0357E+03,7.8552E+02,6.0026E+02,8.8163E+02,
     &1.1633E+03/
      DATA ((KB(JS,JT,59,11),JS=1,5),JT=1,5) /
     &1.0354E+03,7.8634E+02,6.0176E+02,8.8797E+02,1.1736E+03,1.0350E+03,
     &7.8505E+02,6.0038E+02,8.8577E+02,1.1715E+03,1.0360E+03,7.8469E+02,
     &6.0046E+02,8.8358E+02,1.1703E+03,1.0357E+03,7.8493E+02,6.0045E+02,
     &8.8254E+02,1.1662E+03,1.0366E+03,7.8516E+02,6.0041E+02,8.8174E+02,
     &1.1637E+03/
      DATA ((KB(JS,JT,13,12),JS=1,5),JT=1,5) /
     &1.1535E+03,8.7955E+02,6.0434E+02,8.8744E+02,1.1710E+03,1.1485E+03,
     &8.6886E+02,6.0369E+02,8.8598E+02,1.1697E+03,1.1395E+03,8.6441E+02,
     &6.0332E+02,8.8477E+02,1.1680E+03,1.1350E+03,8.6216E+02,6.0276E+02,
     &8.8294E+02,1.1659E+03,1.1237E+03,8.5514E+02,6.0186E+02,8.8131E+02,
     &1.1640E+03/
      DATA ((KB(JS,JT,14,12),JS=1,5),JT=1,5) /
     &1.1312E+03,8.5960E+02,6.0391E+02,8.8683E+02,1.1708E+03,1.1248E+03,
     &8.5192E+02,6.0329E+02,8.8591E+02,1.1696E+03,1.1210E+03,8.4824E+02,
     &6.0297E+02,8.8444E+02,1.1678E+03,1.1139E+03,8.4322E+02,6.0241E+02,
     &8.8264E+02,1.1657E+03,1.1123E+03,8.4158E+02,6.0150E+02,8.8104E+02,
     &1.1639E+03/
      DATA ((KB(JS,JT,15,12),JS=1,5),JT=1,5) /
     &1.1159E+03,8.4414E+02,6.0344E+02,8.8657E+02,1.1715E+03,1.1106E+03,
     &8.4043E+02,6.0296E+02,8.8568E+02,1.1695E+03,1.1018E+03,8.3588E+02,
     &6.0268E+02,8.8413E+02,1.1676E+03,1.0976E+03,8.3213E+02,6.0210E+02,
     &8.8235E+02,1.1655E+03,1.0965E+03,8.3273E+02,6.0128E+02,8.8077E+02,
     &1.1639E+03/
      DATA ((KB(JS,JT,16,12),JS=1,5),JT=1,5) /
     &1.1003E+03,8.3414E+02,6.0325E+02,8.8634E+02,1.1705E+03,1.0991E+03,
     &8.2921E+02,6.0259E+02,8.8546E+02,1.1694E+03,1.0955E+03,8.2665E+02,
     &6.0243E+02,8.8384E+02,1.1674E+03,1.0851E+03,8.2401E+02,6.0183E+02,
     &8.8207E+02,1.1653E+03,1.0849E+03,8.2356E+02,6.0085E+02,8.8053E+02,
     &1.1635E+03/
      DATA ((KB(JS,JT,17,12),JS=1,5),JT=1,5) /
     &1.0876E+03,8.2527E+02,6.0299E+02,8.8614E+02,1.1702E+03,1.0859E+03,
     &8.2135E+02,6.0250E+02,8.8526E+02,1.1692E+03,1.0841E+03,8.1891E+02,
     &6.0222E+02,8.8356E+02,1.1671E+03,1.0784E+03,8.1708E+02,6.0159E+02,
     &8.8183E+02,1.1651E+03,1.0763E+03,8.1350E+02,6.0170E+02,8.8030E+02,
     &1.1634E+03/
      DATA ((KB(JS,JT,18,12),JS=1,5),JT=1,5) /
     &1.0781E+03,8.1748E+02,6.0276E+02,8.8597E+02,1.1700E+03,1.0771E+03,
     &8.1396E+02,6.0232E+02,8.8573E+02,1.1691E+03,1.0718E+03,8.1415E+02,
     &6.0204E+02,8.8331E+02,1.1669E+03,1.0689E+03,8.1027E+02,6.0137E+02,
     &8.8144E+02,1.1649E+03,1.0691E+03,8.0937E+02,6.0029E+02,8.8009E+02,
     &1.1632E+03/
      DATA ((KB(JS,JT,19,12),JS=1,5),JT=1,5) /
     &1.0732E+03,8.1093E+02,6.0257E+02,8.8582E+02,1.1702E+03,1.0665E+03,
     &8.1093E+02,6.0218E+02,8.8486E+02,1.1689E+03,1.0668E+03,8.0596E+02,
     &6.0188E+02,8.8291E+02,1.1667E+03,1.0625E+03,8.0871E+02,6.0129E+02,
     &8.8139E+02,1.1647E+03,1.0641E+03,8.0549E+02,6.0005E+02,8.7990E+02,
     &1.1631E+03/
      DATA ((KB(JS,JT,20,12),JS=1,5),JT=1,5) /
     &1.0655E+03,8.0608E+02,6.0228E+02,8.8568E+02,1.1700E+03,1.0621E+03,
     &8.0582E+02,6.0205E+02,8.8462E+02,1.1686E+03,1.0596E+03,8.0439E+02,
     &6.0161E+02,8.8282E+02,1.1664E+03,1.0569E+03,8.0052E+02,6.0133E+02,
     &8.8084E+02,1.1645E+03,1.0576E+03,8.0029E+02,5.9980E+02,8.7969E+02,
     &1.1629E+03/
      DATA ((KB(JS,JT,21,12),JS=1,5),JT=1,5) /
     &1.0601E+03,8.0047E+02,6.0235E+02,8.8539E+02,1.1699E+03,1.0553E+03,
     &8.0126E+02,6.0195E+02,8.8437E+02,1.1684E+03,1.0581E+03,7.9916E+02,
     &6.0159E+02,8.8257E+02,1.1662E+03,1.0523E+03,7.9871E+02,6.0090E+02,
     &8.8096E+02,1.1643E+03,1.0536E+03,7.9852E+02,5.9957E+02,8.7950E+02,
     &1.1627E+03/
      DATA ((KB(JS,JT,22,12),JS=1,5),JT=1,5) /
     &1.0543E+03,7.9995E+02,6.0207E+02,8.8538E+02,1.1697E+03,1.0531E+03,
     &7.9794E+02,6.0195E+02,8.8401E+02,1.1680E+03,1.0510E+03,7.9590E+02,
     &6.0141E+02,8.8205E+02,1.1658E+03,1.0516E+03,7.9518E+02,6.0121E+02,
     &8.8065E+02,1.1640E+03,1.0507E+03,7.9514E+02,5.9925E+02,8.7922E+02,
     &1.1625E+03/
      DATA ((KB(JS,JT,23,12),JS=1,5),JT=1,5) /
     &1.0496E+03,7.9686E+02,6.0138E+02,8.8518E+02,1.1695E+03,1.0500E+03,
     &7.9504E+02,6.0174E+02,8.8363E+02,1.1675E+03,1.0497E+03,7.9559E+02,
     &6.0122E+02,8.8187E+02,1.1654E+03,1.0478E+03,7.9456E+02,6.0013E+02,
     &8.8034E+02,1.1637E+03,1.0481E+03,7.9269E+02,5.9893E+02,8.7894E+02,
     &1.1623E+03/
      DATA ((KB(JS,JT,24,12),JS=1,5),JT=1,5) /
     &1.0504E+03,7.9322E+02,6.0186E+02,8.8494E+02,1.1692E+03,1.0474E+03,
     &7.9292E+02,6.0174E+02,8.8325E+02,1.1671E+03,1.0457E+03,7.9315E+02,
     &6.0103E+02,8.8153E+02,1.1648E+03,1.0462E+03,7.9329E+02,5.9996E+02,
     &8.8003E+02,1.1633E+03,1.0477E+03,7.9348E+02,5.9860E+02,8.7867E+02,
     &1.1620E+03/
      DATA ((KB(JS,JT,25,12),JS=1,5),JT=1,5) /
     &1.0437E+03,7.9315E+02,6.0179E+02,8.8497E+02,1.1688E+03,1.0446E+03,
     &7.9177E+02,6.0151E+02,8.8285E+02,1.1666E+03,1.0443E+03,7.9105E+02,
     &6.0081E+02,8.8119E+02,1.1647E+03,1.0440E+03,7.9204E+02,5.9965E+02,
     &8.7971E+02,1.1630E+03,1.0441E+03,7.9141E+02,5.9825E+02,8.7840E+02,
     &1.1618E+03/
      DATA ((KB(JS,JT,26,12),JS=1,5),JT=1,5) /
     &1.0444E+03,7.9040E+02,6.0171E+02,8.8422E+02,1.1681E+03,1.0415E+03,
     &7.8987E+02,6.0136E+02,8.8243E+02,1.1661E+03,1.0417E+03,7.9014E+02,
     &6.0043E+02,8.8082E+02,1.1642E+03,1.0442E+03,7.8985E+02,5.9932E+02,
     &8.7937E+02,1.1625E+03,1.0421E+03,7.9004E+02,5.9787E+02,8.7814E+02,
     &1.1615E+03/
      DATA ((KB(JS,JT,27,12),JS=1,5),JT=1,5) /
     &1.0431E+03,7.8868E+02,6.0163E+02,8.8378E+02,1.1678E+03,1.0423E+03,
     &7.9138E+02,6.0118E+02,8.8201E+02,1.1657E+03,1.0404E+03,7.8916E+02,
     &6.0037E+02,8.8046E+02,1.1638E+03,1.0405E+03,7.8893E+02,5.9897E+02,
     &8.7905E+02,1.1624E+03,1.0396E+03,7.8917E+02,5.9748E+02,8.7790E+02,
     &1.1613E+03/
      DATA ((KB(JS,JT,28,12),JS=1,5),JT=1,5) /
     &1.0409E+03,7.9152E+02,6.0155E+02,8.8334E+02,1.1673E+03,1.0439E+03,
     &7.8963E+02,6.0099E+02,8.8127E+02,1.1652E+03,1.0423E+03,7.8823E+02,
     &6.0006E+02,8.8010E+02,1.1635E+03,1.0442E+03,7.8834E+02,5.9861E+02,
     &8.7873E+02,1.1621E+03,1.0392E+03,7.9042E+02,5.9708E+02,8.7768E+02,
     &1.1610E+03/
      DATA ((KB(JS,JT,29,12),JS=1,5),JT=1,5) /
     &1.0405E+03,7.9019E+02,6.0167E+02,8.8289E+02,1.1667E+03,1.0432E+03,
     &7.8865E+02,6.0111E+02,8.8122E+02,1.1647E+03,1.0406E+03,7.8834E+02,
     &5.9962E+02,8.7974E+02,1.1631E+03,1.0397E+03,7.8909E+02,5.9824E+02,
     &8.7826E+02,1.1618E+03,1.0387E+03,7.8925E+02,5.9665E+02,8.7746E+02,
     &1.1608E+03/
      DATA ((KB(JS,JT,30,12),JS=1,5),JT=1,5) /
     &1.0411E+03,7.8840E+02,6.0130E+02,8.8244E+02,1.1662E+03,1.0395E+03,
     &7.9020E+02,6.0051E+02,8.8083E+02,1.1643E+03,1.0384E+03,7.8543E+02,
     &5.9928E+02,8.7938E+02,1.1627E+03,1.0394E+03,7.8756E+02,5.9785E+02,
     &8.7814E+02,1.1615E+03,1.0383E+03,7.8820E+02,5.9620E+02,8.7743E+02,
     &1.1605E+03/
      DATA ((KB(JS,JT,31,12),JS=1,5),JT=1,5) /
     &1.0385E+03,7.8703E+02,6.0113E+02,8.8199E+02,1.1657E+03,1.0401E+03,
     &7.9050E+02,6.0021E+02,8.8045E+02,1.1639E+03,1.0412E+03,7.8681E+02,
     &5.9892E+02,8.7903E+02,1.1624E+03,1.0385E+03,7.8582E+02,5.9732E+02,
     &8.7772E+02,1.1613E+03,1.0372E+03,7.8947E+02,5.9573E+02,8.7705E+02,
     &1.1602E+03/
      DATA ((KB(JS,JT,32,12),JS=1,5),JT=1,5) /
     &1.0378E+03,7.8710E+02,6.0105E+02,8.8140E+02,1.1652E+03,1.0375E+03,
     &7.8506E+02,5.9989E+02,8.8006E+02,1.1634E+03,1.0409E+03,7.8648E+02,
     &5.9855E+02,8.7869E+02,1.1621E+03,1.0389E+03,7.8640E+02,5.9701E+02,
     &8.7765E+02,1.1610E+03,1.0378E+03,7.8589E+02,5.9527E+02,8.7675E+02,
     &1.1598E+03/
      DATA ((KB(JS,JT,33,12),JS=1,5),JT=1,5) /
     &1.0380E+03,7.8620E+02,6.0093E+02,8.8116E+02,1.1647E+03,1.0383E+03,
     &7.8582E+02,5.9966E+02,8.7968E+02,1.1631E+03,1.0388E+03,7.8740E+02,
     &5.9816E+02,8.7838E+02,1.1618E+03,1.0367E+03,7.8734E+02,5.9657E+02,
     &8.7743E+02,1.1608E+03,1.0382E+03,7.8803E+02,5.9484E+02,8.7630E+02,
     &1.1592E+03/
      DATA ((KB(JS,JT,34,12),JS=1,5),JT=1,5) /
     &1.0390E+03,7.8774E+02,6.0058E+02,8.8098E+02,1.1643E+03,1.0374E+03,
     &7.8664E+02,5.9936E+02,8.7936E+02,1.1627E+03,1.0352E+03,7.8733E+02,
     &5.9781E+02,8.7813E+02,1.1615E+03,1.0386E+03,7.8609E+02,5.9617E+02,
     &8.7742E+02,1.1605E+03,1.0400E+03,7.8709E+02,5.9476E+02,8.7581E+02,
     &1.1592E+03/
      DATA ((KB(JS,JT,35,12),JS=1,5),JT=1,5) /
     &1.0374E+03,7.8486E+02,6.0032E+02,8.8061E+02,1.1641E+03,1.0385E+03,
     &7.8482E+02,5.9906E+02,8.7918E+02,1.1626E+03,1.0371E+03,7.8627E+02,
     &5.9760E+02,8.7799E+02,1.1614E+03,1.0378E+03,7.8697E+02,5.9593E+02,
     &8.7715E+02,1.1604E+03,1.0370E+03,7.8545E+02,5.9500E+02,8.7549E+02,
     &1.1592E+03/
      DATA ((KB(JS,JT,36,12),JS=1,5),JT=1,5) /
     &1.0362E+03,7.8845E+02,6.0029E+02,8.8058E+02,1.1640E+03,1.0379E+03,
     &7.8676E+02,5.9903E+02,8.7915E+02,1.1625E+03,1.0369E+03,7.8598E+02,
     &5.9768E+02,8.7797E+02,1.1614E+03,1.0369E+03,7.8595E+02,5.9566E+02,
     &8.7713E+02,1.1604E+03,1.0368E+03,7.8548E+02,5.9464E+02,8.7594E+02,
     &1.1600E+03/
      DATA ((KB(JS,JT,37,12),JS=1,5),JT=1,5) /
     &1.0374E+03,7.8579E+02,6.0055E+02,8.8077E+02,1.1642E+03,1.0362E+03,
     &7.8844E+02,5.9921E+02,8.7933E+02,1.1627E+03,1.0360E+03,7.8603E+02,
     &5.9777E+02,8.7810E+02,1.1615E+03,1.0367E+03,7.8734E+02,5.9623E+02,
     &8.7723E+02,1.1605E+03,1.0361E+03,7.8702E+02,5.9474E+02,8.7592E+02,
     &1.1587E+03/
      DATA ((KB(JS,JT,38,12),JS=1,5),JT=1,5) /
     &1.0367E+03,7.8778E+02,6.0058E+02,8.8098E+02,1.1645E+03,1.0387E+03,
     &7.8865E+02,5.9939E+02,8.7952E+02,1.1629E+03,1.0363E+03,7.8758E+02,
     &5.9820E+02,8.7825E+02,1.1617E+03,1.0372E+03,7.8786E+02,5.9636E+02,
     &8.7717E+02,1.1609E+03,1.0362E+03,7.8470E+02,5.9485E+02,8.7657E+02,
     &1.1589E+03/
      DATA ((KB(JS,JT,39,12),JS=1,5),JT=1,5) /
     &1.0374E+03,7.8680E+02,6.0094E+02,8.8119E+02,1.1647E+03,1.0352E+03,
     &7.8618E+02,6.0014E+02,8.7971E+02,1.1631E+03,1.0401E+03,7.8497E+02,
     &5.9818E+02,8.7840E+02,1.1618E+03,1.0369E+03,7.8868E+02,5.9660E+02,
     &8.7744E+02,1.1608E+03,1.0353E+03,7.8494E+02,5.9497E+02,8.7635E+02,
     &1.1593E+03/
      DATA ((KB(JS,JT,40,12),JS=1,5),JT=1,5) /
     &1.0385E+03,7.8584E+02,6.0091E+02,8.8123E+02,1.1652E+03,1.0387E+03,
     &7.8568E+02,5.9987E+02,8.8006E+02,1.1635E+03,1.0371E+03,7.8626E+02,
     &5.9853E+02,8.7869E+02,1.1621E+03,1.0386E+03,7.8684E+02,5.9700E+02,
     &8.7748E+02,1.1610E+03,1.0362E+03,7.8503E+02,5.9526E+02,8.7692E+02,
     &1.1598E+03/
      DATA ((KB(JS,JT,41,12),JS=1,5),JT=1,5) /
     &1.0384E+03,7.8504E+02,6.0109E+02,8.8198E+02,1.1657E+03,1.0360E+03,
     &7.8533E+02,6.0017E+02,8.8043E+02,1.1639E+03,1.0374E+03,7.8412E+02,
     &5.9889E+02,8.7902E+02,1.1624E+03,1.0350E+03,7.8545E+02,5.9741E+02,
     &8.7788E+02,1.1613E+03,1.0385E+03,7.8529E+02,5.9570E+02,8.7704E+02,
     &1.1607E+03/
      DATA ((KB(JS,JT,42,12),JS=1,5),JT=1,5) /
     &1.0370E+03,7.8560E+02,6.0125E+02,8.8242E+02,1.1662E+03,1.0383E+03,
     &7.8469E+02,6.0057E+02,8.8081E+02,1.1643E+03,1.0368E+03,7.8617E+02,
     &5.9924E+02,8.7937E+02,1.1627E+03,1.0362E+03,7.8586E+02,5.9780E+02,
     &8.7813E+02,1.1615E+03,1.0350E+03,7.8958E+02,5.9616E+02,8.7725E+02,
     &1.1605E+03/
      DATA ((KB(JS,JT,43,12),JS=1,5),JT=1,5) /
     &1.0375E+03,7.8586E+02,6.0140E+02,8.8280E+02,1.1669E+03,1.0344E+03,
     &7.8615E+02,6.0088E+02,8.8112E+02,1.1651E+03,1.0344E+03,7.8345E+02,
     &5.9953E+02,8.7980E+02,1.1632E+03,1.0347E+03,7.8777E+02,5.9827E+02,
     &8.7847E+02,1.1619E+03,1.0355E+03,7.8627E+02,5.9681E+02,8.7766E+02,
     &1.1609E+03/
      DATA ((KB(JS,JT,44,12),JS=1,5),JT=1,5) /
     &1.0355E+03,7.8449E+02,6.0162E+02,8.8358E+02,1.1676E+03,1.0359E+03,
     &7.8627E+02,6.0103E+02,8.8182E+02,1.1655E+03,1.0377E+03,7.8715E+02,
     &6.0005E+02,8.8029E+02,1.1637E+03,1.0378E+03,7.8625E+02,5.9875E+02,
     &8.7890E+02,1.1623E+03,1.0374E+03,7.8401E+02,5.9725E+02,8.7779E+02,
     &1.1612E+03/
      DATA ((KB(JS,JT,45,12),JS=1,5),JT=1,5) /
     &1.0390E+03,7.8655E+02,6.0158E+02,8.8419E+02,1.1684E+03,1.0396E+03,
     &7.8684E+02,6.0124E+02,8.8239E+02,1.1662E+03,1.0355E+03,7.8758E+02,
     &6.0044E+02,8.8079E+02,1.1643E+03,1.0368E+03,7.8548E+02,5.9922E+02,
     &8.7935E+02,1.1627E+03,1.0360E+03,7.8578E+02,5.9778E+02,8.7811E+02,
     &1.1615E+03/
      DATA ((KB(JS,JT,46,12),JS=1,5),JT=1,5) /
     &1.0390E+03,7.8534E+02,6.0165E+02,8.8476E+02,1.1691E+03,1.0368E+03,
     &7.8339E+02,6.0141E+02,8.8303E+02,1.1669E+03,1.0364E+03,7.8696E+02,
     &6.0079E+02,8.8117E+02,1.1649E+03,1.0407E+03,7.8666E+02,5.9968E+02,
     &8.7985E+02,1.1632E+03,1.0344E+03,7.8501E+02,5.9832E+02,8.7835E+02,
     &1.1619E+03/
      DATA ((KB(JS,JT,47,12),JS=1,5),JT=1,5) /
     &1.0372E+03,7.8547E+02,6.0140E+02,8.8518E+02,1.1696E+03,1.0368E+03,
     &7.8740E+02,6.0142E+02,8.8376E+02,1.1678E+03,1.0360E+03,7.8411E+02,
     &6.0109E+02,8.8198E+02,1.1657E+03,1.0358E+03,7.8709E+02,6.0017E+02,
     &8.8044E+02,1.1639E+03,1.0354E+03,7.8664E+02,5.9889E+02,8.7902E+02,
     &1.1624E+03/
      DATA ((KB(JS,JT,48,12),JS=1,5),JT=1,5) /
     &1.0362E+03,7.8680E+02,6.0195E+02,8.8548E+02,1.1701E+03,1.0362E+03,
     &7.8545E+02,6.0161E+02,8.8447E+02,1.1687E+03,1.0378E+03,7.8604E+02,
     &6.0144E+02,8.8268E+02,1.1665E+03,1.0382E+03,7.8544E+02,6.0061E+02,
     &8.8104E+02,1.1646E+03,1.0364E+03,7.8424E+02,5.9943E+02,8.7957E+02,
     &1.1630E+03/
      DATA ((KB(JS,JT,49,12),JS=1,5),JT=1,5) /
     &1.0370E+03,7.8693E+02,6.0225E+02,8.8600E+02,1.1705E+03,1.0356E+03,
     &7.8469E+02,6.0169E+02,8.8499E+02,1.1694E+03,1.0350E+03,7.8588E+02,
     &6.0148E+02,8.8340E+02,1.1674E+03,1.0352E+03,7.8677E+02,6.0095E+02,
     &8.8166E+02,1.1653E+03,1.0356E+03,7.8647E+02,5.9993E+02,8.8015E+02,
     &1.1636E+03/
      DATA ((KB(JS,JT,50,12),JS=1,5),JT=1,5) /
     &1.0356E+03,7.8558E+02,6.0226E+02,8.8620E+02,1.1712E+03,1.0346E+03,
     &7.8796E+02,6.0171E+02,8.8533E+02,1.1698E+03,1.0366E+03,7.8751E+02,
     &6.0168E+02,8.8408E+02,1.1667E+03,1.0366E+03,7.8646E+02,6.0132E+02,
     &8.8229E+02,1.1661E+03,1.0393E+03,7.8616E+02,6.0083E+02,8.8070E+02,
     &1.1642E+03/
      DATA ((KB(JS,JT,51,12),JS=1,5),JT=1,5) /
     &1.0356E+03,7.8468E+02,6.0241E+02,8.8644E+02,1.1719E+03,1.0368E+03,
     &7.8423E+02,6.0203E+02,8.8559E+02,1.1702E+03,1.0356E+03,7.8586E+02,
     &6.0163E+02,8.8469E+02,1.1690E+03,1.0358E+03,7.8601E+02,6.0139E+02,
     &8.8294E+02,1.1668E+03,1.0379E+03,7.8646E+02,6.0074E+02,8.8126E+02,
     &1.1648E+03/
      DATA ((KB(JS,JT,52,12),JS=1,5),JT=1,5) /
     &1.0383E+03,7.8512E+02,6.0257E+02,8.8672E+02,1.1727E+03,1.0350E+03,
     &7.8646E+02,6.0217E+02,8.8594E+02,1.1707E+03,1.0358E+03,7.8466E+02,
     &6.0160E+02,8.8510E+02,1.1695E+03,1.0356E+03,7.8511E+02,6.0151E+02,
     &8.8359E+02,1.1676E+03,1.0365E+03,7.8541E+02,6.0103E+02,8.8167E+02,
     &1.1655E+03/
      DATA ((KB(JS,JT,53,12),JS=1,5),JT=1,5) /
     &1.0352E+03,7.8496E+02,6.0273E+02,8.8710E+02,1.1735E+03,1.0359E+03,
     &7.8600E+02,6.0229E+02,8.8628E+02,1.1714E+03,1.0369E+03,7.8526E+02,
     &6.0188E+02,8.8540E+02,1.1699E+03,1.0383E+03,7.8660E+02,6.0159E+02,
     &8.8425E+02,1.1685E+03,1.0373E+03,7.8555E+02,6.0126E+02,8.8246E+02,
     &1.1663E+03/
      DATA ((KB(JS,JT,54,12),JS=1,5),JT=1,5) /
     &1.0367E+03,7.8451E+02,6.0297E+02,8.8752E+02,1.1746E+03,1.0355E+03,
     &7.8600E+02,6.0244E+02,8.8648E+02,1.1721E+03,1.0348E+03,7.8301E+02,
     &6.0206E+02,8.8564E+02,1.1703E+03,1.0395E+03,7.8629E+02,6.0165E+02,
     &8.8477E+02,1.1691E+03,1.0361E+03,7.8420E+02,6.0141E+02,8.8305E+02,
     &1.1670E+03/
      DATA ((KB(JS,JT,55,12),JS=1,5),JT=1,5) /
     &1.0361E+03,7.8555E+02,6.0296E+02,8.8822E+02,1.1760E+03,1.0355E+03,
     &7.8495E+02,6.0258E+02,8.8674E+02,1.1727E+03,1.0349E+03,7.8525E+02,
     &6.0217E+02,8.8596E+02,1.1709E+03,1.0361E+03,7.8465E+02,6.0184E+02,
     &8.8512E+02,1.1696E+03,1.0363E+03,7.8599E+02,6.0163E+02,8.8363E+02,
     &1.1677E+03/
      DATA ((KB(JS,JT,56,12),JS=1,5),JT=1,5) /
     &1.0361E+03,7.8599E+02,6.0309E+02,8.8918E+02,1.1774E+03,1.0391E+03,
     &7.8674E+02,6.0272E+02,8.8707E+02,1.1734E+03,1.0363E+03,7.8584E+02,
     &6.0228E+02,8.8626E+02,1.1716E+03,1.0369E+03,7.8509E+02,6.0186E+02,
     &8.8538E+02,1.1695E+03,1.0363E+03,7.8554E+02,6.0158E+02,8.8421E+02,
     &1.1682E+03/
      DATA ((KB(JS,JT,57,12),JS=1,5),JT=1,5) /
     &1.0381E+03,7.8509E+02,6.0327E+02,8.9026E+02,1.1789E+03,1.0344E+03,
     &7.8852E+02,6.0284E+02,8.8747E+02,1.1744E+03,1.0369E+03,7.8509E+02,
     &6.0242E+02,8.8612E+02,1.1720E+03,1.0393E+03,7.8330E+02,6.0216E+02,
     &8.8561E+02,1.1703E+03,1.0365E+03,7.8494E+02,6.0164E+02,8.8472E+02,
     &1.1688E+03/
      DATA ((KB(JS,JT,58,12),JS=1,5),JT=1,5) /
     &1.0353E+03,7.8509E+02,6.0357E+02,8.9125E+02,1.1802E+03,1.0371E+03,
     &7.8524E+02,6.0283E+02,8.8807E+02,1.1757E+03,1.0365E+03,7.8718E+02,
     &6.0278E+02,8.8669E+02,1.1726E+03,1.0349E+03,7.8673E+02,6.0216E+02,
     &8.8590E+02,1.1708E+03,1.0365E+03,7.8389E+02,6.0170E+02,8.8506E+02,
     &1.1695E+03/
      DATA ((KB(JS,JT,59,12),JS=1,5),JT=1,5) /
     &1.0365E+03,7.8390E+02,6.0373E+02,8.9165E+02,1.1808E+03,1.0369E+03,
     &7.8479E+02,6.0298E+02,8.8840E+02,1.1763E+03,1.0357E+03,7.8703E+02,
     &6.0261E+02,8.8680E+02,1.1713E+03,1.0363E+03,7.8509E+02,6.0219E+02,
     &8.8602E+02,1.1708E+03,1.0365E+03,7.8479E+02,6.0174E+02,8.8517E+02,
     &1.1696E+03/
      DATA ((KB(JS,JT,13,13),JS=1,5),JT=1,5) /
     &1.1661E+03,8.7073E+02,6.0556E+02,8.8929E+02,1.1761E+03,1.1527E+03,
     &8.7014E+02,6.0489E+02,8.8914E+02,1.1754E+03,1.1423E+03,8.5968E+02,
     &6.0419E+02,8.8867E+02,1.1747E+03,1.1371E+03,8.5890E+02,6.0344E+02,
     &8.8820E+02,1.1742E+03,1.1390E+03,8.5008E+02,6.0234E+02,8.8705E+02,
     &1.1727E+03/
      DATA ((KB(JS,JT,14,13),JS=1,5),JT=1,5) /
     &1.1362E+03,8.5805E+02,6.0511E+02,8.8957E+02,1.1761E+03,1.1276E+03,
     &8.5398E+02,6.0448E+02,8.8893E+02,1.1753E+03,1.1208E+03,8.4888E+02,
     &6.0397E+02,8.8854E+02,1.1747E+03,1.1194E+03,8.5006E+02,6.0305E+02,
     &8.8823E+02,1.1740E+03,1.1083E+03,8.4212E+02,6.0191E+02,8.8682E+02,
     &1.1725E+03/
      DATA ((KB(JS,JT,15,13),JS=1,5),JT=1,5) /
     &1.1142E+03,8.4766E+02,6.0488E+02,8.8941E+02,1.1748E+03,1.1176E+03,
     &8.4112E+02,6.0414E+02,8.8873E+02,1.1752E+03,1.1051E+03,8.4191E+02,
     &6.0348E+02,8.8843E+02,1.1747E+03,1.1036E+03,8.3753E+02,6.0270E+02,
     &8.8781E+02,1.1739E+03,1.0935E+03,8.2883E+02,6.0139E+02,8.8658E+02,
     &1.1723E+03/
      DATA ((KB(JS,JT,16,13),JS=1,5),JT=1,5) /
     &1.1074E+03,8.3456E+02,6.0440E+02,8.8927E+02,1.1760E+03,1.1018E+03,
     &8.3298E+02,6.0385E+02,8.8856E+02,1.1751E+03,1.0859E+03,8.3101E+02,
     &6.0319E+02,8.8832E+02,1.1747E+03,1.0925E+03,8.2836E+02,6.0254E+02,
     &8.8762E+02,1.1738E+03,1.0900E+03,8.2283E+02,6.0124E+02,8.8636E+02,
     &1.1721E+03/
      DATA ((KB(JS,JT,17,13),JS=1,5),JT=1,5) /
     &1.0953E+03,8.2596E+02,6.0413E+02,8.8915E+02,1.1759E+03,1.0864E+03,
     &8.2504E+02,6.0360E+02,8.8842E+02,1.1750E+03,1.0812E+03,8.1898E+02,
     &6.0295E+02,8.8822E+02,1.1746E+03,1.0806E+03,8.1706E+02,6.0242E+02,
     &8.8745E+02,1.1736E+03,1.0764E+03,8.1771E+02,5.9943E+02,8.8638E+02,
     &1.1722E+03/
      DATA ((KB(JS,JT,18,13),JS=1,5),JT=1,5) /
     &1.0787E+03,8.2265E+02,6.0390E+02,8.8903E+02,1.1759E+03,1.0743E+03,
     &8.1466E+02,6.0339E+02,8.8738E+02,1.1749E+03,1.0792E+03,8.1648E+02,
     &6.0273E+02,8.8812E+02,1.1749E+03,1.0724E+03,8.1516E+02,6.0185E+02,
     &8.8728E+02,1.1735E+03,1.0737E+03,8.1301E+02,6.0092E+02,8.8618E+02,
     &1.1717E+03/
      DATA ((KB(JS,JT,19,13),JS=1,5),JT=1,5) /
     &1.0778E+03,8.1646E+02,6.0388E+02,8.8893E+02,1.1758E+03,1.0709E+03,
     &8.1021E+02,6.0321E+02,8.8822E+02,1.1748E+03,1.0651E+03,8.0945E+02,
     &6.0254E+02,8.8803E+02,1.1745E+03,1.0677E+03,8.0743E+02,6.0147E+02,
     &8.8735E+02,1.1733E+03,1.0575E+03,8.0245E+02,6.0072E+02,8.8575E+02,
     &1.1721E+03/
      DATA ((KB(JS,JT,20,13),JS=1,5),JT=1,5) /
     &1.0622E+03,8.1096E+02,6.0356E+02,8.8881E+02,1.1757E+03,1.0607E+03,
     &8.0739E+02,6.0305E+02,8.8816E+02,1.1748E+03,1.0623E+03,8.0381E+02,
     &6.0252E+02,8.8792E+02,1.1744E+03,1.0570E+03,8.0456E+02,6.0093E+02,
     &8.8695E+02,1.1731E+03,1.0628E+03,8.0481E+02,6.0051E+02,8.8554E+02,
     &1.1713E+03/
      DATA ((KB(JS,JT,21,13),JS=1,5),JT=1,5) /
     &1.0564E+03,8.0721E+02,6.0326E+02,8.8869E+02,1.1756E+03,1.0630E+03,
     &7.9813E+02,6.0290E+02,8.8813E+02,1.1748E+03,1.0553E+03,8.0228E+02,
     &6.0219E+02,8.8781E+02,1.1743E+03,1.0544E+03,7.9888E+02,6.0136E+02,
     &8.8677E+02,1.1729E+03,1.0596E+03,8.1049E+02,6.0032E+02,8.8532E+02,
     &1.1710E+03/
      DATA ((KB(JS,JT,22,13),JS=1,5),JT=1,5) /
     &1.0550E+03,8.0310E+02,6.0326E+02,8.8850E+02,1.1754E+03,1.0516E+03,
     &8.0380E+02,6.0256E+02,8.8810E+02,1.1747E+03,1.0562E+03,8.0152E+02,
     &6.0229E+02,8.8764E+02,1.1741E+03,1.0509E+03,8.0224E+02,6.0002E+02,
     &8.8651E+02,1.1726E+03,1.0563E+03,7.9871E+02,5.9990E+02,8.8500E+02,
     &1.1706E+03/
      DATA ((KB(JS,JT,23,13),JS=1,5),JT=1,5) /
     &1.0567E+03,7.9860E+02,6.0326E+02,8.8832E+02,1.1752E+03,1.0532E+03,
     &7.9557E+02,6.0254E+02,8.8806E+02,1.1747E+03,1.0534E+03,7.9512E+02,
     &6.0237E+02,8.8744E+02,1.1739E+03,1.0472E+03,7.9721E+02,6.0072E+02,
     &8.8622E+02,1.1723E+03,1.0509E+03,7.9423E+02,5.9964E+02,8.8466E+02,
     &1.1702E+03/
      DATA ((KB(JS,JT,24,13),JS=1,5),JT=1,5) /
     &1.0549E+03,7.9502E+02,6.0296E+02,8.8817E+02,1.1750E+03,1.0498E+03,
     &8.0428E+02,6.0221E+02,8.8799E+02,1.1746E+03,1.0553E+03,7.9369E+02,
     &6.0149E+02,8.8721E+02,1.1736E+03,1.0517E+03,7.9240E+02,6.0048E+02,
     &8.8592E+02,1.1719E+03,1.0493E+03,7.9281E+02,5.9936E+02,8.8429E+02,
     &1.1697E+03/
      DATA ((KB(JS,JT,25,13),JS=1,5),JT=1,5) /
     &1.0472E+03,7.9884E+02,6.0281E+02,8.8760E+02,1.1748E+03,1.0433E+03,
     &7.9261E+02,6.0217E+02,8.8787E+02,1.1745E+03,1.0495E+03,7.9568E+02,
     &6.0138E+02,8.8696E+02,1.1733E+03,1.0412E+03,7.9264E+02,6.0023E+02,
     &8.8559E+02,1.1715E+03,1.0432E+03,7.9682E+02,5.9908E+02,8.8390E+02,
     &1.1692E+03/
      DATA ((KB(JS,JT,26,13),JS=1,5),JT=1,5) /
     &1.0426E+03,7.9538E+02,6.0266E+02,8.8804E+02,1.1748E+03,1.0459E+03,
     &7.9909E+02,6.0196E+02,8.8771E+02,1.1743E+03,1.0455E+03,7.9078E+02,
     &6.0113E+02,8.8666E+02,1.1729E+03,1.0380E+03,7.9069E+02,6.0011E+02,
     &8.8521E+02,1.1710E+03,1.0428E+03,7.9124E+02,5.9892E+02,8.8345E+02,
     &1.1686E+03/
      DATA ((KB(JS,JT,27,13),JS=1,5),JT=1,5) /
     &1.0409E+03,7.9057E+02,6.0249E+02,8.8802E+02,1.1747E+03,1.0432E+03,
     &7.8863E+02,6.0172E+02,8.8750E+02,1.1740E+03,1.0404E+03,7.9041E+02,
     &6.0057E+02,8.8634E+02,1.1728E+03,1.0425E+03,7.8854E+02,5.9967E+02,
     &8.8481E+02,1.1704E+03,1.0492E+03,7.8874E+02,5.9843E+02,8.8297E+02,
     &1.1680E+03/
      DATA ((KB(JS,JT,28,13),JS=1,5),JT=1,5) /
     &1.0434E+03,7.9273E+02,6.0231E+02,8.8820E+02,1.1747E+03,1.0472E+03,
     &7.8799E+02,6.0162E+02,8.8726E+02,1.1737E+03,1.0366E+03,7.9125E+02,
     &6.0032E+02,8.8600E+02,1.1720E+03,1.0345E+03,7.8841E+02,5.9938E+02,
     &8.8440E+02,1.1699E+03,1.0534E+03,7.8866E+02,5.9808E+02,8.8245E+02,
     &1.1673E+03/
      DATA ((KB(JS,JT,29,13),JS=1,5),JT=1,5) /
     &1.0524E+03,7.8934E+02,6.0181E+02,8.8786E+02,1.1745E+03,1.0481E+03,
     &7.8588E+02,6.0321E+02,8.8698E+02,1.1734E+03,1.0466E+03,7.9266E+02,
     &6.0021E+02,8.8562E+02,1.1715E+03,1.0466E+03,7.9965E+02,5.9906E+02,
     &8.8395E+02,1.1693E+03,1.0459E+03,7.8993E+02,5.9799E+02,8.8185E+02,
     &1.1668E+03/
      DATA ((KB(JS,JT,30,13),JS=1,5),JT=1,5) /
     &1.0360E+03,7.8916E+02,6.0191E+02,8.8770E+02,1.1743E+03,1.0409E+03,
     &7.8411E+02,6.0093E+02,8.8667E+02,1.1729E+03,1.0391E+03,7.9193E+02,
     &5.9993E+02,8.8546E+02,1.1710E+03,1.0409E+03,7.8876E+02,5.9874E+02,
     &8.8348E+02,1.1687E+03,1.0396E+03,7.8722E+02,5.9722E+02,8.8117E+02,
     &1.1665E+03/
      DATA ((KB(JS,JT,31,13),JS=1,5),JT=1,5) /
     &1.0394E+03,7.9419E+02,6.0167E+02,8.8749E+02,1.1740E+03,1.0363E+03,
     &7.9203E+02,6.0068E+02,8.8633E+02,1.1725E+03,1.0437E+03,7.8663E+02,
     &5.9963E+02,8.8481E+02,1.1705E+03,1.0406E+03,7.9000E+02,5.9839E+02,
     &8.8297E+02,1.1680E+03,1.0413E+03,7.9093E+02,5.9674E+02,8.8044E+02,
     &1.1650E+03/
      DATA ((KB(JS,JT,32,13),JS=1,5),JT=1,5) /
     &1.0440E+03,7.9014E+02,6.0327E+02,8.8723E+02,1.1737E+03,1.0391E+03,
     &7.9106E+02,6.0042E+02,8.8596E+02,1.1720E+03,1.0467E+03,7.8955E+02,
     &5.9932E+02,8.8436E+02,1.1699E+03,1.0407E+03,7.9722E+02,5.9818E+02,
     &8.8241E+02,1.1673E+03,1.0382E+03,7.8961E+02,5.9626E+02,8.7980E+02,
     &1.1639E+03/
      DATA ((KB(JS,JT,33,13),JS=1,5),JT=1,5) /
     &1.0522E+03,7.8494E+02,6.0081E+02,8.8693E+02,1.1733E+03,1.0373E+03,
     &7.9220E+02,5.9999E+02,8.8557E+02,1.1715E+03,1.0359E+03,7.8622E+02,
     &5.9900E+02,8.8389E+02,1.1695E+03,1.0377E+03,7.8474E+02,5.9760E+02,
     &8.8177E+02,1.1667E+03,1.0406E+03,7.8876E+02,5.9580E+02,8.7933E+02,
     &1.1633E+03/
      DATA ((KB(JS,JT,34,13),JS=1,5),JT=1,5) /
     &1.0360E+03,7.9366E+02,6.0074E+02,8.8666E+02,1.1729E+03,1.0445E+03,
     &7.8362E+02,5.9974E+02,8.8521E+02,1.1710E+03,1.0445E+03,7.8784E+02,
     &5.9871E+02,8.8346E+02,1.1687E+03,1.0420E+03,7.8840E+02,5.9718E+02,
     &8.8091E+02,1.1665E+03,1.0384E+03,7.9182E+02,5.9540E+02,8.7927E+02,
     &1.1620E+03/
      DATA ((KB(JS,JT,35,13),JS=1,5),JT=1,5) /
     &1.0422E+03,7.9326E+02,6.0077E+02,8.8648E+02,1.1727E+03,1.0360E+03,
     &7.9158E+02,5.9975E+02,8.8500E+02,1.1707E+03,1.0370E+03,7.8869E+02,
     &5.9854E+02,8.8320E+02,1.1683E+03,1.0364E+03,7.9354E+02,5.9694E+02,
     &8.8077E+02,1.1651E+03,1.0369E+03,7.8943E+02,5.9473E+02,8.7892E+02,
     &1.1616E+03/
      DATA ((KB(JS,JT,36,13),JS=1,5),JT=1,5) /
     &1.0401E+03,7.8191E+02,6.0075E+02,8.8645E+02,1.1727E+03,1.0371E+03,
     &7.8614E+02,5.9972E+02,8.8519E+02,1.1707E+03,1.0392E+03,7.8550E+02,
     &5.9835E+02,8.8339E+02,1.1683E+03,1.0378E+03,7.8649E+02,5.9690E+02,
     &8.8071E+02,1.1650E+03,1.0389E+03,7.9012E+02,5.9516E+02,8.7821E+02,
     &1.1604E+03/
      DATA ((KB(JS,JT,37,13),JS=1,5),JT=1,5) /
     &1.0397E+03,7.8790E+02,6.0071E+02,8.8662E+02,1.1729E+03,1.0413E+03,
     &7.8135E+02,5.9986E+02,8.8540E+02,1.1710E+03,1.0434E+03,7.8885E+02,
     &5.9867E+02,8.8341E+02,1.1686E+03,1.0382E+03,7.9636E+02,5.9698E+02,
     &8.8108E+02,1.1655E+03,1.0369E+03,7.8656E+02,5.9536E+02,8.7879E+02,
     &1.1626E+03/
      DATA ((KB(JS,JT,38,13),JS=1,5),JT=1,5) /
     &1.0433E+03,7.8475E+02,6.0099E+02,8.8680E+02,1.1731E+03,1.0422E+03,
     &7.8187E+02,6.0001E+02,8.8539E+02,1.1713E+03,1.0376E+03,7.8470E+02,
     &5.9854E+02,8.8368E+02,1.1690E+03,1.0379E+03,7.8467E+02,5.9739E+02,
     &8.8147E+02,1.1660E+03,1.0346E+03,7.9279E+02,5.9559E+02,8.7849E+02,
     &1.1631E+03/
      DATA ((KB(JS,JT,39,13),JS=1,5),JT=1,5) /
     &1.0564E+03,7.9016E+02,6.0113E+02,8.8696E+02,1.1734E+03,1.0405E+03,
     &7.8139E+02,5.9938E+02,8.8561E+02,1.1715E+03,1.0386E+03,7.9256E+02,
     &5.9902E+02,8.8393E+02,1.1693E+03,1.0351E+03,7.8501E+02,5.9779E+02,
     &8.8184E+02,1.1668E+03,1.0353E+03,7.8561E+02,5.9583E+02,8.7937E+02,
     &1.1634E+03/
      DATA ((KB(JS,JT,40,13),JS=1,5),JT=1,5) /
     &1.0351E+03,7.8501E+02,6.0325E+02,8.8723E+02,1.1737E+03,1.0332E+03,
     &7.8519E+02,6.0040E+02,8.8596E+02,1.1720E+03,1.0393E+03,7.8843E+02,
     &5.9931E+02,8.8436E+02,1.1699E+03,1.0339E+03,7.8821E+02,5.9801E+02,
     &8.8242E+02,1.1676E+03,1.0476E+03,7.8616E+02,5.9626E+02,8.7958E+02,
     &1.1639E+03/
      DATA ((KB(JS,JT,41,13),JS=1,5),JT=1,5) /
     &1.0420E+03,7.8658E+02,6.0226E+02,8.8748E+02,1.1740E+03,1.0471E+03,
     &7.8433E+02,6.0065E+02,8.8632E+02,1.1725E+03,1.0385E+03,7.8777E+02,
     &5.9960E+02,8.8480E+02,1.1705E+03,1.0374E+03,7.9305E+02,5.9837E+02,
     &8.8319E+02,1.1680E+03,1.0341E+03,7.9121E+02,5.9671E+02,8.8067E+02,
     &1.1641E+03/
      DATA ((KB(JS,JT,42,13),JS=1,5),JT=1,5) /
     &1.0427E+03,7.8654E+02,6.0202E+02,8.8768E+02,1.1743E+03,1.0376E+03,
     &7.8774E+02,6.0073E+02,8.8666E+02,1.1730E+03,1.0387E+03,7.8631E+02,
     &5.9989E+02,8.8522E+02,1.1710E+03,1.0432E+03,7.9240E+02,5.9870E+02,
     &8.8347E+02,1.1690E+03,1.0408E+03,7.8283E+02,5.9718E+02,8.8116E+02,
     &1.1677E+03/
      DATA ((KB(JS,JT,43,13),JS=1,5),JT=1,5) /
     &1.0384E+03,7.8732E+02,6.0211E+02,8.8787E+02,1.1746E+03,1.0392E+03,
     &7.9483E+02,6.0103E+02,8.8703E+02,1.1735E+03,1.0435E+03,7.9279E+02,
     &6.0022E+02,8.8570E+02,1.1717E+03,1.0453E+03,7.8261E+02,5.9909E+02,
     &8.8405E+02,1.1698E+03,1.0349E+03,7.8239E+02,5.9773E+02,8.8200E+02,
     &1.1670E+03/
      DATA ((KB(JS,JT,44,13),JS=1,5),JT=1,5) /
     &1.0376E+03,7.8973E+02,6.0218E+02,8.8797E+02,1.1747E+03,1.0357E+03,
     &7.9073E+02,6.0154E+02,8.8738E+02,1.1742E+03,1.0381E+03,7.8584E+02,
     &6.0056E+02,8.8619E+02,1.1723E+03,1.0410E+03,7.8726E+02,5.9965E+02,
     &8.8464E+02,1.1703E+03,1.0370E+03,7.8461E+02,5.9824E+02,8.8299E+02,
     &1.1677E+03/
      DATA ((KB(JS,JT,45,13),JS=1,5),JT=1,5) /
     &1.0383E+03,7.8177E+02,6.0254E+02,8.8799E+02,1.1748E+03,1.0337E+03,
     &7.8400E+02,6.0200E+02,8.8790E+02,1.1743E+03,1.0407E+03,7.8928E+02,
     &6.0087E+02,8.8664E+02,1.1732E+03,1.0410E+03,7.9578E+02,5.9987E+02,
     &8.8519E+02,1.1713E+03,1.0369E+03,7.8337E+02,5.9884E+02,8.8344E+02,
     &1.1687E+03/
      DATA ((KB(JS,JT,46,13),JS=1,5),JT=1,5) /
     &1.0415E+03,7.9090E+02,6.0272E+02,8.8805E+02,1.1749E+03,1.0332E+03,
     &7.9374E+02,6.0213E+02,8.8788E+02,1.1746E+03,1.0495E+03,7.8743E+02,
     &6.0122E+02,8.8707E+02,1.1738E+03,1.0359E+03,7.8275E+02,6.0025E+02,
     &8.8575E+02,1.1717E+03,1.0407E+03,7.9210E+02,5.9913E+02,8.8411E+02,
     &1.1695E+03/
      DATA ((KB(JS,JT,47,13),JS=1,5),JT=1,5) /
     &1.0396E+03,7.8478E+02,6.0291E+02,8.8833E+02,1.1753E+03,1.0391E+03,
     &7.8254E+02,6.0239E+02,8.8798E+02,1.1747E+03,1.0358E+03,7.9087E+02,
     &6.0194E+02,8.8748E+02,1.1740E+03,1.0382E+03,7.8212E+02,6.0065E+02,
     &8.8632E+02,1.1725E+03,1.0417E+03,7.8639E+02,5.9976E+02,8.8480E+02,
     &1.1705E+03/
      DATA ((KB(JS,JT,48,13),JS=1,5),JT=1,5) /
     &1.0401E+03,7.8456E+02,6.0307E+02,8.8865E+02,1.1757E+03,1.0385E+03,
     &7.8639E+02,6.0262E+02,8.8799E+02,1.1748E+03,1.0377E+03,7.8374E+02,
     &6.0183E+02,8.8778E+02,1.1745E+03,1.0347E+03,7.8455E+02,6.0102E+02,
     &8.8707E+02,1.1732E+03,1.0420E+03,7.9085E+02,6.0005E+02,8.8545E+02,
     &1.1713E+03/
      DATA ((KB(JS,JT,49,13),JS=1,5),JT=1,5) /
     &1.0372E+03,7.8740E+02,6.0317E+02,8.8862E+02,1.1760E+03,1.0417E+03,
     &7.8862E+02,6.0282E+02,8.8818E+02,1.1751E+03,1.0345E+03,7.8780E+02,
     &6.0227E+02,8.8818E+02,1.1747E+03,1.0406E+03,7.8617E+02,6.0221E+02,
     &8.8729E+02,1.1738E+03,1.0382E+03,7.9023E+02,6.0061E+02,8.8605E+02,
     &1.1721E+03/
      DATA ((KB(JS,JT,50,13),JS=1,5),JT=1,5) /
     &1.0347E+03,7.9207E+02,6.0367E+02,8.8900E+02,1.1761E+03,1.0350E+03,
     &7.8739E+02,6.0298E+02,8.8872E+02,1.1755E+03,1.0353E+03,7.8433E+02,
     &6.0234E+02,8.8799E+02,1.1744E+03,1.0489E+03,7.9267E+02,6.0164E+02,
     &8.8763E+02,1.1743E+03,1.0406E+03,7.8514E+02,6.0019E+02,8.8656E+02,
     &1.1728E+03/
      DATA ((KB(JS,JT,51,13),JS=1,5),JT=1,5) /
     &1.0345E+03,7.8799E+02,6.0398E+02,8.8932E+02,1.1765E+03,1.0401E+03,
     &7.8697E+02,6.0314E+02,8.8874E+02,1.1758E+03,1.0366E+03,7.8656E+02,
     &6.0285E+02,8.8803E+02,1.1749E+03,1.0374E+03,7.8473E+02,6.0240E+02,
     &8.8809E+02,1.1746E+03,1.0390E+03,7.8920E+02,6.0116E+02,8.8701E+02,
     &1.1734E+03/
      DATA ((KB(JS,JT,52,13),JS=1,5),JT=1,5) /
     &1.0369E+03,7.8758E+02,6.0425E+02,8.8974E+02,1.1770E+03,1.0369E+03,
     &7.8229E+02,6.0357E+02,8.8889E+02,1.1760E+03,1.0371E+03,7.8737E+02,
     &6.0287E+02,8.8826E+02,1.1752E+03,1.0414E+03,7.8574E+02,6.0234E+02,
     &8.8797E+02,1.1747E+03,1.0377E+03,7.8696E+02,6.0170E+02,8.8739E+02,
     &1.1739E+03/
      DATA ((KB(JS,JT,53,13),JS=1,5),JT=1,5) /
     &1.0446E+03,7.8533E+02,6.0451E+02,8.9022E+02,1.1778E+03,1.0366E+03,
     &7.8675E+02,6.0391E+02,8.8907E+02,1.1762E+03,1.0339E+03,7.8472E+02,
     &6.0302E+02,8.8857E+02,1.1756E+03,1.0347E+03,7.8858E+02,6.0271E+02,
     &8.8799E+02,1.1748E+03,1.0414E+03,7.8370E+02,6.0188E+02,8.8770E+02,
     &1.1743E+03/
      DATA ((KB(JS,JT,54,13),JS=1,5),JT=1,5) /
     &1.0366E+03,7.8980E+02,6.0463E+02,8.9072E+02,1.1788E+03,1.0376E+03,
     &7.8289E+02,6.0402E+02,8.8939E+02,1.1765E+03,1.0387E+03,7.8695E+02,
     &6.0318E+02,8.8877E+02,1.1759E+03,1.0435E+03,7.8370E+02,6.0273E+02,
     &8.8806E+02,1.1749E+03,1.0492E+03,7.9000E+02,6.0214E+02,8.8789E+02,
     &1.1746E+03/
      DATA ((KB(JS,JT,55,13),JS=1,5),JT=1,5) /
     &1.0395E+03,7.8654E+02,6.0524E+02,8.9136E+02,1.1799E+03,1.0379E+03,
     &7.8553E+02,6.0426E+02,8.8977E+02,1.1770E+03,1.0376E+03,7.8959E+02,
     &6.0343E+02,8.8890E+02,1.1757E+03,1.0360E+03,7.8634E+02,6.0272E+02,
     &8.8828E+02,1.1752E+03,1.0355E+03,7.8796E+02,6.0219E+02,8.8821E+02,
     &1.1747E+03/
      DATA ((KB(JS,JT,56,13),JS=1,5),JT=1,5) /
     &1.0500E+03,7.8471E+02,6.0540E+02,8.9210E+02,1.1812E+03,1.0441E+03,
     &7.8735E+02,6.0449E+02,8.9019E+02,1.1777E+03,1.0382E+03,7.8755E+02,
     &6.0374E+02,8.8905E+02,1.1759E+03,1.0470E+03,7.8715E+02,6.0301E+02,
     &8.8855E+02,1.1756E+03,1.0358E+03,7.8674E+02,6.0270E+02,8.8799E+02,
     &1.1748E+03/
      DATA ((KB(JS,JT,57,13),JS=1,5),JT=1,5) /
     &1.0339E+03,7.8715E+02,6.0588E+02,8.9295E+02,1.1828E+03,1.0441E+03,
     &7.8267E+02,6.0475E+02,8.9065E+02,1.1787E+03,1.0435E+03,7.8938E+02,
     &6.0399E+02,8.8934E+02,1.1765E+03,1.0392E+03,7.9203E+02,6.0300E+02,
     &8.8875E+02,1.1758E+03,1.0360E+03,7.8491E+02,6.0271E+02,8.8827E+02,
     &1.1749E+03/
      DATA ((KB(JS,JT,58,13),JS=1,5),JT=1,5) /
     &1.0392E+03,7.8430E+02,6.0601E+02,8.9398E+02,1.1847E+03,1.0363E+03,
     &7.8694E+02,6.0503E+02,8.9124E+02,1.1797E+03,1.0360E+03,7.8084E+02,
     &6.0391E+02,8.8970E+02,1.1769E+03,1.0459E+03,7.8267E+02,6.0338E+02,
     &8.8888E+02,1.1757E+03,1.0368E+03,7.9101E+02,6.0285E+02,8.8823E+02,
     &1.1752E+03/
      DATA ((KB(JS,JT,59,13),JS=1,5),JT=1,5) /
     &1.0403E+03,7.8613E+02,6.0612E+02,8.9444E+02,1.1849E+03,1.0349E+03,
     &7.8531E+02,6.0514E+02,8.9150E+02,1.1802E+03,1.0360E+03,7.8470E+02,
     &6.0447E+02,8.8985E+02,1.1771E+03,1.0411E+03,7.8531E+02,6.0349E+02,
     &8.8892E+02,1.1761E+03,1.0355E+03,7.8795E+02,6.0275E+02,8.8833E+02,
     &1.1753E+03/
      DATA ((KB(JS,JT,13,14),JS=1,5),JT=1,5) /
     &1.2194E+03,9.1192E+02,6.0649E+02,8.9289E+02,1.1803E+03,1.1340E+03,
     &9.3388E+02,6.0565E+02,8.9163E+02,1.1786E+03,1.1287E+03,9.3154E+02,
     &6.0510E+02,8.9077E+02,1.1775E+03,1.1571E+03,8.9198E+02,6.0383E+02,
     &8.8977E+02,1.1762E+03,1.1232E+03,8.5932E+02,6.0280E+02,8.8865E+02,
     &1.1748E+03/
      DATA ((KB(JS,JT,14,14),JS=1,5),JT=1,5) /
     &1.1313E+03,8.5574E+02,6.0604E+02,8.9259E+02,1.1800E+03,1.1392E+03,
     &8.5278E+02,6.0523E+02,8.9143E+02,1.1785E+03,1.1402E+03,8.6846E+02,
     &6.0420E+02,8.9055E+02,1.1774E+03,1.1058E+03,8.5128E+02,6.0339E+02,
     &8.8920E+02,1.1761E+03,1.1286E+03,8.4325E+02,6.0241E+02,8.8842E+02,
     &1.1746E+03/
      DATA ((KB(JS,JT,15,14),JS=1,5),JT=1,5) /
     &1.1349E+03,8.4417E+02,6.0541E+02,8.9231E+02,1.1798E+03,1.1015E+03,
     &8.8045E+02,6.0487E+02,8.9125E+02,1.1784E+03,1.1261E+03,8.3776E+02,
     &6.0408E+02,8.9034E+02,1.1772E+03,1.0962E+03,8.6597E+02,6.0302E+02,
     &8.8937E+02,1.1760E+03,1.0995E+03,8.6095E+02,6.0207E+02,8.8855E+02,
     &1.1740E+03/
      DATA ((KB(JS,JT,16,14),JS=1,5),JT=1,5) /
     &1.1556E+03,8.9943E+02,6.0533E+02,8.9241E+02,1.1796E+03,1.0928E+03,
     &8.7845E+02,6.0456E+02,8.9108E+02,1.1783E+03,1.1526E+03,8.4568E+02,
     &6.0375E+02,8.9014E+02,1.1771E+03,1.1224E+03,8.2958E+02,6.0245E+02,
     &8.8919E+02,1.1758E+03,1.1104E+03,8.3492E+02,6.0177E+02,8.8796E+02,
     &1.1747E+03/
      DATA ((KB(JS,JT,17,14),JS=1,5),JT=1,5) /
     &1.1093E+03,8.6391E+02,6.0505E+02,8.9183E+02,1.1794E+03,1.0879E+03,
     &8.3992E+02,6.0455E+02,8.9093E+02,1.1782E+03,1.1180E+03,8.3675E+02,
     &6.0345E+02,8.8997E+02,1.1769E+03,1.1203E+03,8.1299E+02,6.0195E+02,
     &8.8902E+02,1.1757E+03,1.0902E+03,8.4755E+02,6.0151E+02,8.8739E+02,
     &1.1736E+03/
      DATA ((KB(JS,JT,18,14),JS=1,5),JT=1,5) /
     &1.0889E+03,8.2171E+02,6.0482E+02,8.9199E+02,1.1792E+03,1.0836E+03,
     &8.5518E+02,6.0408E+02,8.9079E+02,1.1781E+03,1.0919E+03,8.2437E+02,
     &6.0318E+02,8.8981E+02,1.1763E+03,1.1143E+03,8.6811E+02,6.0223E+02,
     &8.8886E+02,1.1755E+03,1.0618E+03,8.0694E+02,6.0104E+02,8.8718E+02,
     &1.1738E+03/
      DATA ((KB(JS,JT,19,14),JS=1,5),JT=1,5) /
     &1.0700E+03,8.1179E+02,6.0437E+02,8.9145E+02,1.1790E+03,1.1096E+03,
     &8.4185E+02,6.0389E+02,8.9066E+02,1.1785E+03,1.0919E+03,8.2575E+02,
     &6.0295E+02,8.9004E+02,1.1767E+03,1.0874E+03,8.1974E+02,6.0205E+02,
     &8.8835E+02,1.1754E+03,1.1077E+03,8.6723E+02,6.0084E+02,8.8734E+02,
     &1.1727E+03/
      DATA ((KB(JS,JT,20,14),JS=1,5),JT=1,5) /
     &1.0813E+03,8.2037E+02,6.0443E+02,8.9128E+02,1.1789E+03,1.0944E+03,
     &8.3718E+02,6.0369E+02,8.9052E+02,1.1778E+03,1.0922E+03,8.1527E+02,
     &6.0248E+02,8.8953E+02,1.1765E+03,1.0962E+03,8.2815E+02,6.0188E+02,
     &8.8854E+02,1.1752E+03,1.0768E+03,8.1150E+02,6.0064E+02,8.8711E+02,
     &1.1734E+03/
      DATA ((KB(JS,JT,21,14),JS=1,5),JT=1,5) /
     &1.0919E+03,7.9941E+02,6.0426E+02,8.9114E+02,1.1787E+03,1.0481E+03,
     &8.3111E+02,6.0351E+02,8.9037E+02,1.1777E+03,1.0716E+03,8.1475E+02,
     &6.0253E+02,8.8975E+02,1.1764E+03,1.1197E+03,8.0344E+02,6.0123E+02,
     &8.8837E+02,1.1750E+03,1.0436E+03,8.0977E+02,6.0045E+02,8.8688E+02,
     &1.1731E+03/
      DATA ((KB(JS,JT,22,14),JS=1,5),JT=1,5) /
     &1.1028E+03,8.2019E+02,6.0406E+02,8.9099E+02,1.1785E+03,1.0664E+03,
     &8.4127E+02,6.0327E+02,8.9089E+02,1.1775E+03,1.0764E+03,8.3101E+02,
     &6.0182E+02,8.8920E+02,1.1762E+03,1.0955E+03,8.2928E+02,6.0175E+02,
     &8.8811E+02,1.1747E+03,1.0429E+03,8.2150E+02,6.0042E+02,8.8653E+02,
     &1.1726E+03/
      DATA ((KB(JS,JT,23,14),JS=1,5),JT=1,5) /
     &1.0449E+03,7.9677E+02,6.0363E+02,8.9084E+02,1.1784E+03,1.0443E+03,
     &8.1477E+02,6.0352E+02,8.8994E+02,1.1772E+03,1.0490E+03,8.4026E+02,
     &6.0112E+02,8.8900E+02,1.1759E+03,1.0652E+03,8.0737E+02,6.0128E+02,
     &8.8783E+02,1.1744E+03,1.0777E+03,8.0975E+02,6.0014E+02,8.8615E+02,
     &1.1722E+03/
      DATA ((KB(JS,JT,24,14),JS=1,5),JT=1,5) /
     &1.0587E+03,8.3370E+02,6.0369E+02,8.9067E+02,1.1782E+03,1.0413E+03,
     &7.9049E+02,6.0278E+02,8.8972E+02,1.1769E+03,1.0508E+03,8.3928E+02,
     &6.0192E+02,8.8879E+02,1.1757E+03,1.0667E+03,8.0304E+02,6.0105E+02,
     &8.8752E+02,1.1740E+03,1.0776E+03,7.8685E+02,5.9985E+02,8.8574E+02,
     &1.1716E+03/
      DATA ((KB(JS,JT,25,14),JS=1,5),JT=1,5) /
     &1.0559E+03,7.8648E+02,6.0348E+02,8.9048E+02,1.1779E+03,1.0600E+03,
     &8.1980E+02,6.0253E+02,8.8951E+02,1.1766E+03,1.0484E+03,7.9331E+02,
     &6.0149E+02,8.8854E+02,1.1754E+03,1.1000E+03,8.0548E+02,6.0080E+02,
     &8.8717E+02,1.1735E+03,1.1165E+03,7.9968E+02,5.9952E+02,8.8528E+02,
     &1.1711E+03/
      DATA ((KB(JS,JT,26,14),JS=1,5),JT=1,5) /
     &1.0604E+03,7.9570E+02,6.0325E+02,8.9026E+02,1.1777E+03,1.0870E+03,
     &7.8311E+02,6.0230E+02,8.8929E+02,1.1764E+03,1.0476E+03,7.9338E+02,
     &6.0128E+02,8.8826E+02,1.1750E+03,1.0459E+03,8.0175E+02,6.0027E+02,
     &8.8677E+02,1.1730E+03,1.0485E+03,8.1112E+02,5.9892E+02,8.8476E+02,
     &1.1704E+03/
      DATA ((KB(JS,JT,27,14),JS=1,5),JT=1,5) /
     &1.0458E+03,7.9457E+02,6.0301E+02,8.9001E+02,1.1773E+03,1.0576E+03,
     &7.9170E+02,6.0208E+02,8.8906E+02,1.1761E+03,1.0632E+03,7.9464E+02,
     &6.0130E+02,8.8794E+02,1.1741E+03,1.0506E+03,8.0916E+02,6.0021E+02,
     &8.8633E+02,1.1725E+03,1.0406E+03,7.9035E+02,5.9878E+02,8.8422E+02,
     &1.1697E+03/
      DATA ((KB(JS,JT,28,14),JS=1,5),JT=1,5) /
     &1.0390E+03,7.9142E+02,6.0274E+02,8.8940E+02,1.1770E+03,1.0793E+03,
     &8.4664E+02,6.0165E+02,8.8883E+02,1.1758E+03,1.0389E+03,8.1244E+02,
     &6.0106E+02,8.8760E+02,1.1741E+03,1.0910E+03,8.2250E+02,5.9988E+02,
     &8.8586E+02,1.1718E+03,1.0984E+03,7.9766E+02,5.9863E+02,8.8510E+02,
     &1.1689E+03/
      DATA ((KB(JS,JT,29,14),JS=1,5),JT=1,5) /
     &1.0453E+03,7.9421E+02,6.0249E+02,8.8988E+02,1.1767E+03,1.0759E+03,
     &8.5231E+02,5.9780E+02,8.8856E+02,1.1754E+03,1.0355E+03,8.3260E+02,
     &6.0079E+02,8.8721E+02,1.1736E+03,1.0260E+03,7.8313E+02,5.9953E+02,
     &8.8535E+02,1.1712E+03,1.0495E+03,7.9101E+02,5.9751E+02,8.8309E+02,
     &1.1682E+03/
      DATA ((KB(JS,JT,30,14),JS=1,5),JT=1,5) /
     &1.0479E+03,7.8753E+02,6.0225E+02,8.8928E+02,1.1764E+03,1.0451E+03,
     &8.0563E+02,6.0150E+02,8.8827E+02,1.1750E+03,1.0758E+03,7.9525E+02,
     &6.0050E+02,8.8643E+02,1.1731E+03,1.0781E+03,7.9929E+02,5.9916E+02,
     &8.8480E+02,1.1705E+03,1.0459E+03,8.1358E+02,5.9790E+02,8.8220E+02,
     &1.1665E+03/
      DATA ((KB(JS,JT,31,14),JS=1,5),JT=1,5) /
     &1.0607E+03,8.0146E+02,6.0204E+02,8.8905E+02,1.1761E+03,1.0395E+03,
     &7.8822E+02,6.0127E+02,8.8793E+02,1.1746E+03,1.0321E+03,8.0923E+02,
     &6.0018E+02,8.8632E+02,1.1725E+03,1.1042E+03,8.0049E+02,5.9875E+02,
     &8.8457E+02,1.1697E+03,1.0581E+03,8.0105E+02,5.9750E+02,8.8200E+02,
     &1.1672E+03/
      DATA ((KB(JS,JT,32,14),JS=1,5),JT=1,5) /
     &1.0889E+03,8.4488E+02,5.9867E+02,8.8880E+02,1.1757E+03,1.0428E+03,
     &7.9586E+02,6.0101E+02,8.8756E+02,1.1741E+03,1.0671E+03,8.2487E+02,
     &5.9984E+02,8.8582E+02,1.1718E+03,1.0426E+03,8.3726E+02,5.9809E+02,
     &8.8469E+02,1.1694E+03,1.0522E+03,8.0937E+02,5.9684E+02,8.8175E+02,
     &1.1659E+03/
      DATA ((KB(JS,JT,33,14),JS=1,5),JT=1,5) /
     &1.0391E+03,7.9980E+02,6.0166E+02,8.8852E+02,1.1754E+03,1.0719E+03,
     &7.8917E+02,6.0073E+02,8.8751E+02,1.1736E+03,1.0389E+03,8.2235E+02,
     &5.9947E+02,8.8564E+02,1.1706E+03,1.0819E+03,8.1877E+02,5.9794E+02,
     &8.8337E+02,1.1676E+03,1.0266E+03,7.8772E+02,5.9642E+02,8.8112E+02,
     &1.1651E+03/
      DATA ((KB(JS,JT,34,14),JS=1,5),JT=1,5) /
     &1.0675E+03,7.8932E+02,6.0147E+02,8.8789E+02,1.1750E+03,1.0375E+03,
     &7.9310E+02,6.0047E+02,8.8677E+02,1.1731E+03,1.0378E+03,8.2372E+02,
     &5.9913E+02,8.8478E+02,1.1704E+03,1.0677E+03,7.8757E+02,5.9836E+02,
     &8.8254E+02,1.1660E+03,1.0419E+03,7.7666E+02,5.9604E+02,8.7984E+02,
     &1.1644E+03/
      DATA ((KB(JS,JT,35,14),JS=1,5),JT=1,5) /
     &1.0613E+03,8.0031E+02,6.0136E+02,8.8808E+02,1.1748E+03,1.1118E+03,
     &8.0250E+02,6.0031E+02,8.8654E+02,1.1732E+03,1.0759E+03,8.3185E+02,
     &5.9892E+02,8.8448E+02,1.1701E+03,1.1049E+03,7.7622E+02,5.9743E+02,
     &8.8477E+02,1.1680E+03,1.0459E+03,7.8322E+02,5.9581E+02,8.7986E+02,
     &1.1634E+03/
      DATA ((KB(JS,JT,36,14),JS=1,5),JT=1,5) /
     &1.0396E+03,7.9026E+02,6.0134E+02,8.8805E+02,1.1748E+03,1.0471E+03,
     &8.0778E+02,6.0028E+02,8.8614E+02,1.1727E+03,1.0450E+03,7.9912E+02,
     &5.9889E+02,8.8407E+02,1.1700E+03,1.0626E+03,8.0803E+02,5.9740E+02,
     &8.8257E+02,1.1756E+03,1.0609E+03,8.1056E+02,5.9577E+02,8.7981E+02,
     &1.1634E+03/
      DATA ((KB(JS,JT,37,14),JS=1,5),JT=1,5) /
     &1.0479E+03,7.9014E+02,6.0145E+02,8.8822E+02,1.1750E+03,1.0744E+03,
     &8.1437E+02,6.0044E+02,8.8637E+02,1.1730E+03,1.0335E+03,7.9550E+02,
     &5.9909E+02,8.8473E+02,1.1704E+03,1.0410E+03,7.7504E+02,5.9808E+02,
     &8.8321E+02,1.1674E+03,1.0557E+03,7.9226E+02,5.9599E+02,8.8014E+02,
     &1.1643E+03/
      DATA ((KB(JS,JT,38,14),JS=1,5),JT=1,5) /
     &1.0418E+03,8.0249E+02,6.0156E+02,8.8838E+02,1.1752E+03,1.0220E+03,
     &8.2577E+02,6.0060E+02,8.8697E+02,1.1733E+03,1.0502E+03,8.0915E+02,
     &5.9929E+02,8.8503E+02,1.1708E+03,1.0497E+03,8.1774E+02,5.9826E+02,
     &8.8277E+02,1.1673E+03,1.0771E+03,8.1134E+02,5.9623E+02,8.8049E+02,
     &1.1648E+03/
      DATA ((KB(JS,JT,39,14),JS=1,5),JT=1,5) /
     &1.0165E+03,7.7782E+02,6.0118E+02,8.8854E+02,1.1754E+03,1.0531E+03,
     &8.0302E+02,6.0075E+02,8.8719E+02,1.1736E+03,1.0758E+03,7.8257E+02,
     &5.9949E+02,8.8533E+02,1.1712E+03,1.0568E+03,7.9852E+02,5.9772E+02,
     &8.8307E+02,1.1677E+03,1.1120E+03,7.9275E+02,5.9645E+02,8.8083E+02,
     &1.1652E+03/
      DATA ((KB(JS,JT,40,14),JS=1,5),JT=1,5) /
     &1.0416E+03,7.9660E+02,5.9890E+02,8.8879E+02,1.1758E+03,1.0391E+03,
     &7.9051E+02,6.0100E+02,8.8756E+02,1.1741E+03,1.0420E+03,7.8155E+02,
     &5.9983E+02,8.8583E+02,1.1718E+03,1.0496E+03,7.9527E+02,5.9833E+02,
     &8.8434E+02,1.1689E+03,1.0264E+03,7.8919E+02,5.9684E+02,8.8140E+02,
     &1.1660E+03/
      DATA ((KB(JS,JT,41,14),JS=1,5),JT=1,5) /
     &1.0689E+03,8.0516E+02,6.0103E+02,8.8904E+02,1.1761E+03,1.0416E+03,
     &8.2239E+02,6.0124E+02,8.8792E+02,1.1746E+03,1.0563E+03,8.1535E+02,
     &6.0016E+02,8.8632E+02,1.1725E+03,1.0676E+03,8.2044E+02,5.9873E+02,
     &8.8421E+02,1.1697E+03,1.0596E+03,7.8372E+02,5.9724E+02,8.8164E+02,
     &1.1672E+03/
      DATA ((KB(JS,JT,42,14),JS=1,5),JT=1,5) /
     &1.0655E+03,8.0320E+02,6.0196E+02,8.8927E+02,1.1764E+03,1.0714E+03,
     &7.8435E+02,6.0147E+02,8.8825E+02,1.1750E+03,1.0516E+03,7.9392E+02,
     &6.0071E+02,8.8678E+02,1.1731E+03,1.0516E+03,7.7763E+02,5.9913E+02,
     &8.8479E+02,1.1700E+03,1.0486E+03,7.9390E+02,5.9811E+02,8.8255E+02,
     &1.1641E+03/
      DATA ((KB(JS,JT,43,14),JS=1,5),JT=1,5) /
     &1.0979E+03,8.3796E+02,6.0248E+02,8.8955E+02,1.1768E+03,1.1147E+03,
     &7.6548E+02,6.0171E+02,8.8861E+02,1.1750E+03,1.0326E+03,7.9357E+02,
     &6.0081E+02,8.8729E+02,1.1738E+03,1.0439E+03,8.6155E+02,5.9958E+02,
     &8.8546E+02,1.1709E+03,1.0945E+03,8.1749E+02,5.9781E+02,8.8321E+02,
     &1.1679E+03/
      DATA ((KB(JS,JT,44,14),JS=1,5),JT=1,5) /
     &1.0684E+03,8.3027E+02,6.0306E+02,8.8988E+02,1.1772E+03,1.0549E+03,
     &7.8589E+02,6.0194E+02,8.8895E+02,1.1755E+03,1.0654E+03,7.9705E+02,
     &6.0140E+02,8.8779E+02,1.1744E+03,1.0595E+03,7.9130E+02,5.9979E+02,
     &8.8614E+02,1.1722E+03,1.0477E+03,8.0597E+02,5.9858E+02,8.8363E+02,
     &1.1704E+03/
      DATA ((KB(JS,JT,45,14),JS=1,5),JT=1,5) /
     &1.0873E+03,7.9417E+02,6.0313E+02,8.9023E+02,1.1777E+03,1.0616E+03,
     &7.8299E+02,6.0195E+02,8.8889E+02,1.1764E+03,1.0452E+03,8.0979E+02,
     &6.0145E+02,8.8823E+02,1.1745E+03,1.0957E+03,8.0372E+02,6.0045E+02,
     &8.8675E+02,1.1726E+03,1.0725E+03,7.9223E+02,5.9886E+02,8.8476E+02,
     &1.1704E+03/
      DATA ((KB(JS,JT,46,14),JS=1,5),JT=1,5) /
     &1.0477E+03,7.9958E+02,6.0344E+02,8.9054E+02,1.1781E+03,1.0873E+03,
     &8.0021E+02,6.0251E+02,8.8958E+02,1.1768E+03,1.0228E+03,7.8903E+02,
     &6.0173E+02,8.8864E+02,1.1751E+03,1.0295E+03,8.3052E+02,6.0085E+02,
     &8.8734E+02,1.1738E+03,1.0527E+03,8.0434E+02,5.9963E+02,8.8553E+02,
     &1.1714E+03/
      DATA ((KB(JS,JT,47,14),JS=1,5),JT=1,5) /
     &1.0317E+03,7.8934E+02,6.0373E+02,8.9119E+02,1.1785E+03,1.0325E+03,
     &7.9125E+02,6.0291E+02,8.8999E+02,1.1778E+03,1.0417E+03,7.9891E+02,
     &6.0152E+02,8.8904E+02,1.1761E+03,1.0561E+03,7.8901E+02,6.0124E+02,
     &8.8793E+02,1.1746E+03,1.0468E+03,7.9347E+02,5.9991E+02,8.8632E+02,
     &1.1725E+03/
      DATA ((KB(JS,JT,48,14),JS=1,5),JT=1,5) /
     &1.0540E+03,7.8901E+02,6.0401E+02,8.9113E+02,1.1789E+03,1.0320E+03,
     &8.0975E+02,6.0327E+02,8.9037E+02,1.1779E+03,1.0535E+03,7.9283E+02,
     &6.0233E+02,8.8940E+02,1.1766E+03,1.0485E+03,8.1102E+02,6.0158E+02,
     &8.8807E+02,1.1753E+03,1.0337E+03,8.2793E+02,6.0064E+02,8.8703E+02,
     &1.1734E+03/
      DATA ((KB(JS,JT,49,14),JS=1,5),JT=1,5) /
     &1.0304E+03,8.3177E+02,6.0454E+02,8.9164E+02,1.1796E+03,1.0417E+03,
     &7.8580E+02,6.0359E+02,8.9069E+02,1.1783E+03,1.0725E+03,8.2186E+02,
     &6.0271E+02,8.8942E+02,1.1771E+03,1.0362E+03,8.0207E+02,6.0065E+02,
     &8.8885E+02,1.1758E+03,1.0383E+03,7.9856E+02,6.0081E+02,8.8765E+02,
     &1.1743E+03/
      DATA ((KB(JS,JT,50,14),JS=1,5),JT=1,5) /
     &1.0581E+03,7.8356E+02,6.0457E+02,8.9226E+02,1.1805E+03,1.0447E+03,
     &8.0207E+02,6.0385E+02,8.9058E+02,1.1786E+03,1.0788E+03,8.2154E+02,
     &6.0308E+02,8.9017E+02,1.1776E+03,1.0695E+03,7.9696E+02,6.0214E+02,
     &8.8920E+02,1.1763E+03,1.0859E+03,7.9983E+02,6.0140E+02,8.8816E+02,
     &1.1749E+03/
      DATA ((KB(JS,JT,51,14),JS=1,5),JT=1,5) /
     &1.0459E+03,7.9632E+02,6.0498E+02,8.9284E+02,1.1812E+03,1.0371E+03,
     &7.8419E+02,6.0411E+02,8.9166E+02,1.1796E+03,1.0657E+03,8.2185E+02,
     &6.0315E+02,8.9049E+02,1.1780E+03,1.0396E+03,7.8418E+02,6.0197E+02,
     &8.8917E+02,1.1768E+03,1.0354E+03,7.8290E+02,6.0169E+02,8.8859E+02,
     &1.1755E+03/
      DATA ((KB(JS,JT,52,14),JS=1,5),JT=1,5) /
     &1.0434E+03,7.8546E+02,6.0574E+02,8.9370E+02,1.1824E+03,1.0665E+03,
     &7.8610E+02,6.0413E+02,8.9180E+02,1.1798E+03,1.0821E+03,7.8641E+02,
     &6.0367E+02,8.9113E+02,1.1784E+03,1.0514E+03,7.9279E+02,6.0282E+02,
     &8.8989E+02,1.1772E+03,1.0408E+03,7.7939E+02,6.0170E+02,8.8895E+02,
     &1.1760E+03/
      DATA ((KB(JS,JT,53,14),JS=1,5),JT=1,5) /
     &1.0497E+03,8.0875E+02,6.0601E+02,8.9382E+02,1.1825E+03,1.0514E+03,
     &8.1226E+02,6.0441E+02,8.9243E+02,1.1807E+03,1.1137E+03,8.0237E+02,
     &6.0392E+02,8.9101E+02,1.1787E+03,1.0661E+03,7.9885E+02,6.0292E+02,
     &8.9026E+02,1.1777E+03,1.0324E+03,8.2343E+02,6.0222E+02,8.8929E+02,
     &1.1764E+03/
      DATA ((KB(JS,JT,54,14),JS=1,5),JT=1,5) /
     &1.0594E+03,8.6492E+02,6.0646E+02,8.9428E+02,1.1831E+03,1.0303E+03,
     &8.5949E+02,6.0506E+02,8.9294E+02,1.1813E+03,1.0905E+03,8.4800E+02,
     &6.0416E+02,8.9138E+02,1.1793E+03,1.0438E+03,7.8736E+02,6.0344E+02,
     &8.9055E+02,1.1781E+03,1.0324E+03,8.3619E+02,6.0252E+02,8.8959E+02,
     &1.1768E+03/
      DATA ((KB(JS,JT,55,14),JS=1,5),JT=1,5) /
     &1.0463E+03,7.8385E+02,6.0663E+02,8.9475E+02,1.1838E+03,1.0543E+03,
     &7.9119E+02,6.0552E+02,8.9337E+02,1.1824E+03,1.0391E+03,8.0395E+02,
     &6.0439E+02,8.9183E+02,1.1799E+03,1.0421E+03,7.9916E+02,6.0368E+02,
     &8.9078E+02,1.1784E+03,1.0909E+03,7.8448E+02,6.0284E+02,8.8955E+02,
     &1.1777E+03/
      DATA ((KB(JS,JT,56,14),JS=1,5),JT=1,5) /
     &1.0143E+03,8.1481E+02,6.0727E+02,8.9531E+02,1.1848E+03,1.0240E+03,
     &8.1034E+02,6.0598E+02,8.9378E+02,1.1825E+03,1.0324E+03,7.8927E+02,
     &6.0463E+02,8.9238E+02,1.1806E+03,1.0273E+03,7.8959E+02,6.0390E+02,
     &8.9099E+02,1.1787E+03,1.0404E+03,8.0937E+02,6.0290E+02,8.9024E+02,
     &1.1777E+03/
      DATA ((KB(JS,JT,57,14),JS=1,5),JT=1,5) /
     &1.0408E+03,7.9150E+02,6.0742E+02,8.9593E+02,1.1860E+03,1.0640E+03,
     &8.2150E+02,6.0641E+02,8.9422E+02,1.1831E+03,1.0551E+03,7.9661E+02,
     &6.0501E+02,8.9288E+02,1.1813E+03,1.0817E+03,7.9118E+02,6.0413E+02,
     &8.9133E+02,1.1792E+03,1.0370E+03,7.9629E+02,6.0341E+02,8.9015E+02,
     &1.1781E+03/
      DATA ((KB(JS,JT,58,14),JS=1,5),JT=1,5) /
     &1.0442E+03,8.4033E+02,6.0809E+02,8.9672E+02,1.1869E+03,1.0934E+03,
     &7.9820E+02,6.0680E+02,8.9466E+02,1.1837E+03,1.0657E+03,8.0043E+02,
     &6.0544E+02,8.9329E+02,1.1818E+03,1.0223E+03,7.8480E+02,6.0435E+02,
     &8.9175E+02,1.1798E+03,1.0438E+03,8.1735E+02,6.0364E+02,8.9074E+02,
     &1.1789E+03/
      DATA ((KB(JS,JT,59,14),JS=1,5),JT=1,5) /
     &1.0513E+03,8.0331E+02,6.0826E+02,8.9709E+02,1.1883E+03,1.0429E+03,
     &8.1799E+02,6.0696E+02,8.9486E+02,1.1840E+03,1.0400E+03,8.0905E+02,
     &6.0537E+02,8.9345E+02,1.1830E+03,1.0488E+03,7.9628E+02,6.0443E+02,
     &8.9194E+02,1.1800E+03,1.0795E+03,7.8415E+02,6.0372E+02,8.9082E+02,
     &1.1785E+03/
      DATA ((KB(JS,JT,13,15),JS=1,5),JT=1,5) /
     &9.8934E+02,7.5572E+02,6.0810E+02,8.9364E+02,1.1812E+03,1.2809E+03,
     &7.2091E+02,6.0670E+02,8.9251E+02,1.1797E+03,1.1704E+03,7.7844E+02,
     &6.0529E+02,8.9171E+02,1.1787E+03,1.1159E+03,8.3495E+02,6.0430E+02,
     &8.9110E+02,1.1779E+03,1.1939E+03,9.3553E+02,6.0355E+02,8.9003E+02,
     &1.1765E+03/
      DATA ((KB(JS,JT,14,15),JS=1,5),JT=1,5) /
     &1.1963E+03,9.5315E+02,6.0753E+02,8.9338E+02,1.1810E+03,1.1729E+03,
     &9.2141E+02,6.0616E+02,8.9229E+02,1.1796E+03,1.1471E+03,8.5602E+02,
     &6.0478E+02,8.9154E+02,1.1786E+03,1.1824E+03,8.8196E+02,6.0401E+02,
     &8.9091E+02,1.1778E+03,1.1271E+03,8.7462E+02,6.0324E+02,8.9075E+02,
     &1.1763E+03/
      DATA ((KB(JS,JT,15,15),JS=1,5),JT=1,5) /
     &1.0604E+03,9.0519E+02,6.0703E+02,8.9409E+02,1.1809E+03,1.1577E+03,
     &7.5557E+02,6.0568E+02,8.9209E+02,1.1795E+03,1.1406E+03,8.1803E+02,
     &6.0438E+02,8.9138E+02,1.1785E+03,1.1847E+03,7.1960E+02,6.0376E+02,
     &8.9073E+02,1.1790E+03,1.1179E+03,8.1112E+02,6.0296E+02,8.8859E+02,
     &1.1787E+03/
      DATA ((KB(JS,JT,16,15),JS=1,5),JT=1,5) /
     &1.0356E+03,7.1983E+02,6.0659E+02,8.9194E+02,1.1820E+03,1.1364E+03,
     &7.6870E+02,6.0526E+02,8.9190E+02,1.1794E+03,9.6034E+02,8.3277E+02,
     &6.0407E+02,8.9124E+02,1.1785E+03,1.0077E+03,8.7988E+02,6.0354E+02,
     &8.9055E+02,1.1776E+03,1.0422E+03,8.3397E+02,6.0335E+02,8.8931E+02,
     &1.1759E+03/
      DATA ((KB(JS,JT,17,15),JS=1,5),JT=1,5) /
     &1.0091E+03,7.7782E+02,6.0621E+02,8.9269E+02,1.1805E+03,1.1716E+03,
     &8.0971E+02,6.0425E+02,8.9175E+02,1.1793E+03,1.0550E+03,7.8786E+02,
     &6.0385E+02,8.9112E+02,1.1784E+03,9.9990E+02,8.8096E+02,6.0335E+02,
     &8.9039E+02,1.1774E+03,1.1263E+03,7.3127E+02,6.0311E+02,8.8908E+02,
     &1.1770E+03/
      DATA ((KB(JS,JT,18,15),JS=1,5),JT=1,5) /
     &1.1151E+03,8.5991E+02,6.0588E+02,8.9155E+02,1.1804E+03,1.0413E+03,
     &7.0815E+02,6.0458E+02,8.9161E+02,1.1791E+03,1.1058E+03,8.2037E+02,
     &6.0370E+02,8.9101E+02,1.1783E+03,1.0134E+03,6.4109E+02,6.0383E+02,
     &8.9024E+02,1.1786E+03,1.1497E+03,8.8170E+02,6.0224E+02,8.8981E+02,
     &1.1767E+03/
      DATA ((KB(JS,JT,19,15),JS=1,5),JT=1,5) /
     &1.0261E+03,8.2130E+02,6.0625E+02,8.9236E+02,1.1802E+03,1.0077E+03,
     &7.8017E+02,6.0431E+02,8.9148E+02,1.1778E+03,1.0505E+03,7.5163E+02,
     &6.0422E+02,8.8995E+02,1.1782E+03,1.0498E+03,8.4163E+02,6.0302E+02,
     &8.9009E+02,1.1772E+03,9.4853E+02,7.1012E+02,6.0269E+02,8.8958E+02,
     &1.1765E+03/
      DATA ((KB(JS,JT,20,15),JS=1,5),JT=1,5) /
     &1.1198E+03,8.3291E+02,6.0532E+02,8.9221E+02,1.1814E+03,1.0146E+03,
     &7.0988E+02,6.0473E+02,8.9136E+02,1.1789E+03,9.8440E+02,8.3872E+02,
     &6.0345E+02,8.9080E+02,1.1781E+03,1.0595E+03,7.5621E+02,6.0286E+02,
     &8.8992E+02,1.1770E+03,1.0274E+03,8.1836E+02,6.0247E+02,8.8836E+02,
     &1.1749E+03/
      DATA ((KB(JS,JT,21,15),JS=1,5),JT=1,5) /
     &1.0788E+03,7.8645E+02,6.0506E+02,8.9207E+02,1.1799E+03,1.0852E+03,
     &7.4295E+02,6.0386E+02,8.9125E+02,1.1788E+03,1.0428E+03,8.2396E+02,
     &6.0333E+02,8.8973E+02,1.1780E+03,1.0018E+03,8.7387E+02,6.0336E+02,
     &8.9071E+02,1.1768E+03,1.1155E+03,7.9293E+02,6.0225E+02,8.8809E+02,
     &1.1746E+03/
      DATA ((KB(JS,JT,22,15),JS=1,5),JT=1,5) /
     &1.0301E+03,7.9445E+02,6.0539E+02,8.9186E+02,1.1797E+03,1.1174E+03,
     &6.8851E+02,6.0364E+02,8.8919E+02,1.1787E+03,1.0845E+03,7.2821E+02,
     &6.0320E+02,8.9053E+02,1.1779E+03,9.4182E+02,7.4129E+02,6.0185E+02,
     &8.8948E+02,1.1777E+03,1.1256E+03,7.4069E+02,6.0323E+02,8.8766E+02,
     &1.1740E+03/
      DATA ((KB(JS,JT,23,15),JS=1,5),JT=1,5) /
     &1.1218E+03,8.5968E+02,6.0443E+02,8.9167E+02,1.1795E+03,1.0449E+03,
     &8.0739E+02,6.0218E+02,8.9100E+02,1.1785E+03,1.1277E+03,6.9098E+02,
     &6.0306E+02,8.9036E+02,1.1777E+03,1.0580E+03,8.1384E+02,6.0228E+02,
     &8.8919E+02,1.1761E+03,1.0279E+03,8.2530E+02,6.0094E+02,8.8718E+02,
     &1.1734E+03/
      DATA ((KB(JS,JT,24,15),JS=1,5),JT=1,5) /
     &1.0227E+03,6.8179E+02,6.0412E+02,8.9149E+02,1.1792E+03,1.1518E+03,
     &8.0624E+02,6.0338E+02,8.9088E+02,1.1784E+03,1.0788E+03,7.0820E+02,
     &6.0290E+02,8.9016E+02,1.1787E+03,1.0466E+03,8.2233E+02,6.0268E+02,
     &8.8884E+02,1.1757E+03,1.0066E+03,8.2618E+02,6.0057E+02,8.8665E+02,
     &1.1740E+03/
      DATA ((KB(JS,JT,25,15),JS=1,5),JT=1,5) /
     &1.0780E+03,8.0937E+02,6.0386E+02,8.9131E+02,1.1790E+03,1.0199E+03,
     &8.1059E+02,6.0327E+02,8.9075E+02,1.1782E+03,1.1207E+03,8.0162E+02,
     &6.0338E+02,8.8992E+02,1.1771E+03,9.7495E+02,7.8589E+02,6.0305E+02,
     &8.8845E+02,1.1751E+03,9.5428E+02,8.0945E+02,6.0015E+02,8.8605E+02,
     &1.1720E+03/
      DATA ((KB(JS,JT,26,15),JS=1,5),JT=1,5) /
     &1.0862E+03,7.8235E+02,6.0361E+02,8.9115E+02,1.1801E+03,9.1581E+02,
     &8.2546E+02,6.0381E+02,8.9059E+02,1.1780E+03,1.0920E+03,8.4813E+02,
     &6.0253E+02,8.8964E+02,1.1767E+03,1.1174E+03,8.3078E+02,6.0207E+02,
     &8.8892E+02,1.1745E+03,1.1159E+03,7.5128E+02,5.9967E+02,8.8536E+02,
     &1.1723E+03/
      DATA ((KB(JS,JT,27,15),JS=1,5),JT=1,5) /
     &1.0835E+03,8.0424E+02,6.0343E+02,8.9101E+02,1.1786E+03,1.0910E+03,
     &8.6525E+02,6.0302E+02,8.9041E+02,1.1778E+03,1.0210E+03,7.7642E+02,
     &6.0231E+02,8.9027E+02,1.1763E+03,1.0645E+03,8.0598E+02,6.0105E+02,
     &8.8742E+02,1.1751E+03,1.0451E+03,8.2023E+02,5.9981E+02,8.8559E+02,
     &1.1701E+03/
      DATA ((KB(JS,JT,28,15),JS=1,5),JT=1,5) /
     &1.0856E+03,8.3991E+02,6.0332E+02,8.9088E+02,1.1784E+03,9.3268E+02,
     &7.0779E+02,6.0288E+02,8.9019E+02,1.1788E+03,1.1243E+03,7.6544E+02,
     &6.0205E+02,8.8894E+02,1.1758E+03,1.0096E+03,7.2189E+02,6.0064E+02,
     &8.8682E+02,1.1730E+03,8.8490E+02,8.3821E+02,5.9801E+02,8.8198E+02,
     &1.1692E+03/
      DATA ((KB(JS,JT,29,15),JS=1,5),JT=1,5) /
     &1.0218E+03,7.8897E+02,6.0322E+02,8.8978E+02,1.1783E+03,9.7223E+02,
     &7.0803E+02,6.0270E+02,8.8994E+02,1.1772E+03,1.0729E+03,7.1638E+02,
     &6.0175E+02,8.8850E+02,1.1752E+03,1.0369E+03,7.9357E+02,6.0017E+02,
     &8.8614E+02,1.1734E+03,1.0748E+03,8.3591E+02,5.9814E+02,8.8321E+02,
     &1.1671E+03/
      DATA ((KB(JS,JT,30,15),JS=1,5),JT=1,5) /
     &1.0681E+03,7.8838E+02,6.0311E+02,8.9058E+02,1.1780E+03,1.0690E+03,
     &8.1372E+02,6.0250E+02,8.8965E+02,1.1768E+03,1.0330E+03,7.9065E+02,
     &6.0271E+02,8.8800E+02,1.1759E+03,9.9812E+02,8.0751E+02,6.0032E+02,
     &8.8541E+02,1.1712E+03,1.0394E+03,7.1741E+02,5.9705E+02,8.8643E+02,
     &1.1676E+03/
      DATA ((KB(JS,JT,31,15),JS=1,5),JT=1,5) /
     &1.0025E+03,7.3187E+02,6.0298E+02,8.9039E+02,1.1778E+03,1.1099E+03,
     &7.4280E+02,6.0227E+02,8.8930E+02,1.1763E+03,1.0884E+03,7.9617E+02,
     &6.0102E+02,8.8838E+02,1.1738E+03,9.0245E+02,7.6637E+02,5.9915E+02,
     &8.8368E+02,1.1701E+03,1.0031E+03,7.8751E+02,5.9673E+02,8.9640E+02,
     &1.1644E+03/
      DATA ((KB(JS,JT,32,15),JS=1,5),JT=1,5) /
     &8.7663E+02,6.8400E+02,6.0283E+02,8.9016E+02,1.1775E+03,1.0467E+03,
     &8.3071E+02,6.0330E+02,8.8890E+02,1.1758E+03,9.7045E+02,7.2881E+02,
     &6.0123E+02,8.8677E+02,1.1730E+03,1.1080E+03,6.9141E+02,5.9860E+02,
     &8.8193E+02,1.1679E+03,1.0206E+03,7.3037E+02,5.9837E+02,8.8358E+02,
     &1.1726E+03/
      DATA ((KB(JS,JT,33,15),JS=1,5),JT=1,5) /
     &1.0520E+03,7.8807E+02,6.0265E+02,8.9086E+02,1.1771E+03,9.8139E+02,
     &8.1175E+02,6.0169E+02,8.8843E+02,1.1752E+03,1.1223E+03,7.5994E+02,
     &6.0074E+02,8.8510E+02,1.1720E+03,1.0271E+03,7.5564E+02,5.9806E+02,
     &8.8218E+02,1.1708E+03,1.0438E+03,7.8527E+02,5.9677E+02,8.8217E+02,
     &1.1682E+03/
      DATA ((KB(JS,JT,34,15),JS=1,5),JT=1,5) /
     &1.0293E+03,8.2175E+02,6.0313E+02,8.8963E+02,1.1768E+03,1.1086E+03,
     &8.0472E+02,6.0138E+02,8.8797E+02,1.1746E+03,1.0235E+03,7.2497E+02,
     &6.0029E+02,8.8634E+02,1.1724E+03,1.0022E+03,7.9360E+02,5.9703E+02,
     &8.8927E+02,1.1777E+03,1.1107E+03,8.4019E+02,5.9650E+02,8.8082E+02,
     &1.1651E+03/
      DATA ((KB(JS,JT,35,15),JS=1,5),JT=1,5) /
     &1.0782E+03,8.1052E+02,6.0236E+02,8.9138E+02,1.1766E+03,8.9922E+02,
     &7.4859E+02,6.0119E+02,8.8769E+02,1.1729E+03,1.0088E+03,7.1209E+02,
     &5.9938E+02,8.8499E+02,1.1706E+03,9.6175E+02,7.7055E+02,6.0072E+02,
     &8.7852E+02,1.1710E+03,1.0310E+03,8.4426E+02,5.9635E+02,8.8059E+02,
     &1.1648E+03/
      DATA ((KB(JS,JT,36,15),JS=1,5),JT=1,5) /
     &1.0188E+03,8.5190E+02,6.0234E+02,8.8943E+02,1.1765E+03,1.0154E+03,
     &7.6964E+02,6.0245E+02,8.8859E+02,1.1741E+03,1.0902E+03,7.7130E+02,
     &5.9998E+02,8.8588E+02,1.1705E+03,9.8172E+02,7.9246E+02,5.9876E+02,
     &8.9371E+02,1.1495E+03,1.0409E+03,7.5260E+02,5.9632E+02,8.8055E+02,
     &1.1660E+03/
      DATA ((KB(JS,JT,37,15),JS=1,5),JT=1,5) /
     &1.0398E+03,8.1024E+02,6.0310E+02,8.8960E+02,1.1767E+03,9.4253E+02,
     &7.2207E+02,6.0199E+02,8.8792E+02,1.1745E+03,1.1326E+03,7.8984E+02,
     &6.0024E+02,8.8532E+02,1.1710E+03,1.0789E+03,8.4320E+02,5.9634E+02,
     &8.8350E+02,1.1688E+03,1.0084E+03,8.2623E+02,5.9647E+02,8.8078E+02,
     &1.1651E+03/
      DATA ((KB(JS,JT,38,15),JS=1,5),JT=1,5) /
     &9.9835E+02,7.7031E+02,6.0321E+02,8.8977E+02,1.1782E+03,1.1135E+03,
     &7.3046E+02,6.0283E+02,8.8917E+02,1.1749E+03,1.0419E+03,7.2620E+02,
     &5.9987E+02,8.8669E+02,1.1716E+03,1.0631E+03,7.5245E+02,5.9721E+02,
     &8.8572E+02,1.1692E+03,1.0228E+03,7.3209E+02,5.9792E+02,8.8102E+02,
     &1.1654E+03/
      DATA ((KB(JS,JT,39,15),JS=1,5),JT=1,5) /
     &1.0910E+03,8.6853E+02,6.0266E+02,8.8992E+02,1.1772E+03,1.0519E+03,
     &7.3802E+02,6.0236E+02,8.8944E+02,1.1753E+03,9.0206E+02,8.2442E+02,
     &6.0079E+02,8.8708E+02,1.1721E+03,1.0954E+03,8.3033E+02,5.9811E+02,
     &8.8319E+02,1.1696E+03,9.2773E+02,7.9134E+02,5.9808E+02,8.8316E+02,
     &1.1657E+03/
      DATA ((KB(JS,JT,40,15),JS=1,5),JT=1,5) /
     &1.0887E+03,7.8119E+02,6.0281E+02,8.9016E+02,1.1775E+03,1.0361E+03,
     &7.8964E+02,6.0199E+02,8.8890E+02,1.1758E+03,1.0674E+03,8.1250E+02,
     &6.0058E+02,8.8678E+02,1.1730E+03,1.1076E+03,7.6250E+02,5.9989E+02,
     &8.8480E+02,1.1679E+03,1.1154E+03,8.3280E+02,5.9900E+02,8.8168E+02,
     &1.1814E+03/
      DATA ((KB(JS,JT,41,15),JS=1,5),JT=1,5) /
     &1.0350E+03,7.9893E+02,6.0296E+02,8.9038E+02,1.1778E+03,1.0104E+03,
     &6.9640E+02,6.0225E+02,8.8929E+02,1.1763E+03,1.0193E+03,7.8110E+02,
     &6.0100E+02,8.8741E+02,1.1751E+03,1.0785E+03,7.3450E+02,5.9977E+02,
     &8.8368E+02,1.1701E+03,9.6003E+02,8.0480E+02,5.9865E+02,9.0400E+02,
     &1.1833E+03/
      DATA ((KB(JS,JT,42,15),JS=1,5),JT=1,5) /
     &9.7569E+02,7.7685E+02,6.0307E+02,8.9056E+02,1.1793E+03,9.8796E+02,
     &8.3953E+02,6.0247E+02,8.8963E+02,1.1768E+03,1.0852E+03,8.2427E+02,
     &6.0332E+02,8.8798E+02,1.1746E+03,1.0360E+03,8.3188E+02,5.9965E+02,
     &8.8636E+02,1.1712E+03,1.0125E+03,7.4885E+02,5.9702E+02,8.8356E+02,
     &1.1676E+03/
      DATA ((KB(JS,JT,43,15),JS=1,5),JT=1,5) /
     &9.1082E+02,7.2514E+02,6.0320E+02,8.9075E+02,1.1796E+03,8.2029E+02,
     &8.0137E+02,6.0335E+02,8.8998E+02,1.1773E+03,1.1298E+03,7.8950E+02,
     &6.0243E+02,8.8859E+02,1.1754E+03,1.0717E+03,6.5904E+02,6.0090E+02,
     &8.8726E+02,1.1724E+03,8.9290E+02,7.8779E+02,5.9823E+02,8.8240E+02,
     &1.1774E+03/
      DATA ((KB(JS,JT,44,15),JS=1,5),JT=1,5) /
     &1.0292E+03,7.2935E+02,6.0266E+02,8.9093E+02,1.1785E+03,1.0616E+03,
     &7.6323E+02,6.0355E+02,8.9030E+02,1.1790E+03,1.0058E+03,8.2082E+02,
     &6.0215E+02,8.8915E+02,1.1762E+03,9.6216E+02,7.6914E+02,6.0084E+02,
     &8.8814E+02,1.1735E+03,1.0069E+03,7.6998E+02,5.9893E+02,8.8624E+02,
     &1.1672E+03/
      DATA ((KB(JS,JT,45,15),JS=1,5),JT=1,5) /
     &9.2082E+02,7.9879E+02,6.0350E+02,8.9110E+02,1.1788E+03,9.6551E+02,
     &7.9963E+02,6.0307E+02,8.9055E+02,1.1780E+03,1.0337E+03,7.6320E+02,
     &6.0246E+02,8.8962E+02,1.1768E+03,9.7219E+02,7.2677E+02,6.0201E+02,
     &8.8795E+02,1.1746E+03,1.0146E+03,8.0892E+02,5.9962E+02,8.8632E+02,
     &1.1711E+03/
      DATA ((KB(JS,JT,46,15),JS=1,5),JT=1,5) /
     &1.0772E+03,8.1655E+02,6.0383E+02,8.9135E+02,1.1792E+03,9.8671E+02,
     &7.3523E+02,6.0321E+02,8.9077E+02,1.1796E+03,1.0348E+03,8.4026E+02,
     &6.0272E+02,8.9002E+02,1.1773E+03,1.1018E+03,6.6661E+02,6.0312E+02,
     &8.8865E+02,1.1755E+03,1.0012E+03,7.1404E+02,6.0161E+02,8.8639E+02,
     &1.1725E+03/
      DATA ((KB(JS,JT,47,15),JS=1,5),JT=1,5) /
     &1.0560E+03,7.8520E+02,6.0429E+02,8.9072E+02,1.1796E+03,1.0627E+03,
     &8.2754E+02,6.0335E+02,8.9097E+02,1.1773E+03,1.0705E+03,7.6570E+02,
     &6.0295E+02,8.9038E+02,1.1791E+03,1.1051E+03,8.3346E+02,6.0225E+02,
     &8.9026E+02,1.1789E+03,1.0627E+03,7.9957E+02,6.0100E+02,8.8742E+02,
     &1.1738E+03/
      DATA ((KB(JS,JT,48,15),JS=1,5),JT=1,5) /
     &1.0526E+03,8.3431E+02,6.0478E+02,8.9205E+02,1.1801E+03,1.1375E+03,
     &7.4537E+02,6.0363E+02,8.9121E+02,1.1790E+03,1.0571E+03,7.7077E+02,
     &6.0313E+02,8.9066E+02,1.1782E+03,1.0694E+03,7.3604E+02,6.0258E+02,
     &8.8981E+02,1.1770E+03,1.1062E+03,6.6828E+02,6.0158E+02,8.8925E+02,
     &1.1750E+03/
      DATA ((KB(JS,JT,49,15),JS=1,5),JT=1,5) /
     &1.0727E+03,7.3859E+02,6.0462E+02,8.9249E+02,1.1807E+03,1.1006E+03,
     &8.4446E+02,6.0404E+02,8.9152E+02,1.1794E+03,9.6096E+02,7.3858E+02,
     &6.0393E+02,8.9088E+02,1.1785E+03,1.1140E+03,8.0464E+02,6.0285E+02,
     &8.9021E+02,1.1776E+03,1.0928E+03,7.5297E+02,6.0205E+02,8.8996E+02,
     &1.1760E+03/
      DATA ((KB(JS,JT,50,15),JS=1,5),JT=1,5) /
     &1.0626E+03,8.4953E+02,6.0572E+02,8.9295E+02,1.1814E+03,1.1017E+03,
     &7.1824E+02,6.0451E+02,8.9185E+02,1.1811E+03,1.0336E+03,7.1570E+02,
     &6.0345E+02,8.9107E+02,1.1800E+03,9.5200E+02,7.6482E+02,6.0304E+02,
     &8.9051E+02,1.1793E+03,9.6988E+02,8.3512E+02,6.0306E+02,8.8954E+02,
     &1.1767E+03/
      DATA ((KB(JS,JT,51,15),JS=1,5),JT=1,5) /
     &1.1017E+03,7.7329E+02,6.0615E+02,8.9371E+02,1.1825E+03,1.0950E+03,
     &8.1479E+02,6.0496E+02,8.9123E+02,1.1790E+03,9.9893E+02,6.9452E+02,
     &6.0377E+02,8.9131E+02,1.1791E+03,1.0704E+03,8.2834E+02,6.0319E+02,
     &8.9074E+02,1.1783E+03,1.0391E+03,8.0716E+02,6.0333E+02,8.9092E+02,
     &1.1772E+03/
      DATA ((KB(JS,JT,52,15),JS=1,5),JT=1,5) /
     &1.0358E+03,8.3681E+02,6.0593E+02,8.9390E+02,1.1828E+03,9.5423E+02,
     &7.8599E+02,6.0540E+02,8.9262E+02,1.1809E+03,9.8439E+02,8.3257E+02,
     &6.0417E+02,8.9064E+02,1.1795E+03,1.0548E+03,7.7074E+02,6.0331E+02,
     &8.9093E+02,1.1786E+03,1.0358E+03,8.1478E+02,6.0291E+02,8.9030E+02,
     &1.1777E+03/
      DATA ((KB(JS,JT,53,15),JS=1,5),JT=1,5) /
     &9.6204E+02,7.4448E+02,6.0716E+02,8.9629E+02,1.1860E+03,1.0872E+03,
     &7.5126E+02,6.0583E+02,8.9310E+02,1.1816E+03,9.0617E+02,7.5210E+02,
     &6.0463E+02,8.9194E+02,1.1800E+03,9.7991E+02,7.6565E+02,6.0352E+02,
     &8.9113E+02,1.1788E+03,1.0425E+03,7.6988E+02,6.0308E+02,8.9058E+02,
     &1.1793E+03/
      DATA ((KB(JS,JT,54,15),JS=1,5),JT=1,5) /
     &1.0112E+03,5.5645E+02,6.0785E+02,8.9766E+02,1.1878E+03,1.0637E+03,
     &6.6232E+02,6.0623E+02,8.9389E+02,1.1827E+03,8.8717E+02,6.3014E+02,
     &6.0503E+02,8.9226E+02,1.1804E+03,1.0369E+03,8.4103E+02,6.0384E+02,
     &8.9232E+02,1.1792E+03,1.0000E+03,7.0043E+02,6.0321E+02,8.9174E+02,
     &1.1783E+03/
      DATA ((KB(JS,JT,55,15),JS=1,5),JT=1,5) /
     &1.0615E+03,7.7920E+02,6.0858E+02,8.9903E+02,1.1896E+03,1.0425E+03,
     &7.8513E+02,6.0661E+02,8.9494E+02,1.1829E+03,1.0916E+03,7.3854E+02,
     &6.0542E+02,8.9361E+02,1.1809E+03,1.0715E+03,7.8936E+02,6.0420E+02,
     &8.9162E+02,1.1795E+03,9.6091E+02,8.2578E+02,6.0397E+02,8.9094E+02,
     &1.1773E+03/
      DATA ((KB(JS,JT,56,15),JS=1,5),JT=1,5) /
     &1.0458E+03,7.7242E+02,6.0942E+02,9.0044E+02,1.1915E+03,1.1062E+03,
     &7.7581E+02,6.0712E+02,8.9619E+02,1.1859E+03,1.0883E+03,8.0121E+02,
     &6.0580E+02,8.9306E+02,1.1815E+03,1.0726E+03,8.2069E+02,6.0459E+02,
     &8.9192E+02,1.1799E+03,1.1263E+03,7.8597E+02,6.0416E+02,8.9111E+02,
     &1.1788E+03/
      DATA ((KB(JS,JT,57,15),JS=1,5),JT=1,5) /
     &1.1095E+03,7.6988E+02,6.1034E+02,9.0190E+02,1.1935E+03,9.7543E+02,
     &7.2583E+02,6.0777E+02,8.9749E+02,1.1876E+03,9.8548E+02,7.8597E+02,
     &6.0618E+02,8.9378E+02,1.1826E+03,9.8213E+02,8.1053E+02,6.0499E+02,
     &8.9222E+02,1.1804E+03,1.0760E+03,8.1137E+02,6.0380E+02,8.9133E+02,
     &1.1791E+03/
      DATA ((KB(JS,JT,58,15),JS=1,5),JT=1,5) /
     &1.0034E+03,7.1059E+02,6.1128E+02,9.0333E+02,1.1954E+03,9.7431E+02,
     &8.0290E+02,6.0845E+02,8.9878E+02,1.1893E+03,9.5308E+02,7.7157E+02,
     &6.0654E+02,8.9474E+02,1.1839E+03,1.0737E+03,8.7404E+02,6.0535E+02,
     &8.9257E+02,1.1808E+03,1.0626E+03,6.7671E+02,6.0413E+02,8.9157E+02,
     &1.1782E+03/
      DATA ((KB(JS,JT,59,15),JS=1,5),JT=1,5) /
     &9.8325E+02,7.8258E+02,6.1167E+02,9.0392E+02,1.1962E+03,1.0481E+03,
     &7.4785E+02,6.0874E+02,8.9931E+02,1.1900E+03,1.1151E+03,7.3006E+02,
     &6.0669E+02,8.9518E+02,1.1820E+03,1.0425E+03,7.9358E+02,6.0550E+02,
     &8.9369E+02,1.1810E+03,9.7877E+02,7.9866E+02,6.0428E+02,8.9168E+02,
     &1.1796E+03/
      DATA ((KB(JS,JT,13,16),JS=1,5),JT=1,5) /
     &7.5523E+02,8.6786E+02,6.0838E+02,8.9385E+02,1.1815E+03,1.0580E+02,
     &5.2074E+02,6.0685E+02,8.9272E+02,1.1800E+03,8.8450E+02,9.9478E+01,
     &6.0069E+02,8.9217E+02,1.1793E+03,4.7883E+02,8.5714E+01,6.0445E+02,
     &8.9133E+02,1.1782E+03,3.0313E+02,3.9357E+01,6.0363E+02,8.9015E+02,
     &1.1767E+03/
      DATA ((KB(JS,JT,14,16),JS=1,5),JT=1,5) /
     &5.9250E+02,1.2538E+02,6.0779E+02,8.9359E+02,1.1813E+03,4.5021E+02,
     &3.0819E+02,6.0630E+02,8.9255E+02,1.1799E+03,3.8746E+02,3.1955E+02,
     &6.0482E+02,8.9198E+02,1.1792E+03,5.9123E+02,2.4014E+02,6.0415E+02,
     &8.9112E+02,1.1781E+03,4.7780E+02,4.1362E+02,6.0332E+02,8.8306E+02,
     &1.1765E+03/
      DATA ((KB(JS,JT,15,16),JS=1,5),JT=1,5) /
     &1.0202E+03,2.9221E+02,6.0727E+02,8.8647E+02,1.1812E+03,5.5435E+02,
     &5.8788E+02,6.0581E+02,8.9239E+02,1.1799E+03,3.1413E+02,7.5889E+02,
     &6.0450E+02,8.9181E+02,1.1791E+03,4.1436E+02,8.0717E+02,6.0389E+02,
     &8.9092E+02,1.1689E+03,8.4269E+02,2.7451E+02,6.0303E+02,8.8966E+02,
     &1.1582E+03/
      DATA ((KB(JS,JT,16,16),JS=1,5),JT=1,5) /
     &1.9456E+02,2.4351E+02,6.0682E+02,8.9311E+02,1.1719E+03,4.3800E+02,
     &2.1696E+02,6.0538E+02,8.9225E+02,1.1798E+03,7.3851E+02,2.2888E+02,
     &6.0428E+02,8.9164E+02,1.1790E+03,8.3650E+02,1.3309E+02,6.0366E+02,
     &8.9073E+02,1.1778E+03,6.5895E+02,3.6022E+02,5.9813E+02,8.8942E+02,
     &1.1670E+03/
      DATA ((KB(JS,JT,17,16),JS=1,5),JT=1,5) /
     &9.7890E+02,2.7257E+02,6.0643E+02,8.9290E+02,1.1808E+03,2.1678E+02,
     &3.6639E+02,6.0501E+02,8.9213E+02,1.1797E+03,3.6576E+02,6.4243E+02,
     &6.0409E+02,8.9150E+02,1.1789E+03,7.1301E+02,3.2666E+02,6.0345E+02,
     &8.9056E+02,1.1777E+03,3.0605E+02,6.8315E+02,5.9789E+02,8.8918E+02,
     &1.1668E+03/
      DATA ((KB(JS,JT,18,16),JS=1,5),JT=1,5) /
     &5.2238E+02,1.7591E+02,6.0609E+02,8.9271E+02,1.1807E+03,1.0253E+03,
     &7.5807E+02,6.0468E+02,8.9202E+02,1.1797E+03,2.3095E+02,3.1874E+02,
     &6.0392E+02,8.9136E+02,1.1788E+03,5.5144E+02,8.0452E+02,5.9863E+02,
     &8.9039E+02,1.1685E+03,3.6145E+02,2.1165E+02,6.0231E+02,8.8211E+02,
     &1.1666E+03/
      DATA ((KB(JS,JT,19,16),JS=1,5),JT=1,5) /
     &1.0124E+03,5.1143E+02,6.0113E+02,8.9253E+02,1.1805E+03,5.4199E+02,
     &2.6758E+02,6.0439E+02,8.9192E+02,1.1796E+03,6.1467E+02,7.8253E+02,
     &5.9913E+02,8.9123E+02,1.1787E+03,5.8906E+02,7.4398E+01,6.0311E+02,
     &8.9023E+02,1.1774E+03,9.8025E+02,2.8476E+02,5.9747E+02,8.8189E+02,
     &1.1663E+03/
      DATA ((KB(JS,JT,20,16),JS=1,5),JT=1,5) /
     &2.5361E+02,1.6739E+02,6.0550E+02,8.9234E+02,1.1712E+03,7.0227E+02,
     &7.1784E+02,5.9948E+02,8.9182E+02,1.1795E+03,8.9681E+02,2.4714E+02,
     &6.0364E+02,8.9109E+02,1.1786E+03,3.0123E+02,5.4911E+02,6.0295E+02,
     &8.9006E+02,1.1772E+03,6.8301E+02,3.6973E+02,5.9725E+02,8.8846E+02,
     &1.1750E+03/
      DATA ((KB(JS,JT,21,16),JS=1,5),JT=1,5) /
     &2.5236E+02,8.0202E+02,6.0523E+02,8.9218E+02,1.1801E+03,7.7221E+02,
     &6.2834E+02,6.0401E+02,8.9171E+02,1.1794E+03,7.0626E+02,2.0918E+02,
     &6.0351E+02,8.9096E+02,1.1784E+03,1.6217E+02,1.4134E+02,5.9816E+02,
     &8.8303E+02,1.1770E+03,5.1843E+02,2.0259E+02,5.9703E+02,8.8818E+02,
     &1.1747E+03/
      DATA ((KB(JS,JT,22,16),JS=1,5),JT=1,5) /
     &2.1890E+02,2.4577E+02,6.0023E+02,8.9209E+02,1.1799E+03,3.0771E+02,
     &5.5233E+02,6.0388E+02,8.9157E+02,1.1793E+03,1.7796E+02,4.8432E+02,
     &6.0334E+02,8.9076E+02,1.1782E+03,8.8899E+02,3.6751E+02,6.0258E+02,
     &8.8960E+02,1.1676E+03,3.7953E+02,5.6918E+02,5.8746E+02,8.8775E+02,
     &1.1742E+03/
      DATA ((KB(JS,JT,23,16),JS=1,5),JT=1,5) /
     &4.2018E+02,2.1434E+02,6.0456E+02,8.9198E+02,1.1798E+03,1.0252E+03,
     &3.2427E+02,6.0375E+02,8.9142E+02,1.1791E+03,2.5811E+02,6.1743E+02,
     &6.0318E+02,8.9055E+02,1.1779E+03,6.0449E+02,2.8100E+02,6.0235E+02,
     &8.8930E+02,1.1762E+03,4.3495E+02,1.8925E+02,6.0100E+02,8.8727E+02,
     &1.1735E+03/
      DATA ((KB(JS,JT,24,16),JS=1,5),JT=1,5) /
     &6.8497E+02,7.7568E+02,6.0423E+02,8.9188E+02,1.1797E+03,2.7378E+02,
     &4.3332E+02,6.0362E+02,8.9125E+02,1.1789E+03,4.4258E+02,4.8182E+02,
     &6.0301E+02,8.9032E+02,1.1686E+03,3.8603E+02,3.4135E+02,5.9747E+02,
     &8.8895E+02,1.1758E+03,3.9386E+02,5.4222E+02,6.0062E+02,8.8674E+02,
     &1.1638E+03/
      DATA ((KB(JS,JT,25,16),JS=1,5),JT=1,5) /
     &5.5482E+02,5.3022E+02,6.0394E+02,8.9175E+02,1.1796E+03,9.0002E+02,
     &9.1361E+01,6.0348E+02,8.9107E+02,1.1787E+03,1.7670E+02,5.1744E+02,
     &5.9819E+02,8.9007E+02,1.1773E+03,4.4153E+02,4.1376E+02,5.9256E+02,
     &8.8854E+02,1.1753E+03,2.4073E+02,2.1288E+02,6.0020E+02,8.8614E+02,
     &1.1721E+03/
      DATA ((KB(JS,JT,26,16),JS=1,5),JT=1,5) /
     &3.7725E+02,6.1445E+02,6.0383E+02,8.9161E+02,1.1703E+03,1.0269E+03,
     &4.2565E+02,5.9868E+02,8.9085E+02,1.1784E+03,4.9719E+02,2.6744E+02,
     &6.0261E+02,8.8977E+02,1.1769E+03,4.1684E+02,1.9443E+02,5.9685E+02,
     &8.8123E+02,1.1746E+03,3.2855E+02,5.7095E+02,5.9973E+02,8.8545E+02,
     &1.1622E+03/
      DATA ((KB(JS,JT,27,16),JS=1,5),JT=1,5) /
     &6.0914E+02,5.7105E+02,6.0371E+02,8.9145E+02,1.1792E+03,2.6439E+02,
     &1.5182E+02,6.0316E+02,8.9062E+02,1.1781E+03,7.3685E+02,6.9813E+02,
     &6.0238E+02,8.8259E+02,1.1765E+03,6.4054E+02,2.8524E+02,6.0110E+02,
     &8.8751E+02,1.1649E+03,7.5244E+02,5.0359E+02,5.9461E+02,8.7791E+02,
     &1.1702E+03/
      DATA ((KB(JS,JT,28,16),JS=1,5),JT=1,5) /
     &6.4046E+02,1.5170E+02,6.0358E+02,8.9127E+02,1.1790E+03,7.0429E+02,
     &2.3052E+02,6.0299E+02,8.9037E+02,1.1687E+03,4.4006E+02,4.1240E+02,
     &6.0212E+02,8.8904E+02,1.1760E+03,2.2398E+02,5.9419E+02,6.0069E+02,
     &8.8691E+02,1.1731E+03,5.5183E+02,1.3336E+02,5.9871E+02,8.7038E+02,
     &1.1692E+03/
      DATA ((KB(JS,JT,29,16),JS=1,5),JT=1,5) /
     &5.9987E+02,4.9106E+02,6.0344E+02,8.9107E+02,1.1787E+03,3.4384E+02,
     &9.6976E+01,6.0280E+02,8.9009E+02,1.1774E+03,5.4363E+02,2.0603E+02,
     &6.0181E+02,8.8860E+02,1.1754E+03,1.0391E+03,3.8775E+02,6.0023E+02,
     &8.8623E+02,1.1632E+03,2.2377E+02,1.7567E+02,5.9820E+02,8.8324E+02,
     &1.1684E+03/
      DATA ((KB(JS,JT,30,16),JS=1,5),JT=1,5) /
     &6.3138E+02,6.8455E+02,6.0329E+02,8.9085E+02,1.1784E+03,5.8332E+02,
     &2.1199E+02,6.0259E+02,8.8978E+02,1.1770E+03,3.3555E+02,4.6024E+02,
     &5.9221E+02,8.8809E+02,1.1657E+03,4.4733E+02,3.2696E+02,5.9512E+02,
     &8.8550E+02,1.1713E+03,7.9071E+02,7.2043E+02,5.9773E+02,8.5548E+02,
     &1.1586E+03/
      DATA ((KB(JS,JT,31,16),JS=1,5),JT=1,5) /
     &8.1471E+02,6.8414E+02,6.0312E+02,8.9060E+02,1.1781E+03,4.4722E+02,
     &7.3246E+02,6.0235E+02,8.8942E+02,1.1765E+03,4.8709E+02,2.4210E+02,
     &6.0108E+02,8.8068E+02,1.1739E+03,6.3873E+02,5.6888E+02,5.9920E+02,
     &8.8472E+02,1.1702E+03,7.2647E+02,2.6020E+02,5.9739E+02,7.8035E+02,
     &1.1669E+03/
      DATA ((KB(JS,JT,32,16),JS=1,5),JT=1,5) /
     &1.0219E+03,2.9652E+02,6.0294E+02,8.9034E+02,1.1777E+03,7.5833E+02,
     &1.3311E+02,5.9281E+02,8.8900E+02,1.1759E+03,5.4275E+02,3.1460E+02,
     &5.9602E+02,8.8686E+02,1.1731E+03,2.8731E+02,1.5124E+02,5.9865E+02,
     &8.7712E+02,1.1692E+03,7.9004E+02,6.3514E+02,5.8791E+02,8.6135E+02,
     &1.1214E+03/
      DATA ((KB(JS,JT,33,16),JS=1,5),JT=1,5) /
     &4.2295E+02,5.2022E+02,6.0275E+02,8.8319E+02,1.1773E+03,7.2614E+02,
     &3.3266E+02,6.0175E+02,8.8169E+02,1.1753E+03,3.6703E+02,2.2982E+02,
     &5.9554E+02,8.8614E+02,1.1721E+03,2.3137E+02,3.2656E+02,5.9813E+02,
     &8.8315E+02,1.1503E+03,9.8125E+02,6.0471E+02,5.9681E+02,8.6770E+02,
     &1.1478E+03/
      DATA ((KB(JS,JT,34,16),JS=1,5),JT=1,5) /
     &4.4676E+02,1.6327E+02,5.9792E+02,8.8976E+02,1.1770E+03,2.7122E+02,
     &5.2002E+02,6.0144E+02,8.8807E+02,1.1747E+03,8.9338E+02,3.7487E+02,
     &5.9509E+02,8.7866E+02,1.1622E+03,4.3071E+02,5.6832E+02,5.8850E+02,
     &8.3509E+02,1.0958E+03,2.0737E+02,3.5064E+02,5.9655E+02,8.8088E+02,
     &1.1652E+03/
      DATA ((KB(JS,JT,35,16),JS=1,5),JT=1,5) /
     &7.9758E+01,1.0278E+02,6.0244E+02,8.7589E+02,1.1767E+03,5.2637E+02,
     &5.6826E+02,6.0124E+02,8.8778E+02,1.1743E+03,4.3064E+02,2.9620E+02,
     &5.9943E+02,8.8508E+02,1.1707E+03,2.1531E+02,7.4954E+02,5.7453E+02,
     &8.6197E+02,1.1223E+03,8.5323E+02,2.7200E+02,5.9640E+02,8.8066E+02,
     &1.1649E+03/
      DATA ((KB(JS,JT,36,16),JS=1,5),JT=1,5) /
     &9.9678E+02,2.1760E+02,6.0242E+02,8.8955E+02,1.1767E+03,9.0902E+02,
     &4.0496E+02,5.9196E+02,8.8090E+02,1.1742E+03,3.8273E+02,6.0439E+02,
     &5.9478E+02,8.7820E+02,1.1706E+03,8.4516E+02,2.5383E+02,5.8829E+02,
     &7.9406E+02,1.1312E+03,4.5445E+02,4.1700E+02,5.9637E+02,8.8062E+02,
     &1.1559E+03/
      DATA ((KB(JS,JT,37,16),JS=1,5),JT=1,5) /
     &6.2987E+02,4.4723E+02,5.9790E+02,8.8973E+02,1.1769E+03,8.0524E+02,
     &6.8894E+02,5.9677E+02,8.8802E+02,1.1746E+03,1.8337E+02,4.5323E+02,
     &5.9504E+02,8.8541E+02,1.1712E+03,5.0224E+02,1.6920E+02,5.9765E+02,
     &8.6220E+02,1.1586E+03,8.5299E+02,2.2358E+02,5.9652E+02,8.8084E+02,
     &1.1652E+03/
      DATA ((KB(JS,JT,38,16),JS=1,5),JT=1,5) /
     &9.1678E+02,4.7738E+02,5.9801E+02,8.8990E+02,1.1681E+03,4.7033E+02,
     &3.9881E+02,5.9234E+02,8.8147E+02,1.1750E+03,6.9352E+02,6.6467E+02,
     &5.9993E+02,8.7901E+02,1.1717E+03,4.8625E+02,3.2628E+02,5.9330E+02,
     &8.6251E+02,1.1590E+03,3.1087E+02,4.4108E+02,5.8749E+02,8.8107E+02,
     &1.1655E+03/
      DATA ((KB(JS,JT,39,16),JS=1,5),JT=1,5) /
     &3.5870E+02,1.1480E+02,6.0275E+02,8.9007E+02,1.1774E+03,3.7464E+02,
     &7.8547E+02,5.9714E+02,8.8174E+02,1.1754E+03,1.0123E+03,3.0814E+02,
     &5.9558E+02,8.7940E+02,1.1722E+03,1.7535E+02,9.6668E+01,5.9817E+02,
     &8.8323E+02,1.1594E+03,3.6664E+02,5.6187E+02,5.8764E+02,8.6774E+02,
     &1.1658E+03/
      DATA ((KB(JS,JT,40,16),JS=1,5),JT=1,5) /
     &4.8620E+02,5.7396E+02,6.0293E+02,8.9033E+02,1.1777E+03,9.4847E+02,
     &6.2832E+02,6.0206E+02,8.8901E+02,1.1760E+03,5.4197E+02,5.1352E+02,
     &6.0063E+02,8.8687E+02,1.1731E+03,2.1519E+02,6.1017E+02,5.8944E+02,
     &8.6354E+02,1.1692E+03,2.7098E+02,3.3831E+02,5.8331E+02,8.8170E+02,
     &1.0587E+03/
      DATA ((KB(JS,JT,41,16),JS=1,5),JT=1,5) /
     &1.4346E+02,2.6582E+02,6.0309E+02,8.9059E+02,1.1781E+03,7.6510E+02,
     &7.0682E+02,6.0232E+02,8.8941E+02,1.1765E+03,6.2163E+02,1.6311E+02,
     &6.0105E+02,8.8750E+02,1.1649E+03,8.7665E+01,1.9331E+02,5.9457E+02,
     &8.8472E+02,1.1703E+03,1.0041E+03,4.4098E+02,5.8818E+02,7.2606E+02,
     &1.0412E+03/
      DATA ((KB(JS,JT,42,16),JS=1,5),JT=1,5) /
     &6.6944E+02,4.1079E+02,6.0325E+02,8.9083E+02,1.1693E+03,5.1801E+02,
     &2.5976E+02,6.0255E+02,8.8976E+02,1.1770E+03,2.3111E+02,2.7788E+02,
     &5.8293E+02,8.8808E+02,1.1747E+03,4.4627E+02,3.5036E+02,5.9971E+02,
     &8.7868E+02,1.1713E+03,7.5706E+02,7.7924E+02,5.9310E+02,8.7584E+02,
     &1.1676E+03/
      DATA ((KB(JS,JT,43,16),JS=1,5),JT=1,5) /
     &6.0566E+02,1.0873E+02,6.0342E+02,8.9110E+02,1.1697E+03,9.2441E+02,
     &6.4634E+02,5.9816E+02,8.9014E+02,1.1775E+03,1.8329E+02,3.5035E+02,
     &5.9722E+02,8.8869E+02,1.1755E+03,3.4266E+02,1.7517E+02,5.9569E+02,
     &8.7957E+02,1.1725E+03,9.2438E+02,9.0606E+01,5.9829E+02,8.8341E+02,
     &1.1057E+03/
      DATA ((KB(JS,JT,44,16),JS=1,5),JT=1,5) /
     &3.8251E+02,1.9934E+02,6.0359E+02,8.9135E+02,1.1791E+03,4.8609E+02,
     &7.1881E+02,5.9839E+02,8.9050E+02,1.1689E+03,5.4984E+02,1.9933E+02,
     &5.9759E+02,8.8926E+02,1.1763E+03,8.5264E+02,6.4027E+02,6.0090E+02,
     &8.8045E+02,1.1736E+03,8.8451E+02,4.9530E+02,5.9898E+02,8.7082E+02,
     &1.1699E+03/
      DATA ((KB(JS,JT,45,16),JS=1,5),JT=1,5) /
     &6.6936E+02,5.1946E+02,6.0373E+02,8.9157E+02,1.1794E+03,9.5622E+02,
     &6.6442E+02,6.0324E+02,8.9082E+02,1.1784E+03,7.0122E+02,2.5973E+02,
     &6.0254E+02,8.8974E+02,1.1769E+03,1.3546E+02,4.7717E+02,5.9679E+02,
     &8.8805E+02,1.1747E+03,4.4623E+02,4.7716E+02,5.9968E+02,8.7864E+02,
     &1.1712E+03/
      DATA ((KB(JS,JT,46,16),JS=1,5),JT=1,5) /
     &1.6734E+02,1.1476E+02,6.0389E+02,8.9176E+02,1.1797E+03,4.1435E+02,
     &5.9796E+02,6.0344E+02,8.9112E+02,1.1697E+03,7.8886E+02,1.3892E+02,
     &6.0282E+02,8.9018E+02,1.1775E+03,4.8606E+02,7.6103E+02,5.9263E+02,
     &8.8876E+02,1.1756E+03,7.7291E+02,6.8855E+02,5.9113E+02,8.8648E+02,
     &1.1726E+03/
      DATA ((KB(JS,JT,47,16),JS=1,5),JT=1,5) /
     &8.0479E+02,7.0064E+02,6.0443E+02,8.9194E+02,1.1799E+03,7.4901E+02,
     &3.5032E+02,6.0363E+02,8.9142E+02,1.1792E+03,6.2948E+02,4.8923E+02,
     &6.0309E+02,8.9059E+02,1.1690E+03,8.7648E+01,3.6239E+02,6.0232E+02,
     &8.8257E+02,1.1584E+03,4.4621E+02,4.2279E+02,6.0106E+02,8.8751E+02,
     &1.1740E+03/
      DATA ((KB(JS,JT,48,16),JS=1,5),JT=1,5) /
     &3.9044E+02,3.1407E+02,6.0497E+02,8.9220E+02,1.1803E+03,2.8685E+02,
     &5.0131E+02,6.0379E+02,8.9166E+02,1.1795E+03,3.8246E+02,7.0665E+02,
     &6.0333E+02,8.9096E+02,1.1786E+03,4.7011E+02,6.1002E+02,6.0267E+02,
     &8.8995E+02,1.1772E+03,3.6652E+02,6.3417E+02,6.0164E+02,8.8155E+02,
     &1.1751E+03/
      DATA ((KB(JS,JT,49,16),JS=1,5),JT=1,5) /
     &7.6492E+02,9.6636E+01,6.0550E+02,8.9270E+02,1.1810E+03,2.3107E+02,
     &1.9931E+02,6.0416E+02,8.9186E+02,1.1798E+03,8.6850E+02,3.0199E+02,
     &5.9890E+02,8.9128E+02,1.1790E+03,2.7091E+02,2.2951E+02,6.0296E+02,
     &8.9040E+02,1.1778E+03,4.5416E+02,5.3149E+02,6.0212E+02,8.8227E+02,
     &1.1761E+03/
      DATA ((KB(JS,JT,50,16),JS=1,5),JT=1,5) /
     &3.9042E+02,1.2079E+02,6.0601E+02,8.9316E+02,1.1816E+03,3.8245E+02,
     &7.3080E+02,6.0467E+02,8.9201E+02,1.1709E+03,1.9919E+02,5.0733E+02,
     &6.0370E+02,8.9153E+02,1.1703E+03,5.2587E+02,4.1673E+02,6.0320E+02,
     &8.9076E+02,1.1693E+03,2.5497E+02,9.0594E+01,5.9785E+02,8.8966E+02,
     &1.1768E+03/
      DATA ((KB(JS,JT,51,16),JS=1,5),JT=1,5) /
     &3.5058E+02,5.6772E+02,6.0650E+02,8.9405E+02,1.1830E+03,3.9839E+02,
     &5.2545E+02,6.0516E+02,8.9238E+02,1.1806E+03,6.9319E+02,6.5831E+02,
     &6.0384E+02,8.9174E+02,1.1796E+03,6.6132E+02,4.2881E+02,6.0341E+02,
     &8.9108E+02,1.1788E+03,8.0473E+02,4.9524E+02,5.9814E+02,8.8327E+02,
     &1.1775E+03/
      DATA ((KB(JS,JT,52,16),JS=1,5),JT=1,5) /
     &7.5693E+02,3.2010E+02,6.0698E+02,8.9551E+02,1.1849E+03,9.8002E+02,
     &7.4890E+02,6.0565E+02,8.9283E+02,1.1812E+03,4.2228E+02,3.2613E+02,
     &6.0430E+02,8.9190E+02,1.1799E+03,4.3025E+02,7.0662E+02,6.0359E+02,
     &8.9136E+02,1.1791E+03,8.1269E+02,5.6167E+02,6.0303E+02,8.9051E+02,
     &1.1780E+03/
      DATA ((KB(JS,JT,53,16),JS=1,5),JT=1,5) /
     &9.8002E+02,6.1603E+02,6.0747E+02,8.9705E+02,1.1870E+03,2.8683E+02,
     &4.2277E+02,6.0613E+02,8.9328E+02,1.1818E+03,4.5415E+02,6.8246E+02,
     &6.0479E+02,8.9204E+02,1.1801E+03,7.8879E+02,4.8920E+02,6.0374E+02,
     &8.9159E+02,1.1794E+03,7.6488E+02,1.4495E+02,6.0326E+02,8.9085E+02,
     &1.1694E+03/
      DATA ((KB(JS,JT,54,16),JS=1,5),JT=1,5) /
     &6.7724E+02,7.6701E+02,6.0808E+02,8.9852E+02,1.1890E+03,8.1269E+02,
     &2.4762E+02,6.0658E+02,8.9430E+02,1.1833E+03,9.4813E+02,6.3414E+02,
     &6.0524E+02,8.9246E+02,1.1807E+03,4.9398E+02,2.8989E+02,6.0390E+02,
     &8.8491E+02,1.1797E+03,8.9236E+02,2.7781E+02,6.0344E+02,8.8428E+02,
     &1.1788E+03/
      DATA ((KB(JS,JT,55,16),JS=1,5),JT=1,5) /
     &5.2586E+02,7.7305E+02,6.0906E+02,8.9999E+02,1.1909E+03,5.4179E+02,
     &6.4018E+02,6.0701E+02,8.9560E+02,1.1851E+03,5.0992E+02,6.0394E+02,
     &6.0567E+02,8.8598E+02,1.1812E+03,6.3740E+02,4.4088E+02,6.0433E+02,
     &8.9191E+02,1.1799E+03,4.9398E+02,3.7444E+02,5.9895E+02,8.9137E+02,
     &1.1791E+03/
      DATA ((KB(JS,JT,56,16),JS=1,5),JT=1,5) /
     &9.0829E+02,2.7177E+02,6.1007E+02,9.0151E+02,1.1929E+03,3.5854E+02,
     &2.4158E+02,6.0744E+02,8.9694E+02,1.1869E+03,5.9756E+02,4.7107E+02,
     &6.0610E+02,8.9325E+02,1.1817E+03,5.2585E+02,3.5632E+02,6.0476E+02,
     &8.9203E+02,1.1801E+03,2.7886E+02,2.4761E+02,5.9909E+02,8.9157E+02,
     &1.1794E+03/
      DATA ((KB(JS,JT,57,16),JS=1,5),JT=1,5) /
     &3.4260E+02,6.6433E+02,6.1112E+02,9.0308E+02,1.1950E+03,6.6130E+02,
     &4.5295E+02,6.0796E+02,8.9834E+02,1.1887E+03,6.9317E+02,4.2880E+02,
     &6.0653E+02,8.9415E+02,1.1831E+03,2.7089E+02,2.8385E+02,6.0519E+02,
     &8.9241E+02,1.1806E+03,6.6926E+02,3.4424E+02,6.0385E+02,8.9175E+02,
     &1.1797E+03/
      DATA ((KB(JS,JT,58,16),JS=1,5),JT=1,5) /
     &9.6406E+02,2.5365E+02,6.1214E+02,9.0462E+02,1.1971E+03,3.1073E+02,
     &2.8385E+02,6.0888E+02,8.9972E+02,1.1906E+03,9.6405E+02,5.7374E+02,
     &6.0693E+02,8.9536E+02,1.1848E+03,6.9316E+02,1.3891E+02,6.0560E+02,
     &8.9278E+02,1.1811E+03,5.9755E+02,7.5492E+02,6.0426E+02,8.9189E+02,
     &1.1798E+03/
      DATA ((KB(JS,JT,59,16),JS=1,5),JT=1,5) /
     &9.2422E+02,3.9860E+02,6.1256E+02,9.0525E+02,1.1979E+03,7.8877E+02,
     &4.2275E+02,6.0926E+02,9.0029E+02,1.1913E+03,3.5853E+02,6.5225E+02,
     &6.0710E+02,8.9586E+02,1.1854E+03,5.4975E+02,5.0730E+02,6.0576E+02,
     &8.8606E+02,1.1813E+03,5.2585E+02,6.2205E+02,6.0442E+02,8.9194E+02,
     &1.1799E+03/

