C     path:      $Source: /storm/rc1/cvsroot/rc/rrtm_sw/src/k_gB29.f,v $
C     author:    $Author: jdelamer $
C     revision:  $Revision: 2.3 $
C     created:   $Date: 2004/04/15 18:50:57 $
C
C  --------------------------------------------------------------------------
C |                                                                          |
C |  Copyright 2002, 2003, Atmospheric & Environmental Research, Inc. (AER). |
C |  This software may be used, copied, or redistributed as long as it is    |
C |  not sold and this copyright notice is reproduced on each copy made.     |
C |  This model is provided as is without any express or implied warranties. |
C |                       (http://www.rtweb.aer.com/)                        |
C |                                                                          |
C  --------------------------------------------------------------------------

      PARAMETER (MG = 16)
      REAL KA(5,13,MG),KB(5,13:59,MG)
      DIMENSION SELFREF(10,MG),FORREF(4,MG)

      COMMON /CVRSN29/ HNAMKG29,HVRKG29
      COMMON /K29/ KA ,KB, SELFREF, FORREF

      CHARACTER*18 HNAMKG29,HVRKG29

      DATA HNAMKG29 / '        k_gb29.f:' /
      DATA HVRKG29 /'$Revision: 2.3 $'/

C     The array KA contains absorption coefs at the 16 chosen g-values 
C     for a range of pressure levels > ~100mb and temperatures.  The first
C     index in the array, JT, which runs from 1 to 5, corresponds to 
C     different temperatures.  More specifically, JT = 3 means that the 
C     data are for the corresponding TREF for this  pressure level, 
C     JT = 2 refers to the temperatureTREF-15, JT = 1 is for TREF-30, 
C     JT = 4 is for TREF+15, and JT = 5 is for TREF+30.  The second 
C     index, JP, runs from 1 to 13 and refers to the corresponding 
C     pressure level in PREF (e.g. JP = 1 is for a pressure of 1053.63 mb).  
C     The third index, IG, goes from 1 to 16, and tells us which 
C     g-interval the absorption coefficients are for.
      DATA (KA(JT, 1, 1),JT=1,5) /
     &1.1565E-04,1.0123E-04,9.0804E-05,8.2282E-05,7.1083E-05/
      DATA (KA(JT, 2, 1),JT=1,5) /
     &9.6434E-05,8.2830E-05,7.2366E-05,6.1803E-05,5.2497E-05/
      DATA (KA(JT, 3, 1),JT=1,5) /
     &6.4539E-05,5.6659E-05,4.6605E-05,3.9815E-05,3.7118E-05/
      DATA (KA(JT, 4, 1),JT=1,5) /
     &3.4417E-05,2.7113E-05,2.5362E-05,3.0345E-05,3.6275E-05/
      DATA (KA(JT, 5, 1),JT=1,5) /
     &1.2260E-05,1.5856E-05,2.0834E-05,2.7363E-05,3.6114E-05/
      DATA (KA(JT, 6, 1),JT=1,5) /
     &1.0221E-05,1.4598E-05,1.9695E-05,2.5976E-05,3.3702E-05/
      DATA (KA(JT, 7, 1),JT=1,5) /
     &9.7563E-06,1.3809E-05,2.0231E-05,2.7238E-05,3.6110E-05/
      DATA (KA(JT, 8, 1),JT=1,5) /
     &1.4062E-05,1.9587E-05,2.7069E-05,3.6937E-05,4.9415E-05/
      DATA (KA(JT, 9, 1),JT=1,5) /
     &3.6371E-05,4.8122E-05,6.1586E-05,7.7647E-05,9.9897E-05/
      DATA (KA(JT,10, 1),JT=1,5) /
     &9.9203E-05,1.2842E-04,1.6588E-04,2.0834E-04,2.6000E-04/
      DATA (KA(JT,11, 1),JT=1,5) /
     &1.3233E-04,1.7318E-04,2.2059E-04,2.8904E-04,3.6062E-04/
      DATA (KA(JT,12, 1),JT=1,5) /
     &1.3379E-04,1.7484E-04,2.3687E-04,3.0286E-04,3.7504E-04/
      DATA (KA(JT,13, 1),JT=1,5) /
     &1.1740E-04,1.5667E-04,2.0962E-04,2.6768E-04,3.3485E-04/
      DATA (KA(JT, 1, 2),JT=1,5) /
     &1.0246E-04,1.0450E-04,9.7383E-05,9.6398E-05,1.0549E-04/
      DATA (KA(JT, 2, 2),JT=1,5) /
     &1.0589E-04,1.0240E-04,9.5801E-05,9.8509E-05,1.1993E-04/
      DATA (KA(JT, 3, 2),JT=1,5) /
     &9.4054E-05,8.7009E-05,1.0941E-04,1.3486E-04,1.5918E-04/
      DATA (KA(JT, 4, 2),JT=1,5) /
     &1.1883E-04,1.4236E-04,1.6636E-04,1.8235E-04,1.9785E-04/
      DATA (KA(JT, 5, 2),JT=1,5) /
     &1.7800E-04,1.9347E-04,2.0977E-04,2.2730E-04,2.5111E-04/
      DATA (KA(JT, 6, 2),JT=1,5) /
     &2.2243E-04,2.4157E-04,2.6567E-04,2.8549E-04,3.0723E-04/
      DATA (KA(JT, 7, 2),JT=1,5) /
     &2.9248E-04,3.2242E-04,3.4635E-04,3.7915E-04,4.0803E-04/
      DATA (KA(JT, 8, 2),JT=1,5) /
     &4.3386E-04,4.8611E-04,5.2681E-04,5.6812E-04,6.0642E-04/
      DATA (KA(JT, 9, 2),JT=1,5) /
     &8.9109E-04,1.0345E-03,1.1794E-03,1.3045E-03,1.4303E-03/
      DATA (KA(JT,10, 2),JT=1,5) /
     &2.1538E-03,2.4459E-03,2.7329E-03,3.0932E-03,3.5253E-03/
      DATA (KA(JT,11, 2),JT=1,5) /
     &2.9272E-03,3.2676E-03,3.6353E-03,4.0062E-03,4.5441E-03/
      DATA (KA(JT,12, 2),JT=1,5) /
     &3.0762E-03,3.4365E-03,3.8146E-03,4.1556E-03,4.7164E-03/
      DATA (KA(JT,13, 2),JT=1,5) /
     &2.7808E-03,3.1114E-03,3.4383E-03,3.7954E-03,4.2576E-03/
      DATA (KA(JT, 1, 3),JT=1,5) /
     &2.4042E-04,3.2719E-04,4.4370E-04,5.6836E-04,7.0357E-04/
      DATA (KA(JT, 2, 3),JT=1,5) /
     &2.3303E-04,3.1901E-04,4.1926E-04,5.2400E-04,6.2365E-04/
      DATA (KA(JT, 3, 3),JT=1,5) /
     &3.5050E-04,4.2158E-04,4.7490E-04,5.3390E-04,6.0411E-04/
      DATA (KA(JT, 4, 3),JT=1,5) /
     &4.9954E-04,5.3067E-04,5.6338E-04,6.0859E-04,6.6569E-04/
      DATA (KA(JT, 5, 3),JT=1,5) /
     &6.6908E-04,6.9727E-04,7.2898E-04,7.6756E-04,8.0358E-04/
      DATA (KA(JT, 6, 3),JT=1,5) /
     &8.8634E-04,9.2853E-04,9.6856E-04,1.0101E-03,1.0556E-03/
      DATA (KA(JT, 7, 3),JT=1,5) /
     &1.1659E-03,1.2355E-03,1.3238E-03,1.3889E-03,1.4491E-03/
      DATA (KA(JT, 8, 3),JT=1,5) /
     &1.7485E-03,1.8223E-03,1.9411E-03,2.0705E-03,2.2025E-03/
      DATA (KA(JT, 9, 3),JT=1,5) /
     &4.2442E-03,4.3561E-03,4.5061E-03,4.7505E-03,5.0358E-03/
      DATA (KA(JT,10, 3),JT=1,5) /
     &1.0940E-02,1.1499E-02,1.1906E-02,1.2570E-02,1.2803E-02/
      DATA (KA(JT,11, 3),JT=1,5) /
     &1.4287E-02,1.5010E-02,1.5581E-02,1.6054E-02,1.6609E-02/
      DATA (KA(JT,12, 3),JT=1,5) /
     &1.4856E-02,1.5546E-02,1.6074E-02,1.6478E-02,1.7057E-02/
      DATA (KA(JT,13, 3),JT=1,5) /
     &1.3257E-02,1.3834E-02,1.4155E-02,1.4723E-02,1.5095E-02/
      DATA (KA(JT, 1, 4),JT=1,5) /
     &2.4391E-03,2.8720E-03,3.3497E-03,3.8926E-03,4.5054E-03/
      DATA (KA(JT, 2, 4),JT=1,5) /
     &2.2506E-03,2.6004E-03,3.0002E-03,3.4490E-03,3.9579E-03/
      DATA (KA(JT, 3, 4),JT=1,5) /
     &2.2153E-03,2.5711E-03,2.9320E-03,3.3330E-03,3.7728E-03/
      DATA (KA(JT, 4, 4),JT=1,5) /
     &2.2483E-03,2.5445E-03,2.8745E-03,3.2484E-03,3.6554E-03/
      DATA (KA(JT, 5, 4),JT=1,5) /
     &2.3388E-03,2.5985E-03,2.8914E-03,3.2377E-03,3.6113E-03/
      DATA (KA(JT, 6, 4),JT=1,5) /
     &2.4669E-03,2.6579E-03,2.8834E-03,3.1538E-03,3.4593E-03/
      DATA (KA(JT, 7, 4),JT=1,5) /
     &3.2536E-03,3.3413E-03,3.4375E-03,3.5905E-03,3.8010E-03/
      DATA (KA(JT, 8, 4),JT=1,5) /
     &5.1228E-03,5.1967E-03,5.2820E-03,5.3446E-03,5.3797E-03/
      DATA (KA(JT, 9, 4),JT=1,5) /
     &1.3029E-02,1.3065E-02,1.2891E-02,1.2848E-02,1.2777E-02/
      DATA (KA(JT,10, 4),JT=1,5) /
     &2.9911E-02,3.0117E-02,2.8340E-02,2.7321E-02,2.7485E-02/
      DATA (KA(JT,11, 4),JT=1,5) /
     &3.6663E-02,3.6877E-02,3.4688E-02,3.3004E-02,3.2437E-02/
      DATA (KA(JT,12, 4),JT=1,5) /
     &3.7282E-02,3.7775E-02,3.4910E-02,3.3463E-02,3.3074E-02/
      DATA (KA(JT,13, 4),JT=1,5) /
     &3.3412E-02,3.2961E-02,3.0323E-02,2.9437E-02,2.9572E-02/
      DATA (KA(JT, 1, 5),JT=1,5) /
     &2.0792E-02,2.2727E-02,2.5207E-02,2.7650E-02,2.9866E-02/
      DATA (KA(JT, 2, 5),JT=1,5) /
     &1.7515E-02,1.9421E-02,2.1509E-02,2.3389E-02,2.5418E-02/
      DATA (KA(JT, 3, 5),JT=1,5) /
     &1.4912E-02,1.6535E-02,1.8159E-02,1.9873E-02,2.1718E-02/
      DATA (KA(JT, 4, 5),JT=1,5) /
     &1.3498E-02,1.4786E-02,1.6253E-02,1.7812E-02,1.9494E-02/
      DATA (KA(JT, 5, 5),JT=1,5) /
     &1.2840E-02,1.3983E-02,1.5257E-02,1.6617E-02,1.8015E-02/
      DATA (KA(JT, 6, 5),JT=1,5) /
     &1.2557E-02,1.3714E-02,1.4939E-02,1.6145E-02,1.7356E-02/
      DATA (KA(JT, 7, 5),JT=1,5) /
     &1.1839E-02,1.2951E-02,1.4090E-02,1.5237E-02,1.6396E-02/
      DATA (KA(JT, 8, 5),JT=1,5) /
     &1.3190E-02,1.3998E-02,1.4783E-02,1.5641E-02,1.6632E-02/
      DATA (KA(JT, 9, 5),JT=1,5) /
     &2.4479E-02,2.4660E-02,2.5206E-02,2.5571E-02,2.6098E-02/
      DATA (KA(JT,10, 5),JT=1,5) /
     &6.2373E-02,6.0241E-02,6.1372E-02,6.1530E-02,6.0978E-02/
      DATA (KA(JT,11, 5),JT=1,5) /
     &7.6394E-02,7.3727E-02,7.4701E-02,7.5649E-02,7.5608E-02/
      DATA (KA(JT,12, 5),JT=1,5) /
     &7.6656E-02,7.3608E-02,7.5610E-02,7.6362E-02,7.6033E-02/
      DATA (KA(JT,13, 5),JT=1,5) /
     &6.6025E-02,6.4890E-02,6.6873E-02,6.6992E-02,6.6685E-02/
      DATA (KA(JT, 1, 6),JT=1,5) /
     &9.9799E-02,1.0479E-01,1.0918E-01,1.1347E-01,1.1767E-01/
      DATA (KA(JT, 2, 6),JT=1,5) /
     &8.7946E-02,9.1820E-02,9.5208E-02,9.9071E-02,1.0286E-01/
      DATA (KA(JT, 3, 6),JT=1,5) /
     &7.6753E-02,8.0377E-02,8.4204E-02,8.7924E-02,9.1370E-02/
      DATA (KA(JT, 4, 6),JT=1,5) /
     &6.7002E-02,7.0630E-02,7.3736E-02,7.6764E-02,7.9671E-02/
      DATA (KA(JT, 5, 6),JT=1,5) /
     &5.8933E-02,6.1857E-02,6.4756E-02,6.7323E-02,6.9871E-02/
      DATA (KA(JT, 6, 6),JT=1,5) /
     &5.3143E-02,5.5386E-02,5.7507E-02,5.9715E-02,6.2263E-02/
      DATA (KA(JT, 7, 6),JT=1,5) /
     &5.0856E-02,5.2603E-02,5.4414E-02,5.6230E-02,5.8483E-02/
      DATA (KA(JT, 8, 6),JT=1,5) /
     &5.0528E-02,5.2598E-02,5.4634E-02,5.6710E-02,5.8872E-02/
      DATA (KA(JT, 9, 6),JT=1,5) /
     &6.4616E-02,6.5915E-02,6.7210E-02,6.8742E-02,7.0092E-02/
      DATA (KA(JT,10, 6),JT=1,5) /
     &1.1509E-01,1.1448E-01,1.1368E-01,1.1348E-01,1.1401E-01/
      DATA (KA(JT,11, 6),JT=1,5) /
     &1.4266E-01,1.3997E-01,1.3810E-01,1.3688E-01,1.3622E-01/
      DATA (KA(JT,12, 6),JT=1,5) /
     &1.4464E-01,1.4198E-01,1.3915E-01,1.3789E-01,1.3781E-01/
      DATA (KA(JT,13, 6),JT=1,5) /
     &1.2550E-01,1.2328E-01,1.2173E-01,1.2127E-01,1.2078E-01/
      DATA (KA(JT, 1, 7),JT=1,5) /
     &3.0825E-01,3.1119E-01,3.1335E-01,3.1641E-01,3.2024E-01/
      DATA (KA(JT, 2, 7),JT=1,5) /
     &2.8100E-01,2.8660E-01,2.9192E-01,2.9680E-01,3.0014E-01/
      DATA (KA(JT, 3, 7),JT=1,5) /
     &2.6374E-01,2.7129E-01,2.7887E-01,2.8626E-01,2.9478E-01/
      DATA (KA(JT, 4, 7),JT=1,5) /
     &2.4539E-01,2.5325E-01,2.6070E-01,2.6955E-01,2.7794E-01/
      DATA (KA(JT, 5, 7),JT=1,5) /
     &2.1737E-01,2.2642E-01,2.3531E-01,2.4408E-01,2.5322E-01/
      DATA (KA(JT, 6, 7),JT=1,5) /
     &1.9066E-01,1.9913E-01,2.0834E-01,2.1782E-01,2.2698E-01/
      DATA (KA(JT, 7, 7),JT=1,5) /
     &1.7386E-01,1.8325E-01,1.9211E-01,2.0024E-01,2.0881E-01/
      DATA (KA(JT, 8, 7),JT=1,5) /
     &1.7625E-01,1.8236E-01,1.8905E-01,1.9574E-01,2.0193E-01/
      DATA (KA(JT, 9, 7),JT=1,5) /
     &2.1820E-01,2.2416E-01,2.2986E-01,2.3737E-01,2.4518E-01/
      DATA (KA(JT,10, 7),JT=1,5) /
     &3.3529E-01,3.4302E-01,3.5397E-01,3.6397E-01,3.7339E-01/
      DATA (KA(JT,11, 7),JT=1,5) /
     &3.8474E-01,3.9863E-01,4.1168E-01,4.2115E-01,4.2917E-01/
      DATA (KA(JT,12, 7),JT=1,5) /
     &3.8499E-01,3.9580E-01,4.0497E-01,4.1279E-01,4.2045E-01/
      DATA (KA(JT,13, 7),JT=1,5) /
     &3.4291E-01,3.5180E-01,3.5970E-01,3.6697E-01,3.7460E-01/
      DATA (KA(JT, 1, 8),JT=1,5) /
     &8.7131E-01,8.7876E-01,8.8509E-01,8.9061E-01,8.9432E-01/
      DATA (KA(JT, 2, 8),JT=1,5) /
     &7.8963E-01,7.9236E-01,7.9978E-01,8.0959E-01,8.2163E-01/
      DATA (KA(JT, 3, 8),JT=1,5) /
     &8.2479E-01,8.2842E-01,8.3069E-01,8.3679E-01,8.4334E-01/
      DATA (KA(JT, 4, 8),JT=1,5) /
     &9.0877E-01,9.1962E-01,9.2466E-01,9.3139E-01,9.3904E-01/
      DATA (KA(JT, 5, 8),JT=1,5) /
     &9.7131E-01,9.9301E-01,1.0095E+00,1.0270E+00,1.0371E+00/
      DATA (KA(JT, 6, 8),JT=1,5) /
     &9.6984E-01,1.0040E+00,1.0393E+00,1.0670E+00,1.0990E+00/
      DATA (KA(JT, 7, 8),JT=1,5) /
     &9.5686E-01,1.0029E+00,1.0449E+00,1.0923E+00,1.1334E+00/
      DATA (KA(JT, 8, 8),JT=1,5) /
     &9.7227E-01,1.0380E+00,1.1014E+00,1.1624E+00,1.2218E+00/
      DATA (KA(JT, 9, 8),JT=1,5) /
     &1.2290E+00,1.3071E+00,1.4005E+00,1.5005E+00,1.5980E+00/
      DATA (KA(JT,10, 8),JT=1,5) /
     &1.7996E+00,1.9304E+00,2.0752E+00,2.2219E+00,2.3814E+00/
      DATA (KA(JT,11, 8),JT=1,5) /
     &1.9289E+00,2.0656E+00,2.2166E+00,2.3715E+00,2.5386E+00/
      DATA (KA(JT,12, 8),JT=1,5) /
     &1.8429E+00,1.9765E+00,2.1175E+00,2.2722E+00,2.4239E+00/
      DATA (KA(JT,13, 8),JT=1,5) /
     &1.6420E+00,1.7464E+00,1.8635E+00,1.9773E+00,2.1012E+00/
      DATA (KA(JT, 1, 9),JT=1,5) /
     &3.9892E+00,4.0153E+00,4.0324E+00,4.0465E+00,4.0524E+00/
      DATA (KA(JT, 2, 9),JT=1,5) /
     &3.8871E+00,3.9035E+00,3.9123E+00,3.9056E+00,3.8966E+00/
      DATA (KA(JT, 3, 9),JT=1,5) /
     &3.7883E+00,3.7950E+00,3.8080E+00,3.7991E+00,3.7826E+00/
      DATA (KA(JT, 4, 9),JT=1,5) /
     &3.7778E+00,3.7663E+00,3.7745E+00,3.7709E+00,3.7556E+00/
      DATA (KA(JT, 5, 9),JT=1,5) /
     &3.8757E+00,3.8404E+00,3.8539E+00,3.9228E+00,3.9777E+00/
      DATA (KA(JT, 6, 9),JT=1,5) /
     &4.0990E+00,4.1407E+00,4.1745E+00,4.2258E+00,4.2574E+00/
      DATA (KA(JT, 7, 9),JT=1,5) /
     &4.6288E+00,4.6726E+00,4.7096E+00,4.7165E+00,4.7374E+00/
      DATA (KA(JT, 8, 9),JT=1,5) /
     &5.8432E+00,5.8474E+00,5.8608E+00,5.8935E+00,5.9261E+00/
      DATA (KA(JT, 9, 9),JT=1,5) /
     &8.8685E+00,8.8567E+00,8.8137E+00,8.7653E+00,8.7262E+00/
      DATA (KA(JT,10, 9),JT=1,5) /
     &1.0455E+01,1.0242E+01,1.0004E+01,9.7643E+00,9.5067E+00/
      DATA (KA(JT,11, 9),JT=1,5) /
     &1.0240E+01,9.9968E+00,9.7347E+00,9.4750E+00,9.2006E+00/
      DATA (KA(JT,12, 9),JT=1,5) /
     &1.0401E+01,1.0165E+01,9.9240E+00,9.6656E+00,9.4112E+00/
      DATA (KA(JT,13, 9),JT=1,5) /
     &1.0764E+01,1.0580E+01,1.0381E+01,1.0188E+01,9.9802E+00/
      DATA (KA(JT, 1,10),JT=1,5) /
     &1.0712E+01,1.0575E+01,1.0581E+01,1.0556E+01,1.0575E+01/
      DATA (KA(JT, 2,10),JT=1,5) /
     &1.1144E+01,1.1109E+01,1.1034E+01,1.1107E+01,1.1138E+01/
      DATA (KA(JT, 3,10),JT=1,5) /
     &1.2257E+01,1.2112E+01,1.1992E+01,1.1951E+01,1.2031E+01/
      DATA (KA(JT, 4,10),JT=1,5) /
     &1.3040E+01,1.3085E+01,1.2882E+01,1.2756E+01,1.2737E+01/
      DATA (KA(JT, 5,10),JT=1,5) /
     &1.3809E+01,1.3771E+01,1.3452E+01,1.2567E+01,1.2086E+01/
      DATA (KA(JT, 6,10),JT=1,5) /
     &1.4608E+01,1.3942E+01,1.3365E+01,1.3494E+01,1.3762E+01/
      DATA (KA(JT, 7,10),JT=1,5) /
     &1.4665E+01,1.4685E+01,1.5121E+01,1.5602E+01,1.5768E+01/
      DATA (KA(JT, 8,10),JT=1,5) /
     &1.5612E+01,1.6507E+01,1.6644E+01,1.6706E+01,1.6696E+01/
      DATA (KA(JT, 9,10),JT=1,5) /
     &1.5405E+01,1.5874E+01,1.6716E+01,1.7957E+01,1.7859E+01/
      DATA (KA(JT,10,10),JT=1,5) /
     &1.9406E-01,1.7932E-01,1.6660E-01,1.5558E-01,1.4589E-01/
      DATA (KA(JT,11,10),JT=1,5) /
     &2.7650E-01,2.5556E-01,2.3727E-01,2.2182E-01,2.0805E-01/
      DATA (KA(JT,12,10),JT=1,5) /
     &2.9298E-01,2.7044E-01,2.5162E-01,2.3497E-01,2.2076E-01/
      DATA (KA(JT,13,10),JT=1,5) /
     &2.4883E-01,2.2985E-01,2.1413E-01,2.0012E-01,1.8795E-01/
      DATA (KA(JT, 1,11),JT=1,5) /
     &1.3650E+01,1.3767E+01,1.3771E+01,1.3650E+01,1.3663E+01/
      DATA (KA(JT, 2,11),JT=1,5) /
     &1.5146E+01,1.5253E+01,1.5272E+01,1.5152E+01,1.5138E+01/
      DATA (KA(JT, 3,11),JT=1,5) /
     &1.6834E+01,1.7107E+01,1.7158E+01,1.7187E+01,1.7057E+01/
      DATA (KA(JT, 4,11),JT=1,5) /
     &1.9191E+01,1.9144E+01,1.9155E+01,1.9247E+01,1.9292E+01/
      DATA (KA(JT, 5,11),JT=1,5) /
     &2.0953E+01,2.1248E+01,2.1186E+01,2.1027E+01,2.0703E+01/
      DATA (KA(JT, 6,11),JT=1,5) /
     &2.2592E+01,2.2192E+01,2.2056E+01,2.0972E+01,1.9910E+01/
      DATA (KA(JT, 7,11),JT=1,5) /
     &2.4652E+01,2.3679E+01,2.2339E+01,2.1302E+01,2.1697E+01/
      DATA (KA(JT, 8,11),JT=1,5) /
     &2.2508E+01,2.0438E+01,2.0163E+01,2.0628E+01,2.0954E+01/
      DATA (KA(JT, 9,11),JT=1,5) /
     &1.0264E+01,8.5820E+00,6.5270E+00,3.8883E+00,2.7974E+00/
      DATA (KA(JT,10,11),JT=1,5) /
     &1.9324E-01,1.7913E-01,1.6619E-01,1.5516E-01,1.4524E-01/
      DATA (KA(JT,11,11),JT=1,5) /
     &2.7573E-01,2.5425E-01,2.3627E-01,2.2036E-01,2.0639E-01/
      DATA (KA(JT,12,11),JT=1,5) /
     &2.9224E-01,2.6998E-01,2.5055E-01,2.3380E-01,2.1908E-01/
      DATA (KA(JT,13,11),JT=1,5) /
     &2.4964E-01,2.3056E-01,2.1391E-01,1.9980E-01,1.8698E-01/
      DATA (KA(JT, 1,12),JT=1,5) /
     &1.7721E+01,1.7805E+01,1.7752E+01,1.7857E+01,1.7872E+01/
      DATA (KA(JT, 2,12),JT=1,5) /
     &2.0222E+01,2.0161E+01,2.0267E+01,2.0335E+01,2.0254E+01/
      DATA (KA(JT, 3,12),JT=1,5) /
     &2.3717E+01,2.3414E+01,2.3571E+01,2.3552E+01,2.3687E+01/
      DATA (KA(JT, 4,12),JT=1,5) /
     &2.6876E+01,2.6972E+01,2.7155E+01,2.6947E+01,2.7025E+01/
      DATA (KA(JT, 5,12),JT=1,5) /
     &3.0213E+01,2.9978E+01,3.0226E+01,3.0477E+01,3.0329E+01/
      DATA (KA(JT, 6,12),JT=1,5) /
     &3.3660E+01,3.3482E+01,3.3159E+01,3.2959E+01,3.2299E+01/
      DATA (KA(JT, 7,12),JT=1,5) /
     &3.5893E+01,3.5649E+01,3.5067E+01,3.4565E+01,3.2437E+01/
      DATA (KA(JT, 8,12),JT=1,5) /
     &3.3426E+01,3.3323E+01,3.1984E+01,2.9587E+01,2.7505E+01/
      DATA (KA(JT, 9,12),JT=1,5) /
     &4.6633E-02,4.3205E-02,4.0562E-02,3.8133E-02,3.5900E-02/
      DATA (KA(JT,10,12),JT=1,5) /
     &1.9421E-01,1.8024E-01,1.6872E-01,1.5815E-01,1.4837E-01/
      DATA (KA(JT,11,12),JT=1,5) /
     &2.7315E-01,2.5480E-01,2.3771E-01,2.2191E-01,2.0780E-01/
      DATA (KA(JT,12,12),JT=1,5) /
     &2.9027E-01,2.6969E-01,2.5017E-01,2.3314E-01,2.1774E-01/
      DATA (KA(JT,13,12),JT=1,5) /
     &2.4833E-01,2.2943E-01,2.1278E-01,1.9800E-01,1.8543E-01/
      DATA (KA(JT, 1,13),JT=1,5) /
     &2.9672E+01,2.9291E+01,2.9191E+01,2.9170E+01,2.9116E+01/
      DATA (KA(JT, 2,13),JT=1,5) /
     &2.4713E+01,2.4965E+01,2.5039E+01,2.5355E+01,2.5650E+01/
      DATA (KA(JT, 3,13),JT=1,5) /
     &3.0510E+01,3.1166E+01,3.0663E+01,3.1021E+01,3.0901E+01/
      DATA (KA(JT, 4,13),JT=1,5) /
     &3.8695E+01,3.8922E+01,3.8741E+01,3.9204E+01,3.8826E+01/
      DATA (KA(JT, 5,13),JT=1,5) /
     &4.5118E+01,4.4337E+01,4.3664E+01,4.3267E+01,4.3524E+01/
      DATA (KA(JT, 6,13),JT=1,5) /
     &3.4652E+01,3.5182E+01,3.5339E+01,3.5340E+01,3.5899E+01/
      DATA (KA(JT, 7,13),JT=1,5) /
     &1.8801E+01,1.8598E+01,1.8855E+01,1.8819E+01,1.9052E+01/
      DATA (KA(JT, 8,13),JT=1,5) /
     &1.2297E-02,1.1425E-02,1.0670E-02,9.9994E-03,9.4139E-03/
      DATA (KA(JT, 9,13),JT=1,5) /
     &4.6821E-02,4.3361E-02,4.0368E-02,3.7752E-02,3.5493E-02/
      DATA (KA(JT,10,13),JT=1,5) /
     &1.9817E-01,1.8303E-01,1.7002E-01,1.5883E-01,1.4933E-01/
      DATA (KA(JT,11,13),JT=1,5) /
     &2.8145E-01,2.5995E-01,2.4181E-01,2.2660E-01,2.1326E-01/
      DATA (KA(JT,12,13),JT=1,5) /
     &2.9510E-01,2.7294E-01,2.5519E-01,2.3947E-01,2.2551E-01/
      DATA (KA(JT,13,13),JT=1,5) /
     &2.4830E-01,2.3074E-01,2.1556E-01,2.0226E-01,1.9029E-01/
      DATA (KA(JT, 1,14),JT=1,5) /
     &4.7168E+01,4.6890E+01,4.6612E+01,4.6353E+01,4.6088E+01/
      DATA (KA(JT, 2,14),JT=1,5) /
     &4.7771E+01,4.6980E+01,4.6445E+01,4.5828E+01,4.5437E+01/
      DATA (KA(JT, 3,14),JT=1,5) /
     &4.2946E+01,4.2652E+01,4.3791E+01,4.3237E+01,4.4104E+01/
      DATA (KA(JT, 4,14),JT=1,5) /
     &3.0957E+01,3.0098E+01,3.0055E+01,2.9555E+01,2.9902E+01/
      DATA (KA(JT, 5,14),JT=1,5) /
     &2.8397E+00,3.8572E+00,4.2906E+00,4.7091E+00,4.8135E+00/
      DATA (KA(JT, 6,14),JT=1,5) /
     &3.6978E-03,3.4591E-03,3.2524E-03,3.0649E-03,2.9018E-03/
      DATA (KA(JT, 7,14),JT=1,5) /
     &6.1733E-03,5.7589E-03,5.3925E-03,5.0742E-03,4.7835E-03/
      DATA (KA(JT, 8,14),JT=1,5) /
     &1.2390E-02,1.1526E-02,1.0766E-02,1.0096E-02,9.5010E-03/
      DATA (KA(JT, 9,14),JT=1,5) /
     &4.7105E-02,4.3648E-02,4.0665E-02,3.8054E-02,3.5722E-02/
      DATA (KA(JT,10,14),JT=1,5) /
     &1.9915E-01,1.8412E-01,1.7099E-01,1.5957E-01,1.4948E-01/
      DATA (KA(JT,11,14),JT=1,5) /
     &2.8280E-01,2.6124E-01,2.4266E-01,2.2645E-01,2.1214E-01/
      DATA (KA(JT,12,14),JT=1,5) /
     &2.9891E-01,2.7613E-01,2.5648E-01,2.3927E-01,2.2423E-01/
      DATA (KA(JT,13,14),JT=1,5) /
     &2.5421E-01,2.3484E-01,2.1809E-01,2.0347E-01,1.9057E-01/
      DATA (KA(JT, 1,15),JT=1,5) /
     &6.4994E+01,6.4283E+01,6.3755E+01,6.3407E+01,6.3287E+01/
      DATA (KA(JT, 2,15),JT=1,5) /
     &7.8266E+01,7.7364E+01,7.6722E+01,7.6285E+01,7.5992E+01/
      DATA (KA(JT, 3,15),JT=1,5) /
     &4.1710E+01,3.8379E+01,3.5076E+01,3.5418E+01,3.3306E+01/
      DATA (KA(JT, 4,15),JT=1,5) /
     &1.4170E-03,1.3401E-03,1.2716E-03,1.2073E-03,1.1535E-03/
      DATA (KA(JT, 5,15),JT=1,5) /
     &2.3659E-03,2.2261E-03,2.1042E-03,1.9950E-03,1.8970E-03/
      DATA (KA(JT, 6,15),JT=1,5) /
     &3.7432E-03,3.5105E-03,3.3006E-03,3.1222E-03,2.9521E-03/
      DATA (KA(JT, 7,15),JT=1,5) /
     &6.2408E-03,5.8258E-03,5.4782E-03,5.1594E-03,4.8767E-03/
      DATA (KA(JT, 8,15),JT=1,5) /
     &1.2522E-02,1.1652E-02,1.0922E-02,1.0265E-02,9.6672E-03/
      DATA (KA(JT, 9,15),JT=1,5) /
     &4.7545E-02,4.4152E-02,4.1251E-02,3.8666E-02,3.6358E-02/
      DATA (KA(JT,10,15),JT=1,5) /
     &2.0097E-01,1.8592E-01,1.7341E-01,1.6203E-01,1.5235E-01/
      DATA (KA(JT,11,15),JT=1,5) /
     &2.8499E-01,2.6428E-01,2.4585E-01,2.2980E-01,2.1575E-01/
      DATA (KA(JT,12,15),JT=1,5) /
     &3.0172E-01,2.7929E-01,2.5980E-01,2.4306E-01,2.2789E-01/
      DATA (KA(JT,13,15),JT=1,5) /
     &2.5655E-01,2.3731E-01,2.2092E-01,2.0639E-01,1.9367E-01/
      DATA (KA(JT, 1,16),JT=1,5) /
     &8.0810E+01,8.1099E+01,8.1190E+01,8.1107E+01,8.0989E+01/
      DATA (KA(JT, 2,16),JT=1,5) /
     &9.9319E+01,9.9708E+01,9.9822E+01,9.9871E+01,9.9993E+01/
      DATA (KA(JT, 3,16),JT=1,5) /
     &4.6927E+01,5.4316E+01,5.7355E+01,5.3715E+01,5.2802E+01/
      DATA (KA(JT, 4,16),JT=1,5) /
     &1.2802E-03,1.2027E-03,1.1386E-03,1.0866E-03,1.0525E-03/
      DATA (KA(JT, 5,16),JT=1,5) /
     &2.1675E-03,2.0715E-03,1.9422E-03,1.8402E-03,1.7681E-03/
      DATA (KA(JT, 6,16),JT=1,5) /
     &3.4707E-03,3.2796E-03,3.0986E-03,2.9246E-03,2.8034E-03/
      DATA (KA(JT, 7,16),JT=1,5) /
     &5.8659E-03,5.5310E-03,5.1820E-03,4.8829E-03,4.6784E-03/
      DATA (KA(JT, 8,16),JT=1,5) /
     &1.1875E-02,1.1183E-02,1.0438E-02,9.8038E-03,9.3665E-03/
      DATA (KA(JT, 9,16),JT=1,5) /
     &4.5519E-02,4.2850E-02,3.9715E-02,3.7447E-02,3.5369E-02/
      DATA (KA(JT,10,16),JT=1,5) /
     &1.9392E-01,1.8108E-01,1.6817E-01,1.5883E-01,1.4864E-01/
      DATA (KA(JT,11,16),JT=1,5) /
     &2.7830E-01,2.5715E-01,2.4100E-01,2.2595E-01,2.1321E-01/
      DATA (KA(JT,12,16),JT=1,5) /
     &2.9533E-01,2.7422E-01,2.5636E-01,2.3936E-01,2.2658E-01/
      DATA (KA(JT,13,16),JT=1,5) /
     &2.5310E-01,2.3535E-01,2.1855E-01,2.0552E-01,1.9293E-01/

C     The array KB contains absorption coefs at the 16 chosen g-values 
C     for a range of pressure levels < ~100mb and temperatures. The first 
C     index in the array, JT, which runs from 1 to 5, corresponds to 
C     different temperatures.  More specifically, JT = 3 means that the 
C     data are for the reference temperature TREF for this pressure 
C     level, JT = 2 refers to the temperature TREF-15, JT = 1 is for
C     TREF-30, JT = 4 is for TREF+15, and JT = 5 is for TREF+30.  
C     The second index, JP, runs from 13 to 59 and refers to the JPth
C     reference pressure level (see taumol.f for the value of these
C     pressure levels in mb).  The third index, IG, goes from 1 to 16,
C     and tells us which g-interval the absorption coefficients are for.
      DATA (KB(JT,13, 1),JT=1,5) /
     &1.8379E-06,2.3296E-06,2.9007E-06,3.5902E-06,4.3437E-06/
      DATA (KB(JT,14, 1),JT=1,5) /
     &1.5919E-06,1.9832E-06,2.4720E-06,3.0683E-06,3.7253E-06/
      DATA (KB(JT,15, 1),JT=1,5) /
     &1.3850E-06,1.7115E-06,2.1225E-06,2.6292E-06,3.1945E-06/
      DATA (KB(JT,16, 1),JT=1,5) /
     &1.1896E-06,1.4680E-06,1.8142E-06,2.2537E-06,2.7284E-06/
      DATA (KB(JT,17, 1),JT=1,5) /
     &1.0228E-06,1.2597E-06,1.5532E-06,1.9272E-06,2.3163E-06/
      DATA (KB(JT,18, 1),JT=1,5) /
     &8.8243E-07,1.0835E-06,1.3316E-06,1.6603E-06,1.9808E-06/
      DATA (KB(JT,19, 1),JT=1,5) /
     &7.5677E-07,9.2925E-07,1.1401E-06,1.4107E-06,1.6901E-06/
      DATA (KB(JT,20, 1),JT=1,5) /
     &6.4614E-07,7.9361E-07,9.7353E-07,1.1964E-06,1.4414E-06/
      DATA (KB(JT,21, 1),JT=1,5) /
     &5.5323E-07,6.7580E-07,8.2647E-07,1.0137E-06,1.2318E-06/
      DATA (KB(JT,22, 1),JT=1,5) /
     &4.7719E-07,5.8149E-07,7.1060E-07,8.7005E-07,1.0605E-06/
      DATA (KB(JT,23, 1),JT=1,5) /
     &4.1128E-07,5.0080E-07,6.1104E-07,7.5347E-07,9.1200E-07/
      DATA (KB(JT,24, 1),JT=1,5) /
     &3.5306E-07,4.2860E-07,5.2320E-07,6.5156E-07,7.8122E-07/
      DATA (KB(JT,25, 1),JT=1,5) /
     &3.0363E-07,3.6731E-07,4.4673E-07,5.6097E-07,6.6791E-07/
      DATA (KB(JT,26, 1),JT=1,5) /
     &2.6073E-07,3.1537E-07,3.8738E-07,4.8210E-07,5.7382E-07/
      DATA (KB(JT,27, 1),JT=1,5) /
     &2.2303E-07,2.6986E-07,3.3628E-07,4.1161E-07,4.8722E-07/
      DATA (KB(JT,28, 1),JT=1,5) /
     &1.8954E-07,2.2952E-07,2.8797E-07,3.5166E-07,4.1440E-07/
      DATA (KB(JT,29, 1),JT=1,5) /
     &1.6106E-07,1.9430E-07,2.4661E-07,2.9815E-07,3.5151E-07/
      DATA (KB(JT,30, 1),JT=1,5) /
     &1.3630E-07,1.6528E-07,2.0922E-07,2.5193E-07,2.9913E-07/
      DATA (KB(JT,31, 1),JT=1,5) /
     &1.1504E-07,1.4276E-07,1.7807E-07,2.1482E-07,2.5451E-07/
      DATA (KB(JT,32, 1),JT=1,5) /
     &9.6980E-08,1.2215E-07,1.5159E-07,1.8179E-07,2.1515E-07/
      DATA (KB(JT,33, 1),JT=1,5) /
     &8.1598E-08,1.0315E-07,1.2730E-07,1.5190E-07,1.8093E-07/
      DATA (KB(JT,34, 1),JT=1,5) /
     &6.7700E-08,8.5970E-08,1.0559E-07,1.2608E-07,1.5006E-07/
      DATA (KB(JT,35, 1),JT=1,5) /
     &5.5177E-08,6.9519E-08,8.5967E-08,1.0223E-07,1.2147E-07/
      DATA (KB(JT,36, 1),JT=1,5) /
     &4.3924E-08,5.4395E-08,6.7998E-08,8.1142E-08,9.5717E-08/
      DATA (KB(JT,37, 1),JT=1,5) /
     &3.4469E-08,4.1036E-08,5.2575E-08,6.3117E-08,7.4301E-08/
      DATA (KB(JT,38, 1),JT=1,5) /
     &2.6777E-08,3.1734E-08,4.0555E-08,4.9032E-08,5.7653E-08/
      DATA (KB(JT,39, 1),JT=1,5) /
     &2.0670E-08,2.4721E-08,3.0685E-08,3.7873E-08,4.4555E-08/
      DATA (KB(JT,40, 1),JT=1,5) /
     &1.5860E-08,1.9032E-08,2.2612E-08,2.8845E-08,3.4246E-08/
      DATA (KB(JT,41, 1),JT=1,5) /
     &1.2129E-08,1.4603E-08,1.7357E-08,2.1851E-08,2.6346E-08/
      DATA (KB(JT,42, 1),JT=1,5) /
     &9.2319E-09,1.1199E-08,1.3365E-08,1.6174E-08,2.0019E-08/
      DATA (KB(JT,43, 1),JT=1,5) /
     &6.9289E-09,8.4537E-09,1.0159E-08,1.1992E-08,1.4940E-08/
      DATA (KB(JT,44, 1),JT=1,5) /
     &5.1546E-09,6.3380E-09,7.6593E-09,9.0562E-09,1.0716E-08/
      DATA (KB(JT,45, 1),JT=1,5) /
     &3.8335E-09,4.7085E-09,5.7219E-09,6.8148E-09,7.9518E-09/
      DATA (KB(JT,46, 1),JT=1,5) /
     &2.8583E-09,3.4724E-09,4.2447E-09,5.0888E-09,5.9494E-09/
      DATA (KB(JT,47, 1),JT=1,5) /
     &2.0945E-09,2.5418E-09,3.1058E-09,3.7494E-09,4.4274E-09/
      DATA (KB(JT,48, 1),JT=1,5) /
     &1.5164E-09,1.8560E-09,2.2628E-09,2.7371E-09,3.2773E-09/
      DATA (KB(JT,49, 1),JT=1,5) /
     &1.0916E-09,1.3465E-09,1.6387E-09,1.9740E-09,2.3865E-09/
      DATA (KB(JT,50, 1),JT=1,5) /
     &7.8324E-10,9.8361E-10,1.1977E-09,1.4517E-09,1.7457E-09/
      DATA (KB(JT,51, 1),JT=1,5) /
     &5.7263E-10,7.1786E-10,8.7689E-10,1.0705E-09,1.2881E-09/
      DATA (KB(JT,52, 1),JT=1,5) /
     &4.1574E-10,5.1264E-10,6.4152E-10,7.8315E-10,9.4705E-10/
      DATA (KB(JT,53, 1),JT=1,5) /
     &2.9940E-10,3.6836E-10,4.5886E-10,5.6405E-10,6.9166E-10/
      DATA (KB(JT,54, 1),JT=1,5) /
     &2.2617E-10,2.7395E-10,3.3754E-10,4.2095E-10,5.1544E-10/
      DATA (KB(JT,55, 1),JT=1,5) /
     &1.7483E-10,2.0845E-10,2.5546E-10,3.1817E-10,3.9119E-10/
      DATA (KB(JT,56, 1),JT=1,5) /
     &1.3496E-10,1.5930E-10,1.9380E-10,2.3861E-10,2.9770E-10/
      DATA (KB(JT,57, 1),JT=1,5) /
     &1.0406E-10,1.2247E-10,1.4749E-10,1.8078E-10,2.2597E-10/
      DATA (KB(JT,58, 1),JT=1,5) /
     &8.1345E-11,9.4816E-11,1.1329E-10,1.3832E-10,1.7161E-10/
      DATA (KB(JT,59, 1),JT=1,5) /
     &6.7159E-11,7.8312E-11,9.4745E-11,1.1544E-10,1.4442E-10/
      DATA (KB(JT,13, 2),JT=1,5) /
     &1.6654E-05,1.8728E-05,2.1238E-05,2.4491E-05,2.9038E-05/
      DATA (KB(JT,14, 2),JT=1,5) /
     &1.5636E-05,1.7574E-05,1.9918E-05,2.3671E-05,2.7237E-05/
      DATA (KB(JT,15, 2),JT=1,5) /
     &1.4853E-05,1.6629E-05,1.9700E-05,2.2604E-05,2.5586E-05/
      DATA (KB(JT,16, 2),JT=1,5) /
     &1.3519E-05,1.5923E-05,1.8289E-05,2.0530E-05,2.2799E-05/
      DATA (KB(JT,17, 2),JT=1,5) /
     &1.2411E-05,1.4439E-05,1.6431E-05,1.8235E-05,2.0109E-05/
      DATA (KB(JT,18, 2),JT=1,5) /
     &1.1267E-05,1.2880E-05,1.4429E-05,1.6005E-05,1.7538E-05/
      DATA (KB(JT,19, 2),JT=1,5) /
     &1.0025E-05,1.1332E-05,1.2550E-05,1.3853E-05,1.5103E-05/
      DATA (KB(JT,20, 2),JT=1,5) /
     &8.6342E-06,9.7455E-06,1.0778E-05,1.1898E-05,1.2789E-05/
      DATA (KB(JT,21, 2),JT=1,5) /
     &7.4004E-06,8.3107E-06,9.1633E-06,1.0071E-05,1.0674E-05/
      DATA (KB(JT,22, 2),JT=1,5) /
     &6.3700E-06,7.0549E-06,7.8271E-06,8.5170E-06,9.0022E-06/
      DATA (KB(JT,23, 2),JT=1,5) /
     &5.4404E-06,6.0156E-06,6.6393E-06,7.1320E-06,7.5007E-06/
      DATA (KB(JT,24, 2),JT=1,5) /
     &4.5997E-06,5.0718E-06,5.5713E-06,5.9455E-06,6.2118E-06/
      DATA (KB(JT,25, 2),JT=1,5) /
     &3.8745E-06,4.2617E-06,4.6479E-06,4.9297E-06,5.1638E-06/
      DATA (KB(JT,26, 2),JT=1,5) /
     &3.2488E-06,3.5592E-06,3.8685E-06,4.0759E-06,4.3092E-06/
      DATA (KB(JT,27, 2),JT=1,5) /
     &2.6995E-06,2.9601E-06,3.2065E-06,3.3666E-06,3.5609E-06/
      DATA (KB(JT,28, 2),JT=1,5) /
     &2.2359E-06,2.4429E-06,2.6408E-06,2.7752E-06,2.9293E-06/
      DATA (KB(JT,29, 2),JT=1,5) /
     &1.8487E-06,2.0089E-06,2.1668E-06,2.2793E-06,2.4029E-06/
      DATA (KB(JT,30, 2),JT=1,5) /
     &1.5291E-06,1.6589E-06,1.7733E-06,1.8706E-06,1.9584E-06/
      DATA (KB(JT,31, 2),JT=1,5) /
     &1.2554E-06,1.3589E-06,1.4436E-06,1.5195E-06,1.5928E-06/
      DATA (KB(JT,32, 2),JT=1,5) /
     &1.0248E-06,1.1046E-06,1.1716E-06,1.2288E-06,1.2916E-06/
      DATA (KB(JT,33, 2),JT=1,5) /
     &8.3272E-07,8.9120E-07,9.5036E-07,9.9040E-07,1.0409E-06/
      DATA (KB(JT,34, 2),JT=1,5) /
     &6.7518E-07,7.2097E-07,7.6854E-07,8.0246E-07,8.3912E-07/
      DATA (KB(JT,35, 2),JT=1,5) /
     &5.3577E-07,5.7870E-07,6.1715E-07,6.4987E-07,6.7220E-07/
      DATA (KB(JT,36, 2),JT=1,5) /
     &4.2402E-07,4.5825E-07,4.9307E-07,5.2005E-07,5.4029E-07/
      DATA (KB(JT,37, 2),JT=1,5) /
     &3.3419E-07,3.6213E-07,3.8911E-07,4.1359E-07,4.3177E-07/
      DATA (KB(JT,38, 2),JT=1,5) /
     &2.6240E-07,2.8355E-07,3.0530E-07,3.2881E-07,3.4617E-07/
      DATA (KB(JT,39, 2),JT=1,5) /
     &2.0468E-07,2.2245E-07,2.3980E-07,2.5776E-07,2.7424E-07/
      DATA (KB(JT,40, 2),JT=1,5) /
     &1.6070E-07,1.7478E-07,1.8856E-07,2.0230E-07,2.1801E-07/
      DATA (KB(JT,41, 2),JT=1,5) /
     &1.2583E-07,1.3680E-07,1.4851E-07,1.5917E-07,1.7184E-07/
      DATA (KB(JT,42, 2),JT=1,5) /
     &9.8494E-08,1.0639E-07,1.1634E-07,1.2500E-07,1.3490E-07/
      DATA (KB(JT,43, 2),JT=1,5) /
     &7.5196E-08,8.2809E-08,9.0095E-08,9.7952E-08,1.0509E-07/
      DATA (KB(JT,44, 2),JT=1,5) /
     &5.7305E-08,6.3787E-08,6.9227E-08,7.5635E-08,8.1687E-08/
      DATA (KB(JT,45, 2),JT=1,5) /
     &4.2965E-08,4.8245E-08,5.3346E-08,5.8061E-08,6.3120E-08/
      DATA (KB(JT,46, 2),JT=1,5) /
     &3.1048E-08,3.6457E-08,4.0514E-08,4.4557E-08,4.8550E-08/
      DATA (KB(JT,47, 2),JT=1,5) /
     &2.3094E-08,2.6356E-08,3.0443E-08,3.3954E-08,3.6789E-08/
      DATA (KB(JT,48, 2),JT=1,5) /
     &1.6858E-08,1.9402E-08,2.2449E-08,2.5401E-08,2.8254E-08/
      DATA (KB(JT,49, 2),JT=1,5) /
     &1.1413E-08,1.4055E-08,1.6046E-08,1.8927E-08,2.1080E-08/
      DATA (KB(JT,50, 2),JT=1,5) /
     &7.8650E-09,9.9879E-09,1.1846E-08,1.3654E-08,1.5871E-08/
      DATA (KB(JT,51, 2),JT=1,5) /
     &5.5417E-09,6.8977E-09,8.7006E-09,1.0108E-08,1.1829E-08/
      DATA (KB(JT,52, 2),JT=1,5) /
     &3.9143E-09,4.8025E-09,6.0180E-09,7.3762E-09,8.5851E-09/
      DATA (KB(JT,53, 2),JT=1,5) /
     &2.7637E-09,3.3397E-09,4.1996E-09,5.2787E-09,6.2923E-09/
      DATA (KB(JT,54, 2),JT=1,5) /
     &1.9691E-09,2.4529E-09,3.0071E-09,3.8041E-09,4.6981E-09/
      DATA (KB(JT,55, 2),JT=1,5) /
     &1.3034E-09,1.8257E-09,2.2359E-09,2.8210E-09,3.5386E-09/
      DATA (KB(JT,56, 2),JT=1,5) /
     &1.0026E-09,1.3422E-09,1.6687E-09,2.0793E-09,2.6054E-09/
      DATA (KB(JT,57, 2),JT=1,5) /
     &7.7730E-10,9.1190E-10,1.2468E-09,1.5302E-09,1.9418E-09/
      DATA (KB(JT,58, 2),JT=1,5) /
     &6.0359E-10,6.7848E-10,9.2414E-10,1.1511E-09,1.4401E-09/
      DATA (KB(JT,59, 2),JT=1,5) /
     &5.0441E-10,5.6797E-10,7.7369E-10,9.5612E-10,1.1957E-09/
      DATA (KB(JT,13, 3),JT=1,5) /
     &9.8124E-05,1.0149E-04,1.0303E-04,1.0669E-04,1.0870E-04/
      DATA (KB(JT,14, 3),JT=1,5) /
     &8.8110E-05,8.9730E-05,9.0679E-05,9.1892E-05,9.1413E-05/
      DATA (KB(JT,15, 3),JT=1,5) /
     &7.8555E-05,7.8633E-05,7.9145E-05,7.7689E-05,7.7791E-05/
      DATA (KB(JT,16, 3),JT=1,5) /
     &6.7245E-05,6.7743E-05,6.6690E-05,6.5765E-05,6.5950E-05/
      DATA (KB(JT,17, 3),JT=1,5) /
     &5.7553E-05,5.7490E-05,5.6012E-05,5.5634E-05,5.6016E-05/
      DATA (KB(JT,18, 3),JT=1,5) /
     &4.9729E-05,4.8302E-05,4.7418E-05,4.7262E-05,4.7732E-05/
      DATA (KB(JT,19, 3),JT=1,5) /
     &4.2101E-05,4.0906E-05,4.0541E-05,4.0229E-05,4.0671E-05/
      DATA (KB(JT,20, 3),JT=1,5) /
     &3.5046E-05,3.4193E-05,3.4032E-05,3.3881E-05,3.4691E-05/
      DATA (KB(JT,21, 3),JT=1,5) /
     &2.9192E-05,2.8813E-05,2.8525E-05,2.8485E-05,2.9764E-05/
      DATA (KB(JT,22, 3),JT=1,5) /
     &2.4212E-05,2.3970E-05,2.3804E-05,2.3947E-05,2.4310E-05/
      DATA (KB(JT,23, 3),JT=1,5) /
     &2.0167E-05,1.9961E-05,1.9837E-05,2.0528E-05,1.9887E-05/
      DATA (KB(JT,24, 3),JT=1,5) /
     &1.6817E-05,1.6624E-05,1.6525E-05,1.7263E-05,1.6481E-05/
      DATA (KB(JT,25, 3),JT=1,5) /
     &1.3896E-05,1.3806E-05,1.3810E-05,1.4348E-05,1.3634E-05/
      DATA (KB(JT,26, 3),JT=1,5) /
     &1.1515E-05,1.1474E-05,1.1553E-05,1.1705E-05,1.1167E-05/
      DATA (KB(JT,27, 3),JT=1,5) /
     &9.5004E-06,9.4543E-06,9.5650E-06,9.5316E-06,9.1651E-06/
      DATA (KB(JT,28, 3),JT=1,5) /
     &7.8135E-06,7.7862E-06,7.8715E-06,7.7825E-06,7.4877E-06/
      DATA (KB(JT,29, 3),JT=1,5) /
     &6.3615E-06,6.3601E-06,6.4198E-06,6.3507E-06,6.1200E-06/
      DATA (KB(JT,30, 3),JT=1,5) /
     &5.1738E-06,5.1781E-06,5.2250E-06,5.1709E-06,5.0243E-06/
      DATA (KB(JT,31, 3),JT=1,5) /
     &4.1825E-06,4.2240E-06,4.2510E-06,4.2241E-06,4.1058E-06/
      DATA (KB(JT,32, 3),JT=1,5) /
     &3.4024E-06,3.4302E-06,3.4514E-06,3.4436E-06,3.3474E-06/
      DATA (KB(JT,33, 3),JT=1,5) /
     &2.7510E-06,2.7828E-06,2.8059E-06,2.8125E-06,2.7394E-06/
      DATA (KB(JT,34, 3),JT=1,5) /
     &2.2195E-06,2.2517E-06,2.2743E-06,2.2728E-06,2.2254E-06/
      DATA (KB(JT,35, 3),JT=1,5) /
     &1.8029E-06,1.8238E-06,1.8432E-06,1.8461E-06,1.8241E-06/
      DATA (KB(JT,36, 3),JT=1,5) /
     &1.4477E-06,1.4734E-06,1.4936E-06,1.5116E-06,1.4874E-06/
      DATA (KB(JT,37, 3),JT=1,5) /
     &1.1637E-06,1.1929E-06,1.2098E-06,1.2265E-06,1.2076E-06/
      DATA (KB(JT,38, 3),JT=1,5) /
     &9.3292E-07,9.6246E-07,9.8169E-07,9.9435E-07,9.8749E-07/
      DATA (KB(JT,39, 3),JT=1,5) /
     &7.4927E-07,7.6742E-07,7.9020E-07,8.0604E-07,8.1415E-07/
      DATA (KB(JT,40, 3),JT=1,5) /
     &6.0479E-07,6.1743E-07,6.3973E-07,6.5295E-07,6.6261E-07/
      DATA (KB(JT,41, 3),JT=1,5) /
     &4.8450E-07,4.9742E-07,5.1366E-07,5.2876E-07,5.3813E-07/
      DATA (KB(JT,42, 3),JT=1,5) /
     &3.8298E-07,4.0088E-07,4.1192E-07,4.2651E-07,4.3595E-07/
      DATA (KB(JT,43, 3),JT=1,5) /
     &3.0310E-07,3.1905E-07,3.2907E-07,3.4154E-07,3.5007E-07/
      DATA (KB(JT,44, 3),JT=1,5) /
     &2.3745E-07,2.5035E-07,2.6224E-07,2.7145E-07,2.8146E-07/
      DATA (KB(JT,45, 3),JT=1,5) /
     &1.8653E-07,1.9510E-07,2.0644E-07,2.1510E-07,2.2354E-07/
      DATA (KB(JT,46, 3),JT=1,5) /
     &1.4759E-07,1.5322E-07,1.6145E-07,1.7034E-07,1.7744E-07/
      DATA (KB(JT,47, 3),JT=1,5) /
     &1.1410E-07,1.2007E-07,1.2507E-07,1.3237E-07,1.3995E-07/
      DATA (KB(JT,48, 3),JT=1,5) /
     &8.8327E-08,9.3967E-08,9.7683E-08,1.0257E-07,1.0921E-07/
      DATA (KB(JT,49, 3),JT=1,5) /
     &6.6715E-08,7.2172E-08,7.6442E-08,7.9214E-08,8.4006E-08/
      DATA (KB(JT,50, 3),JT=1,5) /
     &5.1458E-08,5.5761E-08,5.9239E-08,6.2292E-08,6.4470E-08/
      DATA (KB(JT,51, 3),JT=1,5) /
     &3.9957E-08,4.2400E-08,4.5870E-08,4.8592E-08,5.0287E-08/
      DATA (KB(JT,52, 3),JT=1,5) /
     &3.1150E-08,3.2725E-08,3.5598E-08,3.7633E-08,3.9607E-08/
      DATA (KB(JT,53, 3),JT=1,5) /
     &2.3783E-08,2.5415E-08,2.6634E-08,2.8885E-08,3.0620E-08/
      DATA (KB(JT,54, 3),JT=1,5) /
     &1.8531E-08,1.9938E-08,2.0988E-08,2.2678E-08,2.3867E-08/
      DATA (KB(JT,55, 3),JT=1,5) /
     &1.4810E-08,1.5772E-08,1.6651E-08,1.7727E-08,1.8861E-08/
      DATA (KB(JT,56, 3),JT=1,5) /
     &1.1652E-08,1.2557E-08,1.3319E-08,1.3930E-08,1.5077E-08/
      DATA (KB(JT,57, 3),JT=1,5) /
     &9.1523E-09,9.9835E-09,1.0603E-08,1.1081E-08,1.1999E-08/
      DATA (KB(JT,58, 3),JT=1,5) /
     &7.2383E-09,7.9060E-09,8.4489E-09,8.8615E-09,9.4456E-09/
      DATA (KB(JT,59, 3),JT=1,5) /
     &6.0315E-09,6.5931E-09,7.1001E-09,7.4012E-09,7.8761E-09/
      DATA (KB(JT,13, 4),JT=1,5) /
     &2.1882E-04,2.0968E-04,1.8648E-04,1.7505E-04,1.7320E-04/
      DATA (KB(JT,14, 4),JT=1,5) /
     &1.9140E-04,1.7026E-04,1.5903E-04,1.5552E-04,1.6009E-04/
      DATA (KB(JT,15, 4),JT=1,5) /
     &1.6003E-04,1.4531E-04,1.4007E-04,1.4511E-04,1.4619E-04/
      DATA (KB(JT,16, 4),JT=1,5) /
     &1.3387E-04,1.2423E-04,1.2444E-04,1.2743E-04,1.2749E-04/
      DATA (KB(JT,17, 4),JT=1,5) /
     &1.1266E-04,1.0780E-04,1.1110E-04,1.1051E-04,1.1075E-04/
      DATA (KB(JT,18, 4),JT=1,5) /
     &9.6156E-05,9.5617E-05,9.6775E-05,9.6220E-05,9.6078E-05/
      DATA (KB(JT,19, 4),JT=1,5) /
     &8.2712E-05,8.2946E-05,8.3265E-05,8.2827E-05,8.2044E-05/
      DATA (KB(JT,20, 4),JT=1,5) /
     &7.1080E-05,7.1167E-05,7.1040E-05,7.0443E-05,6.9069E-05/
      DATA (KB(JT,21, 4),JT=1,5) /
     &6.0110E-05,6.0836E-05,5.9994E-05,5.8992E-05,5.7237E-05/
      DATA (KB(JT,22, 4),JT=1,5) /
     &5.0688E-05,5.1296E-05,5.0271E-05,4.8889E-05,4.8471E-05/
      DATA (KB(JT,23, 4),JT=1,5) /
     &4.2706E-05,4.2628E-05,4.1764E-05,3.9999E-05,4.0893E-05/
      DATA (KB(JT,24, 4),JT=1,5) /
     &3.5803E-05,3.5316E-05,3.4535E-05,3.3229E-05,3.4127E-05/
      DATA (KB(JT,25, 4),JT=1,5) /
     &2.9906E-05,2.9201E-05,2.8336E-05,2.7455E-05,2.8044E-05/
      DATA (KB(JT,26, 4),JT=1,5) /
     &2.4659E-05,2.3926E-05,2.3159E-05,2.2827E-05,2.3266E-05/
      DATA (KB(JT,27, 4),JT=1,5) /
     &2.0221E-05,1.9578E-05,1.8838E-05,1.8853E-05,1.9067E-05/
      DATA (KB(JT,28, 4),JT=1,5) /
     &1.6345E-05,1.5913E-05,1.5327E-05,1.5412E-05,1.5560E-05/
      DATA (KB(JT,29, 4),JT=1,5) /
     &1.3195E-05,1.2870E-05,1.2430E-05,1.2518E-05,1.2639E-05/
      DATA (KB(JT,30, 4),JT=1,5) /
     &1.0622E-05,1.0384E-05,1.0068E-05,1.0151E-05,1.0256E-05/
      DATA (KB(JT,31, 4),JT=1,5) /
     &8.5785E-06,8.3523E-06,8.1227E-06,8.1998E-06,8.3313E-06/
      DATA (KB(JT,32, 4),JT=1,5) /
     &6.9114E-06,6.7093E-06,6.5758E-06,6.6222E-06,6.7679E-06/
      DATA (KB(JT,33, 4),JT=1,5) /
     &5.5456E-06,5.4342E-06,5.3229E-06,5.3610E-06,5.4819E-06/
      DATA (KB(JT,34, 4),JT=1,5) /
     &4.4461E-06,4.3891E-06,4.3112E-06,4.3632E-06,4.4560E-06/
      DATA (KB(JT,35, 4),JT=1,5) /
     &3.5725E-06,3.5192E-06,3.4703E-06,3.5075E-06,3.5919E-06/
      DATA (KB(JT,36, 4),JT=1,5) /
     &2.8842E-06,2.8362E-06,2.8143E-06,2.8097E-06,2.9057E-06/
      DATA (KB(JT,37, 4),JT=1,5) /
     &2.3374E-06,2.2987E-06,2.2934E-06,2.2812E-06,2.3451E-06/
      DATA (KB(JT,38, 4),JT=1,5) /
     &1.8966E-06,1.8679E-06,1.8613E-06,1.8437E-06,1.8894E-06/
      DATA (KB(JT,39, 4),JT=1,5) /
     &1.5300E-06,1.5180E-06,1.5096E-06,1.4915E-06,1.5107E-06/
      DATA (KB(JT,40, 4),JT=1,5) /
     &1.2426E-06,1.2357E-06,1.2171E-06,1.2170E-06,1.2227E-06/
      DATA (KB(JT,41, 4),JT=1,5) /
     &1.0102E-06,1.0077E-06,9.8593E-07,9.8478E-07,9.9213E-07/
      DATA (KB(JT,42, 4),JT=1,5) /
     &8.2201E-07,8.1050E-07,8.0313E-07,8.0181E-07,8.0361E-07/
      DATA (KB(JT,43, 4),JT=1,5) /
     &6.7318E-07,6.5347E-07,6.5478E-07,6.4360E-07,6.4722E-07/
      DATA (KB(JT,44, 4),JT=1,5) /
     &5.5598E-07,5.3355E-07,5.2778E-07,5.2097E-07,5.1997E-07/
      DATA (KB(JT,45, 4),JT=1,5) /
     &4.6157E-07,4.3457E-07,4.2412E-07,4.2137E-07,4.1750E-07/
      DATA (KB(JT,46, 4),JT=1,5) /
     &3.9156E-07,3.5690E-07,3.4498E-07,3.3995E-07,3.3614E-07/
      DATA (KB(JT,47, 4),JT=1,5) /
     &3.3392E-07,2.9746E-07,2.8074E-07,2.7344E-07,2.7079E-07/
      DATA (KB(JT,48, 4),JT=1,5) /
     &2.7066E-07,2.5369E-07,2.3115E-07,2.2213E-07,2.1766E-07/
      DATA (KB(JT,49, 4),JT=1,5) /
     &2.2198E-07,2.1395E-07,1.9274E-07,1.8040E-07,1.7542E-07/
      DATA (KB(JT,50, 4),JT=1,5) /
     &1.8070E-07,1.7367E-07,1.6473E-07,1.4916E-07,1.4306E-07/
      DATA (KB(JT,51, 4),JT=1,5) /
     &1.4595E-07,1.4287E-07,1.3847E-07,1.2418E-07,1.1697E-07/
      DATA (KB(JT,52, 4),JT=1,5) /
     &1.1819E-07,1.1588E-07,1.1225E-07,1.0604E-07,9.6269E-08/
      DATA (KB(JT,53, 4),JT=1,5) /
     &9.5028E-08,9.3094E-08,9.1303E-08,8.8900E-08,8.0262E-08/
      DATA (KB(JT,54, 4),JT=1,5) /
     &7.7005E-08,7.6238E-08,7.4228E-08,7.2526E-08,6.7965E-08/
      DATA (KB(JT,55, 4),JT=1,5) /
     &6.2979E-08,6.2692E-08,6.0930E-08,5.9579E-08,5.7700E-08/
      DATA (KB(JT,56, 4),JT=1,5) /
     &5.1571E-08,5.1196E-08,5.0031E-08,4.8916E-08,4.8127E-08/
      DATA (KB(JT,57, 4),JT=1,5) /
     &4.2602E-08,4.1678E-08,4.1006E-08,3.9709E-08,3.9283E-08/
      DATA (KB(JT,58, 4),JT=1,5) /
     &3.5155E-08,3.4052E-08,3.3561E-08,3.2395E-08,3.2057E-08/
      DATA (KB(JT,59, 4),JT=1,5) /
     &2.9318E-08,2.8516E-08,2.8097E-08,2.6888E-08,2.6840E-08/
      DATA (KB(JT,13, 5),JT=1,5) /
     &4.3718E-04,4.2279E-04,4.3200E-04,4.2910E-04,4.2775E-04/
      DATA (KB(JT,14, 5),JT=1,5) /
     &3.7902E-04,3.8090E-04,3.8058E-04,3.7637E-04,3.6798E-04/
      DATA (KB(JT,15, 5),JT=1,5) /
     &3.3222E-04,3.3597E-04,3.3205E-04,3.2000E-04,3.1310E-04/
      DATA (KB(JT,16, 5),JT=1,5) /
     &2.8736E-04,2.8700E-04,2.7853E-04,2.6891E-04,2.6391E-04/
      DATA (KB(JT,17, 5),JT=1,5) /
     &2.4534E-04,2.4098E-04,2.3072E-04,2.2519E-04,2.2013E-04/
      DATA (KB(JT,18, 5),JT=1,5) /
     &2.0645E-04,2.0019E-04,1.9266E-04,1.8716E-04,1.8139E-04/
      DATA (KB(JT,19, 5),JT=1,5) /
     &1.7271E-04,1.6642E-04,1.6064E-04,1.5556E-04,1.4951E-04/
      DATA (KB(JT,20, 5),JT=1,5) /
     &1.4266E-04,1.3766E-04,1.3239E-04,1.2767E-04,1.2305E-04/
      DATA (KB(JT,21, 5),JT=1,5) /
     &1.1797E-04,1.1256E-04,1.0880E-04,1.0424E-04,1.0062E-04/
      DATA (KB(JT,22, 5),JT=1,5) /
     &9.7085E-05,9.2101E-05,8.8420E-05,8.5535E-05,8.2201E-05/
      DATA (KB(JT,23, 5),JT=1,5) /
     &7.9380E-05,7.5312E-05,7.2177E-05,6.9710E-05,6.6966E-05/
      DATA (KB(JT,24, 5),JT=1,5) /
     &6.4591E-05,6.1520E-05,5.8891E-05,5.6626E-05,5.4603E-05/
      DATA (KB(JT,25, 5),JT=1,5) /
     &5.2423E-05,4.9934E-05,4.8122E-05,4.6331E-05,4.4875E-05/
      DATA (KB(JT,26, 5),JT=1,5) /
     &4.2528E-05,4.0739E-05,3.9218E-05,3.7806E-05,3.6631E-05/
      DATA (KB(JT,27, 5),JT=1,5) /
     &3.4453E-05,3.3104E-05,3.2009E-05,3.0764E-05,3.0000E-05/
      DATA (KB(JT,28, 5),JT=1,5) /
     &2.8076E-05,2.6948E-05,2.6097E-05,2.5065E-05,2.4596E-05/
      DATA (KB(JT,29, 5),JT=1,5) /
     &2.2814E-05,2.1902E-05,2.1222E-05,2.0350E-05,2.0152E-05/
      DATA (KB(JT,30, 5),JT=1,5) /
     &1.8551E-05,1.7731E-05,1.7162E-05,1.6614E-05,1.6461E-05/
      DATA (KB(JT,31, 5),JT=1,5) /
     &1.5020E-05,1.4383E-05,1.3922E-05,1.3548E-05,1.3388E-05/
      DATA (KB(JT,32, 5),JT=1,5) /
     &1.2091E-05,1.1653E-05,1.1308E-05,1.1033E-05,1.0954E-05/
      DATA (KB(JT,33, 5),JT=1,5) /
     &9.7901E-06,9.3570E-06,9.1428E-06,8.9594E-06,8.9614E-06/
      DATA (KB(JT,34, 5),JT=1,5) /
     &7.9439E-06,7.6095E-06,7.4365E-06,7.3099E-06,7.3269E-06/
      DATA (KB(JT,35, 5),JT=1,5) /
     &6.4505E-06,6.2326E-06,6.0921E-06,5.9939E-06,5.9799E-06/
      DATA (KB(JT,36, 5),JT=1,5) /
     &5.2745E-06,5.1017E-06,4.9658E-06,4.8988E-06,4.8773E-06/
      DATA (KB(JT,37, 5),JT=1,5) /
     &4.3522E-06,4.2053E-06,4.0681E-06,4.0176E-06,4.0058E-06/
      DATA (KB(JT,38, 5),JT=1,5) /
     &3.5676E-06,3.4559E-06,3.3446E-06,3.3017E-06,3.2771E-06/
      DATA (KB(JT,39, 5),JT=1,5) /
     &2.9238E-06,2.8445E-06,2.7512E-06,2.7095E-06,2.6825E-06/
      DATA (KB(JT,40, 5),JT=1,5) /
     &2.3985E-06,2.3437E-06,2.2756E-06,2.2251E-06,2.2009E-06/
      DATA (KB(JT,41, 5),JT=1,5) /
     &1.9763E-06,1.9311E-06,1.8886E-06,1.8370E-06,1.8072E-06/
      DATA (KB(JT,42, 5),JT=1,5) /
     &1.6256E-06,1.5918E-06,1.5558E-06,1.5108E-06,1.4861E-06/
      DATA (KB(JT,43, 5),JT=1,5) /
     &1.3290E-06,1.3116E-06,1.2833E-06,1.2550E-06,1.2262E-06/
      DATA (KB(JT,44, 5),JT=1,5) /
     &1.0777E-06,1.0760E-06,1.0566E-06,1.0365E-06,1.0136E-06/
      DATA (KB(JT,45, 5),JT=1,5) /
     &8.6690E-07,8.7981E-07,8.7044E-07,8.5428E-07,8.3627E-07/
      DATA (KB(JT,46, 5),JT=1,5) /
     &6.8706E-07,7.1088E-07,7.0939E-07,7.0110E-07,6.9032E-07/
      DATA (KB(JT,47, 5),JT=1,5) /
     &5.4665E-07,5.6934E-07,5.8033E-07,5.7830E-07,5.7105E-07/
      DATA (KB(JT,48, 5),JT=1,5) /
     &4.4874E-07,4.4653E-07,4.6650E-07,4.7090E-07,4.6732E-07/
      DATA (KB(JT,49, 5),JT=1,5) /
     &3.6869E-07,3.5456E-07,3.6842E-07,3.7978E-07,3.8217E-07/
      DATA (KB(JT,50, 5),JT=1,5) /
     &3.0489E-07,2.9229E-07,2.9104E-07,3.0430E-07,3.1068E-07/
      DATA (KB(JT,51, 5),JT=1,5) /
     &2.5290E-07,2.4012E-07,2.3271E-07,2.4366E-07,2.5149E-07/
      DATA (KB(JT,52, 5),JT=1,5) /
     &2.1148E-07,1.9715E-07,1.9121E-07,1.9177E-07,2.0148E-07/
      DATA (KB(JT,53, 5),JT=1,5) /
     &1.7334E-07,1.6335E-07,1.5574E-07,1.5266E-07,1.5921E-07/
      DATA (KB(JT,54, 5),JT=1,5) /
     &1.4189E-07,1.3650E-07,1.2781E-07,1.2535E-07,1.2749E-07/
      DATA (KB(JT,55, 5),JT=1,5) /
     &1.1763E-07,1.1398E-07,1.0627E-07,1.0373E-07,1.0268E-07/
      DATA (KB(JT,56, 5),JT=1,5) /
     &9.8316E-08,9.4892E-08,8.8799E-08,8.5036E-08,8.3393E-08/
      DATA (KB(JT,57, 5),JT=1,5) /
     &8.3049E-08,7.8499E-08,7.4140E-08,7.0137E-08,6.8774E-08/
      DATA (KB(JT,58, 5),JT=1,5) /
     &7.1768E-08,6.4682E-08,6.2012E-08,5.8149E-08,5.7037E-08/
      DATA (KB(JT,59, 5),JT=1,5) /
     &6.0166E-08,5.4824E-08,5.2042E-08,4.9198E-08,4.7862E-08/
      DATA (KB(JT,13, 6),JT=1,5) /
     &7.1254E-04,6.5708E-04,6.0824E-04,5.7965E-04,5.5389E-04/
      DATA (KB(JT,14, 6),JT=1,5) /
     &5.8852E-04,5.4811E-04,5.1125E-04,4.8557E-04,4.7730E-04/
      DATA (KB(JT,15, 6),JT=1,5) /
     &5.0599E-04,4.6869E-04,4.4362E-04,4.3503E-04,4.3705E-04/
      DATA (KB(JT,16, 6),JT=1,5) /
     &4.3493E-04,4.0996E-04,3.9680E-04,3.9623E-04,4.0784E-04/
      DATA (KB(JT,17, 6),JT=1,5) /
     &3.8028E-04,3.6175E-04,3.5696E-04,3.6547E-04,3.8127E-04/
      DATA (KB(JT,18, 6),JT=1,5) /
     &3.3113E-04,3.2205E-04,3.2458E-04,3.3502E-04,3.5577E-04/
      DATA (KB(JT,19, 6),JT=1,5) /
     &2.8886E-04,2.9134E-04,2.9799E-04,3.1134E-04,3.3676E-04/
      DATA (KB(JT,20, 6),JT=1,5) /
     &2.5113E-04,2.5555E-04,2.6535E-04,2.8470E-04,3.0677E-04/
      DATA (KB(JT,21, 6),JT=1,5) /
     &2.1640E-04,2.2152E-04,2.3323E-04,2.5467E-04,2.7764E-04/
      DATA (KB(JT,22, 6),JT=1,5) /
     &1.8601E-04,1.9217E-04,2.0696E-04,2.2593E-04,2.4729E-04/
      DATA (KB(JT,23, 6),JT=1,5) /
     &1.5978E-04,1.6833E-04,1.8229E-04,1.9994E-04,2.1913E-04/
      DATA (KB(JT,24, 6),JT=1,5) /
     &1.3748E-04,1.4696E-04,1.6025E-04,1.7620E-04,1.9459E-04/
      DATA (KB(JT,25, 6),JT=1,5) /
     &1.1841E-04,1.2828E-04,1.3998E-04,1.5487E-04,1.7174E-04/
      DATA (KB(JT,26, 6),JT=1,5) /
     &1.0209E-04,1.1175E-04,1.2193E-04,1.3590E-04,1.5125E-04/
      DATA (KB(JT,27, 6),JT=1,5) /
     &8.7003E-05,9.5681E-05,1.0499E-04,1.1744E-04,1.3086E-04/
      DATA (KB(JT,28, 6),JT=1,5) /
     &7.3110E-05,8.0653E-05,8.9103E-05,9.9988E-05,1.1120E-04/
      DATA (KB(JT,29, 6),JT=1,5) /
     &6.0620E-05,6.6736E-05,7.4222E-05,8.2863E-05,9.2471E-05/
      DATA (KB(JT,30, 6),JT=1,5) /
     &4.9831E-05,5.4602E-05,6.1288E-05,6.8281E-05,7.5599E-05/
      DATA (KB(JT,31, 6),JT=1,5) /
     &4.0315E-05,4.4435E-05,4.9703E-05,5.5140E-05,6.0140E-05/
      DATA (KB(JT,32, 6),JT=1,5) /
     &3.2490E-05,3.6020E-05,3.9894E-05,4.4068E-05,4.8080E-05/
      DATA (KB(JT,33, 6),JT=1,5) /
     &2.6085E-05,2.9063E-05,3.2003E-05,3.5074E-05,3.8662E-05/
      DATA (KB(JT,34, 6),JT=1,5) /
     &2.1201E-05,2.3256E-05,2.5636E-05,2.8140E-05,3.1273E-05/
      DATA (KB(JT,35, 6),JT=1,5) /
     &1.7022E-05,1.8534E-05,2.0322E-05,2.2464E-05,2.5109E-05/
      DATA (KB(JT,36, 6),JT=1,5) /
     &1.3427E-05,1.4606E-05,1.6055E-05,1.7783E-05,1.9877E-05/
      DATA (KB(JT,37, 6),JT=1,5) /
     &1.0630E-05,1.1559E-05,1.2731E-05,1.4118E-05,1.5831E-05/
      DATA (KB(JT,38, 6),JT=1,5) /
     &8.4365E-06,9.1300E-06,1.0077E-05,1.1171E-05,1.2568E-05/
      DATA (KB(JT,39, 6),JT=1,5) /
     &6.6762E-06,7.1770E-06,7.9359E-06,8.8044E-06,9.9043E-06/
      DATA (KB(JT,40, 6),JT=1,5) /
     &5.3561E-06,5.7216E-06,6.3210E-06,7.0080E-06,7.9213E-06/
      DATA (KB(JT,41, 6),JT=1,5) /
     &4.2954E-06,4.5692E-06,5.0356E-06,5.6102E-06,6.3394E-06/
      DATA (KB(JT,42, 6),JT=1,5) /
     &3.4409E-06,3.6788E-06,4.0124E-06,4.4898E-06,5.0645E-06/
      DATA (KB(JT,43, 6),JT=1,5) /
     &2.7453E-06,2.9361E-06,3.1651E-06,3.5498E-06,4.0058E-06/
      DATA (KB(JT,44, 6),JT=1,5) /
     &2.1863E-06,2.3320E-06,2.4965E-06,2.7915E-06,3.1593E-06/
      DATA (KB(JT,45, 6),JT=1,5) /
     &1.7409E-06,1.8472E-06,1.9801E-06,2.1812E-06,2.4741E-06/
      DATA (KB(JT,46, 6),JT=1,5) /
     &1.3903E-06,1.4639E-06,1.5660E-06,1.7042E-06,1.9243E-06/
      DATA (KB(JT,47, 6),JT=1,5) /
     &1.1229E-06,1.1661E-06,1.2377E-06,1.3335E-06,1.4898E-06/
      DATA (KB(JT,48, 6),JT=1,5) /
     &9.0528E-07,9.2962E-07,9.7799E-07,1.0483E-06,1.1575E-06/
      DATA (KB(JT,49, 6),JT=1,5) /
     &7.2877E-07,7.4278E-07,7.7380E-07,8.2564E-07,8.9736E-07/
      DATA (KB(JT,50, 6),JT=1,5) /
     &5.9358E-07,5.9955E-07,6.2170E-07,6.5720E-07,7.0771E-07/
      DATA (KB(JT,51, 6),JT=1,5) /
     &4.8783E-07,4.8769E-07,5.0300E-07,5.2655E-07,5.6377E-07/
      DATA (KB(JT,52, 6),JT=1,5) /
     &3.9834E-07,3.9922E-07,4.0604E-07,4.2316E-07,4.5057E-07/
      DATA (KB(JT,53, 6),JT=1,5) /
     &3.3019E-07,3.2505E-07,3.3011E-07,3.3917E-07,3.5858E-07/
      DATA (KB(JT,54, 6),JT=1,5) /
     &2.7829E-07,2.6763E-07,2.7219E-07,2.7714E-07,2.9159E-07/
      DATA (KB(JT,55, 6),JT=1,5) /
     &2.3259E-07,2.2250E-07,2.2510E-07,2.2855E-07,2.3937E-07/
      DATA (KB(JT,56, 6),JT=1,5) /
     &1.9401E-07,1.8605E-07,1.8566E-07,1.8937E-07,1.9605E-07/
      DATA (KB(JT,57, 6),JT=1,5) /
     &1.5908E-07,1.5649E-07,1.5396E-07,1.5754E-07,1.6039E-07/
      DATA (KB(JT,58, 6),JT=1,5) /
     &1.2892E-07,1.3132E-07,1.2793E-07,1.3093E-07,1.3273E-07/
      DATA (KB(JT,59, 6),JT=1,5) /
     &1.1177E-07,1.1165E-07,1.0875E-07,1.1132E-07,1.1431E-07/
      DATA (KB(JT,13, 7),JT=1,5) /
     &1.9357E-03,2.0341E-03,2.1760E-03,2.2982E-03,2.4550E-03/
      DATA (KB(JT,14, 7),JT=1,5) /
     &2.0343E-03,2.1709E-03,2.3192E-03,2.4854E-03,2.7026E-03/
      DATA (KB(JT,15, 7),JT=1,5) /
     &2.1108E-03,2.3009E-03,2.5488E-03,2.8048E-03,3.0159E-03/
      DATA (KB(JT,16, 7),JT=1,5) /
     &2.1016E-03,2.3581E-03,2.5958E-03,2.8093E-03,2.9839E-03/
      DATA (KB(JT,17, 7),JT=1,5) /
     &2.1350E-03,2.3722E-03,2.5718E-03,2.7703E-03,3.0036E-03/
      DATA (KB(JT,18, 7),JT=1,5) /
     &2.1493E-03,2.3550E-03,2.5593E-03,2.7827E-03,2.9722E-03/
      DATA (KB(JT,19, 7),JT=1,5) /
     &2.1677E-03,2.3602E-03,2.5446E-03,2.7267E-03,2.9542E-03/
      DATA (KB(JT,20, 7),JT=1,5) /
     &2.1009E-03,2.2669E-03,2.4261E-03,2.6095E-03,2.8436E-03/
      DATA (KB(JT,21, 7),JT=1,5) /
     &1.9811E-03,2.1249E-03,2.2790E-03,2.4716E-03,2.6844E-03/
      DATA (KB(JT,22, 7),JT=1,5) /
     &1.8393E-03,1.9585E-03,2.1127E-03,2.2962E-03,2.5211E-03/
      DATA (KB(JT,23, 7),JT=1,5) /
     &1.6905E-03,1.8032E-03,1.9594E-03,2.1280E-03,2.3466E-03/
      DATA (KB(JT,24, 7),JT=1,5) /
     &1.5327E-03,1.6542E-03,1.8047E-03,1.9642E-03,2.1591E-03/
      DATA (KB(JT,25, 7),JT=1,5) /
     &1.3831E-03,1.4932E-03,1.6391E-03,1.7921E-03,1.9606E-03/
      DATA (KB(JT,26, 7),JT=1,5) /
     &1.2298E-03,1.3325E-03,1.4676E-03,1.6086E-03,1.7628E-03/
      DATA (KB(JT,27, 7),JT=1,5) /
     &1.0692E-03,1.1652E-03,1.2858E-03,1.4124E-03,1.5514E-03/
      DATA (KB(JT,28, 7),JT=1,5) /
     &9.1706E-04,1.0034E-03,1.1100E-03,1.2231E-03,1.3481E-03/
      DATA (KB(JT,29, 7),JT=1,5) /
     &7.6824E-04,8.4492E-04,9.3654E-04,1.0377E-03,1.1448E-03/
      DATA (KB(JT,30, 7),JT=1,5) /
     &6.3841E-04,7.0573E-04,7.8553E-04,8.7197E-04,9.6607E-04/
      DATA (KB(JT,31, 7),JT=1,5) /
     &5.1979E-04,5.8056E-04,6.4728E-04,7.1891E-04,8.0875E-04/
      DATA (KB(JT,32, 7),JT=1,5) /
     &4.2659E-04,4.7686E-04,5.3347E-04,6.0016E-04,6.7592E-04/
      DATA (KB(JT,33, 7),JT=1,5) /
     &3.4820E-04,3.9030E-04,4.4004E-04,4.9875E-04,5.6492E-04/
      DATA (KB(JT,34, 7),JT=1,5) /
     &2.8753E-04,3.2477E-04,3.6831E-04,4.1989E-04,4.7708E-04/
      DATA (KB(JT,35, 7),JT=1,5) /
     &2.3568E-04,2.6716E-04,3.0618E-04,3.5062E-04,3.9934E-04/
      DATA (KB(JT,36, 7),JT=1,5) /
     &1.9116E-04,2.1863E-04,2.5180E-04,2.8983E-04,3.3082E-04/
      DATA (KB(JT,37, 7),JT=1,5) /
     &1.5437E-04,1.7829E-04,2.0646E-04,2.3900E-04,2.7320E-04/
      DATA (KB(JT,38, 7),JT=1,5) /
     &1.2397E-04,1.4462E-04,1.6847E-04,1.9621E-04,2.2528E-04/
      DATA (KB(JT,39, 7),JT=1,5) /
     &9.8930E-05,1.1647E-04,1.3711E-04,1.6057E-04,1.8549E-04/
      DATA (KB(JT,40, 7),JT=1,5) /
     &7.9845E-05,9.4437E-05,1.1202E-04,1.3217E-04,1.5346E-04/
      DATA (KB(JT,41, 7),JT=1,5) /
     &6.4260E-05,7.6439E-05,9.1253E-05,1.0837E-04,1.2691E-04/
      DATA (KB(JT,42, 7),JT=1,5) /
     &5.1561E-05,6.1686E-05,7.4044E-05,8.8504E-05,1.0431E-04/
      DATA (KB(JT,43, 7),JT=1,5) /
     &4.0906E-05,4.9267E-05,5.9361E-05,7.1417E-05,8.4751E-05/
      DATA (KB(JT,44, 7),JT=1,5) /
     &3.2247E-05,3.8955E-05,4.7246E-05,5.7199E-05,6.8540E-05/
      DATA (KB(JT,45, 7),JT=1,5) /
     &2.5243E-05,3.0790E-05,3.7490E-05,4.5754E-05,5.5394E-05/
      DATA (KB(JT,46, 7),JT=1,5) /
     &1.9604E-05,2.4131E-05,2.9598E-05,3.6431E-05,4.4419E-05/
      DATA (KB(JT,47, 7),JT=1,5) /
     &1.5116E-05,1.8785E-05,2.3180E-05,2.8780E-05,3.5381E-05/
      DATA (KB(JT,48, 7),JT=1,5) /
     &1.1550E-05,1.4451E-05,1.8039E-05,2.2545E-05,2.8005E-05/
      DATA (KB(JT,49, 7),JT=1,5) /
     &8.7452E-06,1.0992E-05,1.3863E-05,1.7498E-05,2.1949E-05/
      DATA (KB(JT,50, 7),JT=1,5) /
     &6.6768E-06,8.4974E-06,1.0835E-05,1.3777E-05,1.7448E-05/
      DATA (KB(JT,51, 7),JT=1,5) /
     &5.1359E-06,6.6277E-06,8.5196E-06,1.0905E-05,1.3933E-05/
      DATA (KB(JT,52, 7),JT=1,5) /
     &3.8737E-06,5.1001E-06,6.6347E-06,8.5842E-06,1.1033E-05/
      DATA (KB(JT,53, 7),JT=1,5) /
     &2.8793E-06,3.8820E-06,5.0987E-06,6.6800E-06,8.6846E-06/
      DATA (KB(JT,54, 7),JT=1,5) /
     &2.2250E-06,3.0528E-06,4.0721E-06,5.3813E-06,7.0529E-06/
      DATA (KB(JT,55, 7),JT=1,5) /
     &1.7548E-06,2.4455E-06,3.2962E-06,4.3877E-06,5.8071E-06/
      DATA (KB(JT,56, 7),JT=1,5) /
     &1.3740E-06,1.9413E-06,2.6523E-06,3.5566E-06,4.7512E-06/
      DATA (KB(JT,57, 7),JT=1,5) /
     &1.0745E-06,1.5242E-06,2.1190E-06,2.8679E-06,3.8612E-06/
      DATA (KB(JT,58, 7),JT=1,5) /
     &8.4271E-07,1.2117E-06,1.7039E-06,2.3246E-06,3.1564E-06/
      DATA (KB(JT,59, 7),JT=1,5) /
     &7.5625E-07,1.1002E-06,1.5376E-06,2.0855E-06,2.8548E-06/
      DATA (KB(JT,13, 8),JT=1,5) /
     &4.1133E-02,4.3585E-02,4.6448E-02,5.0156E-02,5.4607E-02/
      DATA (KB(JT,14, 8),JT=1,5) /
     &3.9162E-02,4.1636E-02,4.4649E-02,4.8118E-02,5.2078E-02/
      DATA (KB(JT,15, 8),JT=1,5) /
     &3.7770E-02,4.0048E-02,4.3090E-02,4.6524E-02,5.0698E-02/
      DATA (KB(JT,16, 8),JT=1,5) /
     &3.5235E-02,3.7712E-02,4.0429E-02,4.4092E-02,4.8470E-02/
      DATA (KB(JT,17, 8),JT=1,5) /
     &3.2748E-02,3.5232E-02,3.8049E-02,4.1536E-02,4.5596E-02/
      DATA (KB(JT,18, 8),JT=1,5) /
     &3.0656E-02,3.3078E-02,3.6084E-02,3.9403E-02,4.3319E-02/
      DATA (KB(JT,19, 8),JT=1,5) /
     &2.8887E-02,3.1462E-02,3.4348E-02,3.7660E-02,4.1532E-02/
      DATA (KB(JT,20, 8),JT=1,5) /
     &2.6521E-02,2.9153E-02,3.2006E-02,3.5368E-02,3.9083E-02/
      DATA (KB(JT,21, 8),JT=1,5) /
     &2.3988E-02,2.6537E-02,2.9508E-02,3.2666E-02,3.6356E-02/
      DATA (KB(JT,22, 8),JT=1,5) /
     &2.1655E-02,2.4205E-02,2.7193E-02,3.0346E-02,3.3820E-02/
      DATA (KB(JT,23, 8),JT=1,5) /
     &1.9724E-02,2.2257E-02,2.5021E-02,2.7997E-02,3.1309E-02/
      DATA (KB(JT,24, 8),JT=1,5) /
     &1.8094E-02,2.0464E-02,2.3167E-02,2.6069E-02,2.9357E-02/
      DATA (KB(JT,25, 8),JT=1,5) /
     &1.6666E-02,1.8896E-02,2.1422E-02,2.4282E-02,2.7401E-02/
      DATA (KB(JT,26, 8),JT=1,5) /
     &1.5252E-02,1.7451E-02,1.9828E-02,2.2565E-02,2.5604E-02/
      DATA (KB(JT,27, 8),JT=1,5) /
     &1.3902E-02,1.5940E-02,1.8143E-02,2.0720E-02,2.3727E-02/
      DATA (KB(JT,28, 8),JT=1,5) /
     &1.2642E-02,1.4401E-02,1.6467E-02,1.8975E-02,2.1740E-02/
      DATA (KB(JT,29, 8),JT=1,5) /
     &1.1177E-02,1.2765E-02,1.4750E-02,1.6957E-02,1.9575E-02/
      DATA (KB(JT,30, 8),JT=1,5) /
     &9.7810E-03,1.1281E-02,1.3066E-02,1.5112E-02,1.7581E-02/
      DATA (KB(JT,31, 8),JT=1,5) /
     &8.4562E-03,9.8553E-03,1.1427E-02,1.3312E-02,1.5536E-02/
      DATA (KB(JT,32, 8),JT=1,5) /
     &7.3434E-03,8.5939E-03,1.0020E-02,1.1770E-02,1.3758E-02/
      DATA (KB(JT,33, 8),JT=1,5) /
     &6.3801E-03,7.4957E-03,8.7874E-03,1.0375E-02,1.2145E-02/
      DATA (KB(JT,34, 8),JT=1,5) /
     &5.6002E-03,6.5926E-03,7.7964E-03,9.2186E-03,1.0768E-02/
      DATA (KB(JT,35, 8),JT=1,5) /
     &4.8489E-03,5.7164E-03,6.8333E-03,8.0886E-03,9.4500E-03/
      DATA (KB(JT,36, 8),JT=1,5) /
     &4.1428E-03,4.9220E-03,5.8884E-03,6.9905E-03,8.1862E-03/
      DATA (KB(JT,37, 8),JT=1,5) /
     &3.4967E-03,4.1841E-03,5.0244E-03,5.9657E-03,7.0167E-03/
      DATA (KB(JT,38, 8),JT=1,5) /
     &2.9333E-03,3.5364E-03,4.2644E-03,5.0719E-03,5.9938E-03/
      DATA (KB(JT,39, 8),JT=1,5) /
     &2.4443E-03,2.9647E-03,3.5953E-03,4.2898E-03,5.0972E-03/
      DATA (KB(JT,40, 8),JT=1,5) /
     &2.0439E-03,2.5046E-03,3.0512E-03,3.6459E-03,4.3466E-03/
      DATA (KB(JT,41, 8),JT=1,5) /
     &1.7068E-03,2.1107E-03,2.5838E-03,3.0959E-03,3.6971E-03/
      DATA (KB(JT,42, 8),JT=1,5) /
     &1.4199E-03,1.7705E-03,2.1755E-03,2.6204E-03,3.1356E-03/
      DATA (KB(JT,43, 8),JT=1,5) /
     &1.1616E-03,1.4584E-03,1.8069E-03,2.1876E-03,2.6286E-03/
      DATA (KB(JT,44, 8),JT=1,5) /
     &9.3807E-04,1.1864E-03,1.4851E-03,1.8080E-03,2.1849E-03/
      DATA (KB(JT,45, 8),JT=1,5) /
     &7.5026E-04,9.5460E-04,1.2092E-03,1.4831E-03,1.8037E-03/
      DATA (KB(JT,46, 8),JT=1,5) /
     &5.9319E-04,7.6134E-04,9.7292E-04,1.2059E-03,1.4787E-03/
      DATA (KB(JT,47, 8),JT=1,5) /
     &4.6546E-04,6.0113E-04,7.7762E-04,9.7379E-04,1.2030E-03/
      DATA (KB(JT,48, 8),JT=1,5) /
     &3.6131E-04,4.6999E-04,6.1292E-04,7.7778E-04,9.6667E-04/
      DATA (KB(JT,49, 8),JT=1,5) /
     &2.7490E-04,3.6153E-04,4.7561E-04,6.1173E-04,7.6634E-04/
      DATA (KB(JT,50, 8),JT=1,5) /
     &2.1403E-04,2.8416E-04,3.7592E-04,4.8994E-04,6.1812E-04/
      DATA (KB(JT,51, 8),JT=1,5) /
     &1.6745E-04,2.2425E-04,2.9943E-04,3.9474E-04,5.0310E-04/
      DATA (KB(JT,52, 8),JT=1,5) /
     &1.2927E-04,1.7496E-04,2.3541E-04,3.1434E-04,4.0442E-04/
      DATA (KB(JT,53, 8),JT=1,5) /
     &9.8512E-05,1.3503E-04,1.8276E-04,2.4681E-04,3.2086E-04/
      DATA (KB(JT,54, 8),JT=1,5) /
     &7.8150E-05,1.0819E-04,1.4843E-04,2.0243E-04,2.6646E-04/
      DATA (KB(JT,55, 8),JT=1,5) /
     &6.3455E-05,8.8570E-05,1.2297E-04,1.7015E-04,2.2626E-04/
      DATA (KB(JT,56, 8),JT=1,5) /
     &5.1095E-05,7.2223E-05,1.0144E-04,1.4188E-04,1.9132E-04/
      DATA (KB(JT,57, 8),JT=1,5) /
     &4.0866E-05,5.8631E-05,8.3096E-05,1.1753E-04,1.6055E-04/
      DATA (KB(JT,58, 8),JT=1,5) /
     &3.2890E-05,4.7893E-05,6.8644E-05,9.8156E-05,1.3564E-04/
      DATA (KB(JT,59, 8),JT=1,5) /
     &2.9702E-05,4.3928E-05,6.4217E-05,9.2621E-05,1.2965E-04/
      DATA (KB(JT,13, 9),JT=1,5) /
     &2.7690E+00,2.8644E+00,2.9696E+00,3.0850E+00,3.2162E+00/
      DATA (KB(JT,14, 9),JT=1,5) /
     &2.3162E+00,2.3973E+00,2.4876E+00,2.5913E+00,2.7107E+00/
      DATA (KB(JT,15, 9),JT=1,5) /
     &1.9377E+00,2.0096E+00,2.0909E+00,2.1846E+00,2.2904E+00/
      DATA (KB(JT,16, 9),JT=1,5) /
     &1.6221E+00,1.6854E+00,1.7596E+00,1.8440E+00,1.9374E+00/
      DATA (KB(JT,17, 9),JT=1,5) /
     &1.3581E+00,1.4147E+00,1.4813E+00,1.5562E+00,1.6364E+00/
      DATA (KB(JT,18, 9),JT=1,5) /
     &1.1494E+00,1.1995E+00,1.2558E+00,1.3168E+00,1.3828E+00/
      DATA (KB(JT,19, 9),JT=1,5) /
     &9.9857E-01,1.0422E+00,1.0890E+00,1.1391E+00,1.1917E+00/
      DATA (KB(JT,20, 9),JT=1,5) /
     &8.6585E-01,9.0292E-01,9.4341E-01,9.8616E-01,1.0332E+00/
      DATA (KB(JT,21, 9),JT=1,5) /
     &7.4752E-01,7.7983E-01,8.1433E-01,8.5283E-01,8.9462E-01/
      DATA (KB(JT,22, 9),JT=1,5) /
     &6.4494E-01,6.7286E-01,7.0277E-01,7.3658E-01,7.7352E-01/
      DATA (KB(JT,23, 9),JT=1,5) /
     &5.5485E-01,5.7897E-01,6.0654E-01,6.3699E-01,6.6979E-01/
      DATA (KB(JT,24, 9),JT=1,5) /
     &4.7664E-01,4.9869E-01,5.2329E-01,5.4973E-01,5.7955E-01/
      DATA (KB(JT,25, 9),JT=1,5) /
     &4.1114E-01,4.2988E-01,4.5044E-01,4.7447E-01,5.0163E-01/
      DATA (KB(JT,26, 9),JT=1,5) /
     &3.5513E-01,3.7142E-01,3.8942E-01,4.1045E-01,4.3493E-01/
      DATA (KB(JT,27, 9),JT=1,5) /
     &3.0546E-01,3.1995E-01,3.3673E-01,3.5597E-01,3.7742E-01/
      DATA (KB(JT,28, 9),JT=1,5) /
     &2.6188E-01,2.7552E-01,2.9117E-01,3.0879E-01,3.2839E-01/
      DATA (KB(JT,29, 9),JT=1,5) /
     &2.2377E-01,2.3654E-01,2.5102E-01,2.6735E-01,2.8587E-01/
      DATA (KB(JT,30, 9),JT=1,5) /
     &1.9129E-01,2.0332E-01,2.1691E-01,2.3233E-01,2.4924E-01/
      DATA (KB(JT,31, 9),JT=1,5) /
     &1.6347E-01,1.7463E-01,1.8745E-01,2.0165E-01,2.1712E-01/
      DATA (KB(JT,32, 9),JT=1,5) /
     &1.4037E-01,1.5075E-01,1.6282E-01,1.7567E-01,1.8973E-01/
      DATA (KB(JT,33, 9),JT=1,5) /
     &1.2095E-01,1.3081E-01,1.4161E-01,1.5337E-01,1.6632E-01/
      DATA (KB(JT,34, 9),JT=1,5) /
     &1.0468E-01,1.1371E-01,1.2351E-01,1.3423E-01,1.4632E-01/
      DATA (KB(JT,35, 9),JT=1,5) /
     &9.0259E-02,9.8421E-02,1.0717E-01,1.1695E-01,1.2831E-01/
      DATA (KB(JT,36, 9),JT=1,5) /
     &7.7272E-02,8.4599E-02,9.2464E-02,1.0140E-01,1.1193E-01/
      DATA (KB(JT,37, 9),JT=1,5) /
     &6.5606E-02,7.2029E-02,7.9063E-02,8.7174E-02,9.6643E-02/
      DATA (KB(JT,38, 9),JT=1,5) /
     &5.5528E-02,6.1268E-02,6.7613E-02,7.4898E-02,8.3456E-02/
      DATA (KB(JT,39, 9),JT=1,5) /
     &4.6985E-02,5.2085E-02,5.7765E-02,6.4303E-02,7.2021E-02/
      DATA (KB(JT,40, 9),JT=1,5) /
     &3.9626E-02,4.4094E-02,4.9150E-02,5.5005E-02,6.1884E-02/
      DATA (KB(JT,41, 9),JT=1,5) /
     &3.3376E-02,3.7326E-02,4.1783E-02,4.6997E-02,5.3158E-02/
      DATA (KB(JT,42, 9),JT=1,5) /
     &2.8074E-02,3.1535E-02,3.5493E-02,4.0112E-02,4.5645E-02/
      DATA (KB(JT,43, 9),JT=1,5) /
     &2.3419E-02,2.6419E-02,2.9889E-02,3.3982E-02,3.8867E-02/
      DATA (KB(JT,44, 9),JT=1,5) /
     &1.9437E-02,2.2035E-02,2.5042E-02,2.8622E-02,3.2930E-02/
      DATA (KB(JT,45, 9),JT=1,5) /
     &1.6083E-02,1.8329E-02,2.0937E-02,2.4027E-02,2.7786E-02/
      DATA (KB(JT,46, 9),JT=1,5) /
     &1.3236E-02,1.5146E-02,1.7420E-02,2.0094E-02,2.3328E-02/
      DATA (KB(JT,47, 9),JT=1,5) /
     &1.0820E-02,1.2455E-02,1.4377E-02,1.6656E-02,1.9464E-02/
      DATA (KB(JT,48, 9),JT=1,5) /
     &8.8043E-03,1.0190E-02,1.1813E-02,1.3745E-02,1.6141E-02/
      DATA (KB(JT,49, 9),JT=1,5) /
     &7.1234E-03,8.2775E-03,9.6453E-03,1.1284E-02,1.3310E-02/
      DATA (KB(JT,50, 9),JT=1,5) /
     &5.8127E-03,6.7802E-03,7.9379E-03,9.3254E-03,1.1078E-02/
      DATA (KB(JT,51, 9),JT=1,5) /
     &4.7494E-03,5.5659E-03,6.5602E-03,7.7407E-03,9.2288E-03/
      DATA (KB(JT,52, 9),JT=1,5) /
     &3.8618E-03,4.5424E-03,5.3925E-03,6.4011E-03,7.6645E-03/
      DATA (KB(JT,53, 9),JT=1,5) /
     &3.1264E-03,3.6823E-03,4.3952E-03,5.2615E-03,6.3311E-03/
      DATA (KB(JT,54, 9),JT=1,5) /
     &2.5794E-03,3.0481E-03,3.6548E-03,4.4037E-03,5.3380E-03/
      DATA (KB(JT,55, 9),JT=1,5) /
     &2.1508E-03,2.5472E-03,3.0665E-03,3.7188E-03,4.5472E-03/
      DATA (KB(JT,56, 9),JT=1,5) /
     &1.7938E-03,2.1263E-03,2.5713E-03,3.1411E-03,3.8667E-03/
      DATA (KB(JT,57, 9),JT=1,5) /
     &1.4949E-03,1.7755E-03,2.1510E-03,2.6439E-03,3.2830E-03/
      DATA (KB(JT,58, 9),JT=1,5) /
     &1.2521E-03,1.4938E-03,1.8137E-03,2.2426E-03,2.8028E-03/
      DATA (KB(JT,59, 9),JT=1,5) /
     &1.1302E-03,1.3552E-03,1.6582E-03,2.0691E-03,2.6051E-03/
      DATA (KB(JT,13,10),JT=1,5) /
     &1.4370E+01,1.4649E+01,1.4957E+01,1.5296E+01,1.5663E+01/
      DATA (KB(JT,14,10),JT=1,5) /
     &1.2178E+01,1.2411E+01,1.2682E+01,1.2978E+01,1.3316E+01/
      DATA (KB(JT,15,10),JT=1,5) /
     &1.0211E+01,1.0402E+01,1.0625E+01,1.0894E+01,1.1239E+01/
      DATA (KB(JT,16,10),JT=1,5) /
     &8.5974E+00,8.7539E+00,8.9410E+00,9.1849E+00,9.5108E+00/
      DATA (KB(JT,17,10),JT=1,5) /
     &7.2440E+00,7.3858E+00,7.5683E+00,7.8199E+00,8.1516E+00/
      DATA (KB(JT,18,10),JT=1,5) /
     &5.9680E+00,6.1054E+00,6.3108E+00,6.6074E+00,6.9367E+00/
      DATA (KB(JT,19,10),JT=1,5) /
     &4.7759E+00,4.9000E+00,5.1125E+00,5.3858E+00,5.6972E+00/
      DATA (KB(JT,20,10),JT=1,5) /
     &4.0682E+00,4.2060E+00,4.3988E+00,4.6035E+00,4.8052E+00/
      DATA (KB(JT,21,10),JT=1,5) /
     &3.5226E+00,3.6715E+00,3.8357E+00,4.0017E+00,4.1636E+00/
      DATA (KB(JT,22,10),JT=1,5) /
     &3.0730E+00,3.2059E+00,3.3607E+00,3.5055E+00,3.6621E+00/
      DATA (KB(JT,23,10),JT=1,5) /
     &2.6688E+00,2.7999E+00,2.9296E+00,3.0668E+00,3.2115E+00/
      DATA (KB(JT,24,10),JT=1,5) /
     &2.3228E+00,2.4338E+00,2.5510E+00,2.6866E+00,2.8223E+00/
      DATA (KB(JT,25,10),JT=1,5) /
     &1.9964E+00,2.1083E+00,2.2332E+00,2.3566E+00,2.4845E+00/
      DATA (KB(JT,26,10),JT=1,5) /
     &1.7097E+00,1.8190E+00,1.9420E+00,2.0663E+00,2.1952E+00/
      DATA (KB(JT,27,10),JT=1,5) /
     &1.4729E+00,1.5741E+00,1.6825E+00,1.7963E+00,1.9295E+00/
      DATA (KB(JT,28,10),JT=1,5) /
     &1.2788E+00,1.3609E+00,1.4562E+00,1.5668E+00,1.7032E+00/
      DATA (KB(JT,29,10),JT=1,5) /
     &1.1113E+00,1.1813E+00,1.2669E+00,1.3763E+00,1.5012E+00/
      DATA (KB(JT,30,10),JT=1,5) /
     &9.6661E-01,1.0287E+00,1.1081E+00,1.2093E+00,1.3273E+00/
      DATA (KB(JT,31,10),JT=1,5) /
     &8.3795E-01,8.9792E-01,9.7327E-01,1.0727E+00,1.1828E+00/
      DATA (KB(JT,32,10),JT=1,5) /
     &7.2634E-01,7.8480E-01,8.6071E-01,9.5503E-01,1.0615E+00/
      DATA (KB(JT,33,10),JT=1,5) /
     &6.3134E-01,6.8789E-01,7.6628E-01,8.5854E-01,9.6370E-01/
      DATA (KB(JT,34,10),JT=1,5) /
     &5.5172E-01,6.0863E-01,6.8672E-01,7.7637E-01,8.7664E-01/
      DATA (KB(JT,35,10),JT=1,5) /
     &4.8039E-01,5.3701E-01,6.1125E-01,6.9795E-01,7.9084E-01/
      DATA (KB(JT,36,10),JT=1,5) /
     &4.1819E-01,4.7188E-01,5.4096E-01,6.2096E-01,7.0693E-01/
      DATA (KB(JT,37,10),JT=1,5) /
     &3.6050E-01,4.0906E-01,4.7069E-01,5.4184E-01,6.2144E-01/
      DATA (KB(JT,38,10),JT=1,5) /
     &3.1156E-01,3.5409E-01,4.0958E-01,4.7371E-01,5.4611E-01/
      DATA (KB(JT,39,10),JT=1,5) /
     &2.6782E-01,3.0677E-01,3.5645E-01,4.1535E-01,4.8073E-01/
      DATA (KB(JT,40,10),JT=1,5) /
     &2.3006E-01,2.6273E-01,3.0670E-01,3.5934E-01,4.1871E-01/
      DATA (KB(JT,41,10),JT=1,5) /
     &1.9681E-01,2.2601E-01,2.6383E-01,3.1041E-01,3.6443E-01/
      DATA (KB(JT,42,10),JT=1,5) /
     &1.6794E-01,1.9457E-01,2.2757E-01,2.6875E-01,3.1708E-01/
      DATA (KB(JT,43,10),JT=1,5) /
     &1.4222E-01,1.6606E-01,1.9480E-01,2.3049E-01,2.7422E-01/
      DATA (KB(JT,44,10),JT=1,5) /
     &1.1907E-01,1.4059E-01,1.6567E-01,1.9741E-01,2.3557E-01/
      DATA (KB(JT,45,10),JT=1,5) /
     &9.9508E-02,1.1792E-01,1.4029E-01,1.6912E-01,2.0294E-01/
      DATA (KB(JT,46,10),JT=1,5) /
     &8.2787E-02,9.8729E-02,1.1783E-01,1.4344E-01,1.7433E-01/
      DATA (KB(JT,47,10),JT=1,5) /
     &6.8205E-02,8.1739E-02,9.8558E-02,1.2017E-01,1.4798E-01/
      DATA (KB(JT,48,10),JT=1,5) /
     &5.5907E-02,6.7050E-02,8.1465E-02,1.0030E-01,1.2506E-01/
      DATA (KB(JT,49,10),JT=1,5) /
     &4.5682E-02,5.4871E-02,6.6950E-02,8.3270E-02,1.0500E-01/
      DATA (KB(JT,50,10),JT=1,5) /
     &3.7515E-02,4.5259E-02,5.5584E-02,6.9475E-02,8.8432E-02/
      DATA (KB(JT,51,10),JT=1,5) /
     &3.1052E-02,3.7347E-02,4.6136E-02,5.8029E-02,7.4379E-02/
      DATA (KB(JT,52,10),JT=1,5) /
     &2.5697E-02,3.0758E-02,3.8027E-02,4.8169E-02,6.2340E-02/
      DATA (KB(JT,53,10),JT=1,5) /
     &2.1053E-02,2.5282E-02,3.1221E-02,3.9765E-02,5.2061E-02/
      DATA (KB(JT,54,10),JT=1,5) /
     &1.7506E-02,2.1171E-02,2.6181E-02,3.3450E-02,4.3837E-02/
      DATA (KB(JT,55,10),JT=1,5) /
     &1.4733E-02,1.7912E-02,2.2352E-02,2.8517E-02,3.7310E-02/
      DATA (KB(JT,56,10),JT=1,5) /
     &1.2382E-02,1.5138E-02,1.9031E-02,2.4337E-02,3.1780E-02/
      DATA (KB(JT,57,10),JT=1,5) /
     &1.0363E-02,1.2802E-02,1.6188E-02,2.0731E-02,2.7252E-02/
      DATA (KB(JT,58,10),JT=1,5) /
     &8.7632E-03,1.0863E-02,1.3823E-02,1.7907E-02,2.3570E-02/
      DATA (KB(JT,59,10),JT=1,5) /
     &7.9477E-03,9.9708E-03,1.2797E-02,1.6832E-02,2.2384E-02/
      DATA (KB(JT,13,11),JT=1,5) /
     &2.7028E+01,2.7753E+01,2.8483E+01,2.9219E+01,2.9909E+01/
      DATA (KB(JT,14,11),JT=1,5) /
     &2.3419E+01,2.4025E+01,2.4638E+01,2.5228E+01,2.5789E+01/
      DATA (KB(JT,15,11),JT=1,5) /
     &2.0150E+01,2.0660E+01,2.1151E+01,2.1642E+01,2.2118E+01/
      DATA (KB(JT,16,11),JT=1,5) /
     &1.7107E+01,1.7510E+01,1.7925E+01,1.8355E+01,1.8823E+01/
      DATA (KB(JT,17,11),JT=1,5) /
     &1.4361E+01,1.4686E+01,1.5035E+01,1.5422E+01,1.5903E+01/
      DATA (KB(JT,18,11),JT=1,5) /
     &1.2138E+01,1.2397E+01,1.2696E+01,1.3058E+01,1.3553E+01/
      DATA (KB(JT,19,11),JT=1,5) /
     &1.0135E+01,1.0395E+01,1.0708E+01,1.1115E+01,1.1638E+01/
      DATA (KB(JT,20,11),JT=1,5) /
     &8.1786E+00,8.4190E+00,8.7492E+00,9.2221E+00,9.7673E+00/
      DATA (KB(JT,21,11),JT=1,5) /
     &6.8203E+00,7.0074E+00,7.3249E+00,7.7062E+00,8.1227E+00/
      DATA (KB(JT,22,11),JT=1,5) /
     &5.8880E+00,6.1142E+00,6.4089E+00,6.7273E+00,7.0540E+00/
      DATA (KB(JT,23,11),JT=1,5) /
     &5.1482E+00,5.3972E+00,5.6613E+00,5.9190E+00,6.2039E+00/
      DATA (KB(JT,24,11),JT=1,5) /
     &4.5460E+00,4.7798E+00,5.0055E+00,5.2340E+00,5.4793E+00/
      DATA (KB(JT,25,11),JT=1,5) /
     &4.0038E+00,4.2162E+00,4.4356E+00,4.6519E+00,4.8861E+00/
      DATA (KB(JT,26,11),JT=1,5) /
     &3.5330E+00,3.7282E+00,3.9261E+00,4.1342E+00,4.3614E+00/
      DATA (KB(JT,27,11),JT=1,5) /
     &3.0918E+00,3.2790E+00,3.4783E+00,3.6774E+00,3.8933E+00/
      DATA (KB(JT,28,11),JT=1,5) /
     &2.7019E+00,2.8880E+00,3.0842E+00,3.2755E+00,3.4826E+00/
      DATA (KB(JT,29,11),JT=1,5) /
     &2.3567E+00,2.5399E+00,2.7237E+00,2.9118E+00,3.1184E+00/
      DATA (KB(JT,30,11),JT=1,5) /
     &2.0673E+00,2.2421E+00,2.4146E+00,2.6001E+00,2.8136E+00/
      DATA (KB(JT,31,11),JT=1,5) /
     &1.8233E+00,1.9796E+00,2.1491E+00,2.3275E+00,2.5391E+00/
      DATA (KB(JT,32,11),JT=1,5) /
     &1.6164E+00,1.7629E+00,1.9137E+00,2.0921E+00,2.3020E+00/
      DATA (KB(JT,33,11),JT=1,5) /
     &1.4325E+00,1.5691E+00,1.7171E+00,1.8965E+00,2.0991E+00/
      DATA (KB(JT,34,11),JT=1,5) /
     &1.2711E+00,1.4025E+00,1.5514E+00,1.7231E+00,1.9204E+00/
      DATA (KB(JT,35,11),JT=1,5) /
     &1.1251E+00,1.2478E+00,1.3948E+00,1.5591E+00,1.7428E+00/
      DATA (KB(JT,36,11),JT=1,5) /
     &9.8734E-01,1.1026E+00,1.2425E+00,1.3991E+00,1.5730E+00/
      DATA (KB(JT,37,11),JT=1,5) /
     &8.5152E-01,9.6327E-01,1.0911E+00,1.2398E+00,1.4045E+00/
      DATA (KB(JT,38,11),JT=1,5) /
     &7.3399E-01,8.3942E-01,9.5984E-01,1.0967E+00,1.2526E+00/
      DATA (KB(JT,39,11),JT=1,5) /
     &6.3468E-01,7.3175E-01,8.4488E-01,9.7279E-01,1.1163E+00/
      DATA (KB(JT,40,11),JT=1,5) /
     &5.4166E-01,6.3099E-01,7.3459E-01,8.5525E-01,9.8986E-01/
      DATA (KB(JT,41,11),JT=1,5) /
     &4.6341E-01,5.4185E-01,6.3786E-01,7.5041E-01,8.7557E-01/
      DATA (KB(JT,42,11),JT=1,5) /
     &3.9710E-01,4.6604E-01,5.5335E-01,6.5788E-01,7.7518E-01/
      DATA (KB(JT,43,11),JT=1,5) /
     &3.3809E-01,3.9845E-01,4.7656E-01,5.6991E-01,6.7763E-01/
      DATA (KB(JT,44,11),JT=1,5) /
     &2.8738E-01,3.3811E-01,4.0783E-01,4.9238E-01,5.8805E-01/
      DATA (KB(JT,45,11),JT=1,5) /
     &2.4372E-01,2.8787E-01,3.4858E-01,4.2338E-01,5.1131E-01/
      DATA (KB(JT,46,11),JT=1,5) /
     &2.0655E-01,2.4407E-01,2.9751E-01,3.6239E-01,4.4206E-01/
      DATA (KB(JT,47,11),JT=1,5) /
     &1.7359E-01,2.0653E-01,2.5158E-01,3.0900E-01,3.7888E-01/
      DATA (KB(JT,48,11),JT=1,5) /
     &1.4508E-01,1.7395E-01,2.1335E-01,2.6232E-01,3.2328E-01/
      DATA (KB(JT,49,11),JT=1,5) /
     &1.2016E-01,1.4523E-01,1.7928E-01,2.2128E-01,2.7412E-01/
      DATA (KB(JT,50,11),JT=1,5) /
     &9.9920E-02,1.2218E-01,1.5097E-01,1.8907E-01,2.3575E-01/
      DATA (KB(JT,51,11),JT=1,5) /
     &8.2909E-02,1.0226E-01,1.2737E-01,1.6132E-01,2.0378E-01/
      DATA (KB(JT,52,11),JT=1,5) /
     &6.8577E-02,8.5131E-02,1.0673E-01,1.3644E-01,1.7453E-01/
      DATA (KB(JT,53,11),JT=1,5) /
     &5.6302E-02,7.0491E-02,8.8684E-02,1.1469E-01,1.4786E-01/
      DATA (KB(JT,54,11),JT=1,5) /
     &4.7171E-02,5.9185E-02,7.4877E-02,9.7387E-02,1.2762E-01/
      DATA (KB(JT,55,11),JT=1,5) /
     &4.0028E-02,5.0199E-02,6.3960E-02,8.3211E-02,1.1104E-01/
      DATA (KB(JT,56,11),JT=1,5) /
     &3.3854E-02,4.2508E-02,5.4649E-02,7.1262E-02,9.5596E-02/
      DATA (KB(JT,57,11),JT=1,5) /
     &2.8590E-02,3.6142E-02,4.6409E-02,6.1269E-02,8.2012E-02/
      DATA (KB(JT,58,11),JT=1,5) /
     &2.4352E-02,3.0934E-02,3.9697E-02,5.2483E-02,7.1167E-02/
      DATA (KB(JT,59,11),JT=1,5) /
     &2.2598E-02,2.9152E-02,3.7468E-02,4.8573E-02,6.6434E-02/
      DATA (KB(JT,13,12),JT=1,5) /
     &5.7172E+01,5.9297E+01,6.1400E+01,6.3512E+01,6.5627E+01/
      DATA (KB(JT,14,12),JT=1,5) /
     &5.0361E+01,5.2086E+01,5.3828E+01,5.5595E+01,5.7346E+01/
      DATA (KB(JT,15,12),JT=1,5) /
     &4.4078E+01,4.5453E+01,4.6902E+01,4.8347E+01,4.9789E+01/
      DATA (KB(JT,16,12),JT=1,5) /
     &3.8395E+01,3.9554E+01,4.0754E+01,4.1955E+01,4.3150E+01/
      DATA (KB(JT,17,12),JT=1,5) /
     &3.3363E+01,3.4355E+01,3.5352E+01,3.6337E+01,3.7312E+01/
      DATA (KB(JT,18,12),JT=1,5) /
     &2.8599E+01,2.9463E+01,3.0307E+01,3.1155E+01,3.2043E+01/
      DATA (KB(JT,19,12),JT=1,5) /
     &2.4284E+01,2.4982E+01,2.5685E+01,2.6424E+01,2.7289E+01/
      DATA (KB(JT,20,12),JT=1,5) /
     &2.0576E+01,2.1117E+01,2.1693E+01,2.2370E+01,2.3304E+01/
      DATA (KB(JT,21,12),JT=1,5) /
     &1.7126E+01,1.7629E+01,1.8193E+01,1.8968E+01,2.0012E+01/
      DATA (KB(JT,22,12),JT=1,5) /
     &1.4084E+01,1.4526E+01,1.5112E+01,1.5986E+01,1.7086E+01/
      DATA (KB(JT,23,12),JT=1,5) /
     &1.1727E+01,1.2073E+01,1.2663E+01,1.3546E+01,1.4594E+01/
      DATA (KB(JT,24,12),JT=1,5) /
     &1.0116E+01,1.0483E+01,1.1087E+01,1.1839E+01,1.2630E+01/
      DATA (KB(JT,25,12),JT=1,5) /
     &8.9362E+00,9.3748E+00,9.9578E+00,1.0576E+01,1.1263E+01/
      DATA (KB(JT,26,12),JT=1,5) /
     &7.9574E+00,8.4325E+00,8.9960E+00,9.5862E+00,1.0135E+01/
      DATA (KB(JT,27,12),JT=1,5) /
     &7.1290E+00,7.6343E+00,8.1343E+00,8.6609E+00,9.1441E+00/
      DATA (KB(JT,28,12),JT=1,5) /
     &6.4441E+00,6.9081E+00,7.3340E+00,7.7892E+00,8.2579E+00/
      DATA (KB(JT,29,12),JT=1,5) /
     &5.7859E+00,6.1904E+00,6.5762E+00,6.9937E+00,7.4255E+00/
      DATA (KB(JT,30,12),JT=1,5) /
     &5.1602E+00,5.5338E+00,5.8953E+00,6.2766E+00,6.6823E+00/
      DATA (KB(JT,31,12),JT=1,5) /
     &4.5943E+00,4.9270E+00,5.2739E+00,5.6298E+00,6.0118E+00/
      DATA (KB(JT,32,12),JT=1,5) /
     &4.0881E+00,4.4095E+00,4.7450E+00,5.0839E+00,5.4488E+00/
      DATA (KB(JT,33,12),JT=1,5) /
     &3.6534E+00,3.9549E+00,4.2670E+00,4.6043E+00,4.9743E+00/
      DATA (KB(JT,34,12),JT=1,5) /
     &3.2874E+00,3.5667E+00,3.8571E+00,4.1872E+00,4.5862E+00/
      DATA (KB(JT,35,12),JT=1,5) /
     &2.9379E+00,3.1963E+00,3.4845E+00,3.8151E+00,4.2290E+00/
      DATA (KB(JT,36,12),JT=1,5) /
     &2.6101E+00,2.8628E+00,3.1405E+00,3.4760E+00,3.8927E+00/
      DATA (KB(JT,37,12),JT=1,5) /
     &2.3047E+00,2.5368E+00,2.8124E+00,3.1292E+00,3.5310E+00/
      DATA (KB(JT,38,12),JT=1,5) /
     &2.0413E+00,2.2603E+00,2.5129E+00,2.8252E+00,3.2149E+00/
      DATA (KB(JT,39,12),JT=1,5) /
     &1.8040E+00,2.0133E+00,2.2565E+00,2.5571E+00,2.9423E+00/
      DATA (KB(JT,40,12),JT=1,5) /
     &1.5898E+00,1.7862E+00,2.0189E+00,2.2992E+00,2.6576E+00/
      DATA (KB(JT,41,12),JT=1,5) /
     &1.4002E+00,1.5861E+00,1.8008E+00,2.0620E+00,2.4028E+00/
      DATA (KB(JT,42,12),JT=1,5) /
     &1.2302E+00,1.4049E+00,1.6015E+00,1.8444E+00,2.1658E+00/
      DATA (KB(JT,43,12),JT=1,5) /
     &1.0668E+00,1.2258E+00,1.4101E+00,1.6347E+00,1.9297E+00/
      DATA (KB(JT,44,12),JT=1,5) /
     &9.1800E-01,1.0642E+00,1.2324E+00,1.4347E+00,1.7074E+00/
      DATA (KB(JT,45,12),JT=1,5) /
     &7.8687E-01,9.1967E-01,1.0737E+00,1.2598E+00,1.5049E+00/
      DATA (KB(JT,46,12),JT=1,5) /
     &6.7148E-01,7.9041E-01,9.2761E-01,1.0973E+00,1.3177E+00/
      DATA (KB(JT,47,12),JT=1,5) /
     &5.7045E-01,6.7640E-01,8.0034E-01,9.4779E-01,1.1432E+00/
      DATA (KB(JT,48,12),JT=1,5) /
     &4.8142E-01,5.7646E-01,6.8676E-01,8.2116E-01,9.8898E-01/
      DATA (KB(JT,49,12),JT=1,5) /
     &4.0194E-01,4.8757E-01,5.8498E-01,7.0838E-01,8.5881E-01/
      DATA (KB(JT,50,12),JT=1,5) /
     &3.4095E-01,4.1499E-01,5.0425E-01,6.1464E-01,7.5451E-01/
      DATA (KB(JT,51,12),JT=1,5) /
     &2.9038E-01,3.5608E-01,4.3553E-01,5.3422E-01,6.6315E-01/
      DATA (KB(JT,52,12),JT=1,5) /
     &2.4615E-01,3.0360E-01,3.7359E-01,4.6378E-01,5.7808E-01/
      DATA (KB(JT,53,12),JT=1,5) /
     &2.0660E-01,2.5764E-01,3.1993E-01,3.9869E-01,5.0232E-01/
      DATA (KB(JT,54,12),JT=1,5) /
     &1.7518E-01,2.2280E-01,2.7852E-01,3.4881E-01,4.4243E-01/
      DATA (KB(JT,55,12),JT=1,5) /
     &1.4906E-01,1.9392E-01,2.4538E-01,3.1045E-01,3.9204E-01/
      DATA (KB(JT,56,12),JT=1,5) /
     &1.2564E-01,1.6748E-01,2.1535E-01,2.7386E-01,3.4816E-01/
      DATA (KB(JT,57,12),JT=1,5) /
     &1.0489E-01,1.4334E-01,1.8902E-01,2.4147E-01,3.0976E-01/
      DATA (KB(JT,58,12),JT=1,5) /
     &8.8415E-02,1.2250E-01,1.6566E-01,2.1499E-01,2.7515E-01/
      DATA (KB(JT,59,12),JT=1,5) /
     &8.0710E-02,1.1375E-01,1.5629E-01,2.0737E-01,2.6838E-01/
      DATA (KB(JT,13,13),JT=1,5) /
     &1.6465E+02,1.6298E+02,1.6413E+02,1.6796E+02,1.7425E+02/
      DATA (KB(JT,14,13),JT=1,5) /
     &1.4134E+02,1.4223E+02,1.4584E+02,1.5183E+02,1.5823E+02/
      DATA (KB(JT,15,13),JT=1,5) /
     &1.2334E+02,1.2642E+02,1.3170E+02,1.3719E+02,1.4248E+02/
      DATA (KB(JT,16,13),JT=1,5) /
     &1.0903E+02,1.1350E+02,1.1825E+02,1.2284E+02,1.2720E+02/
      DATA (KB(JT,17,13),JT=1,5) /
     &9.6744E+01,1.0077E+02,1.0473E+02,1.0856E+02,1.1225E+02/
      DATA (KB(JT,18,13),JT=1,5) /
     &8.5368E+01,8.8669E+01,9.1934E+01,9.5127E+01,9.8216E+01/
      DATA (KB(JT,19,13),JT=1,5) /
     &7.4865E+01,7.7560E+01,8.0263E+01,8.2912E+01,8.5499E+01/
      DATA (KB(JT,20,13),JT=1,5) /
     &6.5304E+01,6.7588E+01,6.9849E+01,7.2099E+01,7.4316E+01/
      DATA (KB(JT,21,13),JT=1,5) /
     &5.6704E+01,5.8616E+01,6.0541E+01,6.2457E+01,6.4444E+01/
      DATA (KB(JT,22,13),JT=1,5) /
     &4.9099E+01,5.0788E+01,5.2451E+01,5.4119E+01,5.5970E+01/
      DATA (KB(JT,23,13),JT=1,5) /
     &4.2076E+01,4.3646E+01,4.5230E+01,4.6888E+01,4.8798E+01/
      DATA (KB(JT,24,13),JT=1,5) /
     &3.5457E+01,3.6904E+01,3.8447E+01,4.0262E+01,4.2565E+01/
      DATA (KB(JT,25,13),JT=1,5) /
     &2.9832E+01,3.1036E+01,3.2508E+01,3.4502E+01,3.6979E+01/
      DATA (KB(JT,26,13),JT=1,5) /
     &2.5205E+01,2.6348E+01,2.7792E+01,2.9788E+01,3.2459E+01/
      DATA (KB(JT,27,13),JT=1,5) /
     &2.1486E+01,2.2586E+01,2.4162E+01,2.6260E+01,2.8944E+01/
      DATA (KB(JT,28,13),JT=1,5) /
     &1.8712E+01,1.9693E+01,2.1370E+01,2.3591E+01,2.6158E+01/
      DATA (KB(JT,29,13),JT=1,5) /
     &1.6630E+01,1.7716E+01,1.9369E+01,2.1565E+01,2.4102E+01/
      DATA (KB(JT,30,13),JT=1,5) /
     &1.4923E+01,1.6119E+01,1.7783E+01,1.9989E+01,2.2379E+01/
      DATA (KB(JT,31,13),JT=1,5) /
     &1.3532E+01,1.4853E+01,1.6576E+01,1.8745E+01,2.1084E+01/
      DATA (KB(JT,32,13),JT=1,5) /
     &1.2453E+01,1.3784E+01,1.5587E+01,1.7718E+01,2.0022E+01/
      DATA (KB(JT,33,13),JT=1,5) /
     &1.1580E+01,1.3038E+01,1.4851E+01,1.6892E+01,1.9192E+01/
      DATA (KB(JT,34,13),JT=1,5) /
     &1.0820E+01,1.2376E+01,1.4134E+01,1.6152E+01,1.8402E+01/
      DATA (KB(JT,35,13),JT=1,5) /
     &1.0116E+01,1.1686E+01,1.3402E+01,1.5346E+01,1.7556E+01/
      DATA (KB(JT,36,13),JT=1,5) /
     &9.3933E+00,1.0910E+01,1.2572E+01,1.4432E+01,1.6536E+01/
      DATA (KB(JT,37,13),JT=1,5) /
     &8.5160E+00,9.9755E+00,1.1554E+01,1.3358E+01,1.5350E+01/
      DATA (KB(JT,38,13),JT=1,5) /
     &7.7505E+00,9.1225E+00,1.0670E+01,1.2380E+01,1.4273E+01/
      DATA (KB(JT,39,13),JT=1,5) /
     &7.0897E+00,8.3885E+00,9.8694E+00,1.1502E+01,1.3343E+01/
      DATA (KB(JT,40,13),JT=1,5) /
     &6.3295E+00,7.5506E+00,8.9466E+00,1.0495E+01,1.2287E+01/
      DATA (KB(JT,41,13),JT=1,5) /
     &5.6302E+00,6.7988E+00,8.0957E+00,9.6013E+00,1.1280E+01/
      DATA (KB(JT,42,13),JT=1,5) /
     &5.0234E+00,6.1071E+00,7.3389E+00,8.7816E+00,1.0380E+01/
      DATA (KB(JT,43,13),JT=1,5) /
     &4.4225E+00,5.4282E+00,6.5963E+00,7.9433E+00,9.4666E+00/
      DATA (KB(JT,44,13),JT=1,5) /
     &3.8558E+00,4.7912E+00,5.8905E+00,7.1478E+00,8.6145E+00/
      DATA (KB(JT,45,13),JT=1,5) /
     &3.3575E+00,4.2351E+00,5.2475E+00,6.4292E+00,7.8296E+00/
      DATA (KB(JT,46,13),JT=1,5) /
     &2.9053E+00,3.7074E+00,4.6432E+00,5.7484E+00,7.0674E+00/
      DATA (KB(JT,47,13),JT=1,5) /
     &2.4706E+00,3.1851E+00,4.0524E+00,5.0837E+00,6.2990E+00/
      DATA (KB(JT,48,13),JT=1,5) /
     &2.0907E+00,2.7320E+00,3.5232E+00,4.4689E+00,5.5998E+00/
      DATA (KB(JT,49,13),JT=1,5) /
     &1.7652E+00,2.3397E+00,3.0525E+00,3.9130E+00,4.9641E+00/
      DATA (KB(JT,50,13),JT=1,5) /
     &1.4980E+00,1.9995E+00,2.6386E+00,3.4309E+00,4.3930E+00/
      DATA (KB(JT,51,13),JT=1,5) /
     &1.2883E+00,1.7229E+00,2.2808E+00,3.0058E+00,3.8921E+00/
      DATA (KB(JT,52,13),JT=1,5) /
     &1.1032E+00,1.4878E+00,1.9945E+00,2.6225E+00,3.4327E+00/
      DATA (KB(JT,53,13),JT=1,5) /
     &9.4256E-01,1.2803E+00,1.7436E+00,2.3095E+00,3.0258E+00/
      DATA (KB(JT,54,13),JT=1,5) /
     &8.0847E-01,1.1045E+00,1.5250E+00,2.0573E+00,2.7048E+00/
      DATA (KB(JT,55,13),JT=1,5) /
     &6.9972E-01,9.5008E-01,1.3215E+00,1.8178E+00,2.4326E+00/
      DATA (KB(JT,56,13),JT=1,5) /
     &6.0659E-01,8.1298E-01,1.1430E+00,1.5925E+00,2.1783E+00/
      DATA (KB(JT,57,13),JT=1,5) /
     &5.2664E-01,6.9670E-01,9.7998E-01,1.3891E+00,1.9333E+00/
      DATA (KB(JT,58,13),JT=1,5) /
     &4.5985E-01,6.0682E-01,8.4337E-01,1.2113E+00,1.7188E+00/
      DATA (KB(JT,59,13),JT=1,5) /
     &4.3853E-01,5.7879E-01,7.9018E-01,1.1130E+00,1.6039E+00/
      DATA (KB(JT,13,14),JT=1,5) /
     &8.6016E+02,8.4626E+02,8.3228E+02,8.1817E+02,8.0450E+02/
      DATA (KB(JT,14,14),JT=1,5) /
     &7.5981E+02,7.4663E+02,7.3345E+02,7.2104E+02,7.1224E+02/
      DATA (KB(JT,15,14),JT=1,5) /
     &6.6201E+02,6.4993E+02,6.3891E+02,6.3210E+02,6.2978E+02/
      DATA (KB(JT,16,14),JT=1,5) /
     &5.7014E+02,5.6027E+02,5.5466E+02,5.5378E+02,5.5721E+02/
      DATA (KB(JT,17,14),JT=1,5) /
     &4.8861E+02,4.8354E+02,4.8324E+02,4.8760E+02,4.9602E+02/
      DATA (KB(JT,18,14),JT=1,5) /
     &4.1987E+02,4.1964E+02,4.2411E+02,4.3291E+02,4.4575E+02/
      DATA (KB(JT,19,14),JT=1,5) /
     &3.6303E+02,3.6702E+02,3.7556E+02,3.8834E+02,4.0471E+02/
      DATA (KB(JT,20,14),JT=1,5) /
     &3.1651E+02,3.2421E+02,3.3627E+02,3.5219E+02,3.7072E+02/
      DATA (KB(JT,21,14),JT=1,5) /
     &2.7867E+02,2.8947E+02,3.0434E+02,3.2131E+02,3.3823E+02/
      DATA (KB(JT,22,14),JT=1,5) /
     &2.4916E+02,2.6251E+02,2.7768E+02,2.9296E+02,3.0844E+02/
      DATA (KB(JT,23,14),JT=1,5) /
     &2.2571E+02,2.3932E+02,2.5291E+02,2.6670E+02,2.8069E+02/
      DATA (KB(JT,24,14),JT=1,5) /
     &2.0503E+02,2.1765E+02,2.3029E+02,2.4291E+02,2.5575E+02/
      DATA (KB(JT,25,14),JT=1,5) /
     &1.8574E+02,1.9763E+02,2.0960E+02,2.2151E+02,2.3356E+02/
      DATA (KB(JT,26,14),JT=1,5) /
     &1.6825E+02,1.7945E+02,1.9085E+02,2.0242E+02,2.1406E+02/
      DATA (KB(JT,27,14),JT=1,5) /
     &1.5254E+02,1.6311E+02,1.7402E+02,1.8521E+02,1.9696E+02/
      DATA (KB(JT,28,14),JT=1,5) /
     &1.3815E+02,1.4857E+02,1.5913E+02,1.7022E+02,1.8238E+02/
      DATA (KB(JT,29,14),JT=1,5) /
     &1.2560E+02,1.3571E+02,1.4630E+02,1.5763E+02,1.7019E+02/
      DATA (KB(JT,30,14),JT=1,5) /
     &1.1497E+02,1.2476E+02,1.3550E+02,1.4719E+02,1.6044E+02/
      DATA (KB(JT,31,14),JT=1,5) /
     &1.0602E+02,1.1577E+02,1.2671E+02,1.3889E+02,1.5289E+02/
      DATA (KB(JT,32,14),JT=1,5) /
     &9.8519E+01,1.0855E+02,1.1978E+02,1.3265E+02,1.4744E+02/
      DATA (KB(JT,33,14),JT=1,5) /
     &9.2517E+01,1.0274E+02,1.1452E+02,1.2822E+02,1.4389E+02/
      DATA (KB(JT,34,14),JT=1,5) /
     &8.7441E+01,9.7936E+01,1.1044E+02,1.2495E+02,1.4148E+02/
      DATA (KB(JT,35,14),JT=1,5) /
     &8.2499E+01,9.3333E+01,1.0635E+02,1.2151E+02,1.3874E+02/
      DATA (KB(JT,36,14),JT=1,5) /
     &7.7442E+01,8.8493E+01,1.0184E+02,1.1740E+02,1.3513E+02/
      DATA (KB(JT,37,14),JT=1,5) /
     &7.1771E+01,8.2731E+01,9.6032E+01,1.1158E+02,1.2941E+02/
      DATA (KB(JT,38,14),JT=1,5) /
     &6.6727E+01,7.7610E+01,9.0795E+01,1.0632E+02,1.2415E+02/
      DATA (KB(JT,39,14),JT=1,5) /
     &6.2339E+01,7.3113E+01,8.6200E+01,1.0167E+02,1.1942E+02/
      DATA (KB(JT,40,14),JT=1,5) /
     &5.7601E+01,6.7999E+01,8.0724E+01,9.5858E+01,1.1323E+02/
      DATA (KB(JT,41,14),JT=1,5) /
     &5.3285E+01,6.3203E+01,7.5577E+01,9.0242E+01,1.0726E+02/
      DATA (KB(JT,42,14),JT=1,5) /
     &4.9392E+01,5.8908E+01,7.0834E+01,8.5045E+01,1.0163E+02/
      DATA (KB(JT,43,14),JT=1,5) /
     &4.5446E+01,5.4452E+01,6.5751E+01,7.9402E+01,9.5397E+01/
      DATA (KB(JT,44,14),JT=1,5) /
     &4.1620E+01,5.0184E+01,6.0777E+01,7.3786E+01,8.9076E+01/
      DATA (KB(JT,45,14),JT=1,5) /
     &3.8059E+01,4.6282E+01,5.6226E+01,6.8539E+01,8.3136E+01/
      DATA (KB(JT,46,14),JT=1,5) /
     &3.4554E+01,4.2501E+01,5.1829E+01,6.3383E+01,7.7220E+01/
      DATA (KB(JT,47,14),JT=1,5) /
     &3.1009E+01,3.8610E+01,4.7385E+01,5.8058E+01,7.1080E+01/
      DATA (KB(JT,48,14),JT=1,5) /
     &2.7715E+01,3.4934E+01,4.3319E+01,5.3190E+01,6.5347E+01/
      DATA (KB(JT,49,14),JT=1,5) /
     &2.4658E+01,3.1478E+01,3.9500E+01,4.8743E+01,5.9997E+01/
      DATA (KB(JT,50,14),JT=1,5) /
     &2.2034E+01,2.8437E+01,3.6093E+01,4.4894E+01,5.5346E+01/
      DATA (KB(JT,51,14),JT=1,5) /
     &1.9684E+01,2.5626E+01,3.2937E+01,4.1385E+01,5.1154E+01/
      DATA (KB(JT,52,14),JT=1,5) /
     &1.7504E+01,2.2995E+01,2.9925E+01,3.8057E+01,4.7307E+01/
      DATA (KB(JT,53,14),JT=1,5) /
     &1.5552E+01,2.0544E+01,2.7079E+01,3.4832E+01,4.3722E+01/
      DATA (KB(JT,54,14),JT=1,5) /
     &1.3886E+01,1.8476E+01,2.4607E+01,3.1966E+01,4.0540E+01/
      DATA (KB(JT,55,14),JT=1,5) /
     &1.2396E+01,1.6681E+01,2.2385E+01,2.9384E+01,3.7592E+01/
      DATA (KB(JT,56,14),JT=1,5) /
     &1.1028E+01,1.5006E+01,2.0297E+01,2.6955E+01,3.4780E+01/
      DATA (KB(JT,57,14),JT=1,5) /
     &9.7493E+00,1.3452E+01,1.8354E+01,2.4644E+01,3.2099E+01/
      DATA (KB(JT,58,14),JT=1,5) /
     &8.6411E+00,1.2068E+01,1.6627E+01,2.2569E+01,2.9684E+01/
      DATA (KB(JT,59,14),JT=1,5) /
     &8.0894E+00,1.1449E+01,1.5905E+01,2.1753E+01,2.8728E+01/
      DATA (KB(JT,13,15),JT=1,5) /
     &5.0046E+03,5.0034E+03,4.9950E+03,4.9781E+03,4.9542E+03/
      DATA (KB(JT,14,15),JT=1,5) /
     &5.1812E+03,5.1738E+03,5.1582E+03,5.1357E+03,5.1054E+03/
      DATA (KB(JT,15,15),JT=1,5) /
     &5.2793E+03,5.2645E+03,5.2450E+03,5.2172E+03,5.1836E+03/
      DATA (KB(JT,16,15),JT=1,5) /
     &5.3001E+03,5.2818E+03,5.2568E+03,5.2274E+03,5.1924E+03/
      DATA (KB(JT,17,15),JT=1,5) /
     &5.2448E+03,5.2242E+03,5.2004E+03,5.1715E+03,5.1377E+03/
      DATA (KB(JT,18,15),JT=1,5) /
     &5.1200E+03,5.1031E+03,5.0817E+03,5.0571E+03,5.0308E+03/
      DATA (KB(JT,19,15),JT=1,5) /
     &4.9389E+03,4.9284E+03,4.9153E+03,4.9007E+03,4.8819E+03/
      DATA (KB(JT,20,15),JT=1,5) /
     &4.7181E+03,4.7168E+03,4.7163E+03,4.7129E+03,4.7111E+03/
      DATA (KB(JT,21,15),JT=1,5) /
     &4.4718E+03,4.4865E+03,4.4990E+03,4.5153E+03,4.5403E+03/
      DATA (KB(JT,22,15),JT=1,5) /
     &4.2192E+03,4.2497E+03,4.2861E+03,4.3316E+03,4.3809E+03/
      DATA (KB(JT,23,15),JT=1,5) /
     &3.9727E+03,4.0275E+03,4.0936E+03,4.1646E+03,4.2404E+03/
      DATA (KB(JT,24,15),JT=1,5) /
     &3.7507E+03,3.8336E+03,3.9239E+03,4.0206E+03,4.1209E+03/
      DATA (KB(JT,25,15),JT=1,5) /
     &3.5606E+03,3.6694E+03,3.7826E+03,3.9026E+03,4.0244E+03/
      DATA (KB(JT,26,15),JT=1,5) /
     &3.4043E+03,3.5364E+03,3.6731E+03,3.8130E+03,3.9519E+03/
      DATA (KB(JT,27,15),JT=1,5) /
     &3.2803E+03,3.4346E+03,3.5912E+03,3.7476E+03,3.9014E+03/
      DATA (KB(JT,28,15),JT=1,5) /
     &3.1876E+03,3.3610E+03,3.5344E+03,3.7042E+03,3.8699E+03/
      DATA (KB(JT,29,15),JT=1,5) /
     &3.1239E+03,3.3137E+03,3.4995E+03,3.6813E+03,3.8573E+03/
      DATA (KB(JT,30,15),JT=1,5) /
     &3.0850E+03,3.2872E+03,3.4837E+03,3.6745E+03,3.8591E+03/
      DATA (KB(JT,31,15),JT=1,5) /
     &3.0674E+03,3.2795E+03,3.4848E+03,3.6826E+03,3.8724E+03/
      DATA (KB(JT,32,15),JT=1,5) /
     &3.0683E+03,3.2879E+03,3.4990E+03,3.7022E+03,3.8953E+03/
      DATA (KB(JT,33,15),JT=1,5) /
     &3.0831E+03,3.3087E+03,3.5243E+03,3.7303E+03,3.9250E+03/
      DATA (KB(JT,34,15),JT=1,5) /
     &3.1017E+03,3.3308E+03,3.5496E+03,3.7580E+03,3.9527E+03/
      DATA (KB(JT,35,15),JT=1,5) /
     &3.1057E+03,3.3387E+03,3.5601E+03,3.7700E+03,3.9654E+03/
      DATA (KB(JT,36,15),JT=1,5) /
     &3.0895E+03,3.3260E+03,3.5504E+03,3.7630E+03,3.9606E+03/
      DATA (KB(JT,37,15),JT=1,5) /
     &3.0400E+03,3.2811E+03,3.5096E+03,3.7263E+03,3.9277E+03/
      DATA (KB(JT,38,15),JT=1,5) /
     &2.9913E+03,3.2361E+03,3.4690E+03,3.6890E+03,3.8942E+03/
      DATA (KB(JT,39,15),JT=1,5) /
     &2.9441E+03,3.1926E+03,3.4294E+03,3.6526E+03,3.8612E+03/
      DATA (KB(JT,40,15),JT=1,5) /
     &2.8722E+03,3.1254E+03,3.3667E+03,3.5943E+03,3.8073E+03/
      DATA (KB(JT,41,15),JT=1,5) /
     &2.7971E+03,3.0548E+03,3.3004E+03,3.5326E+03,3.7505E+03/
      DATA (KB(JT,42,15),JT=1,5) /
     &2.7226E+03,2.9837E+03,3.2336E+03,3.4701E+03,3.6925E+03/
      DATA (KB(JT,43,15),JT=1,5) /
     &2.6332E+03,2.8981E+03,3.1525E+03,3.3944E+03,3.6223E+03/
      DATA (KB(JT,44,15),JT=1,5) /
     &2.5372E+03,2.8050E+03,3.0643E+03,3.3114E+03,3.5441E+03/
      DATA (KB(JT,45,15),JT=1,5) /
     &2.4417E+03,2.7113E+03,2.9748E+03,3.2268E+03,3.4651E+03/
      DATA (KB(JT,46,15),JT=1,5) /
     &2.3395E+03,2.6115E+03,2.8783E+03,3.1351E+03,3.3792E+03/
      DATA (KB(JT,47,15),JT=1,5) /
     &2.2243E+03,2.4998E+03,2.7694E+03,3.0313E+03,3.2810E+03/
      DATA (KB(JT,48,15),JT=1,5) /
     &2.1083E+03,2.3877E+03,2.6592E+03,2.9257E+03,3.1803E+03/
      DATA (KB(JT,49,15),JT=1,5) /
     &1.9925E+03,2.2741E+03,2.5488E+03,2.8180E+03,3.0783E+03/
      DATA (KB(JT,50,15),JT=1,5) /
     &1.8841E+03,2.1666E+03,2.4447E+03,2.7159E+03,2.9806E+03/
      DATA (KB(JT,51,15),JT=1,5) /
     &1.7798E+03,2.0618E+03,2.3428E+03,2.6160E+03,2.8839E+03/
      DATA (KB(JT,52,15),JT=1,5) /
     &1.6762E+03,1.9574E+03,2.2398E+03,2.5156E+03,2.7862E+03/
      DATA (KB(JT,53,15),JT=1,5) /
     &1.5731E+03,1.8530E+03,2.1358E+03,2.4152E+03,2.6872E+03/
      DATA (KB(JT,54,15),JT=1,5) /
     &1.4802E+03,1.7581E+03,2.0401E+03,2.3219E+03,2.5956E+03/
      DATA (KB(JT,55,15),JT=1,5) /
     &1.3915E+03,1.6675E+03,1.9488E+03,2.2318E+03,2.5080E+03/
      DATA (KB(JT,56,15),JT=1,5) /
     &1.3039E+03,1.5778E+03,1.8577E+03,2.1406E+03,2.4200E+03/
      DATA (KB(JT,57,15),JT=1,5) /
     &1.2167E+03,1.4890E+03,1.7672E+03,2.0493E+03,2.3313E+03/
      DATA (KB(JT,58,15),JT=1,5) /
     &1.1349E+03,1.4057E+03,1.6818E+03,1.9631E+03,2.2464E+03/
      DATA (KB(JT,59,15),JT=1,5) /
     &1.1025E+03,1.3721E+03,1.6476E+03,1.9283E+03,2.2117E+03/
      DATA (KB(JT,13,16),JT=1,5) /
     &1.2492E+04,1.2602E+04,1.2678E+04,1.2730E+04,1.2749E+04/
      DATA (KB(JT,14,16),JT=1,5) /
     &1.4696E+04,1.4792E+04,1.4862E+04,1.4890E+04,1.4889E+04/
      DATA (KB(JT,15,16),JT=1,5) /
     &1.7153E+04,1.7242E+04,1.7275E+04,1.7274E+04,1.7231E+04/
      DATA (KB(JT,16,16),JT=1,5) /
     &1.9843E+04,1.9894E+04,1.9898E+04,1.9845E+04,1.9747E+04/
      DATA (KB(JT,17,16),JT=1,5) /
     &2.2727E+04,2.2731E+04,2.2667E+04,2.2551E+04,2.2386E+04/
      DATA (KB(JT,18,16),JT=1,5) /
     &2.5761E+04,2.5684E+04,2.5544E+04,2.5342E+04,2.5070E+04/
      DATA (KB(JT,19,16),JT=1,5) /
     &2.8878E+04,2.8701E+04,2.8454E+04,2.8131E+04,2.7759E+04/
      DATA (KB(JT,20,16),JT=1,5) /
     &3.1981E+04,3.1695E+04,3.1314E+04,3.0871E+04,3.0360E+04/
      DATA (KB(JT,21,16),JT=1,5) /
     &3.5017E+04,3.4575E+04,3.4064E+04,3.3480E+04,3.2821E+04/
      DATA (KB(JT,22,16),JT=1,5) /
     &3.7854E+04,3.7264E+04,3.6589E+04,3.5840E+04,3.5046E+04/
      DATA (KB(JT,23,16),JT=1,5) /
     &4.0473E+04,3.9710E+04,3.8862E+04,3.7967E+04,3.7023E+04/
      DATA (KB(JT,24,16),JT=1,5) /
     &4.2796E+04,4.1864E+04,4.0869E+04,3.9817E+04,3.8718E+04/
      DATA (KB(JT,25,16),JT=1,5) /
     &4.4813E+04,4.3719E+04,4.2578E+04,4.1380E+04,4.0143E+04/
      DATA (KB(JT,26,16),JT=1,5) /
     &4.6504E+04,4.5263E+04,4.3973E+04,4.2641E+04,4.1294E+04/
      DATA (KB(JT,27,16),JT=1,5) /
     &4.7893E+04,4.6507E+04,4.5087E+04,4.3647E+04,4.2197E+04/
      DATA (KB(JT,28,16),JT=1,5) /
     &4.8993E+04,4.7480E+04,4.5952E+04,4.4417E+04,4.2878E+04/
      DATA (KB(JT,29,16),JT=1,5) /
     &4.9823E+04,4.8206E+04,4.6588E+04,4.4969E+04,4.3353E+04/
      DATA (KB(JT,30,16),JT=1,5) /
     &5.0415E+04,4.8716E+04,4.7025E+04,4.5339E+04,4.3659E+04/
      DATA (KB(JT,31,16),JT=1,5) /
     &5.0811E+04,4.9042E+04,4.7288E+04,4.5543E+04,4.3813E+04/
      DATA (KB(JT,32,16),JT=1,5) /
     &5.1032E+04,4.9203E+04,4.7400E+04,4.5610E+04,4.3841E+04/
      DATA (KB(JT,33,16),JT=1,5) /
     &5.1107E+04,4.9234E+04,4.7393E+04,4.5565E+04,4.3775E+04/
      DATA (KB(JT,34,16),JT=1,5) /
     &5.1130E+04,4.9228E+04,4.7350E+04,4.5497E+04,4.3688E+04/
      DATA (KB(JT,35,16),JT=1,5) /
     &5.1256E+04,4.9316E+04,4.7413E+04,4.5540E+04,4.3711E+04/
      DATA (KB(JT,36,16),JT=1,5) /
     &5.1519E+04,4.9555E+04,4.7626E+04,4.5731E+04,4.3885E+04/
      DATA (KB(JT,37,16),JT=1,5) /
     &5.2034E+04,5.0041E+04,4.8090E+04,4.6168E+04,4.4302E+04/
      DATA (KB(JT,38,16),JT=1,5) /
     &5.2529E+04,5.0511E+04,4.8535E+04,4.6595E+04,4.4706E+04/
      DATA (KB(JT,39,16),JT=1,5) /
     &5.2985E+04,5.0952E+04,4.8954E+04,4.6996E+04,4.5085E+04/
      DATA (KB(JT,40,16),JT=1,5) /
     &5.3633E+04,5.1575E+04,4.9556E+04,4.7578E+04,4.5648E+04/
      DATA (KB(JT,41,16),JT=1,5) /
     &5.4289E+04,5.2211E+04,5.0171E+04,4.8171E+04,4.6220E+04/
      DATA (KB(JT,42,16),JT=1,5) /
     &5.4932E+04,5.2836E+04,5.0778E+04,4.8759E+04,4.6785E+04/
      DATA (KB(JT,43,16),JT=1,5) /
     &5.5673E+04,5.3569E+04,5.1488E+04,4.9449E+04,4.7456E+04/
      DATA (KB(JT,44,16),JT=1,5) /
     &5.6461E+04,5.4346E+04,5.2247E+04,5.0190E+04,4.8178E+04/
      DATA (KB(JT,45,16),JT=1,5) /
     &5.7241E+04,5.5121E+04,5.3007E+04,5.0929E+04,4.8897E+04/
      DATA (KB(JT,46,16),JT=1,5) /
     &5.8063E+04,5.5933E+04,5.3806E+04,5.1710E+04,4.9656E+04/
      DATA (KB(JT,47,16),JT=1,5) /
     &5.8978E+04,5.6828E+04,5.4697E+04,5.2582E+04,5.0505E+04/
      DATA (KB(JT,48,16),JT=1,5) /
     &5.9891E+04,5.7720E+04,5.5586E+04,5.3459E+04,5.1367E+04/
      DATA (KB(JT,49,16),JT=1,5) /
     &6.0795E+04,5.8621E+04,5.6472E+04,5.4336E+04,5.2224E+04/
      DATA (KB(JT,50,16),JT=1,5) /
     &6.1639E+04,5.9466E+04,5.7298E+04,5.5162E+04,5.3034E+04/
      DATA (KB(JT,51,16),JT=1,5) /
     &6.2447E+04,6.0284E+04,5.8110E+04,5.5961E+04,5.3824E+04/
      DATA (KB(JT,52,16),JT=1,5) /
     &6.3240E+04,6.1098E+04,5.8916E+04,5.6760E+04,5.4612E+04/
      DATA (KB(JT,53,16),JT=1,5) /
     &6.4030E+04,6.1903E+04,5.9727E+04,5.7558E+04,5.5411E+04/
      DATA (KB(JT,54,16),JT=1,5) /
     &6.4735E+04,6.2637E+04,6.0471E+04,5.8287E+04,5.6138E+04/
      DATA (KB(JT,55,16),JT=1,5) /
     &6.5407E+04,6.3332E+04,6.1181E+04,5.9003E+04,5.6834E+04/
      DATA (KB(JT,56,16),JT=1,5) /
     &6.6069E+04,6.4015E+04,6.1881E+04,5.9702E+04,5.7529E+04/
      DATA (KB(JT,57,16),JT=1,5) /
     &6.6725E+04,6.4683E+04,6.2576E+04,6.0411E+04,5.8225E+04/
      DATA (KB(JT,58,16),JT=1,5) /
     &6.7327E+04,6.5315E+04,6.3232E+04,6.1078E+04,5.8891E+04/
      DATA (KB(JT,59,16),JT=1,5) /
     &6.7577E+04,6.5572E+04,6.3496E+04,6.1349E+04,5.9161E+04/

      DATA FORREF/
     &     2.99818E-06, 2.09282E-06, 9.88353E-05, 6.32178E-04, 
     &     6.33648E-06, 5.09214E-05, 6.50535E-04, 2.64019E-03, 
     &     6.36782E-05, 1.36577E-04, 1.66500E-03, 7.50821E-03, 
     &     4.72314E-04, 9.88296E-04, 5.85751E-03, 1.87352E-02,
     &     5.58635E-03, 8.56489E-03, 1.57438E-02, 1.81471E-02, 
     &     2.17395E-02, 2.29156E-02, 2.30125E-02, 1.43821E-02, 
     &     2.77222E-02, 2.99252E-02, 2.08929E-02, 8.26748E-03, 
     &     2.52119E-02, 2.62911E-02, 1.87663E-02, 4.17110E-03,
     &     3.04941E-02, 1.75545E-02, 9.71224E-03, 1.42023E-03, 
     &     3.27200E-02, 2.15788E-02, 3.46831E-03, 1.57989E-03, 
     &     3.24955E-02, 2.28571E-02, 1.71749E-03, 2.26853E-03, 
     &     3.26588E-02, 1.98544E-02, 5.32339E-07, 2.79086E-03,
     &     3.45157E-02, 1.68679E-02, 5.05361E-07, 2.76647E-03, 
     &     4.48765E-02, 1.23791E-03, 4.88367E-07, 1.22245E-03, 
     &     4.86925E-02, 4.64371E-07, 4.64241E-07, 7.53846E-07, 
     &     5.30511E-02, 3.76234E-07, 4.09824E-07, 4.70650E-07/

C     The array SELFREF contains the coefficient of the water vapor
C     self-continuum (including the energy term).  The first index
C     refers to temperature in 7.2 degree increments.  For instance,
C     JT = 1 refers to a temperature of 245.6, JT = 2 refers to 252.8,
C     etc.  The second index runs over the g-channel (1 to 16).
      DATA (SELFREF(JT, 1),JT=1,10)  /
     & 1.18069E-01, 7.13523E-02, 4.31199E-02, 2.60584E-02, 1.57477E-02,
     & 9.51675E-03, 5.75121E-03, 3.47560E-03, 2.10039E-03, 1.26932E-03/
      DATA (SELFREF(JT, 2),JT=1,10)  /
     & 1.37081E-02, 1.39046E-02, 1.41040E-02, 1.43061E-02, 1.45112E-02,
     & 1.47193E-02, 1.49303E-02, 1.51443E-02, 1.53614E-02, 1.55816E-02/
      DATA (SELFREF(JT, 3),JT=1,10)  /
     & 1.66575E-02, 1.64916E-02, 1.63273E-02, 1.61647E-02, 1.60037E-02,
     & 1.58443E-02, 1.56864E-02, 1.55302E-02, 1.53755E-02, 1.52224E-02/
      DATA (SELFREF(JT, 4),JT=1,10)  /
     & 5.97379E-02, 5.09517E-02, 4.34579E-02, 3.70662E-02, 3.16145E-02,
     & 2.69647E-02, 2.29988E-02, 1.96162E-02, 1.67311E-02, 1.42703E-02/
      DATA (SELFREF(JT, 5),JT=1,10)  /
     & 2.27517E-01, 1.98401E-01, 1.73011E-01, 1.50870E-01, 1.31563E-01,
     & 1.14726E-01, 1.00044E-01, 8.72415E-02, 7.60769E-02, 6.63411E-02/
      DATA (SELFREF(JT, 6),JT=1,10)  /
     & 4.53235E-01, 4.14848E-01, 3.79712E-01, 3.47552E-01, 3.18116E-01,
     & 2.91173E-01, 2.66512E-01, 2.43940E-01, 2.23279E-01, 2.04368E-01/
      DATA (SELFREF(JT, 7),JT=1,10)  /
     & 5.69263E-01, 5.16415E-01, 4.68473E-01, 4.24982E-01, 3.85528E-01,
     & 3.49737E-01, 3.17269E-01, 2.87815E-01, 2.61095E-01, 2.36856E-01/
      DATA (SELFREF(JT, 8),JT=1,10)  /
     & 4.90314E-01, 4.48042E-01, 4.09413E-01, 3.74116E-01, 3.41861E-01,
     & 3.12387E-01, 2.85455E-01, 2.60844E-01, 2.38355E-01, 2.17805E-01/
      DATA (SELFREF(JT, 9),JT=1,10)  /
     & 2.58162E-01, 2.65085E-01, 2.72193E-01, 2.79493E-01, 2.86988E-01,
     & 2.94684E-01, 3.02586E-01, 3.10701E-01, 3.19033E-01, 3.27588E-01/
      DATA (SELFREF(JT,10),JT=1,10)  /
     & 3.32019E-01, 3.31902E-01, 3.31784E-01, 3.31666E-01, 3.31549E-01,
     & 3.31431E-01, 3.31314E-01, 3.31197E-01, 3.31079E-01, 3.30962E-01/
      DATA (SELFREF(JT,11),JT=1,10)  /
     & 3.57523E-01, 3.53154E-01, 3.48839E-01, 3.44576E-01, 3.40366E-01,
     & 3.36207E-01, 3.32099E-01, 3.28041E-01, 3.24032E-01, 3.20073E-01/
      DATA (SELFREF(JT,12),JT=1,10)  /
     & 2.94662E-01, 2.99043E-01, 3.03488E-01, 3.08000E-01, 3.12579E-01,
     & 3.17226E-01, 3.21941E-01, 3.26727E-01, 3.31585E-01, 3.36514E-01/
      DATA (SELFREF(JT,13),JT=1,10)  /
     & 2.27445E-01, 2.41545E-01, 2.56519E-01, 2.72422E-01, 2.89311E-01,
     & 3.07247E-01, 3.26294E-01, 3.46523E-01, 3.68005E-01, 3.90820E-01/
      DATA (SELFREF(JT,14),JT=1,10)  /
     & 6.16203E-03, 1.13523E-02, 2.09144E-02, 3.85307E-02, 7.09852E-02,
     & 1.30776E-01, 2.40929E-01, 4.43865E-01, 8.17733E-01, 1.50651E+00/
      DATA (SELFREF(JT,15),JT=1,10)  /
     & 2.79552E-04, 8.08472E-04, 2.33812E-03, 6.76192E-03, 1.95557E-02,
     & 5.65555E-02, 1.63560E-01, 4.73020E-01, 1.36799E+00, 3.95626E+00/
      DATA (SELFREF(JT,16),JT=1,10)  /
     & 2.61006E-04, 7.71043E-04, 2.27776E-03, 6.72879E-03, 1.98777E-02,
     & 5.87212E-02, 1.73470E-01, 5.12452E-01, 1.51385E+00, 4.47209E+00/
